#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "8d11a118d0ee0852a0c92e798a8f648f86b2f504";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "unixFilePath";
Object module_standardGrace_init();
extern Object module_standardGrace;
Object module_unixFilePath = NULL;
static char *originalSourceLines[] = {
  "import \"io\" as io",
  "",
  "class null {",
  "    // creates a unixFilePath with empty components",
  "",
  "    var dir := \"\"",
  "    // the directory part; \"\" if in current directory",
  "",
  "    var base is public := \"\"",
  "    // the base part of the file name (without an extension)",
  "",
  "    var extension is public := \"\"",
  "    // the extension (like `.grace`) , including the `.`",
  "",
  "    method asString { dir ++ base ++ extension }",
  "    // the whole file name as a string",
  "",
  "    method shortName { base ++ extension }",
  "    // the file name without the directory part",
  "",
  "    method asDebugString { \"unixFilePath[{dir}|{base}|{extension}]\" }",
  "    // for debugging; shows the division into parts",
  "",
  "    method directory {",
  "    // the directory part; \"./\" if in current directory",
  "        if (dir == \"\") then { \"./\" } else { dir }",
  "    }",
  "",
  "    method directory:=(d) {",
  "    // set the directory part",
  "        var newDir := d",
  "        if (newDir == \"\") then {",
  "            dir := \"\"",
  "            return",
  "        }",
  "        if (newDir.at(newDir.size) != \"/\") then {",
  "            newDir := newDir ++ \"/\"",
  "        }",
  "        if (newDir == \"./\") then { newDir := \"\" }",
  "        dir := newDir",
  "    }",
  "    method setDirectory(d) {",
  "    // set the directory part; answers self for chaining",
  "        directory := d",
  "        self",
  "    }",
  "    method setBase(b) {",
  "    // set the base part; answers self for chaining",
  "        base := b",
  "        self",
  "    }",
  "    method setExtension(e) {",
  "    // set the extension; answers self for chaining",
  "        if (e.first == \".\") then {",
  "            extension := e",
  "        } else {",
  "            extension := \".\" ++ e",
  "        }",
  "        self",
  "    }",
  "    method exists -> Boolean {",
  "    // true if his file exists",
  "        io.exists(self.asString)",
  "    }",
  "    method newer(other) -> Boolean {",
  "    // true if this file is newer than other",
  "        io.newer(self.asString, other.asString)",
  "    }",
  "",
  "    method copy {",
  "    // a copy of this filePath",
  "        def p = null",
  "        p.directory := directory",
  "        p.base := base",
  "        p.extension := extension",
  "        p",
  "    }",
  "",
  "    method == (other) {",
  "    // am I equal to other?",
  "        if (directory != other.directory) then { return false }",
  "        if (base != other.base) then { return false }",
  "        if (extension != other.extension) then { return false }",
  "        return true",
  "    }",
  "}",
  "",
  "method withDirectory(d) {",
  "    null.setDirectory(d)",
  "}",
  "",
  "method withBase(b) {",
  "    null.setBase(b)",
  "}",
  "",
  "method withExtension(e) {",
  "    null.setExtension(e)",
  "}",
  "",
  "method withDirectory(d) base(b) extension(e) {",
  "    // creates a unixFilePath with directory d, base b and extension e",
  "    null.setDirectory(d).setBase(b).setExtension(e)",
  "}",
  "",
  "method fromString(s) {",
  "    // parses the filename s into components and answers the approriate unixFilePath",
  "    def p = null",
  "    var slashPosn := 0",
  "    def sSize = s.size",
  "    var ix := sSize",
  "    while { (slashPosn == 0) && (ix > 0) } do {",
  "        if (s.at(ix) == \"/\") then {",
  "            slashPosn := ix",
  "        } else {",
  "            ix := ix - 1",
  "        }",
  "    }",
  "    p.directory := s.substringFrom 1 to (slashPosn)",
  "    var dotPosn := sSize + 1",
  "    ix := sSize",
  "    while { (dotPosn > sSize) && (ix > slashPosn) } do {",
  "        if (s.at(ix) == \".\") then {",
  "            dotPosn := ix",
  "        } else {",
  "            ix := ix - 1",
  "        }",
  "    }",
  "    if (dotPosn <= sSize) then {",
  "        p.extension := s.substringFrom (dotPosn) to (sSize)",
  "    }",
  "    p.base := s.substringFrom (slashPosn + 1) to (dotPosn - 1)",
  "    p",
  "}",
  "",
  "method split(pathString) -> List⟦String⟧ {",
  "    // splits pathString, assumed to be a Unix PATH containing items separated",
  "    // by colons, into a List of items.  Ensures that each item ends with /",
  "    def locations = emptyList",
  "    var ix := 1",
  "    var ox := 1",
  "    def pss = pathString.size",
  "    while { ox <= pss } do {",
  "        while { (ox <= pss) && {pathString.at(ox) != \":\"} } do {",
  "            ox := ox + 1",
  "        }",
  "        var item := pathString.substringFrom(ix) to(ox-1)",
  "        if (item.isEmpty.not) then {",
  "            if (item.last != \"/\") then { item := item ++ \"/\" }",
  "            locations.addLast (item)",
  "        }",
  "        ix := ox + 1",
  "        ox := ix",
  "    }",
  "    return locations",
  "}",
  "",
  "method file(name) onPath(pathString) otherwise(action) {",
  "    def locations = split(pathString)",
  "    def candidate = name.copy",
  "    def originalDir = name.dir",
  "    if (originalDir.first == \"/\") then {",
  "        if (candidate.exists) then {",
  "            return candidate",
  "        } else {",
  "            return action.apply \"\"",
  "        }",
  "    }",
  "    locations.do { each ->",
  "        candidate.setDirectory(each ++ originalDir)",
  "        if ( candidate.exists ) then {",
  "            return candidate",
  "        }",
  "    }",
  "    action.apply(locations)",
  "}",
  NULL
};
Object reader_unixFilePath_outer_3(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_unixFilePath_dir_4(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_unixFilePath_dir_4(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_unixFilePath_base_5(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_unixFilePath_base_5(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_unixFilePath_extension_6(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_unixFilePath_extension_6(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
static ClassData objclass2;
static Object strlit30;
static Object strlit37;
static Object strlit44;
static Object strlit50;
static Object strlit60;
static Object strlit65;
static Object strlit71;
static Object strlit75;
static Object strlit79;
static Object strlit87;
static Object strlit93;
static Object strlit96;
static Object strlit109;
static Object strlit119;
static Object strlit178;
static Object strlit179;
static Object strlit180;
static Object strlit231;
static Object strlit271;
static Object strlit327;
static Object strlit361;
static Object strlit367;
static Object strlit390;
static Object strlit399;
Object module_io;
Object module_io_init();
Object meth_unixFilePath_7_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe9 = gc_frame_new();
// call case 4: self request
  Object call10 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9);
// compiled member node returning call10 (depth = 3)
  int op_slot_right_8 = gc_frame_newslot(call10);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe13 = gc_frame_new();
// call case 4: self request
  Object call14 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe13);
// compiled member node returning call14 (depth = 4)
  int op_slot_right_12 = gc_frame_newslot(call14);
// starting to compile member node (depth = 4)
  int callframe16 = gc_frame_new();
// call case 4: self request
  Object call17 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe16);
// compiled member node returning call17 (depth = 4)
  int op_slot_left_12 = gc_frame_newslot(call17);
  params[0] = call14;
  partcv[0] = 1;
  Object opresult18 = callmethod(call17, "++(1)", 1, partcv, params);
// compiled op node returning opresult18 (depth = 3)
  int op_slot_left_8 = gc_frame_newslot(opresult18);
  params[0] = call10;
  partcv[0] = 1;
  Object opresult19 = callmethod(opresult18, "++(1)", 1, partcv, params);
// compiled op node returning opresult19 (depth = 2)
  gc_frame_end(frame);
  return opresult19;
}
Object meth_unixFilePath_20_shortName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shortName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe22 = gc_frame_new();
// call case 4: self request
  Object call23 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe22);
// compiled member node returning call23 (depth = 3)
  int op_slot_right_21 = gc_frame_newslot(call23);
// starting to compile member node (depth = 3)
  int callframe25 = gc_frame_new();
// call case 4: self request
  Object call26 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe25);
// compiled member node returning call26 (depth = 3)
  int op_slot_left_21 = gc_frame_newslot(call26);
  params[0] = call23;
  partcv[0] = 1;
  Object opresult27 = callmethod(call26, "++(1)", 1, partcv, params);
// compiled op node returning opresult27 (depth = 2)
  gc_frame_end(frame);
  return opresult27;
}
Object meth_unixFilePath_28_asDebugString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit30 == NULL) {
    strlit30 = alloc_String("]");
    gc_root(strlit30);
  }
// compiled string node returning strlit30 (depth = 3)
  int op_slot_right_29 = gc_frame_newslot(strlit30);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe33 = gc_frame_new();
// call case 4: self request
  Object call34 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe33);
// compiled member node returning call34 (depth = 4)
  int op_slot_right_32 = gc_frame_newslot(call34);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit37 == NULL) {
    strlit37 = alloc_String("|");
    gc_root(strlit37);
  }
// compiled string node returning strlit37 (depth = 5)
  int op_slot_right_36 = gc_frame_newslot(strlit37);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe40 = gc_frame_new();
// call case 4: self request
  Object call41 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe40);
// compiled member node returning call41 (depth = 6)
  int op_slot_right_39 = gc_frame_newslot(call41);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit44 == NULL) {
    strlit44 = alloc_String("|");
    gc_root(strlit44);
  }
// compiled string node returning strlit44 (depth = 7)
  int op_slot_right_43 = gc_frame_newslot(strlit44);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe47 = gc_frame_new();
// call case 4: self request
  Object call48 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe47);
// compiled member node returning call48 (depth = 8)
  int op_slot_right_46 = gc_frame_newslot(call48);
// starting to compile string node (depth = 8)
  if (strlit50 == NULL) {
    strlit50 = alloc_String("unixFilePath[");
    gc_root(strlit50);
  }
// compiled string node returning strlit50 (depth = 8)
  int op_slot_left_46 = gc_frame_newslot(strlit50);
  params[0] = call48;
  partcv[0] = 1;
  Object opresult51 = callmethod(strlit50, "++(1)", 1, partcv, params);
// compiled op node returning opresult51 (depth = 7)
  int op_slot_left_43 = gc_frame_newslot(opresult51);
  params[0] = strlit44;
  partcv[0] = 1;
  Object opresult52 = callmethod(opresult51, "++(1)", 1, partcv, params);
// compiled op node returning opresult52 (depth = 6)
  int op_slot_left_39 = gc_frame_newslot(opresult52);
  params[0] = call41;
  partcv[0] = 1;
  Object opresult53 = callmethod(opresult52, "++(1)", 1, partcv, params);
// compiled op node returning opresult53 (depth = 5)
  int op_slot_left_36 = gc_frame_newslot(opresult53);
  params[0] = strlit37;
  partcv[0] = 1;
  Object opresult54 = callmethod(opresult53, "++(1)", 1, partcv, params);
// compiled op node returning opresult54 (depth = 4)
  int op_slot_left_32 = gc_frame_newslot(opresult54);
  params[0] = call34;
  partcv[0] = 1;
  Object opresult55 = callmethod(opresult54, "++(1)", 1, partcv, params);
// compiled op node returning opresult55 (depth = 3)
  int op_slot_left_29 = gc_frame_newslot(opresult55);
  params[0] = strlit30;
  partcv[0] = 1;
  Object opresult56 = callmethod(opresult55, "++(1)", 1, partcv, params);
// compiled op node returning opresult56 (depth = 2)
  gc_frame_end(frame);
  return opresult56;
}
Object meth_unixFilePath_57_directory(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "directory");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit60 == NULL) {
    strlit60 = alloc_String("");
    gc_root(strlit60);
  }
// compiled string node returning strlit60 (depth = 4)
  int op_slot_right_59 = gc_frame_newslot(strlit60);
// starting to compile member node (depth = 4)
  int callframe62 = gc_frame_new();
// call case 4: self request
  Object call63 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe62);
// compiled member node returning call63 (depth = 4)
  int op_slot_left_59 = gc_frame_newslot(call63);
  params[0] = strlit60;
  partcv[0] = 1;
  Object opresult64 = callmethod(call63, "==(1)", 1, partcv, params);
// compiled op node returning opresult64 (depth = 3)
  Object if58 = done;
  if (istrue(opresult64)) {
// starting to compile string node (depth = 3)
  if (strlit65 == NULL) {
    strlit65 = alloc_String("./");
    gc_root(strlit65);
  }
// compiled string node returning strlit65 (depth = 3)
    gc_frame_newslot(strlit65);
    if58 = strlit65;
  } else {
// starting to compile member node (depth = 3)
  int callframe66 = gc_frame_new();
// call case 4: self request
  Object call67 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe66);
// compiled member node returning call67 (depth = 3)
    gc_frame_newslot(call67);
    if58 = call67;
  }
// compiled if node returning if58 (depth = 2)
  gc_frame_end(frame);
  return if58;
}
Object meth_unixFilePath_68_directory_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "directory:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method directory:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for directory:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part directory:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_newDir = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newDir");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_d (depth = 3)
  *var_newDir = *var_d;
  if (*var_d == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit71 == NULL) {
    strlit71 = alloc_String("");
    gc_root(strlit71);
  }
// compiled string node returning strlit71 (depth = 4)
  int op_slot_right_70 = gc_frame_newslot(strlit71);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newDir (depth = 4)
  int op_slot_left_70 = gc_frame_newslot(*var_newDir);
  params[0] = strlit71;
  partcv[0] = 1;
  Object opresult73 = callmethod(*var_newDir, "==(1)", 1, partcv, params);
// compiled op node returning opresult73 (depth = 3)
  Object if69 = done;
  if (istrue(opresult73)) {
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe74 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit75 == NULL) {
    strlit75 = alloc_String("");
    gc_root(strlit75);
  }
// compiled string node returning strlit75 (depth = 4)
  gc_frame_newslot(strlit75);
// call case 4: self request
  params[0] = strlit75;
  partcv[0] = 1;
  Object call76 = callmethodflags(self, "dir:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe74);
// compiled call node returning call76 (depth = 3)
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if69 = undefined;
  } else {
  }
// compiled if node returning if69 (depth = 2)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit79 == NULL) {
    strlit79 = alloc_String("/");
    gc_root(strlit79);
  }
// compiled string node returning strlit79 (depth = 4)
  int op_slot_right_78 = gc_frame_newslot(strlit79);
// starting to compile call node (depth = 4)
  int callframe81 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe82 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newDir (depth = 6)
  Object call83 = callmethodflags(*var_newDir, "size", 0, partcv, params, 0);
  gc_frame_end(callframe82);
// compiled member node returning call83 (depth = 5)
  gc_frame_newslot(call83);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newDir (depth = 5)
  params[0] = call83;
  partcv[0] = 1;
  Object call84 = callmethodflags(*var_newDir, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe81);
// compiled call node returning call84 (depth = 4)
  int op_slot_left_78 = gc_frame_newslot(call84);
  params[0] = strlit79;
  partcv[0] = 1;
  Object opresult85 = callmethod(call84, "≠(1)", 1, partcv, params);
// compiled op node returning opresult85 (depth = 3)
  Object if77 = done;
  if (istrue(opresult85)) {
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit87 == NULL) {
    strlit87 = alloc_String("/");
    gc_root(strlit87);
  }
// compiled string node returning strlit87 (depth = 5)
  int op_slot_right_86 = gc_frame_newslot(strlit87);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newDir (depth = 5)
  int op_slot_left_86 = gc_frame_newslot(*var_newDir);
  params[0] = strlit87;
  partcv[0] = 1;
  Object opresult89 = callmethod(*var_newDir, "++(1)", 1, partcv, params);
// compiled op node returning opresult89 (depth = 4)
  *var_newDir = opresult89;
  if (opresult89 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if77 = done;
  } else {
  }
// compiled if node returning if77 (depth = 2)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit93 == NULL) {
    strlit93 = alloc_String("./");
    gc_root(strlit93);
  }
// compiled string node returning strlit93 (depth = 4)
  int op_slot_right_92 = gc_frame_newslot(strlit93);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newDir (depth = 4)
  int op_slot_left_92 = gc_frame_newslot(*var_newDir);
  params[0] = strlit93;
  partcv[0] = 1;
  Object opresult95 = callmethod(*var_newDir, "==(1)", 1, partcv, params);
// compiled op node returning opresult95 (depth = 3)
  Object if91 = done;
  if (istrue(opresult95)) {
// starting to compile bind node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit96 == NULL) {
    strlit96 = alloc_String("");
    gc_root(strlit96);
  }
// compiled string node returning strlit96 (depth = 4)
  *var_newDir = strlit96;
  if (strlit96 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if91 = done;
  } else {
  }
// compiled if node returning if91 (depth = 2)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe98 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newDir (depth = 3)
  gc_frame_newslot(*var_newDir);
// call case 4: self request
  params[0] = *var_newDir;
  partcv[0] = 1;
  Object call99 = callmethodflags(self, "dir:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe98);
// compiled call node returning call99 (depth = 2)
  gc_frame_end(frame);
  return call99;
}
Object meth_unixFilePath_100_setDirectory_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setDirectory(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setDirectory(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setDirectory(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setDirectory(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe101 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_d (depth = 3)
  gc_frame_newslot(*var_d);
// call case 4: self request
  params[0] = *var_d;
  partcv[0] = 1;
  Object call102 = callmethodflags(self, "directory:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe101);
// compiled call node returning call102 (depth = 2)
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_unixFilePath_103_setBase_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setBase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setBase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setBase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setBase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe104 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call105 = callmethodflags(self, "base:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe104);
// compiled call node returning call105 (depth = 2)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_unixFilePath_106_setExtension_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setExtension(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setExtension(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setExtension(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setExtension(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit109 == NULL) {
    strlit109 = alloc_String(".");
    gc_root(strlit109);
  }
// compiled string node returning strlit109 (depth = 4)
  int op_slot_right_108 = gc_frame_newslot(strlit109);
// starting to compile member node (depth = 4)
  int callframe111 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_e (depth = 5)
  Object call112 = callmethodflags(*var_e, "first", 0, partcv, params, 0);
  gc_frame_end(callframe111);
// compiled member node returning call112 (depth = 4)
  int op_slot_left_108 = gc_frame_newslot(call112);
  params[0] = strlit109;
  partcv[0] = 1;
  Object opresult113 = callmethod(call112, "==(1)", 1, partcv, params);
// compiled op node returning opresult113 (depth = 3)
  Object if107 = done;
  if (istrue(opresult113)) {
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe114 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_e (depth = 4)
  gc_frame_newslot(*var_e);
// call case 4: self request
  params[0] = *var_e;
  partcv[0] = 1;
  Object call115 = callmethodflags(self, "extension:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe114);
// compiled call node returning call115 (depth = 3)
    gc_frame_newslot(call115);
    if107 = call115;
  } else {
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe116 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_e (depth = 5)
  int op_slot_right_117 = gc_frame_newslot(*var_e);
// starting to compile string node (depth = 5)
  if (strlit119 == NULL) {
    strlit119 = alloc_String(".");
    gc_root(strlit119);
  }
// compiled string node returning strlit119 (depth = 5)
  int op_slot_left_117 = gc_frame_newslot(strlit119);
  params[0] = *var_e;
  partcv[0] = 1;
  Object opresult120 = callmethod(strlit119, "++(1)", 1, partcv, params);
// compiled op node returning opresult120 (depth = 4)
  gc_frame_newslot(opresult120);
// call case 4: self request
  params[0] = opresult120;
  partcv[0] = 1;
  Object call121 = callmethodflags(self, "extension:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe116);
// compiled call node returning call121 (depth = 3)
    gc_frame_newslot(call121);
    if107 = call121;
  }
// compiled if node returning if107 (depth = 2)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_unixFilePath_122_exists(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "exists");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_io = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe123 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe124 = gc_frame_new();
// call case 4: self request
  Object call125 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe124);
// compiled member node returning call125 (depth = 3)
  gc_frame_newslot(call125);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_io (depth = 3)
  params[0] = call125;
  partcv[0] = 1;
  Object call126 = callmethodflags(*var_io, "exists(1)", 1, partcv, params, 0);
  gc_frame_end(callframe123);
// compiled call node returning call126 (depth = 2)
  gc_frame_end(frame);
  return call126;
}
Object meth_unixFilePath_127_newer_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newer(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method newer(_)");
  Object params[2];
  int partcv[1];
  Object *var_io = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for newer(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part newer(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe128 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe129 = gc_frame_new();
// call case 4: self request
  Object call130 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe129);
// compiled member node returning call130 (depth = 3)
  gc_frame_newslot(call130);
// starting to compile member node (depth = 3)
  int callframe131 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call132 = callmethodflags(*var_other, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe131);
// compiled member node returning call132 (depth = 3)
  gc_frame_newslot(call132);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_io (depth = 3)
  params[0] = call130;
  params[1] = call132;
  partcv[0] = 2;
  Object call133 = callmethodflags(*var_io, "newer(2)", 1, partcv, params, 0);
  gc_frame_end(callframe128);
// compiled call node returning call133 (depth = 2)
  gc_frame_end(frame);
  return call133;
}
Object meth_unixFilePath_134_copy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_p = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "p");
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe135 = gc_frame_new();
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_unixFilePath (depth = 4)
  Object call136 = callmethodflags(module_unixFilePath, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe135);
// compiled member node returning call136 (depth = 3)
  *var_p = call136;
  if (call136 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe137 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe138 = gc_frame_new();
// call case 4: self request
  Object call139 = callmethodflags(self, "directory", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe138);
// compiled member node returning call139 (depth = 3)
  gc_frame_newslot(call139);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call139;
  partcv[0] = 1;
  Object call140 = callmethodflags(*var_p, "directory:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe137);
// compiled call node returning call140 (depth = 2)
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe141 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe142 = gc_frame_new();
// call case 4: self request
  Object call143 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe142);
// compiled member node returning call143 (depth = 3)
  gc_frame_newslot(call143);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call143;
  partcv[0] = 1;
  Object call144 = callmethodflags(*var_p, "base:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe141);
// compiled call node returning call144 (depth = 2)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe145 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe146 = gc_frame_new();
// call case 4: self request
  Object call147 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe146);
// compiled member node returning call147 (depth = 3)
  gc_frame_newslot(call147);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call147;
  partcv[0] = 1;
  Object call148 = callmethodflags(*var_p, "extension:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe145);
// compiled call node returning call148 (depth = 2)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_p (depth = 2)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_unixFilePath_149__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe152 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call153 = callmethodflags(*var_other, "directory", 0, partcv, params, 0);
  gc_frame_end(callframe152);
// compiled member node returning call153 (depth = 4)
  int op_slot_right_151 = gc_frame_newslot(call153);
// starting to compile member node (depth = 4)
  int callframe155 = gc_frame_new();
// call case 4: self request
  Object call156 = callmethodflags(self, "directory", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe155);
// compiled member node returning call156 (depth = 4)
  int op_slot_left_151 = gc_frame_newslot(call156);
  params[0] = call153;
  partcv[0] = 1;
  Object opresult157 = callmethod(call156, "≠(1)", 1, partcv, params);
// compiled op node returning opresult157 (depth = 3)
  Object if150 = done;
  if (istrue(opresult157)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool158 = alloc_Boolean(0);
// compiled identifier node returning bool158 (depth = 4)
  return bool158;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if150 = undefined;
  } else {
  }
// compiled if node returning if150 (depth = 2)
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe161 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call162 = callmethodflags(*var_other, "base", 0, partcv, params, 0);
  gc_frame_end(callframe161);
// compiled member node returning call162 (depth = 4)
  int op_slot_right_160 = gc_frame_newslot(call162);
// starting to compile member node (depth = 4)
  int callframe164 = gc_frame_new();
// call case 4: self request
  Object call165 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe164);
// compiled member node returning call165 (depth = 4)
  int op_slot_left_160 = gc_frame_newslot(call165);
  params[0] = call162;
  partcv[0] = 1;
  Object opresult166 = callmethod(call165, "≠(1)", 1, partcv, params);
// compiled op node returning opresult166 (depth = 3)
  Object if159 = done;
  if (istrue(opresult166)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool167 = alloc_Boolean(0);
// compiled identifier node returning bool167 (depth = 4)
  return bool167;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if159 = undefined;
  } else {
  }
// compiled if node returning if159 (depth = 2)
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe170 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call171 = callmethodflags(*var_other, "extension", 0, partcv, params, 0);
  gc_frame_end(callframe170);
// compiled member node returning call171 (depth = 4)
  int op_slot_right_169 = gc_frame_newslot(call171);
// starting to compile member node (depth = 4)
  int callframe173 = gc_frame_new();
// call case 4: self request
  Object call174 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe173);
// compiled member node returning call174 (depth = 4)
  int op_slot_left_169 = gc_frame_newslot(call174);
  params[0] = call171;
  partcv[0] = 1;
  Object opresult175 = callmethod(call174, "≠(1)", 1, partcv, params);
// compiled op node returning opresult175 (depth = 3)
  Object if168 = done;
  if (istrue(opresult175)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool176 = alloc_Boolean(0);
// compiled identifier node returning bool176 (depth = 4)
  return bool176;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if168 = undefined;
  } else {
  }
// compiled if node returning if168 (depth = 2)
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool177 = alloc_Boolean(1);
// compiled identifier node returning bool177 (depth = 3)
  return bool177;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_unixFilePath_1_null(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "null");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2 = alloc_userobj2(18,16, objclass2);
  gc_frame_newslot(obj2);
  if (objclass2 == NULL) {
    glfree(obj2->class->name);
    obj2->class->name = "null";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2, self, 0);
  addmethodreal(obj2,"outer", &reader_unixFilePath_outer_3);
  Object oldself2 = self;
  struct StackFrameObject *oldstackframe2 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2);
  gc_frame_newslot((Object)stackframe);
  self = obj2;
  Object *oldselfslot2 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2 = (*(struct UserObject *)self).data[0], lowerouter2 = thisouter2;
  if (inheritingObject2) {
    struct UserObject *inho2 = (struct UserObject *)inheritingObject2;
    while (inho2->super != GraceDefaultObject) inho2 = (struct UserObject *)inho2->super;
    inho2->super = obj2;
    self = inheritingObject2;
    *selfslot = self;
    lowerouter2 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2;
  }
  if (objclass2 == NULL) {
    Method *reader4 = addmethodrealflags(obj2, "dir", &reader_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
    Method *writer4 = addmethodrealflags(obj2, "dir:=(1)", &writer_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
    reader4->definitionModule = modulename;
    writer4->definitionModule = modulename;
    reader4->definitionLine = 6;
    writer4->definitionLine = 6;
  }
  obj2->flags |= OFLAG_MUTABLE;
  adddatum2(obj2, alloc_Undefined(), 1);
  if (objclass2 == NULL) {
    Method *reader5 = addmethodrealflags(obj2, "base", &reader_unixFilePath_base_5, 0);
    Method *writer5 = addmethodrealflags(obj2, "base:=(1)", &writer_unixFilePath_base_5, 0);
    reader5->definitionModule = modulename;
    writer5->definitionModule = modulename;
    reader5->definitionLine = 9;
    writer5->definitionLine = 9;
  }
  obj2->flags |= OFLAG_MUTABLE;
  adddatum2(obj2, alloc_Undefined(), 2);
  if (objclass2 == NULL) {
    Method *reader6 = addmethodrealflags(obj2, "extension", &reader_unixFilePath_extension_6, 0);
    Method *writer6 = addmethodrealflags(obj2, "extension:=(1)", &writer_unixFilePath_extension_6, 0);
    reader6->definitionModule = modulename;
    writer6->definitionModule = modulename;
    reader6->definitionLine = 12;
    writer6->definitionLine = 12;
  }
  obj2->flags |= OFLAG_MUTABLE;
  adddatum2(obj2, alloc_Undefined(), 3);
// method "asString"
  struct UserObject *uo7 = (struct UserObject*)obj2;
  uo7->data[4] = emptyclosure;
  Method *meth_meth_unixFilePath_7_asString = addmethod2pos(obj2, "asString", &meth_unixFilePath_7_asString, 4);
  int argcv_meth_unixFilePath_7_asString[] = {0};
  meth_meth_unixFilePath_7_asString->type = alloc_MethodType(1, argcv_meth_unixFilePath_7_asString);
  meth_meth_unixFilePath_7_asString->definitionModule = modulename;
  meth_meth_unixFilePath_7_asString->definitionLine = 15;
// method "shortName"
  struct UserObject *uo20 = (struct UserObject*)obj2;
  uo20->data[5] = emptyclosure;
  Method *meth_meth_unixFilePath_20_shortName = addmethod2pos(obj2, "shortName", &meth_unixFilePath_20_shortName, 5);
  int argcv_meth_unixFilePath_20_shortName[] = {0};
  meth_meth_unixFilePath_20_shortName->type = alloc_MethodType(1, argcv_meth_unixFilePath_20_shortName);
  meth_meth_unixFilePath_20_shortName->definitionModule = modulename;
  meth_meth_unixFilePath_20_shortName->definitionLine = 18;
// method "asDebugString"
  struct UserObject *uo28 = (struct UserObject*)obj2;
  uo28->data[6] = emptyclosure;
  Method *meth_meth_unixFilePath_28_asDebugString = addmethod2pos(obj2, "asDebugString", &meth_unixFilePath_28_asDebugString, 6);
  int argcv_meth_unixFilePath_28_asDebugString[] = {0};
  meth_meth_unixFilePath_28_asDebugString->type = alloc_MethodType(1, argcv_meth_unixFilePath_28_asDebugString);
  meth_meth_unixFilePath_28_asDebugString->definitionModule = modulename;
  meth_meth_unixFilePath_28_asDebugString->definitionLine = 21;
// method "directory"
  struct UserObject *uo57 = (struct UserObject*)obj2;
  uo57->data[7] = emptyclosure;
  Method *meth_meth_unixFilePath_57_directory = addmethod2pos(obj2, "directory", &meth_unixFilePath_57_directory, 7);
  int argcv_meth_unixFilePath_57_directory[] = {0};
  meth_meth_unixFilePath_57_directory->type = alloc_MethodType(1, argcv_meth_unixFilePath_57_directory);
  meth_meth_unixFilePath_57_directory->definitionModule = modulename;
  meth_meth_unixFilePath_57_directory->definitionLine = 24;
// method "directory:=(_)"
  block_savedest(obj2);
  Object closure68 = createclosure(1, "directory:=(1)");
  setclosureframe(closure68, stackframe);
  addtoclosure(closure68, var_done);
  struct UserObject *uo68 = (struct UserObject*)obj2;
  uo68->data[8] = (Object)closure68;
  Method *meth_meth_unixFilePath_68_directory_58__61__40_1_41_ = addmethod2pos(obj2, "directory:=(1)", &meth_unixFilePath_68_directory_58__61__40_1_41_, 8);
  int argcv_meth_unixFilePath_68_directory_58__61__40_1_41_[] = {1};
  meth_meth_unixFilePath_68_directory_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_68_directory_58__61__40_1_41_);
  meth_meth_unixFilePath_68_directory_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_68_directory_58__61__40_1_41_->definitionLine = 29;
// method "setDirectory(_)"
  struct UserObject *uo100 = (struct UserObject*)obj2;
  uo100->data[9] = emptyclosure;
  Method *meth_meth_unixFilePath_100_setDirectory_40_1_41_ = addmethod2pos(obj2, "setDirectory(1)", &meth_unixFilePath_100_setDirectory_40_1_41_, 9);
  int argcv_meth_unixFilePath_100_setDirectory_40_1_41_[] = {1};
  meth_meth_unixFilePath_100_setDirectory_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_100_setDirectory_40_1_41_);
  meth_meth_unixFilePath_100_setDirectory_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_100_setDirectory_40_1_41_->definitionLine = 42;
// method "setBase(_)"
  struct UserObject *uo103 = (struct UserObject*)obj2;
  uo103->data[10] = emptyclosure;
  Method *meth_meth_unixFilePath_103_setBase_40_1_41_ = addmethod2pos(obj2, "setBase(1)", &meth_unixFilePath_103_setBase_40_1_41_, 10);
  int argcv_meth_unixFilePath_103_setBase_40_1_41_[] = {1};
  meth_meth_unixFilePath_103_setBase_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_103_setBase_40_1_41_);
  meth_meth_unixFilePath_103_setBase_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_103_setBase_40_1_41_->definitionLine = 47;
// method "setExtension(_)"
  struct UserObject *uo106 = (struct UserObject*)obj2;
  uo106->data[11] = emptyclosure;
  Method *meth_meth_unixFilePath_106_setExtension_40_1_41_ = addmethod2pos(obj2, "setExtension(1)", &meth_unixFilePath_106_setExtension_40_1_41_, 11);
  int argcv_meth_unixFilePath_106_setExtension_40_1_41_[] = {1};
  meth_meth_unixFilePath_106_setExtension_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_106_setExtension_40_1_41_);
  meth_meth_unixFilePath_106_setExtension_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_106_setExtension_40_1_41_->definitionLine = 52;
// method "exists"
  block_savedest(obj2);
  Object closure122 = createclosure(1, "exists");
  setclosureframe(closure122, stackframe);
  addtoclosure(closure122, var_io);
  struct UserObject *uo122 = (struct UserObject*)obj2;
  uo122->data[12] = (Object)closure122;
  Method *meth_meth_unixFilePath_122_exists = addmethod2pos(obj2, "exists", &meth_unixFilePath_122_exists, 12);
  int argcv_meth_unixFilePath_122_exists[] = {0};
  meth_meth_unixFilePath_122_exists->type = alloc_MethodType(1, argcv_meth_unixFilePath_122_exists);
  meth_meth_unixFilePath_122_exists->definitionModule = modulename;
  meth_meth_unixFilePath_122_exists->definitionLine = 61;
// method "newer(_)"
  block_savedest(obj2);
  Object closure127 = createclosure(1, "newer(1)");
  setclosureframe(closure127, stackframe);
  addtoclosure(closure127, var_io);
  struct UserObject *uo127 = (struct UserObject*)obj2;
  uo127->data[13] = (Object)closure127;
  Method *meth_meth_unixFilePath_127_newer_40_1_41_ = addmethod2pos(obj2, "newer(1)", &meth_unixFilePath_127_newer_40_1_41_, 13);
  int argcv_meth_unixFilePath_127_newer_40_1_41_[] = {1};
  meth_meth_unixFilePath_127_newer_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_127_newer_40_1_41_);
  meth_meth_unixFilePath_127_newer_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_127_newer_40_1_41_->definitionLine = 65;
// method "copy"
  struct UserObject *uo134 = (struct UserObject*)obj2;
  uo134->data[14] = emptyclosure;
  Method *meth_meth_unixFilePath_134_copy = addmethod2pos(obj2, "copy", &meth_unixFilePath_134_copy, 14);
  int argcv_meth_unixFilePath_134_copy[] = {0};
  meth_meth_unixFilePath_134_copy->type = alloc_MethodType(1, argcv_meth_unixFilePath_134_copy);
  meth_meth_unixFilePath_134_copy->definitionModule = modulename;
  meth_meth_unixFilePath_134_copy->definitionLine = 70;
// method "==(_)"
  struct UserObject *uo149 = (struct UserObject*)obj2;
  uo149->data[15] = emptyclosure;
  Method *meth_meth_unixFilePath_149__61__61__40_1_41_ = addmethod2pos(obj2, "==(1)", &meth_unixFilePath_149__61__61__40_1_41_, 15);
  int argcv_meth_unixFilePath_149__61__61__40_1_41_[] = {1};
  meth_meth_unixFilePath_149__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_149__61__61__40_1_41_);
  meth_meth_unixFilePath_149__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_149__61__61__40_1_41_->definitionLine = 79;
  sourceObject = obj2;
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit178 == NULL) {
    strlit178 = alloc_String("");
    gc_root(strlit178);
  }
// compiled string node returning strlit178 (depth = 2)
  adddatum2(obj2, strlit178, 1);
  sourceObject = obj2;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit179 == NULL) {
    strlit179 = alloc_String("");
    gc_root(strlit179);
  }
// compiled string node returning strlit179 (depth = 2)
  adddatum2(obj2, strlit179, 2);
  sourceObject = obj2;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit180 == NULL) {
    strlit180 = alloc_String("");
    gc_root(strlit180);
  }
// compiled string node returning strlit180 (depth = 2)
  adddatum2(obj2, strlit180, 3);
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  objclass2 = obj2->class;
  objclass2->definitionModule = modulename;
  objclass2->definitionLine = 3;
  (*(struct UserObject *)self).data[0] = lowerouter2;
  self = oldself2;
  selfslot = oldselfslot2;
  stackframe = oldstackframe2;
  gc_frame_end(frame);
  return obj2;
}
Object meth_unixFilePath_1_null_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "null$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2 = alloc_userobj2(18,16, objclass2);
  gc_frame_newslot(obj2);
  if (objclass2 == NULL) {
    glfree(obj2->class->name);
    obj2->class->name = "null";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2, self, 0);
  addmethodreal(obj2,"outer", &reader_unixFilePath_outer_3);
  Object oldself2 = self;
  struct StackFrameObject *oldstackframe2 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2);
  gc_frame_newslot((Object)stackframe);
  self = obj2;
  Object *oldselfslot2 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2 = (*(struct UserObject *)self).data[0], lowerouter2 = thisouter2;
  if (inheritingObject2) {
    struct UserObject *inho2 = (struct UserObject *)inheritingObject2;
    while (inho2->super != GraceDefaultObject) inho2 = (struct UserObject *)inho2->super;
    inho2->super = obj2;
    self = inheritingObject2;
    *selfslot = self;
    lowerouter2 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2;
  }
  if (objclass2 == NULL) {
    Method *reader4 = addmethodrealflags(obj2, "dir", &reader_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
    Method *writer4 = addmethodrealflags(obj2, "dir:=(1)", &writer_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
    reader4->definitionModule = modulename;
    writer4->definitionModule = modulename;
    reader4->definitionLine = 6;
    writer4->definitionLine = 6;
  }
  obj2->flags |= OFLAG_MUTABLE;
  adddatum2(obj2, alloc_Undefined(), 1);
  if (objclass2 == NULL) {
    Method *reader5 = addmethodrealflags(obj2, "base", &reader_unixFilePath_base_5, 0);
    Method *writer5 = addmethodrealflags(obj2, "base:=(1)", &writer_unixFilePath_base_5, 0);
    reader5->definitionModule = modulename;
    writer5->definitionModule = modulename;
    reader5->definitionLine = 9;
    writer5->definitionLine = 9;
  }
  obj2->flags |= OFLAG_MUTABLE;
  adddatum2(obj2, alloc_Undefined(), 2);
  if (objclass2 == NULL) {
    Method *reader6 = addmethodrealflags(obj2, "extension", &reader_unixFilePath_extension_6, 0);
    Method *writer6 = addmethodrealflags(obj2, "extension:=(1)", &writer_unixFilePath_extension_6, 0);
    reader6->definitionModule = modulename;
    writer6->definitionModule = modulename;
    reader6->definitionLine = 12;
    writer6->definitionLine = 12;
  }
  obj2->flags |= OFLAG_MUTABLE;
  adddatum2(obj2, alloc_Undefined(), 3);
// method "asString"
  struct UserObject *uo7 = (struct UserObject*)obj2;
  uo7->data[4] = emptyclosure;
  Method *meth_meth_unixFilePath_7_asString = addmethod2pos(obj2, "asString", &meth_unixFilePath_7_asString, 4);
  int argcv_meth_unixFilePath_7_asString[] = {0};
  meth_meth_unixFilePath_7_asString->type = alloc_MethodType(1, argcv_meth_unixFilePath_7_asString);
  meth_meth_unixFilePath_7_asString->definitionModule = modulename;
  meth_meth_unixFilePath_7_asString->definitionLine = 15;
// method "shortName"
  struct UserObject *uo20 = (struct UserObject*)obj2;
  uo20->data[5] = emptyclosure;
  Method *meth_meth_unixFilePath_20_shortName = addmethod2pos(obj2, "shortName", &meth_unixFilePath_20_shortName, 5);
  int argcv_meth_unixFilePath_20_shortName[] = {0};
  meth_meth_unixFilePath_20_shortName->type = alloc_MethodType(1, argcv_meth_unixFilePath_20_shortName);
  meth_meth_unixFilePath_20_shortName->definitionModule = modulename;
  meth_meth_unixFilePath_20_shortName->definitionLine = 18;
// method "asDebugString"
  struct UserObject *uo28 = (struct UserObject*)obj2;
  uo28->data[6] = emptyclosure;
  Method *meth_meth_unixFilePath_28_asDebugString = addmethod2pos(obj2, "asDebugString", &meth_unixFilePath_28_asDebugString, 6);
  int argcv_meth_unixFilePath_28_asDebugString[] = {0};
  meth_meth_unixFilePath_28_asDebugString->type = alloc_MethodType(1, argcv_meth_unixFilePath_28_asDebugString);
  meth_meth_unixFilePath_28_asDebugString->definitionModule = modulename;
  meth_meth_unixFilePath_28_asDebugString->definitionLine = 21;
// method "directory"
  struct UserObject *uo57 = (struct UserObject*)obj2;
  uo57->data[7] = emptyclosure;
  Method *meth_meth_unixFilePath_57_directory = addmethod2pos(obj2, "directory", &meth_unixFilePath_57_directory, 7);
  int argcv_meth_unixFilePath_57_directory[] = {0};
  meth_meth_unixFilePath_57_directory->type = alloc_MethodType(1, argcv_meth_unixFilePath_57_directory);
  meth_meth_unixFilePath_57_directory->definitionModule = modulename;
  meth_meth_unixFilePath_57_directory->definitionLine = 24;
// method "directory:=(_)"
  block_savedest(obj2);
  Object closure68 = createclosure(1, "directory:=(1)");
  setclosureframe(closure68, stackframe);
  addtoclosure(closure68, var_done);
  struct UserObject *uo68 = (struct UserObject*)obj2;
  uo68->data[8] = (Object)closure68;
  Method *meth_meth_unixFilePath_68_directory_58__61__40_1_41_ = addmethod2pos(obj2, "directory:=(1)", &meth_unixFilePath_68_directory_58__61__40_1_41_, 8);
  int argcv_meth_unixFilePath_68_directory_58__61__40_1_41_[] = {1};
  meth_meth_unixFilePath_68_directory_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_68_directory_58__61__40_1_41_);
  meth_meth_unixFilePath_68_directory_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_68_directory_58__61__40_1_41_->definitionLine = 29;
// method "setDirectory(_)"
  struct UserObject *uo100 = (struct UserObject*)obj2;
  uo100->data[9] = emptyclosure;
  Method *meth_meth_unixFilePath_100_setDirectory_40_1_41_ = addmethod2pos(obj2, "setDirectory(1)", &meth_unixFilePath_100_setDirectory_40_1_41_, 9);
  int argcv_meth_unixFilePath_100_setDirectory_40_1_41_[] = {1};
  meth_meth_unixFilePath_100_setDirectory_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_100_setDirectory_40_1_41_);
  meth_meth_unixFilePath_100_setDirectory_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_100_setDirectory_40_1_41_->definitionLine = 42;
// method "setBase(_)"
  struct UserObject *uo103 = (struct UserObject*)obj2;
  uo103->data[10] = emptyclosure;
  Method *meth_meth_unixFilePath_103_setBase_40_1_41_ = addmethod2pos(obj2, "setBase(1)", &meth_unixFilePath_103_setBase_40_1_41_, 10);
  int argcv_meth_unixFilePath_103_setBase_40_1_41_[] = {1};
  meth_meth_unixFilePath_103_setBase_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_103_setBase_40_1_41_);
  meth_meth_unixFilePath_103_setBase_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_103_setBase_40_1_41_->definitionLine = 47;
// method "setExtension(_)"
  struct UserObject *uo106 = (struct UserObject*)obj2;
  uo106->data[11] = emptyclosure;
  Method *meth_meth_unixFilePath_106_setExtension_40_1_41_ = addmethod2pos(obj2, "setExtension(1)", &meth_unixFilePath_106_setExtension_40_1_41_, 11);
  int argcv_meth_unixFilePath_106_setExtension_40_1_41_[] = {1};
  meth_meth_unixFilePath_106_setExtension_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_106_setExtension_40_1_41_);
  meth_meth_unixFilePath_106_setExtension_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_106_setExtension_40_1_41_->definitionLine = 52;
// method "exists"
  block_savedest(obj2);
  Object closure122 = createclosure(1, "exists");
  setclosureframe(closure122, stackframe);
  addtoclosure(closure122, var_io);
  struct UserObject *uo122 = (struct UserObject*)obj2;
  uo122->data[12] = (Object)closure122;
  Method *meth_meth_unixFilePath_122_exists = addmethod2pos(obj2, "exists", &meth_unixFilePath_122_exists, 12);
  int argcv_meth_unixFilePath_122_exists[] = {0};
  meth_meth_unixFilePath_122_exists->type = alloc_MethodType(1, argcv_meth_unixFilePath_122_exists);
  meth_meth_unixFilePath_122_exists->definitionModule = modulename;
  meth_meth_unixFilePath_122_exists->definitionLine = 61;
// method "newer(_)"
  block_savedest(obj2);
  Object closure127 = createclosure(1, "newer(1)");
  setclosureframe(closure127, stackframe);
  addtoclosure(closure127, var_io);
  struct UserObject *uo127 = (struct UserObject*)obj2;
  uo127->data[13] = (Object)closure127;
  Method *meth_meth_unixFilePath_127_newer_40_1_41_ = addmethod2pos(obj2, "newer(1)", &meth_unixFilePath_127_newer_40_1_41_, 13);
  int argcv_meth_unixFilePath_127_newer_40_1_41_[] = {1};
  meth_meth_unixFilePath_127_newer_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_127_newer_40_1_41_);
  meth_meth_unixFilePath_127_newer_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_127_newer_40_1_41_->definitionLine = 65;
// method "copy"
  struct UserObject *uo134 = (struct UserObject*)obj2;
  uo134->data[14] = emptyclosure;
  Method *meth_meth_unixFilePath_134_copy = addmethod2pos(obj2, "copy", &meth_unixFilePath_134_copy, 14);
  int argcv_meth_unixFilePath_134_copy[] = {0};
  meth_meth_unixFilePath_134_copy->type = alloc_MethodType(1, argcv_meth_unixFilePath_134_copy);
  meth_meth_unixFilePath_134_copy->definitionModule = modulename;
  meth_meth_unixFilePath_134_copy->definitionLine = 70;
// method "==(_)"
  struct UserObject *uo149 = (struct UserObject*)obj2;
  uo149->data[15] = emptyclosure;
  Method *meth_meth_unixFilePath_149__61__61__40_1_41_ = addmethod2pos(obj2, "==(1)", &meth_unixFilePath_149__61__61__40_1_41_, 15);
  int argcv_meth_unixFilePath_149__61__61__40_1_41_[] = {1};
  meth_meth_unixFilePath_149__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_149__61__61__40_1_41_);
  meth_meth_unixFilePath_149__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_149__61__61__40_1_41_->definitionLine = 79;
  sourceObject = obj2;
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit178 == NULL) {
    strlit178 = alloc_String("");
    gc_root(strlit178);
  }
// compiled string node returning strlit178 (depth = 2)
  adddatum2(obj2, strlit178, 1);
  sourceObject = obj2;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit179 == NULL) {
    strlit179 = alloc_String("");
    gc_root(strlit179);
  }
// compiled string node returning strlit179 (depth = 2)
  adddatum2(obj2, strlit179, 2);
  sourceObject = obj2;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit180 == NULL) {
    strlit180 = alloc_String("");
    gc_root(strlit180);
  }
// compiled string node returning strlit180 (depth = 2)
  adddatum2(obj2, strlit180, 3);
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  objclass2 = obj2->class;
  objclass2->definitionModule = modulename;
  objclass2->definitionLine = 3;
  (*(struct UserObject *)self).data[0] = lowerouter2;
  self = oldself2;
  selfslot = oldselfslot2;
  stackframe = oldstackframe2;
  gc_frame_end(frame);
  return obj2;
}
Object meth_unixFilePath_182_withDirectory_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withDirectory(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withDirectory(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withDirectory(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe183 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_d (depth = 3)
  gc_frame_newslot(*var_d);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe184 = gc_frame_new();
// call case 4: self request
  Object call185 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe184);
// compiled member node returning call185 (depth = 3)
  params[0] = *var_d;
  partcv[0] = 1;
  Object call186 = callmethodflags(call185, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe183);
// compiled call node returning call186 (depth = 2)
  gc_frame_end(frame);
  return call186;
}
Object meth_unixFilePath_187_withBase_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withBase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withBase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withBase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withBase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe188 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe189 = gc_frame_new();
// call case 4: self request
  Object call190 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe189);
// compiled member node returning call190 (depth = 3)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call191 = callmethodflags(call190, "setBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe188);
// compiled call node returning call191 (depth = 2)
  gc_frame_end(frame);
  return call191;
}
Object meth_unixFilePath_192_withExtension_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withExtension(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withExtension(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withExtension(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withExtension(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe193 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_e (depth = 3)
  gc_frame_newslot(*var_e);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe194 = gc_frame_new();
// call case 4: self request
  Object call195 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe194);
// compiled member node returning call195 (depth = 3)
  params[0] = *var_e;
  partcv[0] = 1;
  Object call196 = callmethodflags(call195, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe193);
// compiled call node returning call196 (depth = 2)
  gc_frame_end(frame);
  return call196;
}
Object meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withDirectory(1)base(1)extension(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)base(_)extension(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)base(_)extension(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)base(_)extension(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for withDirectory(_)base(_)extension(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withDirectory(_)");
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part base(_)");
  Object *var_e = &(stackframe->slots[2]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extension(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe198 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_e (depth = 3)
  gc_frame_newslot(*var_e);
// call case 6: other requests
// starting to compile call node (depth = 3)
  int callframe199 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe200 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_d (depth = 5)
  gc_frame_newslot(*var_d);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe201 = gc_frame_new();
// call case 4: self request
  Object call202 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe201);
// compiled member node returning call202 (depth = 5)
  params[0] = *var_d;
  partcv[0] = 1;
  Object call203 = callmethodflags(call202, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe200);
// compiled call node returning call203 (depth = 4)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call204 = callmethodflags(call203, "setBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe199);
// compiled call node returning call204 (depth = 3)
  params[0] = *var_e;
  partcv[0] = 1;
  Object call205 = callmethodflags(call204, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe198);
// compiled call node returning call205 (depth = 2)
  gc_frame_end(frame);
  return call205;
}
Object meth_unixFilePath_214__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_slashPosn = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num217 = alloc_Float64(0);
// compiled num node returning num217 (depth = 6)
  int op_slot_right_216 = gc_frame_newslot(num217);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_216 = gc_frame_newslot(*var_ix);
  params[0] = num217;
  partcv[0] = 1;
  Object opresult219 = callmethod(*var_ix, ">(1)", 1, partcv, params);
// compiled op node returning opresult219 (depth = 5)
  int op_slot_right_215 = gc_frame_newslot(opresult219);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num222 = alloc_Float64(0);
// compiled num node returning num222 (depth = 6)
  int op_slot_right_221 = gc_frame_newslot(num222);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_slashPosn (depth = 6)
  int op_slot_left_221 = gc_frame_newslot(*var_slashPosn);
  params[0] = num222;
  partcv[0] = 1;
  Object opresult224 = callmethod(*var_slashPosn, "==(1)", 1, partcv, params);
// compiled op node returning opresult224 (depth = 5)
  int op_slot_left_215 = gc_frame_newslot(opresult224);
  params[0] = opresult219;
  partcv[0] = 1;
  Object opresult225 = callmethod(opresult224, "&&(1)", 1, partcv, params);
// compiled op node returning opresult225 (depth = 4)
  gc_frame_end(frame);
  return opresult225;
}
Object meth_unixFilePath_228__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_slashPosn = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit231 == NULL) {
    strlit231 = alloc_String("/");
    gc_root(strlit231);
  }
// compiled string node returning strlit231 (depth = 6)
  int op_slot_right_230 = gc_frame_newslot(strlit231);
// starting to compile call node (depth = 6)
  int callframe233 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call234 = callmethodflags(*var_s, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe233);
// compiled call node returning call234 (depth = 6)
  int op_slot_left_230 = gc_frame_newslot(call234);
  params[0] = strlit231;
  partcv[0] = 1;
  Object opresult235 = callmethod(call234, "==(1)", 1, partcv, params);
// compiled op node returning opresult235 (depth = 5)
  Object if229 = done;
  if (istrue(opresult235)) {
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  *var_slashPosn = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if229 = done;
  } else {
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num238 = alloc_Float64(1);
// compiled num node returning num238 (depth = 7)
  int op_slot_right_237 = gc_frame_newslot(num238);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_237 = gc_frame_newslot(*var_ix);
  params[0] = num238;
  partcv[0] = 1;
  Object diff240 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff240 (depth = 6)
  *var_ix = diff240;
  if (diff240 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if229 = done;
  }
// compiled if node returning if229 (depth = 4)
  gc_frame_end(frame);
  return if229;
}
Object meth_unixFilePath_256__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_slashPosn = getfromclosure(closure, 0);
  Object *var_ix = getfromclosure(closure, 1);
  Object *var_sSize = getfromclosure(closure, 2);
  Object *var_dotPosn = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_slashPosn (depth = 6)
  int op_slot_right_258 = gc_frame_newslot(*var_slashPosn);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_258 = gc_frame_newslot(*var_ix);
  params[0] = *var_slashPosn;
  partcv[0] = 1;
  Object opresult260 = callmethod(*var_ix, ">(1)", 1, partcv, params);
// compiled op node returning opresult260 (depth = 5)
  int op_slot_right_257 = gc_frame_newslot(opresult260);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sSize (depth = 6)
  int op_slot_right_262 = gc_frame_newslot(*var_sSize);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_dotPosn (depth = 6)
  int op_slot_left_262 = gc_frame_newslot(*var_dotPosn);
  params[0] = *var_sSize;
  partcv[0] = 1;
  Object opresult264 = callmethod(*var_dotPosn, ">(1)", 1, partcv, params);
// compiled op node returning opresult264 (depth = 5)
  int op_slot_left_257 = gc_frame_newslot(opresult264);
  params[0] = opresult260;
  partcv[0] = 1;
  Object opresult265 = callmethod(opresult264, "&&(1)", 1, partcv, params);
// compiled op node returning opresult265 (depth = 4)
  gc_frame_end(frame);
  return opresult265;
}
Object meth_unixFilePath_268__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_dotPosn = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit271 == NULL) {
    strlit271 = alloc_String(".");
    gc_root(strlit271);
  }
// compiled string node returning strlit271 (depth = 6)
  int op_slot_right_270 = gc_frame_newslot(strlit271);
// starting to compile call node (depth = 6)
  int callframe273 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call274 = callmethodflags(*var_s, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe273);
// compiled call node returning call274 (depth = 6)
  int op_slot_left_270 = gc_frame_newslot(call274);
  params[0] = strlit271;
  partcv[0] = 1;
  Object opresult275 = callmethod(call274, "==(1)", 1, partcv, params);
// compiled op node returning opresult275 (depth = 5)
  Object if269 = done;
  if (istrue(opresult275)) {
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  *var_dotPosn = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if269 = done;
  } else {
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num278 = alloc_Float64(1);
// compiled num node returning num278 (depth = 7)
  int op_slot_right_277 = gc_frame_newslot(num278);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_277 = gc_frame_newslot(*var_ix);
  params[0] = num278;
  partcv[0] = 1;
  Object diff280 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff280 (depth = 6)
  *var_ix = diff280;
  if (diff280 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if269 = done;
  }
// compiled if node returning if269 (depth = 4)
  gc_frame_end(frame);
  return if269;
}
Object meth_unixFilePath_206_fromString_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fromString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fromString(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part fromString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
  Object *var_slashPosn = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "slashPosn");
  Object *var_sSize = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sSize");
  Object *var_ix = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "ix");
  Object *var_dotPosn = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dotPosn");
// definebindings:
// definebindings:
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe207 = gc_frame_new();
// call case 4: self request
  Object call208 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe207);
// compiled member node returning call208 (depth = 3)
  *var_p = call208;
  if (call208 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num209 = alloc_Float64(0);
// compiled num node returning num209 (depth = 3)
  *var_slashPosn = num209;
  if (num209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe210 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call211 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe210);
// compiled member node returning call211 (depth = 3)
  *var_sSize = call211;
  if (call211 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sSize (depth = 3)
  *var_ix = *var_sSize;
  if (*var_sSize == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe212 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block213 = alloc_Block(NULL, NULL, "unixFilePath", 111);
  gc_frame_newslot(block213);
// method "_apply"
  block_savedest(block213);
  Object closure214 = createclosure(3, "_apply");
  setclosureframe(closure214, stackframe);
  addtoclosure(closure214, var_ix);
  addtoclosure(closure214, var_slashPosn);
  addtoclosure(closure214, selfslot);
  struct UserObject *uo214 = (struct UserObject*)block213;
  uo214->data[0] = (Object)closure214;
  Method *meth_meth_unixFilePath_214__apply = addmethod2pos(block213, "_apply", &meth_unixFilePath_214__apply, 0);
  int argcv_meth_unixFilePath_214__apply[] = {0};
  meth_meth_unixFilePath_214__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_214__apply);
  meth_meth_unixFilePath_214__apply->definitionModule = modulename;
  meth_meth_unixFilePath_214__apply->definitionLine = 174;
// compiled block node returning block213 (depth = 3)
  gc_frame_newslot(block213);
// starting to compile block node (depth = 3)
  Object block227 = alloc_Block(NULL, NULL, "unixFilePath", 111);
  gc_frame_newslot(block227);
// method "_apply"
  block_savedest(block227);
  Object closure228 = createclosure(4, "_apply");
  setclosureframe(closure228, stackframe);
  addtoclosure(closure228, var_ix);
  addtoclosure(closure228, var_s);
  addtoclosure(closure228, var_slashPosn);
  addtoclosure(closure228, selfslot);
  struct UserObject *uo228 = (struct UserObject*)block227;
  uo228->data[0] = (Object)closure228;
  Method *meth_meth_unixFilePath_228__apply = addmethod2pos(block227, "_apply", &meth_unixFilePath_228__apply, 0);
  int argcv_meth_unixFilePath_228__apply[] = {0};
  meth_meth_unixFilePath_228__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_228__apply);
  meth_meth_unixFilePath_228__apply->definitionModule = modulename;
  meth_meth_unixFilePath_228__apply->definitionLine = 174;
// compiled block node returning block227 (depth = 3)
  gc_frame_newslot(block227);
// call case 5: prelude request
  params[0] = block213;
  params[1] = block227;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call243 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe212);
// compiled call node returning call243 (depth = 2)
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe244 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe245 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num246 = alloc_Float64(1);
// compiled num node returning num246 (depth = 4)
  gc_frame_newslot(num246);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_slashPosn (depth = 4)
  gc_frame_newslot(*var_slashPosn);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  params[0] = num246;
  params[1] = *var_slashPosn;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call247 = callmethodflags(*var_s, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe245);
// compiled call node returning call247 (depth = 3)
  gc_frame_newslot(call247);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call247;
  partcv[0] = 1;
  Object call248 = callmethodflags(*var_p, "directory:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe244);
// compiled call node returning call248 (depth = 2)
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num250 = alloc_Float64(1);
// compiled num node returning num250 (depth = 4)
  int op_slot_right_249 = gc_frame_newslot(num250);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sSize (depth = 4)
  int op_slot_left_249 = gc_frame_newslot(*var_sSize);
  params[0] = num250;
  partcv[0] = 1;
  Object sum252 = callmethod(*var_sSize, "+(1)", 1, partcv, params);
// compiled op node returning sum252 (depth = 3)
  *var_dotPosn = sum252;
  if (sum252 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sSize (depth = 3)
  *var_ix = *var_sSize;
  if (*var_sSize == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe254 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block255 = alloc_Block(NULL, NULL, "unixFilePath", 121);
  gc_frame_newslot(block255);
// method "_apply"
  block_savedest(block255);
  Object closure256 = createclosure(5, "_apply");
  setclosureframe(closure256, stackframe);
  addtoclosure(closure256, var_slashPosn);
  addtoclosure(closure256, var_ix);
  addtoclosure(closure256, var_sSize);
  addtoclosure(closure256, var_dotPosn);
  addtoclosure(closure256, selfslot);
  struct UserObject *uo256 = (struct UserObject*)block255;
  uo256->data[0] = (Object)closure256;
  Method *meth_meth_unixFilePath_256__apply = addmethod2pos(block255, "_apply", &meth_unixFilePath_256__apply, 0);
  int argcv_meth_unixFilePath_256__apply[] = {0};
  meth_meth_unixFilePath_256__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_256__apply);
  meth_meth_unixFilePath_256__apply->definitionModule = modulename;
  meth_meth_unixFilePath_256__apply->definitionLine = 174;
// compiled block node returning block255 (depth = 3)
  gc_frame_newslot(block255);
// starting to compile block node (depth = 3)
  Object block267 = alloc_Block(NULL, NULL, "unixFilePath", 121);
  gc_frame_newslot(block267);
// method "_apply"
  block_savedest(block267);
  Object closure268 = createclosure(4, "_apply");
  setclosureframe(closure268, stackframe);
  addtoclosure(closure268, var_ix);
  addtoclosure(closure268, var_s);
  addtoclosure(closure268, var_dotPosn);
  addtoclosure(closure268, selfslot);
  struct UserObject *uo268 = (struct UserObject*)block267;
  uo268->data[0] = (Object)closure268;
  Method *meth_meth_unixFilePath_268__apply = addmethod2pos(block267, "_apply", &meth_unixFilePath_268__apply, 0);
  int argcv_meth_unixFilePath_268__apply[] = {0};
  meth_meth_unixFilePath_268__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_268__apply);
  meth_meth_unixFilePath_268__apply->definitionModule = modulename;
  meth_meth_unixFilePath_268__apply->definitionLine = 174;
// compiled block node returning block267 (depth = 3)
  gc_frame_newslot(block267);
// call case 5: prelude request
  params[0] = block255;
  params[1] = block267;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call283 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe254);
// compiled call node returning call283 (depth = 2)
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sSize (depth = 4)
  int op_slot_right_285 = gc_frame_newslot(*var_sSize);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dotPosn (depth = 4)
  int op_slot_left_285 = gc_frame_newslot(*var_dotPosn);
  params[0] = *var_sSize;
  partcv[0] = 1;
  Object opresult287 = callmethod(*var_dotPosn, "≤(1)", 1, partcv, params);
// compiled op node returning opresult287 (depth = 3)
  Object if284 = done;
  if (istrue(opresult287)) {
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe288 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe289 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dotPosn (depth = 5)
  gc_frame_newslot(*var_dotPosn);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sSize (depth = 5)
  gc_frame_newslot(*var_sSize);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  params[0] = *var_dotPosn;
  params[1] = *var_sSize;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call290 = callmethodflags(*var_s, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe289);
// compiled call node returning call290 (depth = 4)
  gc_frame_newslot(call290);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_p (depth = 4)
  params[0] = call290;
  partcv[0] = 1;
  Object call291 = callmethodflags(*var_p, "extension:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe288);
// compiled call node returning call291 (depth = 3)
    gc_frame_newslot(call291);
    if284 = call291;
  } else {
  }
// compiled if node returning if284 (depth = 2)
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe292 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe293 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num295 = alloc_Float64(1);
// compiled num node returning num295 (depth = 5)
  int op_slot_right_294 = gc_frame_newslot(num295);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_slashPosn (depth = 5)
  int op_slot_left_294 = gc_frame_newslot(*var_slashPosn);
  params[0] = num295;
  partcv[0] = 1;
  Object sum297 = callmethod(*var_slashPosn, "+(1)", 1, partcv, params);
// compiled op node returning sum297 (depth = 4)
  gc_frame_newslot(sum297);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num299 = alloc_Float64(1);
// compiled num node returning num299 (depth = 5)
  int op_slot_right_298 = gc_frame_newslot(num299);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dotPosn (depth = 5)
  int op_slot_left_298 = gc_frame_newslot(*var_dotPosn);
  params[0] = num299;
  partcv[0] = 1;
  Object diff301 = callmethod(*var_dotPosn, "-(1)", 1, partcv, params);
// compiled op node returning diff301 (depth = 4)
  gc_frame_newslot(diff301);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  params[0] = sum297;
  params[1] = diff301;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call302 = callmethodflags(*var_s, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe293);
// compiled call node returning call302 (depth = 3)
  gc_frame_newslot(call302);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call302;
  partcv[0] = 1;
  Object call303 = callmethodflags(*var_p, "base:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe292);
// compiled call node returning call303 (depth = 2)
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_p (depth = 2)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_unixFilePath_313__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_pss = getfromclosure(closure, 0);
  Object *var_ox = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pss (depth = 5)
  int op_slot_right_314 = gc_frame_newslot(*var_pss);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ox (depth = 5)
  int op_slot_left_314 = gc_frame_newslot(*var_ox);
  params[0] = *var_pss;
  partcv[0] = 1;
  Object opresult316 = callmethod(*var_ox, "≤(1)", 1, partcv, params);
// compiled op node returning opresult316 (depth = 4)
  gc_frame_end(frame);
  return opresult316;
}
Object meth_unixFilePath_325__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ox = getfromclosure(closure, 0);
  Object *var_pathString = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit327 == NULL) {
    strlit327 = alloc_String(":");
    gc_root(strlit327);
  }
// compiled string node returning strlit327 (depth = 9)
  int op_slot_right_326 = gc_frame_newslot(strlit327);
// starting to compile call node (depth = 9)
  int callframe329 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ox (depth = 10)
  gc_frame_newslot(*var_ox);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pathString (depth = 10)
  params[0] = *var_ox;
  partcv[0] = 1;
  Object call330 = callmethodflags(*var_pathString, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe329);
// compiled call node returning call330 (depth = 9)
  int op_slot_left_326 = gc_frame_newslot(call330);
  params[0] = strlit327;
  partcv[0] = 1;
  Object opresult331 = callmethod(call330, "≠(1)", 1, partcv, params);
// compiled op node returning opresult331 (depth = 8)
  gc_frame_end(frame);
  return opresult331;
}
Object meth_unixFilePath_322__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ox = getfromclosure(closure, 0);
  Object *var_pathString = getfromclosure(closure, 1);
  Object *var_pss = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block324 = alloc_Block(NULL, NULL, "unixFilePath", 143);
  gc_frame_newslot(block324);
// method "_apply"
  block_savedest(block324);
  Object closure325 = createclosure(3, "_apply");
  setclosureframe(closure325, stackframe);
  addtoclosure(closure325, var_ox);
  addtoclosure(closure325, var_pathString);
  addtoclosure(closure325, selfslot);
  struct UserObject *uo325 = (struct UserObject*)block324;
  uo325->data[0] = (Object)closure325;
  Method *meth_meth_unixFilePath_325__apply = addmethod2pos(block324, "_apply", &meth_unixFilePath_325__apply, 0);
  int argcv_meth_unixFilePath_325__apply[] = {0};
  meth_meth_unixFilePath_325__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_325__apply);
  meth_meth_unixFilePath_325__apply->definitionModule = modulename;
  meth_meth_unixFilePath_325__apply->definitionLine = 174;
// compiled block node returning block324 (depth = 7)
  int op_slot_right_323 = gc_frame_newslot(block324);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_pss (depth = 8)
  int op_slot_right_334 = gc_frame_newslot(*var_pss);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ox (depth = 8)
  int op_slot_left_334 = gc_frame_newslot(*var_ox);
  params[0] = *var_pss;
  partcv[0] = 1;
  Object opresult336 = callmethod(*var_ox, "≤(1)", 1, partcv, params);
// compiled op node returning opresult336 (depth = 7)
  int op_slot_left_323 = gc_frame_newslot(opresult336);
  params[0] = block324;
  partcv[0] = 1;
  Object opresult337 = callmethod(opresult336, "&&(1)", 1, partcv, params);
// compiled op node returning opresult337 (depth = 6)
  gc_frame_end(frame);
  return opresult337;
}
Object meth_unixFilePath_340__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ox = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num342 = alloc_Float64(1);
// compiled num node returning num342 (depth = 8)
  int op_slot_right_341 = gc_frame_newslot(num342);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ox (depth = 8)
  int op_slot_left_341 = gc_frame_newslot(*var_ox);
  params[0] = num342;
  partcv[0] = 1;
  Object sum344 = callmethod(*var_ox, "+(1)", 1, partcv, params);
// compiled op node returning sum344 (depth = 7)
  *var_ox = sum344;
  if (sum344 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_unixFilePath_319__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ox = getfromclosure(closure, 0);
  Object *var_pathString = getfromclosure(closure, 1);
  Object *var_pss = getfromclosure(closure, 2);
  Object *var_ix = getfromclosure(closure, 3);
  Object *var_locations = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_item = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "item");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe320 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block321 = alloc_Block(NULL, NULL, "unixFilePath", 143);
  gc_frame_newslot(block321);
// method "_apply"
  block_savedest(block321);
  Object closure322 = createclosure(4, "_apply");
  setclosureframe(closure322, stackframe);
  addtoclosure(closure322, var_ox);
  addtoclosure(closure322, var_pathString);
  addtoclosure(closure322, var_pss);
  addtoclosure(closure322, selfslot);
  struct UserObject *uo322 = (struct UserObject*)block321;
  uo322->data[0] = (Object)closure322;
  Method *meth_meth_unixFilePath_322__apply = addmethod2pos(block321, "_apply", &meth_unixFilePath_322__apply, 0);
  int argcv_meth_unixFilePath_322__apply[] = {0};
  meth_meth_unixFilePath_322__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_322__apply);
  meth_meth_unixFilePath_322__apply->definitionModule = modulename;
  meth_meth_unixFilePath_322__apply->definitionLine = 174;
// compiled block node returning block321 (depth = 5)
  gc_frame_newslot(block321);
// starting to compile block node (depth = 5)
  Object block339 = alloc_Block(NULL, NULL, "unixFilePath", 143);
  gc_frame_newslot(block339);
// method "_apply"
  block_savedest(block339);
  Object closure340 = createclosure(2, "_apply");
  setclosureframe(closure340, stackframe);
  addtoclosure(closure340, var_ox);
  addtoclosure(closure340, selfslot);
  struct UserObject *uo340 = (struct UserObject*)block339;
  uo340->data[0] = (Object)closure340;
  Method *meth_meth_unixFilePath_340__apply = addmethod2pos(block339, "_apply", &meth_unixFilePath_340__apply, 0);
  int argcv_meth_unixFilePath_340__apply[] = {0};
  meth_meth_unixFilePath_340__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_340__apply);
  meth_meth_unixFilePath_340__apply->definitionModule = modulename;
  meth_meth_unixFilePath_340__apply->definitionLine = 174;
// compiled block node returning block339 (depth = 5)
  gc_frame_newslot(block339);
// call case 5: prelude request
  params[0] = block321;
  params[1] = block339;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call347 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe320);
// compiled call node returning call347 (depth = 4)
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe348 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num350 = alloc_Float64(1);
// compiled num node returning num350 (depth = 7)
  int op_slot_right_349 = gc_frame_newslot(num350);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ox (depth = 7)
  int op_slot_left_349 = gc_frame_newslot(*var_ox);
  params[0] = num350;
  partcv[0] = 1;
  Object diff352 = callmethod(*var_ox, "-(1)", 1, partcv, params);
// compiled op node returning diff352 (depth = 6)
  gc_frame_newslot(diff352);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pathString (depth = 6)
  params[0] = *var_ix;
  params[1] = diff352;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call353 = callmethodflags(*var_pathString, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe348);
// compiled call node returning call353 (depth = 5)
  *var_item = call353;
  if (call353 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe355 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe356 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_item (depth = 7)
  Object call357 = callmethodflags(*var_item, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe356);
// compiled member node returning call357 (depth = 6)
  Object call358 = callmethodflags(call357, "not", 0, partcv, params, 0);
  gc_frame_end(callframe355);
// compiled member node returning call358 (depth = 5)
  Object if354 = done;
  if (istrue(call358)) {
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit361 == NULL) {
    strlit361 = alloc_String("/");
    gc_root(strlit361);
  }
// compiled string node returning strlit361 (depth = 7)
  int op_slot_right_360 = gc_frame_newslot(strlit361);
// starting to compile member node (depth = 7)
  int callframe363 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_item (depth = 8)
  Object call364 = callmethodflags(*var_item, "last", 0, partcv, params, 0);
  gc_frame_end(callframe363);
// compiled member node returning call364 (depth = 7)
  int op_slot_left_360 = gc_frame_newslot(call364);
  params[0] = strlit361;
  partcv[0] = 1;
  Object opresult365 = callmethod(call364, "≠(1)", 1, partcv, params);
// compiled op node returning opresult365 (depth = 6)
  Object if359 = done;
  if (istrue(opresult365)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit367 == NULL) {
    strlit367 = alloc_String("/");
    gc_root(strlit367);
  }
// compiled string node returning strlit367 (depth = 8)
  int op_slot_right_366 = gc_frame_newslot(strlit367);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_item (depth = 8)
  int op_slot_left_366 = gc_frame_newslot(*var_item);
  params[0] = strlit367;
  partcv[0] = 1;
  Object opresult369 = callmethod(*var_item, "++(1)", 1, partcv, params);
// compiled op node returning opresult369 (depth = 7)
  *var_item = opresult369;
  if (opresult369 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if359 = done;
  } else {
  }
// compiled if node returning if359 (depth = 5)
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe371 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_item (depth = 6)
  gc_frame_newslot(*var_item);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_locations (depth = 6)
  params[0] = *var_item;
  partcv[0] = 1;
  Object call372 = callmethodflags(*var_locations, "addLast(1)", 1, partcv, params, 0);
  gc_frame_end(callframe371);
// compiled call node returning call372 (depth = 5)
    gc_frame_newslot(call372);
    if354 = call372;
  } else {
  }
// compiled if node returning if354 (depth = 4)
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num374 = alloc_Float64(1);
// compiled num node returning num374 (depth = 6)
  int op_slot_right_373 = gc_frame_newslot(num374);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ox (depth = 6)
  int op_slot_left_373 = gc_frame_newslot(*var_ox);
  params[0] = num374;
  partcv[0] = 1;
  Object sum376 = callmethod(*var_ox, "+(1)", 1, partcv, params);
// compiled op node returning sum376 (depth = 5)
  *var_ix = sum376;
  if (sum376 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  *var_ox = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_unixFilePath_304_split_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "split(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method split(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for split(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pathString = &(stackframe->slots[0]);
  *var_pathString = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part split(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_locations = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "locations");
  Object *var_ix = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ix");
  Object *var_ox = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ox");
  Object *var_pss = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "pss");
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe305 = gc_frame_new();
// call case 5: prelude request
  Object call306 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe305);
// compiled member node returning call306 (depth = 3)
  *var_locations = call306;
  if (call306 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num307 = alloc_Float64(1);
// compiled num node returning num307 (depth = 3)
  *var_ix = num307;
  if (num307 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num308 = alloc_Float64(1);
// compiled num node returning num308 (depth = 3)
  *var_ox = num308;
  if (num308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe309 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pathString (depth = 4)
  Object call310 = callmethodflags(*var_pathString, "size", 0, partcv, params, 0);
  gc_frame_end(callframe309);
// compiled member node returning call310 (depth = 3)
  *var_pss = call310;
  if (call310 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe311 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block312 = alloc_Block(NULL, NULL, "unixFilePath", 142);
  gc_frame_newslot(block312);
// method "_apply"
  block_savedest(block312);
  Object closure313 = createclosure(3, "_apply");
  setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_pss);
  addtoclosure(closure313, var_ox);
  addtoclosure(closure313, selfslot);
  struct UserObject *uo313 = (struct UserObject*)block312;
  uo313->data[0] = (Object)closure313;
  Method *meth_meth_unixFilePath_313__apply = addmethod2pos(block312, "_apply", &meth_unixFilePath_313__apply, 0);
  int argcv_meth_unixFilePath_313__apply[] = {0};
  meth_meth_unixFilePath_313__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_313__apply);
  meth_meth_unixFilePath_313__apply->definitionModule = modulename;
  meth_meth_unixFilePath_313__apply->definitionLine = 174;
// compiled block node returning block312 (depth = 3)
  gc_frame_newslot(block312);
// starting to compile block node (depth = 3)
  Object block318 = alloc_Block(NULL, NULL, "unixFilePath", 142);
  gc_frame_newslot(block318);
// method "_apply"
  block_savedest(block318);
  Object closure319 = createclosure(6, "_apply");
  setclosureframe(closure319, stackframe);
  addtoclosure(closure319, var_ox);
  addtoclosure(closure319, var_pathString);
  addtoclosure(closure319, var_pss);
  addtoclosure(closure319, var_ix);
  addtoclosure(closure319, var_locations);
  addtoclosure(closure319, selfslot);
  struct UserObject *uo319 = (struct UserObject*)block318;
  uo319->data[0] = (Object)closure319;
  Method *meth_meth_unixFilePath_319__apply = addmethod2pos(block318, "_apply", &meth_unixFilePath_319__apply, 0);
  int argcv_meth_unixFilePath_319__apply[] = {0};
  meth_meth_unixFilePath_319__apply->type = alloc_MethodType(1, argcv_meth_unixFilePath_319__apply);
  meth_meth_unixFilePath_319__apply->definitionModule = modulename;
  meth_meth_unixFilePath_319__apply->definitionLine = 174;
// compiled block node returning block318 (depth = 3)
  gc_frame_newslot(block318);
// call case 5: prelude request
  params[0] = block312;
  params[1] = block318;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call380 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe311);
// compiled call node returning call380 (depth = 2)
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_locations (depth = 3)
  return *var_locations;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_unixFilePath_403__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_originalDir = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe404 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_originalDir (depth = 6)
  int op_slot_right_405 = gc_frame_newslot(*var_originalDir);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_left_405 = gc_frame_newslot(*var_each);
  params[0] = *var_originalDir;
  partcv[0] = 1;
  Object opresult407 = callmethod(*var_each, "++(1)", 1, partcv, params);
// compiled op node returning opresult407 (depth = 5)
  gc_frame_newslot(opresult407);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  params[0] = opresult407;
  partcv[0] = 1;
  Object call408 = callmethodflags(*var_candidate, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe404);
// compiled call node returning call408 (depth = 4)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe410 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  Object call411 = callmethodflags(*var_candidate, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe410);
// compiled member node returning call411 (depth = 5)
  Object if409 = done;
  if (istrue(call411)) {
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  block_return(realself, *var_candidate);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if409 = undefined;
  } else {
  }
// compiled if node returning if409 (depth = 4)
  gc_frame_end(frame);
  return if409;
}
Object meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "file(1)onPath(1)otherwise(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method file(_)onPath(_)otherwise(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method file(_)onPath(_)otherwise(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method file(_)onPath(_)otherwise(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for file(_)onPath(_)otherwise(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part file(_)");
  Object *var_pathString = &(stackframe->slots[1]);
  *var_pathString = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onPath(_)");
  Object *var_action = &(stackframe->slots[2]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part otherwise(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_locations = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "locations");
  Object *var_candidate = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "candidate");
  Object *var_originalDir = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "originalDir");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe382 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pathString (depth = 4)
  gc_frame_newslot(*var_pathString);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_unixFilePath (depth = 4)
  params[0] = *var_pathString;
  partcv[0] = 1;
  Object call383 = callmethodflags(module_unixFilePath, "split(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe382);
// compiled call node returning call383 (depth = 3)
  *var_locations = call383;
  if (call383 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe384 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  Object call385 = callmethodflags(*var_name, "copy", 0, partcv, params, 0);
  gc_frame_end(callframe384);
// compiled member node returning call385 (depth = 3)
  *var_candidate = call385;
  if (call385 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe386 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  Object call387 = callmethodflags(*var_name, "dir", 0, partcv, params, 0);
  gc_frame_end(callframe386);
// compiled member node returning call387 (depth = 3)
  *var_originalDir = call387;
  if (call387 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit390 == NULL) {
    strlit390 = alloc_String("/");
    gc_root(strlit390);
  }
// compiled string node returning strlit390 (depth = 4)
  int op_slot_right_389 = gc_frame_newslot(strlit390);
// starting to compile member node (depth = 4)
  int callframe392 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_originalDir (depth = 5)
  Object call393 = callmethodflags(*var_originalDir, "first", 0, partcv, params, 0);
  gc_frame_end(callframe392);
// compiled member node returning call393 (depth = 4)
  int op_slot_left_389 = gc_frame_newslot(call393);
  params[0] = strlit390;
  partcv[0] = 1;
  Object opresult394 = callmethod(call393, "==(1)", 1, partcv, params);
// compiled op node returning opresult394 (depth = 3)
  Object if388 = done;
  if (istrue(opresult394)) {
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe396 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  Object call397 = callmethodflags(*var_candidate, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe396);
// compiled member node returning call397 (depth = 4)
  Object if395 = done;
  if (istrue(call397)) {
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  return *var_candidate;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if395 = undefined;
  } else {
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe398 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit399 == NULL) {
    strlit399 = alloc_String("");
    gc_root(strlit399);
  }
// compiled string node returning strlit399 (depth = 6)
  gc_frame_newslot(strlit399);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  params[0] = strlit399;
  partcv[0] = 1;
  Object call400 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe398);
// compiled call node returning call400 (depth = 5)
  return call400;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if395 = undefined;
  }
// compiled if node returning if395 (depth = 3)
    gc_frame_newslot(if395);
    if388 = if395;
  } else {
  }
// compiled if node returning if388 (depth = 2)
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe401 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block402 = alloc_Block(NULL, NULL, "unixFilePath", 168);
  gc_frame_newslot(block402);
// method "_apply(_)"
  block_savedest(block402);
  Object closure403 = createclosure(3, "_apply(1)");
  setclosureframe(closure403, stackframe);
  addtoclosure(closure403, var_originalDir);
  addtoclosure(closure403, var_candidate);
  addtoclosure(closure403, selfslot);
  struct UserObject *uo403 = (struct UserObject*)block402;
  uo403->data[0] = (Object)closure403;
  Method *meth_meth_unixFilePath_403__apply_40_1_41_ = addmethod2pos(block402, "_apply(1)", &meth_unixFilePath_403__apply_40_1_41_, 0);
  int argcv_meth_unixFilePath_403__apply_40_1_41_[] = {1};
  meth_meth_unixFilePath_403__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_403__apply_40_1_41_);
  meth_meth_unixFilePath_403__apply_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_403__apply_40_1_41_->definitionLine = 174;
// compiled block node returning block402 (depth = 3)
  gc_frame_newslot(block402);
// call case 6: other requests
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_locations (depth = 3)
  params[0] = block402;
  partcv[0] = 1;
  Object call413 = callmethodflags(*var_locations, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe401);
// compiled call node returning call413 (depth = 2)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe414 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_locations (depth = 3)
  gc_frame_newslot(*var_locations);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_action (depth = 3)
  params[0] = *var_locations;
  partcv[0] = 1;
  Object call415 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe414);
// compiled call node returning call415 (depth = 2)
  gc_frame_end(frame);
  return call415;
}
Object module_unixFilePath_init() {
  if (module_unixFilePath) return module_unixFilePath;
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(12, 12);
  module_unixFilePath = self;
  self->class->definitionModule = "unixFilePath";
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule("unixFilePath");
  setsource(originalSourceLines);
  setclassname(self, "Module<unixFilePath>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[1];
  int partcv[1];
// definebindings:
  Object *var_io = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "io");
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "null"
  block_savedest(self);
  Object closure1 = createclosure(2, "null");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_done);
  addtoclosure(closure1, var_io);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_unixFilePath_1_null = addmethod2pos(self, "null", &meth_unixFilePath_1_null, 1);
  int argcv_meth_unixFilePath_1_null[] = {0};
  meth_meth_unixFilePath_1_null->type = alloc_MethodType(1, argcv_meth_unixFilePath_1_null);
  meth_meth_unixFilePath_1_null->definitionModule = modulename;
  meth_meth_unixFilePath_1_null->definitionLine = 3;
  block_savedest(self);
  Object closure181 = createclosure(2, "null$object(1)");
  setclosureframe(closure181, stackframe);
  addtoclosure(closure181, var_done);
  addtoclosure(closure181, var_io);
  Method *meth_meth_unixFilePath_1_null_object = addmethod2pos(self, "null$object(1)", &meth_unixFilePath_1_null_object, 1);
  meth_meth_unixFilePath_1_null_object->definitionModule = modulename;
  meth_meth_unixFilePath_1_null_object->definitionLine = 3;
// compiled method node returning  (depth = 1)
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withDirectory(_)"
  struct UserObject *uo182 = (struct UserObject*)self;
  uo182->data[2] = emptyclosure;
  Method *meth_meth_unixFilePath_182_withDirectory_40_1_41_ = addmethod2pos(self, "withDirectory(1)", &meth_unixFilePath_182_withDirectory_40_1_41_, 2);
  int argcv_meth_unixFilePath_182_withDirectory_40_1_41_[] = {1};
  meth_meth_unixFilePath_182_withDirectory_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_182_withDirectory_40_1_41_);
  meth_meth_unixFilePath_182_withDirectory_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_182_withDirectory_40_1_41_->definitionLine = 88;
// compiled method node returning  (depth = 1)
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withBase(_)"
  struct UserObject *uo187 = (struct UserObject*)self;
  uo187->data[3] = emptyclosure;
  Method *meth_meth_unixFilePath_187_withBase_40_1_41_ = addmethod2pos(self, "withBase(1)", &meth_unixFilePath_187_withBase_40_1_41_, 3);
  int argcv_meth_unixFilePath_187_withBase_40_1_41_[] = {1};
  meth_meth_unixFilePath_187_withBase_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_187_withBase_40_1_41_);
  meth_meth_unixFilePath_187_withBase_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_187_withBase_40_1_41_->definitionLine = 92;
// compiled method node returning  (depth = 1)
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withExtension(_)"
  struct UserObject *uo192 = (struct UserObject*)self;
  uo192->data[4] = emptyclosure;
  Method *meth_meth_unixFilePath_192_withExtension_40_1_41_ = addmethod2pos(self, "withExtension(1)", &meth_unixFilePath_192_withExtension_40_1_41_, 4);
  int argcv_meth_unixFilePath_192_withExtension_40_1_41_[] = {1};
  meth_meth_unixFilePath_192_withExtension_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_192_withExtension_40_1_41_);
  meth_meth_unixFilePath_192_withExtension_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_192_withExtension_40_1_41_->definitionLine = 96;
// compiled method node returning  (depth = 1)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withDirectory(_)base(_)extension(_)"
  struct UserObject *uo197 = (struct UserObject*)self;
  uo197->data[5] = emptyclosure;
  Method *meth_meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_ = addmethod2pos(self, "withDirectory(1)base(1)extension(1)", &meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_, 5);
  int argcv_meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_[] = {1, 1, 1};
  meth_meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_->type = alloc_MethodType(3, argcv_meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_);
  meth_meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_197_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_->definitionLine = 100;
// compiled method node returning  (depth = 1)
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "fromString(_)"
  struct UserObject *uo206 = (struct UserObject*)self;
  uo206->data[6] = emptyclosure;
  Method *meth_meth_unixFilePath_206_fromString_40_1_41_ = addmethod2pos(self, "fromString(1)", &meth_unixFilePath_206_fromString_40_1_41_, 6);
  int argcv_meth_unixFilePath_206_fromString_40_1_41_[] = {1};
  meth_meth_unixFilePath_206_fromString_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_206_fromString_40_1_41_);
  meth_meth_unixFilePath_206_fromString_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_206_fromString_40_1_41_->definitionLine = 105;
// compiled method node returning  (depth = 1)
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "split(_)"
  struct UserObject *uo304 = (struct UserObject*)self;
  uo304->data[7] = emptyclosure;
  Method *meth_meth_unixFilePath_304_split_40_1_41_ = addmethod2pos(self, "split(1)", &meth_unixFilePath_304_split_40_1_41_, 7);
  int argcv_meth_unixFilePath_304_split_40_1_41_[] = {1};
  meth_meth_unixFilePath_304_split_40_1_41_->type = alloc_MethodType(1, argcv_meth_unixFilePath_304_split_40_1_41_);
  meth_meth_unixFilePath_304_split_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_304_split_40_1_41_->definitionLine = 135;
// compiled method node returning  (depth = 1)
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "file(_)onPath(_)otherwise(_)"
  struct UserObject *uo381 = (struct UserObject*)self;
  uo381->data[8] = emptyclosure;
  Method *meth_meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_ = addmethod2pos(self, "file(1)onPath(1)otherwise(1)", &meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_, 8);
  int argcv_meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_[] = {1, 1, 1};
  meth_meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_->type = alloc_MethodType(3, argcv_meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_);
  meth_meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_->definitionModule = modulename;
  meth_meth_unixFilePath_381_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_->definitionLine = 157;
// compiled method node returning  (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compiled import node returning done (depth = 1)
  gc_frame_end(frame);
  return self;
}
