#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "8d11a118d0ee0852a0c92e798a8f648f86b2f504";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "ast";
Object module_standardGrace_init();
extern Object module_standardGrace;
Object module_ast = NULL;
static char *originalSourceLines[] = {
  "#pragma noTypeChecks",
  "#pragma ExtendedLineups",
  "import \"util\" as util",
  "import \"identifierKinds\" as k",
  "",
  "// This module contains classes and pseudo-classes for all the AST nodes used",
  "// in the parser. Because of the limitations of the class syntax, classes that",
  "// need more than one method are written as object literals containing methods.",
  "// Each node has a different signature according to its function, but the",
  "// common interface is given by type ASTNode",
  "//",
  "// Most nodes also contain a \"value\" field, with varied type, holding the `main value`",
  "// in the node.  This field is confusing and should be appropriately re-named in",
  "// each case. Some nodes contain other fields for their specific use: while has",
  "// both a value (the condition) and a body, for example.",
  "",
  "type Position = type {",
  "    line -> Number",
  "    column -> Number",
  "    > -> Boolean",
  "    ≥ -> Boolean",
  "    == -> Boolean",
  "    < -> Boolean",
  "    ≤ -> Boolean",
  "}",
  "type Range = type {",
  "    start -> Position",
  "    end -> Position",
  "}",
  "class line (l:Number) column (c:Number) -> Position {",
  "    def line is public = l",
  "    def column is public = c",
  "    method > (other:Position) -> Boolean {",
  "        if (line > other.line) then { return true }",
  "        if (line < other.line) then { return false }",
  "        (column > other.column)",
  "    }",
  "    method ≥ (other:Position) -> Boolean {",
  "        if (line > other.line) then { return true }",
  "        if (line < other.line) then { return false }",
  "        (column ≥ other.column)",
  "    }",
  "    method == (other:Position) -> Boolean {",
  "        (line == other.line) && (column == other.column)",
  "    }",
  "    method ≤ (other:Position) -> Boolean {",
  "        (other > self).not",
  "    }",
  "    method < (other:Position) -> Boolean {",
  "        (other ≥ self).not",
  "    }",
  "    method asString { \"{line}:{column}\" }",
  "}",
  "class start (s:Position) end (e:Position) -> Range {",
  "    def start is public = s",
  "    def end is public = e",
  "    method asString {",
  "        if (start.line == end.line) then {",
  "            \"{start}-{end.column}\"",
  "        } elseif { end.line == noPosition } then {",
  "            start.asString",
  "        } else {",
  "            \"{start}-{end}\"",
  "        }",
  "    }",
  "    method == (other) {",
  "        (start == other.start) && (end == other.end)",
  "    }",
  "}",
  "def noPosition is public = line 0 column 0",
  "def emptyRange is public = start (noPosition) end (noPosition)",
  "",
  "method positionOfNext (needle:String) after (pos:Position) -> Position {",
  "    def sourceLines = util.lines",
  "    var lineNr := pos.line",
  "    if (lineNr == 0) then { return noPosition }",
  "    var found := sourceLines.at(lineNr).indexOf (needle) startingAt (pos.column + 1)",
  "    while { found == 0 } do {",
  "        lineNr := lineNr + 1",
  "        if (lineNr > sourceLines.size) then { return noPosition }",
  "        found := sourceLines.at(lineNr).indexOf (needle)",
  "    }",
  "    line (lineNr) column (found)",
  "}",
  "",
  "def lineLength is public = 80",
  "def uninitialized = Singleton.named \"uninitialized\"",
  "method listMap(l, b) ancestors(as) is confidential {",
  "    def newList = [ ]",
  "    l.do { nd -> newList.addLast(nd.map(b) ancestors(as)) }",
  "    newList",
  "}",
  "method maybeMap(n, b) ancestors(as) is confidential {",
  "    if (false != n) then {",
  "        n.map(b) ancestors(as)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "method maybeListMap(n, b) ancestors(as) is confidential {",
  "    if (false != n) then {",
  "        listMap(n, b) ancestors(as)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "",
  "def ancestorChain is public = object {",
  "    class empty {",
  "        method isEmpty { true }",
  "        method asString { \"ancestorChain ▫\" }",
  "        method extend(n) { cons(n) onto(self) }",
  "    }",
  "    method with(n) { empty.extend(n) }",
  "    class cons(p) onto(as) is confidential {",
  "        method forebears { as }",
  "        method isEmpty { false }",
  "        method parent { p }",
  "        method grandparent { forebears.parent }",
  "",
  "        method asString {",
  "            var a := self",
  "            var s := \"ancestorChain \"",
  "            while { a.isEmpty.not } do {",
  "                s := s ++ a.parent ++ \"➤\"",
  "                a := a.forebears",
  "            }",
  "            s ++ \"▫\"",
  "        }",
  "        method suchThat(cond) ifAbsent (action) {",
  "            var a := self",
  "            while { a.isEmpty.not } do {",
  "                if (cond.apply(a.parent)) then { return a.parent }",
  "                a := a.forebears",
  "            }",
  "            action.apply",
  "        }",
  "        method extend(n) { cons(n) onto(self) }",
  "    }",
  "}",
  "",
  "def emptySeq = emptySequence",
  "",
  "type AstNode = type {",
  "    kind -> String",
  "        // Used for pseudo-instanceof tests.",
  "    register -> String",
  "        // Used in the code generator on to name the resulting object",
  "    line -> Number",
  "        // The source line the node came from",
  "    line:=(ln:Number)",
  "    linePos -> Number",
  "    linePos:=(lp:Number)",
  "    scope -> SymbolTable",
  "        // The symbolTable for names defined in this node and its sub-nodes",
  "    pretty(n:Number) -> String",
  "        // Pretty-print-string of node at depth n",
  "    comments -> AstNode",
  "        // Comments associated with this node",
  "    range -> Range",
  "    start -> Position",
  "    end -> Position",
  "}",
  "",
  "type SymbolTable = Unknown",
  "",
  "class baseNode {",
  "    // the superclass of all AST nodes",
  "    var register is public := \"\"",
  "    var line is public := util.linenum",
  "    var linePos is public := util.linepos",
  "    var symbolTable := fakeSymbolTable",
  "    var comments is public := false",
  "",
  "    method setLine (l) col (c) {",
  "        line := l",
  "        linePos := c",
  "        self",
  "    }",
  "    method setPositionFrom (tokenOrNode) {",
  "        line := tokenOrNode.line",
  "        linePos := tokenOrNode.linePos",
  "        self",
  "    }",
  "    method setStart(p: Position) {",
  "        line := p.line",
  "        linePos := p.column",
  "        self",
  "    }",
  "    method start { line (line) column (linePos) }",
  "    method end -> Position { line (line) column (linePos + self.value.size - 1) }",
  "    method range { start (start) end (end) }",
  "    method kind { abstract }",
  "    method ==(other) { self.isMe(other) }       // for usesAsType",
  "    method isAppliedOccurenceOfIdentifier { false }",
  "    method isMatchingBlock { false }",
  "    method isFieldDec { false }",
  "    method isInherits { false }",
  "    method isLegalInTrait { false }",
  "    method isMember { false }",
  "    method isMethod { false }",
  "    method isExecutable { true }",
  "    method isCall { false }",
  "    method isComment { false }",
  "    method isClass { false }    // is a method that returns a fresh object",
  "    method inClass { false }    // object in a syntactic class definiton",
  "    method isTrait { false }    // is a method that returns a trait object",
  "    method inTrait { false }    // object in a syntactic trait definition",
  "    method isBind { false }",
  "    method isReturn { false }",
  "    method isSelf { false }",
  "    method isSuper { false }",
  "    method isPrelude { false }",
  "    method isOuter { false }",
  "    method isSelfOrOuter { false }",
  "    method isBlock { false }",
  "    method isObject { false }",
  "    method isIdentifier { false }",
  "    method isDialect { false }",
  "    method isImport { false }",
  "    method isTypeDec { false }",
  "    method isExternal { false }",
  "    method isFresh { false }",
  "    method isConstant { false }",
  "    method canInherit { false }",
  "    method returnsObject { false }",
  "    method isImplicit { false }",
  "    method usesAsType(aNode) { false }",
  "    method hash { line.hash * linePos.hash }",
  "    method asString { \"{kind} {nameString}\" }",
  "    method nameString { \"?\" }",
  "    method isWritable { true }",
  "    method isReadable { true }",
  "    method isPublic { true }",
  "    method isConfidential { isPublic.not }",
  "    method decType {",
  "        if (false == self.dtype) then {",
  "            return unknownType",
  "        }",
  "        return self.dtype",
  "    }",
  "    method isSimple { true }  // needs no parens when used as receiver",
  "    method isDelimited { false }  // needs no parens when used as argument",
  "    method description { kind }",
  "    method accept(visitor) {",
  "        self.accept(visitor) from (ancestorChain.empty)",
  "    }",
  "    method scope { symbolTable }",
  "",
  "    method scope:=(st) {",
  "        // override this method in subobjects that open a new scope. In such",
  "        // subobjects, and only in such subobjects, there should be a 2-way",
  "        // conection between the node and the symbol table that defines its scope.",
  "        symbolTable := st",
  "    }",
  "    method setScope(st) {",
  "        // sets the symboltable, and answers self, for chaining.",
  "        scope := st",
  "        self",
  "    }",
  "    method shallowCopyFieldsFrom(other) {",
  "        register := other.register",
  "        line := other.line",
  "        linePos := other.linePos",
  "        scope := other.scope",
  "        postCopy(other)",
  "        self",
  "    }",
  "    method postCopy(other) {",
  "        // hook method, to be overridden by sub-objects if desired",
  "    }",
  "",
  "    method prettyPrefix(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        if ((scope.node == self) && {util.target == \"symbols\"}) then {",
  "            \"{range} {description}\\n{spc}Symbols({scope.variety}): {scope}{scope.elementScopesAsString}\"",
  "        } elseif {scope.variety == \"fake\"} then {",
  "            \"{range} {description}\"",
  "        } else {",
  "            \"{range} {description} {scope.asDebugString}\"",
  "        }",
  "    }",
  "    method basePretty(depth) { prettyPrefix(depth) }",
  "    method pretty(depth) { basePretty(depth) }",
  "    method deepCopy {",
  "        self.map { each -> each } ancestors(ancestorChain.empty)",
  "    }",
  "    method enclosingObject {",
  "        def obj = scope.enclosingObjectScope.node",
  "        obj",
  "    }",
  "    method addComment(cmtNode) {",
  "        if (false == comments) then {",
  "            comments := cmtNode",
  "        } else {",
  "            comments.extendCommentUsing(cmtNode)",
  "        }",
  "    }",
  "    method addComments(cmtNodeList) {",
  "        cmtNodeList.do { each -> addComment(each) }",
  "    }",
  "    method statementName { kind }",
  "}",
  "",
  "def implicit is public = object {",
  "    inherit baseNode",
  "    line := 0",
  "    linePos := 0",
  "    def kind is public = \"implicit\"",
  "    def nameString is public = \"implicit\"",
  "    method range { emptyRange }",
  "    method isImplicit { true }",
  "    method toGrace(depth) { \"implicit\" }",
  "    method asString { \"the implicit receiver\" }",
  "    method == (other) { self.isMe(other) }",
  "    method map(blk) ancestors(as) { self }",
  "    method accept(visitor) from (as) {",
  "        visitor.visitImplicit(self) up (as)",
  "    }",
  "    method pretty(depth) { \"implicit\" }",
  "}",
  "",
  "def nullNode is public = object {",
  "    inherit baseNode",
  "    def kind is public = \"null\"",
  "    method toGrace(depth) {",
  "        \"// null\"",
  "    }",
  "    method range { emptyRange }",
  "    method asString { \"the nullNode\" }",
  "    method == (other) { self.isMe(other) }",
  "}",
  "",
  "def fakeSymbolTable is public = object {",
  "    var node is public := nullNode",
  "    method asString { \"the fakeSymbolTable\" }",
  "    method addNode (n) as (kind) {",
  "        ProgrammingError.raise \"fakeSymbolTable(on node {node}).addNode({n}) as \\\"{kind}\\\" requested\"",
  "    }",
  "    method thatDefines (name) ifNone (action) {",
  "        ProgrammingError.raise \"fakeSymbolTable.thatDefines({name}).\"",
  "    }",
  "    method enclosingObjectScope {",
  "        ProgrammingError.raise \"fakeSymbolTable.enclosingObjectScope on node {node}\"",
  "    }",
  "    method variety { \"fake\" }",
  "    method ==(other) { self.isMe(other) }",
  "}",
  "",
  "def ifNode is public = object {",
  "  class new(cond, thenblock', elseblock') {",
  "    inherit baseNode",
  "    def kind is public = \"if\"",
  "    var value is public := cond",
  "    var thenblock is public := thenblock'",
  "    var elseblock is public := elseblock'",
  "    var handledIdentifiers is public := false",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitIf(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            value.accept(visitor) from(newChain)",
  "            thenblock.accept(visitor) from(newChain)",
  "            elseblock.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method end -> Position { elseblock.end }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.thenblock := thenblock.map(blk) ancestors(newChain)",
  "        n.elseblock := elseblock.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        if (util.target == \"symbols\") then {",
  "            s := s ++ spc ++ \"Then: {thenblock.pretty(depth+2)}\\n\"",
  "            s := s ++ spc ++ \"Else: {elseblock.pretty(depth+2)}\"",
  "        } else {",
  "            s := s ++ spc ++ \"Then:\"",
  "            for (self.thenblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Else:\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"if ({self.value.toGrace(0)}) then \\{\"",
  "        for (self.thenblock.body) do { ix ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "        }",
  "        if (self.elseblock.isntEmpty) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\} else \\{\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        ifNode.new(nullNode, nullNode, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        handledIdentifiers := other.handledIdentifiers",
  "        self",
  "    }",
  "  }",
  "}",
  "def blockNode is public = object {",
  "  class new(params', body') {",
  "    inherit baseNode",
  "    def kind is public = \"block\"",
  "    def value is public = \"block\"",
  "    var params is public := params'",
  "    var body is public := body'",
  "    def selfclosure is public = true",
  "    var matchingPattern is public := false",
  "    var extraRuntimeData is public := false",
  "    for (params') do {p->",
  "        p.accept(patternMarkVisitor) from(ancestorChain.with(self))",
  "    }",
  "    method isBlock { true }",
  "    method isDelimited { true }",
  "    method isEmpty { body.size == 0 }",
  "    method isntEmpty { body.size > 0 }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the synmol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "    method declarationKindWithAncestors(as) { k.parameter }",
  "    method isMatchingBlock { params.size == 1 }",
  "    method returnsObject {",
  "        (body.size > 0) && { body.last.returnsObject }",
  "    }",
  "    method returnedObjectScope {",
  "        // precondition: returnsObject",
  "        body.last.returnedObjectScope",
  "    }",
  "    method parametersDo(b) {",
  "        params.do(b)",
  "    }",
  "    method end -> Position {",
  "        if (body.size > 0) then { return body.last.end }",
  "        if (params.isEmpty) then {",
  "            positionOfNext \"}\" after (start)",
  "        } else {",
  "            positionOfNext \"}\" after (params.last.end)",
  "        }",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitBlock(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.params) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.matchingPattern) then {",
  "                self.matchingPattern.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.params := listMap(params, blk) ancestors(newChain)",
  "        n.body := listMap(body, blk) ancestors(newChain)",
  "        n.matchingPattern := maybeMap(matchingPattern, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Parameters:\"",
  "        for (self.params) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+1)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+1)",
  "        }",
  "        if (false != self.matchingPattern) then {",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Pattern:\"",
  "            s := s ++ \"\\n  \"++ spc ++ self.matchingPattern.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"\\{\"",
  "        if (self.params.size > 0) then {",
  "            s := s ++ \" \"",
  "            for (self.params.indices) do { i ->",
  "                var p := self.params.at(i)",
  "                if (false != self.matchingPattern) then {",
  "                    s := s ++ \"(\" ++ p.toGrace(0) ++ \")\"",
  "                } else {",
  "                    s := s ++ p.toGrace(0)",
  "                }",
  "                if (i < self.params.size) then {",
  "                    s := s ++ \", \"",
  "                } else {",
  "                    s := s ++ \" →\"",
  "                }",
  "            }",
  "        }",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        repeat (depth - 1) times { s := s ++ \"    \" }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopy {",
  "        blockNode.new(params, body).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        matchingPattern := other.matchingPattern",
  "        extraRuntimeData := other.extraRuntimeData",
  "        self",
  "    }",
  "  }",
  "}",
  "def tryCatchNode is public = object {",
  "  class new(block, cases', finally') {",
  "    inherit baseNode",
  "    def kind is public = \"trycatch\"",
  "    var value is public := block",
  "    var cases is public := cases'",
  "    var finally is public := finally'",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method end -> Position {",
  "        if (false ≠ finally) then { return finally.end }",
  "        if (cases.isEmpty.not) then { return cases.last.end }",
  "        return value.end",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTryCatch(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.finally) then {",
  "                self.finally.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.cases := listMap(cases, blk) ancestors(newChain)",
  "        n.finally := maybeMap(finally, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := \"{basePretty(depth)}\\n\"",
  "        s := s ++ spc ++ value.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n{spc}Finally:\\n{spc}  {self.finally.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"try \" ++ self.value.toGrace(depth + 1) ++ \" \"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"catch \" ++ case.toGrace(depth + 1)",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"finally \" ++ self.finally.toGrace(depth + 1)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        tryCatchNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def matchCaseNode is public = object {",
  "  class new(matchee', cases') {",
  "    inherit baseNode",
  "    def kind is public = \"matchcase\"",
  "    var value is public := matchee'",
  "    var cases is public := cases'",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method end -> Position {",
  "        if (cases.isEmpty.not) then { return cases.last.end }",
  "        return value.end",
  "    }",
  "    method matchee { value }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitMatchCase(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.cases := listMap(cases, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ matchee.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"match(\" ++ self.value.toGrace(0) ++ \")\"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        matchCaseNode.new(nullNode, emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def methodTypeNode is public = object {",
  "  class new(signature', rtype') {",
  "    // Represents the signature of a method in a type literal.",
  "    // signature' is a collection of signaturePart objects, which",
  "    // contain the parts of this method's name and the parameter lists;",
  "    // rtype' is the return type of this method, or false if not specified.",
  "",
  "    inherit baseNode",
  "    def kind is public = \"methodtype\"",
  "    var signature is public := signature'",
  "    var rtype is public := rtype'",
  "    var typeParams is public := false",
  "    var cachedIdentifier := uninitialized",
  "",
  "    method end -> Position {",
  "        if (false ≠ rtype) then { return rtype.end }",
  "        signature.last.end",
  "    }",
  "",
  "    method nameString {",
  "        signature.fold { acc, each -> acc ++ each.nameString }",
  "            startingWith \"\"",
  "    }",
  "    method value {",
  "        if (uninitialized == cachedIdentifier) then {",
  "            cachedIdentifier := identifierNode.new(nameString, false)",
  "            cachedIdentifier.line := signature.first.line",
  "            cachedIdentifier.linePos := signature.first.linePos",
  "            cachedIdentifier.end := signature.last.end",
  "            cachedIdentifier.isBindingOccurrence := true",
  "        }",
  "        cachedIdentifier",
  "    }",
  "    method isExecutable { false }",
  "    method parametersDo(b) {",
  "        signature.do { part ->",
  "            part.params.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the symbol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "    method declarationKindWithAncestors(as) { k.typedec }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitMethodType(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            if (false != typeParams) then {",
  "                typeParams.accept(visitor) from(newChain)",
  "            }",
  "            if (false != rtype) then {",
  "                rtype.accept(visitor) from(newChain)",
  "            }",
  "            for (signature) do { part ->",
  "                part.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.rtype := maybeMap(rtype, blk) ancestors(newChain)",
  "        n.signature := listMap(signature, blk) ancestors(newChain)",
  "        n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := \"{s}{spc}Name: {value}\\n\"",
  "        if (false != rtype) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{rtype.pretty(depth + 2)}\"",
  "        }",
  "        if (false != typeParams) then {",
  "            s := \"{s}\\n{spc}TypeParams:\\n\"",
  "            s := s ++ typeParams.pretty(depth + 2)",
  "        }",
  "        s := \"{s}\\n{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}{part.pretty(depth + 2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        signature.do { part -> s:= s ++ part.toGrace(depth + 1) }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        methodTypeNode.new(signature, rtype).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def typeLiteralNode is public = object {",
  "  class new(methods', types') {",
  "    inherit baseNode",
  "    def kind is public = \"typeliteral\"",
  "    var methods is public := methods'",
  "    var types is public := types'",
  "    var nominal is public := false",
  "    var anonymous is public := true",
  "    var value is public := \"‹anon›\"",
  "",
  "    method name { value }",
  "    method name:=(n) {",
  "        value := n",
  "        anonymous := false",
  "    }",
  "    method asString {",
  "        \"typeliteral: methods = {methods}, types = {types}\"",
  "    }",
  "    method declarationKindWithAncestors(as) { k.typedec }",
  "    method isExecutable { false }",
  "",
  "    method end -> Position {",
  "        def tEnd = if (types.isEmpty) then {noPosition} else {types.last.end}",
  "        def mEnd = if (methods.isEmpty) then {noPosition} else {methods.last.end}",
  "        positionOfNext \"}\" after (max(tEnd, mEnd))",
  "    }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeLiteral(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.methods) do { each ->",
  "                each.accept(visitor) from(newChain)",
  "            }",
  "            for (self.types) do { each ->",
  "                each.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.methods := listMap(methods, blk) ancestors (as)",
  "        n.types := listMap(types, blk) ancestors (as)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Types:\"",
  "        for (types) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Methods:\"",
  "        for (methods) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"type\"",
  "        s := s ++ \" = \\{\"",
  "        for (self.methods) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        for (self.types) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopy {",
  "        typeLiteralNode.new(emptySeq, emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        nominal := other.nominal",
  "        anonymous := other.anonymous",
  "        value := other.value",
  "        self",
  "    }",
  "  }",
  "}",
  "",
  "def typeDecNode is public = object {",
  "  class new(name', typeValue) {",
  "    inherit baseNode",
  "    def kind is public = \"typedec\"",
  "    var name is public := name'",
  "    var value is public := typeValue",
  "    def nameString is public = name.value",
  "    var annotations is public := [ ]",
  "    var typeParams is public := false",
  "",
  "    method end -> Position { value.end }",
  "    method isLegalInTrait { true }",
  "    method isTypeDec { true }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the synmol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "",
  "    method isExecutable { true }",
  "    method declarationKindWithAncestors(as) { k.typeparam }",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeDec(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            name.accept(visitor) from(newChain)",
  "            if (false != typeParams) then {",
  "                typeParams.accept(visitor) from(newChain)",
  "            }",
  "            annotations.do { each -> each.accept(visitor) from(newChain) }",
  "            value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.name := name.map(blk) ancestors(newChain)",
  "        n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1) ++ \"\\n\"",
  "        if (false != typeParams) then {",
  "            s := \"{s}{spc}Type parameters:\\n{typeParams.pretty(depth + 2)}\\n\"",
  "        }",
  "        s := s ++ spc ++ \"Value:\"",
  "        s := s ++ value.pretty(depth+2)",
  "        s := s ++ \"\\n\"",
  "        if (false != comments) then {",
  "            s := s ++ comments.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"\"",
  "        s := \"type {self.name}\"",
  "        if (false != typeParams) then {",
  "            typeParams.toGrace(0)",
  "        }",
  "        s ++ \" = \" ++ value.toGrace(depth + 2)",
  "    }",
  "    method shallowCopy {",
  "        typeDecNode.new(name, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "",
  "def methodNode is public = object {",
  "    method new(signature, body, dtype) scope(s) {",
  "        def result = new(signature, body, dtype)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(signature', body', dtype') {",
  "        // Represents a method declaration",
  "        // The name of the method is constructed from signature',",
  "        // which is a sequence of signatureParts;",
  "        // body is a sequence of statements and declarations.",
  "        // dtype is the declared return type of the method, or false.",
  "",
  "        inherit baseNode",
  "        def kind is public = \"method\"",
  "        var signature is public := signature'",
  "        var body is public := body'",
  "        var dtype is public := dtype'",
  "        var typeParams is public := false",
  "        var selfclosure is public := false",
  "        var annotations is public := [ ]",
  "        var isFresh is public := false      // a method is 'fresh' if it answers a new object",
  "        var usesClassSyntax is public := false",
  "        var cachedIdentifier := uninitialized",
  "        var isBindingOccurence is readable := true",
  "            // the only exception is the oldMethodName in an alias clause",
  "",
  "        method end -> Position {",
  "            if (body.isEmpty.not) then {",
  "                if (usesClassSyntax) then { return body.last.end }",
  "                return positionOfNext \"}\" after (body.last.end)",
  "            }",
  "            if (false ≠ dtype) then {",
  "                return positionOfNext \"}\" after (dtype.end)",
  "            }",
  "            return positionOfNext \"}\" after (signature.last.end)",
  "        }",
  "        method ilkName {",
  "            // a string describing the ilk of the objects returned by this method",
  "            if (isFresh && {body.last.isObject}) then {",
  "                body.last.name",
  "            } else {",
  "                canonicalName",
  "            }",
  "        }",
  "        method appliedOccurence {",
  "            isBindingOccurence := false",
  "            if (uninitialized ≠ cachedIdentifier) then {",
  "                cachedIdentifier.isBindingOccurence := false",
  "            }",
  "            self",
  "        }",
  "        method numParams {",
  "            signature.fold { acc, p -> acc + p.numParams } startingWith 0",
  "        }",
  "        method endPos {",
  "            def lastPart = signature.last",
  "            lastPart.linePos + lastPart.name.size - 1",
  "        }",
  "",
  "        method nameString {",
  "            signature.fold { acc, each -> acc ++ each.nameString }",
  "                startingWith \"\"",
  "        }",
  "        method asIdentifier {",
  "            if (uninitialized == cachedIdentifier) then {",
  "                cachedIdentifier := identifierNode.new(nameString, false)",
  "                cachedIdentifier.line := signature.first.line",
  "                cachedIdentifier.linePos := signature.first.linePos",
  "                cachedIdentifier.isBindingOccurrence := isBindingOccurence",
  "                cachedIdentifier.end := signature.last.end",
  "                cachedIdentifier.canonicalName := canonicalName",
  "            }",
  "            cachedIdentifier",
  "        }",
  "        method value { asIdentifier }",
  "        method canonicalName {",
  "            signature.fold { acc, each -> acc ++ each.canonicalName }",
  "                startingWith \"\"",
  "        }",
  "        method hasParams { signature.first.params.isEmpty.not }",
  "        method numParamLists {",
  "            // the number of my parameter lists.  If I have a single",
  "            // part to my name, there may be 0 or 1",
  "            def sigSz = signature.size",
  "            if (sigSz > 1) then { return sigSz }",
  "            if {signature.first.params.isEmpty} then { return 0 }",
  "            return 1",
  "        }",
  "        method hasTypeParams { false ≠ signature.first.typeParams }",
  "        method isMethod { true }",
  "        method isExecutable { false }",
  "        method isLegalInTrait { true }",
  "        method isClass { isFresh || usesClassSyntax }",
  "        method isTrait {",
  "            if (isFresh) then {",
  "                body.last.isTrait",
  "            } else {",
  "                false",
  "            }",
  "        }",
  "        method needsArgChecks {",
  "            signature.do { part ->",
  "                part.params.do { p ->",
  "                    if ((false != p.dtype) && {",
  "                            p.dtype.nameString != \"Unknown\" }) then {",
  "                        return true",
  "                    }",
  "                }",
  "            }",
  "            return false",
  "        }",
  "        method scope:=(st) {",
  "            // sets up the 2-way conection between this node",
  "            // and the synmol table that defines the scope that I open.",
  "            symbolTable := st",
  "            st.node := self",
  "        }",
  "        method declarationKindWithAncestors(as) { k.parameter }",
  "        method isConfidential {",
  "            if (annotations.size == 0) then { return false }",
  "            findAnnotation(self, \"confidential\")",
  "        }",
  "        method isPublic { isConfidential.not }",
  "        method isWritable { false }",
  "        method isReadable { isPublic }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method returnsObject {",
  "            body.isEmpty.not && {body.last.returnsObject}",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            body.last.returnedObjectScope",
  "        }",
  "        method resultExpression {   // precondition: body is not empty",
  "            if (body.isEmpty) then { ProgrammingError.raise \"method has no body\" }",
  "            var last := body.last",
  "            if (last.isReturn) then { last := last.value }",
  "            last",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitMethod(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.value.accept(visitor) from(newChain)",
  "                if (false != typeParams) then {",
  "                    typeParams.accept(visitor) from(newChain)",
  "                }",
  "                for (self.signature) do { part ->",
  "                    for (part.params) do { p ->",
  "                        p.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "                if (false != dtype) then {",
  "                    dtype.accept(visitor) from(newChain)",
  "                }",
  "                for (self.annotations) do { ann ->",
  "                    ann.accept(visitor) from(newChain)",
  "                }",
  "                for (self.body) do { mx ->",
  "                    mx.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as){",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.body := listMap(body, blk) ancestors(newChain)",
  "            n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "            n.signature := listMap(signature, blk) ancestors(newChain)",
  "            n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth) ++ \"\\n\"",
  "            s := s ++ spc ++ \"Name: \" ++ value.pretty(depth+1) ++ \"\\n\"",
  "            if (false != self.dtype) then {",
  "                s := s ++ spc ++ \"Returns:\\n\" ++ spc ++ \"  \"",
  "                s := s ++ self.dtype.pretty(depth + 2) ++ \"\\n\"",
  "            }",
  "            if (isBindingOccurence.not) then { s := s ++ spc ++ \"Applied\\n\" }",
  "            if (isFresh) then { s := s ++ spc ++ \"Fresh\\n\" }",
  "            s := \"{s}{spc}Signature:\"",
  "            for (signature) do { part ->",
  "                s := \"{s}\\n  {spc}Part: {part.name}\"",
  "                s := \"{s}\\n    {spc}Parameters:\"",
  "                for (part.params) do { p ->",
  "                    s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "                }",
  "            }",
  "            s := s ++ \"\\n\"",
  "            if (false != typeParams) then {",
  "                s := \"{s}{spc}Generics:\"",
  "                typeParams.do {g->",
  "                    s := \"{s}\\n{spc}  {g.pretty(0)}\"",
  "                }",
  "                s := s ++ \"\\n\"",
  "            }",
  "            if (annotations.size > 0) then {",
  "                s := \"{s}{spc}Annotations:\"",
  "                for (annotations) do {an->",
  "                    s := \"{s}\\n{spc}  {an.pretty(depth + 2)}\"",
  "                }",
  "                s := s ++ \"\\n\"",
  "            }",
  "            s := s ++ spc ++ \"Body:\"",
  "            for (self.body) do { mx ->",
  "                s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "            }",
  "            if (false != comments) then {",
  "                s := s ++ comments.pretty(depth+2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            def spc = \"    \" * depth",
  "            var s := \"method \"",
  "            var firstPart := true",
  "            for (self.signature) do { part ->",
  "                s := s ++ part.name",
  "                if (firstPart && {false != typeParams}) then {",
  "                    s := s ++ typeParams.toGrace(depth + 1)",
  "                }",
  "                firstPart := false",
  "                if (part.params.size > 0) then {",
  "                    s := s ++ \"(\"",
  "                    for (part.params.indices) do { pnr ->",
  "                        var p := part.params.at(pnr)",
  "                        s := s ++ p.toGrace(depth + 1)",
  "                        if (pnr < part.params.size) then {",
  "                            s := s ++ \", \"",
  "                        }",
  "                    }",
  "                    s := s ++ \")\"",
  "                }",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \" -> {self.dtype.toGrace(0)}\"",
  "            }",
  "            if (self.annotations.size > 0) then {",
  "                s := s ++ \" is \"",
  "                s := s ++ self.annotations.fold{ a,b ->",
  "                    if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                        startingWith \"\"",
  "            }",
  "            s := s ++ \" \\{\"",
  "            if (false != comments) then {",
  "                s := s ++ comments.toGrace(depth + 1)",
  "            }",
  "            for (self.body) do { mx ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "            }",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            methodNode.new(signature, body, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            isFresh := other.isFresh",
  "            selfclosure := other.selfclosure",
  "            if (other.isBindingOccurence.not) then {",
  "                self.appliedOccurence",
  "            }",
  "            self",
  "        }",
  "    }",
  "}",
  "def callNode is public = object {",
  "    method new(receiver, parts) scope(s) {",
  "        def result = new(receiver, parts)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(receiver', parts) {",
  "        // requested as callNode.new(receiver':AstNode, parts:List)",
  "        // Represents a method request with arguments.",
  "        // The argument list is in `with`, as a sequence of `requestPart`s.",
  "",
  "        inherit baseNode",
  "        def kind is public = \"call\"",
  "        var with is public := parts            // [ requestPart ]",
  "        var generics is public := false",
  "        var isPattern is public := false",
  "        var receiver is public := receiver'    // formerly `value`",
  "        var isSelfRequest is public := false",
  "        var isTailCall is public := false      // is possibly the result of a method",
  "        var isFresh is public := false         // calls a fresh method",
  "        var cachedIdentifier := uninitialized",
  "",
  "        method end -> Position { with.last.end }",
  "        method onSelf {",
  "            // mark as a self-request.  Answers self for chaining.",
  "            isSelfRequest := true",
  "            self",
  "        }",
  "",
  "        method nameString {",
  "            // the name of the method being requested, in numeric form",
  "            with.fold { acc, each -> acc ++ each.nameString } startingWith \"\"",
  "        }",
  "",
  "        method canonicalName {",
  "            // the name of the method being requested, in underscore form",
  "            with.fold { acc, each -> acc ++ each.canonicalName }",
  "                startingWith \"\"",
  "        }",
  "",
  "        method isCall { true }",
  "        method returnsObject {",
  "            // we recognize two special calls as returning a fresh object",
  "            // self.copy, and prelude.clone(_)",
  "            if (isCopy) then { return true }",
  "            if (isClone) then { return true }",
  "            isFresh",
  "        }",
  "        method isCopy {",
  "            ((receiver.isImplicit || receiver.isSelf) &&",
  "                (nameString == \"copy\"))",
  "        }",
  "        method isClone {",
  "            ((receiver.isImplicit || receiver.isPrelude) &&",
  "                  (nameString == \"clone(1)\"))",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            self.scope",
  "        }",
  "        method arguments {",
  "            def result = [ ]",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg -> result.push(arg) }",
  "            }",
  "            result",
  "        }",
  "",
  "        method argumentsDo(action) {",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg -> action.apply(arg) }",
  "            }",
  "        }",
  "",
  "        method numArgs {",
  "            with.fold { acc, part -> acc + part.args.size } startingWith 0",
  "        }",
  "",
  "        method numTypeArgs {",
  "            if (false == generics) then { 0 } else { generics.size }",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitCall(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.receiver.accept(visitor) from(newChain)",
  "                for (self.with) do { part ->",
  "                    for (part.args) do { arg ->",
  "                        arg.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "                if (false != generics) then {",
  "                    generics.do { each ->",
  "                        each.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.receiver := receiver.map(blk) ancestors(newChain)",
  "            n.with := listMap(with, blk) ancestors(newChain)",
  "            n.generics := maybeListMap(generics, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth)",
  "            s := s ++ if (isSelfRequest) then { \" on self\\n\" } else { \"\\n\" }",
  "            s := s ++ spc ++ \"Receiver: {receiver.pretty(depth + 1)}\\n\"",
  "            s := s ++ spc ++ \"Method Name: {nameString}\\n\"",
  "            if (false != generics) then {",
  "                s := s ++ spc ++ \"  Generics:\\n\"",
  "                for (generics) do {g->",
  "                    s := s ++ spc ++ \"    \" ++ g.pretty(depth + 2) ++ \"\\n\"",
  "                }",
  "            }",
  "            s := s ++ spc ++ \"Parts:\"",
  "            for (self.with) do { part ->",
  "                s := s ++ \"\\n  \" ++ spc ++ part.pretty(depth + 2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            if (receiver.isImplicit.not) then {",
  "                if (receiver.isSimple) then {",
  "                    s := \"{receiver.toGrace (depth + 1)}.\"",
  "                } else {",
  "                    s := \"({receiver.toGrace (depth + 1)}).\"",
  "                }",
  "            }",
  "            with.do { part -> s := s ++ part.toGrace(depth + 1) }",
  "                separatedBy { s := s ++ \" \" }",
  "            s",
  "        }",
  "        method asIdentifier {",
  "            // make and return an identifiderNode for my request",
  "",
  "            if (uninitialized == cachedIdentifier) then {",
  "                if (fakeSymbolTable == scope) then {",
  "                    ProgrammingError.raise",
  "                        \"asIdentifier requested on {pretty 0} when scope was fake\"",
  "                }",
  "                cachedIdentifier := identifierNode.new(nameString, false) scope (scope)",
  "                cachedIdentifier.inRequest := true",
  "                cachedIdentifier.line := with.first.line",
  "                cachedIdentifier.linePos := with.first.linePos",
  "            }",
  "            cachedIdentifier",
  "        }",
  "        method asString { \"call {receiver.pretty(0)}\" }",
  "        method shallowCopy {",
  "            callNode.new(receiver, with).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            isPattern := other.isPattern",
  "            isSelfRequest := other.isSelfRequest",
  "            isTailCall := other.isTailCall",
  "            isFresh := other.isFresh",
  "            self",
  "        }",
  "        method statementName { \"request\" }",
  "    }",
  "}",
  "def moduleNode is public = object {",
  "    method body(b) named(n) scope(s) {",
  "        def result = body(b)",
  "        result.name := n",
  "        result.scope := s",
  "        result",
  "    }",
  "    method body(b) named(n) {",
  "        def result = body(b)",
  "        result.name := n",
  "        result",
  "    }",
  "    class body(b) {",
  "        inherit objectNode.new(b, false)",
  "        def kind is public = \"module\"",
  "        def sourceLines = util.lines",
  "        var theDialect is public := dialectNode.new \"standardGrace\"",
  "        theDialect.setStart(noPosition)     // dialect is implicit",
  "        setStart(noPosition)                // so is the module",
  "        var imports is public := [ ]",
  "",
  "        method end -> Position {",
  "            line (util.lines.size) column (util.lines.last.size)",
  "        }",
  "        method isModule { true }",
  "        method isTrait { false }",
  "        method returnsObject { false }",
  "        method importsDo(action) {",
  "            value.do { o ->",
  "                if (o.isExternal) then { action.apply(o) }",
  "            }",
  "        }",
  "        method externalsDo(action) {",
  "            if (theDialect.value ≠ \"none\") then {",
  "                action.apply(theDialect)",
  "            }",
  "            value.do { o ->",
  "                if (o.isExternal) then { action.apply(o) }",
  "            }",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitModule(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                theDialect.accept(visitor) from (newChain)",
  "                if (false != self.superclass) then {",
  "                    self.superclass.accept(visitor) from(newChain)",
  "                }",
  "                for (self.value) do { x ->",
  "                    x.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.theDialect := theDialect.map(blk) ancestors(newChain)",
  "            n.value := listMap(value, blk) ancestors(newChain)",
  "            n.superclass := maybeMap(superclass, blk) ancestors(newChain)",
  "            n.usedTraits := listMap(usedTraits, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method basePretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            prettyPrefix(depth) ++ \"\\n\" ++",
  "                \"{spc}{theDialect.toGrace 0}\"",
  "        }",
  "        method shallowCopy {",
  "            moduleNode.body(emptySeq).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            imports := other.imports",
  "            theDialect := other.theDialect",
  "            // copy the field of moduleNode",
  "",
  "            name := other.name",
  "            value := other.value",
  "            superclass := other.superclass",
  "            usedTraits := other.usedTraits",
  "            inClass := other.inClass",
  "            inTrait := other.inTrait",
  "            annotations := other.annotations",
  "            // copy the fields of objectNode — should be an alias to objectNode.postCopy",
  "",
  "            self",
  "        }",
  "    }",
  "}",
  "def objectNode is public = object {",
  "    method body(b) named(n) scope(s) {",
  "        def result = new(b, false)",
  "        result.name := n",
  "        result.scope := s",
  "        result",
  "    }",
  "    method body(b) named(n) {",
  "        body(b) named(n) scope(fakeSymbolTable)",
  "    }",
  "    class new(b, superclass') {",
  "        inherit baseNode",
  "        def kind is public = \"object\"",
  "        var value is public := b",
  "        var superclass is public := superclass'",
  "        var usedTraits is public := [ ]",
  "        var name is public := \"object\"",
  "        var inClass is public := false",
  "        var inTrait is public := false",
  "        var myLocalNames := false",
  "        var annotations is public := [ ]",
  "",
  "        method end -> Position {",
  "            if (value.isEmpty.not) then {",
  "                return positionOfNext \"}\" after (value.last.end)",
  "            }",
  "            def iEnd = if (false == superclass) then { noPosition } else { superclass.end }",
  "            def tEnd = if (usedTraits.isEmpty) then { noPosition } else { usedTraits.end }",
  "            if (iEnd ≠ tEnd) then {",
  "                positionOfNext \"}\" after (max(iEnd, tEnd))",
  "            } else {",
  "                positionOfNext \"}\" after (start)",
  "            }",
  "        }",
  "        method description -> String {",
  "            if (isTrait) then {",
  "                \"{kind} (trait)\"",
  "            } elseif { inClass } then {",
  "                \"{kind} (class)\"",
  "            } else {",
  "                kind",
  "            }",
  "        }",
  "        method isFresh { true }     // the epitome of freshness!",
  "        method isTrait {",
  "            // answers true if this object qualifies to be a trait, whether",
  "            // or not it was declared with the trait syntax",
  "",
  "            if (inTrait) then { return true }",
  "            if (false != superclass) then { return false }",
  "            value.do { each ->",
  "                if (each.isLegalInTrait.not) then { return false }",
  "            }",
  "            return true",
  "        }",
  "",
  "        method localNames -> Set⟦String⟧ {",
  "            // answers the names of all of the methods defined directly in",
  "            // this object.  Inherited names are _not_ included.",
  "            if (false == myLocalNames) then {",
  "                myLocalNames := emptySet",
  "                value.do { node ->",
  "                    if (node.isFieldDec || node.isMethod) then {",
  "                        myLocalNames.add(node.nameString)",
  "                    }",
  "                }",
  "            }",
  "            myLocalNames",
  "        }",
  "",
  "        method parentsDo(action) {",
  "            // iterate over my superclass and my used traits",
  "",
  "            if (false != superclass) then { action.apply(superclass) }",
  "            usedTraits.do { t -> action.apply(t) }",
  "        }",
  "",
  "        method methodsDo(action) {",
  "            // iterate over my method declarations",
  "",
  "            value.do { o ->",
  "                if (o.isMethod) then { action.apply(o) }",
  "            }",
  "        }",
  "",
  "        method executableComponentsDo(action) {",
  "            // iterate over my executable code, including",
  "            // field declarations (since they may have initializers)",
  "            value.do { o ->",
  "                if (o.isExecutable) then { action.apply(o) }",
  "            }",
  "        }",
  "",
  "        method scope:=(st) {",
  "            // sets up the 2-way conection between this node",
  "            // and the symbol table that defines the scope that I open.",
  "            symbolTable := st",
  "            st.node := self",
  "        }",
  "        method body { value }",
  "        method returnsObject { true }",
  "        method returnedObjectScope { scope }",
  "        method canInherit { inTrait.not }   // an object can inherit if not in a trait",
  "        method canUse { true }",
  "        method isObject { true }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitObject(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != superclass) then {",
  "                    superclass.accept(visitor) from(newChain)",
  "                }",
  "                usedTraits.do { t -> t.accept(visitor) from(newChain) }",
  "                value.do { x -> x.accept(visitor) from(newChain) }",
  "            }",
  "        }",
  "        method nameString {",
  "            if (name == \"object\") then {",
  "                \"object_on_line_{line}\"",
  "            } else {",
  "                name",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.value := listMap(value, blk) ancestors(newChain)",
  "            n.superclass := maybeMap(superclass, blk) ancestors(newChain)",
  "            n.usedTraits := listMap(usedTraits, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth') {",
  "            var depth := depth'",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth)",
  "            s := \"{s}\\n{spc}Name: {self.name}\"",
  "            if (false != self.superclass) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Superclass: \" ++",
  "                        self.superclass.pretty(depth + 1)",
  "            }",
  "            if (usedTraits.isEmpty.not) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Traits:\"",
  "                usedTraits.do { t ->",
  "                    s := \"{s}\\n{spc}  {t.pretty(depth + 1)}\"",
  "                }",
  "            }",
  "            value.do { x ->",
  "                s := s ++ \"\\n\"++ spc ++ x.pretty(depth + 1)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            def spc = \"    \" * depth",
  "            var s := \"object \\{\"",
  "            if (inTrait) then { s := s ++ \"   // trait\" }",
  "            if (inClass) then { s := s ++ \"   // class\" }",
  "            if (false != superclass) then {",
  "                s := s ++ \"\\n\" ++ superclass.toGrace(depth + 1)",
  "            }",
  "            usedTraits.do { t -> s := s ++ \"\\n\" ++ t.toGrace(depth + 1) }",
  "            value.do { x ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ x.toGrace(depth + 1)",
  "            }",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            objectNode.new(emptySeq, false).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            name := other.name",
  "            value := other.value",
  "            superclass := other.superclass",
  "            usedTraits := other.usedTraits",
  "            inClass := other.inClass",
  "            inTrait := other.inTrait",
  "            annotations := other.annotations",
  "            self",
  "        }",
  "        method asString {",
  "            kind ++ \" \" ++ nameString",
  "        }",
  "    }",
  "}",
  "def arrayNode is public = object {",
  "  class new(values) {",
  "    inherit baseNode",
  "    def kind is public = \"array\"",
  "    var value is public := values",
  "    method end -> Position {",
  "        if (value.isEmpty) then {",
  "            positionOfNext \"]\" after (start)",
  "        } else {",
  "            positionOfNext \"]\" after (value.last.end)",
  "        }",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitArray(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.value) do { ax ->",
  "                ax.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := listMap(value, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth)",
  "        for (self.value) do { ax ->",
  "            s := s ++ \"\\n\"++ spc ++ ax.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"[\"",
  "        for (self.value.indices) do { i ->",
  "            s := s ++ self.value.at(i).toGrace(0)",
  "            if (i < self.value.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \"]\"",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        arrayNode.new(emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "class outerNode(nodes) {",
  "    // references an object outside the current object.",
  "    // nodes, a sequence of objectNodes, tells us which one.",
  "    // The object that we refer to is the one OUTSIDE nodes.last",
  "    inherit baseNode",
  "    def kind is public = \"outer\"",
  "    def theObjects is public = nodes",
  "    method numberOfLevels { theObjects.size }",
  "    method asString { \"‹object outside that at line {theObjects.last.line}›\" }",
  "    method pretty(depth) { basePretty(depth) ++ asString }",
  "    method accept(visitor) from (as) {",
  "        visitor.visitOuter(self) up (as)",
  "        // don't visit theObject, since this would introduce a cycle",
  "    }",
  "    method toGrace(depth) {",
  "        \"outer\" ++ (\".outer\" * (theObjects.size - 1))",
  "    }",
  "    method isOuter { true }",
  "    method isSelfOrOuter { true }",
  "    method shallowCopy {",
  "        outerNode(theObjects).shallowCopyFieldsFrom(self)",
  "    }",
  "    method map (blk) ancestors (as) {",
  "        var nd := shallowCopy",
  "        blk.apply(nd, as)",
  "    }",
  "    def end is public = if (line == 0) then { noPosition } else {",
  "        line (line) column (linePos + 4)",
  "    }",
  "}",
  "def memberNode is public = object {",
  "    method new(request, receiver) scope(s) {",
  "        // Represents a dotted request ‹receiver›.‹request› with no arguments.",
  "        def result = new(request, receiver)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(request, receiver') {",
  "        // Represents a dotted request ‹receiver›.‹request› with no arguments.",
  "        inherit baseNode",
  "        def kind is public = \"member\"",
  "        var value:String is public := request",
  "        var receiver is public := receiver'",
  "        var generics is public := false",
  "        var isSelfRequest is public := false",
  "        var isTailCall is public := false",
  "        method end -> Position {",
  "            def reqPos = if (receiver.isImplicit) then {",
  "                start",
  "            } else {",
  "                positionOfNext (request) after (receiver.end)",
  "            }",
  "            line (reqPos.line) column (reqPos.column + request.size - 1)",
  "        }",
  "        method onSelf {",
  "            isSelfRequest := true",
  "            self",
  "        }",
  "        method nameString { value }",
  "        method canonicalName { value }",
  "        method isMember { true }",
  "        method isCall { true }",
  "",
  "        method with { emptySeq }",
  "        method arguments { emptySeq }",
  "        method argumentsDo { }",
  "        method numArgs { 0 }",
  "        method numTypeArgs {",
  "            if (false == generics) then { 0 } else { generics.size }",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitMember(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != generics) then {",
  "                    generics.do { each -> each.accept(visitor) from(newChain) }",
  "                }",
  "                receiver.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "        method isSelfOrOuter {",
  "            receiver.isSelfOrOuter",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.receiver := receiver.map(blk) ancestors(newChain)",
  "            n.generics := maybeListMap(generics, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth)",
  "            s := s ++ if (isSelfRequest) then { \" on self \" } else { \" \" }",
  "            s := s ++ \"‹\" ++ self.value ++ \"›\\n\"",
  "            s := s ++ spc ++ receiver.pretty(depth)",
  "            if (false != generics) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"  Generics:\"",
  "                for (generics) do {g->",
  "                    s := s ++ \"\\n\" ++ spc ++ \"    \" ++ g.pretty(0)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            if (self.value.substringFrom(1)to(6) == \"prefix\") then {",
  "                s := self.value.substringFrom(7)to(value.size)",
  "                s := s ++ \" \" ++ self.receiver.toGrace(0)",
  "            } else {",
  "                s := self.receiver.toGrace(depth) ++ \".\" ++ self.value",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"⟦\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1) ++ \", \"",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \"⟧\"",
  "            }",
  "            s",
  "        }",
  "        method asString { toGrace 0 }",
  "        method asIdentifier {",
  "            // make and return an identifiderNode for my request",
  "            if (fakeSymbolTable == scope) then {",
  "                ProgrammingError.raise \"asIdentifier requested on {pretty 0} when scope was fake\"",
  "            }",
  "            def resultNode = identifierNode.new (nameString, false) scope (scope)",
  "            resultNode.inRequest := true",
  "            resultNode.line := line",
  "            resultNode.linePos := linePos",
  "            return resultNode",
  "        }",
  "        method shallowCopy {",
  "            memberNode.new(nameString, receiver).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method postCopy(other) {",
  "            generics := other.generics",
  "            isSelfRequest := other.isSelfRequest",
  "            isTailCall := other.isTailCall",
  "            self",
  "        }",
  "    }",
  "}",
  "def genericNode is public = object {",
  "  class new(base, arguments) {",
  "    // represents an application of a parameterized type to some arguments.",
  "    inherit baseNode",
  "    def kind is public = \"generic\"",
  "    var value is public := base",
  "        // in a generic application, `value` is the applied type",
  "        // e.g. in List⟦Number⟧, value is Identifier‹List›",
  "    var args is public := arguments",
  "    method end -> Position { positionOfNext \"⟧\" after (args.last.end) }",
  "    method nameString { value.nameString }",
  "    method asString { toGrace 0 }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitGeneric(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.args) do { p ->",
  "                p.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.args := listMap(args, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var s := \"{basePretty(depth)}({value.pretty(depth)})⟦\"",
  "        args.do { each -> s := s ++ each.pretty(depth+2) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \"⟧\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := nameString ++ \"⟦\"",
  "        args.do { each -> s := s ++ each.toGrace(0) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \"⟧\"",
  "    }",
  "    method shallowCopy {",
  "        genericNode.new(value, args).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "",
  "def typeParametersNode is public = object {",
  "  class new(params') {",
  "    inherit baseNode",
  "    def kind is public = \"typeparams\"",
  "    var params is public := params'",
  "    method asString { toGrace 0 }",
  "    method declarationKindWithAncestors(as) { k.typeparam }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeParameters(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            params.do { p ->",
  "                p.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method do(blk) {",
  "        params.do(blk)",
  "    }",
  "    method size { params.size }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.params := listMap(params, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := spc ++ basePretty(depth) ++ \"⟦\"",
  "        params.do { each -> s := s ++ each.pretty(depth+2) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \"⟧\"",
  "    }",
  "    method toGrace(depth:Number) -> String {",
  "        var s := \"⟦\"",
  "        params.do { each -> s := \"{s}{each.toGrace(depth)}\" }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \"⟧\"",
  "    }",
  "    method shallowCopy {",
  "        typeParametersNode.new(emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def identifierNode is public = object {",
  "",
  "    method new(name, dtype) scope(s) {",
  "        def result = new(name, dtype)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    var wildcardCount := 0",
  "    method wildcard(dtype) {",
  "        wildcardCount := wildcardCount + 1",
  "        def idNode = new(\"__{wildcardCount}\", dtype)",
  "        idNode.wildcard := true",
  "        idNode.end := line (idNode.line) column (idNode.linePos)",
  "        idNode",
  "    }",
  "",
  "    class new(name', dtype') {",
  "        inherit baseNode",
  "        def kind is public = \"identifier\"",
  "        var value is public := name'",
  "        var wildcard is public := false",
  "        var dtype is public := dtype'",
  "        var isBindingOccurrence is public := false",
  "        var isAssigned is public := false",
  "        var inRequest is public := false",
  "        var generics is public := false",
  "        var isDeclaredByParent is public := false",
  "        var end:Position is public := line (line) column (linePos + value.size - 1)",
  "",
  "        method name { value }",
  "        method name:=(nu) {",
  "            value := nu",
  "            end := line (line) column (linePos + nu.size - 1)",
  "        }",
  "        method nameString { value }",
  "        var canonicalName is public := value",
  "        method quoted { value.quoted }",
  "        method isIdentifier { true }",
  "",
  "        method isSelf { \"self\" == value }",
  "        method isSuper { \"super\" == value }",
  "        method isPrelude { \"prelude\" == value }",
  "        method isOuter { \"outer\" == value }",
  "        method isSelfOrOuter {",
  "            if (isSelf) then { return true }",
  "            if (isOuter) then { return true }",
  "            return false",
  "        }",
  "        method isAppliedOccurenceOfIdentifier {",
  "            if (wildcard) then {",
  "                false",
  "            } else {",
  "                isBindingOccurrence.not",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) {",
  "            as.parent.declarationKindWithAncestors(as)",
  "        }",
  "        method inTypePositionWithAncestors(as) {",
  "            // am I used by my parent node as a type?",
  "            // This is a hack, used as a subsitute for having information in the .gct",
  "            // telling us which identifiers represent types",
  "            if (as.isEmpty) then { return false }",
  "            as.parent.usesAsType(self)",
  "        }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitIdentifier(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != self.dtype) then {",
  "                    self.dtype.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth)",
  "            if ( wildcard ) then {",
  "                s := s ++ \" Wildcard\"",
  "            } elseif { isBindingOccurrence } then {",
  "                s := s ++ \"Binding‹{value}›\"",
  "            } else {",
  "                s := s ++ \"‹{value}›\"",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"  Type: \"",
  "                s := s ++ self.dtype.pretty(depth + 2)",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Generics:\"",
  "                for (generics) do {g->",
  "                    s := s ++ \"\\n\" ++ spc ++ \"  \" ++ g.pretty(depth + 2)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s",
  "            if(self.wildcard) then {",
  "                s := \"_\"",
  "            } else {",
  "                s := self.value",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \" : \" ++ self.dtype.toGrace(depth + 1)",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"⟦\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \"⟧\"",
  "            }",
  "            s",
  "        }",
  "",
  "        method asString {",
  "            if (isBindingOccurrence) then {",
  "                \"identifierBinding‹{value}›\"",
  "            } else {",
  "                \"identifier‹{value}›\"",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            identifierNode.new(value, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            wildcard := other.wildcard",
  "            isBindingOccurrence := other.isBindingOccurrence",
  "            isDeclaredByParent := other.isDeclaredByParent",
  "            isAssigned := other.isAssigned",
  "            inRequest := other.inRequest",
  "            end := other.end",
  "            canonicalName := other.canonicalName",
  "            self",
  "        }",
  "        method statementName { \"expression\" }",
  "    }",
  "}",
  "",
  "def typeType is public = identifierNode.new(\"Type\", false)",
  "def unknownType is public = identifierNode.new(\"Unknown\", typeType)",
  "",
  "def stringNode is public = object {",
  "    method new(v) scope(s) {",
  "        def result = new(v)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(v) {",
  "        inherit baseNode",
  "        def kind is public = \"string\"",
  "        var value is public := v",
  "        var end is public := line (line) column (linePos + v.size + 1)",
  "            // +1 to allow for quotes",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitString(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            \"{basePretty(depth)}({self.value})\"",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            def q = \"\\\"\"",
  "            q ++ value.quoted ++ q",
  "        }",
  "        method asString { \"string {toGrace 0}\" }",
  "        method shallowCopy {",
  "            stringNode.new(value).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            end := other.end",
  "            self",
  "        }",
  "        method statementName { \"expression\" }",
  "        method isDelimited { true }",
  "        method isConstant { true }",
  "    }",
  "}",
  "def numNode is public = object {",
  "    class new(val) {",
  "        inherit baseNode",
  "        def kind is public = \"num\"",
  "        var value is public := val",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitNum(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            \"{basePretty(depth)}({self.value})\"",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            self.value.asString",
  "        }",
  "        method asString { \"num {value}\" }",
  "        method shallowCopy {",
  "            numNode.new(value).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method isDelimited { true }",
  "        method isConstant { true }",
  "    }",
  "}",
  "def opNode is public = object {",
  "  class new(op, l, r) {",
  "    inherit baseNode",
  "    def kind is public = \"op\"",
  "    def value is public = op     // a String",
  "    var left is public := l",
  "    var right is public := r",
  "    var isTailCall is public := false      // is possibly the result of a method",
  "    var isSelfRequest is public := false",
  "",
  "    method start -> Position { left.start }",
  "    method end -> Position { right.end }",
  "    method onSelf {",
  "        isSelfRequest := true",
  "        self",
  "    }",
  "    method isSimple { false }    // needs parens when used as reciever",
  "    method nameString { value ++ \"(1)\" }",
  "    method canonicalName { value ++ \"(_)\" }",
  "    method receiver { left }",
  "    method isCall { true }",
  "    method arguments { [ right ] }",
  "    method argumentsDo(action) { action.apply(right) }",
  "    method numArgs { 1 }",
  "    method numTypeArgs { 0 }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitOp(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.left.accept(visitor) from(newChain)",
  "            self.right.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.left := left.map(blk) ancestors(newChain)",
  "        n.right := right.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := \"{basePretty(depth)}‹{self.nameString}›\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.left.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.right.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if ((self.left.kind == \"op\") && {self.left.value != self.value}) then {",
  "            s := \"(\" ++ self.left.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := self.left.toGrace(0)",
  "        }",
  "        if (self.value == \"..\") then {",
  "            s := s ++ self.value",
  "        } else {",
  "            s := s ++ \" \" ++ self.value ++ \" \"",
  "        }",
  "        if ((self.right.kind == \"op\") && {self.right.value != self.value}) then {",
  "            s := s ++ \"(\" ++ self.right.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := s ++ self.right.toGrace(0)",
  "        }",
  "        s",
  "    }",
  "    method asIdentifier {",
  "        // make an identifiderNode with the same properties as me",
  "        def resultNode = identifierNode.new (nameString, false) scope (scope)",
  "        resultNode.inRequest := true",
  "        resultNode.line := line",
  "        resultNode.linePos := linePos",
  "        return resultNode",
  "    }",
  "    method shallowCopy {",
  "        opNode.new(value, nullNode, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        isTailCall := other.isTailCall",
  "        isSelfRequest := other.isSelfRequest",
  "        self",
  "    }",
  "  }",
  "}",
  "def bindNode is public = object {",
  "  class new(dest', val') {",
  "    // an assignment, or a request of a setter-method",
  "    inherit baseNode",
  "    def kind is public = \"bind\"",
  "    var dest is public := dest'",
  "    var value is public := val'",
  "",
  "    method end -> Position { value.end }",
  "    method nameString { value ++ \":=(1)\" }",
  "    method canonicalName { value ++ \":=(_)\" }",
  "    method isBind { true }",
  "    method asString { \"bind {value}\" }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitBind(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.dest.accept(visitor) from(newChain)",
  "            self.value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.dest := dest.map(blk) ancestors(newChain)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.dest.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := self.dest.toGrace(depth + 1)",
  "        s := s ++ \" := \" ++ self.value.toGrace(depth + 1)",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        bindNode.new(dest, value).shallowCopyFieldsFrom(self)",
  "    }",
  "    method statementName { \"assignment or assigment request\" }",
  "  }",
  "}",
  "def defDecNode is public = object {",
  "    method new(name', val, dtype') scope(s) {",
  "        def result = new(name', val, dtype')",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(name', val, dtype') {",
  "        inherit baseNode",
  "        def kind is public = \"defdec\"",
  "        var name is public := name'",
  "        var value is public := val",
  "        var dtype is public := dtype'",
  "        def nameString is public = name.nameString",
  "        var annotations is public := [ ]",
  "        var startToken is public := false",
  "",
  "        method end -> Position { value.end }",
  "        method isPublic {",
  "            // defs are confidential by default",
  "            if (annotations.size == 0) then { return false }",
  "            if (findAnnotation(self, \"public\")) then { return true }",
  "            findAnnotation(self, \"readable\")",
  "        }",
  "        method isFieldDec { true }",
  "        method isWritable { false }",
  "        method isReadable { isPublic }",
  "",
  "        method returnsObject {",
  "            value.returnsObject",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            value.returnedObjectScope",
  "        }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method declarationKindWithAncestors(as) { k.defdec }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitDefDec(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.name.accept(visitor) from(newChain)",
  "                if (false != self.dtype) then {",
  "                    self.dtype.accept(visitor) from(newChain)",
  "                }",
  "                for (self.annotations) do { ann ->",
  "                    ann.accept(visitor) from(newChain)",
  "                }",
  "                value.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.name := name.map(blk) ancestors(newChain)",
  "            n.value := value.map(blk) ancestors(newChain)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth) ++ \"\\n\"",
  "            s := s ++ spc ++ self.name.pretty(depth)",
  "            if (false != dtype) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Type: \" ++ self.dtype.pretty(depth + 2)",
  "            }",
  "            if (false != value) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Value: \" ++ value.pretty(depth + 2)",
  "            }",
  "            if (annotations.isEmpty.not) then {",
  "                s := s ++ \"\\n{spc}Annotations:\"",
  "                annotations.do { ann ->",
  "                    s := \"{s} {ann.pretty(depth + 2)}\"",
  "                }",
  "            }",
  "            if (false != comments) then {",
  "                s := s ++ comments.pretty(depth+2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            def spc = \"    \" * depth",
  "            var s := \"def {self.name.toGrace(0)}\"",
  "            if ( (false != self.dtype) && {",
  "                    self.dtype.value != \"Unknown\" }) then {",
  "                s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "            }",
  "            if (self.annotations.size > 0) then {",
  "                s := s ++ \" is \"",
  "                s := s ++ self.annotations.fold{ a,b ->",
  "                    if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                        startingWith \"\"",
  "            }",
  "            if (false != self.value) then {",
  "                s := s ++ \" = \" ++ self.value.toGrace(depth)",
  "            }",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            defDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            startToken := other.startToken",
  "            self",
  "        }",
  "        method statementName { \"definition\" }",
  "    }",
  "}",
  "def varDecNode is public = object {",
  "  class new(name', val', dtype') {",
  "    inherit baseNode",
  "    def kind is public = \"vardec\"",
  "    var name is public := name'",
  "    var value is public := val'",
  "    var dtype is public := dtype'",
  "    def nameString is public = name.value",
  "    var annotations is public := [ ]",
  "",
  "    method end -> Position {",
  "        if (false ≠ value) then { return value.end }",
  "        if (annotations.isEmpty.not) then { return annotations.last.end }",
  "        if (false ≠ dtype) then { return dtype.end }",
  "        return name.end",
  "    }",
  "    method isPublic {",
  "        // vars are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"writable\")) then { return true }",
  "        false",
  "    }",
  "    method isReadable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"readable\")) then { return true }",
  "        false",
  "    }",
  "    method isFieldDec { true }",
  "",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "",
  "    method declarationKindWithAncestors(as) { k.vardec }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitVarDec(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.name.accept(visitor) from(newChain)",
  "            if (false != self.dtype) then {",
  "                self.dtype.accept(visitor) from(newChain)",
  "            }",
  "            for (self.annotations) do { ann ->",
  "                ann.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.value) then {",
  "                self.value.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.name := name.map(blk) ancestors(newChain)",
  "        n.value := maybeMap(value, blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1)",
  "        if (false != self.dtype) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type: \"",
  "            s := s ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Value: \"",
  "            s := s ++ self.value.pretty(depth + 2)",
  "        }",
  "        if (false != comments) then {",
  "            s := s ++ comments.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        def spc = \"    \" * depth",
  "        var s := \"var {self.name.toGrace(0)}\"",
  "        if ( (false != self.dtype) && {",
  "                self.dtype.value != \"Unknown\" }) then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.fold{ a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                    startingWith \"\"",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \" := \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        varDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self)",
  "    }",
  "    method statementName { \"variable declaration\" }",
  "",
  "  }",
  "}",
  "def importNode is public = object {",
  "  class new(path', name', dtype') {",
  "    inherit baseNode",
  "    def kind is public = \"import\"",
  "    var value is public := name'",
  "    var path is public := path'",
  "    var annotations is public := [ ]",
  "    var dtype is public := dtype'",
  "    method end -> Position { value.end }",
  "    method isImport { true }",
  "    method isExternal { true }",
  "    method isExecutable { false }",
  "    method name { value }",
  "    method nameString { value.nameString }",
  "    method isPublic {",
  "        // imports, like defs, are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (path) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method declarationKindWithAncestors(as) { k.defdec }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitImport(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.annotations) do { ann ->",
  "                ann.accept(visitor) from(newChain)",
  "            }",
  "            self.value.accept(visitor) from(newChain)",
  "            if (false != self.dtype) then {",
  "                self.dtype.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {path}\\n\"",
  "        s := s ++ \"{spc}Identifier: {value}\\n\"",
  "        if (annotations.size > 0) then {",
  "            s := s ++ \"{spc}Anotations: {annotations}\\n\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"import \\\"{self.path}\\\" as {nameString}\"",
  "    }",
  "    method shallowCopy {",
  "        importNode.new(path, nullNode, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def dialectNode is public = object {",
  "  method fromToken(stringTok) {",
  "    def result = new(stringTok.value)",
  "    result.end := line (stringTok.line) column (stringTok.linePos + stringTok.size - 1)",
  "    result",
  "  }",
  "  class new(pathString) {",
  "    inherit baseNode",
  "    def kind is public = \"dialect\"",
  "    var value is public := pathString",
  "    var end is public := noPosition",
  "",
  "    method isDialect { true }",
  "    method isExternal { true }",
  "    method isExecutable { false }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (value) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method path {",
  "        value",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        visitor.visitDialect(self) up(as)",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {self.value}\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"dialect \\\"{self.value}\\\"\"",
  "    }",
  "    method shallowCopy {",
  "        dialectNode.new(value).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        end := other.end",
  "        self",
  "    }",
  "  }",
  "}",
  "def returnNode is public = object {",
  "  class new(expr) {",
  "    inherit baseNode",
  "    def kind is public = \"return\"",
  "    var value is public := expr",
  "    var dtype is public := false  // the enclosing method's declared return type",
  "",
  "    method end -> Position {",
  "        if (noPosition ≠ value.end) then {",
  "            value.end",
  "        } else {",
  "            line (line) column (linePos + 5)",
  "        }",
  "    }",
  "    method isReturn { true }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitReturn(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        if (false ≠ dtype) then { s := \"{s} (type {dtype.toGrace 0})\" }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"return \" ++ self.value.toGrace(depth)",
  "    }",
  "    method shallowCopy {",
  "        returnNode.new(value).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        dtype := other.dtype",
  "        self",
  "    }",
  "    method returnsObject { value.returnsObject }",
  "    method returnedObjectScope {",
  "        // precondition: returns object",
  "        value.returnedObjectScope",
  "    }",
  "    method resultExpression { value }",
  "  }",
  "}",
  "def inheritNode is public = object {",
  "    method new(expr) scope(s) {",
  "        def result = new(expr)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(expr) {",
  "        inherit baseNode",
  "        def kind is public = \"inherit\"",
  "        var value is public := expr",
  "        var providedNames is public := emptySet",
  "        var aliases is public := [ ]",
  "        var exclusions is public := [ ]",
  "        var isUse is public := false  // this is a `use trait` clause, not an inherit",
  "",
  "        method end -> Position { value.end }",
  "        method isLegalInTrait { isUse }",
  "        method isInherits { true }",
  "        method inheritFromMember { value.isMember }",
  "        method inheritFromCall { value.isCall }",
  "        method isExecutable { false }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitInherits(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                value.accept(visitor) from(newChain)",
  "                aliases.do { a ->",
  "                    a.newName.accept(visitor) from(newChain)",
  "                    a.oldName.accept(visitor) from(newChain)",
  "                }",
  "                exclusions.do { e -> e.accept(visitor) from(newChain) }",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) {",
  "            // identifiers declared in an inherit statement are aliases for",
  "            // methods.  We treat them as methods, because (unlike inherited names)",
  "            // they can't be overridden by local methods.",
  "            k.methdec",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.value := value.map(blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := basePretty(depth)",
  "            if (isUse) then { s := \"{s} (use)\" }",
  "            s := s ++ \"\\n\" ++ spc ++ self.value.pretty(depth + 1)",
  "            aliases.do { a ->",
  "                s := \"{s}\\n{a.pretty(depth)}\"",
  "            }",
  "            if (exclusions.isEmpty.not) then { s := \"{s}\\n{spc}\" }",
  "            exclusions.do { e ->",
  "                s := \"{s} exclude {e} \"",
  "            }",
  "            if (providedNames.isEmpty.not) then {",
  "                s := s ++ \"\\n{spc}Provided names: {list(providedNames).sort}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            repeat (depth) times {",
  "                s := s ++ \"    \"",
  "            }",
  "            s := s ++ if (isUse) then { \"use \" } else { \"inherit \" }",
  "            s := s ++ self.value.toGrace(0)",
  "            aliases.do { a ->",
  "                s := \"{s} {a} \"",
  "            }",
  "            exclusions.do { e ->",
  "                s := \"{s} exclude {e.nameString} \"",
  "            }",
  "            s",
  "        }",
  "        method asString {",
  "            if (isUse) then { \"use \" } else { \"inherit \" } ++ value.toGrace 0",
  "        }",
  "        method nameString { value.toGrace(0) }",
  "        method addAlias (newName) for (oldName) {",
  "            aliases.push(aliasNew(newName) old(oldName))",
  "        }",
  "        method addExclusion(ident) {",
  "            exclusions.push(ident)",
  "        }",
  "        method shallowCopy {",
  "            inheritNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            providedNames := other.providedNames",
  "            aliases := other.aliases",
  "            exclusions := other.exclusions",
  "            isUse := other.isUse",
  "            self",
  "        }",
  "        method statementName {",
  "            if (isUse) then { \"use\" } else { \"inherit\" }",
  "        }",
  "    }",
  "}",
  "type AliasPair = {",
  "    newName",
  "    oldName",
  "}",
  "",
  "class aliasNew(n) old(o) {",
  "    method newName {n}",
  "    method oldName {o}",
  "    method asString { \"alias {n.nameString} = {o.nameString}\" }",
  "    method pretty(depth) {",
  "        def spc = \"  \" * (depth+1)",
  "        \"{spc}  alias {n.pretty(depth)} = {o.pretty(depth)}\"",
  "    }",
  "    method hash { (n.hash * 1171) + o.hash }",
  "    method isExecutable { false }",
  "    method == (other) {",
  "        match (other)",
  "            case { that:AliasPair -> (n == that.newName) && (o == that.oldName) }",
  "            case { _ -> false }",
  "    }",
  "}",
  "def signaturePart is public = object {",
  "    method new {",
  "        partName \"\" params []",
  "    }",
  "    method partName(n) scope(s) {",
  "        def result = partName(n) params []",
  "        result.scope := s",
  "        result",
  "    }",
  "    method partName(n) params(ps) scope(s) {",
  "        def result = partName(n) params(ps)",
  "        result.scope := s",
  "        result",
  "    }",
  "    method partName(n) {",
  "        partName(n) params []",
  "    }",
  "    class partName(n) params(ps) {",
  "        inherit baseNode",
  "        def kind is public = \"signaturepart\"",
  "        var name is public := n",
  "        var params is public := ps",
  "        var typeParams is public := false",
  "        var lineLength is public := 0",
  "",
  "        method end -> Position {",
  "            if (params.isEmpty.not) then {",
  "                return positionOfNext \")\" after (params.last.end)",
  "            }",
  "            if (false ≠ typeParams) then {",
  "                return positionOfNext \"⟧\" after (typeParams.last.end)",
  "            }",
  "            return line (line) column (linePos + name.size - 1)",
  "        }",
  "        method nameString {",
  "            if (params.isEmpty) then {return name}",
  "            name ++ \"(\" ++ params.size ++ \")\"",
  "        }",
  "        method numParams { params.size }",
  "        method canonicalName {",
  "            if (params.size == 0) then {return name}",
  "            var underScores := \"\"",
  "            params.do { _ -> underScores := underScores ++ \"_\" }",
  "                separatedBy { underScores := underScores ++ \",\" }",
  "            name ++ \"(\" ++ underScores ++ \")\"",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitSignaturePart(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                params.do { p -> p.accept(visitor) from(newChain) }",
  "                if (false != typeParams) then {",
  "                    typeParams.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) { k.parameter }",
  "        method map(blk) ancestors(as) {",
  "            var nd := shallowCopy",
  "            def newChain = as.extend(nd)",
  "            nd.params := listMap(params, blk) ancestors(newChain)",
  "            nd.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "            blk.apply(nd, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := \"{basePretty(depth)}: {name}\"",
  "            if (params.isEmpty.not) then { s := \"{s}\\n{spc}Parameters:\" }",
  "            for (params) do { p ->",
  "                s := \"{s}\\n  {spc}{p.pretty(depth + 2)}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth) {",
  "            var s := name",
  "            if (params.isEmpty.not) then {",
  "                s := s ++ \"(\"",
  "                params.do { each -> s := each.toGrace(depth + 1) }",
  "                    separatedBy { s := s ++ \", \" }",
  "                s := s ++ \")\"",
  "            }",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            signaturePart.partName(name) params(params)",
  "                .shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            typeParams := other.typeParams",
  "            lineLength := other.lineLength",
  "            self",
  "        }",
  "        method asString {",
  "            \"part: {nameString}\"",
  "        }",
  "    }",
  "}",
  "",
  "def requestPart is public = object {",
  "    method new {",
  "        request \"\" withArgs( [] )",
  "    }",
  "    method request(name) withArgs(argList) scope (s) {",
  "        def result = request(name) withArgs(argList)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class request(rPart) withArgs(xs) {",
  "        inherit baseNode",
  "        def kind is public = \"callwithpart\"",
  "        var name is public := rPart",
  "        var args is public := xs",
  "        var typeArgs := emptySeq",
  "        var lineLength is public := 0",
  "",
  "        method end -> Position {",
  "            if (args.isEmpty.not) then {",
  "                return args.last.end  // there may or may not be a following `)`",
  "            }",
  "            if (typeArgs.isEmpty.not) then {",
  "                return positionOfNext \"⟧\" after (typeArgs.last.end)",
  "            }",
  "            return line (line) column (linePos + name.size - 1)",
  "        }",
  "        method nameString {",
  "            if (args.size == 0) then {return name}",
  "            name ++ \"(\" ++ args.size ++ \")\"",
  "        }",
  "",
  "        method canonicalName {",
  "            if (args.size == 0) then {return name}",
  "            var underScores := \"\"",
  "            args.do { _ -> underScores := underScores ++ \"_\" }",
  "                separatedBy { underScores := underScores ++ \",\" }",
  "            name ++ \"(\" ++ underScores ++ \")\"",
  "        }",
  "",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.args := listMap(args, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            def spc = \"  \" * (depth+1)",
  "            var s := \"{basePretty(depth)}: {name}\"",
  "            s := \"{s}\\n{spc}Args:\"",
  "            for (args) do { a ->",
  "                s := \"{s}\\n  {spc}{a.pretty(depth + 3)}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth) {",
  "            var s := name",
  "            if (typeArgs.size > 0) then {",
  "                s := s ++ \"⟦\"",
  "                typeArgs.do { tArg ->",
  "                    s := s ++ tArg.toGrace(depth + 1)",
  "                } separatedBy { s := s ++ \", \" }",
  "                s := s ++ \"⟧\"",
  "            }",
  "            if (args.size > 0) then {",
  "                def needsParens = (args.size > 1) || (args.first.isDelimited.not)",
  "                s := s ++ if (needsParens) then { \"(\" } else { \" \" }",
  "                args.do { arg ->",
  "                    s := s ++ arg.toGrace(depth)",
  "                } separatedBy {",
  "                    s := s ++ \", \"",
  "                }",
  "                if (needsParens) then { s := s ++ \")\" }",
  "            }",
  "            s",
  "        }",
  "",
  "        method shallowCopy {",
  "            requestPart.request(name) withArgs(args).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            lineLength := other.lineLength",
  "            self",
  "        }",
  "        method statementName { \"request\" }",
  "    }",
  "}",
  "",
  "def commentNode is public = object {",
  "    class new(val') {",
  "        inherit baseNode",
  "        def kind is public = \"comment\"",
  "        var value is public := val'",
  "        var isPartialLine:Boolean is public := false",
  "        var isPreceededByBlankLine is public := false",
  "        var endLine is public := util.linenum",
  "",
  "        method end -> Position { line (endLine) column (util.lines.at(endLine).size) }",
  "        method isComment { true }",
  "        method isLegalInTrait { true }",
  "        method isExecutable { false }",
  "        method asString { \"comment ({line}–{endLine}): {value}\" }",
  "        method extendCommentUsing(cmtNode) {",
  "            value := value ++ \" \" ++ cmtNode.value",
  "            endLine := cmtNode.endLine",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitComment(self) up(as)",
  "        }",
  "        method pretty(depth) {",
  "            var s := \"\\n\"",
  "            repeat (depth-1) times {",
  "                s := s ++ \"  \"",
  "            }",
  "            def pb = if (isPreceededByBlankLine) then { \" > blank\" } else { \"\" }",
  "            \"{s}Comment{pb}({line}–{endLine}): ‹{value}›\"",
  "        }",
  "        method toGrace(depth) {",
  "            // Partial line comments don't start with a newline, whereas",
  "            // full-line comments do.  No newline at end in either case.",
  "            if (isPartialLine) then {",
  "                \"// (partial) {value}\"",
  "            } else {",
  "                def spc = \"    \" * depth",
  "                wrap(value) to (lineLength) prefix (spc ++ \"// \")",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            commentNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            value := other.value",
  "            isPartialLine := other.isPartialLine",
  "            isPreceededByBlankLine := other.isPreceededByBlankLine",
  "            endLine := other.endLine",
  "            self",
  "        }",
  "    }",
  "}",
  "",
  "method wrap(str) to (l:Number) prefix (margin) {",
  "    def ind = margin.size",
  "    def len = max(ind + 4, l)",
  "    if ((ind + str.size) <= len) then {",
  "        return \"\\n\" ++ margin ++ str",
  "    }",
  "    var currBreak",
  "    var trimmedLine",
  "",
  "    try {",
  "        currBreak := str.lastIndexOf \" \" startingAt (len - ind)",
  "            ifAbsent {len - ind}",
  "        trimmedLine := str.substringFrom (1) to (currBreak).trim",
  "    } catch { ex:NoSuchMethod ->  // C string libraries lack methods",
  "        currBreak := min(len - ind, str.size)",
  "        (1..currBreak).do { ix ->",
  "            if (str.at(ix) == \" \") then { currBreak := ix }",
  "        }",
  "        var end := currBreak",
  "        while {(end >= 1) && {str.at(end) == \" \"}} do {",
  "            end := end - 1",
  "        }",
  "        var start := 1",
  "        while {(start <= str.size) && {str.at(start) == \" \"}} do {",
  "            start := start + 1",
  "        }",
  "        trimmedLine := str.substringFrom (start) to (end)",
  "    }",
  "    \"\\n\" ++ margin ++ trimmedLine ++",
  "        wrap(str.substringFrom (currBreak+1) to (str.size))",
  "            to (l) prefix (margin)",
  "}",
  "",
  "",
  "type ASTVisitor = {",
  "    visitIf(o) up(as) -> Boolean",
  "    visitBlock(o) up(as) -> Boolean",
  "    visitMatchCase(o) up(as) -> Boolean",
  "    visitTryCatch(o) up(as) -> Boolean",
  "    visitMethodType(o) up(as) -> Boolean",
  "    visitSignaturePart(o) up(as) -> Boolean",
  "    visitTypeLiteral(o) up(as) -> Boolean",
  "    visitTypeParameters(o) up(as) -> Boolean",
  "    visitTypeDec(o) up(as) -> Boolean",
  "    visitMethod(o) up(as) -> Boolean",
  "    visitCall(o) up(as) -> Boolean",
  "    visitObject(o) up(as) -> Boolean",
  "    visitModule(o) up(as) -> Boolean",
  "    visitArray(o) up(as) -> Boolean",
  "    visitMember(o) up(as) -> Boolean",
  "    visitGeneric(o) up(as) -> Boolean",
  "    visitIdentifier(o) up(as) -> Boolean",
  "    visitString(o) up(as) -> Boolean",
  "    visitNum(o) up(as) -> Boolean",
  "    visitOp(o) up(as) -> Boolean",
  "    visitBind(o) up(as) -> Boolean",
  "    visitDefDec(o) up(as) -> Boolean",
  "    visitVarDec(o) up(as) -> Boolean",
  "    visitImport(o) up(as) -> Boolean",
  "    visitReturn(o) up(as) -> Boolean",
  "    visitInherits(o) up(as) -> Boolean",
  "    visitDialect(o) up(as) -> Boolean",
  "    visitComment(o) up(as) -> Boolean",
  "    visitImplicit(o) up(as) -> Boolean",
  "    visitOuter(o) up(as) -> Boolean",
  "}",
  "",
  "class baseVisitor -> ASTVisitor {",
  "    method visitIf(o) up(as) { visitIf(o) }",
  "    method visitBlock(o) up(as) { visitBlock(o) }",
  "    method visitMatchCase(o) up(as) { visitMatchCase(o) }",
  "    method visitTryCatch(o) up(as) { visitTryCatch(o) }",
  "    method visitMethodType(o) up(as) { visitMethodType(o) }",
  "    method visitSignaturePart(o) up(as) { visitSignaturePart(o) }",
  "    method visitTypeDec(o) up(as) { visitTypeDec(o) }",
  "    method visitTypeLiteral(o) up(as) { visitTypeLiteral(o) }",
  "    method visitTypeParameters(o) up(as) { visitTypeParameters(o) }",
  "    method visitMethod(o) up(as) { visitMethod(o) }",
  "    method visitCall(o) up(as) { visitCall(o) }",
  "    method visitObject(o) up(as) { visitObject(o) }",
  "    method visitModule(o) up(as) { visitObject(o) }",
  "    method visitArray(o) up(as) { visitArray(o) }",
  "    method visitMember(o) up(as) { visitMember(o) }",
  "    method visitGeneric(o) up(as) { visitGeneric(o) }",
  "    method visitIdentifier(o) up(as) { visitIdentifier(o) }",
  "    method visitString(o) up(as) { visitString(o) }",
  "    method visitNum(o) up(as) { visitNum(o) }",
  "    method visitOp(o) up(as) { visitOp(o) }",
  "    method visitBind(o) up(as) { visitBind(o) }",
  "    method visitDefDec(o) up(as) { visitDefDec(o) }",
  "    method visitVarDec(o) up(as) { visitVarDec(o) }",
  "    method visitImport(o) up(as) { visitImport(o) }",
  "    method visitReturn(o) up(as) { visitReturn(o) }",
  "    method visitInherits(o) up(as) { visitInherits(o) }",
  "    method visitDialect(o) up(as) { visitDialect(o) }",
  "    method visitComment(o) up(as) { visitComment(o) }",
  "    method visitImplicit(o) up(as) { visitImplicit(o) }",
  "    method visitOuter(o) up(as) -> Boolean { visitOuter(o) }",
  "",
  "    method visitIf(o) -> Boolean { true }",
  "    method visitBlock(o) -> Boolean { true }",
  "    method visitMatchCase(o) -> Boolean { true }",
  "    method visitTryCatch(o) -> Boolean { true }",
  "    method visitMethodType(o) -> Boolean { true }",
  "    method visitSignaturePart(o) -> Boolean { true }",
  "    method visitTypeDec(o) -> Boolean { true }",
  "    method visitTypeLiteral(o) -> Boolean { true }",
  "    method visitTypeParameters(o) -> Boolean { true }",
  "    method visitMethod(o) -> Boolean { true }",
  "    method visitCall(o) -> Boolean { true }",
  "    method visitObject(o) -> Boolean { true }",
  "    method visitModule(o) -> Boolean { true }",
  "    method visitArray(o) -> Boolean { true }",
  "    method visitMember(o) -> Boolean { true }",
  "    method visitGeneric(o) -> Boolean { true }",
  "    method visitIdentifier(o) -> Boolean { true }",
  "    method visitString(o) -> Boolean { true }",
  "    method visitNum(o) -> Boolean { true }",
  "    method visitOp(o) -> Boolean { true }",
  "    method visitBind(o) -> Boolean { true }",
  "    method visitDefDec(o) -> Boolean { true }",
  "    method visitVarDec(o) -> Boolean { true }",
  "    method visitImport(o) -> Boolean { true }",
  "    method visitReturn(o) -> Boolean { true }",
  "    method visitInherits(o) -> Boolean { true }",
  "    method visitDialect(o) -> Boolean { true }",
  "    method visitComment(o) -> Boolean { true }",
  "    method visitImplicit(o) -> Boolean { true }",
  "    method visitOuter(o) -> Boolean { true }",
  "",
  "    method asString { \"an AST visitor\" }",
  "}",
  "",
  "class pluggableVisitor(visitation:Block2) -> ASTVisitor {",
  "    // Manufactures a default visitor, given a 2-parameter block.",
  "    // Typically, some of the methods will be overridden.",
  "    // The block will be applied with the AST node as the first argument",
  "    // and the ancestor chain as the second, and should answer true if",
  "    // the visitation is to continue and false if it is to go no deeper.",
  "",
  "    method visitIf(o) up(as) { visitation.apply (o, as) }",
  "    method visitBlock(o) up(as) { visitation.apply (o, as) }",
  "    method visitMatchCase(o) up(as) { visitation.apply (o, as) }",
  "    method visitTryCatch(o) up(as) { visitation.apply (o, as) }",
  "    method visitMethodType(o) up(as) { visitation.apply (o, as) }",
  "    method visitSignaturePart(o) up(as) { visitation.apply (o, as) }",
  "    method visitTypeDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitTypeLiteral(o) up(as) { visitation.apply (o, as) }",
  "    method visitMethod(o) up(as) { visitation.apply (o, as) }",
  "    method visitCall(o) up(as) { visitation.apply (o, as) }",
  "    method visitObject(o) up(as) { visitation.apply (o, as) }",
  "    method visitModule(o) up(as) { visitation.apply (o, as) }",
  "    method visitArray(o) up(as) { visitation.apply (o, as) }",
  "    method visitMember(o) up(as) { visitation.apply (o, as) }",
  "    method visitGeneric(o) up(as) { visitation.apply (o, as) }",
  "    method visitIdentifier(o) up(as) { visitation.apply (o, as) }",
  "    method visitString(o) up(as) { visitation.apply (o, as) }",
  "    method visitNum(o) up(as) { visitation.apply (o, as) }",
  "    method visitOp(o) up(as) { visitation.apply (o, as) }",
  "    method visitBind(o) up(as) { visitation.apply (o, as) }",
  "    method visitDefDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitVarDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitImport(o) up(as) { visitation.apply (o, as) }",
  "    method visitReturn(o) up(as) { visitation.apply (o, as) }",
  "    method visitInherits(o) up(as) { visitation.apply (o, as) }",
  "    method visitDialect(o) up(as) { visitation.apply (o, as) }",
  "    method visitComment(o) up(as) { visitation.apply (o, as) }",
  "    method visitImplicit(o) up(as) { visitation.apply (o, as) }",
  "    method visitOuter(o) up(as) { visitation.apply (o, as) }",
  "",
  "    method asString { \"a pluggable AST visitor\" }",
  "}",
  "",
  "",
  "def patternMarkVisitor = object {",
  "    inherit baseVisitor",
  "    method visitCall(c) up(as) {",
  "        c.isPattern := true",
  "        true",
  "    }",
  "}",
  "",
  "method findAnnotation(node, annName) {",
  "    for (node.annotations) do {ann->",
  "        if ((ann.kind == \"identifier\") && {",
  "            ann.value == annName }) then {",
  "            return object {",
  "                inherit true",
  "                def value is public = ann",
  "            }",
  "        }",
  "    }",
  "    false",
  "}",
  NULL
};
Object reader_ast_outer_3(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_line_4(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_column_5(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_start_112(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_end_113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_register_278(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_register_278(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_line_279(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_line_279(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_linePos_280(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_linePos_280(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_symbolTable_281(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_symbolTable_281(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_comments_282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_comments_282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_707(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_708(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_theObjects_709(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_end_774(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[12];
}
Object reader_ast_outer_798(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1074(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1346(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_value_1347(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_1376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1379(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1397(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1479(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1480(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_nameString_1481(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_1510(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1511(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_1525(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_node_1526(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_node_1526(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_outer_1593(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1596(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1597(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1598(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_1598(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_thenblock_1599(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_thenblock_1599(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elseblock_1600(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elseblock_1600(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_handledIdentifiers_1601(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_handledIdentifiers_1601(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_1937(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1940(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1941(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1942(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_params_1943(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_1943(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_body_1944(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_body_1944(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_selfclosure_1945(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_matchingPattern_1946(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_matchingPattern_1946(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_extraRuntimeData_1947(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_extraRuntimeData_1947(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_2402(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2405(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2406(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2407(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2407(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_2408(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_2408(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_finally_2409(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_finally_2409(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_2709(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2712(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2713(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2714(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2714(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_2715(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_2715(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_2907(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2910(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_signature_2912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_signature_2912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_rtype_2913(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_rtype_2913(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeParams_2914(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeParams_2914(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_2915(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_cachedIdentifier_2915(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_3295(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3298(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3299(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_methods_3300(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_methods_3300(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_types_3301(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_types_3301(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nominal_3302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_nominal_3302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_anonymous_3303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_anonymous_3303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_value_3304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_value_3304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3596(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3599(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3600(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_3601(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_3601(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_3602(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_3602(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nameString_3603(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_annotations_3604(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_annotations_3604(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_typeParams_3605(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_typeParams_3605(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3893(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3901(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3902(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_signature_3903(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_signature_3903(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_body_3904(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_body_3904(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_3905(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_3905(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_typeParams_3906(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_typeParams_3906(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_selfclosure_3907(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_selfclosure_3907(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_annotations_3908(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_annotations_3908(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_isFresh_3909(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_isFresh_3909(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_usesClassSyntax_3910(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_usesClassSyntax_3910(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_3911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object writer_ast_cachedIdentifier_3911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[10] = args[0];
  return done;
}
Object reader_ast_isBindingOccurence_3912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_isBindingOccurence_3912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_outer_5070(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5078(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5079(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_with_5080(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_with_5080(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_generics_5081(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_generics_5081(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_isPattern_5082(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_isPattern_5082(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_receiver_5083(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_receiver_5083(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_5084(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isSelfRequest_5084(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_isTailCall_5085(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_isTailCall_5085(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_isFresh_5086(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_isFresh_5086(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_5087(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_cachedIdentifier_5087(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_outer_5641(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5656(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5657(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_sourceLines_5658(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_theDialect_5659(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_theDialect_5659(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_imports_5660(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_imports_5660(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_5879(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5893(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5894(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5895(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5895(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_superclass_5896(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_superclass_5896(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_usedTraits_5897(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_usedTraits_5897(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_name_5898(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_name_5898(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_inClass_5899(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_inClass_5899(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inTrait_5900(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inTrait_5900(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_myLocalNames_5901(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_myLocalNames_5901(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_annotations_5902(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_annotations_5902(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_outer_6506(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6509(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6510(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6511(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6511(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6654(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6655(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6656(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6656(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_receiver_6657(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_receiver_6657(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_generics_6658(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_6658(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_6659(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isSelfRequest_6659(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isTailCall_6660(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isTailCall_6660(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_7053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7057(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7058(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7058(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_7059(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_7059(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_7216(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7219(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7220(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_params_7221(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_params_7221(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7364(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_wildcardCount_7370(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_wildcardCount_7370(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7405(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7406(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7407(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7407(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_wildcard_7408(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_wildcard_7408(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_7409(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_7409(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isBindingOccurrence_7410(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isBindingOccurrence_7410(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isAssigned_7411(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isAssigned_7411(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inRequest_7412(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inRequest_7412(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_generics_7413(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_generics_7413(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_isDeclaredByParent_7414(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_isDeclaredByParent_7414(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_end_7415(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object writer_ast_end_7415(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[10] = args[0];
  return done;
}
Object reader_ast_canonicalName_7442(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[14];
}
Object writer_ast_canonicalName_7442(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[14] = args[0];
  return done;
}
Object reader_ast_outer_7873(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7881(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7882(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7883(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7883(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_end_7884(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_end_7884(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_7978(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7981(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7982(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7983(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7983(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_8049(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_8054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_left_8055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_left_8055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_right_8056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_right_8056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isTailCall_8057(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isTailCall_8057(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_8058(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isSelfRequest_8058(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_8374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8377(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8378(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_dest_8379(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_dest_8379(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_8380(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_8380(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_8542(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8550(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8551(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_8552(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_8552(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_8553(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_8553(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_8554(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_8554(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_8555(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_8556(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_8556(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_startToken_8557(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_startToken_8557(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_8969(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8972(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8973(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_8974(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_8974(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_8975(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_8975(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_8976(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_8976(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_8977(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_8978(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_8978(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_9413(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9416(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9417(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9418(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9418(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_path_9419(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_path_9419(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_annotations_9420(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_annotations_9420(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_dtype_9421(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_9421(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_9671(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9696(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9697(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9698(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9698(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_end_9699(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_end_9699(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_9804(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9807(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9808(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9809(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9809(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_dtype_9810(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_dtype_9810(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_9964(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9972(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9973(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9974(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9974(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_providedNames_9975(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_providedNames_9975(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_aliases_9976(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_aliases_9976(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_exclusions_9977(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_exclusions_9977(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isUse_9978(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isUse_9978(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_10348(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_10371(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_10372(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_10373(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_10373(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_params_10374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_10374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeParams_10375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeParams_10375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_lineLength_10376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_lineLength_10376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10717(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_10730(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_10731(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_10732(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_10732(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_10733(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_10733(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeArgs_10734(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeArgs_10734(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_lineLength_10735(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_lineLength_10735(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_11083(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_11086(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_11087(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_11088(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_11088(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_isPartialLine_11089(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_isPartialLine_11089(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_isPreceededByBlankLine_11090(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_isPreceededByBlankLine_11090(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_endLine_11091(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_endLine_11091(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_11292(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static ClassData objclass2;
static Object strlit90;
static Object strlit97;
static Object strlit103;
static ClassData objclass110;
static Object strlit128;
static Object strlit137;
static Object strlit143;
static Object strlit161;
static Object strlit168;
static Object strlit174;
static ClassData objclass276;
static Object strlit426;
static Object strlit433;
static Object strlit439;
static Object strlit445;
static Object strlit515;
static Object strlit522;
static Object strlit538;
static Object strlit547;
static Object strlit554;
static Object strlit563;
static Object strlit568;
static Object strlit575;
static Object strlit581;
static Object strlit596;
static Object strlit604;
static Object strlit611;
static Object strlit617;
static Object strlit623;
static Object strlit632;
static Object strlit639;
static Object strlit645;
static Object strlit698;
static ClassData objclass706;
static Object strlit717;
static Object strlit727;
static Object strlit753;
static Object strlit756;
static Object strlit777;
static ClassData objclass797;
static Object strlit803;
static Object strlit810;
static Object strlit816;
static Object strlit828;
static Object strlit831;
static Object strlit838;
static Object strlit845;
static Object strlit849;
static Object strlit890;
static Object strlit924;
static Object strlit931;
static Object strlit965;
static Object strlit984;
static Object strlit1014;
static Object strlit1043;
static Object strlit1068;
static ClassData objclass1073;
static Object strlit1226;
static ClassData objclass1229;
static Object strlit1319;
static Object strlit1339;
static ClassData objclass1345;
Object module_util;
Object module_util_init();
Object module_identifierKinds;
Object module_identifierKinds_init();
static Object strlit1370;
static ClassData objclass1375;
static ClassData objclass1378;
static Object strlit1383;
static ClassData objclass1396;
static Object strlit1408;
static Object strlit1420;
static Object strlit1435;
static ClassData objclass1478;
static Object strlit1486;
static Object strlit1488;
static Object strlit1497;
static Object strlit1506;
static Object strlit1507;
static ClassData objclass1509;
static Object strlit1513;
static Object strlit1516;
static Object strlit1522;
static ClassData objclass1524;
static Object strlit1528;
static Object strlit1532;
static Object strlit1537;
static Object strlit1542;
static Object strlit1548;
static Object strlit1561;
static Object strlit1565;
static Object strlit1574;
static Object strlit1580;
static Object strlit1587;
static ClassData objclass1592;
static ClassData objclass1595;
static Object strlit1659;
static Object strlit1662;
static Object strlit1683;
static Object strlit1689;
static Object strlit1696;
static Object strlit1708;
static Object strlit1719;
static Object strlit1731;
static Object strlit1741;
static Object strlit1766;
static Object strlit1775;
static Object strlit1780;
static Object strlit1805;
static Object strlit1816;
static Object strlit1819;
static Object strlit1828;
static Object strlit1847;
static Object strlit1852;
static Object strlit1867;
static Object strlit1872;
static Object strlit1894;
static Object strlit1899;
static Object strlit1909;
static Object strlit1914;
static Object strlit1932;
static ClassData objclass1936;
static ClassData objclass1939;
static Object strlit2042;
static Object strlit2047;
static Object strlit2122;
static Object strlit2125;
static Object strlit2131;
static Object strlit2154;
static Object strlit2163;
static Object strlit2168;
static Object strlit2191;
static Object strlit2207;
static Object strlit2212;
static Object strlit2232;
static Object strlit2241;
static Object strlit2243;
static Object strlit2254;
static Object strlit2277;
static Object strlit2285;
static Object strlit2307;
static Object strlit2312;
static Object strlit2334;
static Object strlit2343;
static Object strlit2355;
static Object strlit2362;
static Object strlit2385;
static Object strlit2386;
static ClassData objclass2401;
static ClassData objclass2404;
static Object strlit2503;
static Object strlit2506;
static Object strlit2512;
static Object strlit2537;
static Object strlit2548;
static Object strlit2553;
static Object strlit2557;
static Object strlit2578;
static Object strlit2591;
static Object strlit2596;
static Object strlit2600;
static Object strlit2613;
static Object strlit2616;
static Object strlit2628;
static Object strlit2645;
static Object strlit2648;
static Object strlit2653;
static Object strlit2681;
static Object strlit2684;
static Object strlit2689;
static Object strlit2705;
static ClassData objclass2708;
static ClassData objclass2711;
static Object strlit2784;
static Object strlit2787;
static Object strlit2814;
static Object strlit2825;
static Object strlit2830;
static Object strlit2834;
static Object strlit2849;
static Object strlit2852;
static Object strlit2861;
static Object strlit2878;
static Object strlit2881;
static Object strlit2886;
static Object strlit2903;
static ClassData objclass2906;
static ClassData objclass2909;
static Object strlit2944;
static Object strlit3095;
static Object strlit3098;
static Object strlit3104;
static Object strlit3111;
static Object strlit3116;
static Object strlit3120;
static Object strlit3136;
static Object strlit3149;
static Object strlit3154;
static Object strlit3159;
static Object strlit3163;
static Object strlit3181;
static Object strlit3186;
static Object strlit3190;
static Object strlit3209;
static Object strlit3214;
static Object strlit3218;
static Object strlit3230;
static Object strlit3241;
static Object strlit3246;
static Object strlit3250;
static Object strlit3261;
static Object strlit3290;
static ClassData objclass3294;
static ClassData objclass3297;
static Object strlit3316;
static Object strlit3323;
static Object strlit3329;
static Object strlit3363;
static Object strlit3417;
static Object strlit3420;
static Object strlit3426;
static Object strlit3449;
static Object strlit3458;
static Object strlit3463;
static Object strlit3485;
static Object strlit3494;
static Object strlit3501;
static Object strlit3503;
static Object strlit3505;
static Object strlit3523;
static Object strlit3528;
static Object strlit3551;
static Object strlit3556;
static Object strlit3566;
static Object strlit3589;
static Object strlit3592;
static ClassData objclass3595;
static ClassData objclass3598;
static Object strlit3637;
static Object strlit3721;
static Object strlit3724;
static Object strlit3730;
static Object strlit3756;
static Object strlit3769;
static Object strlit3774;
static Object strlit3778;
static Object strlit3787;
static Object strlit3807;
static Object strlit3833;
static Object strlit3835;
static Object strlit3837;
static Object strlit3843;
static Object strlit3870;
static Object strlit3883;
static ClassData objclass3892;
static ClassData objclass3900;
static Object strlit3931;
static Object strlit3947;
static Object strlit3954;
static Object strlit4043;
static Object strlit4118;
static Object strlit4202;
static Object strlit4248;
static Object strlit4299;
static Object strlit4423;
static Object strlit4426;
static Object strlit4432;
static Object strlit4445;
static Object strlit4462;
static Object strlit4467;
static Object strlit4477;
static Object strlit4498;
static Object strlit4509;
static Object strlit4517;
static Object strlit4522;
static Object strlit4526;
static Object strlit4538;
static Object strlit4545;
static Object strlit4550;
static Object strlit4554;
static Object strlit4563;
static Object strlit4568;
static Object strlit4572;
static Object strlit4584;
static Object strlit4595;
static Object strlit4600;
static Object strlit4604;
static Object strlit4617;
static Object strlit4629;
static Object strlit4634;
static Object strlit4638;
static Object strlit4648;
static Object strlit4656;
static Object strlit4661;
static Object strlit4665;
static Object strlit4678;
static Object strlit4692;
static Object strlit4697;
static Object strlit4701;
static Object strlit4713;
static Object strlit4724;
static Object strlit4729;
static Object strlit4733;
static Object strlit4744;
static Object strlit4749;
static Object strlit4772;
static Object strlit4802;
static Object strlit4804;
static Object strlit4854;
static Object strlit4888;
static Object strlit4895;
static Object strlit4910;
static Object strlit4919;
static Object strlit4935;
static Object strlit4950;
static Object strlit4954;
static Object strlit4957;
static Object strlit4960;
static Object strlit4968;
static Object strlit5005;
static Object strlit5010;
static Object strlit5020;
static Object strlit5025;
static Object strlit5060;
static ClassData objclass5069;
static ClassData objclass5077;
static Object strlit5109;
static Object strlit5123;
static Object strlit5143;
static Object strlit5164;
static Object strlit5323;
static Object strlit5331;
static Object strlit5332;
static Object strlit5338;
static Object strlit5350;
static Object strlit5361;
static Object strlit5367;
static Object strlit5384;
static Object strlit5397;
static Object strlit5408;
static Object strlit5420;
static Object strlit5443;
static Object strlit5452;
static Object strlit5466;
static Object strlit5478;
static Object strlit5483;
static Object strlit5495;
static Object strlit5516;
static Object strlit5539;
static Object strlit5546;
static Object strlit5590;
static Object strlit5599;
static Object strlit5629;
static Object strlit5632;
static ClassData objclass5640;
static ClassData objclass5655;
static Object strlit5696;
static Object strlit5787;
static Object strlit5791;
static Object strlit5801;
static Object strlit5805;
static Object strlit5812;
static Object strlit5863;
static Object strlit5867;
static ClassData objclass5878;
static ClassData objclass5892;
static Object strlit5912;
static Object strlit5945;
static Object strlit5950;
static Object strlit5959;
static Object strlit5965;
static Object strlit5972;
static Object strlit5978;
static Object strlit6154;
static Object strlit6160;
static Object strlit6166;
static Object strlit6203;
static Object strlit6208;
static Object strlit6215;
static Object strlit6220;
static Object strlit6224;
static Object strlit6250;
static Object strlit6255;
static Object strlit6270;
static Object strlit6275;
static Object strlit6285;
static Object strlit6296;
static Object strlit6301;
static Object strlit6305;
static Object strlit6331;
static Object strlit6344;
static Object strlit6346;
static Object strlit6351;
static Object strlit6359;
static Object strlit6381;
static Object strlit6398;
static Object strlit6419;
static Object strlit6424;
static Object strlit6436;
static Object strlit6441;
static Object strlit6488;
static Object strlit6496;
static Object strlit6498;
static ClassData objclass6505;
static ClassData objclass6508;
static Object strlit6519;
static Object strlit6524;
static Object strlit6567;
static Object strlit6587;
static Object strlit6596;
static Object strlit6624;
static Object strlit6631;
static Object strlit6642;
static ClassData objclass6645;
static ClassData objclass6653;
static Object strlit6779;
static Object strlit6787;
static Object strlit6788;
static Object strlit6793;
static Object strlit6800;
static Object strlit6825;
static Object strlit6830;
static Object strlit6847;
static Object strlit6852;
static Object strlit6862;
static Object strlit6865;
static Object strlit6892;
static Object strlit6902;
static Object strlit6919;
static Object strlit6939;
static Object strlit6959;
static Object strlit6989;
static Object strlit6996;
static Object strlit7030;
static Object strlit7046;
static ClassData objclass7052;
static ClassData objclass7055;
static Object strlit7062;
static Object strlit7119;
static Object strlit7128;
static Object strlit7134;
static Object strlit7156;
static Object strlit7165;
static Object strlit7170;
static Object strlit7189;
static Object strlit7198;
static Object strlit7212;
static ClassData objclass7215;
static ClassData objclass7218;
static Object strlit7274;
static Object strlit7277;
static Object strlit7302;
static Object strlit7311;
static Object strlit7315;
static Object strlit7320;
static Object strlit7327;
static Object strlit7331;
static Object strlit7341;
static Object strlit7350;
static Object strlit7360;
static ClassData objclass7363;
static Object strlit7382;
static Object strlit7388;
static ClassData objclass7404;
static Object strlit7455;
static Object strlit7462;
static Object strlit7469;
static Object strlit7476;
static Object strlit7554;
static Object strlit7562;
static Object strlit7571;
static Object strlit7577;
static Object strlit7585;
static Object strlit7591;
static Object strlit7605;
static Object strlit7610;
static Object strlit7636;
static Object strlit7641;
static Object strlit7661;
static Object strlit7666;
static Object strlit7679;
static Object strlit7702;
static Object strlit7715;
static Object strlit7751;
static Object strlit7773;
static Object strlit7779;
static Object strlit7783;
static Object strlit7789;
static Object strlit7831;
static Object strlit7834;
static Object strlit7864;
static Object strlit7869;
static ClassData objclass7872;
static ClassData objclass7880;
static Object strlit7897;
static Object strlit7904;
static Object strlit7910;
static Object strlit7916;
static Object strlit7929;
static Object strlit7936;
static Object strlit7952;
static Object strlit7959;
static ClassData objclass7977;
static ClassData objclass7980;
static Object strlit7996;
static Object strlit8003;
static Object strlit8009;
static Object strlit8021;
static Object strlit8027;
static Object strlit8038;
static Object strlit8045;
static ClassData objclass8048;
static ClassData objclass8051;
static Object strlit8077;
static Object strlit8084;
static Object strlit8147;
static Object strlit8150;
static Object strlit8157;
static Object strlit8163;
static Object strlit8169;
static Object strlit8189;
static Object strlit8209;
static Object strlit8226;
static Object strlit8235;
static Object strlit8244;
static Object strlit8256;
static Object strlit8268;
static Object strlit8275;
static Object strlit8297;
static Object strlit8306;
static Object strlit8316;
static Object strlit8368;
static ClassData objclass8373;
static ClassData objclass8376;
static Object strlit8388;
static Object strlit8395;
static Object strlit8404;
static Object strlit8410;
static Object strlit8453;
static Object strlit8456;
static Object strlit8477;
static Object strlit8499;
static Object strlit8520;
static Object strlit8535;
static Object strlit8538;
static ClassData objclass8541;
static ClassData objclass8549;
static Object strlit8576;
static Object strlit8580;
static Object strlit8680;
static Object strlit8683;
static Object strlit8717;
static Object strlit8722;
static Object strlit8747;
static Object strlit8752;
static Object strlit8768;
static Object strlit8772;
static Object strlit8782;
static Object strlit8793;
static Object strlit8797;
static Object strlit8829;
static Object strlit8832;
static Object strlit8841;
static Object strlit8849;
static Object strlit8873;
static Object strlit8888;
static Object strlit8903;
static Object strlit8907;
static Object strlit8910;
static Object strlit8913;
static Object strlit8934;
static Object strlit8956;
static Object strlit8959;
static ClassData objclass8968;
static ClassData objclass8971;
static Object strlit9032;
static Object strlit9036;
static Object strlit9051;
static Object strlit9056;
static Object strlit9073;
static Object strlit9078;
static Object strlit9172;
static Object strlit9175;
static Object strlit9203;
static Object strlit9208;
static Object strlit9234;
static Object strlit9239;
static Object strlit9279;
static Object strlit9282;
static Object strlit9291;
static Object strlit9299;
static Object strlit9323;
static Object strlit9338;
static Object strlit9353;
static Object strlit9357;
static Object strlit9360;
static Object strlit9363;
static Object strlit9384;
static Object strlit9401;
static Object strlit9404;
static ClassData objclass9412;
static ClassData objclass9415;
static Object strlit9454;
static Object strlit9458;
static Object strlit9461;
static Object strlit9469;
static Object strlit9472;
static Object strlit9556;
static Object strlit9559;
static Object strlit9566;
static Object strlit9573;
static Object strlit9577;
static Object strlit9587;
static Object strlit9594;
static Object strlit9598;
static Object strlit9617;
static Object strlit9624;
static Object strlit9628;
static Object strlit9638;
static Object strlit9645;
static Object strlit9651;
static Object strlit9666;
static ClassData objclass9670;
static ClassData objclass9695;
static Object strlit9707;
static Object strlit9715;
static Object strlit9718;
static Object strlit9746;
static Object strlit9749;
static Object strlit9756;
static Object strlit9763;
static Object strlit9767;
static Object strlit9777;
static Object strlit9783;
static Object strlit9800;
static ClassData objclass9803;
static ClassData objclass9806;
static Object strlit9872;
static Object strlit9875;
static Object strlit9903;
static Object strlit9913;
static Object strlit9917;
static Object strlit9930;
static Object strlit9959;
static ClassData objclass9963;
static ClassData objclass9971;
static Object strlit10058;
static Object strlit10066;
static Object strlit10070;
static Object strlit10087;
static Object strlit10097;
static Object strlit10104;
static Object strlit10108;
static Object strlit10126;
static Object strlit10131;
static Object strlit10135;
static Object strlit10145;
static Object strlit10150;
static Object strlit10154;
static Object strlit10173;
static Object strlit10184;
static Object strlit10188;
static Object strlit10197;
static Object strlit10202;
static Object strlit10212;
static Object strlit10213;
static Object strlit10230;
static Object strlit10235;
static Object strlit10239;
static Object strlit10253;
static Object strlit10260;
static Object strlit10264;
static Object strlit10285;
static Object strlit10286;
static Object strlit10332;
static Object strlit10333;
static Object strlit10336;
static ClassData objclass10347;
static Object strlit10351;
static ClassData objclass10370;
static Object strlit10386;
static Object strlit10402;
static Object strlit10436;
static Object strlit10445;
static Object strlit10469;
static Object strlit10474;
static Object strlit10482;
static Object strlit10491;
static Object strlit10496;
static Object strlit10558;
static Object strlit10561;
static Object strlit10568;
static Object strlit10574;
static Object strlit10587;
static Object strlit10592;
static Object strlit10596;
static Object strlit10608;
static Object strlit10619;
static Object strlit10624;
static Object strlit10628;
static Object strlit10649;
static Object strlit10667;
static Object strlit10676;
static Object strlit10700;
static Object strlit10706;
static Object strlit10711;
static ClassData objclass10716;
static Object strlit10720;
static ClassData objclass10729;
static Object strlit10758;
static Object strlit10796;
static Object strlit10805;
static Object strlit10824;
static Object strlit10829;
static Object strlit10837;
static Object strlit10846;
static Object strlit10851;
static Object strlit10878;
static Object strlit10881;
static Object strlit10888;
static Object strlit10894;
static Object strlit10900;
static Object strlit10905;
static Object strlit10909;
static Object strlit10921;
static Object strlit10932;
static Object strlit10937;
static Object strlit10941;
static Object strlit10964;
static Object strlit10985;
static Object strlit10994;
static Object strlit11028;
static Object strlit11029;
static Object strlit11046;
static Object strlit11056;
static Object strlit11075;
static Object strlit11078;
static ClassData objclass11082;
static ClassData objclass11085;
static Object strlit11113;
static Object strlit11120;
static Object strlit11127;
static Object strlit11133;
static Object strlit11147;
static Object strlit11169;
static Object strlit11178;
static Object strlit11187;
static Object strlit11188;
static Object strlit11190;
static Object strlit11197;
static Object strlit11204;
static Object strlit11211;
static Object strlit11216;
static Object strlit11220;
static Object strlit11236;
static Object strlit11242;
static Object strlit11247;
static Object strlit11253;
static Object strlit11281;
static ClassData objclass11291;
Object meth_ast_6__62__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, ">(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method >(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for >(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part >(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9);
// compiled member node returning call10 (depth = 4)
  int op_slot_right_8 = gc_frame_newslot(call10);
// starting to compile member node (depth = 4)
  int callframe12 = gc_frame_new();
// call case 4: self request
  Object call13 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe12);
// compiled member node returning call13 (depth = 4)
  int op_slot_left_8 = gc_frame_newslot(call13);
  params[0] = call10;
  partcv[0] = 1;
  Object opresult14 = callmethod(call13, ">(1)", 1, partcv, params);
// compiled op node returning opresult14 (depth = 3)
  Object if7 = done;
  if (istrue(opresult14)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool15 = alloc_Boolean(1);
// compiled identifier node returning bool15 (depth = 4)
  return bool15;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if7 = undefined;
  } else {
  }
// compiled if node returning if7 (depth = 2)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe18 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call19 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled member node returning call19 (depth = 4)
  int op_slot_right_17 = gc_frame_newslot(call19);
// starting to compile member node (depth = 4)
  int callframe21 = gc_frame_new();
// call case 4: self request
  Object call22 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe21);
// compiled member node returning call22 (depth = 4)
  int op_slot_left_17 = gc_frame_newslot(call22);
  params[0] = call19;
  partcv[0] = 1;
  Object opresult23 = callmethod(call22, "<(1)", 1, partcv, params);
// compiled op node returning opresult23 (depth = 3)
  Object if16 = done;
  if (istrue(opresult23)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool24 = alloc_Boolean(0);
// compiled identifier node returning bool24 (depth = 4)
  return bool24;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if16 = undefined;
  } else {
  }
// compiled if node returning if16 (depth = 2)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe26 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call27 = callmethodflags(*var_other, "column", 0, partcv, params, 0);
  gc_frame_end(callframe26);
// compiled member node returning call27 (depth = 3)
  int op_slot_right_25 = gc_frame_newslot(call27);
// starting to compile member node (depth = 3)
  int callframe29 = gc_frame_new();
// call case 4: self request
  Object call30 = callmethodflags(self, "column", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe29);
// compiled member node returning call30 (depth = 3)
  int op_slot_left_25 = gc_frame_newslot(call30);
  params[0] = call27;
  partcv[0] = 1;
  Object opresult31 = callmethod(call30, ">(1)", 1, partcv, params);
// compiled op node returning opresult31 (depth = 2)
  gc_frame_end(frame);
  return opresult31;
}
Object meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, """\xe2""""\x89""""\xa5""(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ≥(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ≥(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ≥(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe35 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call36 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe35);
// compiled member node returning call36 (depth = 4)
  int op_slot_right_34 = gc_frame_newslot(call36);
// starting to compile member node (depth = 4)
  int callframe38 = gc_frame_new();
// call case 4: self request
  Object call39 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe38);
// compiled member node returning call39 (depth = 4)
  int op_slot_left_34 = gc_frame_newslot(call39);
  params[0] = call36;
  partcv[0] = 1;
  Object opresult40 = callmethod(call39, ">(1)", 1, partcv, params);
// compiled op node returning opresult40 (depth = 3)
  Object if33 = done;
  if (istrue(opresult40)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool41 = alloc_Boolean(1);
// compiled identifier node returning bool41 (depth = 4)
  return bool41;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if33 = undefined;
  } else {
  }
// compiled if node returning if33 (depth = 2)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe44 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call45 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe44);
// compiled member node returning call45 (depth = 4)
  int op_slot_right_43 = gc_frame_newslot(call45);
// starting to compile member node (depth = 4)
  int callframe47 = gc_frame_new();
// call case 4: self request
  Object call48 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe47);
// compiled member node returning call48 (depth = 4)
  int op_slot_left_43 = gc_frame_newslot(call48);
  params[0] = call45;
  partcv[0] = 1;
  Object opresult49 = callmethod(call48, "<(1)", 1, partcv, params);
// compiled op node returning opresult49 (depth = 3)
  Object if42 = done;
  if (istrue(opresult49)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool50 = alloc_Boolean(0);
// compiled identifier node returning bool50 (depth = 4)
  return bool50;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if42 = undefined;
  } else {
  }
// compiled if node returning if42 (depth = 2)
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe52 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call53 = callmethodflags(*var_other, "column", 0, partcv, params, 0);
  gc_frame_end(callframe52);
// compiled member node returning call53 (depth = 3)
  int op_slot_right_51 = gc_frame_newslot(call53);
// starting to compile member node (depth = 3)
  int callframe55 = gc_frame_new();
// call case 4: self request
  Object call56 = callmethodflags(self, "column", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe55);
// compiled member node returning call56 (depth = 3)
  int op_slot_left_51 = gc_frame_newslot(call56);
  params[0] = call53;
  partcv[0] = 1;
  Object opresult57 = callmethod(call56, "≥(1)", 1, partcv, params);
// compiled op node returning opresult57 (depth = 2)
  gc_frame_end(frame);
  return opresult57;
}
Object meth_ast_58__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe61 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call62 = callmethodflags(*var_other, "column", 0, partcv, params, 0);
  gc_frame_end(callframe61);
// compiled member node returning call62 (depth = 4)
  int op_slot_right_60 = gc_frame_newslot(call62);
// starting to compile member node (depth = 4)
  int callframe64 = gc_frame_new();
// call case 4: self request
  Object call65 = callmethodflags(self, "column", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe64);
// compiled member node returning call65 (depth = 4)
  int op_slot_left_60 = gc_frame_newslot(call65);
  params[0] = call62;
  partcv[0] = 1;
  Object opresult66 = callmethod(call65, "==(1)", 1, partcv, params);
// compiled op node returning opresult66 (depth = 3)
  int op_slot_right_59 = gc_frame_newslot(opresult66);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe69 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call70 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe69);
// compiled member node returning call70 (depth = 4)
  int op_slot_right_68 = gc_frame_newslot(call70);
// starting to compile member node (depth = 4)
  int callframe72 = gc_frame_new();
// call case 4: self request
  Object call73 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe72);
// compiled member node returning call73 (depth = 4)
  int op_slot_left_68 = gc_frame_newslot(call73);
  params[0] = call70;
  partcv[0] = 1;
  Object opresult74 = callmethod(call73, "==(1)", 1, partcv, params);
// compiled op node returning opresult74 (depth = 3)
  int op_slot_left_59 = gc_frame_newslot(opresult74);
  params[0] = opresult66;
  partcv[0] = 1;
  Object opresult75 = callmethod(opresult74, "&&(1)", 1, partcv, params);
// compiled op node returning opresult75 (depth = 2)
  gc_frame_end(frame);
  return opresult75;
}
Object meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, """\xe2""""\x89""""\xa4""(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ≤(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ≤(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ≤(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe77 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  int op_slot_right_78 = gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_left_78 = gc_frame_newslot(*var_other);
  params[0] = self;
  partcv[0] = 1;
  Object opresult80 = callmethod(*var_other, ">(1)", 1, partcv, params);
// compiled op node returning opresult80 (depth = 3)
  Object call81 = callmethodflags(opresult80, "not", 0, partcv, params, 0);
  gc_frame_end(callframe77);
// compiled member node returning call81 (depth = 2)
  gc_frame_end(frame);
  return call81;
}
Object meth_ast_82__60__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "<(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method <(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for <(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part <(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe83 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  int op_slot_right_84 = gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_left_84 = gc_frame_newslot(*var_other);
  params[0] = self;
  partcv[0] = 1;
  Object opresult86 = callmethod(*var_other, "≥(1)", 1, partcv, params);
// compiled op node returning opresult86 (depth = 3)
  Object call87 = callmethodflags(opresult86, "not", 0, partcv, params, 0);
  gc_frame_end(callframe83);
// compiled member node returning call87 (depth = 2)
  gc_frame_end(frame);
  return call87;
}
Object meth_ast_88_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit90 == NULL) {
    strlit90 = alloc_String("");
    gc_root(strlit90);
  }
// compiled string node returning strlit90 (depth = 3)
  int op_slot_right_89 = gc_frame_newslot(strlit90);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe93 = gc_frame_new();
// call case 4: self request
  Object call94 = callmethodflags(self, "column", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe93);
// compiled member node returning call94 (depth = 4)
  int op_slot_right_92 = gc_frame_newslot(call94);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit97 == NULL) {
    strlit97 = alloc_String(":");
    gc_root(strlit97);
  }
// compiled string node returning strlit97 (depth = 5)
  int op_slot_right_96 = gc_frame_newslot(strlit97);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe100 = gc_frame_new();
// call case 4: self request
  Object call101 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe100);
// compiled member node returning call101 (depth = 6)
  int op_slot_right_99 = gc_frame_newslot(call101);
// starting to compile string node (depth = 6)
  if (strlit103 == NULL) {
    strlit103 = alloc_String("");
    gc_root(strlit103);
  }
// compiled string node returning strlit103 (depth = 6)
  int op_slot_left_99 = gc_frame_newslot(strlit103);
  params[0] = call101;
  partcv[0] = 1;
  Object opresult104 = callmethod(strlit103, "++(1)", 1, partcv, params);
// compiled op node returning opresult104 (depth = 5)
  int op_slot_left_96 = gc_frame_newslot(opresult104);
  params[0] = strlit97;
  partcv[0] = 1;
  Object opresult105 = callmethod(opresult104, "++(1)", 1, partcv, params);
// compiled op node returning opresult105 (depth = 4)
  int op_slot_left_92 = gc_frame_newslot(opresult105);
  params[0] = call94;
  partcv[0] = 1;
  Object opresult106 = callmethod(opresult105, "++(1)", 1, partcv, params);
// compiled op node returning opresult106 (depth = 3)
  int op_slot_left_89 = gc_frame_newslot(opresult106);
  params[0] = strlit90;
  partcv[0] = 1;
  Object opresult107 = callmethod(opresult106, "++(1)", 1, partcv, params);
// compiled op node returning opresult107 (depth = 2)
  gc_frame_end(frame);
  return opresult107;
}
Object meth_ast_1_line_40_1_41_column_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line(1)column(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method line(_)column(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method line(_)column(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for line(_)column(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part line(_)");
  Object *var_c = &(stackframe->slots[1]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part column(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2 = alloc_userobj2(8,9, objclass2);
  gc_frame_newslot(obj2);
  if (objclass2 == NULL) {
    glfree(obj2->class->name);
    obj2->class->name = "line(_)column(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2, self, 0);
  addmethodreal(obj2,"outer", &reader_ast_outer_3);
  Object oldself2 = self;
  struct StackFrameObject *oldstackframe2 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2);
  gc_frame_newslot((Object)stackframe);
  self = obj2;
  Object *oldselfslot2 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2 = (*(struct UserObject *)self).data[0], lowerouter2 = thisouter2;
  if (inheritingObject2) {
    struct UserObject *inho2 = (struct UserObject *)inheritingObject2;
    while (inho2->super != GraceDefaultObject) inho2 = (struct UserObject *)inho2->super;
    inho2->super = obj2;
    self = inheritingObject2;
    *selfslot = self;
    lowerouter2 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2;
  }
  if (objclass2 == NULL) {
  Method *reader4 = addmethodrealflags(obj2, "line",&reader_ast_line_4, MFLAG_DEF);
  reader4->definitionModule = modulename;
  reader4->definitionLine = 31;
  }
  adddatum2(obj2, alloc_Undefined(), 1);
  if (objclass2 == NULL) {
  Method *reader5 = addmethodrealflags(obj2, "column",&reader_ast_column_5, MFLAG_DEF);
  reader5->definitionModule = modulename;
  reader5->definitionLine = 32;
  }
  adddatum2(obj2, alloc_Undefined(), 2);
// method ">(_)"
  struct UserObject *uo6 = (struct UserObject*)obj2;
  uo6->data[3] = emptyclosure;
  Method *meth_meth_ast_6__62__40_1_41_ = addmethod2pos(obj2, ">(1)", &meth_ast_6__62__40_1_41_, 3);
  int argcv_meth_ast_6__62__40_1_41_[] = {1};
  meth_meth_ast_6__62__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6__62__40_1_41_);
  meth_meth_ast_6__62__40_1_41_->definitionModule = modulename;
  meth_meth_ast_6__62__40_1_41_->definitionLine = 33;
// method "≥(_)"
  struct UserObject *uo32 = (struct UserObject*)obj2;
  uo32->data[4] = emptyclosure;
  Method *meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_ = addmethod2pos(obj2, """\xe2""""\x89""""\xa5""(1)", &meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_, 4);
  int argcv_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_[] = {1};
  meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_);
  meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_->definitionModule = modulename;
  meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_->definitionLine = 38;
// method "==(_)"
  struct UserObject *uo58 = (struct UserObject*)obj2;
  uo58->data[5] = emptyclosure;
  Method *meth_meth_ast_58__61__61__40_1_41_ = addmethod2pos(obj2, "==(1)", &meth_ast_58__61__61__40_1_41_, 5);
  int argcv_meth_ast_58__61__61__40_1_41_[] = {1};
  meth_meth_ast_58__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_58__61__61__40_1_41_);
  meth_meth_ast_58__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_58__61__61__40_1_41_->definitionLine = 43;
// method "≤(_)"
  struct UserObject *uo76 = (struct UserObject*)obj2;
  uo76->data[6] = emptyclosure;
  Method *meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_ = addmethod2pos(obj2, """\xe2""""\x89""""\xa4""(1)", &meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_, 6);
  int argcv_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_[] = {1};
  meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_);
  meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_->definitionModule = modulename;
  meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_->definitionLine = 46;
// method "<(_)"
  struct UserObject *uo82 = (struct UserObject*)obj2;
  uo82->data[7] = emptyclosure;
  Method *meth_meth_ast_82__60__40_1_41_ = addmethod2pos(obj2, "<(1)", &meth_ast_82__60__40_1_41_, 7);
  int argcv_meth_ast_82__60__40_1_41_[] = {1};
  meth_meth_ast_82__60__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_82__60__40_1_41_);
  meth_meth_ast_82__60__40_1_41_->definitionModule = modulename;
  meth_meth_ast_82__60__40_1_41_->definitionLine = 49;
// method "asString"
  struct UserObject *uo88 = (struct UserObject*)obj2;
  uo88->data[8] = emptyclosure;
  Method *meth_meth_ast_88_asString = addmethod2pos(obj2, "asString", &meth_ast_88_asString, 8);
  int argcv_meth_ast_88_asString[] = {0};
  meth_meth_ast_88_asString->type = alloc_MethodType(1, argcv_meth_ast_88_asString);
  meth_meth_ast_88_asString->definitionModule = modulename;
  meth_meth_ast_88_asString->definitionLine = 52;
  sourceObject = obj2;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_l (depth = 2)
  adddatum2(obj2, *var_l, 1);
  sourceObject = obj2;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_c (depth = 2)
  adddatum2(obj2, *var_c, 2);
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  objclass2 = obj2->class;
  objclass2->definitionModule = modulename;
  objclass2->definitionLine = 30;
  (*(struct UserObject *)self).data[0] = lowerouter2;
  self = oldself2;
  selfslot = oldselfslot2;
  stackframe = oldstackframe2;
  gc_frame_end(frame);
  return obj2;
}
Object meth_ast_1_line_40_1_41_column_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line(1)column(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method line(_)column(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method line(_)column(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for line(_)column(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part line(_)");
  Object *var_c = &(stackframe->slots[1]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part column(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2 = alloc_userobj2(8,9, objclass2);
  gc_frame_newslot(obj2);
  if (objclass2 == NULL) {
    glfree(obj2->class->name);
    obj2->class->name = "line(_)column(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2, self, 0);
  addmethodreal(obj2,"outer", &reader_ast_outer_3);
  Object oldself2 = self;
  struct StackFrameObject *oldstackframe2 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2);
  gc_frame_newslot((Object)stackframe);
  self = obj2;
  Object *oldselfslot2 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2 = (*(struct UserObject *)self).data[0], lowerouter2 = thisouter2;
  if (inheritingObject2) {
    struct UserObject *inho2 = (struct UserObject *)inheritingObject2;
    while (inho2->super != GraceDefaultObject) inho2 = (struct UserObject *)inho2->super;
    inho2->super = obj2;
    self = inheritingObject2;
    *selfslot = self;
    lowerouter2 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2;
  }
  if (objclass2 == NULL) {
  Method *reader4 = addmethodrealflags(obj2, "line",&reader_ast_line_4, MFLAG_DEF);
  reader4->definitionModule = modulename;
  reader4->definitionLine = 31;
  }
  adddatum2(obj2, alloc_Undefined(), 1);
  if (objclass2 == NULL) {
  Method *reader5 = addmethodrealflags(obj2, "column",&reader_ast_column_5, MFLAG_DEF);
  reader5->definitionModule = modulename;
  reader5->definitionLine = 32;
  }
  adddatum2(obj2, alloc_Undefined(), 2);
// method ">(_)"
  struct UserObject *uo6 = (struct UserObject*)obj2;
  uo6->data[3] = emptyclosure;
  Method *meth_meth_ast_6__62__40_1_41_ = addmethod2pos(obj2, ">(1)", &meth_ast_6__62__40_1_41_, 3);
  int argcv_meth_ast_6__62__40_1_41_[] = {1};
  meth_meth_ast_6__62__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6__62__40_1_41_);
  meth_meth_ast_6__62__40_1_41_->definitionModule = modulename;
  meth_meth_ast_6__62__40_1_41_->definitionLine = 33;
// method "≥(_)"
  struct UserObject *uo32 = (struct UserObject*)obj2;
  uo32->data[4] = emptyclosure;
  Method *meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_ = addmethod2pos(obj2, """\xe2""""\x89""""\xa5""(1)", &meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_, 4);
  int argcv_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_[] = {1};
  meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_);
  meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_->definitionModule = modulename;
  meth_meth_ast_32__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa5_34__34__40_1_41_->definitionLine = 38;
// method "==(_)"
  struct UserObject *uo58 = (struct UserObject*)obj2;
  uo58->data[5] = emptyclosure;
  Method *meth_meth_ast_58__61__61__40_1_41_ = addmethod2pos(obj2, "==(1)", &meth_ast_58__61__61__40_1_41_, 5);
  int argcv_meth_ast_58__61__61__40_1_41_[] = {1};
  meth_meth_ast_58__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_58__61__61__40_1_41_);
  meth_meth_ast_58__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_58__61__61__40_1_41_->definitionLine = 43;
// method "≤(_)"
  struct UserObject *uo76 = (struct UserObject*)obj2;
  uo76->data[6] = emptyclosure;
  Method *meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_ = addmethod2pos(obj2, """\xe2""""\x89""""\xa4""(1)", &meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_, 6);
  int argcv_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_[] = {1};
  meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_);
  meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_->definitionModule = modulename;
  meth_meth_ast_76__34__34__92_xe2_34__34__34__34__92_x89_34__34__34__34__92_xa4_34__34__40_1_41_->definitionLine = 46;
// method "<(_)"
  struct UserObject *uo82 = (struct UserObject*)obj2;
  uo82->data[7] = emptyclosure;
  Method *meth_meth_ast_82__60__40_1_41_ = addmethod2pos(obj2, "<(1)", &meth_ast_82__60__40_1_41_, 7);
  int argcv_meth_ast_82__60__40_1_41_[] = {1};
  meth_meth_ast_82__60__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_82__60__40_1_41_);
  meth_meth_ast_82__60__40_1_41_->definitionModule = modulename;
  meth_meth_ast_82__60__40_1_41_->definitionLine = 49;
// method "asString"
  struct UserObject *uo88 = (struct UserObject*)obj2;
  uo88->data[8] = emptyclosure;
  Method *meth_meth_ast_88_asString = addmethod2pos(obj2, "asString", &meth_ast_88_asString, 8);
  int argcv_meth_ast_88_asString[] = {0};
  meth_meth_ast_88_asString->type = alloc_MethodType(1, argcv_meth_ast_88_asString);
  meth_meth_ast_88_asString->definitionModule = modulename;
  meth_meth_ast_88_asString->definitionLine = 52;
  sourceObject = obj2;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_l (depth = 2)
  adddatum2(obj2, *var_l, 1);
  sourceObject = obj2;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_c (depth = 2)
  adddatum2(obj2, *var_c, 2);
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  objclass2 = obj2->class;
  objclass2->definitionModule = modulename;
  objclass2->definitionLine = 30;
  (*(struct UserObject *)self).data[0] = lowerouter2;
  self = oldself2;
  selfslot = oldselfslot2;
  stackframe = oldstackframe2;
  gc_frame_end(frame);
  return obj2;
}
Object meth_ast_114_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe117 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe118 = gc_frame_new();
// call case 4: self request
  Object call119 = callmethodflags(self, "end", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe118);
// compiled member node returning call119 (depth = 5)
  Object call120 = callmethodflags(call119, "line", 0, partcv, params, 0);
  gc_frame_end(callframe117);
// compiled member node returning call120 (depth = 4)
  int op_slot_right_116 = gc_frame_newslot(call120);
// starting to compile member node (depth = 4)
  int callframe122 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe123 = gc_frame_new();
// call case 4: self request
  Object call124 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe123);
// compiled member node returning call124 (depth = 5)
  Object call125 = callmethodflags(call124, "line", 0, partcv, params, 0);
  gc_frame_end(callframe122);
// compiled member node returning call125 (depth = 4)
  int op_slot_left_116 = gc_frame_newslot(call125);
  params[0] = call120;
  partcv[0] = 1;
  Object opresult126 = callmethod(call125, "==(1)", 1, partcv, params);
// compiled op node returning opresult126 (depth = 3)
  Object if115 = done;
  if (istrue(opresult126)) {
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit128 == NULL) {
    strlit128 = alloc_String("");
    gc_root(strlit128);
  }
// compiled string node returning strlit128 (depth = 4)
  int op_slot_right_127 = gc_frame_newslot(strlit128);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe131 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe132 = gc_frame_new();
// call case 4: self request
  Object call133 = callmethodflags(self, "end", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe132);
// compiled member node returning call133 (depth = 6)
  Object call134 = callmethodflags(call133, "column", 0, partcv, params, 0);
  gc_frame_end(callframe131);
// compiled member node returning call134 (depth = 5)
  int op_slot_right_130 = gc_frame_newslot(call134);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit137 == NULL) {
    strlit137 = alloc_String("-");
    gc_root(strlit137);
  }
// compiled string node returning strlit137 (depth = 6)
  int op_slot_right_136 = gc_frame_newslot(strlit137);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe140 = gc_frame_new();
// call case 4: self request
  Object call141 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe140);
// compiled member node returning call141 (depth = 7)
  int op_slot_right_139 = gc_frame_newslot(call141);
// starting to compile string node (depth = 7)
  if (strlit143 == NULL) {
    strlit143 = alloc_String("");
    gc_root(strlit143);
  }
// compiled string node returning strlit143 (depth = 7)
  int op_slot_left_139 = gc_frame_newslot(strlit143);
  params[0] = call141;
  partcv[0] = 1;
  Object opresult144 = callmethod(strlit143, "++(1)", 1, partcv, params);
// compiled op node returning opresult144 (depth = 6)
  int op_slot_left_136 = gc_frame_newslot(opresult144);
  params[0] = strlit137;
  partcv[0] = 1;
  Object opresult145 = callmethod(opresult144, "++(1)", 1, partcv, params);
// compiled op node returning opresult145 (depth = 5)
  int op_slot_left_130 = gc_frame_newslot(opresult145);
  params[0] = call134;
  partcv[0] = 1;
  Object opresult146 = callmethod(opresult145, "++(1)", 1, partcv, params);
// compiled op node returning opresult146 (depth = 4)
  int op_slot_left_127 = gc_frame_newslot(opresult146);
  params[0] = strlit128;
  partcv[0] = 1;
  Object opresult147 = callmethod(opresult146, "++(1)", 1, partcv, params);
// compiled op node returning opresult147 (depth = 3)
    gc_frame_newslot(opresult147);
    if115 = opresult147;
  } else {
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noPosition (depth = 5)
  int op_slot_right_149 = gc_frame_newslot(*var_noPosition);
// starting to compile member node (depth = 5)
  int callframe151 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe152 = gc_frame_new();
// call case 4: self request
  Object call153 = callmethodflags(self, "end", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe152);
// compiled member node returning call153 (depth = 6)
  Object call154 = callmethodflags(call153, "line", 0, partcv, params, 0);
  gc_frame_end(callframe151);
// compiled member node returning call154 (depth = 5)
  int op_slot_left_149 = gc_frame_newslot(call154);
  params[0] = *var_noPosition;
  partcv[0] = 1;
  Object opresult155 = callmethod(call154, "==(1)", 1, partcv, params);
// compiled op node returning opresult155 (depth = 4)
  Object if148 = done;
  if (istrue(opresult155)) {
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe156 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe157 = gc_frame_new();
// call case 4: self request
  Object call158 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe157);
// compiled member node returning call158 (depth = 5)
  Object call159 = callmethodflags(call158, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe156);
// compiled member node returning call159 (depth = 4)
    gc_frame_newslot(call159);
    if148 = call159;
  } else {
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit161 == NULL) {
    strlit161 = alloc_String("");
    gc_root(strlit161);
  }
// compiled string node returning strlit161 (depth = 5)
  int op_slot_right_160 = gc_frame_newslot(strlit161);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe164 = gc_frame_new();
// call case 4: self request
  Object call165 = callmethodflags(self, "end", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe164);
// compiled member node returning call165 (depth = 6)
  int op_slot_right_163 = gc_frame_newslot(call165);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit168 == NULL) {
    strlit168 = alloc_String("-");
    gc_root(strlit168);
  }
// compiled string node returning strlit168 (depth = 7)
  int op_slot_right_167 = gc_frame_newslot(strlit168);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe171 = gc_frame_new();
// call case 4: self request
  Object call172 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe171);
// compiled member node returning call172 (depth = 8)
  int op_slot_right_170 = gc_frame_newslot(call172);
// starting to compile string node (depth = 8)
  if (strlit174 == NULL) {
    strlit174 = alloc_String("");
    gc_root(strlit174);
  }
// compiled string node returning strlit174 (depth = 8)
  int op_slot_left_170 = gc_frame_newslot(strlit174);
  params[0] = call172;
  partcv[0] = 1;
  Object opresult175 = callmethod(strlit174, "++(1)", 1, partcv, params);
// compiled op node returning opresult175 (depth = 7)
  int op_slot_left_167 = gc_frame_newslot(opresult175);
  params[0] = strlit168;
  partcv[0] = 1;
  Object opresult176 = callmethod(opresult175, "++(1)", 1, partcv, params);
// compiled op node returning opresult176 (depth = 6)
  int op_slot_left_163 = gc_frame_newslot(opresult176);
  params[0] = call165;
  partcv[0] = 1;
  Object opresult177 = callmethod(opresult176, "++(1)", 1, partcv, params);
// compiled op node returning opresult177 (depth = 5)
  int op_slot_left_160 = gc_frame_newslot(opresult177);
  params[0] = strlit161;
  partcv[0] = 1;
  Object opresult178 = callmethod(opresult177, "++(1)", 1, partcv, params);
// compiled op node returning opresult178 (depth = 4)
    gc_frame_newslot(opresult178);
    if148 = opresult178;
  }
// compiled if node returning if148 (depth = 3)
    gc_frame_newslot(if148);
    if115 = if148;
  }
// compiled if node returning if115 (depth = 2)
  gc_frame_end(frame);
  return if115;
}
Object meth_ast_179__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe182 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call183 = callmethodflags(*var_other, "end", 0, partcv, params, 0);
  gc_frame_end(callframe182);
// compiled member node returning call183 (depth = 4)
  int op_slot_right_181 = gc_frame_newslot(call183);
// starting to compile member node (depth = 4)
  int callframe185 = gc_frame_new();
// call case 4: self request
  Object call186 = callmethodflags(self, "end", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe185);
// compiled member node returning call186 (depth = 4)
  int op_slot_left_181 = gc_frame_newslot(call186);
  params[0] = call183;
  partcv[0] = 1;
  Object opresult187 = callmethod(call186, "==(1)", 1, partcv, params);
// compiled op node returning opresult187 (depth = 3)
  int op_slot_right_180 = gc_frame_newslot(opresult187);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe190 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call191 = callmethodflags(*var_other, "start", 0, partcv, params, 0);
  gc_frame_end(callframe190);
// compiled member node returning call191 (depth = 4)
  int op_slot_right_189 = gc_frame_newslot(call191);
// starting to compile member node (depth = 4)
  int callframe193 = gc_frame_new();
// call case 4: self request
  Object call194 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe193);
// compiled member node returning call194 (depth = 4)
  int op_slot_left_189 = gc_frame_newslot(call194);
  params[0] = call191;
  partcv[0] = 1;
  Object opresult195 = callmethod(call194, "==(1)", 1, partcv, params);
// compiled op node returning opresult195 (depth = 3)
  int op_slot_left_180 = gc_frame_newslot(opresult195);
  params[0] = opresult187;
  partcv[0] = 1;
  Object opresult196 = callmethod(opresult195, "&&(1)", 1, partcv, params);
// compiled op node returning opresult196 (depth = 2)
  gc_frame_end(frame);
  return opresult196;
}
Object meth_ast_109_start_40_1_41_end_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "start(1)end(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method start(_)end(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method start(_)end(_)");
  Object params[1];
  int partcv[1];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for start(_)end(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part start(_)");
  Object *var_e = &(stackframe->slots[1]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part end(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject110 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj110 = alloc_userobj2(4,5, objclass110);
  gc_frame_newslot(obj110);
  if (objclass110 == NULL) {
    glfree(obj110->class->name);
    obj110->class->name = "start(_)end(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj110, self, 0);
  addmethodreal(obj110,"outer", &reader_ast_outer_111);
  Object oldself110 = self;
  struct StackFrameObject *oldstackframe110 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe110);
  gc_frame_newslot((Object)stackframe);
  self = obj110;
  Object *oldselfslot110 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter110 = (*(struct UserObject *)self).data[0], lowerouter110 = thisouter110;
  if (inheritingObject110) {
    struct UserObject *inho110 = (struct UserObject *)inheritingObject110;
    while (inho110->super != GraceDefaultObject) inho110 = (struct UserObject *)inho110->super;
    inho110->super = obj110;
    self = inheritingObject110;
    *selfslot = self;
    lowerouter110 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter110;
  }
  if (objclass110 == NULL) {
  Method *reader112 = addmethodrealflags(obj110, "start",&reader_ast_start_112, MFLAG_DEF);
  reader112->definitionModule = modulename;
  reader112->definitionLine = 55;
  }
  adddatum2(obj110, alloc_Undefined(), 1);
  if (objclass110 == NULL) {
  Method *reader113 = addmethodrealflags(obj110, "end",&reader_ast_end_113, MFLAG_DEF);
  reader113->definitionModule = modulename;
  reader113->definitionLine = 56;
  }
  adddatum2(obj110, alloc_Undefined(), 2);
// method "asString"
  block_savedest(obj110);
  Object closure114 = createclosure(1, "asString");
  setclosureframe(closure114, stackframe);
  addtoclosure(closure114, var_noPosition);
  struct UserObject *uo114 = (struct UserObject*)obj110;
  uo114->data[3] = (Object)closure114;
  Method *meth_meth_ast_114_asString = addmethod2pos(obj110, "asString", &meth_ast_114_asString, 3);
  int argcv_meth_ast_114_asString[] = {0};
  meth_meth_ast_114_asString->type = alloc_MethodType(1, argcv_meth_ast_114_asString);
  meth_meth_ast_114_asString->definitionModule = modulename;
  meth_meth_ast_114_asString->definitionLine = 57;
// method "==(_)"
  struct UserObject *uo179 = (struct UserObject*)obj110;
  uo179->data[4] = emptyclosure;
  Method *meth_meth_ast_179__61__61__40_1_41_ = addmethod2pos(obj110, "==(1)", &meth_ast_179__61__61__40_1_41_, 4);
  int argcv_meth_ast_179__61__61__40_1_41_[] = {1};
  meth_meth_ast_179__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_179__61__61__40_1_41_);
  meth_meth_ast_179__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_179__61__61__40_1_41_->definitionLine = 66;
  sourceObject = obj110;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj110, *var_s, 1);
  sourceObject = obj110;
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_e (depth = 2)
  adddatum2(obj110, *var_e, 2);
  sourceObject = obj110;
  sourceObject = obj110;
  objclass110 = obj110->class;
  objclass110->definitionModule = modulename;
  objclass110->definitionLine = 54;
  (*(struct UserObject *)self).data[0] = lowerouter110;
  self = oldself110;
  selfslot = oldselfslot110;
  stackframe = oldstackframe110;
  gc_frame_end(frame);
  return obj110;
}
Object meth_ast_109_start_40_1_41_end_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "start(1)end(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method start(_)end(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method start(_)end(_)");
  Object params[1];
  int partcv[1];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for start(_)end(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part start(_)");
  Object *var_e = &(stackframe->slots[1]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part end(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject110 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj110 = alloc_userobj2(4,5, objclass110);
  gc_frame_newslot(obj110);
  if (objclass110 == NULL) {
    glfree(obj110->class->name);
    obj110->class->name = "start(_)end(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj110, self, 0);
  addmethodreal(obj110,"outer", &reader_ast_outer_111);
  Object oldself110 = self;
  struct StackFrameObject *oldstackframe110 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe110);
  gc_frame_newslot((Object)stackframe);
  self = obj110;
  Object *oldselfslot110 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter110 = (*(struct UserObject *)self).data[0], lowerouter110 = thisouter110;
  if (inheritingObject110) {
    struct UserObject *inho110 = (struct UserObject *)inheritingObject110;
    while (inho110->super != GraceDefaultObject) inho110 = (struct UserObject *)inho110->super;
    inho110->super = obj110;
    self = inheritingObject110;
    *selfslot = self;
    lowerouter110 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter110;
  }
  if (objclass110 == NULL) {
  Method *reader112 = addmethodrealflags(obj110, "start",&reader_ast_start_112, MFLAG_DEF);
  reader112->definitionModule = modulename;
  reader112->definitionLine = 55;
  }
  adddatum2(obj110, alloc_Undefined(), 1);
  if (objclass110 == NULL) {
  Method *reader113 = addmethodrealflags(obj110, "end",&reader_ast_end_113, MFLAG_DEF);
  reader113->definitionModule = modulename;
  reader113->definitionLine = 56;
  }
  adddatum2(obj110, alloc_Undefined(), 2);
// method "asString"
  block_savedest(obj110);
  Object closure114 = createclosure(1, "asString");
  setclosureframe(closure114, stackframe);
  addtoclosure(closure114, var_noPosition);
  struct UserObject *uo114 = (struct UserObject*)obj110;
  uo114->data[3] = (Object)closure114;
  Method *meth_meth_ast_114_asString = addmethod2pos(obj110, "asString", &meth_ast_114_asString, 3);
  int argcv_meth_ast_114_asString[] = {0};
  meth_meth_ast_114_asString->type = alloc_MethodType(1, argcv_meth_ast_114_asString);
  meth_meth_ast_114_asString->definitionModule = modulename;
  meth_meth_ast_114_asString->definitionLine = 57;
// method "==(_)"
  struct UserObject *uo179 = (struct UserObject*)obj110;
  uo179->data[4] = emptyclosure;
  Method *meth_meth_ast_179__61__61__40_1_41_ = addmethod2pos(obj110, "==(1)", &meth_ast_179__61__61__40_1_41_, 4);
  int argcv_meth_ast_179__61__61__40_1_41_[] = {1};
  meth_meth_ast_179__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_179__61__61__40_1_41_);
  meth_meth_ast_179__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_179__61__61__40_1_41_->definitionLine = 66;
  sourceObject = obj110;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj110, *var_s, 1);
  sourceObject = obj110;
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_e (depth = 2)
  adddatum2(obj110, *var_e, 2);
  sourceObject = obj110;
  sourceObject = obj110;
  objclass110 = obj110->class;
  objclass110->definitionModule = modulename;
  objclass110->definitionLine = 54;
  (*(struct UserObject *)self).data[0] = lowerouter110;
  self = oldself110;
  selfslot = oldselfslot110;
  stackframe = oldstackframe110;
  gc_frame_end(frame);
  return obj110;
}
Object meth_ast_220__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_found = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num222 = alloc_Float64(0);
// compiled num node returning num222 (depth = 5)
  int op_slot_right_221 = gc_frame_newslot(num222);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_found (depth = 5)
  int op_slot_left_221 = gc_frame_newslot(*var_found);
  params[0] = num222;
  partcv[0] = 1;
  Object opresult224 = callmethod(*var_found, "==(1)", 1, partcv, params);
// compiled op node returning opresult224 (depth = 4)
  gc_frame_end(frame);
  return opresult224;
}
Object meth_ast_227__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineNr = getfromclosure(closure, 0);
  Object *var_sourceLines = getfromclosure(closure, 1);
  Object *var_noPosition = getfromclosure(closure, 2);
  Object *var_needle = getfromclosure(closure, 3);
  Object *var_found = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num229 = alloc_Float64(1);
// compiled num node returning num229 (depth = 6)
  int op_slot_right_228 = gc_frame_newslot(num229);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lineNr (depth = 6)
  int op_slot_left_228 = gc_frame_newslot(*var_lineNr);
  params[0] = num229;
  partcv[0] = 1;
  Object sum231 = callmethod(*var_lineNr, "+(1)", 1, partcv, params);
// compiled op node returning sum231 (depth = 5)
  *var_lineNr = sum231;
  if (sum231 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe235 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sourceLines (depth = 7)
  Object call236 = callmethodflags(*var_sourceLines, "size", 0, partcv, params, 0);
  gc_frame_end(callframe235);
// compiled member node returning call236 (depth = 6)
  int op_slot_right_234 = gc_frame_newslot(call236);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lineNr (depth = 6)
  int op_slot_left_234 = gc_frame_newslot(*var_lineNr);
  params[0] = call236;
  partcv[0] = 1;
  Object opresult238 = callmethod(*var_lineNr, ">(1)", 1, partcv, params);
// compiled op node returning opresult238 (depth = 5)
  Object if233 = done;
  if (istrue(opresult238)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_noPosition (depth = 6)
  block_return(realself, *var_noPosition);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if233 = undefined;
  } else {
  }
// compiled if node returning if233 (depth = 4)
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe239 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_needle (depth = 6)
  gc_frame_newslot(*var_needle);
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe240 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lineNr (depth = 7)
  gc_frame_newslot(*var_lineNr);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sourceLines (depth = 7)
  params[0] = *var_lineNr;
  partcv[0] = 1;
  Object call241 = callmethodflags(*var_sourceLines, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe240);
// compiled call node returning call241 (depth = 6)
  params[0] = *var_needle;
  partcv[0] = 1;
  Object call242 = callmethodflags(call241, "indexOf(1)", 1, partcv, params, 0);
  gc_frame_end(callframe239);
// compiled call node returning call242 (depth = 5)
  *var_found = call242;
  if (call242 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_198_positionOfNext_40_1_41_after_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "positionOfNext(1)after(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method positionOfNext(_)after(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method positionOfNext(_)after(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_noPosition = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for positionOfNext(_)after(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_needle = &(stackframe->slots[0]);
  *var_needle = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part positionOfNext(_)");
  Object *var_pos = &(stackframe->slots[1]);
  *var_pos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part after(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_sourceLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sourceLines");
  Object *var_lineNr = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lineNr");
// definebindings:
// definebindings:
  Object *var_found = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "found");
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe199 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call200 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe199);
// compiled member node returning call200 (depth = 3)
  *var_sourceLines = call200;
  if (call200 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe201 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pos (depth = 4)
  Object call202 = callmethodflags(*var_pos, "line", 0, partcv, params, 0);
  gc_frame_end(callframe201);
// compiled member node returning call202 (depth = 3)
  *var_lineNr = call202;
  if (call202 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num205 = alloc_Float64(0);
// compiled num node returning num205 (depth = 4)
  int op_slot_right_204 = gc_frame_newslot(num205);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lineNr (depth = 4)
  int op_slot_left_204 = gc_frame_newslot(*var_lineNr);
  params[0] = num205;
  partcv[0] = 1;
  Object opresult207 = callmethod(*var_lineNr, "==(1)", 1, partcv, params);
// compiled op node returning opresult207 (depth = 3)
  Object if203 = done;
  if (istrue(opresult207)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noPosition (depth = 4)
  return *var_noPosition;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if203 = undefined;
  } else {
  }
// compiled if node returning if203 (depth = 2)
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe208 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_needle (depth = 4)
  gc_frame_newslot(*var_needle);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num210 = alloc_Float64(1);
// compiled num node returning num210 (depth = 5)
  int op_slot_right_209 = gc_frame_newslot(num210);
// starting to compile member node (depth = 5)
  int callframe212 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pos (depth = 6)
  Object call213 = callmethodflags(*var_pos, "column", 0, partcv, params, 0);
  gc_frame_end(callframe212);
// compiled member node returning call213 (depth = 5)
  int op_slot_left_209 = gc_frame_newslot(call213);
  params[0] = num210;
  partcv[0] = 1;
  Object sum214 = callmethod(call213, "+(1)", 1, partcv, params);
// compiled op node returning sum214 (depth = 4)
  gc_frame_newslot(sum214);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe215 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineNr (depth = 5)
  gc_frame_newslot(*var_lineNr);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sourceLines (depth = 5)
  params[0] = *var_lineNr;
  partcv[0] = 1;
  Object call216 = callmethodflags(*var_sourceLines, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe215);
// compiled call node returning call216 (depth = 4)
  params[0] = *var_needle;
  params[1] = sum214;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call217 = callmethodflags(call216, "indexOf(1)startingAt(1)", 2, partcv, params, 0);
  gc_frame_end(callframe208);
// compiled call node returning call217 (depth = 3)
  *var_found = call217;
  if (call217 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe218 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block219 = alloc_Block(NULL, NULL, "ast", 78);
  gc_frame_newslot(block219);
// method "_apply"
  block_savedest(block219);
  Object closure220 = createclosure(2, "_apply");
  setclosureframe(closure220, stackframe);
  addtoclosure(closure220, var_found);
  addtoclosure(closure220, selfslot);
  struct UserObject *uo220 = (struct UserObject*)block219;
  uo220->data[0] = (Object)closure220;
  Method *meth_meth_ast_220__apply = addmethod2pos(block219, "_apply", &meth_ast_220__apply, 0);
  int argcv_meth_ast_220__apply[] = {0};
  meth_meth_ast_220__apply->type = alloc_MethodType(1, argcv_meth_ast_220__apply);
  meth_meth_ast_220__apply->definitionModule = modulename;
  meth_meth_ast_220__apply->definitionLine = 3216;
// compiled block node returning block219 (depth = 3)
  gc_frame_newslot(block219);
// starting to compile block node (depth = 3)
  Object block226 = alloc_Block(NULL, NULL, "ast", 78);
  gc_frame_newslot(block226);
// method "_apply"
  block_savedest(block226);
  Object closure227 = createclosure(6, "_apply");
  setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_lineNr);
  addtoclosure(closure227, var_sourceLines);
  addtoclosure(closure227, var_noPosition);
  addtoclosure(closure227, var_needle);
  addtoclosure(closure227, var_found);
  addtoclosure(closure227, selfslot);
  struct UserObject *uo227 = (struct UserObject*)block226;
  uo227->data[0] = (Object)closure227;
  Method *meth_meth_ast_227__apply = addmethod2pos(block226, "_apply", &meth_ast_227__apply, 0);
  int argcv_meth_ast_227__apply[] = {0};
  meth_meth_ast_227__apply->type = alloc_MethodType(1, argcv_meth_ast_227__apply);
  meth_meth_ast_227__apply->definitionModule = modulename;
  meth_meth_ast_227__apply->definitionLine = 3216;
// compiled block node returning block226 (depth = 3)
  gc_frame_newslot(block226);
// call case 5: prelude request
  params[0] = block219;
  params[1] = block226;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call245 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe218);
// compiled call node returning call245 (depth = 2)
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lineNr (depth = 3)
  gc_frame_newslot(*var_lineNr);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_found (depth = 3)
  gc_frame_newslot(*var_found);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = *var_lineNr;
  params[1] = *var_found;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call247 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe246);
// compiled call node returning call247 (depth = 2)
  gc_frame_end(frame);
  return call247;
}
Object meth_ast_252__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_b = getfromclosure(closure, 0);
  Object *var_as = getfromclosure(closure, 1);
  Object *var_newList = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_nd = &(stackframe->slots[0]);
  *var_nd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 4)
  int callframe253 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe254 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nd (depth = 6)
  params[0] = *var_b;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call255 = callmethodflags(*var_nd, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe254);
// compiled call node returning call255 (depth = 5)
  gc_frame_newslot(call255);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newList (depth = 5)
  params[0] = call255;
  partcv[0] = 1;
  Object call256 = callmethodflags(*var_newList, "addLast(1)", 1, partcv, params, 0);
  gc_frame_end(callframe253);
// compiled call node returning call256 (depth = 4)
  gc_frame_end(frame);
  return call256;
}
Object meth_ast_248_listMap_40_2_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "listMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method listMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method listMap(_,_)ancestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for listMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part listMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_newList = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newList");
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array249 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array249 (depth = 3)
  *var_newList = array249;
  if (array249 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe250 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block251 = alloc_Block(NULL, NULL, "ast", 90);
  gc_frame_newslot(block251);
// method "_apply(_)"
  block_savedest(block251);
  Object closure252 = createclosure(4, "_apply(1)");
  setclosureframe(closure252, stackframe);
  addtoclosure(closure252, var_b);
  addtoclosure(closure252, var_as);
  addtoclosure(closure252, var_newList);
  addtoclosure(closure252, selfslot);
  struct UserObject *uo252 = (struct UserObject*)block251;
  uo252->data[0] = (Object)closure252;
  Method *meth_meth_ast_252__apply_40_1_41_ = addmethod2pos(block251, "_apply(1)", &meth_ast_252__apply_40_1_41_, 0);
  int argcv_meth_ast_252__apply_40_1_41_[] = {1};
  meth_meth_ast_252__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_252__apply_40_1_41_);
  meth_meth_ast_252__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_252__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block251 (depth = 3)
  gc_frame_newslot(block251);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  params[0] = block251;
  partcv[0] = 1;
  Object call258 = callmethodflags(*var_l, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe250);
// compiled call node returning call258 (depth = 2)
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newList (depth = 2)
  gc_frame_end(frame);
  return *var_newList;
}
Object meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method maybeMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method maybeMap(_,_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for maybeMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part maybeMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_right_261 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
  Object bool263 = alloc_Boolean(0);
// compiled identifier node returning bool263 (depth = 4)
  int op_slot_left_261 = gc_frame_newslot(bool263);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult264 = callmethod(bool263, "≠(1)", 1, partcv, params);
// compiled op node returning opresult264 (depth = 3)
  Object if260 = done;
  if (istrue(opresult264)) {
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe265 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = *var_b;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call266 = callmethodflags(*var_n, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe265);
// compiled call node returning call266 (depth = 3)
    gc_frame_newslot(call266);
    if260 = call266;
  } else {
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if260 = *var_n;
  }
// compiled if node returning if260 (depth = 2)
  gc_frame_end(frame);
  return if260;
}
Object meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeListMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method maybeListMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method maybeListMap(_,_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for maybeListMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part maybeListMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_right_269 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
  Object bool271 = alloc_Boolean(0);
// compiled identifier node returning bool271 (depth = 4)
  int op_slot_left_269 = gc_frame_newslot(bool271);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult272 = callmethod(bool271, "≠(1)", 1, partcv, params);
// compiled op node returning opresult272 (depth = 3)
  Object if268 = done;
  if (istrue(opresult272)) {
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe273 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = *var_n;
  params[1] = *var_b;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call274 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe273);
// compiled call node returning call274 (depth = 3)
    gc_frame_newslot(call274);
    if268 = call274;
  } else {
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if268 = *var_n;
  }
// compiled if node returning if268 (depth = 2)
  gc_frame_end(frame);
  return if268;
}
Object meth_ast_283_setLine_40_1_41_col_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setLine(1)col(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setLine(_)col(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setLine(_)col(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for setLine(_)col(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setLine(_)");
  Object *var_c = &(stackframe->slots[1]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part col(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe284 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// call case 4: self request
  params[0] = *var_l;
  partcv[0] = 1;
  Object call285 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe284);
// compiled call node returning call285 (depth = 2)
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe286 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 4: self request
  params[0] = *var_c;
  partcv[0] = 1;
  Object call287 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe286);
// compiled call node returning call287 (depth = 2)
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_288_setPositionFrom_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setPositionFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setPositionFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setPositionFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokenOrNode = &(stackframe->slots[0]);
  *var_tokenOrNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setPositionFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe289 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe290 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokenOrNode (depth = 4)
  Object call291 = callmethodflags(*var_tokenOrNode, "line", 0, partcv, params, 0);
  gc_frame_end(callframe290);
// compiled member node returning call291 (depth = 3)
  gc_frame_newslot(call291);
// call case 4: self request
  params[0] = call291;
  partcv[0] = 1;
  Object call292 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe289);
// compiled call node returning call292 (depth = 2)
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe293 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe294 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokenOrNode (depth = 4)
  Object call295 = callmethodflags(*var_tokenOrNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe294);
// compiled member node returning call295 (depth = 3)
  gc_frame_newslot(call295);
// call case 4: self request
  params[0] = call295;
  partcv[0] = 1;
  Object call296 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe293);
// compiled call node returning call296 (depth = 2)
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_297_setStart_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setStart(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setStart(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setStart(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setStart(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe298 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe299 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_p (depth = 4)
  Object call300 = callmethodflags(*var_p, "line", 0, partcv, params, 0);
  gc_frame_end(callframe299);
// compiled member node returning call300 (depth = 3)
  gc_frame_newslot(call300);
// call case 4: self request
  params[0] = call300;
  partcv[0] = 1;
  Object call301 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe298);
// compiled call node returning call301 (depth = 2)
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe302 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe303 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_p (depth = 4)
  Object call304 = callmethodflags(*var_p, "column", 0, partcv, params, 0);
  gc_frame_end(callframe303);
// compiled member node returning call304 (depth = 3)
  gc_frame_newslot(call304);
// call case 4: self request
  params[0] = call304;
  partcv[0] = 1;
  Object call305 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe302);
// compiled call node returning call305 (depth = 2)
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_306_start(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "start");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe307 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe308 = gc_frame_new();
// call case 4: self request
  Object call309 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe308);
// compiled member node returning call309 (depth = 3)
  gc_frame_newslot(call309);
// starting to compile member node (depth = 3)
  int callframe310 = gc_frame_new();
// call case 4: self request
  Object call311 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe310);
// compiled member node returning call311 (depth = 3)
  gc_frame_newslot(call311);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = call309;
  params[1] = call311;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call312 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe307);
// compiled call node returning call312 (depth = 2)
  gc_frame_end(frame);
  return call312;
}
Object meth_ast_313_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe314 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe315 = gc_frame_new();
// call case 4: self request
  Object call316 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe315);
// compiled member node returning call316 (depth = 3)
  gc_frame_newslot(call316);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num318 = alloc_Float64(1);
// compiled num node returning num318 (depth = 4)
  int op_slot_right_317 = gc_frame_newslot(num318);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe321 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe322 = gc_frame_new();
// call case 4: self request
  Object call323 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe322);
// compiled member node returning call323 (depth = 6)
  Object call324 = callmethodflags(call323, "size", 0, partcv, params, 0);
  gc_frame_end(callframe321);
// compiled member node returning call324 (depth = 5)
  int op_slot_right_320 = gc_frame_newslot(call324);
// starting to compile member node (depth = 5)
  int callframe326 = gc_frame_new();
// call case 4: self request
  Object call327 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe326);
// compiled member node returning call327 (depth = 5)
  int op_slot_left_320 = gc_frame_newslot(call327);
  params[0] = call324;
  partcv[0] = 1;
  Object sum328 = callmethod(call327, "+(1)", 1, partcv, params);
// compiled op node returning sum328 (depth = 4)
  int op_slot_left_317 = gc_frame_newslot(sum328);
  params[0] = num318;
  partcv[0] = 1;
  Object diff329 = callmethod(sum328, "-(1)", 1, partcv, params);
// compiled op node returning diff329 (depth = 3)
  gc_frame_newslot(diff329);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = call316;
  params[1] = diff329;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call330 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe314);
// compiled call node returning call330 (depth = 2)
  gc_frame_end(frame);
  return call330;
}
Object meth_ast_331_range(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "range");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe332 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe333 = gc_frame_new();
// call case 4: self request
  Object call334 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe333);
// compiled member node returning call334 (depth = 3)
  gc_frame_newslot(call334);
// starting to compile member node (depth = 3)
  int callframe335 = gc_frame_new();
// call case 4: self request
  Object call336 = callmethodflags(self, "end", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe335);
// compiled member node returning call336 (depth = 3)
  gc_frame_newslot(call336);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = call334;
  params[1] = call336;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call337 = callmethodflags(module_ast, "start(1)end(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe332);
// compiled call node returning call337 (depth = 2)
  gc_frame_end(frame);
  return call337;
}
Object meth_ast_338_kind(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "kind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe339 = gc_frame_new();
// call case 5: prelude request
  Object call340 = callmethodflags(prelude, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe339);
// compiled member node returning call340 (depth = 2)
  gc_frame_end(frame);
  return call340;
}
Object meth_ast_341__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe342 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call343 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe342);
// compiled call node returning call343 (depth = 2)
  gc_frame_end(frame);
  return call343;
}
Object meth_ast_344_isAppliedOccurenceOfIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool345 = alloc_Boolean(0);
// compiled identifier node returning bool345 (depth = 2)
  gc_frame_end(frame);
  return bool345;
}
Object meth_ast_346_isMatchingBlock(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool347 = alloc_Boolean(0);
// compiled identifier node returning bool347 (depth = 2)
  gc_frame_end(frame);
  return bool347;
}
Object meth_ast_348_isFieldDec(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool349 = alloc_Boolean(0);
// compiled identifier node returning bool349 (depth = 2)
  gc_frame_end(frame);
  return bool349;
}
Object meth_ast_350_isInherits(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool351 = alloc_Boolean(0);
// compiled identifier node returning bool351 (depth = 2)
  gc_frame_end(frame);
  return bool351;
}
Object meth_ast_352_isLegalInTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool353 = alloc_Boolean(0);
// compiled identifier node returning bool353 (depth = 2)
  gc_frame_end(frame);
  return bool353;
}
Object meth_ast_354_isMember(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool355 = alloc_Boolean(0);
// compiled identifier node returning bool355 (depth = 2)
  gc_frame_end(frame);
  return bool355;
}
Object meth_ast_356_isMethod(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool357 = alloc_Boolean(0);
// compiled identifier node returning bool357 (depth = 2)
  gc_frame_end(frame);
  return bool357;
}
Object meth_ast_358_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool359 = alloc_Boolean(1);
// compiled identifier node returning bool359 (depth = 2)
  gc_frame_end(frame);
  return bool359;
}
Object meth_ast_360_isCall(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool361 = alloc_Boolean(0);
// compiled identifier node returning bool361 (depth = 2)
  gc_frame_end(frame);
  return bool361;
}
Object meth_ast_362_isComment(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isComment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool363 = alloc_Boolean(0);
// compiled identifier node returning bool363 (depth = 2)
  gc_frame_end(frame);
  return bool363;
}
Object meth_ast_364_isClass(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool365 = alloc_Boolean(0);
// compiled identifier node returning bool365 (depth = 2)
  gc_frame_end(frame);
  return bool365;
}
Object meth_ast_366_inClass(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool367 = alloc_Boolean(0);
// compiled identifier node returning bool367 (depth = 2)
  gc_frame_end(frame);
  return bool367;
}
Object meth_ast_368_isTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool369 = alloc_Boolean(0);
// compiled identifier node returning bool369 (depth = 2)
  gc_frame_end(frame);
  return bool369;
}
Object meth_ast_370_inTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool371 = alloc_Boolean(0);
// compiled identifier node returning bool371 (depth = 2)
  gc_frame_end(frame);
  return bool371;
}
Object meth_ast_372_isBind(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool373 = alloc_Boolean(0);
// compiled identifier node returning bool373 (depth = 2)
  gc_frame_end(frame);
  return bool373;
}
Object meth_ast_374_isReturn(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool375 = alloc_Boolean(0);
// compiled identifier node returning bool375 (depth = 2)
  gc_frame_end(frame);
  return bool375;
}
Object meth_ast_376_isSelf(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool377 = alloc_Boolean(0);
// compiled identifier node returning bool377 (depth = 2)
  gc_frame_end(frame);
  return bool377;
}
Object meth_ast_378_isSuper(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuper");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool379 = alloc_Boolean(0);
// compiled identifier node returning bool379 (depth = 2)
  gc_frame_end(frame);
  return bool379;
}
Object meth_ast_380_isPrelude(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPrelude");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool381 = alloc_Boolean(0);
// compiled identifier node returning bool381 (depth = 2)
  gc_frame_end(frame);
  return bool381;
}
Object meth_ast_382_isOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool383 = alloc_Boolean(0);
// compiled identifier node returning bool383 (depth = 2)
  gc_frame_end(frame);
  return bool383;
}
Object meth_ast_384_isSelfOrOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool385 = alloc_Boolean(0);
// compiled identifier node returning bool385 (depth = 2)
  gc_frame_end(frame);
  return bool385;
}
Object meth_ast_386_isBlock(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool387 = alloc_Boolean(0);
// compiled identifier node returning bool387 (depth = 2)
  gc_frame_end(frame);
  return bool387;
}
Object meth_ast_388_isObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool389 = alloc_Boolean(0);
// compiled identifier node returning bool389 (depth = 2)
  gc_frame_end(frame);
  return bool389;
}
Object meth_ast_390_isIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool391 = alloc_Boolean(0);
// compiled identifier node returning bool391 (depth = 2)
  gc_frame_end(frame);
  return bool391;
}
Object meth_ast_392_isDialect(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool393 = alloc_Boolean(0);
// compiled identifier node returning bool393 (depth = 2)
  gc_frame_end(frame);
  return bool393;
}
Object meth_ast_394_isImport(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool395 = alloc_Boolean(0);
// compiled identifier node returning bool395 (depth = 2)
  gc_frame_end(frame);
  return bool395;
}
Object meth_ast_396_isTypeDec(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool397 = alloc_Boolean(0);
// compiled identifier node returning bool397 (depth = 2)
  gc_frame_end(frame);
  return bool397;
}
Object meth_ast_398_isExternal(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool399 = alloc_Boolean(0);
// compiled identifier node returning bool399 (depth = 2)
  gc_frame_end(frame);
  return bool399;
}
Object meth_ast_400_isFresh(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFresh");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool401 = alloc_Boolean(0);
// compiled identifier node returning bool401 (depth = 2)
  gc_frame_end(frame);
  return bool401;
}
Object meth_ast_402_isConstant(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConstant");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool403 = alloc_Boolean(0);
// compiled identifier node returning bool403 (depth = 2)
  gc_frame_end(frame);
  return bool403;
}
Object meth_ast_404_canInherit(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canInherit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool405 = alloc_Boolean(0);
// compiled identifier node returning bool405 (depth = 2)
  gc_frame_end(frame);
  return bool405;
}
Object meth_ast_406_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool407 = alloc_Boolean(0);
// compiled identifier node returning bool407 (depth = 2)
  gc_frame_end(frame);
  return bool407;
}
Object meth_ast_408_isImplicit(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImplicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool409 = alloc_Boolean(0);
// compiled identifier node returning bool409 (depth = 2)
  gc_frame_end(frame);
  return bool409;
}
Object meth_ast_410_usesAsType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool411 = alloc_Boolean(0);
// compiled identifier node returning bool411 (depth = 2)
  gc_frame_end(frame);
  return bool411;
}
Object meth_ast_412_hash(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe414 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe415 = gc_frame_new();
// call case 4: self request
  Object call416 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe415);
// compiled member node returning call416 (depth = 4)
  Object call417 = callmethodflags(call416, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe414);
// compiled member node returning call417 (depth = 3)
  int op_slot_right_413 = gc_frame_newslot(call417);
// starting to compile member node (depth = 3)
  int callframe419 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe420 = gc_frame_new();
// call case 4: self request
  Object call421 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe420);
// compiled member node returning call421 (depth = 4)
  Object call422 = callmethodflags(call421, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe419);
// compiled member node returning call422 (depth = 3)
  int op_slot_left_413 = gc_frame_newslot(call422);
  params[0] = call417;
  partcv[0] = 1;
  Object prod423 = callmethod(call422, "*(1)", 1, partcv, params);
// compiled op node returning prod423 (depth = 2)
  gc_frame_end(frame);
  return prod423;
}
Object meth_ast_424_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit426 == NULL) {
    strlit426 = alloc_String("");
    gc_root(strlit426);
  }
// compiled string node returning strlit426 (depth = 3)
  int op_slot_right_425 = gc_frame_newslot(strlit426);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe429 = gc_frame_new();
// call case 4: self request
  Object call430 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe429);
// compiled member node returning call430 (depth = 4)
  int op_slot_right_428 = gc_frame_newslot(call430);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit433 == NULL) {
    strlit433 = alloc_String(" ");
    gc_root(strlit433);
  }
// compiled string node returning strlit433 (depth = 5)
  int op_slot_right_432 = gc_frame_newslot(strlit433);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe436 = gc_frame_new();
// call case 4: self request
  Object call437 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe436);
// compiled member node returning call437 (depth = 6)
  int op_slot_right_435 = gc_frame_newslot(call437);
// starting to compile string node (depth = 6)
  if (strlit439 == NULL) {
    strlit439 = alloc_String("");
    gc_root(strlit439);
  }
// compiled string node returning strlit439 (depth = 6)
  int op_slot_left_435 = gc_frame_newslot(strlit439);
  params[0] = call437;
  partcv[0] = 1;
  Object opresult440 = callmethod(strlit439, "++(1)", 1, partcv, params);
// compiled op node returning opresult440 (depth = 5)
  int op_slot_left_432 = gc_frame_newslot(opresult440);
  params[0] = strlit433;
  partcv[0] = 1;
  Object opresult441 = callmethod(opresult440, "++(1)", 1, partcv, params);
// compiled op node returning opresult441 (depth = 4)
  int op_slot_left_428 = gc_frame_newslot(opresult441);
  params[0] = call430;
  partcv[0] = 1;
  Object opresult442 = callmethod(opresult441, "++(1)", 1, partcv, params);
// compiled op node returning opresult442 (depth = 3)
  int op_slot_left_425 = gc_frame_newslot(opresult442);
  params[0] = strlit426;
  partcv[0] = 1;
  Object opresult443 = callmethod(opresult442, "++(1)", 1, partcv, params);
// compiled op node returning opresult443 (depth = 2)
  gc_frame_end(frame);
  return opresult443;
}
Object meth_ast_444_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit445 == NULL) {
    strlit445 = alloc_String("?");
    gc_root(strlit445);
  }
// compiled string node returning strlit445 (depth = 2)
  gc_frame_end(frame);
  return strlit445;
}
Object meth_ast_446_isWritable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool447 = alloc_Boolean(1);
// compiled identifier node returning bool447 (depth = 2)
  gc_frame_end(frame);
  return bool447;
}
Object meth_ast_448_isReadable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool449 = alloc_Boolean(1);
// compiled identifier node returning bool449 (depth = 2)
  gc_frame_end(frame);
  return bool449;
}
Object meth_ast_450_isPublic(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool451 = alloc_Boolean(1);
// compiled identifier node returning bool451 (depth = 2)
  gc_frame_end(frame);
  return bool451;
}
Object meth_ast_452_isConfidential(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe453 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe454 = gc_frame_new();
// call case 4: self request
  Object call455 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe454);
// compiled member node returning call455 (depth = 3)
  Object call456 = callmethodflags(call455, "not", 0, partcv, params, 0);
  gc_frame_end(callframe453);
// compiled member node returning call456 (depth = 2)
  gc_frame_end(frame);
  return call456;
}
Object meth_ast_457_decType(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe460 = gc_frame_new();
// call case 4: self request
  Object call461 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe460);
// compiled member node returning call461 (depth = 4)
  int op_slot_right_459 = gc_frame_newslot(call461);
// starting to compile identifier node (depth = 4)
  Object bool463 = alloc_Boolean(0);
// compiled identifier node returning bool463 (depth = 4)
  int op_slot_left_459 = gc_frame_newslot(bool463);
  params[0] = call461;
  partcv[0] = 1;
  Object opresult464 = callmethod(bool463, "==(1)", 1, partcv, params);
// compiled op node returning opresult464 (depth = 3)
  Object if458 = done;
  if (istrue(opresult464)) {
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unknownType (depth = 4)
  return *var_unknownType;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if458 = undefined;
  } else {
  }
// compiled if node returning if458 (depth = 2)
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe465 = gc_frame_new();
// call case 4: self request
  Object call466 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe465);
// compiled member node returning call466 (depth = 3)
  return call466;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_467_isSimple(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool468 = alloc_Boolean(1);
// compiled identifier node returning bool468 (depth = 2)
  gc_frame_end(frame);
  return bool468;
}
Object meth_ast_469_isDelimited(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool470 = alloc_Boolean(0);
// compiled identifier node returning bool470 (depth = 2)
  gc_frame_end(frame);
  return bool470;
}
Object meth_ast_471_description(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "description");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe472 = gc_frame_new();
// call case 4: self request
  Object call473 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe472);
// compiled member node returning call473 (depth = 2)
  gc_frame_end(frame);
  return call473;
}
Object meth_ast_474_accept_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)");
  Object params[2];
  int partcv[2];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for accept(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe475 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitor (depth = 3)
  gc_frame_newslot(*var_visitor);
// starting to compile member node (depth = 3)
  int callframe476 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ancestorChain (depth = 4)
  Object call477 = callmethodflags(*var_ancestorChain, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe476);
// compiled member node returning call477 (depth = 3)
  gc_frame_newslot(call477);
// call case 4: self request
  params[0] = *var_visitor;
  params[1] = call477;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call478 = callmethodflags(self, "accept(1)from(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe475);
// compiled call node returning call478 (depth = 2)
  gc_frame_end(frame);
  return call478;
}
Object meth_ast_479_scope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe480 = gc_frame_new();
// call case 4: self request
  Object call481 = callmethodflags(self, "symbolTable", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe480);
// compiled member node returning call481 (depth = 2)
  gc_frame_end(frame);
  return call481;
}
Object meth_ast_482_scope_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe483 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_st (depth = 3)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call484 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe483);
// compiled call node returning call484 (depth = 2)
  gc_frame_end(frame);
  return call484;
}
Object meth_ast_485_setScope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setScope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setScope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setScope(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setScope(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe486 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_st (depth = 3)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call487 = callmethodflags(self, "scope:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe486);
// compiled call node returning call487 (depth = 2)
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_488_shallowCopyFieldsFrom_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe489 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe490 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call491 = callmethodflags(*var_other, "register", 0, partcv, params, 0);
  gc_frame_end(callframe490);
// compiled member node returning call491 (depth = 3)
  gc_frame_newslot(call491);
// call case 4: self request
  params[0] = call491;
  partcv[0] = 1;
  Object call492 = callmethodflags(self, "register:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe489);
// compiled call node returning call492 (depth = 2)
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe493 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe494 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call495 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe494);
// compiled member node returning call495 (depth = 3)
  gc_frame_newslot(call495);
// call case 4: self request
  params[0] = call495;
  partcv[0] = 1;
  Object call496 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe493);
// compiled call node returning call496 (depth = 2)
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe497 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe498 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call499 = callmethodflags(*var_other, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe498);
// compiled member node returning call499 (depth = 3)
  gc_frame_newslot(call499);
// call case 4: self request
  params[0] = call499;
  partcv[0] = 1;
  Object call500 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe497);
// compiled call node returning call500 (depth = 2)
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe501 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe502 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call503 = callmethodflags(*var_other, "scope", 0, partcv, params, 0);
  gc_frame_end(callframe502);
// compiled member node returning call503 (depth = 3)
  gc_frame_newslot(call503);
// call case 4: self request
  params[0] = call503;
  partcv[0] = 1;
  Object call504 = callmethodflags(self, "scope:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe501);
// compiled call node returning call504 (depth = 2)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe505 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call506 = callmethodflags(self, "postCopy(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe505);
// compiled call node returning call506 (depth = 2)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_507_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  gc_frame_end(frame);
  return done;
}
Object meth_ast_520__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit522 == NULL) {
    strlit522 = alloc_String("symbols");
    gc_root(strlit522);
  }
// compiled string node returning strlit522 (depth = 6)
  int op_slot_right_521 = gc_frame_newslot(strlit522);
// starting to compile member node (depth = 6)
  int callframe524 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call525 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe524);
// compiled member node returning call525 (depth = 6)
  int op_slot_left_521 = gc_frame_newslot(call525);
  params[0] = strlit522;
  partcv[0] = 1;
  Object opresult526 = callmethod(call525, "==(1)", 1, partcv, params);
// compiled op node returning opresult526 (depth = 5)
  gc_frame_end(frame);
  return opresult526;
}
Object meth_ast_508_prettyPrefix_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 65, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "prettyPrefix(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method prettyPrefix(_)");
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for prettyPrefix(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part prettyPrefix(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num511 = alloc_Float64(1);
// compiled num node returning num511 (depth = 5)
  int op_slot_right_510 = gc_frame_newslot(num511);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_510 = gc_frame_newslot(*var_depth);
  params[0] = num511;
  partcv[0] = 1;
  Object sum513 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum513 (depth = 4)
  int op_slot_right_509 = gc_frame_newslot(sum513);
// starting to compile string node (depth = 4)
  if (strlit515 == NULL) {
    strlit515 = alloc_String("  ");
    gc_root(strlit515);
  }
// compiled string node returning strlit515 (depth = 4)
  int op_slot_left_509 = gc_frame_newslot(strlit515);
  params[0] = sum513;
  partcv[0] = 1;
  Object prod516 = callmethod(strlit515, "*(1)", 1, partcv, params);
// compiled op node returning prod516 (depth = 3)
  *var_spc = prod516;
  if (prod516 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block519 = alloc_Block(NULL, NULL, "ast", 275);
  gc_frame_newslot(block519);
// method "_apply"
  block_savedest(block519);
  Object closure520 = createclosure(2, "_apply");
  setclosureframe(closure520, stackframe);
  addtoclosure(closure520, var_util);
  addtoclosure(closure520, selfslot);
  struct UserObject *uo520 = (struct UserObject*)block519;
  uo520->data[0] = (Object)closure520;
  Method *meth_meth_ast_520__apply = addmethod2pos(block519, "_apply", &meth_ast_520__apply, 0);
  int argcv_meth_ast_520__apply[] = {0};
  meth_meth_ast_520__apply->type = alloc_MethodType(1, argcv_meth_ast_520__apply);
  meth_meth_ast_520__apply->definitionModule = modulename;
  meth_meth_ast_520__apply->definitionLine = 3216;
// compiled block node returning block519 (depth = 4)
  int op_slot_right_518 = gc_frame_newslot(block519);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  int op_slot_right_529 = gc_frame_newslot(self);
// starting to compile member node (depth = 5)
  int callframe531 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe532 = gc_frame_new();
// call case 4: self request
  Object call533 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe532);
// compiled member node returning call533 (depth = 6)
  Object call534 = callmethodflags(call533, "node", 0, partcv, params, 0);
  gc_frame_end(callframe531);
// compiled member node returning call534 (depth = 5)
  int op_slot_left_529 = gc_frame_newslot(call534);
  params[0] = self;
  partcv[0] = 1;
  Object opresult535 = callmethod(call534, "==(1)", 1, partcv, params);
// compiled op node returning opresult535 (depth = 4)
  int op_slot_left_518 = gc_frame_newslot(opresult535);
  params[0] = block519;
  partcv[0] = 1;
  Object opresult536 = callmethod(opresult535, "&&(1)", 1, partcv, params);
// compiled op node returning opresult536 (depth = 3)
  Object if517 = done;
  if (istrue(opresult536)) {
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit538 == NULL) {
    strlit538 = alloc_String("");
    gc_root(strlit538);
  }
// compiled string node returning strlit538 (depth = 4)
  int op_slot_right_537 = gc_frame_newslot(strlit538);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe541 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe542 = gc_frame_new();
// call case 4: self request
  Object call543 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe542);
// compiled member node returning call543 (depth = 6)
  Object call544 = callmethodflags(call543, "elementScopesAsString", 0, partcv, params, 0);
  gc_frame_end(callframe541);
// compiled member node returning call544 (depth = 5)
  int op_slot_right_540 = gc_frame_newslot(call544);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit547 == NULL) {
    strlit547 = alloc_String("");
    gc_root(strlit547);
  }
// compiled string node returning strlit547 (depth = 6)
  int op_slot_right_546 = gc_frame_newslot(strlit547);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe550 = gc_frame_new();
// call case 4: self request
  Object call551 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe550);
// compiled member node returning call551 (depth = 7)
  int op_slot_right_549 = gc_frame_newslot(call551);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit554 == NULL) {
    strlit554 = alloc_String("): ");
    gc_root(strlit554);
  }
// compiled string node returning strlit554 (depth = 8)
  int op_slot_right_553 = gc_frame_newslot(strlit554);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe557 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe558 = gc_frame_new();
// call case 4: self request
  Object call559 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe558);
// compiled member node returning call559 (depth = 10)
  Object call560 = callmethodflags(call559, "variety", 0, partcv, params, 0);
  gc_frame_end(callframe557);
// compiled member node returning call560 (depth = 9)
  int op_slot_right_556 = gc_frame_newslot(call560);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit563 == NULL) {
    strlit563 = alloc_String("Symbols(");
    gc_root(strlit563);
  }
// compiled string node returning strlit563 (depth = 10)
  int op_slot_right_562 = gc_frame_newslot(strlit563);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_565 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit568 == NULL) {
    strlit568 = alloc_String("""\x0a""");
    gc_root(strlit568);
  }
// compiled string node returning strlit568 (depth = 12)
  int op_slot_right_567 = gc_frame_newslot(strlit568);
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe571 = gc_frame_new();
// call case 4: self request
  Object call572 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe571);
// compiled member node returning call572 (depth = 13)
  int op_slot_right_570 = gc_frame_newslot(call572);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit575 == NULL) {
    strlit575 = alloc_String(" ");
    gc_root(strlit575);
  }
// compiled string node returning strlit575 (depth = 14)
  int op_slot_right_574 = gc_frame_newslot(strlit575);
// starting to compile op node (depth = 14)
// starting to compile member node (depth = 15)
  int callframe578 = gc_frame_new();
// call case 4: self request
  Object call579 = callmethodflags(self, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe578);
// compiled member node returning call579 (depth = 15)
  int op_slot_right_577 = gc_frame_newslot(call579);
// starting to compile string node (depth = 15)
  if (strlit581 == NULL) {
    strlit581 = alloc_String("");
    gc_root(strlit581);
  }
// compiled string node returning strlit581 (depth = 15)
  int op_slot_left_577 = gc_frame_newslot(strlit581);
  params[0] = call579;
  partcv[0] = 1;
  Object opresult582 = callmethod(strlit581, "++(1)", 1, partcv, params);
// compiled op node returning opresult582 (depth = 14)
  int op_slot_left_574 = gc_frame_newslot(opresult582);
  params[0] = strlit575;
  partcv[0] = 1;
  Object opresult583 = callmethod(opresult582, "++(1)", 1, partcv, params);
// compiled op node returning opresult583 (depth = 13)
  int op_slot_left_570 = gc_frame_newslot(opresult583);
  params[0] = call572;
  partcv[0] = 1;
  Object opresult584 = callmethod(opresult583, "++(1)", 1, partcv, params);
// compiled op node returning opresult584 (depth = 12)
  int op_slot_left_567 = gc_frame_newslot(opresult584);
  params[0] = strlit568;
  partcv[0] = 1;
  Object opresult585 = callmethod(opresult584, "++(1)", 1, partcv, params);
// compiled op node returning opresult585 (depth = 11)
  int op_slot_left_565 = gc_frame_newslot(opresult585);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult586 = callmethod(opresult585, "++(1)", 1, partcv, params);
// compiled op node returning opresult586 (depth = 10)
  int op_slot_left_562 = gc_frame_newslot(opresult586);
  params[0] = strlit563;
  partcv[0] = 1;
  Object opresult587 = callmethod(opresult586, "++(1)", 1, partcv, params);
// compiled op node returning opresult587 (depth = 9)
  int op_slot_left_556 = gc_frame_newslot(opresult587);
  params[0] = call560;
  partcv[0] = 1;
  Object opresult588 = callmethod(opresult587, "++(1)", 1, partcv, params);
// compiled op node returning opresult588 (depth = 8)
  int op_slot_left_553 = gc_frame_newslot(opresult588);
  params[0] = strlit554;
  partcv[0] = 1;
  Object opresult589 = callmethod(opresult588, "++(1)", 1, partcv, params);
// compiled op node returning opresult589 (depth = 7)
  int op_slot_left_549 = gc_frame_newslot(opresult589);
  params[0] = call551;
  partcv[0] = 1;
  Object opresult590 = callmethod(opresult589, "++(1)", 1, partcv, params);
// compiled op node returning opresult590 (depth = 6)
  int op_slot_left_546 = gc_frame_newslot(opresult590);
  params[0] = strlit547;
  partcv[0] = 1;
  Object opresult591 = callmethod(opresult590, "++(1)", 1, partcv, params);
// compiled op node returning opresult591 (depth = 5)
  int op_slot_left_540 = gc_frame_newslot(opresult591);
  params[0] = call544;
  partcv[0] = 1;
  Object opresult592 = callmethod(opresult591, "++(1)", 1, partcv, params);
// compiled op node returning opresult592 (depth = 4)
  int op_slot_left_537 = gc_frame_newslot(opresult592);
  params[0] = strlit538;
  partcv[0] = 1;
  Object opresult593 = callmethod(opresult592, "++(1)", 1, partcv, params);
// compiled op node returning opresult593 (depth = 3)
    gc_frame_newslot(opresult593);
    if517 = opresult593;
  } else {
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit596 == NULL) {
    strlit596 = alloc_String("fake");
    gc_root(strlit596);
  }
// compiled string node returning strlit596 (depth = 5)
  int op_slot_right_595 = gc_frame_newslot(strlit596);
// starting to compile member node (depth = 5)
  int callframe598 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe599 = gc_frame_new();
// call case 4: self request
  Object call600 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe599);
// compiled member node returning call600 (depth = 6)
  Object call601 = callmethodflags(call600, "variety", 0, partcv, params, 0);
  gc_frame_end(callframe598);
// compiled member node returning call601 (depth = 5)
  int op_slot_left_595 = gc_frame_newslot(call601);
  params[0] = strlit596;
  partcv[0] = 1;
  Object opresult602 = callmethod(call601, "==(1)", 1, partcv, params);
// compiled op node returning opresult602 (depth = 4)
  Object if594 = done;
  if (istrue(opresult602)) {
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit604 == NULL) {
    strlit604 = alloc_String("");
    gc_root(strlit604);
  }
// compiled string node returning strlit604 (depth = 5)
  int op_slot_right_603 = gc_frame_newslot(strlit604);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe607 = gc_frame_new();
// call case 4: self request
  Object call608 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe607);
// compiled member node returning call608 (depth = 6)
  int op_slot_right_606 = gc_frame_newslot(call608);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit611 == NULL) {
    strlit611 = alloc_String(" ");
    gc_root(strlit611);
  }
// compiled string node returning strlit611 (depth = 7)
  int op_slot_right_610 = gc_frame_newslot(strlit611);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe614 = gc_frame_new();
// call case 4: self request
  Object call615 = callmethodflags(self, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe614);
// compiled member node returning call615 (depth = 8)
  int op_slot_right_613 = gc_frame_newslot(call615);
// starting to compile string node (depth = 8)
  if (strlit617 == NULL) {
    strlit617 = alloc_String("");
    gc_root(strlit617);
  }
// compiled string node returning strlit617 (depth = 8)
  int op_slot_left_613 = gc_frame_newslot(strlit617);
  params[0] = call615;
  partcv[0] = 1;
  Object opresult618 = callmethod(strlit617, "++(1)", 1, partcv, params);
// compiled op node returning opresult618 (depth = 7)
  int op_slot_left_610 = gc_frame_newslot(opresult618);
  params[0] = strlit611;
  partcv[0] = 1;
  Object opresult619 = callmethod(opresult618, "++(1)", 1, partcv, params);
// compiled op node returning opresult619 (depth = 6)
  int op_slot_left_606 = gc_frame_newslot(opresult619);
  params[0] = call608;
  partcv[0] = 1;
  Object opresult620 = callmethod(opresult619, "++(1)", 1, partcv, params);
// compiled op node returning opresult620 (depth = 5)
  int op_slot_left_603 = gc_frame_newslot(opresult620);
  params[0] = strlit604;
  partcv[0] = 1;
  Object opresult621 = callmethod(opresult620, "++(1)", 1, partcv, params);
// compiled op node returning opresult621 (depth = 4)
    gc_frame_newslot(opresult621);
    if594 = opresult621;
  } else {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit623 == NULL) {
    strlit623 = alloc_String("");
    gc_root(strlit623);
  }
// compiled string node returning strlit623 (depth = 5)
  int op_slot_right_622 = gc_frame_newslot(strlit623);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe626 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe627 = gc_frame_new();
// call case 4: self request
  Object call628 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe627);
// compiled member node returning call628 (depth = 7)
  Object call629 = callmethodflags(call628, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe626);
// compiled member node returning call629 (depth = 6)
  int op_slot_right_625 = gc_frame_newslot(call629);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit632 == NULL) {
    strlit632 = alloc_String(" ");
    gc_root(strlit632);
  }
// compiled string node returning strlit632 (depth = 7)
  int op_slot_right_631 = gc_frame_newslot(strlit632);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe635 = gc_frame_new();
// call case 4: self request
  Object call636 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe635);
// compiled member node returning call636 (depth = 8)
  int op_slot_right_634 = gc_frame_newslot(call636);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit639 == NULL) {
    strlit639 = alloc_String(" ");
    gc_root(strlit639);
  }
// compiled string node returning strlit639 (depth = 9)
  int op_slot_right_638 = gc_frame_newslot(strlit639);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe642 = gc_frame_new();
// call case 4: self request
  Object call643 = callmethodflags(self, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe642);
// compiled member node returning call643 (depth = 10)
  int op_slot_right_641 = gc_frame_newslot(call643);
// starting to compile string node (depth = 10)
  if (strlit645 == NULL) {
    strlit645 = alloc_String("");
    gc_root(strlit645);
  }
// compiled string node returning strlit645 (depth = 10)
  int op_slot_left_641 = gc_frame_newslot(strlit645);
  params[0] = call643;
  partcv[0] = 1;
  Object opresult646 = callmethod(strlit645, "++(1)", 1, partcv, params);
// compiled op node returning opresult646 (depth = 9)
  int op_slot_left_638 = gc_frame_newslot(opresult646);
  params[0] = strlit639;
  partcv[0] = 1;
  Object opresult647 = callmethod(opresult646, "++(1)", 1, partcv, params);
// compiled op node returning opresult647 (depth = 8)
  int op_slot_left_634 = gc_frame_newslot(opresult647);
  params[0] = call636;
  partcv[0] = 1;
  Object opresult648 = callmethod(opresult647, "++(1)", 1, partcv, params);
// compiled op node returning opresult648 (depth = 7)
  int op_slot_left_631 = gc_frame_newslot(opresult648);
  params[0] = strlit632;
  partcv[0] = 1;
  Object opresult649 = callmethod(opresult648, "++(1)", 1, partcv, params);
// compiled op node returning opresult649 (depth = 6)
  int op_slot_left_625 = gc_frame_newslot(opresult649);
  params[0] = call629;
  partcv[0] = 1;
  Object opresult650 = callmethod(opresult649, "++(1)", 1, partcv, params);
// compiled op node returning opresult650 (depth = 5)
  int op_slot_left_622 = gc_frame_newslot(opresult650);
  params[0] = strlit623;
  partcv[0] = 1;
  Object opresult651 = callmethod(opresult650, "++(1)", 1, partcv, params);
// compiled op node returning opresult651 (depth = 4)
    gc_frame_newslot(opresult651);
    if594 = opresult651;
  }
// compiled if node returning if594 (depth = 3)
    gc_frame_newslot(if594);
    if517 = if594;
  }
// compiled if node returning if517 (depth = 2)
  gc_frame_end(frame);
  return if517;
}
Object meth_ast_652_basePretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "basePretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method basePretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for basePretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part basePretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe653 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_depth (depth = 3)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call654 = callmethodflags(self, "prettyPrefix(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe653);
// compiled call node returning call654 (depth = 2)
  gc_frame_end(frame);
  return call654;
}
Object meth_ast_655_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe656 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_depth (depth = 3)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call657 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe656);
// compiled call node returning call657 (depth = 2)
  gc_frame_end(frame);
  return call657;
}
Object meth_ast_661__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_each (depth = 4)
  gc_frame_end(frame);
  return *var_each;
}
Object meth_ast_658_deepCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "deepCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe659 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block660 = alloc_Block(NULL, NULL, "ast", 286);
  gc_frame_newslot(block660);
// method "_apply(_)"
  block_savedest(block660);
  Object closure661 = createclosure(1, "_apply(1)");
  setclosureframe(closure661, stackframe);
  addtoclosure(closure661, selfslot);
  struct UserObject *uo661 = (struct UserObject*)block660;
  uo661->data[0] = (Object)closure661;
  Method *meth_meth_ast_661__apply_40_1_41_ = addmethod2pos(block660, "_apply(1)", &meth_ast_661__apply_40_1_41_, 0);
  int argcv_meth_ast_661__apply_40_1_41_[] = {1};
  meth_meth_ast_661__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_661__apply_40_1_41_);
  meth_meth_ast_661__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_661__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block660 (depth = 3)
  gc_frame_newslot(block660);
// starting to compile member node (depth = 3)
  int callframe663 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ancestorChain (depth = 4)
  Object call664 = callmethodflags(*var_ancestorChain, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe663);
// compiled member node returning call664 (depth = 3)
  gc_frame_newslot(call664);
// call case 4: self request
  params[0] = block660;
  params[1] = call664;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call665 = callmethodflags(self, "map(1)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe659);
// compiled call node returning call665 (depth = 2)
  gc_frame_end(frame);
  return call665;
}
Object meth_ast_666_enclosingObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "enclosingObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_obj = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "obj");
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe667 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe668 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe669 = gc_frame_new();
// call case 4: self request
  Object call670 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe669);
// compiled member node returning call670 (depth = 5)
  Object call671 = callmethodflags(call670, "enclosingObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe668);
// compiled member node returning call671 (depth = 4)
  Object call672 = callmethodflags(call671, "node", 0, partcv, params, 0);
  gc_frame_end(callframe667);
// compiled member node returning call672 (depth = 3)
  *var_obj = call672;
  if (call672 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_obj (depth = 2)
  gc_frame_end(frame);
  return *var_obj;
}
Object meth_ast_673_addComment_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addComment(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addComment(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addComment(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNode = &(stackframe->slots[0]);
  *var_cmtNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addComment(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe676 = gc_frame_new();
// call case 4: self request
  Object call677 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe676);
// compiled member node returning call677 (depth = 4)
  int op_slot_right_675 = gc_frame_newslot(call677);
// starting to compile identifier node (depth = 4)
  Object bool679 = alloc_Boolean(0);
// compiled identifier node returning bool679 (depth = 4)
  int op_slot_left_675 = gc_frame_newslot(bool679);
  params[0] = call677;
  partcv[0] = 1;
  Object opresult680 = callmethod(bool679, "==(1)", 1, partcv, params);
// compiled op node returning opresult680 (depth = 3)
  Object if674 = done;
  if (istrue(opresult680)) {
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe681 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmtNode (depth = 4)
  gc_frame_newslot(*var_cmtNode);
// call case 4: self request
  params[0] = *var_cmtNode;
  partcv[0] = 1;
  Object call682 = callmethodflags(self, "comments:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe681);
// compiled call node returning call682 (depth = 3)
    gc_frame_newslot(call682);
    if674 = call682;
  } else {
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe683 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmtNode (depth = 4)
  gc_frame_newslot(*var_cmtNode);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe684 = gc_frame_new();
// call case 4: self request
  Object call685 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe684);
// compiled member node returning call685 (depth = 4)
  params[0] = *var_cmtNode;
  partcv[0] = 1;
  Object call686 = callmethodflags(call685, "extendCommentUsing(1)", 1, partcv, params, 0);
  gc_frame_end(callframe683);
// compiled call node returning call686 (depth = 3)
    gc_frame_newslot(call686);
    if674 = call686;
  }
// compiled if node returning if674 (depth = 2)
  gc_frame_end(frame);
  return if674;
}
Object meth_ast_690__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 4)
  int callframe691 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 4: self request
  params[0] = *var_each;
  partcv[0] = 1;
  Object call692 = callmethodflags(self, "addComment(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe691);
// compiled call node returning call692 (depth = 4)
  gc_frame_end(frame);
  return call692;
}
Object meth_ast_687_addComments_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addComments(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addComments(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addComments(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNodeList = &(stackframe->slots[0]);
  *var_cmtNodeList = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addComments(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe688 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block689 = alloc_Block(NULL, NULL, "ast", 300);
  gc_frame_newslot(block689);
// method "_apply(_)"
  block_savedest(block689);
  Object closure690 = createclosure(1, "_apply(1)");
  setclosureframe(closure690, stackframe);
  addtoclosure(closure690, selfslot);
  struct UserObject *uo690 = (struct UserObject*)block689;
  uo690->data[0] = (Object)closure690;
  Method *meth_meth_ast_690__apply_40_1_41_ = addmethod2pos(block689, "_apply(1)", &meth_ast_690__apply_40_1_41_, 0);
  int argcv_meth_ast_690__apply_40_1_41_[] = {1};
  meth_meth_ast_690__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_690__apply_40_1_41_);
  meth_meth_ast_690__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_690__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block689 (depth = 3)
  gc_frame_newslot(block689);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cmtNodeList (depth = 3)
  params[0] = block689;
  partcv[0] = 1;
  Object call694 = callmethodflags(*var_cmtNodeList, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe688);
// compiled call node returning call694 (depth = 2)
  gc_frame_end(frame);
  return call694;
}
Object meth_ast_695_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe696 = gc_frame_new();
// call case 4: self request
  Object call697 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe696);
// compiled member node returning call697 (depth = 2)
  gc_frame_end(frame);
  return call697;
}
Object meth_ast_275_baseNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_fakeSymbolTable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject276 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj276 = alloc_userobj2(77,73, objclass276);
  gc_frame_newslot(obj276);
  if (objclass276 == NULL) {
    glfree(obj276->class->name);
    obj276->class->name = "baseNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj276, self, 0);
  addmethodreal(obj276,"outer", &reader_ast_outer_277);
  Object oldself276 = self;
  struct StackFrameObject *oldstackframe276 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe276);
  gc_frame_newslot((Object)stackframe);
  self = obj276;
  Object *oldselfslot276 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter276 = (*(struct UserObject *)self).data[0], lowerouter276 = thisouter276;
  if (inheritingObject276) {
    struct UserObject *inho276 = (struct UserObject *)inheritingObject276;
    while (inho276->super != GraceDefaultObject) inho276 = (struct UserObject *)inho276->super;
    inho276->super = obj276;
    self = inheritingObject276;
    *selfslot = self;
    lowerouter276 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter276;
  }
  if (objclass276 == NULL) {
    Method *reader278 = addmethodrealflags(obj276, "register", &reader_ast_register_278, 0);
    Method *writer278 = addmethodrealflags(obj276, "register:=(1)", &writer_ast_register_278, 0);
    reader278->definitionModule = modulename;
    writer278->definitionModule = modulename;
    reader278->definitionLine = 169;
    writer278->definitionLine = 169;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 1);
  if (objclass276 == NULL) {
    Method *reader279 = addmethodrealflags(obj276, "line", &reader_ast_line_279, 0);
    Method *writer279 = addmethodrealflags(obj276, "line:=(1)", &writer_ast_line_279, 0);
    reader279->definitionModule = modulename;
    writer279->definitionModule = modulename;
    reader279->definitionLine = 170;
    writer279->definitionLine = 170;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 2);
  if (objclass276 == NULL) {
    Method *reader280 = addmethodrealflags(obj276, "linePos", &reader_ast_linePos_280, 0);
    Method *writer280 = addmethodrealflags(obj276, "linePos:=(1)", &writer_ast_linePos_280, 0);
    reader280->definitionModule = modulename;
    writer280->definitionModule = modulename;
    reader280->definitionLine = 171;
    writer280->definitionLine = 171;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 3);
  if (objclass276 == NULL) {
    Method *reader281 = addmethodrealflags(obj276, "symbolTable", &reader_ast_symbolTable_281, MFLAG_CONFIDENTIAL);
    Method *writer281 = addmethodrealflags(obj276, "symbolTable:=(1)", &writer_ast_symbolTable_281, MFLAG_CONFIDENTIAL);
    reader281->definitionModule = modulename;
    writer281->definitionModule = modulename;
    reader281->definitionLine = 172;
    writer281->definitionLine = 172;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 4);
  if (objclass276 == NULL) {
    Method *reader282 = addmethodrealflags(obj276, "comments", &reader_ast_comments_282, 0);
    Method *writer282 = addmethodrealflags(obj276, "comments:=(1)", &writer_ast_comments_282, 0);
    reader282->definitionModule = modulename;
    writer282->definitionModule = modulename;
    reader282->definitionLine = 173;
    writer282->definitionLine = 173;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 5);
// method "setLine(_)col(_)"
  struct UserObject *uo283 = (struct UserObject*)obj276;
  uo283->data[6] = emptyclosure;
  Method *meth_meth_ast_283_setLine_40_1_41_col_40_1_41_ = addmethod2pos(obj276, "setLine(1)col(1)", &meth_ast_283_setLine_40_1_41_col_40_1_41_, 6);
  int argcv_meth_ast_283_setLine_40_1_41_col_40_1_41_[] = {1, 1};
  meth_meth_ast_283_setLine_40_1_41_col_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_283_setLine_40_1_41_col_40_1_41_);
  meth_meth_ast_283_setLine_40_1_41_col_40_1_41_->definitionModule = modulename;
  meth_meth_ast_283_setLine_40_1_41_col_40_1_41_->definitionLine = 175;
// method "setPositionFrom(_)"
  struct UserObject *uo288 = (struct UserObject*)obj276;
  uo288->data[7] = emptyclosure;
  Method *meth_meth_ast_288_setPositionFrom_40_1_41_ = addmethod2pos(obj276, "setPositionFrom(1)", &meth_ast_288_setPositionFrom_40_1_41_, 7);
  int argcv_meth_ast_288_setPositionFrom_40_1_41_[] = {1};
  meth_meth_ast_288_setPositionFrom_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_288_setPositionFrom_40_1_41_);
  meth_meth_ast_288_setPositionFrom_40_1_41_->definitionModule = modulename;
  meth_meth_ast_288_setPositionFrom_40_1_41_->definitionLine = 180;
// method "setStart(_)"
  struct UserObject *uo297 = (struct UserObject*)obj276;
  uo297->data[8] = emptyclosure;
  Method *meth_meth_ast_297_setStart_40_1_41_ = addmethod2pos(obj276, "setStart(1)", &meth_ast_297_setStart_40_1_41_, 8);
  int argcv_meth_ast_297_setStart_40_1_41_[] = {1};
  meth_meth_ast_297_setStart_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_297_setStart_40_1_41_);
  meth_meth_ast_297_setStart_40_1_41_->definitionModule = modulename;
  meth_meth_ast_297_setStart_40_1_41_->definitionLine = 185;
// method "start"
  struct UserObject *uo306 = (struct UserObject*)obj276;
  uo306->data[9] = emptyclosure;
  Method *meth_meth_ast_306_start = addmethod2pos(obj276, "start", &meth_ast_306_start, 9);
  int argcv_meth_ast_306_start[] = {0};
  meth_meth_ast_306_start->type = alloc_MethodType(1, argcv_meth_ast_306_start);
  meth_meth_ast_306_start->definitionModule = modulename;
  meth_meth_ast_306_start->definitionLine = 190;
// method "end"
  struct UserObject *uo313 = (struct UserObject*)obj276;
  uo313->data[10] = emptyclosure;
  Method *meth_meth_ast_313_end = addmethod2pos(obj276, "end", &meth_ast_313_end, 10);
  int argcv_meth_ast_313_end[] = {0};
  meth_meth_ast_313_end->type = alloc_MethodType(1, argcv_meth_ast_313_end);
  meth_meth_ast_313_end->definitionModule = modulename;
  meth_meth_ast_313_end->definitionLine = 191;
// method "range"
  struct UserObject *uo331 = (struct UserObject*)obj276;
  uo331->data[11] = emptyclosure;
  Method *meth_meth_ast_331_range = addmethod2pos(obj276, "range", &meth_ast_331_range, 11);
  int argcv_meth_ast_331_range[] = {0};
  meth_meth_ast_331_range->type = alloc_MethodType(1, argcv_meth_ast_331_range);
  meth_meth_ast_331_range->definitionModule = modulename;
  meth_meth_ast_331_range->definitionLine = 192;
// method "kind"
  struct UserObject *uo338 = (struct UserObject*)obj276;
  uo338->data[12] = emptyclosure;
  Method *meth_meth_ast_338_kind = addmethod2pos(obj276, "kind", &meth_ast_338_kind, 12);
  int argcv_meth_ast_338_kind[] = {0};
  meth_meth_ast_338_kind->type = alloc_MethodType(1, argcv_meth_ast_338_kind);
  meth_meth_ast_338_kind->definitionModule = modulename;
  meth_meth_ast_338_kind->definitionLine = 193;
// method "==(_)"
  struct UserObject *uo341 = (struct UserObject*)obj276;
  uo341->data[13] = emptyclosure;
  Method *meth_meth_ast_341__61__61__40_1_41_ = addmethod2pos(obj276, "==(1)", &meth_ast_341__61__61__40_1_41_, 13);
  int argcv_meth_ast_341__61__61__40_1_41_[] = {1};
  meth_meth_ast_341__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_341__61__61__40_1_41_);
  meth_meth_ast_341__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_341__61__61__40_1_41_->definitionLine = 194;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo344 = (struct UserObject*)obj276;
  uo344->data[14] = emptyclosure;
  Method *meth_meth_ast_344_isAppliedOccurenceOfIdentifier = addmethod2pos(obj276, "isAppliedOccurenceOfIdentifier", &meth_ast_344_isAppliedOccurenceOfIdentifier, 14);
  int argcv_meth_ast_344_isAppliedOccurenceOfIdentifier[] = {0};
  meth_meth_ast_344_isAppliedOccurenceOfIdentifier->type = alloc_MethodType(1, argcv_meth_ast_344_isAppliedOccurenceOfIdentifier);
  meth_meth_ast_344_isAppliedOccurenceOfIdentifier->definitionModule = modulename;
  meth_meth_ast_344_isAppliedOccurenceOfIdentifier->definitionLine = 195;
// method "isMatchingBlock"
  struct UserObject *uo346 = (struct UserObject*)obj276;
  uo346->data[15] = emptyclosure;
  Method *meth_meth_ast_346_isMatchingBlock = addmethod2pos(obj276, "isMatchingBlock", &meth_ast_346_isMatchingBlock, 15);
  int argcv_meth_ast_346_isMatchingBlock[] = {0};
  meth_meth_ast_346_isMatchingBlock->type = alloc_MethodType(1, argcv_meth_ast_346_isMatchingBlock);
  meth_meth_ast_346_isMatchingBlock->definitionModule = modulename;
  meth_meth_ast_346_isMatchingBlock->definitionLine = 196;
// method "isFieldDec"
  struct UserObject *uo348 = (struct UserObject*)obj276;
  uo348->data[16] = emptyclosure;
  Method *meth_meth_ast_348_isFieldDec = addmethod2pos(obj276, "isFieldDec", &meth_ast_348_isFieldDec, 16);
  int argcv_meth_ast_348_isFieldDec[] = {0};
  meth_meth_ast_348_isFieldDec->type = alloc_MethodType(1, argcv_meth_ast_348_isFieldDec);
  meth_meth_ast_348_isFieldDec->definitionModule = modulename;
  meth_meth_ast_348_isFieldDec->definitionLine = 197;
// method "isInherits"
  struct UserObject *uo350 = (struct UserObject*)obj276;
  uo350->data[17] = emptyclosure;
  Method *meth_meth_ast_350_isInherits = addmethod2pos(obj276, "isInherits", &meth_ast_350_isInherits, 17);
  int argcv_meth_ast_350_isInherits[] = {0};
  meth_meth_ast_350_isInherits->type = alloc_MethodType(1, argcv_meth_ast_350_isInherits);
  meth_meth_ast_350_isInherits->definitionModule = modulename;
  meth_meth_ast_350_isInherits->definitionLine = 198;
// method "isLegalInTrait"
  struct UserObject *uo352 = (struct UserObject*)obj276;
  uo352->data[18] = emptyclosure;
  Method *meth_meth_ast_352_isLegalInTrait = addmethod2pos(obj276, "isLegalInTrait", &meth_ast_352_isLegalInTrait, 18);
  int argcv_meth_ast_352_isLegalInTrait[] = {0};
  meth_meth_ast_352_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_352_isLegalInTrait);
  meth_meth_ast_352_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_352_isLegalInTrait->definitionLine = 199;
// method "isMember"
  struct UserObject *uo354 = (struct UserObject*)obj276;
  uo354->data[19] = emptyclosure;
  Method *meth_meth_ast_354_isMember = addmethod2pos(obj276, "isMember", &meth_ast_354_isMember, 19);
  int argcv_meth_ast_354_isMember[] = {0};
  meth_meth_ast_354_isMember->type = alloc_MethodType(1, argcv_meth_ast_354_isMember);
  meth_meth_ast_354_isMember->definitionModule = modulename;
  meth_meth_ast_354_isMember->definitionLine = 200;
// method "isMethod"
  struct UserObject *uo356 = (struct UserObject*)obj276;
  uo356->data[20] = emptyclosure;
  Method *meth_meth_ast_356_isMethod = addmethod2pos(obj276, "isMethod", &meth_ast_356_isMethod, 20);
  int argcv_meth_ast_356_isMethod[] = {0};
  meth_meth_ast_356_isMethod->type = alloc_MethodType(1, argcv_meth_ast_356_isMethod);
  meth_meth_ast_356_isMethod->definitionModule = modulename;
  meth_meth_ast_356_isMethod->definitionLine = 201;
// method "isExecutable"
  struct UserObject *uo358 = (struct UserObject*)obj276;
  uo358->data[21] = emptyclosure;
  Method *meth_meth_ast_358_isExecutable = addmethod2pos(obj276, "isExecutable", &meth_ast_358_isExecutable, 21);
  int argcv_meth_ast_358_isExecutable[] = {0};
  meth_meth_ast_358_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_358_isExecutable);
  meth_meth_ast_358_isExecutable->definitionModule = modulename;
  meth_meth_ast_358_isExecutable->definitionLine = 202;
// method "isCall"
  struct UserObject *uo360 = (struct UserObject*)obj276;
  uo360->data[22] = emptyclosure;
  Method *meth_meth_ast_360_isCall = addmethod2pos(obj276, "isCall", &meth_ast_360_isCall, 22);
  int argcv_meth_ast_360_isCall[] = {0};
  meth_meth_ast_360_isCall->type = alloc_MethodType(1, argcv_meth_ast_360_isCall);
  meth_meth_ast_360_isCall->definitionModule = modulename;
  meth_meth_ast_360_isCall->definitionLine = 203;
// method "isComment"
  struct UserObject *uo362 = (struct UserObject*)obj276;
  uo362->data[23] = emptyclosure;
  Method *meth_meth_ast_362_isComment = addmethod2pos(obj276, "isComment", &meth_ast_362_isComment, 23);
  int argcv_meth_ast_362_isComment[] = {0};
  meth_meth_ast_362_isComment->type = alloc_MethodType(1, argcv_meth_ast_362_isComment);
  meth_meth_ast_362_isComment->definitionModule = modulename;
  meth_meth_ast_362_isComment->definitionLine = 204;
// method "isClass"
  struct UserObject *uo364 = (struct UserObject*)obj276;
  uo364->data[24] = emptyclosure;
  Method *meth_meth_ast_364_isClass = addmethod2pos(obj276, "isClass", &meth_ast_364_isClass, 24);
  int argcv_meth_ast_364_isClass[] = {0};
  meth_meth_ast_364_isClass->type = alloc_MethodType(1, argcv_meth_ast_364_isClass);
  meth_meth_ast_364_isClass->definitionModule = modulename;
  meth_meth_ast_364_isClass->definitionLine = 205;
// method "inClass"
  struct UserObject *uo366 = (struct UserObject*)obj276;
  uo366->data[25] = emptyclosure;
  Method *meth_meth_ast_366_inClass = addmethod2pos(obj276, "inClass", &meth_ast_366_inClass, 25);
  int argcv_meth_ast_366_inClass[] = {0};
  meth_meth_ast_366_inClass->type = alloc_MethodType(1, argcv_meth_ast_366_inClass);
  meth_meth_ast_366_inClass->definitionModule = modulename;
  meth_meth_ast_366_inClass->definitionLine = 206;
// method "isTrait"
  struct UserObject *uo368 = (struct UserObject*)obj276;
  uo368->data[26] = emptyclosure;
  Method *meth_meth_ast_368_isTrait = addmethod2pos(obj276, "isTrait", &meth_ast_368_isTrait, 26);
  int argcv_meth_ast_368_isTrait[] = {0};
  meth_meth_ast_368_isTrait->type = alloc_MethodType(1, argcv_meth_ast_368_isTrait);
  meth_meth_ast_368_isTrait->definitionModule = modulename;
  meth_meth_ast_368_isTrait->definitionLine = 207;
// method "inTrait"
  struct UserObject *uo370 = (struct UserObject*)obj276;
  uo370->data[27] = emptyclosure;
  Method *meth_meth_ast_370_inTrait = addmethod2pos(obj276, "inTrait", &meth_ast_370_inTrait, 27);
  int argcv_meth_ast_370_inTrait[] = {0};
  meth_meth_ast_370_inTrait->type = alloc_MethodType(1, argcv_meth_ast_370_inTrait);
  meth_meth_ast_370_inTrait->definitionModule = modulename;
  meth_meth_ast_370_inTrait->definitionLine = 208;
// method "isBind"
  struct UserObject *uo372 = (struct UserObject*)obj276;
  uo372->data[28] = emptyclosure;
  Method *meth_meth_ast_372_isBind = addmethod2pos(obj276, "isBind", &meth_ast_372_isBind, 28);
  int argcv_meth_ast_372_isBind[] = {0};
  meth_meth_ast_372_isBind->type = alloc_MethodType(1, argcv_meth_ast_372_isBind);
  meth_meth_ast_372_isBind->definitionModule = modulename;
  meth_meth_ast_372_isBind->definitionLine = 209;
// method "isReturn"
  struct UserObject *uo374 = (struct UserObject*)obj276;
  uo374->data[29] = emptyclosure;
  Method *meth_meth_ast_374_isReturn = addmethod2pos(obj276, "isReturn", &meth_ast_374_isReturn, 29);
  int argcv_meth_ast_374_isReturn[] = {0};
  meth_meth_ast_374_isReturn->type = alloc_MethodType(1, argcv_meth_ast_374_isReturn);
  meth_meth_ast_374_isReturn->definitionModule = modulename;
  meth_meth_ast_374_isReturn->definitionLine = 210;
// method "isSelf"
  struct UserObject *uo376 = (struct UserObject*)obj276;
  uo376->data[30] = emptyclosure;
  Method *meth_meth_ast_376_isSelf = addmethod2pos(obj276, "isSelf", &meth_ast_376_isSelf, 30);
  int argcv_meth_ast_376_isSelf[] = {0};
  meth_meth_ast_376_isSelf->type = alloc_MethodType(1, argcv_meth_ast_376_isSelf);
  meth_meth_ast_376_isSelf->definitionModule = modulename;
  meth_meth_ast_376_isSelf->definitionLine = 211;
// method "isSuper"
  struct UserObject *uo378 = (struct UserObject*)obj276;
  uo378->data[31] = emptyclosure;
  Method *meth_meth_ast_378_isSuper = addmethod2pos(obj276, "isSuper", &meth_ast_378_isSuper, 31);
  int argcv_meth_ast_378_isSuper[] = {0};
  meth_meth_ast_378_isSuper->type = alloc_MethodType(1, argcv_meth_ast_378_isSuper);
  meth_meth_ast_378_isSuper->definitionModule = modulename;
  meth_meth_ast_378_isSuper->definitionLine = 212;
// method "isPrelude"
  struct UserObject *uo380 = (struct UserObject*)obj276;
  uo380->data[32] = emptyclosure;
  Method *meth_meth_ast_380_isPrelude = addmethod2pos(obj276, "isPrelude", &meth_ast_380_isPrelude, 32);
  int argcv_meth_ast_380_isPrelude[] = {0};
  meth_meth_ast_380_isPrelude->type = alloc_MethodType(1, argcv_meth_ast_380_isPrelude);
  meth_meth_ast_380_isPrelude->definitionModule = modulename;
  meth_meth_ast_380_isPrelude->definitionLine = 213;
// method "isOuter"
  struct UserObject *uo382 = (struct UserObject*)obj276;
  uo382->data[33] = emptyclosure;
  Method *meth_meth_ast_382_isOuter = addmethod2pos(obj276, "isOuter", &meth_ast_382_isOuter, 33);
  int argcv_meth_ast_382_isOuter[] = {0};
  meth_meth_ast_382_isOuter->type = alloc_MethodType(1, argcv_meth_ast_382_isOuter);
  meth_meth_ast_382_isOuter->definitionModule = modulename;
  meth_meth_ast_382_isOuter->definitionLine = 214;
// method "isSelfOrOuter"
  struct UserObject *uo384 = (struct UserObject*)obj276;
  uo384->data[34] = emptyclosure;
  Method *meth_meth_ast_384_isSelfOrOuter = addmethod2pos(obj276, "isSelfOrOuter", &meth_ast_384_isSelfOrOuter, 34);
  int argcv_meth_ast_384_isSelfOrOuter[] = {0};
  meth_meth_ast_384_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_384_isSelfOrOuter);
  meth_meth_ast_384_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_384_isSelfOrOuter->definitionLine = 215;
// method "isBlock"
  struct UserObject *uo386 = (struct UserObject*)obj276;
  uo386->data[35] = emptyclosure;
  Method *meth_meth_ast_386_isBlock = addmethod2pos(obj276, "isBlock", &meth_ast_386_isBlock, 35);
  int argcv_meth_ast_386_isBlock[] = {0};
  meth_meth_ast_386_isBlock->type = alloc_MethodType(1, argcv_meth_ast_386_isBlock);
  meth_meth_ast_386_isBlock->definitionModule = modulename;
  meth_meth_ast_386_isBlock->definitionLine = 216;
// method "isObject"
  struct UserObject *uo388 = (struct UserObject*)obj276;
  uo388->data[36] = emptyclosure;
  Method *meth_meth_ast_388_isObject = addmethod2pos(obj276, "isObject", &meth_ast_388_isObject, 36);
  int argcv_meth_ast_388_isObject[] = {0};
  meth_meth_ast_388_isObject->type = alloc_MethodType(1, argcv_meth_ast_388_isObject);
  meth_meth_ast_388_isObject->definitionModule = modulename;
  meth_meth_ast_388_isObject->definitionLine = 217;
// method "isIdentifier"
  struct UserObject *uo390 = (struct UserObject*)obj276;
  uo390->data[37] = emptyclosure;
  Method *meth_meth_ast_390_isIdentifier = addmethod2pos(obj276, "isIdentifier", &meth_ast_390_isIdentifier, 37);
  int argcv_meth_ast_390_isIdentifier[] = {0};
  meth_meth_ast_390_isIdentifier->type = alloc_MethodType(1, argcv_meth_ast_390_isIdentifier);
  meth_meth_ast_390_isIdentifier->definitionModule = modulename;
  meth_meth_ast_390_isIdentifier->definitionLine = 218;
// method "isDialect"
  struct UserObject *uo392 = (struct UserObject*)obj276;
  uo392->data[38] = emptyclosure;
  Method *meth_meth_ast_392_isDialect = addmethod2pos(obj276, "isDialect", &meth_ast_392_isDialect, 38);
  int argcv_meth_ast_392_isDialect[] = {0};
  meth_meth_ast_392_isDialect->type = alloc_MethodType(1, argcv_meth_ast_392_isDialect);
  meth_meth_ast_392_isDialect->definitionModule = modulename;
  meth_meth_ast_392_isDialect->definitionLine = 219;
// method "isImport"
  struct UserObject *uo394 = (struct UserObject*)obj276;
  uo394->data[39] = emptyclosure;
  Method *meth_meth_ast_394_isImport = addmethod2pos(obj276, "isImport", &meth_ast_394_isImport, 39);
  int argcv_meth_ast_394_isImport[] = {0};
  meth_meth_ast_394_isImport->type = alloc_MethodType(1, argcv_meth_ast_394_isImport);
  meth_meth_ast_394_isImport->definitionModule = modulename;
  meth_meth_ast_394_isImport->definitionLine = 220;
// method "isTypeDec"
  struct UserObject *uo396 = (struct UserObject*)obj276;
  uo396->data[40] = emptyclosure;
  Method *meth_meth_ast_396_isTypeDec = addmethod2pos(obj276, "isTypeDec", &meth_ast_396_isTypeDec, 40);
  int argcv_meth_ast_396_isTypeDec[] = {0};
  meth_meth_ast_396_isTypeDec->type = alloc_MethodType(1, argcv_meth_ast_396_isTypeDec);
  meth_meth_ast_396_isTypeDec->definitionModule = modulename;
  meth_meth_ast_396_isTypeDec->definitionLine = 221;
// method "isExternal"
  struct UserObject *uo398 = (struct UserObject*)obj276;
  uo398->data[41] = emptyclosure;
  Method *meth_meth_ast_398_isExternal = addmethod2pos(obj276, "isExternal", &meth_ast_398_isExternal, 41);
  int argcv_meth_ast_398_isExternal[] = {0};
  meth_meth_ast_398_isExternal->type = alloc_MethodType(1, argcv_meth_ast_398_isExternal);
  meth_meth_ast_398_isExternal->definitionModule = modulename;
  meth_meth_ast_398_isExternal->definitionLine = 222;
// method "isFresh"
  struct UserObject *uo400 = (struct UserObject*)obj276;
  uo400->data[42] = emptyclosure;
  Method *meth_meth_ast_400_isFresh = addmethod2pos(obj276, "isFresh", &meth_ast_400_isFresh, 42);
  int argcv_meth_ast_400_isFresh[] = {0};
  meth_meth_ast_400_isFresh->type = alloc_MethodType(1, argcv_meth_ast_400_isFresh);
  meth_meth_ast_400_isFresh->definitionModule = modulename;
  meth_meth_ast_400_isFresh->definitionLine = 223;
// method "isConstant"
  struct UserObject *uo402 = (struct UserObject*)obj276;
  uo402->data[43] = emptyclosure;
  Method *meth_meth_ast_402_isConstant = addmethod2pos(obj276, "isConstant", &meth_ast_402_isConstant, 43);
  int argcv_meth_ast_402_isConstant[] = {0};
  meth_meth_ast_402_isConstant->type = alloc_MethodType(1, argcv_meth_ast_402_isConstant);
  meth_meth_ast_402_isConstant->definitionModule = modulename;
  meth_meth_ast_402_isConstant->definitionLine = 224;
// method "canInherit"
  struct UserObject *uo404 = (struct UserObject*)obj276;
  uo404->data[44] = emptyclosure;
  Method *meth_meth_ast_404_canInherit = addmethod2pos(obj276, "canInherit", &meth_ast_404_canInherit, 44);
  int argcv_meth_ast_404_canInherit[] = {0};
  meth_meth_ast_404_canInherit->type = alloc_MethodType(1, argcv_meth_ast_404_canInherit);
  meth_meth_ast_404_canInherit->definitionModule = modulename;
  meth_meth_ast_404_canInherit->definitionLine = 225;
// method "returnsObject"
  struct UserObject *uo406 = (struct UserObject*)obj276;
  uo406->data[45] = emptyclosure;
  Method *meth_meth_ast_406_returnsObject = addmethod2pos(obj276, "returnsObject", &meth_ast_406_returnsObject, 45);
  int argcv_meth_ast_406_returnsObject[] = {0};
  meth_meth_ast_406_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_406_returnsObject);
  meth_meth_ast_406_returnsObject->definitionModule = modulename;
  meth_meth_ast_406_returnsObject->definitionLine = 226;
// method "isImplicit"
  struct UserObject *uo408 = (struct UserObject*)obj276;
  uo408->data[46] = emptyclosure;
  Method *meth_meth_ast_408_isImplicit = addmethod2pos(obj276, "isImplicit", &meth_ast_408_isImplicit, 46);
  int argcv_meth_ast_408_isImplicit[] = {0};
  meth_meth_ast_408_isImplicit->type = alloc_MethodType(1, argcv_meth_ast_408_isImplicit);
  meth_meth_ast_408_isImplicit->definitionModule = modulename;
  meth_meth_ast_408_isImplicit->definitionLine = 227;
// method "usesAsType(_)"
  struct UserObject *uo410 = (struct UserObject*)obj276;
  uo410->data[47] = emptyclosure;
  Method *meth_meth_ast_410_usesAsType_40_1_41_ = addmethod2pos(obj276, "usesAsType(1)", &meth_ast_410_usesAsType_40_1_41_, 47);
  int argcv_meth_ast_410_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_410_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_410_usesAsType_40_1_41_);
  meth_meth_ast_410_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_410_usesAsType_40_1_41_->definitionLine = 228;
// method "hash"
  struct UserObject *uo412 = (struct UserObject*)obj276;
  uo412->data[48] = emptyclosure;
  Method *meth_meth_ast_412_hash = addmethod2pos(obj276, "hash", &meth_ast_412_hash, 48);
  int argcv_meth_ast_412_hash[] = {0};
  meth_meth_ast_412_hash->type = alloc_MethodType(1, argcv_meth_ast_412_hash);
  meth_meth_ast_412_hash->definitionModule = modulename;
  meth_meth_ast_412_hash->definitionLine = 229;
// method "asString"
  struct UserObject *uo424 = (struct UserObject*)obj276;
  uo424->data[49] = emptyclosure;
  Method *meth_meth_ast_424_asString = addmethod2pos(obj276, "asString", &meth_ast_424_asString, 49);
  int argcv_meth_ast_424_asString[] = {0};
  meth_meth_ast_424_asString->type = alloc_MethodType(1, argcv_meth_ast_424_asString);
  meth_meth_ast_424_asString->definitionModule = modulename;
  meth_meth_ast_424_asString->definitionLine = 230;
// method "nameString"
  struct UserObject *uo444 = (struct UserObject*)obj276;
  uo444->data[50] = emptyclosure;
  Method *meth_meth_ast_444_nameString = addmethod2pos(obj276, "nameString", &meth_ast_444_nameString, 50);
  int argcv_meth_ast_444_nameString[] = {0};
  meth_meth_ast_444_nameString->type = alloc_MethodType(1, argcv_meth_ast_444_nameString);
  meth_meth_ast_444_nameString->definitionModule = modulename;
  meth_meth_ast_444_nameString->definitionLine = 231;
// method "isWritable"
  struct UserObject *uo446 = (struct UserObject*)obj276;
  uo446->data[51] = emptyclosure;
  Method *meth_meth_ast_446_isWritable = addmethod2pos(obj276, "isWritable", &meth_ast_446_isWritable, 51);
  int argcv_meth_ast_446_isWritable[] = {0};
  meth_meth_ast_446_isWritable->type = alloc_MethodType(1, argcv_meth_ast_446_isWritable);
  meth_meth_ast_446_isWritable->definitionModule = modulename;
  meth_meth_ast_446_isWritable->definitionLine = 232;
// method "isReadable"
  struct UserObject *uo448 = (struct UserObject*)obj276;
  uo448->data[52] = emptyclosure;
  Method *meth_meth_ast_448_isReadable = addmethod2pos(obj276, "isReadable", &meth_ast_448_isReadable, 52);
  int argcv_meth_ast_448_isReadable[] = {0};
  meth_meth_ast_448_isReadable->type = alloc_MethodType(1, argcv_meth_ast_448_isReadable);
  meth_meth_ast_448_isReadable->definitionModule = modulename;
  meth_meth_ast_448_isReadable->definitionLine = 233;
// method "isPublic"
  struct UserObject *uo450 = (struct UserObject*)obj276;
  uo450->data[53] = emptyclosure;
  Method *meth_meth_ast_450_isPublic = addmethod2pos(obj276, "isPublic", &meth_ast_450_isPublic, 53);
  int argcv_meth_ast_450_isPublic[] = {0};
  meth_meth_ast_450_isPublic->type = alloc_MethodType(1, argcv_meth_ast_450_isPublic);
  meth_meth_ast_450_isPublic->definitionModule = modulename;
  meth_meth_ast_450_isPublic->definitionLine = 234;
// method "isConfidential"
  struct UserObject *uo452 = (struct UserObject*)obj276;
  uo452->data[54] = emptyclosure;
  Method *meth_meth_ast_452_isConfidential = addmethod2pos(obj276, "isConfidential", &meth_ast_452_isConfidential, 54);
  int argcv_meth_ast_452_isConfidential[] = {0};
  meth_meth_ast_452_isConfidential->type = alloc_MethodType(1, argcv_meth_ast_452_isConfidential);
  meth_meth_ast_452_isConfidential->definitionModule = modulename;
  meth_meth_ast_452_isConfidential->definitionLine = 235;
// method "decType"
  block_savedest(obj276);
  Object closure457 = createclosure(1, "decType");
  setclosureframe(closure457, stackframe);
  addtoclosure(closure457, var_unknownType);
  struct UserObject *uo457 = (struct UserObject*)obj276;
  uo457->data[55] = (Object)closure457;
  Method *meth_meth_ast_457_decType = addmethod2pos(obj276, "decType", &meth_ast_457_decType, 55);
  int argcv_meth_ast_457_decType[] = {0};
  meth_meth_ast_457_decType->type = alloc_MethodType(1, argcv_meth_ast_457_decType);
  meth_meth_ast_457_decType->definitionModule = modulename;
  meth_meth_ast_457_decType->definitionLine = 236;
// method "isSimple"
  struct UserObject *uo467 = (struct UserObject*)obj276;
  uo467->data[56] = emptyclosure;
  Method *meth_meth_ast_467_isSimple = addmethod2pos(obj276, "isSimple", &meth_ast_467_isSimple, 56);
  int argcv_meth_ast_467_isSimple[] = {0};
  meth_meth_ast_467_isSimple->type = alloc_MethodType(1, argcv_meth_ast_467_isSimple);
  meth_meth_ast_467_isSimple->definitionModule = modulename;
  meth_meth_ast_467_isSimple->definitionLine = 242;
// method "isDelimited"
  struct UserObject *uo469 = (struct UserObject*)obj276;
  uo469->data[57] = emptyclosure;
  Method *meth_meth_ast_469_isDelimited = addmethod2pos(obj276, "isDelimited", &meth_ast_469_isDelimited, 57);
  int argcv_meth_ast_469_isDelimited[] = {0};
  meth_meth_ast_469_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_469_isDelimited);
  meth_meth_ast_469_isDelimited->definitionModule = modulename;
  meth_meth_ast_469_isDelimited->definitionLine = 243;
// method "description"
  struct UserObject *uo471 = (struct UserObject*)obj276;
  uo471->data[58] = emptyclosure;
  Method *meth_meth_ast_471_description = addmethod2pos(obj276, "description", &meth_ast_471_description, 58);
  int argcv_meth_ast_471_description[] = {0};
  meth_meth_ast_471_description->type = alloc_MethodType(1, argcv_meth_ast_471_description);
  meth_meth_ast_471_description->definitionModule = modulename;
  meth_meth_ast_471_description->definitionLine = 244;
// method "accept(_)"
  block_savedest(obj276);
  Object closure474 = createclosure(1, "accept(1)");
  setclosureframe(closure474, stackframe);
  addtoclosure(closure474, var_ancestorChain);
  struct UserObject *uo474 = (struct UserObject*)obj276;
  uo474->data[59] = (Object)closure474;
  Method *meth_meth_ast_474_accept_40_1_41_ = addmethod2pos(obj276, "accept(1)", &meth_ast_474_accept_40_1_41_, 59);
  int argcv_meth_ast_474_accept_40_1_41_[] = {1};
  meth_meth_ast_474_accept_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_474_accept_40_1_41_);
  meth_meth_ast_474_accept_40_1_41_->definitionModule = modulename;
  meth_meth_ast_474_accept_40_1_41_->definitionLine = 245;
// method "scope"
  struct UserObject *uo479 = (struct UserObject*)obj276;
  uo479->data[60] = emptyclosure;
  Method *meth_meth_ast_479_scope = addmethod2pos(obj276, "scope", &meth_ast_479_scope, 60);
  int argcv_meth_ast_479_scope[] = {0};
  meth_meth_ast_479_scope->type = alloc_MethodType(1, argcv_meth_ast_479_scope);
  meth_meth_ast_479_scope->definitionModule = modulename;
  meth_meth_ast_479_scope->definitionLine = 248;
// method "scope:=(_)"
  struct UserObject *uo482 = (struct UserObject*)obj276;
  uo482->data[61] = emptyclosure;
  Method *meth_meth_ast_482_scope_58__61__40_1_41_ = addmethod2pos(obj276, "scope:=(1)", &meth_ast_482_scope_58__61__40_1_41_, 61);
  int argcv_meth_ast_482_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_482_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_482_scope_58__61__40_1_41_);
  meth_meth_ast_482_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_482_scope_58__61__40_1_41_->definitionLine = 250;
// method "setScope(_)"
  struct UserObject *uo485 = (struct UserObject*)obj276;
  uo485->data[62] = emptyclosure;
  Method *meth_meth_ast_485_setScope_40_1_41_ = addmethod2pos(obj276, "setScope(1)", &meth_ast_485_setScope_40_1_41_, 62);
  int argcv_meth_ast_485_setScope_40_1_41_[] = {1};
  meth_meth_ast_485_setScope_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_485_setScope_40_1_41_);
  meth_meth_ast_485_setScope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_485_setScope_40_1_41_->definitionLine = 256;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo488 = (struct UserObject*)obj276;
  uo488->data[63] = emptyclosure;
  Method *meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_ = addmethod2pos(obj276, "shallowCopyFieldsFrom(1)", &meth_ast_488_shallowCopyFieldsFrom_40_1_41_, 63);
  int argcv_meth_ast_488_shallowCopyFieldsFrom_40_1_41_[] = {1};
  meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_488_shallowCopyFieldsFrom_40_1_41_);
  meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_->definitionModule = modulename;
  meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_->definitionLine = 261;
// method "postCopy(_)"
  struct UserObject *uo507 = (struct UserObject*)obj276;
  uo507->data[64] = emptyclosure;
  Method *meth_meth_ast_507_postCopy_40_1_41_ = addmethod2pos(obj276, "postCopy(1)", &meth_ast_507_postCopy_40_1_41_, 64);
  int argcv_meth_ast_507_postCopy_40_1_41_[] = {1};
  meth_meth_ast_507_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_507_postCopy_40_1_41_);
  meth_meth_ast_507_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_507_postCopy_40_1_41_->definitionLine = 269;
// method "prettyPrefix(_)"
  block_savedest(obj276);
  Object closure508 = createclosure(1, "prettyPrefix(1)");
  setclosureframe(closure508, stackframe);
  addtoclosure(closure508, var_util);
  struct UserObject *uo508 = (struct UserObject*)obj276;
  uo508->data[65] = (Object)closure508;
  Method *meth_meth_ast_508_prettyPrefix_40_1_41_ = addmethod2pos(obj276, "prettyPrefix(1)", &meth_ast_508_prettyPrefix_40_1_41_, 65);
  int argcv_meth_ast_508_prettyPrefix_40_1_41_[] = {1};
  meth_meth_ast_508_prettyPrefix_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_508_prettyPrefix_40_1_41_);
  meth_meth_ast_508_prettyPrefix_40_1_41_->definitionModule = modulename;
  meth_meth_ast_508_prettyPrefix_40_1_41_->definitionLine = 273;
// method "basePretty(_)"
  struct UserObject *uo652 = (struct UserObject*)obj276;
  uo652->data[66] = emptyclosure;
  Method *meth_meth_ast_652_basePretty_40_1_41_ = addmethod2pos(obj276, "basePretty(1)", &meth_ast_652_basePretty_40_1_41_, 66);
  int argcv_meth_ast_652_basePretty_40_1_41_[] = {1};
  meth_meth_ast_652_basePretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_652_basePretty_40_1_41_);
  meth_meth_ast_652_basePretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_652_basePretty_40_1_41_->definitionLine = 283;
// method "pretty(_)"
  struct UserObject *uo655 = (struct UserObject*)obj276;
  uo655->data[67] = emptyclosure;
  Method *meth_meth_ast_655_pretty_40_1_41_ = addmethod2pos(obj276, "pretty(1)", &meth_ast_655_pretty_40_1_41_, 67);
  int argcv_meth_ast_655_pretty_40_1_41_[] = {1};
  meth_meth_ast_655_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_655_pretty_40_1_41_);
  meth_meth_ast_655_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_655_pretty_40_1_41_->definitionLine = 284;
// method "deepCopy"
  block_savedest(obj276);
  Object closure658 = createclosure(1, "deepCopy");
  setclosureframe(closure658, stackframe);
  addtoclosure(closure658, var_ancestorChain);
  struct UserObject *uo658 = (struct UserObject*)obj276;
  uo658->data[68] = (Object)closure658;
  Method *meth_meth_ast_658_deepCopy = addmethod2pos(obj276, "deepCopy", &meth_ast_658_deepCopy, 68);
  int argcv_meth_ast_658_deepCopy[] = {0};
  meth_meth_ast_658_deepCopy->type = alloc_MethodType(1, argcv_meth_ast_658_deepCopy);
  meth_meth_ast_658_deepCopy->definitionModule = modulename;
  meth_meth_ast_658_deepCopy->definitionLine = 285;
// method "enclosingObject"
  struct UserObject *uo666 = (struct UserObject*)obj276;
  uo666->data[69] = emptyclosure;
  Method *meth_meth_ast_666_enclosingObject = addmethod2pos(obj276, "enclosingObject", &meth_ast_666_enclosingObject, 69);
  int argcv_meth_ast_666_enclosingObject[] = {0};
  meth_meth_ast_666_enclosingObject->type = alloc_MethodType(1, argcv_meth_ast_666_enclosingObject);
  meth_meth_ast_666_enclosingObject->definitionModule = modulename;
  meth_meth_ast_666_enclosingObject->definitionLine = 288;
// method "addComment(_)"
  struct UserObject *uo673 = (struct UserObject*)obj276;
  uo673->data[70] = emptyclosure;
  Method *meth_meth_ast_673_addComment_40_1_41_ = addmethod2pos(obj276, "addComment(1)", &meth_ast_673_addComment_40_1_41_, 70);
  int argcv_meth_ast_673_addComment_40_1_41_[] = {1};
  meth_meth_ast_673_addComment_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_673_addComment_40_1_41_);
  meth_meth_ast_673_addComment_40_1_41_->definitionModule = modulename;
  meth_meth_ast_673_addComment_40_1_41_->definitionLine = 292;
// method "addComments(_)"
  struct UserObject *uo687 = (struct UserObject*)obj276;
  uo687->data[71] = emptyclosure;
  Method *meth_meth_ast_687_addComments_40_1_41_ = addmethod2pos(obj276, "addComments(1)", &meth_ast_687_addComments_40_1_41_, 71);
  int argcv_meth_ast_687_addComments_40_1_41_[] = {1};
  meth_meth_ast_687_addComments_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_687_addComments_40_1_41_);
  meth_meth_ast_687_addComments_40_1_41_->definitionModule = modulename;
  meth_meth_ast_687_addComments_40_1_41_->definitionLine = 299;
// method "statementName"
  struct UserObject *uo695 = (struct UserObject*)obj276;
  uo695->data[72] = emptyclosure;
  Method *meth_meth_ast_695_statementName = addmethod2pos(obj276, "statementName", &meth_ast_695_statementName, 72);
  int argcv_meth_ast_695_statementName[] = {0};
  meth_meth_ast_695_statementName->type = alloc_MethodType(1, argcv_meth_ast_695_statementName);
  meth_meth_ast_695_statementName->definitionModule = modulename;
  meth_meth_ast_695_statementName->definitionLine = 302;
  sourceObject = obj276;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit698 == NULL) {
    strlit698 = alloc_String("");
    gc_root(strlit698);
  }
// compiled string node returning strlit698 (depth = 2)
  adddatum2(obj276, strlit698, 1);
  sourceObject = obj276;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe699 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call700 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe699);
// compiled member node returning call700 (depth = 2)
  adddatum2(obj276, call700, 2);
  sourceObject = obj276;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe701 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call702 = callmethodflags(*var_util, "linepos", 0, partcv, params, 0);
  gc_frame_end(callframe701);
// compiled member node returning call702 (depth = 2)
  adddatum2(obj276, call702, 3);
  sourceObject = obj276;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_fakeSymbolTable (depth = 2)
  adddatum2(obj276, *var_fakeSymbolTable, 4);
  sourceObject = obj276;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool703 = alloc_Boolean(0);
// compiled identifier node returning bool703 (depth = 2)
  adddatum2(obj276, bool703, 5);
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  objclass276 = obj276->class;
  objclass276->definitionModule = modulename;
  objclass276->definitionLine = 167;
  (*(struct UserObject *)self).data[0] = lowerouter276;
  self = oldself276;
  selfslot = oldselfslot276;
  stackframe = oldstackframe276;
  gc_frame_end(frame);
  return obj276;
}
Object meth_ast_275_baseNode_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_fakeSymbolTable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject276 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj276 = alloc_userobj2(77,73, objclass276);
  gc_frame_newslot(obj276);
  if (objclass276 == NULL) {
    glfree(obj276->class->name);
    obj276->class->name = "baseNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj276, self, 0);
  addmethodreal(obj276,"outer", &reader_ast_outer_277);
  Object oldself276 = self;
  struct StackFrameObject *oldstackframe276 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe276);
  gc_frame_newslot((Object)stackframe);
  self = obj276;
  Object *oldselfslot276 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter276 = (*(struct UserObject *)self).data[0], lowerouter276 = thisouter276;
  if (inheritingObject276) {
    struct UserObject *inho276 = (struct UserObject *)inheritingObject276;
    while (inho276->super != GraceDefaultObject) inho276 = (struct UserObject *)inho276->super;
    inho276->super = obj276;
    self = inheritingObject276;
    *selfslot = self;
    lowerouter276 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter276;
  }
  if (objclass276 == NULL) {
    Method *reader278 = addmethodrealflags(obj276, "register", &reader_ast_register_278, 0);
    Method *writer278 = addmethodrealflags(obj276, "register:=(1)", &writer_ast_register_278, 0);
    reader278->definitionModule = modulename;
    writer278->definitionModule = modulename;
    reader278->definitionLine = 169;
    writer278->definitionLine = 169;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 1);
  if (objclass276 == NULL) {
    Method *reader279 = addmethodrealflags(obj276, "line", &reader_ast_line_279, 0);
    Method *writer279 = addmethodrealflags(obj276, "line:=(1)", &writer_ast_line_279, 0);
    reader279->definitionModule = modulename;
    writer279->definitionModule = modulename;
    reader279->definitionLine = 170;
    writer279->definitionLine = 170;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 2);
  if (objclass276 == NULL) {
    Method *reader280 = addmethodrealflags(obj276, "linePos", &reader_ast_linePos_280, 0);
    Method *writer280 = addmethodrealflags(obj276, "linePos:=(1)", &writer_ast_linePos_280, 0);
    reader280->definitionModule = modulename;
    writer280->definitionModule = modulename;
    reader280->definitionLine = 171;
    writer280->definitionLine = 171;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 3);
  if (objclass276 == NULL) {
    Method *reader281 = addmethodrealflags(obj276, "symbolTable", &reader_ast_symbolTable_281, MFLAG_CONFIDENTIAL);
    Method *writer281 = addmethodrealflags(obj276, "symbolTable:=(1)", &writer_ast_symbolTable_281, MFLAG_CONFIDENTIAL);
    reader281->definitionModule = modulename;
    writer281->definitionModule = modulename;
    reader281->definitionLine = 172;
    writer281->definitionLine = 172;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 4);
  if (objclass276 == NULL) {
    Method *reader282 = addmethodrealflags(obj276, "comments", &reader_ast_comments_282, 0);
    Method *writer282 = addmethodrealflags(obj276, "comments:=(1)", &writer_ast_comments_282, 0);
    reader282->definitionModule = modulename;
    writer282->definitionModule = modulename;
    reader282->definitionLine = 173;
    writer282->definitionLine = 173;
  }
  obj276->flags |= OFLAG_MUTABLE;
  adddatum2(obj276, alloc_Undefined(), 5);
// method "setLine(_)col(_)"
  struct UserObject *uo283 = (struct UserObject*)obj276;
  uo283->data[6] = emptyclosure;
  Method *meth_meth_ast_283_setLine_40_1_41_col_40_1_41_ = addmethod2pos(obj276, "setLine(1)col(1)", &meth_ast_283_setLine_40_1_41_col_40_1_41_, 6);
  int argcv_meth_ast_283_setLine_40_1_41_col_40_1_41_[] = {1, 1};
  meth_meth_ast_283_setLine_40_1_41_col_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_283_setLine_40_1_41_col_40_1_41_);
  meth_meth_ast_283_setLine_40_1_41_col_40_1_41_->definitionModule = modulename;
  meth_meth_ast_283_setLine_40_1_41_col_40_1_41_->definitionLine = 175;
// method "setPositionFrom(_)"
  struct UserObject *uo288 = (struct UserObject*)obj276;
  uo288->data[7] = emptyclosure;
  Method *meth_meth_ast_288_setPositionFrom_40_1_41_ = addmethod2pos(obj276, "setPositionFrom(1)", &meth_ast_288_setPositionFrom_40_1_41_, 7);
  int argcv_meth_ast_288_setPositionFrom_40_1_41_[] = {1};
  meth_meth_ast_288_setPositionFrom_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_288_setPositionFrom_40_1_41_);
  meth_meth_ast_288_setPositionFrom_40_1_41_->definitionModule = modulename;
  meth_meth_ast_288_setPositionFrom_40_1_41_->definitionLine = 180;
// method "setStart(_)"
  struct UserObject *uo297 = (struct UserObject*)obj276;
  uo297->data[8] = emptyclosure;
  Method *meth_meth_ast_297_setStart_40_1_41_ = addmethod2pos(obj276, "setStart(1)", &meth_ast_297_setStart_40_1_41_, 8);
  int argcv_meth_ast_297_setStart_40_1_41_[] = {1};
  meth_meth_ast_297_setStart_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_297_setStart_40_1_41_);
  meth_meth_ast_297_setStart_40_1_41_->definitionModule = modulename;
  meth_meth_ast_297_setStart_40_1_41_->definitionLine = 185;
// method "start"
  struct UserObject *uo306 = (struct UserObject*)obj276;
  uo306->data[9] = emptyclosure;
  Method *meth_meth_ast_306_start = addmethod2pos(obj276, "start", &meth_ast_306_start, 9);
  int argcv_meth_ast_306_start[] = {0};
  meth_meth_ast_306_start->type = alloc_MethodType(1, argcv_meth_ast_306_start);
  meth_meth_ast_306_start->definitionModule = modulename;
  meth_meth_ast_306_start->definitionLine = 190;
// method "end"
  struct UserObject *uo313 = (struct UserObject*)obj276;
  uo313->data[10] = emptyclosure;
  Method *meth_meth_ast_313_end = addmethod2pos(obj276, "end", &meth_ast_313_end, 10);
  int argcv_meth_ast_313_end[] = {0};
  meth_meth_ast_313_end->type = alloc_MethodType(1, argcv_meth_ast_313_end);
  meth_meth_ast_313_end->definitionModule = modulename;
  meth_meth_ast_313_end->definitionLine = 191;
// method "range"
  struct UserObject *uo331 = (struct UserObject*)obj276;
  uo331->data[11] = emptyclosure;
  Method *meth_meth_ast_331_range = addmethod2pos(obj276, "range", &meth_ast_331_range, 11);
  int argcv_meth_ast_331_range[] = {0};
  meth_meth_ast_331_range->type = alloc_MethodType(1, argcv_meth_ast_331_range);
  meth_meth_ast_331_range->definitionModule = modulename;
  meth_meth_ast_331_range->definitionLine = 192;
// method "kind"
  struct UserObject *uo338 = (struct UserObject*)obj276;
  uo338->data[12] = emptyclosure;
  Method *meth_meth_ast_338_kind = addmethod2pos(obj276, "kind", &meth_ast_338_kind, 12);
  int argcv_meth_ast_338_kind[] = {0};
  meth_meth_ast_338_kind->type = alloc_MethodType(1, argcv_meth_ast_338_kind);
  meth_meth_ast_338_kind->definitionModule = modulename;
  meth_meth_ast_338_kind->definitionLine = 193;
// method "==(_)"
  struct UserObject *uo341 = (struct UserObject*)obj276;
  uo341->data[13] = emptyclosure;
  Method *meth_meth_ast_341__61__61__40_1_41_ = addmethod2pos(obj276, "==(1)", &meth_ast_341__61__61__40_1_41_, 13);
  int argcv_meth_ast_341__61__61__40_1_41_[] = {1};
  meth_meth_ast_341__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_341__61__61__40_1_41_);
  meth_meth_ast_341__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_341__61__61__40_1_41_->definitionLine = 194;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo344 = (struct UserObject*)obj276;
  uo344->data[14] = emptyclosure;
  Method *meth_meth_ast_344_isAppliedOccurenceOfIdentifier = addmethod2pos(obj276, "isAppliedOccurenceOfIdentifier", &meth_ast_344_isAppliedOccurenceOfIdentifier, 14);
  int argcv_meth_ast_344_isAppliedOccurenceOfIdentifier[] = {0};
  meth_meth_ast_344_isAppliedOccurenceOfIdentifier->type = alloc_MethodType(1, argcv_meth_ast_344_isAppliedOccurenceOfIdentifier);
  meth_meth_ast_344_isAppliedOccurenceOfIdentifier->definitionModule = modulename;
  meth_meth_ast_344_isAppliedOccurenceOfIdentifier->definitionLine = 195;
// method "isMatchingBlock"
  struct UserObject *uo346 = (struct UserObject*)obj276;
  uo346->data[15] = emptyclosure;
  Method *meth_meth_ast_346_isMatchingBlock = addmethod2pos(obj276, "isMatchingBlock", &meth_ast_346_isMatchingBlock, 15);
  int argcv_meth_ast_346_isMatchingBlock[] = {0};
  meth_meth_ast_346_isMatchingBlock->type = alloc_MethodType(1, argcv_meth_ast_346_isMatchingBlock);
  meth_meth_ast_346_isMatchingBlock->definitionModule = modulename;
  meth_meth_ast_346_isMatchingBlock->definitionLine = 196;
// method "isFieldDec"
  struct UserObject *uo348 = (struct UserObject*)obj276;
  uo348->data[16] = emptyclosure;
  Method *meth_meth_ast_348_isFieldDec = addmethod2pos(obj276, "isFieldDec", &meth_ast_348_isFieldDec, 16);
  int argcv_meth_ast_348_isFieldDec[] = {0};
  meth_meth_ast_348_isFieldDec->type = alloc_MethodType(1, argcv_meth_ast_348_isFieldDec);
  meth_meth_ast_348_isFieldDec->definitionModule = modulename;
  meth_meth_ast_348_isFieldDec->definitionLine = 197;
// method "isInherits"
  struct UserObject *uo350 = (struct UserObject*)obj276;
  uo350->data[17] = emptyclosure;
  Method *meth_meth_ast_350_isInherits = addmethod2pos(obj276, "isInherits", &meth_ast_350_isInherits, 17);
  int argcv_meth_ast_350_isInherits[] = {0};
  meth_meth_ast_350_isInherits->type = alloc_MethodType(1, argcv_meth_ast_350_isInherits);
  meth_meth_ast_350_isInherits->definitionModule = modulename;
  meth_meth_ast_350_isInherits->definitionLine = 198;
// method "isLegalInTrait"
  struct UserObject *uo352 = (struct UserObject*)obj276;
  uo352->data[18] = emptyclosure;
  Method *meth_meth_ast_352_isLegalInTrait = addmethod2pos(obj276, "isLegalInTrait", &meth_ast_352_isLegalInTrait, 18);
  int argcv_meth_ast_352_isLegalInTrait[] = {0};
  meth_meth_ast_352_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_352_isLegalInTrait);
  meth_meth_ast_352_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_352_isLegalInTrait->definitionLine = 199;
// method "isMember"
  struct UserObject *uo354 = (struct UserObject*)obj276;
  uo354->data[19] = emptyclosure;
  Method *meth_meth_ast_354_isMember = addmethod2pos(obj276, "isMember", &meth_ast_354_isMember, 19);
  int argcv_meth_ast_354_isMember[] = {0};
  meth_meth_ast_354_isMember->type = alloc_MethodType(1, argcv_meth_ast_354_isMember);
  meth_meth_ast_354_isMember->definitionModule = modulename;
  meth_meth_ast_354_isMember->definitionLine = 200;
// method "isMethod"
  struct UserObject *uo356 = (struct UserObject*)obj276;
  uo356->data[20] = emptyclosure;
  Method *meth_meth_ast_356_isMethod = addmethod2pos(obj276, "isMethod", &meth_ast_356_isMethod, 20);
  int argcv_meth_ast_356_isMethod[] = {0};
  meth_meth_ast_356_isMethod->type = alloc_MethodType(1, argcv_meth_ast_356_isMethod);
  meth_meth_ast_356_isMethod->definitionModule = modulename;
  meth_meth_ast_356_isMethod->definitionLine = 201;
// method "isExecutable"
  struct UserObject *uo358 = (struct UserObject*)obj276;
  uo358->data[21] = emptyclosure;
  Method *meth_meth_ast_358_isExecutable = addmethod2pos(obj276, "isExecutable", &meth_ast_358_isExecutable, 21);
  int argcv_meth_ast_358_isExecutable[] = {0};
  meth_meth_ast_358_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_358_isExecutable);
  meth_meth_ast_358_isExecutable->definitionModule = modulename;
  meth_meth_ast_358_isExecutable->definitionLine = 202;
// method "isCall"
  struct UserObject *uo360 = (struct UserObject*)obj276;
  uo360->data[22] = emptyclosure;
  Method *meth_meth_ast_360_isCall = addmethod2pos(obj276, "isCall", &meth_ast_360_isCall, 22);
  int argcv_meth_ast_360_isCall[] = {0};
  meth_meth_ast_360_isCall->type = alloc_MethodType(1, argcv_meth_ast_360_isCall);
  meth_meth_ast_360_isCall->definitionModule = modulename;
  meth_meth_ast_360_isCall->definitionLine = 203;
// method "isComment"
  struct UserObject *uo362 = (struct UserObject*)obj276;
  uo362->data[23] = emptyclosure;
  Method *meth_meth_ast_362_isComment = addmethod2pos(obj276, "isComment", &meth_ast_362_isComment, 23);
  int argcv_meth_ast_362_isComment[] = {0};
  meth_meth_ast_362_isComment->type = alloc_MethodType(1, argcv_meth_ast_362_isComment);
  meth_meth_ast_362_isComment->definitionModule = modulename;
  meth_meth_ast_362_isComment->definitionLine = 204;
// method "isClass"
  struct UserObject *uo364 = (struct UserObject*)obj276;
  uo364->data[24] = emptyclosure;
  Method *meth_meth_ast_364_isClass = addmethod2pos(obj276, "isClass", &meth_ast_364_isClass, 24);
  int argcv_meth_ast_364_isClass[] = {0};
  meth_meth_ast_364_isClass->type = alloc_MethodType(1, argcv_meth_ast_364_isClass);
  meth_meth_ast_364_isClass->definitionModule = modulename;
  meth_meth_ast_364_isClass->definitionLine = 205;
// method "inClass"
  struct UserObject *uo366 = (struct UserObject*)obj276;
  uo366->data[25] = emptyclosure;
  Method *meth_meth_ast_366_inClass = addmethod2pos(obj276, "inClass", &meth_ast_366_inClass, 25);
  int argcv_meth_ast_366_inClass[] = {0};
  meth_meth_ast_366_inClass->type = alloc_MethodType(1, argcv_meth_ast_366_inClass);
  meth_meth_ast_366_inClass->definitionModule = modulename;
  meth_meth_ast_366_inClass->definitionLine = 206;
// method "isTrait"
  struct UserObject *uo368 = (struct UserObject*)obj276;
  uo368->data[26] = emptyclosure;
  Method *meth_meth_ast_368_isTrait = addmethod2pos(obj276, "isTrait", &meth_ast_368_isTrait, 26);
  int argcv_meth_ast_368_isTrait[] = {0};
  meth_meth_ast_368_isTrait->type = alloc_MethodType(1, argcv_meth_ast_368_isTrait);
  meth_meth_ast_368_isTrait->definitionModule = modulename;
  meth_meth_ast_368_isTrait->definitionLine = 207;
// method "inTrait"
  struct UserObject *uo370 = (struct UserObject*)obj276;
  uo370->data[27] = emptyclosure;
  Method *meth_meth_ast_370_inTrait = addmethod2pos(obj276, "inTrait", &meth_ast_370_inTrait, 27);
  int argcv_meth_ast_370_inTrait[] = {0};
  meth_meth_ast_370_inTrait->type = alloc_MethodType(1, argcv_meth_ast_370_inTrait);
  meth_meth_ast_370_inTrait->definitionModule = modulename;
  meth_meth_ast_370_inTrait->definitionLine = 208;
// method "isBind"
  struct UserObject *uo372 = (struct UserObject*)obj276;
  uo372->data[28] = emptyclosure;
  Method *meth_meth_ast_372_isBind = addmethod2pos(obj276, "isBind", &meth_ast_372_isBind, 28);
  int argcv_meth_ast_372_isBind[] = {0};
  meth_meth_ast_372_isBind->type = alloc_MethodType(1, argcv_meth_ast_372_isBind);
  meth_meth_ast_372_isBind->definitionModule = modulename;
  meth_meth_ast_372_isBind->definitionLine = 209;
// method "isReturn"
  struct UserObject *uo374 = (struct UserObject*)obj276;
  uo374->data[29] = emptyclosure;
  Method *meth_meth_ast_374_isReturn = addmethod2pos(obj276, "isReturn", &meth_ast_374_isReturn, 29);
  int argcv_meth_ast_374_isReturn[] = {0};
  meth_meth_ast_374_isReturn->type = alloc_MethodType(1, argcv_meth_ast_374_isReturn);
  meth_meth_ast_374_isReturn->definitionModule = modulename;
  meth_meth_ast_374_isReturn->definitionLine = 210;
// method "isSelf"
  struct UserObject *uo376 = (struct UserObject*)obj276;
  uo376->data[30] = emptyclosure;
  Method *meth_meth_ast_376_isSelf = addmethod2pos(obj276, "isSelf", &meth_ast_376_isSelf, 30);
  int argcv_meth_ast_376_isSelf[] = {0};
  meth_meth_ast_376_isSelf->type = alloc_MethodType(1, argcv_meth_ast_376_isSelf);
  meth_meth_ast_376_isSelf->definitionModule = modulename;
  meth_meth_ast_376_isSelf->definitionLine = 211;
// method "isSuper"
  struct UserObject *uo378 = (struct UserObject*)obj276;
  uo378->data[31] = emptyclosure;
  Method *meth_meth_ast_378_isSuper = addmethod2pos(obj276, "isSuper", &meth_ast_378_isSuper, 31);
  int argcv_meth_ast_378_isSuper[] = {0};
  meth_meth_ast_378_isSuper->type = alloc_MethodType(1, argcv_meth_ast_378_isSuper);
  meth_meth_ast_378_isSuper->definitionModule = modulename;
  meth_meth_ast_378_isSuper->definitionLine = 212;
// method "isPrelude"
  struct UserObject *uo380 = (struct UserObject*)obj276;
  uo380->data[32] = emptyclosure;
  Method *meth_meth_ast_380_isPrelude = addmethod2pos(obj276, "isPrelude", &meth_ast_380_isPrelude, 32);
  int argcv_meth_ast_380_isPrelude[] = {0};
  meth_meth_ast_380_isPrelude->type = alloc_MethodType(1, argcv_meth_ast_380_isPrelude);
  meth_meth_ast_380_isPrelude->definitionModule = modulename;
  meth_meth_ast_380_isPrelude->definitionLine = 213;
// method "isOuter"
  struct UserObject *uo382 = (struct UserObject*)obj276;
  uo382->data[33] = emptyclosure;
  Method *meth_meth_ast_382_isOuter = addmethod2pos(obj276, "isOuter", &meth_ast_382_isOuter, 33);
  int argcv_meth_ast_382_isOuter[] = {0};
  meth_meth_ast_382_isOuter->type = alloc_MethodType(1, argcv_meth_ast_382_isOuter);
  meth_meth_ast_382_isOuter->definitionModule = modulename;
  meth_meth_ast_382_isOuter->definitionLine = 214;
// method "isSelfOrOuter"
  struct UserObject *uo384 = (struct UserObject*)obj276;
  uo384->data[34] = emptyclosure;
  Method *meth_meth_ast_384_isSelfOrOuter = addmethod2pos(obj276, "isSelfOrOuter", &meth_ast_384_isSelfOrOuter, 34);
  int argcv_meth_ast_384_isSelfOrOuter[] = {0};
  meth_meth_ast_384_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_384_isSelfOrOuter);
  meth_meth_ast_384_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_384_isSelfOrOuter->definitionLine = 215;
// method "isBlock"
  struct UserObject *uo386 = (struct UserObject*)obj276;
  uo386->data[35] = emptyclosure;
  Method *meth_meth_ast_386_isBlock = addmethod2pos(obj276, "isBlock", &meth_ast_386_isBlock, 35);
  int argcv_meth_ast_386_isBlock[] = {0};
  meth_meth_ast_386_isBlock->type = alloc_MethodType(1, argcv_meth_ast_386_isBlock);
  meth_meth_ast_386_isBlock->definitionModule = modulename;
  meth_meth_ast_386_isBlock->definitionLine = 216;
// method "isObject"
  struct UserObject *uo388 = (struct UserObject*)obj276;
  uo388->data[36] = emptyclosure;
  Method *meth_meth_ast_388_isObject = addmethod2pos(obj276, "isObject", &meth_ast_388_isObject, 36);
  int argcv_meth_ast_388_isObject[] = {0};
  meth_meth_ast_388_isObject->type = alloc_MethodType(1, argcv_meth_ast_388_isObject);
  meth_meth_ast_388_isObject->definitionModule = modulename;
  meth_meth_ast_388_isObject->definitionLine = 217;
// method "isIdentifier"
  struct UserObject *uo390 = (struct UserObject*)obj276;
  uo390->data[37] = emptyclosure;
  Method *meth_meth_ast_390_isIdentifier = addmethod2pos(obj276, "isIdentifier", &meth_ast_390_isIdentifier, 37);
  int argcv_meth_ast_390_isIdentifier[] = {0};
  meth_meth_ast_390_isIdentifier->type = alloc_MethodType(1, argcv_meth_ast_390_isIdentifier);
  meth_meth_ast_390_isIdentifier->definitionModule = modulename;
  meth_meth_ast_390_isIdentifier->definitionLine = 218;
// method "isDialect"
  struct UserObject *uo392 = (struct UserObject*)obj276;
  uo392->data[38] = emptyclosure;
  Method *meth_meth_ast_392_isDialect = addmethod2pos(obj276, "isDialect", &meth_ast_392_isDialect, 38);
  int argcv_meth_ast_392_isDialect[] = {0};
  meth_meth_ast_392_isDialect->type = alloc_MethodType(1, argcv_meth_ast_392_isDialect);
  meth_meth_ast_392_isDialect->definitionModule = modulename;
  meth_meth_ast_392_isDialect->definitionLine = 219;
// method "isImport"
  struct UserObject *uo394 = (struct UserObject*)obj276;
  uo394->data[39] = emptyclosure;
  Method *meth_meth_ast_394_isImport = addmethod2pos(obj276, "isImport", &meth_ast_394_isImport, 39);
  int argcv_meth_ast_394_isImport[] = {0};
  meth_meth_ast_394_isImport->type = alloc_MethodType(1, argcv_meth_ast_394_isImport);
  meth_meth_ast_394_isImport->definitionModule = modulename;
  meth_meth_ast_394_isImport->definitionLine = 220;
// method "isTypeDec"
  struct UserObject *uo396 = (struct UserObject*)obj276;
  uo396->data[40] = emptyclosure;
  Method *meth_meth_ast_396_isTypeDec = addmethod2pos(obj276, "isTypeDec", &meth_ast_396_isTypeDec, 40);
  int argcv_meth_ast_396_isTypeDec[] = {0};
  meth_meth_ast_396_isTypeDec->type = alloc_MethodType(1, argcv_meth_ast_396_isTypeDec);
  meth_meth_ast_396_isTypeDec->definitionModule = modulename;
  meth_meth_ast_396_isTypeDec->definitionLine = 221;
// method "isExternal"
  struct UserObject *uo398 = (struct UserObject*)obj276;
  uo398->data[41] = emptyclosure;
  Method *meth_meth_ast_398_isExternal = addmethod2pos(obj276, "isExternal", &meth_ast_398_isExternal, 41);
  int argcv_meth_ast_398_isExternal[] = {0};
  meth_meth_ast_398_isExternal->type = alloc_MethodType(1, argcv_meth_ast_398_isExternal);
  meth_meth_ast_398_isExternal->definitionModule = modulename;
  meth_meth_ast_398_isExternal->definitionLine = 222;
// method "isFresh"
  struct UserObject *uo400 = (struct UserObject*)obj276;
  uo400->data[42] = emptyclosure;
  Method *meth_meth_ast_400_isFresh = addmethod2pos(obj276, "isFresh", &meth_ast_400_isFresh, 42);
  int argcv_meth_ast_400_isFresh[] = {0};
  meth_meth_ast_400_isFresh->type = alloc_MethodType(1, argcv_meth_ast_400_isFresh);
  meth_meth_ast_400_isFresh->definitionModule = modulename;
  meth_meth_ast_400_isFresh->definitionLine = 223;
// method "isConstant"
  struct UserObject *uo402 = (struct UserObject*)obj276;
  uo402->data[43] = emptyclosure;
  Method *meth_meth_ast_402_isConstant = addmethod2pos(obj276, "isConstant", &meth_ast_402_isConstant, 43);
  int argcv_meth_ast_402_isConstant[] = {0};
  meth_meth_ast_402_isConstant->type = alloc_MethodType(1, argcv_meth_ast_402_isConstant);
  meth_meth_ast_402_isConstant->definitionModule = modulename;
  meth_meth_ast_402_isConstant->definitionLine = 224;
// method "canInherit"
  struct UserObject *uo404 = (struct UserObject*)obj276;
  uo404->data[44] = emptyclosure;
  Method *meth_meth_ast_404_canInherit = addmethod2pos(obj276, "canInherit", &meth_ast_404_canInherit, 44);
  int argcv_meth_ast_404_canInherit[] = {0};
  meth_meth_ast_404_canInherit->type = alloc_MethodType(1, argcv_meth_ast_404_canInherit);
  meth_meth_ast_404_canInherit->definitionModule = modulename;
  meth_meth_ast_404_canInherit->definitionLine = 225;
// method "returnsObject"
  struct UserObject *uo406 = (struct UserObject*)obj276;
  uo406->data[45] = emptyclosure;
  Method *meth_meth_ast_406_returnsObject = addmethod2pos(obj276, "returnsObject", &meth_ast_406_returnsObject, 45);
  int argcv_meth_ast_406_returnsObject[] = {0};
  meth_meth_ast_406_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_406_returnsObject);
  meth_meth_ast_406_returnsObject->definitionModule = modulename;
  meth_meth_ast_406_returnsObject->definitionLine = 226;
// method "isImplicit"
  struct UserObject *uo408 = (struct UserObject*)obj276;
  uo408->data[46] = emptyclosure;
  Method *meth_meth_ast_408_isImplicit = addmethod2pos(obj276, "isImplicit", &meth_ast_408_isImplicit, 46);
  int argcv_meth_ast_408_isImplicit[] = {0};
  meth_meth_ast_408_isImplicit->type = alloc_MethodType(1, argcv_meth_ast_408_isImplicit);
  meth_meth_ast_408_isImplicit->definitionModule = modulename;
  meth_meth_ast_408_isImplicit->definitionLine = 227;
// method "usesAsType(_)"
  struct UserObject *uo410 = (struct UserObject*)obj276;
  uo410->data[47] = emptyclosure;
  Method *meth_meth_ast_410_usesAsType_40_1_41_ = addmethod2pos(obj276, "usesAsType(1)", &meth_ast_410_usesAsType_40_1_41_, 47);
  int argcv_meth_ast_410_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_410_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_410_usesAsType_40_1_41_);
  meth_meth_ast_410_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_410_usesAsType_40_1_41_->definitionLine = 228;
// method "hash"
  struct UserObject *uo412 = (struct UserObject*)obj276;
  uo412->data[48] = emptyclosure;
  Method *meth_meth_ast_412_hash = addmethod2pos(obj276, "hash", &meth_ast_412_hash, 48);
  int argcv_meth_ast_412_hash[] = {0};
  meth_meth_ast_412_hash->type = alloc_MethodType(1, argcv_meth_ast_412_hash);
  meth_meth_ast_412_hash->definitionModule = modulename;
  meth_meth_ast_412_hash->definitionLine = 229;
// method "asString"
  struct UserObject *uo424 = (struct UserObject*)obj276;
  uo424->data[49] = emptyclosure;
  Method *meth_meth_ast_424_asString = addmethod2pos(obj276, "asString", &meth_ast_424_asString, 49);
  int argcv_meth_ast_424_asString[] = {0};
  meth_meth_ast_424_asString->type = alloc_MethodType(1, argcv_meth_ast_424_asString);
  meth_meth_ast_424_asString->definitionModule = modulename;
  meth_meth_ast_424_asString->definitionLine = 230;
// method "nameString"
  struct UserObject *uo444 = (struct UserObject*)obj276;
  uo444->data[50] = emptyclosure;
  Method *meth_meth_ast_444_nameString = addmethod2pos(obj276, "nameString", &meth_ast_444_nameString, 50);
  int argcv_meth_ast_444_nameString[] = {0};
  meth_meth_ast_444_nameString->type = alloc_MethodType(1, argcv_meth_ast_444_nameString);
  meth_meth_ast_444_nameString->definitionModule = modulename;
  meth_meth_ast_444_nameString->definitionLine = 231;
// method "isWritable"
  struct UserObject *uo446 = (struct UserObject*)obj276;
  uo446->data[51] = emptyclosure;
  Method *meth_meth_ast_446_isWritable = addmethod2pos(obj276, "isWritable", &meth_ast_446_isWritable, 51);
  int argcv_meth_ast_446_isWritable[] = {0};
  meth_meth_ast_446_isWritable->type = alloc_MethodType(1, argcv_meth_ast_446_isWritable);
  meth_meth_ast_446_isWritable->definitionModule = modulename;
  meth_meth_ast_446_isWritable->definitionLine = 232;
// method "isReadable"
  struct UserObject *uo448 = (struct UserObject*)obj276;
  uo448->data[52] = emptyclosure;
  Method *meth_meth_ast_448_isReadable = addmethod2pos(obj276, "isReadable", &meth_ast_448_isReadable, 52);
  int argcv_meth_ast_448_isReadable[] = {0};
  meth_meth_ast_448_isReadable->type = alloc_MethodType(1, argcv_meth_ast_448_isReadable);
  meth_meth_ast_448_isReadable->definitionModule = modulename;
  meth_meth_ast_448_isReadable->definitionLine = 233;
// method "isPublic"
  struct UserObject *uo450 = (struct UserObject*)obj276;
  uo450->data[53] = emptyclosure;
  Method *meth_meth_ast_450_isPublic = addmethod2pos(obj276, "isPublic", &meth_ast_450_isPublic, 53);
  int argcv_meth_ast_450_isPublic[] = {0};
  meth_meth_ast_450_isPublic->type = alloc_MethodType(1, argcv_meth_ast_450_isPublic);
  meth_meth_ast_450_isPublic->definitionModule = modulename;
  meth_meth_ast_450_isPublic->definitionLine = 234;
// method "isConfidential"
  struct UserObject *uo452 = (struct UserObject*)obj276;
  uo452->data[54] = emptyclosure;
  Method *meth_meth_ast_452_isConfidential = addmethod2pos(obj276, "isConfidential", &meth_ast_452_isConfidential, 54);
  int argcv_meth_ast_452_isConfidential[] = {0};
  meth_meth_ast_452_isConfidential->type = alloc_MethodType(1, argcv_meth_ast_452_isConfidential);
  meth_meth_ast_452_isConfidential->definitionModule = modulename;
  meth_meth_ast_452_isConfidential->definitionLine = 235;
// method "decType"
  block_savedest(obj276);
  Object closure457 = createclosure(1, "decType");
  setclosureframe(closure457, stackframe);
  addtoclosure(closure457, var_unknownType);
  struct UserObject *uo457 = (struct UserObject*)obj276;
  uo457->data[55] = (Object)closure457;
  Method *meth_meth_ast_457_decType = addmethod2pos(obj276, "decType", &meth_ast_457_decType, 55);
  int argcv_meth_ast_457_decType[] = {0};
  meth_meth_ast_457_decType->type = alloc_MethodType(1, argcv_meth_ast_457_decType);
  meth_meth_ast_457_decType->definitionModule = modulename;
  meth_meth_ast_457_decType->definitionLine = 236;
// method "isSimple"
  struct UserObject *uo467 = (struct UserObject*)obj276;
  uo467->data[56] = emptyclosure;
  Method *meth_meth_ast_467_isSimple = addmethod2pos(obj276, "isSimple", &meth_ast_467_isSimple, 56);
  int argcv_meth_ast_467_isSimple[] = {0};
  meth_meth_ast_467_isSimple->type = alloc_MethodType(1, argcv_meth_ast_467_isSimple);
  meth_meth_ast_467_isSimple->definitionModule = modulename;
  meth_meth_ast_467_isSimple->definitionLine = 242;
// method "isDelimited"
  struct UserObject *uo469 = (struct UserObject*)obj276;
  uo469->data[57] = emptyclosure;
  Method *meth_meth_ast_469_isDelimited = addmethod2pos(obj276, "isDelimited", &meth_ast_469_isDelimited, 57);
  int argcv_meth_ast_469_isDelimited[] = {0};
  meth_meth_ast_469_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_469_isDelimited);
  meth_meth_ast_469_isDelimited->definitionModule = modulename;
  meth_meth_ast_469_isDelimited->definitionLine = 243;
// method "description"
  struct UserObject *uo471 = (struct UserObject*)obj276;
  uo471->data[58] = emptyclosure;
  Method *meth_meth_ast_471_description = addmethod2pos(obj276, "description", &meth_ast_471_description, 58);
  int argcv_meth_ast_471_description[] = {0};
  meth_meth_ast_471_description->type = alloc_MethodType(1, argcv_meth_ast_471_description);
  meth_meth_ast_471_description->definitionModule = modulename;
  meth_meth_ast_471_description->definitionLine = 244;
// method "accept(_)"
  block_savedest(obj276);
  Object closure474 = createclosure(1, "accept(1)");
  setclosureframe(closure474, stackframe);
  addtoclosure(closure474, var_ancestorChain);
  struct UserObject *uo474 = (struct UserObject*)obj276;
  uo474->data[59] = (Object)closure474;
  Method *meth_meth_ast_474_accept_40_1_41_ = addmethod2pos(obj276, "accept(1)", &meth_ast_474_accept_40_1_41_, 59);
  int argcv_meth_ast_474_accept_40_1_41_[] = {1};
  meth_meth_ast_474_accept_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_474_accept_40_1_41_);
  meth_meth_ast_474_accept_40_1_41_->definitionModule = modulename;
  meth_meth_ast_474_accept_40_1_41_->definitionLine = 245;
// method "scope"
  struct UserObject *uo479 = (struct UserObject*)obj276;
  uo479->data[60] = emptyclosure;
  Method *meth_meth_ast_479_scope = addmethod2pos(obj276, "scope", &meth_ast_479_scope, 60);
  int argcv_meth_ast_479_scope[] = {0};
  meth_meth_ast_479_scope->type = alloc_MethodType(1, argcv_meth_ast_479_scope);
  meth_meth_ast_479_scope->definitionModule = modulename;
  meth_meth_ast_479_scope->definitionLine = 248;
// method "scope:=(_)"
  struct UserObject *uo482 = (struct UserObject*)obj276;
  uo482->data[61] = emptyclosure;
  Method *meth_meth_ast_482_scope_58__61__40_1_41_ = addmethod2pos(obj276, "scope:=(1)", &meth_ast_482_scope_58__61__40_1_41_, 61);
  int argcv_meth_ast_482_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_482_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_482_scope_58__61__40_1_41_);
  meth_meth_ast_482_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_482_scope_58__61__40_1_41_->definitionLine = 250;
// method "setScope(_)"
  struct UserObject *uo485 = (struct UserObject*)obj276;
  uo485->data[62] = emptyclosure;
  Method *meth_meth_ast_485_setScope_40_1_41_ = addmethod2pos(obj276, "setScope(1)", &meth_ast_485_setScope_40_1_41_, 62);
  int argcv_meth_ast_485_setScope_40_1_41_[] = {1};
  meth_meth_ast_485_setScope_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_485_setScope_40_1_41_);
  meth_meth_ast_485_setScope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_485_setScope_40_1_41_->definitionLine = 256;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo488 = (struct UserObject*)obj276;
  uo488->data[63] = emptyclosure;
  Method *meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_ = addmethod2pos(obj276, "shallowCopyFieldsFrom(1)", &meth_ast_488_shallowCopyFieldsFrom_40_1_41_, 63);
  int argcv_meth_ast_488_shallowCopyFieldsFrom_40_1_41_[] = {1};
  meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_488_shallowCopyFieldsFrom_40_1_41_);
  meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_->definitionModule = modulename;
  meth_meth_ast_488_shallowCopyFieldsFrom_40_1_41_->definitionLine = 261;
// method "postCopy(_)"
  struct UserObject *uo507 = (struct UserObject*)obj276;
  uo507->data[64] = emptyclosure;
  Method *meth_meth_ast_507_postCopy_40_1_41_ = addmethod2pos(obj276, "postCopy(1)", &meth_ast_507_postCopy_40_1_41_, 64);
  int argcv_meth_ast_507_postCopy_40_1_41_[] = {1};
  meth_meth_ast_507_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_507_postCopy_40_1_41_);
  meth_meth_ast_507_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_507_postCopy_40_1_41_->definitionLine = 269;
// method "prettyPrefix(_)"
  block_savedest(obj276);
  Object closure508 = createclosure(1, "prettyPrefix(1)");
  setclosureframe(closure508, stackframe);
  addtoclosure(closure508, var_util);
  struct UserObject *uo508 = (struct UserObject*)obj276;
  uo508->data[65] = (Object)closure508;
  Method *meth_meth_ast_508_prettyPrefix_40_1_41_ = addmethod2pos(obj276, "prettyPrefix(1)", &meth_ast_508_prettyPrefix_40_1_41_, 65);
  int argcv_meth_ast_508_prettyPrefix_40_1_41_[] = {1};
  meth_meth_ast_508_prettyPrefix_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_508_prettyPrefix_40_1_41_);
  meth_meth_ast_508_prettyPrefix_40_1_41_->definitionModule = modulename;
  meth_meth_ast_508_prettyPrefix_40_1_41_->definitionLine = 273;
// method "basePretty(_)"
  struct UserObject *uo652 = (struct UserObject*)obj276;
  uo652->data[66] = emptyclosure;
  Method *meth_meth_ast_652_basePretty_40_1_41_ = addmethod2pos(obj276, "basePretty(1)", &meth_ast_652_basePretty_40_1_41_, 66);
  int argcv_meth_ast_652_basePretty_40_1_41_[] = {1};
  meth_meth_ast_652_basePretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_652_basePretty_40_1_41_);
  meth_meth_ast_652_basePretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_652_basePretty_40_1_41_->definitionLine = 283;
// method "pretty(_)"
  struct UserObject *uo655 = (struct UserObject*)obj276;
  uo655->data[67] = emptyclosure;
  Method *meth_meth_ast_655_pretty_40_1_41_ = addmethod2pos(obj276, "pretty(1)", &meth_ast_655_pretty_40_1_41_, 67);
  int argcv_meth_ast_655_pretty_40_1_41_[] = {1};
  meth_meth_ast_655_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_655_pretty_40_1_41_);
  meth_meth_ast_655_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_655_pretty_40_1_41_->definitionLine = 284;
// method "deepCopy"
  block_savedest(obj276);
  Object closure658 = createclosure(1, "deepCopy");
  setclosureframe(closure658, stackframe);
  addtoclosure(closure658, var_ancestorChain);
  struct UserObject *uo658 = (struct UserObject*)obj276;
  uo658->data[68] = (Object)closure658;
  Method *meth_meth_ast_658_deepCopy = addmethod2pos(obj276, "deepCopy", &meth_ast_658_deepCopy, 68);
  int argcv_meth_ast_658_deepCopy[] = {0};
  meth_meth_ast_658_deepCopy->type = alloc_MethodType(1, argcv_meth_ast_658_deepCopy);
  meth_meth_ast_658_deepCopy->definitionModule = modulename;
  meth_meth_ast_658_deepCopy->definitionLine = 285;
// method "enclosingObject"
  struct UserObject *uo666 = (struct UserObject*)obj276;
  uo666->data[69] = emptyclosure;
  Method *meth_meth_ast_666_enclosingObject = addmethod2pos(obj276, "enclosingObject", &meth_ast_666_enclosingObject, 69);
  int argcv_meth_ast_666_enclosingObject[] = {0};
  meth_meth_ast_666_enclosingObject->type = alloc_MethodType(1, argcv_meth_ast_666_enclosingObject);
  meth_meth_ast_666_enclosingObject->definitionModule = modulename;
  meth_meth_ast_666_enclosingObject->definitionLine = 288;
// method "addComment(_)"
  struct UserObject *uo673 = (struct UserObject*)obj276;
  uo673->data[70] = emptyclosure;
  Method *meth_meth_ast_673_addComment_40_1_41_ = addmethod2pos(obj276, "addComment(1)", &meth_ast_673_addComment_40_1_41_, 70);
  int argcv_meth_ast_673_addComment_40_1_41_[] = {1};
  meth_meth_ast_673_addComment_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_673_addComment_40_1_41_);
  meth_meth_ast_673_addComment_40_1_41_->definitionModule = modulename;
  meth_meth_ast_673_addComment_40_1_41_->definitionLine = 292;
// method "addComments(_)"
  struct UserObject *uo687 = (struct UserObject*)obj276;
  uo687->data[71] = emptyclosure;
  Method *meth_meth_ast_687_addComments_40_1_41_ = addmethod2pos(obj276, "addComments(1)", &meth_ast_687_addComments_40_1_41_, 71);
  int argcv_meth_ast_687_addComments_40_1_41_[] = {1};
  meth_meth_ast_687_addComments_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_687_addComments_40_1_41_);
  meth_meth_ast_687_addComments_40_1_41_->definitionModule = modulename;
  meth_meth_ast_687_addComments_40_1_41_->definitionLine = 299;
// method "statementName"
  struct UserObject *uo695 = (struct UserObject*)obj276;
  uo695->data[72] = emptyclosure;
  Method *meth_meth_ast_695_statementName = addmethod2pos(obj276, "statementName", &meth_ast_695_statementName, 72);
  int argcv_meth_ast_695_statementName[] = {0};
  meth_meth_ast_695_statementName->type = alloc_MethodType(1, argcv_meth_ast_695_statementName);
  meth_meth_ast_695_statementName->definitionModule = modulename;
  meth_meth_ast_695_statementName->definitionLine = 302;
  sourceObject = obj276;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit698 == NULL) {
    strlit698 = alloc_String("");
    gc_root(strlit698);
  }
// compiled string node returning strlit698 (depth = 2)
  adddatum2(obj276, strlit698, 1);
  sourceObject = obj276;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe699 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call700 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe699);
// compiled member node returning call700 (depth = 2)
  adddatum2(obj276, call700, 2);
  sourceObject = obj276;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe701 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call702 = callmethodflags(*var_util, "linepos", 0, partcv, params, 0);
  gc_frame_end(callframe701);
// compiled member node returning call702 (depth = 2)
  adddatum2(obj276, call702, 3);
  sourceObject = obj276;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_fakeSymbolTable (depth = 2)
  adddatum2(obj276, *var_fakeSymbolTable, 4);
  sourceObject = obj276;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool703 = alloc_Boolean(0);
// compiled identifier node returning bool703 (depth = 2)
  adddatum2(obj276, bool703, 5);
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  sourceObject = obj276;
  objclass276 = obj276->class;
  objclass276->definitionModule = modulename;
  objclass276->definitionLine = 167;
  (*(struct UserObject *)self).data[0] = lowerouter276;
  self = oldself276;
  selfslot = oldselfslot276;
  stackframe = oldstackframe276;
  gc_frame_end(frame);
  return obj276;
}
Object meth_ast_710_numberOfLevels(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numberOfLevels");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe711 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe712 = gc_frame_new();
// call case 4: self request
  Object call713 = callmethodflags(self, "theObjects", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe712);
// compiled member node returning call713 (depth = 3)
  Object call714 = callmethodflags(call713, "size", 0, partcv, params, 0);
  gc_frame_end(callframe711);
// compiled member node returning call714 (depth = 2)
  gc_frame_end(frame);
  return call714;
}
Object meth_ast_715_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit717 == NULL) {
    strlit717 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit717);
  }
// compiled string node returning strlit717 (depth = 3)
  int op_slot_right_716 = gc_frame_newslot(strlit717);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe720 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe721 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe722 = gc_frame_new();
// call case 4: self request
  Object call723 = callmethodflags(self, "theObjects", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe722);
// compiled member node returning call723 (depth = 6)
  Object call724 = callmethodflags(call723, "last", 0, partcv, params, 0);
  gc_frame_end(callframe721);
// compiled member node returning call724 (depth = 5)
  Object call725 = callmethodflags(call724, "line", 0, partcv, params, 0);
  gc_frame_end(callframe720);
// compiled member node returning call725 (depth = 4)
  int op_slot_right_719 = gc_frame_newslot(call725);
// starting to compile string node (depth = 4)
  if (strlit727 == NULL) {
    strlit727 = alloc_String("""\xe2""""\x80""""\xb9""object outside that at line ");
    gc_root(strlit727);
  }
// compiled string node returning strlit727 (depth = 4)
  int op_slot_left_719 = gc_frame_newslot(strlit727);
  params[0] = call725;
  partcv[0] = 1;
  Object opresult728 = callmethod(strlit727, "++(1)", 1, partcv, params);
// compiled op node returning opresult728 (depth = 3)
  int op_slot_left_716 = gc_frame_newslot(opresult728);
  params[0] = strlit717;
  partcv[0] = 1;
  Object opresult729 = callmethod(opresult728, "++(1)", 1, partcv, params);
// compiled op node returning opresult729 (depth = 2)
  gc_frame_end(frame);
  return opresult729;
}
Object meth_ast_730_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe732 = gc_frame_new();
// call case 4: self request
  Object call733 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe732);
// compiled member node returning call733 (depth = 3)
  int op_slot_right_731 = gc_frame_newslot(call733);
// starting to compile call node (depth = 3)
  int callframe735 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call736 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe735);
// compiled call node returning call736 (depth = 3)
  int op_slot_left_731 = gc_frame_newslot(call736);
  params[0] = call733;
  partcv[0] = 1;
  Object opresult737 = callmethod(call736, "++(1)", 1, partcv, params);
// compiled op node returning opresult737 (depth = 2)
  gc_frame_end(frame);
  return opresult737;
}
Object meth_ast_738_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe739 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitor (depth = 3)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call740 = callmethodflags(*var_visitor, "visitOuter(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe739);
// compiled call node returning call740 (depth = 2)
  gc_frame_end(frame);
  return call740;
}
Object meth_ast_741_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num745 = alloc_Float64(1);
// compiled num node returning num745 (depth = 5)
  int op_slot_right_744 = gc_frame_newslot(num745);
// starting to compile member node (depth = 5)
  int callframe747 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe748 = gc_frame_new();
// call case 4: self request
  Object call749 = callmethodflags(self, "theObjects", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe748);
// compiled member node returning call749 (depth = 6)
  Object call750 = callmethodflags(call749, "size", 0, partcv, params, 0);
  gc_frame_end(callframe747);
// compiled member node returning call750 (depth = 5)
  int op_slot_left_744 = gc_frame_newslot(call750);
  params[0] = num745;
  partcv[0] = 1;
  Object diff751 = callmethod(call750, "-(1)", 1, partcv, params);
// compiled op node returning diff751 (depth = 4)
  int op_slot_right_743 = gc_frame_newslot(diff751);
// starting to compile string node (depth = 4)
  if (strlit753 == NULL) {
    strlit753 = alloc_String(".outer");
    gc_root(strlit753);
  }
// compiled string node returning strlit753 (depth = 4)
  int op_slot_left_743 = gc_frame_newslot(strlit753);
  params[0] = diff751;
  partcv[0] = 1;
  Object prod754 = callmethod(strlit753, "*(1)", 1, partcv, params);
// compiled op node returning prod754 (depth = 3)
  int op_slot_right_742 = gc_frame_newslot(prod754);
// starting to compile string node (depth = 3)
  if (strlit756 == NULL) {
    strlit756 = alloc_String("outer");
    gc_root(strlit756);
  }
// compiled string node returning strlit756 (depth = 3)
  int op_slot_left_742 = gc_frame_newslot(strlit756);
  params[0] = prod754;
  partcv[0] = 1;
  Object opresult757 = callmethod(strlit756, "++(1)", 1, partcv, params);
// compiled op node returning opresult757 (depth = 2)
  gc_frame_end(frame);
  return opresult757;
}
Object meth_ast_758_isOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool759 = alloc_Boolean(1);
// compiled identifier node returning bool759 (depth = 2)
  gc_frame_end(frame);
  return bool759;
}
Object meth_ast_760_isSelfOrOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool761 = alloc_Boolean(1);
// compiled identifier node returning bool761 (depth = 2)
  gc_frame_end(frame);
  return bool761;
}
Object meth_ast_762_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe763 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 3)
  int callframe764 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe765 = gc_frame_new();
// call case 4: self request
  Object call766 = callmethodflags(self, "theObjects", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe765);
// compiled member node returning call766 (depth = 4)
  gc_frame_newslot(call766);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call766;
  partcv[0] = 1;
  Object call767 = callmethodflags(module_ast, "outerNode(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe764);
// compiled call node returning call767 (depth = 3)
  params[0] = self;
  partcv[0] = 1;
  Object call768 = callmethodflags(call767, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe763);
// compiled call node returning call768 (depth = 2)
  gc_frame_end(frame);
  return call768;
}
Object meth_ast_769_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_nd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nd");
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe770 = gc_frame_new();
// call case 4: self request
  Object call771 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe770);
// compiled member node returning call771 (depth = 3)
  *var_nd = call771;
  if (call771 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe772 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nd (depth = 3)
  gc_frame_newslot(*var_nd);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blk (depth = 3)
  params[0] = *var_nd;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call773 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe772);
// compiled call node returning call773 (depth = 2)
  gc_frame_end(frame);
  return call773;
}
Object meth_ast_705_outerNode_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "outerNode(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method outerNode(_)");
  Object params[2];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for outerNode(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_nodes = &(stackframe->slots[0]);
  *var_nodes = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part outerNode(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject706 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj706 = alloc_userobj2(12,13, objclass706);
  gc_frame_newslot(obj706);
  if (objclass706 == NULL) {
    glfree(obj706->class->name);
    obj706->class->name = "outerNode(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj706, self, 0);
  addmethodreal(obj706,"outer", &reader_ast_outer_707);
  Object oldself706 = self;
  struct StackFrameObject *oldstackframe706 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe706);
  gc_frame_newslot((Object)stackframe);
  self = obj706;
  Object *oldselfslot706 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter706 = (*(struct UserObject *)self).data[0], lowerouter706 = thisouter706;
  if (inheritingObject706) {
    struct UserObject *inho706 = (struct UserObject *)inheritingObject706;
    while (inho706->super != GraceDefaultObject) inho706 = (struct UserObject *)inho706->super;
    inho706->super = obj706;
    self = inheritingObject706;
    *selfslot = self;
    lowerouter706 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter706;
  }
  if (objclass706 == NULL) {
  Method *reader708 = addmethodrealflags(obj706, "kind",&reader_ast_kind_708, MFLAG_DEF);
  reader708->definitionModule = modulename;
  reader708->definitionLine = 1673;
  }
  adddatum2(obj706, alloc_Undefined(), 1);
  if (objclass706 == NULL) {
  Method *reader709 = addmethodrealflags(obj706, "theObjects",&reader_ast_theObjects_709, MFLAG_DEF);
  reader709->definitionModule = modulename;
  reader709->definitionLine = 1674;
  }
  adddatum2(obj706, alloc_Undefined(), 2);
// method "numberOfLevels"
  struct UserObject *uo710 = (struct UserObject*)obj706;
  uo710->data[3] = emptyclosure;
  Method *meth_meth_ast_710_numberOfLevels = addmethod2pos(obj706, "numberOfLevels", &meth_ast_710_numberOfLevels, 3);
  int argcv_meth_ast_710_numberOfLevels[] = {0};
  meth_meth_ast_710_numberOfLevels->type = alloc_MethodType(1, argcv_meth_ast_710_numberOfLevels);
  meth_meth_ast_710_numberOfLevels->definitionModule = modulename;
  meth_meth_ast_710_numberOfLevels->definitionLine = 1675;
// method "asString"
  struct UserObject *uo715 = (struct UserObject*)obj706;
  uo715->data[4] = emptyclosure;
  Method *meth_meth_ast_715_asString = addmethod2pos(obj706, "asString", &meth_ast_715_asString, 4);
  int argcv_meth_ast_715_asString[] = {0};
  meth_meth_ast_715_asString->type = alloc_MethodType(1, argcv_meth_ast_715_asString);
  meth_meth_ast_715_asString->definitionModule = modulename;
  meth_meth_ast_715_asString->definitionLine = 1676;
// method "pretty(_)"
  struct UserObject *uo730 = (struct UserObject*)obj706;
  uo730->data[5] = emptyclosure;
  Method *meth_meth_ast_730_pretty_40_1_41_ = addmethod2pos(obj706, "pretty(1)", &meth_ast_730_pretty_40_1_41_, 5);
  int argcv_meth_ast_730_pretty_40_1_41_[] = {1};
  meth_meth_ast_730_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_730_pretty_40_1_41_);
  meth_meth_ast_730_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_730_pretty_40_1_41_->definitionLine = 1677;
// method "accept(_)from(_)"
  struct UserObject *uo738 = (struct UserObject*)obj706;
  uo738->data[6] = emptyclosure;
  Method *meth_meth_ast_738_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj706, "accept(1)from(1)", &meth_ast_738_accept_40_1_41_from_40_1_41_, 6);
  int argcv_meth_ast_738_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_738_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_738_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_738_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_738_accept_40_1_41_from_40_1_41_->definitionLine = 1678;
// method "toGrace(_)"
  struct UserObject *uo741 = (struct UserObject*)obj706;
  uo741->data[7] = emptyclosure;
  Method *meth_meth_ast_741_toGrace_40_1_41_ = addmethod2pos(obj706, "toGrace(1)", &meth_ast_741_toGrace_40_1_41_, 7);
  int argcv_meth_ast_741_toGrace_40_1_41_[] = {1};
  meth_meth_ast_741_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_741_toGrace_40_1_41_);
  meth_meth_ast_741_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_741_toGrace_40_1_41_->definitionLine = 1682;
// method "isOuter"
  struct UserObject *uo758 = (struct UserObject*)obj706;
  uo758->data[8] = emptyclosure;
  Method *meth_meth_ast_758_isOuter = addmethod2pos(obj706, "isOuter", &meth_ast_758_isOuter, 8);
  int argcv_meth_ast_758_isOuter[] = {0};
  meth_meth_ast_758_isOuter->type = alloc_MethodType(1, argcv_meth_ast_758_isOuter);
  meth_meth_ast_758_isOuter->definitionModule = modulename;
  meth_meth_ast_758_isOuter->definitionLine = 1685;
// method "isSelfOrOuter"
  struct UserObject *uo760 = (struct UserObject*)obj706;
  uo760->data[9] = emptyclosure;
  Method *meth_meth_ast_760_isSelfOrOuter = addmethod2pos(obj706, "isSelfOrOuter", &meth_ast_760_isSelfOrOuter, 9);
  int argcv_meth_ast_760_isSelfOrOuter[] = {0};
  meth_meth_ast_760_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_760_isSelfOrOuter);
  meth_meth_ast_760_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_760_isSelfOrOuter->definitionLine = 1686;
// method "shallowCopy"
  struct UserObject *uo762 = (struct UserObject*)obj706;
  uo762->data[10] = emptyclosure;
  Method *meth_meth_ast_762_shallowCopy = addmethod2pos(obj706, "shallowCopy", &meth_ast_762_shallowCopy, 10);
  int argcv_meth_ast_762_shallowCopy[] = {0};
  meth_meth_ast_762_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_762_shallowCopy);
  meth_meth_ast_762_shallowCopy->definitionModule = modulename;
  meth_meth_ast_762_shallowCopy->definitionLine = 1687;
// method "map(_)ancestors(_)"
  struct UserObject *uo769 = (struct UserObject*)obj706;
  uo769->data[11] = emptyclosure;
  Method *meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj706, "map(1)ancestors(1)", &meth_ast_769_map_40_1_41_ancestors_40_1_41_, 11);
  int argcv_meth_ast_769_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_769_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_->definitionLine = 1690;
  if (objclass706 == NULL) {
  Method *reader774 = addmethodrealflags(obj706, "end",&reader_ast_end_774, MFLAG_DEF);
  reader774->definitionModule = modulename;
  reader774->definitionLine = 1694;
  }
  adddatum2(obj706, alloc_Undefined(), 12);
  sourceObject = obj706;
// Begin line 1672
  setline(1672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe775 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call776 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe775);
// compiled call node returning call776 (depth = 2)
  struct UserObject *obj706_uo = (struct UserObject *)obj706;
  obj706_uo->super = call776;
  sourceObject = obj706;
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit777 == NULL) {
    strlit777 = alloc_String("outer");
    gc_root(strlit777);
  }
// compiled string node returning strlit777 (depth = 2)
  adddatum2(obj706, strlit777, 1);
  sourceObject = obj706;
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_nodes (depth = 2)
  adddatum2(obj706, *var_nodes, 2);
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num780 = alloc_Float64(0);
// compiled num node returning num780 (depth = 4)
  int op_slot_right_779 = gc_frame_newslot(num780);
// starting to compile member node (depth = 4)
  int callframe782 = gc_frame_new();
// call case 4: self request
  Object call783 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe782);
// compiled member node returning call783 (depth = 4)
  int op_slot_left_779 = gc_frame_newslot(call783);
  params[0] = num780;
  partcv[0] = 1;
  Object opresult784 = callmethod(call783, "==(1)", 1, partcv, params);
// compiled op node returning opresult784 (depth = 3)
  Object if778 = done;
struct StackFrameObject *iftmpstackframe778 = stackframe;
  if (istrue(opresult784)) {
stackframe = alloc_StackFrame(0, iftmpstackframe778);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
    gc_frame_newslot(*var_noPosition);
    if778 = *var_noPosition;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe778);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe785 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe786 = gc_frame_new();
// call case 4: self request
  Object call787 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe786);
// compiled member node returning call787 (depth = 4)
  gc_frame_newslot(call787);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num789 = alloc_Float64(4);
// compiled num node returning num789 (depth = 5)
  int op_slot_right_788 = gc_frame_newslot(num789);
// starting to compile member node (depth = 5)
  int callframe791 = gc_frame_new();
// call case 4: self request
  Object call792 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe791);
// compiled member node returning call792 (depth = 5)
  int op_slot_left_788 = gc_frame_newslot(call792);
  params[0] = num789;
  partcv[0] = 1;
  Object sum793 = callmethod(call792, "+(1)", 1, partcv, params);
// compiled op node returning sum793 (depth = 4)
  gc_frame_newslot(sum793);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call787;
  params[1] = sum793;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call794 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe785);
// compiled call node returning call794 (depth = 3)
    gc_frame_newslot(call794);
    if778 = call794;
  }
stackframe = iftmpstackframe778;
// compiled if node returning if778 (depth = 2)
  adddatum2(obj706, if778, 12);
  objclass706 = obj706->class;
  objclass706->definitionModule = modulename;
  objclass706->definitionLine = 1668;
  (*(struct UserObject *)self).data[0] = lowerouter706;
  self = oldself706;
  selfslot = oldselfslot706;
  stackframe = oldstackframe706;
  gc_frame_end(frame);
  return obj706;
}
Object meth_ast_705_outerNode_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "outerNode(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method outerNode(_)");
  Object params[2];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for outerNode(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_nodes = &(stackframe->slots[0]);
  *var_nodes = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part outerNode(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject706 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj706 = alloc_userobj2(12,13, objclass706);
  gc_frame_newslot(obj706);
  if (objclass706 == NULL) {
    glfree(obj706->class->name);
    obj706->class->name = "outerNode(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj706, self, 0);
  addmethodreal(obj706,"outer", &reader_ast_outer_707);
  Object oldself706 = self;
  struct StackFrameObject *oldstackframe706 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe706);
  gc_frame_newslot((Object)stackframe);
  self = obj706;
  Object *oldselfslot706 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter706 = (*(struct UserObject *)self).data[0], lowerouter706 = thisouter706;
  if (inheritingObject706) {
    struct UserObject *inho706 = (struct UserObject *)inheritingObject706;
    while (inho706->super != GraceDefaultObject) inho706 = (struct UserObject *)inho706->super;
    inho706->super = obj706;
    self = inheritingObject706;
    *selfslot = self;
    lowerouter706 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter706;
  }
  if (objclass706 == NULL) {
  Method *reader708 = addmethodrealflags(obj706, "kind",&reader_ast_kind_708, MFLAG_DEF);
  reader708->definitionModule = modulename;
  reader708->definitionLine = 1673;
  }
  adddatum2(obj706, alloc_Undefined(), 1);
  if (objclass706 == NULL) {
  Method *reader709 = addmethodrealflags(obj706, "theObjects",&reader_ast_theObjects_709, MFLAG_DEF);
  reader709->definitionModule = modulename;
  reader709->definitionLine = 1674;
  }
  adddatum2(obj706, alloc_Undefined(), 2);
// method "numberOfLevels"
  struct UserObject *uo710 = (struct UserObject*)obj706;
  uo710->data[3] = emptyclosure;
  Method *meth_meth_ast_710_numberOfLevels = addmethod2pos(obj706, "numberOfLevels", &meth_ast_710_numberOfLevels, 3);
  int argcv_meth_ast_710_numberOfLevels[] = {0};
  meth_meth_ast_710_numberOfLevels->type = alloc_MethodType(1, argcv_meth_ast_710_numberOfLevels);
  meth_meth_ast_710_numberOfLevels->definitionModule = modulename;
  meth_meth_ast_710_numberOfLevels->definitionLine = 1675;
// method "asString"
  struct UserObject *uo715 = (struct UserObject*)obj706;
  uo715->data[4] = emptyclosure;
  Method *meth_meth_ast_715_asString = addmethod2pos(obj706, "asString", &meth_ast_715_asString, 4);
  int argcv_meth_ast_715_asString[] = {0};
  meth_meth_ast_715_asString->type = alloc_MethodType(1, argcv_meth_ast_715_asString);
  meth_meth_ast_715_asString->definitionModule = modulename;
  meth_meth_ast_715_asString->definitionLine = 1676;
// method "pretty(_)"
  struct UserObject *uo730 = (struct UserObject*)obj706;
  uo730->data[5] = emptyclosure;
  Method *meth_meth_ast_730_pretty_40_1_41_ = addmethod2pos(obj706, "pretty(1)", &meth_ast_730_pretty_40_1_41_, 5);
  int argcv_meth_ast_730_pretty_40_1_41_[] = {1};
  meth_meth_ast_730_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_730_pretty_40_1_41_);
  meth_meth_ast_730_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_730_pretty_40_1_41_->definitionLine = 1677;
// method "accept(_)from(_)"
  struct UserObject *uo738 = (struct UserObject*)obj706;
  uo738->data[6] = emptyclosure;
  Method *meth_meth_ast_738_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj706, "accept(1)from(1)", &meth_ast_738_accept_40_1_41_from_40_1_41_, 6);
  int argcv_meth_ast_738_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_738_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_738_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_738_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_738_accept_40_1_41_from_40_1_41_->definitionLine = 1678;
// method "toGrace(_)"
  struct UserObject *uo741 = (struct UserObject*)obj706;
  uo741->data[7] = emptyclosure;
  Method *meth_meth_ast_741_toGrace_40_1_41_ = addmethod2pos(obj706, "toGrace(1)", &meth_ast_741_toGrace_40_1_41_, 7);
  int argcv_meth_ast_741_toGrace_40_1_41_[] = {1};
  meth_meth_ast_741_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_741_toGrace_40_1_41_);
  meth_meth_ast_741_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_741_toGrace_40_1_41_->definitionLine = 1682;
// method "isOuter"
  struct UserObject *uo758 = (struct UserObject*)obj706;
  uo758->data[8] = emptyclosure;
  Method *meth_meth_ast_758_isOuter = addmethod2pos(obj706, "isOuter", &meth_ast_758_isOuter, 8);
  int argcv_meth_ast_758_isOuter[] = {0};
  meth_meth_ast_758_isOuter->type = alloc_MethodType(1, argcv_meth_ast_758_isOuter);
  meth_meth_ast_758_isOuter->definitionModule = modulename;
  meth_meth_ast_758_isOuter->definitionLine = 1685;
// method "isSelfOrOuter"
  struct UserObject *uo760 = (struct UserObject*)obj706;
  uo760->data[9] = emptyclosure;
  Method *meth_meth_ast_760_isSelfOrOuter = addmethod2pos(obj706, "isSelfOrOuter", &meth_ast_760_isSelfOrOuter, 9);
  int argcv_meth_ast_760_isSelfOrOuter[] = {0};
  meth_meth_ast_760_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_760_isSelfOrOuter);
  meth_meth_ast_760_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_760_isSelfOrOuter->definitionLine = 1686;
// method "shallowCopy"
  struct UserObject *uo762 = (struct UserObject*)obj706;
  uo762->data[10] = emptyclosure;
  Method *meth_meth_ast_762_shallowCopy = addmethod2pos(obj706, "shallowCopy", &meth_ast_762_shallowCopy, 10);
  int argcv_meth_ast_762_shallowCopy[] = {0};
  meth_meth_ast_762_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_762_shallowCopy);
  meth_meth_ast_762_shallowCopy->definitionModule = modulename;
  meth_meth_ast_762_shallowCopy->definitionLine = 1687;
// method "map(_)ancestors(_)"
  struct UserObject *uo769 = (struct UserObject*)obj706;
  uo769->data[11] = emptyclosure;
  Method *meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj706, "map(1)ancestors(1)", &meth_ast_769_map_40_1_41_ancestors_40_1_41_, 11);
  int argcv_meth_ast_769_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_769_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_769_map_40_1_41_ancestors_40_1_41_->definitionLine = 1690;
  if (objclass706 == NULL) {
  Method *reader774 = addmethodrealflags(obj706, "end",&reader_ast_end_774, MFLAG_DEF);
  reader774->definitionModule = modulename;
  reader774->definitionLine = 1694;
  }
  adddatum2(obj706, alloc_Undefined(), 12);
  sourceObject = obj706;
// Begin line 1672
  setline(1672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe775 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call776 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe775);
// compiled call node returning call776 (depth = 2)
  struct UserObject *obj706_uo = (struct UserObject *)obj706;
  obj706_uo->super = call776;
  sourceObject = obj706;
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit777 == NULL) {
    strlit777 = alloc_String("outer");
    gc_root(strlit777);
  }
// compiled string node returning strlit777 (depth = 2)
  adddatum2(obj706, strlit777, 1);
  sourceObject = obj706;
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_nodes (depth = 2)
  adddatum2(obj706, *var_nodes, 2);
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
  sourceObject = obj706;
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num780 = alloc_Float64(0);
// compiled num node returning num780 (depth = 4)
  int op_slot_right_779 = gc_frame_newslot(num780);
// starting to compile member node (depth = 4)
  int callframe782 = gc_frame_new();
// call case 4: self request
  Object call783 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe782);
// compiled member node returning call783 (depth = 4)
  int op_slot_left_779 = gc_frame_newslot(call783);
  params[0] = num780;
  partcv[0] = 1;
  Object opresult784 = callmethod(call783, "==(1)", 1, partcv, params);
// compiled op node returning opresult784 (depth = 3)
  Object if778 = done;
struct StackFrameObject *iftmpstackframe778 = stackframe;
  if (istrue(opresult784)) {
stackframe = alloc_StackFrame(0, iftmpstackframe778);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
    gc_frame_newslot(*var_noPosition);
    if778 = *var_noPosition;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe778);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe785 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe786 = gc_frame_new();
// call case 4: self request
  Object call787 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe786);
// compiled member node returning call787 (depth = 4)
  gc_frame_newslot(call787);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num789 = alloc_Float64(4);
// compiled num node returning num789 (depth = 5)
  int op_slot_right_788 = gc_frame_newslot(num789);
// starting to compile member node (depth = 5)
  int callframe791 = gc_frame_new();
// call case 4: self request
  Object call792 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe791);
// compiled member node returning call792 (depth = 5)
  int op_slot_left_788 = gc_frame_newslot(call792);
  params[0] = num789;
  partcv[0] = 1;
  Object sum793 = callmethod(call792, "+(1)", 1, partcv, params);
// compiled op node returning sum793 (depth = 4)
  gc_frame_newslot(sum793);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call787;
  params[1] = sum793;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call794 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe785);
// compiled call node returning call794 (depth = 3)
    gc_frame_newslot(call794);
    if778 = call794;
  }
stackframe = iftmpstackframe778;
// compiled if node returning if778 (depth = 2)
  adddatum2(obj706, if778, 12);
  objclass706 = obj706->class;
  objclass706->definitionModule = modulename;
  objclass706->definitionLine = 1668;
  (*(struct UserObject *)self).data[0] = lowerouter706;
  self = oldself706;
  selfslot = oldselfslot706;
  stackframe = oldstackframe706;
  gc_frame_end(frame);
  return obj706;
}
Object meth_ast_799_newName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2767
  setline(2767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_n (depth = 2)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_800_oldName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "oldName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2768
  setline(2768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_o (depth = 2)
  gc_frame_end(frame);
  return *var_o;
}
Object meth_ast_801_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit803 == NULL) {
    strlit803 = alloc_String("");
    gc_root(strlit803);
  }
// compiled string node returning strlit803 (depth = 3)
  int op_slot_right_802 = gc_frame_newslot(strlit803);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe806 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  Object call807 = callmethodflags(*var_o, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe806);
// compiled member node returning call807 (depth = 4)
  int op_slot_right_805 = gc_frame_newslot(call807);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit810 == NULL) {
    strlit810 = alloc_String(" = ");
    gc_root(strlit810);
  }
// compiled string node returning strlit810 (depth = 5)
  int op_slot_right_809 = gc_frame_newslot(strlit810);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe813 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call814 = callmethodflags(*var_n, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe813);
// compiled member node returning call814 (depth = 6)
  int op_slot_right_812 = gc_frame_newslot(call814);
// starting to compile string node (depth = 6)
  if (strlit816 == NULL) {
    strlit816 = alloc_String("alias ");
    gc_root(strlit816);
  }
// compiled string node returning strlit816 (depth = 6)
  int op_slot_left_812 = gc_frame_newslot(strlit816);
  params[0] = call814;
  partcv[0] = 1;
  Object opresult817 = callmethod(strlit816, "++(1)", 1, partcv, params);
// compiled op node returning opresult817 (depth = 5)
  int op_slot_left_809 = gc_frame_newslot(opresult817);
  params[0] = strlit810;
  partcv[0] = 1;
  Object opresult818 = callmethod(opresult817, "++(1)", 1, partcv, params);
// compiled op node returning opresult818 (depth = 4)
  int op_slot_left_805 = gc_frame_newslot(opresult818);
  params[0] = call807;
  partcv[0] = 1;
  Object opresult819 = callmethod(opresult818, "++(1)", 1, partcv, params);
// compiled op node returning opresult819 (depth = 3)
  int op_slot_left_802 = gc_frame_newslot(opresult819);
  params[0] = strlit803;
  partcv[0] = 1;
  Object opresult820 = callmethod(opresult819, "++(1)", 1, partcv, params);
// compiled op node returning opresult820 (depth = 2)
  gc_frame_end(frame);
  return opresult820;
}
Object meth_ast_821_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num824 = alloc_Float64(1);
// compiled num node returning num824 (depth = 5)
  int op_slot_right_823 = gc_frame_newslot(num824);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_823 = gc_frame_newslot(*var_depth);
  params[0] = num824;
  partcv[0] = 1;
  Object sum826 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum826 (depth = 4)
  int op_slot_right_822 = gc_frame_newslot(sum826);
// starting to compile string node (depth = 4)
  if (strlit828 == NULL) {
    strlit828 = alloc_String("  ");
    gc_root(strlit828);
  }
// compiled string node returning strlit828 (depth = 4)
  int op_slot_left_822 = gc_frame_newslot(strlit828);
  params[0] = sum826;
  partcv[0] = 1;
  Object prod829 = callmethod(strlit828, "*(1)", 1, partcv, params);
// compiled op node returning prod829 (depth = 3)
  *var_spc = prod829;
  if (prod829 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2772
  setline(2772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit831 == NULL) {
    strlit831 = alloc_String("");
    gc_root(strlit831);
  }
// compiled string node returning strlit831 (depth = 3)
  int op_slot_right_830 = gc_frame_newslot(strlit831);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe834 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call835 = callmethodflags(*var_o, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe834);
// compiled call node returning call835 (depth = 4)
  int op_slot_right_833 = gc_frame_newslot(call835);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit838 == NULL) {
    strlit838 = alloc_String(" = ");
    gc_root(strlit838);
  }
// compiled string node returning strlit838 (depth = 5)
  int op_slot_right_837 = gc_frame_newslot(strlit838);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe841 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call842 = callmethodflags(*var_n, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe841);
// compiled call node returning call842 (depth = 6)
  int op_slot_right_840 = gc_frame_newslot(call842);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit845 == NULL) {
    strlit845 = alloc_String("  alias ");
    gc_root(strlit845);
  }
// compiled string node returning strlit845 (depth = 7)
  int op_slot_right_844 = gc_frame_newslot(strlit845);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_847 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit849 == NULL) {
    strlit849 = alloc_String("");
    gc_root(strlit849);
  }
// compiled string node returning strlit849 (depth = 8)
  int op_slot_left_847 = gc_frame_newslot(strlit849);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult850 = callmethod(strlit849, "++(1)", 1, partcv, params);
// compiled op node returning opresult850 (depth = 7)
  int op_slot_left_844 = gc_frame_newslot(opresult850);
  params[0] = strlit845;
  partcv[0] = 1;
  Object opresult851 = callmethod(opresult850, "++(1)", 1, partcv, params);
// compiled op node returning opresult851 (depth = 6)
  int op_slot_left_840 = gc_frame_newslot(opresult851);
  params[0] = call842;
  partcv[0] = 1;
  Object opresult852 = callmethod(opresult851, "++(1)", 1, partcv, params);
// compiled op node returning opresult852 (depth = 5)
  int op_slot_left_837 = gc_frame_newslot(opresult852);
  params[0] = strlit838;
  partcv[0] = 1;
  Object opresult853 = callmethod(opresult852, "++(1)", 1, partcv, params);
// compiled op node returning opresult853 (depth = 4)
  int op_slot_left_833 = gc_frame_newslot(opresult853);
  params[0] = call835;
  partcv[0] = 1;
  Object opresult854 = callmethod(opresult853, "++(1)", 1, partcv, params);
// compiled op node returning opresult854 (depth = 3)
  int op_slot_left_830 = gc_frame_newslot(opresult854);
  params[0] = strlit831;
  partcv[0] = 1;
  Object opresult855 = callmethod(opresult854, "++(1)", 1, partcv, params);
// compiled op node returning opresult855 (depth = 2)
  gc_frame_end(frame);
  return opresult855;
}
Object meth_ast_856_hash(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2774
  setline(2774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe858 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  Object call859 = callmethodflags(*var_o, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe858);
// compiled member node returning call859 (depth = 3)
  int op_slot_right_857 = gc_frame_newslot(call859);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num862 = alloc_Float64(1171);
// compiled num node returning num862 (depth = 4)
  int op_slot_right_861 = gc_frame_newslot(num862);
// starting to compile member node (depth = 4)
  int callframe864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  Object call865 = callmethodflags(*var_n, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe864);
// compiled member node returning call865 (depth = 4)
  int op_slot_left_861 = gc_frame_newslot(call865);
  params[0] = num862;
  partcv[0] = 1;
  Object prod866 = callmethod(call865, "*(1)", 1, partcv, params);
// compiled op node returning prod866 (depth = 3)
  int op_slot_left_857 = gc_frame_newslot(prod866);
  params[0] = call859;
  partcv[0] = 1;
  Object sum867 = callmethod(prod866, "+(1)", 1, partcv, params);
// compiled op node returning sum867 (depth = 2)
  gc_frame_end(frame);
  return sum867;
}
Object meth_ast_868_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool869 = alloc_Boolean(0);
// compiled identifier node returning bool869 (depth = 2)
  gc_frame_end(frame);
  return bool869;
}
Object meth_ast_873__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_that = &(stackframe->slots[0]);
  *var_that = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe876 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_that (depth = 7)
  Object call877 = callmethodflags(*var_that, "oldName", 0, partcv, params, 0);
  gc_frame_end(callframe876);
// compiled member node returning call877 (depth = 6)
  int op_slot_right_875 = gc_frame_newslot(call877);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  int op_slot_left_875 = gc_frame_newslot(*var_o);
  params[0] = call877;
  partcv[0] = 1;
  Object opresult879 = callmethod(*var_o, "==(1)", 1, partcv, params);
// compiled op node returning opresult879 (depth = 5)
  int op_slot_right_874 = gc_frame_newslot(opresult879);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe882 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_that (depth = 7)
  Object call883 = callmethodflags(*var_that, "newName", 0, partcv, params, 0);
  gc_frame_end(callframe882);
// compiled member node returning call883 (depth = 6)
  int op_slot_right_881 = gc_frame_newslot(call883);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_881 = gc_frame_newslot(*var_n);
  params[0] = call883;
  partcv[0] = 1;
  Object opresult885 = callmethod(*var_n, "==(1)", 1, partcv, params);
// compiled op node returning opresult885 (depth = 5)
  int op_slot_left_874 = gc_frame_newslot(opresult885);
  params[0] = opresult879;
  partcv[0] = 1;
  Object opresult886 = callmethod(opresult885, "&&(1)", 1, partcv, params);
// compiled op node returning opresult886 (depth = 4)
  gc_frame_end(frame);
  return opresult886;
}
Object meth_ast_898__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___1 = &(stackframe->slots[0]);
  *var___1 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile identifier node (depth = 4)
  Object bool899 = alloc_Boolean(0);
// compiled identifier node returning bool899 (depth = 4)
  gc_frame_end(frame);
  return bool899;
}
Object meth_ast_870__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_AliasPair = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame871 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block872 = alloc_Block(NULL, NULL, "ast", 2778);
  gc_frame_newslot(block872);
// method "_apply(_)"
  block_savedest(block872);
  Object closure873 = createclosure(3, "_apply(1)");
  setclosureframe(closure873, stackframe);
  addtoclosure(closure873, var_o);
  addtoclosure(closure873, var_n);
  addtoclosure(closure873, selfslot);
  struct UserObject *uo873 = (struct UserObject*)block872;
  uo873->data[0] = (Object)closure873;
  Method *meth_meth_ast_873__apply_40_1_41_ = addmethod2pos(block872, "_apply(1)", &meth_ast_873__apply_40_1_41_, 0);
  int argcv_meth_ast_873__apply_40_1_41_[] = {1};
  meth_meth_ast_873__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_873__apply_40_1_41_);
  meth_meth_ast_873__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_873__apply_40_1_41_->definitionLine = 3216;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe888 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe889 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit890 == NULL) {
    strlit890 = alloc_String("that");
    gc_root(strlit890);
  }
// compiled string node returning strlit890 (depth = 6)
  gc_frame_newslot(strlit890);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe891 = gc_frame_new();
// call case 5: prelude request
  Object call892 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe891);
// compiled member node returning call892 (depth = 6)
  params[0] = strlit890;
  partcv[0] = 1;
  Object call893 = callmethodflags(call892, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe889);
// compiled call node returning call893 (depth = 5)
  gc_frame_newslot(call893);
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AliasPair (depth = 5)
  gc_frame_newslot(*var_AliasPair);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe894 = gc_frame_new();
// call case 5: prelude request
  Object call895 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe894);
// compiled member node returning call895 (depth = 5)
  params[0] = call893;
  params[1] = *var_AliasPair;
  partcv[0] = 2;
  Object call896 = callmethodflags(call895, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe888);
// compiled call node returning call896 (depth = 4)
((struct UserObject *)block872)->data[1] = call896;
// compiled block node returning block872 (depth = 3)
  gc_frame_newslot(block872);
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block897 = alloc_Block(NULL, NULL, "ast", 2779);
  gc_frame_newslot(block897);
// method "_apply(_)"
  block_savedest(block897);
  Object closure898 = createclosure(1, "_apply(1)");
  setclosureframe(closure898, stackframe);
  addtoclosure(closure898, selfslot);
  struct UserObject *uo898 = (struct UserObject*)block897;
  uo898->data[0] = (Object)closure898;
  Method *meth_meth_ast_898__apply_40_1_41_ = addmethod2pos(block897, "_apply(1)", &meth_ast_898__apply_40_1_41_, 0);
  int argcv_meth_ast_898__apply_40_1_41_[] = {1};
  meth_meth_ast_898__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_898__apply_40_1_41_);
  meth_meth_ast_898__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_898__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block897 (depth = 3)
  gc_frame_newslot(block897);
  params[0] = block872;
  params[1] = block897;
  Object matchres871 = matchCase(*var_other, params, 2);
  gc_frame_end(frame871);
// compiled matchcase node returning matchres871 (depth = 2)
  gc_frame_end(frame);
  return matchres871;
}
Object meth_ast_796_aliasNew_40_1_41_old_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "aliasNew(1)old(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method aliasNew(_)old(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method aliasNew(_)old(_)");
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for aliasNew(_)old(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part aliasNew(_)");
  Object *var_o = &(stackframe->slots[1]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part old(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject797 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj797 = alloc_userobj2(7,8, objclass797);
  gc_frame_newslot(obj797);
  if (objclass797 == NULL) {
    glfree(obj797->class->name);
    obj797->class->name = "aliasNew(_)old(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj797, self, 0);
  addmethodreal(obj797,"outer", &reader_ast_outer_798);
  Object oldself797 = self;
  struct StackFrameObject *oldstackframe797 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe797);
  gc_frame_newslot((Object)stackframe);
  self = obj797;
  Object *oldselfslot797 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter797 = (*(struct UserObject *)self).data[0], lowerouter797 = thisouter797;
  if (inheritingObject797) {
    struct UserObject *inho797 = (struct UserObject *)inheritingObject797;
    while (inho797->super != GraceDefaultObject) inho797 = (struct UserObject *)inho797->super;
    inho797->super = obj797;
    self = inheritingObject797;
    *selfslot = self;
    lowerouter797 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter797;
  }
// method "newName"
  block_savedest(obj797);
  Object closure799 = createclosure(1, "newName");
  setclosureframe(closure799, stackframe);
  addtoclosure(closure799, var_n);
  struct UserObject *uo799 = (struct UserObject*)obj797;
  uo799->data[1] = (Object)closure799;
  Method *meth_meth_ast_799_newName = addmethod2pos(obj797, "newName", &meth_ast_799_newName, 1);
  int argcv_meth_ast_799_newName[] = {0};
  meth_meth_ast_799_newName->type = alloc_MethodType(1, argcv_meth_ast_799_newName);
  meth_meth_ast_799_newName->definitionModule = modulename;
  meth_meth_ast_799_newName->definitionLine = 2767;
// method "oldName"
  block_savedest(obj797);
  Object closure800 = createclosure(1, "oldName");
  setclosureframe(closure800, stackframe);
  addtoclosure(closure800, var_o);
  struct UserObject *uo800 = (struct UserObject*)obj797;
  uo800->data[2] = (Object)closure800;
  Method *meth_meth_ast_800_oldName = addmethod2pos(obj797, "oldName", &meth_ast_800_oldName, 2);
  int argcv_meth_ast_800_oldName[] = {0};
  meth_meth_ast_800_oldName->type = alloc_MethodType(1, argcv_meth_ast_800_oldName);
  meth_meth_ast_800_oldName->definitionModule = modulename;
  meth_meth_ast_800_oldName->definitionLine = 2768;
// method "asString"
  block_savedest(obj797);
  Object closure801 = createclosure(2, "asString");
  setclosureframe(closure801, stackframe);
  addtoclosure(closure801, var_o);
  addtoclosure(closure801, var_n);
  struct UserObject *uo801 = (struct UserObject*)obj797;
  uo801->data[3] = (Object)closure801;
  Method *meth_meth_ast_801_asString = addmethod2pos(obj797, "asString", &meth_ast_801_asString, 3);
  int argcv_meth_ast_801_asString[] = {0};
  meth_meth_ast_801_asString->type = alloc_MethodType(1, argcv_meth_ast_801_asString);
  meth_meth_ast_801_asString->definitionModule = modulename;
  meth_meth_ast_801_asString->definitionLine = 2769;
// method "pretty(_)"
  block_savedest(obj797);
  Object closure821 = createclosure(2, "pretty(1)");
  setclosureframe(closure821, stackframe);
  addtoclosure(closure821, var_o);
  addtoclosure(closure821, var_n);
  struct UserObject *uo821 = (struct UserObject*)obj797;
  uo821->data[4] = (Object)closure821;
  Method *meth_meth_ast_821_pretty_40_1_41_ = addmethod2pos(obj797, "pretty(1)", &meth_ast_821_pretty_40_1_41_, 4);
  int argcv_meth_ast_821_pretty_40_1_41_[] = {1};
  meth_meth_ast_821_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_821_pretty_40_1_41_);
  meth_meth_ast_821_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_821_pretty_40_1_41_->definitionLine = 2770;
// method "hash"
  block_savedest(obj797);
  Object closure856 = createclosure(2, "hash");
  setclosureframe(closure856, stackframe);
  addtoclosure(closure856, var_o);
  addtoclosure(closure856, var_n);
  struct UserObject *uo856 = (struct UserObject*)obj797;
  uo856->data[5] = (Object)closure856;
  Method *meth_meth_ast_856_hash = addmethod2pos(obj797, "hash", &meth_ast_856_hash, 5);
  int argcv_meth_ast_856_hash[] = {0};
  meth_meth_ast_856_hash->type = alloc_MethodType(1, argcv_meth_ast_856_hash);
  meth_meth_ast_856_hash->definitionModule = modulename;
  meth_meth_ast_856_hash->definitionLine = 2774;
// method "isExecutable"
  struct UserObject *uo868 = (struct UserObject*)obj797;
  uo868->data[6] = emptyclosure;
  Method *meth_meth_ast_868_isExecutable = addmethod2pos(obj797, "isExecutable", &meth_ast_868_isExecutable, 6);
  int argcv_meth_ast_868_isExecutable[] = {0};
  meth_meth_ast_868_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_868_isExecutable);
  meth_meth_ast_868_isExecutable->definitionModule = modulename;
  meth_meth_ast_868_isExecutable->definitionLine = 2775;
// method "==(_)"
  block_savedest(obj797);
  Object closure870 = createclosure(3, "==(1)");
  setclosureframe(closure870, stackframe);
  addtoclosure(closure870, var_o);
  addtoclosure(closure870, var_n);
  addtoclosure(closure870, var_AliasPair);
  struct UserObject *uo870 = (struct UserObject*)obj797;
  uo870->data[7] = (Object)closure870;
  Method *meth_meth_ast_870__61__61__40_1_41_ = addmethod2pos(obj797, "==(1)", &meth_ast_870__61__61__40_1_41_, 7);
  int argcv_meth_ast_870__61__61__40_1_41_[] = {1};
  meth_meth_ast_870__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_870__61__61__40_1_41_);
  meth_meth_ast_870__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_870__61__61__40_1_41_->definitionLine = 2776;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  objclass797 = obj797->class;
  objclass797->definitionModule = modulename;
  objclass797->definitionLine = 2766;
  (*(struct UserObject *)self).data[0] = lowerouter797;
  self = oldself797;
  selfslot = oldselfslot797;
  stackframe = oldstackframe797;
  gc_frame_end(frame);
  return obj797;
}
Object meth_ast_796_aliasNew_40_1_41_old_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "aliasNew(1)old(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method aliasNew(_)old(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method aliasNew(_)old(_)");
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for aliasNew(_)old(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part aliasNew(_)");
  Object *var_o = &(stackframe->slots[1]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part old(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject797 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj797 = alloc_userobj2(7,8, objclass797);
  gc_frame_newslot(obj797);
  if (objclass797 == NULL) {
    glfree(obj797->class->name);
    obj797->class->name = "aliasNew(_)old(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj797, self, 0);
  addmethodreal(obj797,"outer", &reader_ast_outer_798);
  Object oldself797 = self;
  struct StackFrameObject *oldstackframe797 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe797);
  gc_frame_newslot((Object)stackframe);
  self = obj797;
  Object *oldselfslot797 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter797 = (*(struct UserObject *)self).data[0], lowerouter797 = thisouter797;
  if (inheritingObject797) {
    struct UserObject *inho797 = (struct UserObject *)inheritingObject797;
    while (inho797->super != GraceDefaultObject) inho797 = (struct UserObject *)inho797->super;
    inho797->super = obj797;
    self = inheritingObject797;
    *selfslot = self;
    lowerouter797 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter797;
  }
// method "newName"
  block_savedest(obj797);
  Object closure799 = createclosure(1, "newName");
  setclosureframe(closure799, stackframe);
  addtoclosure(closure799, var_n);
  struct UserObject *uo799 = (struct UserObject*)obj797;
  uo799->data[1] = (Object)closure799;
  Method *meth_meth_ast_799_newName = addmethod2pos(obj797, "newName", &meth_ast_799_newName, 1);
  int argcv_meth_ast_799_newName[] = {0};
  meth_meth_ast_799_newName->type = alloc_MethodType(1, argcv_meth_ast_799_newName);
  meth_meth_ast_799_newName->definitionModule = modulename;
  meth_meth_ast_799_newName->definitionLine = 2767;
// method "oldName"
  block_savedest(obj797);
  Object closure800 = createclosure(1, "oldName");
  setclosureframe(closure800, stackframe);
  addtoclosure(closure800, var_o);
  struct UserObject *uo800 = (struct UserObject*)obj797;
  uo800->data[2] = (Object)closure800;
  Method *meth_meth_ast_800_oldName = addmethod2pos(obj797, "oldName", &meth_ast_800_oldName, 2);
  int argcv_meth_ast_800_oldName[] = {0};
  meth_meth_ast_800_oldName->type = alloc_MethodType(1, argcv_meth_ast_800_oldName);
  meth_meth_ast_800_oldName->definitionModule = modulename;
  meth_meth_ast_800_oldName->definitionLine = 2768;
// method "asString"
  block_savedest(obj797);
  Object closure801 = createclosure(2, "asString");
  setclosureframe(closure801, stackframe);
  addtoclosure(closure801, var_o);
  addtoclosure(closure801, var_n);
  struct UserObject *uo801 = (struct UserObject*)obj797;
  uo801->data[3] = (Object)closure801;
  Method *meth_meth_ast_801_asString = addmethod2pos(obj797, "asString", &meth_ast_801_asString, 3);
  int argcv_meth_ast_801_asString[] = {0};
  meth_meth_ast_801_asString->type = alloc_MethodType(1, argcv_meth_ast_801_asString);
  meth_meth_ast_801_asString->definitionModule = modulename;
  meth_meth_ast_801_asString->definitionLine = 2769;
// method "pretty(_)"
  block_savedest(obj797);
  Object closure821 = createclosure(2, "pretty(1)");
  setclosureframe(closure821, stackframe);
  addtoclosure(closure821, var_o);
  addtoclosure(closure821, var_n);
  struct UserObject *uo821 = (struct UserObject*)obj797;
  uo821->data[4] = (Object)closure821;
  Method *meth_meth_ast_821_pretty_40_1_41_ = addmethod2pos(obj797, "pretty(1)", &meth_ast_821_pretty_40_1_41_, 4);
  int argcv_meth_ast_821_pretty_40_1_41_[] = {1};
  meth_meth_ast_821_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_821_pretty_40_1_41_);
  meth_meth_ast_821_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_821_pretty_40_1_41_->definitionLine = 2770;
// method "hash"
  block_savedest(obj797);
  Object closure856 = createclosure(2, "hash");
  setclosureframe(closure856, stackframe);
  addtoclosure(closure856, var_o);
  addtoclosure(closure856, var_n);
  struct UserObject *uo856 = (struct UserObject*)obj797;
  uo856->data[5] = (Object)closure856;
  Method *meth_meth_ast_856_hash = addmethod2pos(obj797, "hash", &meth_ast_856_hash, 5);
  int argcv_meth_ast_856_hash[] = {0};
  meth_meth_ast_856_hash->type = alloc_MethodType(1, argcv_meth_ast_856_hash);
  meth_meth_ast_856_hash->definitionModule = modulename;
  meth_meth_ast_856_hash->definitionLine = 2774;
// method "isExecutable"
  struct UserObject *uo868 = (struct UserObject*)obj797;
  uo868->data[6] = emptyclosure;
  Method *meth_meth_ast_868_isExecutable = addmethod2pos(obj797, "isExecutable", &meth_ast_868_isExecutable, 6);
  int argcv_meth_ast_868_isExecutable[] = {0};
  meth_meth_ast_868_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_868_isExecutable);
  meth_meth_ast_868_isExecutable->definitionModule = modulename;
  meth_meth_ast_868_isExecutable->definitionLine = 2775;
// method "==(_)"
  block_savedest(obj797);
  Object closure870 = createclosure(3, "==(1)");
  setclosureframe(closure870, stackframe);
  addtoclosure(closure870, var_o);
  addtoclosure(closure870, var_n);
  addtoclosure(closure870, var_AliasPair);
  struct UserObject *uo870 = (struct UserObject*)obj797;
  uo870->data[7] = (Object)closure870;
  Method *meth_meth_ast_870__61__61__40_1_41_ = addmethod2pos(obj797, "==(1)", &meth_ast_870__61__61__40_1_41_, 7);
  int argcv_meth_ast_870__61__61__40_1_41_[] = {1};
  meth_meth_ast_870__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_870__61__61__40_1_41_);
  meth_meth_ast_870__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_870__61__61__40_1_41_->definitionLine = 2776;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  sourceObject = obj797;
  objclass797 = obj797->class;
  objclass797->definitionModule = modulename;
  objclass797->definitionLine = 2766;
  (*(struct UserObject *)self).data[0] = lowerouter797;
  self = oldself797;
  selfslot = oldselfslot797;
  stackframe = oldstackframe797;
  gc_frame_end(frame);
  return obj797;
}
Object meth_ast_936__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ind (depth = 8)
  int op_slot_right_937 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_len (depth = 8)
  int op_slot_left_937 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff939 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff939 (depth = 7)
  gc_frame_end(frame);
  return diff939;
}
Object meth_ast_929__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_currBreak = getfromclosure(closure, 3);
  Object *var_trimmedLine = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3034
  setline(3034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe930 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit931 == NULL) {
    strlit931 = alloc_String(" ");
    gc_root(strlit931);
  }
// compiled string node returning strlit931 (depth = 6)
  gc_frame_newslot(strlit931);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ind (depth = 7)
  int op_slot_right_932 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_len (depth = 7)
  int op_slot_left_932 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff934 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff934 (depth = 6)
  gc_frame_newslot(diff934);
// Begin line 3035
  setline(3035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 6)
  Object block935 = alloc_Block(NULL, NULL, "ast", 3035);
  gc_frame_newslot(block935);
// method "_apply"
  block_savedest(block935);
  Object closure936 = createclosure(3, "_apply");
  setclosureframe(closure936, stackframe);
  addtoclosure(closure936, var_ind);
  addtoclosure(closure936, var_len);
  addtoclosure(closure936, selfslot);
  struct UserObject *uo936 = (struct UserObject*)block935;
  uo936->data[0] = (Object)closure936;
  Method *meth_meth_ast_936__apply = addmethod2pos(block935, "_apply", &meth_ast_936__apply, 0);
  int argcv_meth_ast_936__apply[] = {0};
  meth_meth_ast_936__apply->type = alloc_MethodType(1, argcv_meth_ast_936__apply);
  meth_meth_ast_936__apply->definitionModule = modulename;
  meth_meth_ast_936__apply->definitionLine = 3216;
// compiled block node returning block935 (depth = 6)
  gc_frame_newslot(block935);
// call case 6: other requests
// Begin line 3034
  setline(3034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  params[0] = strlit931;
  params[1] = diff934;
  params[2] = block935;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call941 = callmethodflags(*var_str, "lastIndexOf(1)startingAt(1)ifAbsent(1)", 3, partcv, params, 0);
  gc_frame_end(callframe930);
// compiled call node returning call941 (depth = 5)
  *var_currBreak = call941;
  if (call941 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe943 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe944 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num945 = alloc_Float64(1);
// compiled num node returning num945 (depth = 7)
  gc_frame_newslot(num945);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_currBreak (depth = 7)
  gc_frame_newslot(*var_currBreak);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_str (depth = 7)
  params[0] = num945;
  params[1] = *var_currBreak;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call946 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe944);
// compiled call node returning call946 (depth = 6)
  Object call947 = callmethodflags(call946, "trim", 0, partcv, params, 0);
  gc_frame_end(callframe943);
// compiled member node returning call947 (depth = 5)
  *var_trimmedLine = call947;
  if (call947 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_962__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_str = getfromclosure(closure, 0);
  Object *var_currBreak = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 3040
  setline(3040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit965 == NULL) {
    strlit965 = alloc_String(" ");
    gc_root(strlit965);
  }
// compiled string node returning strlit965 (depth = 8)
  int op_slot_right_964 = gc_frame_newslot(strlit965);
// starting to compile call node (depth = 8)
  int callframe967 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call968 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe967);
// compiled call node returning call968 (depth = 8)
  int op_slot_left_964 = gc_frame_newslot(call968);
  params[0] = strlit965;
  partcv[0] = 1;
  Object opresult969 = callmethod(call968, "==(1)", 1, partcv, params);
// compiled op node returning opresult969 (depth = 7)
  Object if963 = done;
  if (istrue(opresult969)) {
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  *var_currBreak = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if963 = done;
  } else {
  }
// compiled if node returning if963 (depth = 6)
  gc_frame_end(frame);
  return if963;
}
Object meth_ast_982__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit984 == NULL) {
    strlit984 = alloc_String(" ");
    gc_root(strlit984);
  }
// compiled string node returning strlit984 (depth = 9)
  int op_slot_right_983 = gc_frame_newslot(strlit984);
// starting to compile call node (depth = 9)
  int callframe986 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_end (depth = 10)
  gc_frame_newslot(*var_end);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  params[0] = *var_end;
  partcv[0] = 1;
  Object call987 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe986);
// compiled call node returning call987 (depth = 9)
  int op_slot_left_983 = gc_frame_newslot(call987);
  params[0] = strlit984;
  partcv[0] = 1;
  Object opresult988 = callmethod(call987, "==(1)", 1, partcv, params);
// compiled op node returning opresult988 (depth = 8)
  gc_frame_end(frame);
  return opresult988;
}
Object meth_ast_979__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block981 = alloc_Block(NULL, NULL, "ast", 3043);
  gc_frame_newslot(block981);
// method "_apply"
  block_savedest(block981);
  Object closure982 = createclosure(3, "_apply");
  setclosureframe(closure982, stackframe);
  addtoclosure(closure982, var_end);
  addtoclosure(closure982, var_str);
  addtoclosure(closure982, selfslot);
  struct UserObject *uo982 = (struct UserObject*)block981;
  uo982->data[0] = (Object)closure982;
  Method *meth_meth_ast_982__apply = addmethod2pos(block981, "_apply", &meth_ast_982__apply, 0);
  int argcv_meth_ast_982__apply[] = {0};
  meth_meth_ast_982__apply->type = alloc_MethodType(1, argcv_meth_ast_982__apply);
  meth_meth_ast_982__apply->definitionModule = modulename;
  meth_meth_ast_982__apply->definitionLine = 3216;
// compiled block node returning block981 (depth = 7)
  int op_slot_right_980 = gc_frame_newslot(block981);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num992 = alloc_Float64(1);
// compiled num node returning num992 (depth = 8)
  int op_slot_right_991 = gc_frame_newslot(num992);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_end (depth = 8)
  int op_slot_left_991 = gc_frame_newslot(*var_end);
  params[0] = num992;
  partcv[0] = 1;
  Object opresult994 = callmethod(*var_end, "≥(1)", 1, partcv, params);
// compiled op node returning opresult994 (depth = 7)
  int op_slot_left_980 = gc_frame_newslot(opresult994);
  params[0] = block981;
  partcv[0] = 1;
  Object opresult995 = callmethod(opresult994, "&&(1)", 1, partcv, params);
// compiled op node returning opresult995 (depth = 6)
  gc_frame_end(frame);
  return opresult995;
}
Object meth_ast_998__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3044
  setline(3044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1000 = alloc_Float64(1);
// compiled num node returning num1000 (depth = 8)
  int op_slot_right_999 = gc_frame_newslot(num1000);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_end (depth = 8)
  int op_slot_left_999 = gc_frame_newslot(*var_end);
  params[0] = num1000;
  partcv[0] = 1;
  Object diff1002 = callmethod(*var_end, "-(1)", 1, partcv, params);
// compiled op node returning diff1002 (depth = 7)
  *var_end = diff1002;
  if (diff1002 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1012__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1014 == NULL) {
    strlit1014 = alloc_String(" ");
    gc_root(strlit1014);
  }
// compiled string node returning strlit1014 (depth = 9)
  int op_slot_right_1013 = gc_frame_newslot(strlit1014);
// starting to compile call node (depth = 9)
  int callframe1016 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_start (depth = 10)
  gc_frame_newslot(*var_start);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  params[0] = *var_start;
  partcv[0] = 1;
  Object call1017 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1016);
// compiled call node returning call1017 (depth = 9)
  int op_slot_left_1013 = gc_frame_newslot(call1017);
  params[0] = strlit1014;
  partcv[0] = 1;
  Object opresult1018 = callmethod(call1017, "==(1)", 1, partcv, params);
// compiled op node returning opresult1018 (depth = 8)
  gc_frame_end(frame);
  return opresult1018;
}
Object meth_ast_1009__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block1011 = alloc_Block(NULL, NULL, "ast", 3047);
  gc_frame_newslot(block1011);
// method "_apply"
  block_savedest(block1011);
  Object closure1012 = createclosure(3, "_apply");
  setclosureframe(closure1012, stackframe);
  addtoclosure(closure1012, var_start);
  addtoclosure(closure1012, var_str);
  addtoclosure(closure1012, selfslot);
  struct UserObject *uo1012 = (struct UserObject*)block1011;
  uo1012->data[0] = (Object)closure1012;
  Method *meth_meth_ast_1012__apply = addmethod2pos(block1011, "_apply", &meth_ast_1012__apply, 0);
  int argcv_meth_ast_1012__apply[] = {0};
  meth_meth_ast_1012__apply->type = alloc_MethodType(1, argcv_meth_ast_1012__apply);
  meth_meth_ast_1012__apply->definitionModule = modulename;
  meth_meth_ast_1012__apply->definitionLine = 3216;
// compiled block node returning block1011 (depth = 7)
  int op_slot_right_1010 = gc_frame_newslot(block1011);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1022 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1023 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1022);
// compiled member node returning call1023 (depth = 8)
  int op_slot_right_1021 = gc_frame_newslot(call1023);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_start (depth = 8)
  int op_slot_left_1021 = gc_frame_newslot(*var_start);
  params[0] = call1023;
  partcv[0] = 1;
  Object opresult1025 = callmethod(*var_start, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1025 (depth = 7)
  int op_slot_left_1010 = gc_frame_newslot(opresult1025);
  params[0] = block1011;
  partcv[0] = 1;
  Object opresult1026 = callmethod(opresult1025, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1026 (depth = 6)
  gc_frame_end(frame);
  return opresult1026;
}
Object meth_ast_1029__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3048
  setline(3048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1031 = alloc_Float64(1);
// compiled num node returning num1031 (depth = 8)
  int op_slot_right_1030 = gc_frame_newslot(num1031);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_start (depth = 8)
  int op_slot_left_1030 = gc_frame_newslot(*var_start);
  params[0] = num1031;
  partcv[0] = 1;
  Object sum1033 = callmethod(*var_start, "+(1)", 1, partcv, params);
// compiled op node returning sum1033 (depth = 7)
  *var_start = sum1033;
  if (sum1033 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_951__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_currBreak = getfromclosure(closure, 3);
  Object *var_trimmedLine = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_end = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "end");
  Object *var_start = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "start");
// Begin line 3038
  setline(3038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe952 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ind (depth = 7)
  int op_slot_right_953 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_len (depth = 7)
  int op_slot_left_953 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff955 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff955 (depth = 6)
  gc_frame_newslot(diff955);
// starting to compile member node (depth = 6)
  int callframe956 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_str (depth = 7)
  Object call957 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe956);
// compiled member node returning call957 (depth = 6)
  gc_frame_newslot(call957);
// call case 5: prelude request
  params[0] = diff955;
  params[1] = call957;
  partcv[0] = 2;
  Object call958 = callmethodflags(prelude, "min(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe952);
// compiled call node returning call958 (depth = 5)
  *var_currBreak = call958;
  if (call958 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe960 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block961 = alloc_Block(NULL, NULL, "ast", 3039);
  gc_frame_newslot(block961);
// method "_apply(_)"
  block_savedest(block961);
  Object closure962 = createclosure(3, "_apply(1)");
  setclosureframe(closure962, stackframe);
  addtoclosure(closure962, var_str);
  addtoclosure(closure962, var_currBreak);
  addtoclosure(closure962, selfslot);
  struct UserObject *uo962 = (struct UserObject*)block961;
  uo962->data[0] = (Object)closure962;
  Method *meth_meth_ast_962__apply_40_1_41_ = addmethod2pos(block961, "_apply(1)", &meth_ast_962__apply_40_1_41_, 0);
  int argcv_meth_ast_962__apply_40_1_41_[] = {1};
  meth_meth_ast_962__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_962__apply_40_1_41_);
  meth_meth_ast_962__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_962__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block961 (depth = 5)
  gc_frame_newslot(block961);
// call case 6: other requests
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currBreak (depth = 6)
  int op_slot_right_972 = gc_frame_newslot(*var_currBreak);
// starting to compile num node (depth = 6)
  Object num974 = alloc_Float64(1);
// compiled num node returning num974 (depth = 6)
  int op_slot_left_972 = gc_frame_newslot(num974);
  params[0] = *var_currBreak;
  partcv[0] = 1;
  Object opresult975 = callmethod(num974, "..(1)", 1, partcv, params);
// compiled op node returning opresult975 (depth = 5)
  params[0] = block961;
  partcv[0] = 1;
  Object call976 = callmethodflags(opresult975, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe960);
// compiled call node returning call976 (depth = 4)
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_currBreak (depth = 5)
  *var_end = *var_currBreak;
  if (*var_currBreak == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3043
  setline(3043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe977 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block978 = alloc_Block(NULL, NULL, "ast", 3043);
  gc_frame_newslot(block978);
// method "_apply"
  block_savedest(block978);
  Object closure979 = createclosure(3, "_apply");
  setclosureframe(closure979, stackframe);
  addtoclosure(closure979, var_end);
  addtoclosure(closure979, var_str);
  addtoclosure(closure979, selfslot);
  struct UserObject *uo979 = (struct UserObject*)block978;
  uo979->data[0] = (Object)closure979;
  Method *meth_meth_ast_979__apply = addmethod2pos(block978, "_apply", &meth_ast_979__apply, 0);
  int argcv_meth_ast_979__apply[] = {0};
  meth_meth_ast_979__apply->type = alloc_MethodType(1, argcv_meth_ast_979__apply);
  meth_meth_ast_979__apply->definitionModule = modulename;
  meth_meth_ast_979__apply->definitionLine = 3216;
// compiled block node returning block978 (depth = 5)
  gc_frame_newslot(block978);
// starting to compile block node (depth = 5)
  Object block997 = alloc_Block(NULL, NULL, "ast", 3043);
  gc_frame_newslot(block997);
// method "_apply"
  block_savedest(block997);
  Object closure998 = createclosure(2, "_apply");
  setclosureframe(closure998, stackframe);
  addtoclosure(closure998, var_end);
  addtoclosure(closure998, selfslot);
  struct UserObject *uo998 = (struct UserObject*)block997;
  uo998->data[0] = (Object)closure998;
  Method *meth_meth_ast_998__apply = addmethod2pos(block997, "_apply", &meth_ast_998__apply, 0);
  int argcv_meth_ast_998__apply[] = {0};
  meth_meth_ast_998__apply->type = alloc_MethodType(1, argcv_meth_ast_998__apply);
  meth_meth_ast_998__apply->definitionModule = modulename;
  meth_meth_ast_998__apply->definitionLine = 3216;
// compiled block node returning block997 (depth = 5)
  gc_frame_newslot(block997);
// call case 5: prelude request
  params[0] = block978;
  params[1] = block997;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1005 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe977);
// compiled call node returning call1005 (depth = 4)
// Begin line 3046
  setline(3046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1006 = alloc_Float64(1);
// compiled num node returning num1006 (depth = 5)
  *var_start = num1006;
  if (num1006 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3047
  setline(3047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1007 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1008 = alloc_Block(NULL, NULL, "ast", 3047);
  gc_frame_newslot(block1008);
// method "_apply"
  block_savedest(block1008);
  Object closure1009 = createclosure(3, "_apply");
  setclosureframe(closure1009, stackframe);
  addtoclosure(closure1009, var_start);
  addtoclosure(closure1009, var_str);
  addtoclosure(closure1009, selfslot);
  struct UserObject *uo1009 = (struct UserObject*)block1008;
  uo1009->data[0] = (Object)closure1009;
  Method *meth_meth_ast_1009__apply = addmethod2pos(block1008, "_apply", &meth_ast_1009__apply, 0);
  int argcv_meth_ast_1009__apply[] = {0};
  meth_meth_ast_1009__apply->type = alloc_MethodType(1, argcv_meth_ast_1009__apply);
  meth_meth_ast_1009__apply->definitionModule = modulename;
  meth_meth_ast_1009__apply->definitionLine = 3216;
// compiled block node returning block1008 (depth = 5)
  gc_frame_newslot(block1008);
// starting to compile block node (depth = 5)
  Object block1028 = alloc_Block(NULL, NULL, "ast", 3047);
  gc_frame_newslot(block1028);
// method "_apply"
  block_savedest(block1028);
  Object closure1029 = createclosure(2, "_apply");
  setclosureframe(closure1029, stackframe);
  addtoclosure(closure1029, var_start);
  addtoclosure(closure1029, selfslot);
  struct UserObject *uo1029 = (struct UserObject*)block1028;
  uo1029->data[0] = (Object)closure1029;
  Method *meth_meth_ast_1029__apply = addmethod2pos(block1028, "_apply", &meth_ast_1029__apply, 0);
  int argcv_meth_ast_1029__apply[] = {0};
  meth_meth_ast_1029__apply->type = alloc_MethodType(1, argcv_meth_ast_1029__apply);
  meth_meth_ast_1029__apply->definitionModule = modulename;
  meth_meth_ast_1029__apply->definitionLine = 3216;
// compiled block node returning block1028 (depth = 5)
  gc_frame_newslot(block1028);
// call case 5: prelude request
  params[0] = block1008;
  params[1] = block1028;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1036 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1007);
// compiled call node returning call1036 (depth = 4)
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1037 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_start (depth = 6)
  gc_frame_newslot(*var_start);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_end (depth = 6)
  gc_frame_newslot(*var_end);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  params[0] = *var_start;
  params[1] = *var_end;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1038 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1037);
// compiled call node returning call1038 (depth = 5)
  *var_trimmedLine = call1038;
  if (call1038 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(8, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "wrap(1)to(1)prefix(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for wrap(_)to(_)prefix(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part wrap(_)");
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *var_margin = &(stackframe->slots[2]);
  *var_margin = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part prefix(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_ind = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ind");
  Object *var_len = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "len");
// definebindings:
// definebindings:
  Object *var_currBreak = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "currBreak");
  Object *var_trimmedLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "trimmedLine");
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe903 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_margin (depth = 4)
  Object call904 = callmethodflags(*var_margin, "size", 0, partcv, params, 0);
  gc_frame_end(callframe903);
// compiled member node returning call904 (depth = 3)
  *var_ind = call904;
  if (call904 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3026
  setline(3026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe905 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num907 = alloc_Float64(4);
// compiled num node returning num907 (depth = 5)
  int op_slot_right_906 = gc_frame_newslot(num907);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ind (depth = 5)
  int op_slot_left_906 = gc_frame_newslot(*var_ind);
  params[0] = num907;
  partcv[0] = 1;
  Object sum909 = callmethod(*var_ind, "+(1)", 1, partcv, params);
// compiled op node returning sum909 (depth = 4)
  gc_frame_newslot(sum909);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  gc_frame_newslot(*var_l);
// call case 5: prelude request
  params[0] = sum909;
  params[1] = *var_l;
  partcv[0] = 2;
  Object call910 = callmethodflags(prelude, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe905);
// compiled call node returning call910 (depth = 3)
  *var_len = call910;
  if (call910 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3027
  setline(3027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_len (depth = 4)
  int op_slot_right_912 = gc_frame_newslot(*var_len);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe915 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  Object call916 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe915);
// compiled member node returning call916 (depth = 5)
  int op_slot_right_914 = gc_frame_newslot(call916);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ind (depth = 5)
  int op_slot_left_914 = gc_frame_newslot(*var_ind);
  params[0] = call916;
  partcv[0] = 1;
  Object sum918 = callmethod(*var_ind, "+(1)", 1, partcv, params);
// compiled op node returning sum918 (depth = 4)
  int op_slot_left_912 = gc_frame_newslot(sum918);
  params[0] = *var_len;
  partcv[0] = 1;
  Object opresult919 = callmethod(sum918, "≤(1)", 1, partcv, params);
// compiled op node returning opresult919 (depth = 3)
  Object if911 = done;
  if (istrue(opresult919)) {
// Begin line 3028
  setline(3028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_str (depth = 5)
  int op_slot_right_920 = gc_frame_newslot(*var_str);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_margin (depth = 6)
  int op_slot_right_922 = gc_frame_newslot(*var_margin);
// starting to compile string node (depth = 6)
  if (strlit924 == NULL) {
    strlit924 = alloc_String("""\x0a""");
    gc_root(strlit924);
  }
// compiled string node returning strlit924 (depth = 6)
  int op_slot_left_922 = gc_frame_newslot(strlit924);
  params[0] = *var_margin;
  partcv[0] = 1;
  Object opresult925 = callmethod(strlit924, "++(1)", 1, partcv, params);
// compiled op node returning opresult925 (depth = 5)
  int op_slot_left_920 = gc_frame_newslot(opresult925);
  params[0] = *var_str;
  partcv[0] = 1;
  Object opresult926 = callmethod(opresult925, "++(1)", 1, partcv, params);
// compiled op node returning opresult926 (depth = 4)
  return opresult926;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if911 = undefined;
  } else {
  }
// compiled if node returning if911 (depth = 2)
// Begin line 3030
  setline(3030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_currBreak = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 3031
  setline(3031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_trimmedLine = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 3033
  setline(3033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block928 = alloc_Block(NULL, NULL, "ast", 3033);
  gc_frame_newslot(block928);
// method "_apply"
  block_savedest(block928);
  Object closure929 = createclosure(6, "_apply");
  setclosureframe(closure929, stackframe);
  addtoclosure(closure929, var_ind);
  addtoclosure(closure929, var_len);
  addtoclosure(closure929, var_str);
  addtoclosure(closure929, var_currBreak);
  addtoclosure(closure929, var_trimmedLine);
  addtoclosure(closure929, selfslot);
  struct UserObject *uo929 = (struct UserObject*)block928;
  uo929->data[0] = (Object)closure929;
  Method *meth_meth_ast_929__apply = addmethod2pos(block928, "_apply", &meth_ast_929__apply, 0);
  int argcv_meth_ast_929__apply[] = {0};
  meth_meth_ast_929__apply->type = alloc_MethodType(1, argcv_meth_ast_929__apply);
  meth_meth_ast_929__apply->definitionModule = modulename;
  meth_meth_ast_929__apply->definitionLine = 3216;
// compiled block node returning block928 (depth = 3)
  int frame927 = gc_frame_new();
  gc_frame_newslot(block928);
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block950 = alloc_Block(NULL, NULL, "ast", 3037);
  gc_frame_newslot(block950);
// method "_apply(_)"
  block_savedest(block950);
  Object closure951 = createclosure(6, "_apply(1)");
  setclosureframe(closure951, stackframe);
  addtoclosure(closure951, var_ind);
  addtoclosure(closure951, var_len);
  addtoclosure(closure951, var_str);
  addtoclosure(closure951, var_currBreak);
  addtoclosure(closure951, var_trimmedLine);
  addtoclosure(closure951, selfslot);
  struct UserObject *uo951 = (struct UserObject*)block950;
  uo951->data[0] = (Object)closure951;
  Method *meth_meth_ast_951__apply_40_1_41_ = addmethod2pos(block950, "_apply(1)", &meth_ast_951__apply_40_1_41_, 0);
  int argcv_meth_ast_951__apply_40_1_41_[] = {1};
  meth_meth_ast_951__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_951__apply_40_1_41_);
  meth_meth_ast_951__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_951__apply_40_1_41_->definitionLine = 3216;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1041 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe1042 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1043 == NULL) {
    strlit1043 = alloc_String("ex");
    gc_root(strlit1043);
  }
// compiled string node returning strlit1043 (depth = 6)
  gc_frame_newslot(strlit1043);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1044 = gc_frame_new();
// call case 5: prelude request
  Object call1045 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1044);
// compiled member node returning call1045 (depth = 6)
  params[0] = strlit1043;
  partcv[0] = 1;
  Object call1046 = callmethodflags(call1045, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1042);
// compiled call node returning call1046 (depth = 5)
  gc_frame_newslot(call1046);
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1047 = gc_frame_new();
// call case 5: prelude request
  Object call1048 = callmethodflags(prelude, "NoSuchMethod", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1047);
// compiled member node returning call1048 (depth = 5)
  gc_frame_newslot(call1048);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1049 = gc_frame_new();
// call case 5: prelude request
  Object call1050 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1049);
// compiled member node returning call1050 (depth = 5)
  params[0] = call1046;
  params[1] = call1048;
  partcv[0] = 2;
  Object call1051 = callmethodflags(call1050, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1041);
// compiled call node returning call1051 (depth = 4)
((struct UserObject *)block950)->data[1] = call1051;
// compiled block node returning block950 (depth = 3)
  gc_frame_newslot(block950);
  params[0] = block950;
  setline(3033);
  Object catchres927 = tryCatch(block928, params, 1,NULL);
  gc_frame_end(frame927);
// compiled trycatch node returning catchres927 (depth = 2)
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 3053
  setline(3053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1053 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1054 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1056 = alloc_Float64(1);
// compiled num node returning num1056 (depth = 6)
  int op_slot_right_1055 = gc_frame_newslot(num1056);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currBreak (depth = 6)
  int op_slot_left_1055 = gc_frame_newslot(*var_currBreak);
  params[0] = num1056;
  partcv[0] = 1;
  Object sum1058 = callmethod(*var_currBreak, "+(1)", 1, partcv, params);
// compiled op node returning sum1058 (depth = 5)
  gc_frame_newslot(sum1058);
// starting to compile member node (depth = 5)
  int callframe1059 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  Object call1060 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1059);
// compiled member node returning call1060 (depth = 5)
  gc_frame_newslot(call1060);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_str (depth = 5)
  params[0] = sum1058;
  params[1] = call1060;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1061 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1054);
// compiled call node returning call1061 (depth = 4)
  gc_frame_newslot(call1061);
// Begin line 3054
  setline(3054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  gc_frame_newslot(*var_l);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_margin (depth = 4)
  gc_frame_newslot(*var_margin);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call1061;
  params[1] = *var_l;
  params[2] = *var_margin;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1062 = callmethodflags(module_ast, "wrap(1)to(1)prefix(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1053);
// compiled call node returning call1062 (depth = 3)
  int op_slot_right_1052 = gc_frame_newslot(call1062);
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_trimmedLine (depth = 4)
  int op_slot_right_1064 = gc_frame_newslot(*var_trimmedLine);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_margin (depth = 5)
  int op_slot_right_1066 = gc_frame_newslot(*var_margin);
// starting to compile string node (depth = 5)
  if (strlit1068 == NULL) {
    strlit1068 = alloc_String("""\x0a""");
    gc_root(strlit1068);
  }
// compiled string node returning strlit1068 (depth = 5)
  int op_slot_left_1066 = gc_frame_newslot(strlit1068);
  params[0] = *var_margin;
  partcv[0] = 1;
  Object opresult1069 = callmethod(strlit1068, "++(1)", 1, partcv, params);
// compiled op node returning opresult1069 (depth = 4)
  int op_slot_left_1064 = gc_frame_newslot(opresult1069);
  params[0] = *var_trimmedLine;
  partcv[0] = 1;
  Object opresult1070 = callmethod(opresult1069, "++(1)", 1, partcv, params);
// compiled op node returning opresult1070 (depth = 3)
  int op_slot_left_1052 = gc_frame_newslot(opresult1070);
  params[0] = call1062;
  partcv[0] = 1;
  Object opresult1071 = callmethod(opresult1070, "++(1)", 1, partcv, params);
// compiled op node returning opresult1071 (depth = 2)
  gc_frame_end(frame);
  return opresult1071;
}
Object meth_ast_1075_visitIf_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3092
  setline(3092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1076 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1077 = callmethodflags(self, "visitIf(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1076);
// compiled call node returning call1077 (depth = 2)
  gc_frame_end(frame);
  return call1077;
}
Object meth_ast_1078_visitBlock_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3093
  setline(3093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1079 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1080 = callmethodflags(self, "visitBlock(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1079);
// compiled call node returning call1080 (depth = 2)
  gc_frame_end(frame);
  return call1080;
}
Object meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3094
  setline(3094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1082 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1083 = callmethodflags(self, "visitMatchCase(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1082);
// compiled call node returning call1083 (depth = 2)
  gc_frame_end(frame);
  return call1083;
}
Object meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTryCatch(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3095
  setline(3095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1085 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1086 = callmethodflags(self, "visitTryCatch(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1085);
// compiled call node returning call1086 (depth = 2)
  gc_frame_end(frame);
  return call1086;
}
Object meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3096
  setline(3096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1088 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1089 = callmethodflags(self, "visitMethodType(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1088);
// compiled call node returning call1089 (depth = 2)
  gc_frame_end(frame);
  return call1089;
}
Object meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3097
  setline(3097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1091 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1092 = callmethodflags(self, "visitSignaturePart(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1091);
// compiled call node returning call1092 (depth = 2)
  gc_frame_end(frame);
  return call1092;
}
Object meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3098
  setline(3098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1094 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1095 = callmethodflags(self, "visitTypeDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1094);
// compiled call node returning call1095 (depth = 2)
  gc_frame_end(frame);
  return call1095;
}
Object meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3099
  setline(3099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1097 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1098 = callmethodflags(self, "visitTypeLiteral(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1097);
// compiled call node returning call1098 (depth = 2)
  gc_frame_end(frame);
  return call1098;
}
Object meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeParameters(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeParameters(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeParameters(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3100
  setline(3100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1100 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1101 = callmethodflags(self, "visitTypeParameters(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1100);
// compiled call node returning call1101 (depth = 2)
  gc_frame_end(frame);
  return call1101;
}
Object meth_ast_1102_visitMethod_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3101
  setline(3101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1103 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1104 = callmethodflags(self, "visitMethod(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1103);
// compiled call node returning call1104 (depth = 2)
  gc_frame_end(frame);
  return call1104;
}
Object meth_ast_1105_visitCall_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3102
  setline(3102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1106 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1107 = callmethodflags(self, "visitCall(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1106);
// compiled call node returning call1107 (depth = 2)
  gc_frame_end(frame);
  return call1107;
}
Object meth_ast_1108_visitObject_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3103
  setline(3103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1109 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1110 = callmethodflags(self, "visitObject(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1109);
// compiled call node returning call1110 (depth = 2)
  gc_frame_end(frame);
  return call1110;
}
Object meth_ast_1111_visitModule_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitModule(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3104
  setline(3104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1112 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1113 = callmethodflags(self, "visitObject(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1112);
// compiled call node returning call1113 (depth = 2)
  gc_frame_end(frame);
  return call1113;
}
Object meth_ast_1114_visitArray_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3105
  setline(3105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1115 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1116 = callmethodflags(self, "visitArray(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1115);
// compiled call node returning call1116 (depth = 2)
  gc_frame_end(frame);
  return call1116;
}
Object meth_ast_1117_visitMember_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1118 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1119 = callmethodflags(self, "visitMember(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1118);
// compiled call node returning call1119 (depth = 2)
  gc_frame_end(frame);
  return call1119;
}
Object meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3107
  setline(3107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1121 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1122 = callmethodflags(self, "visitGeneric(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1121);
// compiled call node returning call1122 (depth = 2)
  gc_frame_end(frame);
  return call1122;
}
Object meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3108
  setline(3108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1124 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1125 = callmethodflags(self, "visitIdentifier(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1124);
// compiled call node returning call1125 (depth = 2)
  gc_frame_end(frame);
  return call1125;
}
Object meth_ast_1126_visitString_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1127 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1128 = callmethodflags(self, "visitString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1127);
// compiled call node returning call1128 (depth = 2)
  gc_frame_end(frame);
  return call1128;
}
Object meth_ast_1129_visitNum_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3110
  setline(3110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1130 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1131 = callmethodflags(self, "visitNum(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1130);
// compiled call node returning call1131 (depth = 2)
  gc_frame_end(frame);
  return call1131;
}
Object meth_ast_1132_visitOp_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3111
  setline(3111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1133 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1134 = callmethodflags(self, "visitOp(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1133);
// compiled call node returning call1134 (depth = 2)
  gc_frame_end(frame);
  return call1134;
}
Object meth_ast_1135_visitBind_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1136 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1137 = callmethodflags(self, "visitBind(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1136);
// compiled call node returning call1137 (depth = 2)
  gc_frame_end(frame);
  return call1137;
}
Object meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1139 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1140 = callmethodflags(self, "visitDefDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1139);
// compiled call node returning call1140 (depth = 2)
  gc_frame_end(frame);
  return call1140;
}
Object meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3114
  setline(3114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1142 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1143 = callmethodflags(self, "visitVarDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1142);
// compiled call node returning call1143 (depth = 2)
  gc_frame_end(frame);
  return call1143;
}
Object meth_ast_1144_visitImport_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3115
  setline(3115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1145 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1146 = callmethodflags(self, "visitImport(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1145);
// compiled call node returning call1146 (depth = 2)
  gc_frame_end(frame);
  return call1146;
}
Object meth_ast_1147_visitReturn_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3116
  setline(3116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1148 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1149 = callmethodflags(self, "visitReturn(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1148);
// compiled call node returning call1149 (depth = 2)
  gc_frame_end(frame);
  return call1149;
}
Object meth_ast_1150_visitInherits_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3117
  setline(3117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1151 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1152 = callmethodflags(self, "visitInherits(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1151);
// compiled call node returning call1152 (depth = 2)
  gc_frame_end(frame);
  return call1152;
}
Object meth_ast_1153_visitDialect_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1154 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1155 = callmethodflags(self, "visitDialect(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1154);
// compiled call node returning call1155 (depth = 2)
  gc_frame_end(frame);
  return call1155;
}
Object meth_ast_1156_visitComment_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitComment(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3119
  setline(3119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1157 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1158 = callmethodflags(self, "visitComment(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1157);
// compiled call node returning call1158 (depth = 2)
  gc_frame_end(frame);
  return call1158;
}
Object meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImplicit(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3120
  setline(3120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1160 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1161 = callmethodflags(self, "visitImplicit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1160);
// compiled call node returning call1161 (depth = 2)
  gc_frame_end(frame);
  return call1161;
}
Object meth_ast_1162_visitOuter_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOuter(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOuter(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOuter(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOuter(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOuter(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1163 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1164 = callmethodflags(self, "visitOuter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1163);
// compiled call node returning call1164 (depth = 2)
  gc_frame_end(frame);
  return call1164;
}
Object meth_ast_1165_visitIf_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3123
  setline(3123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1166 = alloc_Boolean(1);
// compiled identifier node returning bool1166 (depth = 2)
  gc_frame_end(frame);
  return bool1166;
}
Object meth_ast_1167_visitBlock_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3124
  setline(3124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1168 = alloc_Boolean(1);
// compiled identifier node returning bool1168 (depth = 2)
  gc_frame_end(frame);
  return bool1168;
}
Object meth_ast_1169_visitMatchCase_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1170 = alloc_Boolean(1);
// compiled identifier node returning bool1170 (depth = 2)
  gc_frame_end(frame);
  return bool1170;
}
Object meth_ast_1171_visitTryCatch_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTryCatch(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3126
  setline(3126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1172 = alloc_Boolean(1);
// compiled identifier node returning bool1172 (depth = 2)
  gc_frame_end(frame);
  return bool1172;
}
Object meth_ast_1173_visitMethodType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3127
  setline(3127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1174 = alloc_Boolean(1);
// compiled identifier node returning bool1174 (depth = 2)
  gc_frame_end(frame);
  return bool1174;
}
Object meth_ast_1175_visitSignaturePart_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3128
  setline(3128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1176 = alloc_Boolean(1);
// compiled identifier node returning bool1176 (depth = 2)
  gc_frame_end(frame);
  return bool1176;
}
Object meth_ast_1177_visitTypeDec_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3129
  setline(3129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1178 = alloc_Boolean(1);
// compiled identifier node returning bool1178 (depth = 2)
  gc_frame_end(frame);
  return bool1178;
}
Object meth_ast_1179_visitTypeLiteral_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3130
  setline(3130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1180 = alloc_Boolean(1);
// compiled identifier node returning bool1180 (depth = 2)
  gc_frame_end(frame);
  return bool1180;
}
Object meth_ast_1181_visitTypeParameters_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeParameters(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeParameters(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeParameters(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3131
  setline(3131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1182 = alloc_Boolean(1);
// compiled identifier node returning bool1182 (depth = 2)
  gc_frame_end(frame);
  return bool1182;
}
Object meth_ast_1183_visitMethod_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1184 = alloc_Boolean(1);
// compiled identifier node returning bool1184 (depth = 2)
  gc_frame_end(frame);
  return bool1184;
}
Object meth_ast_1185_visitCall_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3133
  setline(3133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1186 = alloc_Boolean(1);
// compiled identifier node returning bool1186 (depth = 2)
  gc_frame_end(frame);
  return bool1186;
}
Object meth_ast_1187_visitObject_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3134
  setline(3134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1188 = alloc_Boolean(1);
// compiled identifier node returning bool1188 (depth = 2)
  gc_frame_end(frame);
  return bool1188;
}
Object meth_ast_1189_visitModule_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitModule(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1190 = alloc_Boolean(1);
// compiled identifier node returning bool1190 (depth = 2)
  gc_frame_end(frame);
  return bool1190;
}
Object meth_ast_1191_visitArray_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3136
  setline(3136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1192 = alloc_Boolean(1);
// compiled identifier node returning bool1192 (depth = 2)
  gc_frame_end(frame);
  return bool1192;
}
Object meth_ast_1193_visitMember_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3137
  setline(3137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1194 = alloc_Boolean(1);
// compiled identifier node returning bool1194 (depth = 2)
  gc_frame_end(frame);
  return bool1194;
}
Object meth_ast_1195_visitGeneric_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1196 = alloc_Boolean(1);
// compiled identifier node returning bool1196 (depth = 2)
  gc_frame_end(frame);
  return bool1196;
}
Object meth_ast_1197_visitIdentifier_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3139
  setline(3139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1198 = alloc_Boolean(1);
// compiled identifier node returning bool1198 (depth = 2)
  gc_frame_end(frame);
  return bool1198;
}
Object meth_ast_1199_visitString_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3140
  setline(3140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1200 = alloc_Boolean(1);
// compiled identifier node returning bool1200 (depth = 2)
  gc_frame_end(frame);
  return bool1200;
}
Object meth_ast_1201_visitNum_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1202 = alloc_Boolean(1);
// compiled identifier node returning bool1202 (depth = 2)
  gc_frame_end(frame);
  return bool1202;
}
Object meth_ast_1203_visitOp_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1204 = alloc_Boolean(1);
// compiled identifier node returning bool1204 (depth = 2)
  gc_frame_end(frame);
  return bool1204;
}
Object meth_ast_1205_visitBind_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3143
  setline(3143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1206 = alloc_Boolean(1);
// compiled identifier node returning bool1206 (depth = 2)
  gc_frame_end(frame);
  return bool1206;
}
Object meth_ast_1207_visitDefDec_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1208 = alloc_Boolean(1);
// compiled identifier node returning bool1208 (depth = 2)
  gc_frame_end(frame);
  return bool1208;
}
Object meth_ast_1209_visitVarDec_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1210 = alloc_Boolean(1);
// compiled identifier node returning bool1210 (depth = 2)
  gc_frame_end(frame);
  return bool1210;
}
Object meth_ast_1211_visitImport_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3146
  setline(3146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1212 = alloc_Boolean(1);
// compiled identifier node returning bool1212 (depth = 2)
  gc_frame_end(frame);
  return bool1212;
}
Object meth_ast_1213_visitReturn_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1214 = alloc_Boolean(1);
// compiled identifier node returning bool1214 (depth = 2)
  gc_frame_end(frame);
  return bool1214;
}
Object meth_ast_1215_visitInherits_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3148
  setline(3148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1216 = alloc_Boolean(1);
// compiled identifier node returning bool1216 (depth = 2)
  gc_frame_end(frame);
  return bool1216;
}
Object meth_ast_1217_visitDialect_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1218 = alloc_Boolean(1);
// compiled identifier node returning bool1218 (depth = 2)
  gc_frame_end(frame);
  return bool1218;
}
Object meth_ast_1219_visitComment_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitComment(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3150
  setline(3150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1220 = alloc_Boolean(1);
// compiled identifier node returning bool1220 (depth = 2)
  gc_frame_end(frame);
  return bool1220;
}
Object meth_ast_1221_visitImplicit_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImplicit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3151
  setline(3151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1222 = alloc_Boolean(1);
// compiled identifier node returning bool1222 (depth = 2)
  gc_frame_end(frame);
  return bool1222;
}
Object meth_ast_1223_visitOuter_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOuter(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOuter(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitOuter(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOuter(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3152
  setline(3152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1224 = alloc_Boolean(1);
// compiled identifier node returning bool1224 (depth = 2)
  gc_frame_end(frame);
  return bool1224;
}
Object meth_ast_1225_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3154
  setline(3154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit1226 == NULL) {
    strlit1226 = alloc_String("an AST visitor");
    gc_root(strlit1226);
  }
// compiled string node returning strlit1226 (depth = 2)
  gc_frame_end(frame);
  return strlit1226;
}
Object meth_ast_1072_baseVisitor(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1073 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1073 = alloc_userobj2(61,62, objclass1073);
  gc_frame_newslot(obj1073);
  if (objclass1073 == NULL) {
    glfree(obj1073->class->name);
    obj1073->class->name = "baseVisitor";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1073, self, 0);
  addmethodreal(obj1073,"outer", &reader_ast_outer_1074);
  Object oldself1073 = self;
  struct StackFrameObject *oldstackframe1073 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1073);
  gc_frame_newslot((Object)stackframe);
  self = obj1073;
  Object *oldselfslot1073 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1073 = (*(struct UserObject *)self).data[0], lowerouter1073 = thisouter1073;
  if (inheritingObject1073) {
    struct UserObject *inho1073 = (struct UserObject *)inheritingObject1073;
    while (inho1073->super != GraceDefaultObject) inho1073 = (struct UserObject *)inho1073->super;
    inho1073->super = obj1073;
    self = inheritingObject1073;
    *selfslot = self;
    lowerouter1073 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1073;
  }
// method "visitIf(_)up(_)"
  struct UserObject *uo1075 = (struct UserObject*)obj1073;
  uo1075->data[1] = emptyclosure;
  Method *meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitIf(1)up(1)", &meth_ast_1075_visitIf_40_1_41_up_40_1_41_, 1);
  int argcv_meth_ast_1075_visitIf_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1075_visitIf_40_1_41_up_40_1_41_);
  meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_->definitionLine = 3092;
// method "visitBlock(_)up(_)"
  struct UserObject *uo1078 = (struct UserObject*)obj1073;
  uo1078->data[2] = emptyclosure;
  Method *meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitBlock(1)up(1)", &meth_ast_1078_visitBlock_40_1_41_up_40_1_41_, 2);
  int argcv_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_);
  meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_->definitionLine = 3093;
// method "visitMatchCase(_)up(_)"
  struct UserObject *uo1081 = (struct UserObject*)obj1073;
  uo1081->data[3] = emptyclosure;
  Method *meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMatchCase(1)up(1)", &meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_, 3);
  int argcv_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_);
  meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_->definitionLine = 3094;
// method "visitTryCatch(_)up(_)"
  struct UserObject *uo1084 = (struct UserObject*)obj1073;
  uo1084->data[4] = emptyclosure;
  Method *meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTryCatch(1)up(1)", &meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_, 4);
  int argcv_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_);
  meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_->definitionLine = 3095;
// method "visitMethodType(_)up(_)"
  struct UserObject *uo1087 = (struct UserObject*)obj1073;
  uo1087->data[5] = emptyclosure;
  Method *meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMethodType(1)up(1)", &meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_, 5);
  int argcv_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_);
  meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_->definitionLine = 3096;
// method "visitSignaturePart(_)up(_)"
  struct UserObject *uo1090 = (struct UserObject*)obj1073;
  uo1090->data[6] = emptyclosure;
  Method *meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitSignaturePart(1)up(1)", &meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_, 6);
  int argcv_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_);
  meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_->definitionLine = 3097;
// method "visitTypeDec(_)up(_)"
  struct UserObject *uo1093 = (struct UserObject*)obj1073;
  uo1093->data[7] = emptyclosure;
  Method *meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTypeDec(1)up(1)", &meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_, 7);
  int argcv_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_->definitionLine = 3098;
// method "visitTypeLiteral(_)up(_)"
  struct UserObject *uo1096 = (struct UserObject*)obj1073;
  uo1096->data[8] = emptyclosure;
  Method *meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTypeLiteral(1)up(1)", &meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_, 8);
  int argcv_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_);
  meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_->definitionLine = 3099;
// method "visitTypeParameters(_)up(_)"
  struct UserObject *uo1099 = (struct UserObject*)obj1073;
  uo1099->data[9] = emptyclosure;
  Method *meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTypeParameters(1)up(1)", &meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_, 9);
  int argcv_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_);
  meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_->definitionLine = 3100;
// method "visitMethod(_)up(_)"
  struct UserObject *uo1102 = (struct UserObject*)obj1073;
  uo1102->data[10] = emptyclosure;
  Method *meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMethod(1)up(1)", &meth_ast_1102_visitMethod_40_1_41_up_40_1_41_, 10);
  int argcv_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_);
  meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_->definitionLine = 3101;
// method "visitCall(_)up(_)"
  struct UserObject *uo1105 = (struct UserObject*)obj1073;
  uo1105->data[11] = emptyclosure;
  Method *meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitCall(1)up(1)", &meth_ast_1105_visitCall_40_1_41_up_40_1_41_, 11);
  int argcv_meth_ast_1105_visitCall_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1105_visitCall_40_1_41_up_40_1_41_);
  meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_->definitionLine = 3102;
// method "visitObject(_)up(_)"
  struct UserObject *uo1108 = (struct UserObject*)obj1073;
  uo1108->data[12] = emptyclosure;
  Method *meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitObject(1)up(1)", &meth_ast_1108_visitObject_40_1_41_up_40_1_41_, 12);
  int argcv_meth_ast_1108_visitObject_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1108_visitObject_40_1_41_up_40_1_41_);
  meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_->definitionLine = 3103;
// method "visitModule(_)up(_)"
  struct UserObject *uo1111 = (struct UserObject*)obj1073;
  uo1111->data[13] = emptyclosure;
  Method *meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitModule(1)up(1)", &meth_ast_1111_visitModule_40_1_41_up_40_1_41_, 13);
  int argcv_meth_ast_1111_visitModule_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1111_visitModule_40_1_41_up_40_1_41_);
  meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_->definitionLine = 3104;
// method "visitArray(_)up(_)"
  struct UserObject *uo1114 = (struct UserObject*)obj1073;
  uo1114->data[14] = emptyclosure;
  Method *meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitArray(1)up(1)", &meth_ast_1114_visitArray_40_1_41_up_40_1_41_, 14);
  int argcv_meth_ast_1114_visitArray_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1114_visitArray_40_1_41_up_40_1_41_);
  meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_->definitionLine = 3105;
// method "visitMember(_)up(_)"
  struct UserObject *uo1117 = (struct UserObject*)obj1073;
  uo1117->data[15] = emptyclosure;
  Method *meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMember(1)up(1)", &meth_ast_1117_visitMember_40_1_41_up_40_1_41_, 15);
  int argcv_meth_ast_1117_visitMember_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1117_visitMember_40_1_41_up_40_1_41_);
  meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_->definitionLine = 3106;
// method "visitGeneric(_)up(_)"
  struct UserObject *uo1120 = (struct UserObject*)obj1073;
  uo1120->data[16] = emptyclosure;
  Method *meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitGeneric(1)up(1)", &meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_, 16);
  int argcv_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_);
  meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_->definitionLine = 3107;
// method "visitIdentifier(_)up(_)"
  struct UserObject *uo1123 = (struct UserObject*)obj1073;
  uo1123->data[17] = emptyclosure;
  Method *meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitIdentifier(1)up(1)", &meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_, 17);
  int argcv_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_);
  meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_->definitionLine = 3108;
// method "visitString(_)up(_)"
  struct UserObject *uo1126 = (struct UserObject*)obj1073;
  uo1126->data[18] = emptyclosure;
  Method *meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitString(1)up(1)", &meth_ast_1126_visitString_40_1_41_up_40_1_41_, 18);
  int argcv_meth_ast_1126_visitString_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1126_visitString_40_1_41_up_40_1_41_);
  meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_->definitionLine = 3109;
// method "visitNum(_)up(_)"
  struct UserObject *uo1129 = (struct UserObject*)obj1073;
  uo1129->data[19] = emptyclosure;
  Method *meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitNum(1)up(1)", &meth_ast_1129_visitNum_40_1_41_up_40_1_41_, 19);
  int argcv_meth_ast_1129_visitNum_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1129_visitNum_40_1_41_up_40_1_41_);
  meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_->definitionLine = 3110;
// method "visitOp(_)up(_)"
  struct UserObject *uo1132 = (struct UserObject*)obj1073;
  uo1132->data[20] = emptyclosure;
  Method *meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitOp(1)up(1)", &meth_ast_1132_visitOp_40_1_41_up_40_1_41_, 20);
  int argcv_meth_ast_1132_visitOp_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1132_visitOp_40_1_41_up_40_1_41_);
  meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_->definitionLine = 3111;
// method "visitBind(_)up(_)"
  struct UserObject *uo1135 = (struct UserObject*)obj1073;
  uo1135->data[21] = emptyclosure;
  Method *meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitBind(1)up(1)", &meth_ast_1135_visitBind_40_1_41_up_40_1_41_, 21);
  int argcv_meth_ast_1135_visitBind_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1135_visitBind_40_1_41_up_40_1_41_);
  meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_->definitionLine = 3112;
// method "visitDefDec(_)up(_)"
  struct UserObject *uo1138 = (struct UserObject*)obj1073;
  uo1138->data[22] = emptyclosure;
  Method *meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitDefDec(1)up(1)", &meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_, 22);
  int argcv_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_->definitionLine = 3113;
// method "visitVarDec(_)up(_)"
  struct UserObject *uo1141 = (struct UserObject*)obj1073;
  uo1141->data[23] = emptyclosure;
  Method *meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitVarDec(1)up(1)", &meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_, 23);
  int argcv_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_->definitionLine = 3114;
// method "visitImport(_)up(_)"
  struct UserObject *uo1144 = (struct UserObject*)obj1073;
  uo1144->data[24] = emptyclosure;
  Method *meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitImport(1)up(1)", &meth_ast_1144_visitImport_40_1_41_up_40_1_41_, 24);
  int argcv_meth_ast_1144_visitImport_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1144_visitImport_40_1_41_up_40_1_41_);
  meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_->definitionLine = 3115;
// method "visitReturn(_)up(_)"
  struct UserObject *uo1147 = (struct UserObject*)obj1073;
  uo1147->data[25] = emptyclosure;
  Method *meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitReturn(1)up(1)", &meth_ast_1147_visitReturn_40_1_41_up_40_1_41_, 25);
  int argcv_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_);
  meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_->definitionLine = 3116;
// method "visitInherits(_)up(_)"
  struct UserObject *uo1150 = (struct UserObject*)obj1073;
  uo1150->data[26] = emptyclosure;
  Method *meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitInherits(1)up(1)", &meth_ast_1150_visitInherits_40_1_41_up_40_1_41_, 26);
  int argcv_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_);
  meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_->definitionLine = 3117;
// method "visitDialect(_)up(_)"
  struct UserObject *uo1153 = (struct UserObject*)obj1073;
  uo1153->data[27] = emptyclosure;
  Method *meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitDialect(1)up(1)", &meth_ast_1153_visitDialect_40_1_41_up_40_1_41_, 27);
  int argcv_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_);
  meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_->definitionLine = 3118;
// method "visitComment(_)up(_)"
  struct UserObject *uo1156 = (struct UserObject*)obj1073;
  uo1156->data[28] = emptyclosure;
  Method *meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitComment(1)up(1)", &meth_ast_1156_visitComment_40_1_41_up_40_1_41_, 28);
  int argcv_meth_ast_1156_visitComment_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1156_visitComment_40_1_41_up_40_1_41_);
  meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_->definitionLine = 3119;
// method "visitImplicit(_)up(_)"
  struct UserObject *uo1159 = (struct UserObject*)obj1073;
  uo1159->data[29] = emptyclosure;
  Method *meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitImplicit(1)up(1)", &meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_, 29);
  int argcv_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_);
  meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_->definitionLine = 3120;
// method "visitOuter(_)up(_)"
  struct UserObject *uo1162 = (struct UserObject*)obj1073;
  uo1162->data[30] = emptyclosure;
  Method *meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitOuter(1)up(1)", &meth_ast_1162_visitOuter_40_1_41_up_40_1_41_, 30);
  int argcv_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_);
  meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_->definitionLine = 3121;
// method "visitIf(_)"
  struct UserObject *uo1165 = (struct UserObject*)obj1073;
  uo1165->data[31] = emptyclosure;
  Method *meth_meth_ast_1165_visitIf_40_1_41_ = addmethod2pos(obj1073, "visitIf(1)", &meth_ast_1165_visitIf_40_1_41_, 31);
  int argcv_meth_ast_1165_visitIf_40_1_41_[] = {1};
  meth_meth_ast_1165_visitIf_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1165_visitIf_40_1_41_);
  meth_meth_ast_1165_visitIf_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1165_visitIf_40_1_41_->definitionLine = 3123;
// method "visitBlock(_)"
  struct UserObject *uo1167 = (struct UserObject*)obj1073;
  uo1167->data[32] = emptyclosure;
  Method *meth_meth_ast_1167_visitBlock_40_1_41_ = addmethod2pos(obj1073, "visitBlock(1)", &meth_ast_1167_visitBlock_40_1_41_, 32);
  int argcv_meth_ast_1167_visitBlock_40_1_41_[] = {1};
  meth_meth_ast_1167_visitBlock_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1167_visitBlock_40_1_41_);
  meth_meth_ast_1167_visitBlock_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1167_visitBlock_40_1_41_->definitionLine = 3124;
// method "visitMatchCase(_)"
  struct UserObject *uo1169 = (struct UserObject*)obj1073;
  uo1169->data[33] = emptyclosure;
  Method *meth_meth_ast_1169_visitMatchCase_40_1_41_ = addmethod2pos(obj1073, "visitMatchCase(1)", &meth_ast_1169_visitMatchCase_40_1_41_, 33);
  int argcv_meth_ast_1169_visitMatchCase_40_1_41_[] = {1};
  meth_meth_ast_1169_visitMatchCase_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1169_visitMatchCase_40_1_41_);
  meth_meth_ast_1169_visitMatchCase_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1169_visitMatchCase_40_1_41_->definitionLine = 3125;
// method "visitTryCatch(_)"
  struct UserObject *uo1171 = (struct UserObject*)obj1073;
  uo1171->data[34] = emptyclosure;
  Method *meth_meth_ast_1171_visitTryCatch_40_1_41_ = addmethod2pos(obj1073, "visitTryCatch(1)", &meth_ast_1171_visitTryCatch_40_1_41_, 34);
  int argcv_meth_ast_1171_visitTryCatch_40_1_41_[] = {1};
  meth_meth_ast_1171_visitTryCatch_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1171_visitTryCatch_40_1_41_);
  meth_meth_ast_1171_visitTryCatch_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1171_visitTryCatch_40_1_41_->definitionLine = 3126;
// method "visitMethodType(_)"
  struct UserObject *uo1173 = (struct UserObject*)obj1073;
  uo1173->data[35] = emptyclosure;
  Method *meth_meth_ast_1173_visitMethodType_40_1_41_ = addmethod2pos(obj1073, "visitMethodType(1)", &meth_ast_1173_visitMethodType_40_1_41_, 35);
  int argcv_meth_ast_1173_visitMethodType_40_1_41_[] = {1};
  meth_meth_ast_1173_visitMethodType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1173_visitMethodType_40_1_41_);
  meth_meth_ast_1173_visitMethodType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1173_visitMethodType_40_1_41_->definitionLine = 3127;
// method "visitSignaturePart(_)"
  struct UserObject *uo1175 = (struct UserObject*)obj1073;
  uo1175->data[36] = emptyclosure;
  Method *meth_meth_ast_1175_visitSignaturePart_40_1_41_ = addmethod2pos(obj1073, "visitSignaturePart(1)", &meth_ast_1175_visitSignaturePart_40_1_41_, 36);
  int argcv_meth_ast_1175_visitSignaturePart_40_1_41_[] = {1};
  meth_meth_ast_1175_visitSignaturePart_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1175_visitSignaturePart_40_1_41_);
  meth_meth_ast_1175_visitSignaturePart_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1175_visitSignaturePart_40_1_41_->definitionLine = 3128;
// method "visitTypeDec(_)"
  struct UserObject *uo1177 = (struct UserObject*)obj1073;
  uo1177->data[37] = emptyclosure;
  Method *meth_meth_ast_1177_visitTypeDec_40_1_41_ = addmethod2pos(obj1073, "visitTypeDec(1)", &meth_ast_1177_visitTypeDec_40_1_41_, 37);
  int argcv_meth_ast_1177_visitTypeDec_40_1_41_[] = {1};
  meth_meth_ast_1177_visitTypeDec_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1177_visitTypeDec_40_1_41_);
  meth_meth_ast_1177_visitTypeDec_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1177_visitTypeDec_40_1_41_->definitionLine = 3129;
// method "visitTypeLiteral(_)"
  struct UserObject *uo1179 = (struct UserObject*)obj1073;
  uo1179->data[38] = emptyclosure;
  Method *meth_meth_ast_1179_visitTypeLiteral_40_1_41_ = addmethod2pos(obj1073, "visitTypeLiteral(1)", &meth_ast_1179_visitTypeLiteral_40_1_41_, 38);
  int argcv_meth_ast_1179_visitTypeLiteral_40_1_41_[] = {1};
  meth_meth_ast_1179_visitTypeLiteral_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1179_visitTypeLiteral_40_1_41_);
  meth_meth_ast_1179_visitTypeLiteral_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1179_visitTypeLiteral_40_1_41_->definitionLine = 3130;
// method "visitTypeParameters(_)"
  struct UserObject *uo1181 = (struct UserObject*)obj1073;
  uo1181->data[39] = emptyclosure;
  Method *meth_meth_ast_1181_visitTypeParameters_40_1_41_ = addmethod2pos(obj1073, "visitTypeParameters(1)", &meth_ast_1181_visitTypeParameters_40_1_41_, 39);
  int argcv_meth_ast_1181_visitTypeParameters_40_1_41_[] = {1};
  meth_meth_ast_1181_visitTypeParameters_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1181_visitTypeParameters_40_1_41_);
  meth_meth_ast_1181_visitTypeParameters_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1181_visitTypeParameters_40_1_41_->definitionLine = 3131;
// method "visitMethod(_)"
  struct UserObject *uo1183 = (struct UserObject*)obj1073;
  uo1183->data[40] = emptyclosure;
  Method *meth_meth_ast_1183_visitMethod_40_1_41_ = addmethod2pos(obj1073, "visitMethod(1)", &meth_ast_1183_visitMethod_40_1_41_, 40);
  int argcv_meth_ast_1183_visitMethod_40_1_41_[] = {1};
  meth_meth_ast_1183_visitMethod_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1183_visitMethod_40_1_41_);
  meth_meth_ast_1183_visitMethod_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1183_visitMethod_40_1_41_->definitionLine = 3132;
// method "visitCall(_)"
  struct UserObject *uo1185 = (struct UserObject*)obj1073;
  uo1185->data[41] = emptyclosure;
  Method *meth_meth_ast_1185_visitCall_40_1_41_ = addmethod2pos(obj1073, "visitCall(1)", &meth_ast_1185_visitCall_40_1_41_, 41);
  int argcv_meth_ast_1185_visitCall_40_1_41_[] = {1};
  meth_meth_ast_1185_visitCall_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1185_visitCall_40_1_41_);
  meth_meth_ast_1185_visitCall_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1185_visitCall_40_1_41_->definitionLine = 3133;
// method "visitObject(_)"
  struct UserObject *uo1187 = (struct UserObject*)obj1073;
  uo1187->data[42] = emptyclosure;
  Method *meth_meth_ast_1187_visitObject_40_1_41_ = addmethod2pos(obj1073, "visitObject(1)", &meth_ast_1187_visitObject_40_1_41_, 42);
  int argcv_meth_ast_1187_visitObject_40_1_41_[] = {1};
  meth_meth_ast_1187_visitObject_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1187_visitObject_40_1_41_);
  meth_meth_ast_1187_visitObject_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1187_visitObject_40_1_41_->definitionLine = 3134;
// method "visitModule(_)"
  struct UserObject *uo1189 = (struct UserObject*)obj1073;
  uo1189->data[43] = emptyclosure;
  Method *meth_meth_ast_1189_visitModule_40_1_41_ = addmethod2pos(obj1073, "visitModule(1)", &meth_ast_1189_visitModule_40_1_41_, 43);
  int argcv_meth_ast_1189_visitModule_40_1_41_[] = {1};
  meth_meth_ast_1189_visitModule_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1189_visitModule_40_1_41_);
  meth_meth_ast_1189_visitModule_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1189_visitModule_40_1_41_->definitionLine = 3135;
// method "visitArray(_)"
  struct UserObject *uo1191 = (struct UserObject*)obj1073;
  uo1191->data[44] = emptyclosure;
  Method *meth_meth_ast_1191_visitArray_40_1_41_ = addmethod2pos(obj1073, "visitArray(1)", &meth_ast_1191_visitArray_40_1_41_, 44);
  int argcv_meth_ast_1191_visitArray_40_1_41_[] = {1};
  meth_meth_ast_1191_visitArray_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1191_visitArray_40_1_41_);
  meth_meth_ast_1191_visitArray_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1191_visitArray_40_1_41_->definitionLine = 3136;
// method "visitMember(_)"
  struct UserObject *uo1193 = (struct UserObject*)obj1073;
  uo1193->data[45] = emptyclosure;
  Method *meth_meth_ast_1193_visitMember_40_1_41_ = addmethod2pos(obj1073, "visitMember(1)", &meth_ast_1193_visitMember_40_1_41_, 45);
  int argcv_meth_ast_1193_visitMember_40_1_41_[] = {1};
  meth_meth_ast_1193_visitMember_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1193_visitMember_40_1_41_);
  meth_meth_ast_1193_visitMember_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1193_visitMember_40_1_41_->definitionLine = 3137;
// method "visitGeneric(_)"
  struct UserObject *uo1195 = (struct UserObject*)obj1073;
  uo1195->data[46] = emptyclosure;
  Method *meth_meth_ast_1195_visitGeneric_40_1_41_ = addmethod2pos(obj1073, "visitGeneric(1)", &meth_ast_1195_visitGeneric_40_1_41_, 46);
  int argcv_meth_ast_1195_visitGeneric_40_1_41_[] = {1};
  meth_meth_ast_1195_visitGeneric_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1195_visitGeneric_40_1_41_);
  meth_meth_ast_1195_visitGeneric_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1195_visitGeneric_40_1_41_->definitionLine = 3138;
// method "visitIdentifier(_)"
  struct UserObject *uo1197 = (struct UserObject*)obj1073;
  uo1197->data[47] = emptyclosure;
  Method *meth_meth_ast_1197_visitIdentifier_40_1_41_ = addmethod2pos(obj1073, "visitIdentifier(1)", &meth_ast_1197_visitIdentifier_40_1_41_, 47);
  int argcv_meth_ast_1197_visitIdentifier_40_1_41_[] = {1};
  meth_meth_ast_1197_visitIdentifier_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1197_visitIdentifier_40_1_41_);
  meth_meth_ast_1197_visitIdentifier_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1197_visitIdentifier_40_1_41_->definitionLine = 3139;
// method "visitString(_)"
  struct UserObject *uo1199 = (struct UserObject*)obj1073;
  uo1199->data[48] = emptyclosure;
  Method *meth_meth_ast_1199_visitString_40_1_41_ = addmethod2pos(obj1073, "visitString(1)", &meth_ast_1199_visitString_40_1_41_, 48);
  int argcv_meth_ast_1199_visitString_40_1_41_[] = {1};
  meth_meth_ast_1199_visitString_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1199_visitString_40_1_41_);
  meth_meth_ast_1199_visitString_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1199_visitString_40_1_41_->definitionLine = 3140;
// method "visitNum(_)"
  struct UserObject *uo1201 = (struct UserObject*)obj1073;
  uo1201->data[49] = emptyclosure;
  Method *meth_meth_ast_1201_visitNum_40_1_41_ = addmethod2pos(obj1073, "visitNum(1)", &meth_ast_1201_visitNum_40_1_41_, 49);
  int argcv_meth_ast_1201_visitNum_40_1_41_[] = {1};
  meth_meth_ast_1201_visitNum_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1201_visitNum_40_1_41_);
  meth_meth_ast_1201_visitNum_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1201_visitNum_40_1_41_->definitionLine = 3141;
// method "visitOp(_)"
  struct UserObject *uo1203 = (struct UserObject*)obj1073;
  uo1203->data[50] = emptyclosure;
  Method *meth_meth_ast_1203_visitOp_40_1_41_ = addmethod2pos(obj1073, "visitOp(1)", &meth_ast_1203_visitOp_40_1_41_, 50);
  int argcv_meth_ast_1203_visitOp_40_1_41_[] = {1};
  meth_meth_ast_1203_visitOp_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1203_visitOp_40_1_41_);
  meth_meth_ast_1203_visitOp_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1203_visitOp_40_1_41_->definitionLine = 3142;
// method "visitBind(_)"
  struct UserObject *uo1205 = (struct UserObject*)obj1073;
  uo1205->data[51] = emptyclosure;
  Method *meth_meth_ast_1205_visitBind_40_1_41_ = addmethod2pos(obj1073, "visitBind(1)", &meth_ast_1205_visitBind_40_1_41_, 51);
  int argcv_meth_ast_1205_visitBind_40_1_41_[] = {1};
  meth_meth_ast_1205_visitBind_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1205_visitBind_40_1_41_);
  meth_meth_ast_1205_visitBind_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1205_visitBind_40_1_41_->definitionLine = 3143;
// method "visitDefDec(_)"
  struct UserObject *uo1207 = (struct UserObject*)obj1073;
  uo1207->data[52] = emptyclosure;
  Method *meth_meth_ast_1207_visitDefDec_40_1_41_ = addmethod2pos(obj1073, "visitDefDec(1)", &meth_ast_1207_visitDefDec_40_1_41_, 52);
  int argcv_meth_ast_1207_visitDefDec_40_1_41_[] = {1};
  meth_meth_ast_1207_visitDefDec_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1207_visitDefDec_40_1_41_);
  meth_meth_ast_1207_visitDefDec_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1207_visitDefDec_40_1_41_->definitionLine = 3144;
// method "visitVarDec(_)"
  struct UserObject *uo1209 = (struct UserObject*)obj1073;
  uo1209->data[53] = emptyclosure;
  Method *meth_meth_ast_1209_visitVarDec_40_1_41_ = addmethod2pos(obj1073, "visitVarDec(1)", &meth_ast_1209_visitVarDec_40_1_41_, 53);
  int argcv_meth_ast_1209_visitVarDec_40_1_41_[] = {1};
  meth_meth_ast_1209_visitVarDec_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1209_visitVarDec_40_1_41_);
  meth_meth_ast_1209_visitVarDec_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1209_visitVarDec_40_1_41_->definitionLine = 3145;
// method "visitImport(_)"
  struct UserObject *uo1211 = (struct UserObject*)obj1073;
  uo1211->data[54] = emptyclosure;
  Method *meth_meth_ast_1211_visitImport_40_1_41_ = addmethod2pos(obj1073, "visitImport(1)", &meth_ast_1211_visitImport_40_1_41_, 54);
  int argcv_meth_ast_1211_visitImport_40_1_41_[] = {1};
  meth_meth_ast_1211_visitImport_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1211_visitImport_40_1_41_);
  meth_meth_ast_1211_visitImport_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1211_visitImport_40_1_41_->definitionLine = 3146;
// method "visitReturn(_)"
  struct UserObject *uo1213 = (struct UserObject*)obj1073;
  uo1213->data[55] = emptyclosure;
  Method *meth_meth_ast_1213_visitReturn_40_1_41_ = addmethod2pos(obj1073, "visitReturn(1)", &meth_ast_1213_visitReturn_40_1_41_, 55);
  int argcv_meth_ast_1213_visitReturn_40_1_41_[] = {1};
  meth_meth_ast_1213_visitReturn_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1213_visitReturn_40_1_41_);
  meth_meth_ast_1213_visitReturn_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1213_visitReturn_40_1_41_->definitionLine = 3147;
// method "visitInherits(_)"
  struct UserObject *uo1215 = (struct UserObject*)obj1073;
  uo1215->data[56] = emptyclosure;
  Method *meth_meth_ast_1215_visitInherits_40_1_41_ = addmethod2pos(obj1073, "visitInherits(1)", &meth_ast_1215_visitInherits_40_1_41_, 56);
  int argcv_meth_ast_1215_visitInherits_40_1_41_[] = {1};
  meth_meth_ast_1215_visitInherits_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1215_visitInherits_40_1_41_);
  meth_meth_ast_1215_visitInherits_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1215_visitInherits_40_1_41_->definitionLine = 3148;
// method "visitDialect(_)"
  struct UserObject *uo1217 = (struct UserObject*)obj1073;
  uo1217->data[57] = emptyclosure;
  Method *meth_meth_ast_1217_visitDialect_40_1_41_ = addmethod2pos(obj1073, "visitDialect(1)", &meth_ast_1217_visitDialect_40_1_41_, 57);
  int argcv_meth_ast_1217_visitDialect_40_1_41_[] = {1};
  meth_meth_ast_1217_visitDialect_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1217_visitDialect_40_1_41_);
  meth_meth_ast_1217_visitDialect_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1217_visitDialect_40_1_41_->definitionLine = 3149;
// method "visitComment(_)"
  struct UserObject *uo1219 = (struct UserObject*)obj1073;
  uo1219->data[58] = emptyclosure;
  Method *meth_meth_ast_1219_visitComment_40_1_41_ = addmethod2pos(obj1073, "visitComment(1)", &meth_ast_1219_visitComment_40_1_41_, 58);
  int argcv_meth_ast_1219_visitComment_40_1_41_[] = {1};
  meth_meth_ast_1219_visitComment_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1219_visitComment_40_1_41_);
  meth_meth_ast_1219_visitComment_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1219_visitComment_40_1_41_->definitionLine = 3150;
// method "visitImplicit(_)"
  struct UserObject *uo1221 = (struct UserObject*)obj1073;
  uo1221->data[59] = emptyclosure;
  Method *meth_meth_ast_1221_visitImplicit_40_1_41_ = addmethod2pos(obj1073, "visitImplicit(1)", &meth_ast_1221_visitImplicit_40_1_41_, 59);
  int argcv_meth_ast_1221_visitImplicit_40_1_41_[] = {1};
  meth_meth_ast_1221_visitImplicit_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1221_visitImplicit_40_1_41_);
  meth_meth_ast_1221_visitImplicit_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1221_visitImplicit_40_1_41_->definitionLine = 3151;
// method "visitOuter(_)"
  struct UserObject *uo1223 = (struct UserObject*)obj1073;
  uo1223->data[60] = emptyclosure;
  Method *meth_meth_ast_1223_visitOuter_40_1_41_ = addmethod2pos(obj1073, "visitOuter(1)", &meth_ast_1223_visitOuter_40_1_41_, 60);
  int argcv_meth_ast_1223_visitOuter_40_1_41_[] = {1};
  meth_meth_ast_1223_visitOuter_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1223_visitOuter_40_1_41_);
  meth_meth_ast_1223_visitOuter_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1223_visitOuter_40_1_41_->definitionLine = 3152;
// method "asString"
  struct UserObject *uo1225 = (struct UserObject*)obj1073;
  uo1225->data[61] = emptyclosure;
  Method *meth_meth_ast_1225_asString = addmethod2pos(obj1073, "asString", &meth_ast_1225_asString, 61);
  int argcv_meth_ast_1225_asString[] = {0};
  meth_meth_ast_1225_asString->type = alloc_MethodType(1, argcv_meth_ast_1225_asString);
  meth_meth_ast_1225_asString->definitionModule = modulename;
  meth_meth_ast_1225_asString->definitionLine = 3154;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  objclass1073 = obj1073->class;
  objclass1073->definitionModule = modulename;
  objclass1073->definitionLine = 3091;
  (*(struct UserObject *)self).data[0] = lowerouter1073;
  self = oldself1073;
  selfslot = oldselfslot1073;
  stackframe = oldstackframe1073;
  gc_frame_end(frame);
  return obj1073;
}
Object meth_ast_1072_baseVisitor_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1073 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1073 = alloc_userobj2(61,62, objclass1073);
  gc_frame_newslot(obj1073);
  if (objclass1073 == NULL) {
    glfree(obj1073->class->name);
    obj1073->class->name = "baseVisitor";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1073, self, 0);
  addmethodreal(obj1073,"outer", &reader_ast_outer_1074);
  Object oldself1073 = self;
  struct StackFrameObject *oldstackframe1073 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1073);
  gc_frame_newslot((Object)stackframe);
  self = obj1073;
  Object *oldselfslot1073 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1073 = (*(struct UserObject *)self).data[0], lowerouter1073 = thisouter1073;
  if (inheritingObject1073) {
    struct UserObject *inho1073 = (struct UserObject *)inheritingObject1073;
    while (inho1073->super != GraceDefaultObject) inho1073 = (struct UserObject *)inho1073->super;
    inho1073->super = obj1073;
    self = inheritingObject1073;
    *selfslot = self;
    lowerouter1073 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1073;
  }
// method "visitIf(_)up(_)"
  struct UserObject *uo1075 = (struct UserObject*)obj1073;
  uo1075->data[1] = emptyclosure;
  Method *meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitIf(1)up(1)", &meth_ast_1075_visitIf_40_1_41_up_40_1_41_, 1);
  int argcv_meth_ast_1075_visitIf_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1075_visitIf_40_1_41_up_40_1_41_);
  meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1075_visitIf_40_1_41_up_40_1_41_->definitionLine = 3092;
// method "visitBlock(_)up(_)"
  struct UserObject *uo1078 = (struct UserObject*)obj1073;
  uo1078->data[2] = emptyclosure;
  Method *meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitBlock(1)up(1)", &meth_ast_1078_visitBlock_40_1_41_up_40_1_41_, 2);
  int argcv_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_);
  meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1078_visitBlock_40_1_41_up_40_1_41_->definitionLine = 3093;
// method "visitMatchCase(_)up(_)"
  struct UserObject *uo1081 = (struct UserObject*)obj1073;
  uo1081->data[3] = emptyclosure;
  Method *meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMatchCase(1)up(1)", &meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_, 3);
  int argcv_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_);
  meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1081_visitMatchCase_40_1_41_up_40_1_41_->definitionLine = 3094;
// method "visitTryCatch(_)up(_)"
  struct UserObject *uo1084 = (struct UserObject*)obj1073;
  uo1084->data[4] = emptyclosure;
  Method *meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTryCatch(1)up(1)", &meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_, 4);
  int argcv_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_);
  meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1084_visitTryCatch_40_1_41_up_40_1_41_->definitionLine = 3095;
// method "visitMethodType(_)up(_)"
  struct UserObject *uo1087 = (struct UserObject*)obj1073;
  uo1087->data[5] = emptyclosure;
  Method *meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMethodType(1)up(1)", &meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_, 5);
  int argcv_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_);
  meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1087_visitMethodType_40_1_41_up_40_1_41_->definitionLine = 3096;
// method "visitSignaturePart(_)up(_)"
  struct UserObject *uo1090 = (struct UserObject*)obj1073;
  uo1090->data[6] = emptyclosure;
  Method *meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitSignaturePart(1)up(1)", &meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_, 6);
  int argcv_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_);
  meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1090_visitSignaturePart_40_1_41_up_40_1_41_->definitionLine = 3097;
// method "visitTypeDec(_)up(_)"
  struct UserObject *uo1093 = (struct UserObject*)obj1073;
  uo1093->data[7] = emptyclosure;
  Method *meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTypeDec(1)up(1)", &meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_, 7);
  int argcv_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1093_visitTypeDec_40_1_41_up_40_1_41_->definitionLine = 3098;
// method "visitTypeLiteral(_)up(_)"
  struct UserObject *uo1096 = (struct UserObject*)obj1073;
  uo1096->data[8] = emptyclosure;
  Method *meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTypeLiteral(1)up(1)", &meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_, 8);
  int argcv_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_);
  meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1096_visitTypeLiteral_40_1_41_up_40_1_41_->definitionLine = 3099;
// method "visitTypeParameters(_)up(_)"
  struct UserObject *uo1099 = (struct UserObject*)obj1073;
  uo1099->data[9] = emptyclosure;
  Method *meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitTypeParameters(1)up(1)", &meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_, 9);
  int argcv_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_);
  meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1099_visitTypeParameters_40_1_41_up_40_1_41_->definitionLine = 3100;
// method "visitMethod(_)up(_)"
  struct UserObject *uo1102 = (struct UserObject*)obj1073;
  uo1102->data[10] = emptyclosure;
  Method *meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMethod(1)up(1)", &meth_ast_1102_visitMethod_40_1_41_up_40_1_41_, 10);
  int argcv_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_);
  meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1102_visitMethod_40_1_41_up_40_1_41_->definitionLine = 3101;
// method "visitCall(_)up(_)"
  struct UserObject *uo1105 = (struct UserObject*)obj1073;
  uo1105->data[11] = emptyclosure;
  Method *meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitCall(1)up(1)", &meth_ast_1105_visitCall_40_1_41_up_40_1_41_, 11);
  int argcv_meth_ast_1105_visitCall_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1105_visitCall_40_1_41_up_40_1_41_);
  meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1105_visitCall_40_1_41_up_40_1_41_->definitionLine = 3102;
// method "visitObject(_)up(_)"
  struct UserObject *uo1108 = (struct UserObject*)obj1073;
  uo1108->data[12] = emptyclosure;
  Method *meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitObject(1)up(1)", &meth_ast_1108_visitObject_40_1_41_up_40_1_41_, 12);
  int argcv_meth_ast_1108_visitObject_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1108_visitObject_40_1_41_up_40_1_41_);
  meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1108_visitObject_40_1_41_up_40_1_41_->definitionLine = 3103;
// method "visitModule(_)up(_)"
  struct UserObject *uo1111 = (struct UserObject*)obj1073;
  uo1111->data[13] = emptyclosure;
  Method *meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitModule(1)up(1)", &meth_ast_1111_visitModule_40_1_41_up_40_1_41_, 13);
  int argcv_meth_ast_1111_visitModule_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1111_visitModule_40_1_41_up_40_1_41_);
  meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1111_visitModule_40_1_41_up_40_1_41_->definitionLine = 3104;
// method "visitArray(_)up(_)"
  struct UserObject *uo1114 = (struct UserObject*)obj1073;
  uo1114->data[14] = emptyclosure;
  Method *meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitArray(1)up(1)", &meth_ast_1114_visitArray_40_1_41_up_40_1_41_, 14);
  int argcv_meth_ast_1114_visitArray_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1114_visitArray_40_1_41_up_40_1_41_);
  meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1114_visitArray_40_1_41_up_40_1_41_->definitionLine = 3105;
// method "visitMember(_)up(_)"
  struct UserObject *uo1117 = (struct UserObject*)obj1073;
  uo1117->data[15] = emptyclosure;
  Method *meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitMember(1)up(1)", &meth_ast_1117_visitMember_40_1_41_up_40_1_41_, 15);
  int argcv_meth_ast_1117_visitMember_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1117_visitMember_40_1_41_up_40_1_41_);
  meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1117_visitMember_40_1_41_up_40_1_41_->definitionLine = 3106;
// method "visitGeneric(_)up(_)"
  struct UserObject *uo1120 = (struct UserObject*)obj1073;
  uo1120->data[16] = emptyclosure;
  Method *meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitGeneric(1)up(1)", &meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_, 16);
  int argcv_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_);
  meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1120_visitGeneric_40_1_41_up_40_1_41_->definitionLine = 3107;
// method "visitIdentifier(_)up(_)"
  struct UserObject *uo1123 = (struct UserObject*)obj1073;
  uo1123->data[17] = emptyclosure;
  Method *meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitIdentifier(1)up(1)", &meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_, 17);
  int argcv_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_);
  meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1123_visitIdentifier_40_1_41_up_40_1_41_->definitionLine = 3108;
// method "visitString(_)up(_)"
  struct UserObject *uo1126 = (struct UserObject*)obj1073;
  uo1126->data[18] = emptyclosure;
  Method *meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitString(1)up(1)", &meth_ast_1126_visitString_40_1_41_up_40_1_41_, 18);
  int argcv_meth_ast_1126_visitString_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1126_visitString_40_1_41_up_40_1_41_);
  meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1126_visitString_40_1_41_up_40_1_41_->definitionLine = 3109;
// method "visitNum(_)up(_)"
  struct UserObject *uo1129 = (struct UserObject*)obj1073;
  uo1129->data[19] = emptyclosure;
  Method *meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitNum(1)up(1)", &meth_ast_1129_visitNum_40_1_41_up_40_1_41_, 19);
  int argcv_meth_ast_1129_visitNum_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1129_visitNum_40_1_41_up_40_1_41_);
  meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1129_visitNum_40_1_41_up_40_1_41_->definitionLine = 3110;
// method "visitOp(_)up(_)"
  struct UserObject *uo1132 = (struct UserObject*)obj1073;
  uo1132->data[20] = emptyclosure;
  Method *meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitOp(1)up(1)", &meth_ast_1132_visitOp_40_1_41_up_40_1_41_, 20);
  int argcv_meth_ast_1132_visitOp_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1132_visitOp_40_1_41_up_40_1_41_);
  meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1132_visitOp_40_1_41_up_40_1_41_->definitionLine = 3111;
// method "visitBind(_)up(_)"
  struct UserObject *uo1135 = (struct UserObject*)obj1073;
  uo1135->data[21] = emptyclosure;
  Method *meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitBind(1)up(1)", &meth_ast_1135_visitBind_40_1_41_up_40_1_41_, 21);
  int argcv_meth_ast_1135_visitBind_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1135_visitBind_40_1_41_up_40_1_41_);
  meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1135_visitBind_40_1_41_up_40_1_41_->definitionLine = 3112;
// method "visitDefDec(_)up(_)"
  struct UserObject *uo1138 = (struct UserObject*)obj1073;
  uo1138->data[22] = emptyclosure;
  Method *meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitDefDec(1)up(1)", &meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_, 22);
  int argcv_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1138_visitDefDec_40_1_41_up_40_1_41_->definitionLine = 3113;
// method "visitVarDec(_)up(_)"
  struct UserObject *uo1141 = (struct UserObject*)obj1073;
  uo1141->data[23] = emptyclosure;
  Method *meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitVarDec(1)up(1)", &meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_, 23);
  int argcv_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1141_visitVarDec_40_1_41_up_40_1_41_->definitionLine = 3114;
// method "visitImport(_)up(_)"
  struct UserObject *uo1144 = (struct UserObject*)obj1073;
  uo1144->data[24] = emptyclosure;
  Method *meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitImport(1)up(1)", &meth_ast_1144_visitImport_40_1_41_up_40_1_41_, 24);
  int argcv_meth_ast_1144_visitImport_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1144_visitImport_40_1_41_up_40_1_41_);
  meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1144_visitImport_40_1_41_up_40_1_41_->definitionLine = 3115;
// method "visitReturn(_)up(_)"
  struct UserObject *uo1147 = (struct UserObject*)obj1073;
  uo1147->data[25] = emptyclosure;
  Method *meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitReturn(1)up(1)", &meth_ast_1147_visitReturn_40_1_41_up_40_1_41_, 25);
  int argcv_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_);
  meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1147_visitReturn_40_1_41_up_40_1_41_->definitionLine = 3116;
// method "visitInherits(_)up(_)"
  struct UserObject *uo1150 = (struct UserObject*)obj1073;
  uo1150->data[26] = emptyclosure;
  Method *meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitInherits(1)up(1)", &meth_ast_1150_visitInherits_40_1_41_up_40_1_41_, 26);
  int argcv_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_);
  meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1150_visitInherits_40_1_41_up_40_1_41_->definitionLine = 3117;
// method "visitDialect(_)up(_)"
  struct UserObject *uo1153 = (struct UserObject*)obj1073;
  uo1153->data[27] = emptyclosure;
  Method *meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitDialect(1)up(1)", &meth_ast_1153_visitDialect_40_1_41_up_40_1_41_, 27);
  int argcv_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_);
  meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1153_visitDialect_40_1_41_up_40_1_41_->definitionLine = 3118;
// method "visitComment(_)up(_)"
  struct UserObject *uo1156 = (struct UserObject*)obj1073;
  uo1156->data[28] = emptyclosure;
  Method *meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitComment(1)up(1)", &meth_ast_1156_visitComment_40_1_41_up_40_1_41_, 28);
  int argcv_meth_ast_1156_visitComment_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1156_visitComment_40_1_41_up_40_1_41_);
  meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1156_visitComment_40_1_41_up_40_1_41_->definitionLine = 3119;
// method "visitImplicit(_)up(_)"
  struct UserObject *uo1159 = (struct UserObject*)obj1073;
  uo1159->data[29] = emptyclosure;
  Method *meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitImplicit(1)up(1)", &meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_, 29);
  int argcv_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_);
  meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1159_visitImplicit_40_1_41_up_40_1_41_->definitionLine = 3120;
// method "visitOuter(_)up(_)"
  struct UserObject *uo1162 = (struct UserObject*)obj1073;
  uo1162->data[30] = emptyclosure;
  Method *meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_ = addmethod2pos(obj1073, "visitOuter(1)up(1)", &meth_ast_1162_visitOuter_40_1_41_up_40_1_41_, 30);
  int argcv_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_);
  meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1162_visitOuter_40_1_41_up_40_1_41_->definitionLine = 3121;
// method "visitIf(_)"
  struct UserObject *uo1165 = (struct UserObject*)obj1073;
  uo1165->data[31] = emptyclosure;
  Method *meth_meth_ast_1165_visitIf_40_1_41_ = addmethod2pos(obj1073, "visitIf(1)", &meth_ast_1165_visitIf_40_1_41_, 31);
  int argcv_meth_ast_1165_visitIf_40_1_41_[] = {1};
  meth_meth_ast_1165_visitIf_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1165_visitIf_40_1_41_);
  meth_meth_ast_1165_visitIf_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1165_visitIf_40_1_41_->definitionLine = 3123;
// method "visitBlock(_)"
  struct UserObject *uo1167 = (struct UserObject*)obj1073;
  uo1167->data[32] = emptyclosure;
  Method *meth_meth_ast_1167_visitBlock_40_1_41_ = addmethod2pos(obj1073, "visitBlock(1)", &meth_ast_1167_visitBlock_40_1_41_, 32);
  int argcv_meth_ast_1167_visitBlock_40_1_41_[] = {1};
  meth_meth_ast_1167_visitBlock_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1167_visitBlock_40_1_41_);
  meth_meth_ast_1167_visitBlock_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1167_visitBlock_40_1_41_->definitionLine = 3124;
// method "visitMatchCase(_)"
  struct UserObject *uo1169 = (struct UserObject*)obj1073;
  uo1169->data[33] = emptyclosure;
  Method *meth_meth_ast_1169_visitMatchCase_40_1_41_ = addmethod2pos(obj1073, "visitMatchCase(1)", &meth_ast_1169_visitMatchCase_40_1_41_, 33);
  int argcv_meth_ast_1169_visitMatchCase_40_1_41_[] = {1};
  meth_meth_ast_1169_visitMatchCase_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1169_visitMatchCase_40_1_41_);
  meth_meth_ast_1169_visitMatchCase_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1169_visitMatchCase_40_1_41_->definitionLine = 3125;
// method "visitTryCatch(_)"
  struct UserObject *uo1171 = (struct UserObject*)obj1073;
  uo1171->data[34] = emptyclosure;
  Method *meth_meth_ast_1171_visitTryCatch_40_1_41_ = addmethod2pos(obj1073, "visitTryCatch(1)", &meth_ast_1171_visitTryCatch_40_1_41_, 34);
  int argcv_meth_ast_1171_visitTryCatch_40_1_41_[] = {1};
  meth_meth_ast_1171_visitTryCatch_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1171_visitTryCatch_40_1_41_);
  meth_meth_ast_1171_visitTryCatch_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1171_visitTryCatch_40_1_41_->definitionLine = 3126;
// method "visitMethodType(_)"
  struct UserObject *uo1173 = (struct UserObject*)obj1073;
  uo1173->data[35] = emptyclosure;
  Method *meth_meth_ast_1173_visitMethodType_40_1_41_ = addmethod2pos(obj1073, "visitMethodType(1)", &meth_ast_1173_visitMethodType_40_1_41_, 35);
  int argcv_meth_ast_1173_visitMethodType_40_1_41_[] = {1};
  meth_meth_ast_1173_visitMethodType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1173_visitMethodType_40_1_41_);
  meth_meth_ast_1173_visitMethodType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1173_visitMethodType_40_1_41_->definitionLine = 3127;
// method "visitSignaturePart(_)"
  struct UserObject *uo1175 = (struct UserObject*)obj1073;
  uo1175->data[36] = emptyclosure;
  Method *meth_meth_ast_1175_visitSignaturePart_40_1_41_ = addmethod2pos(obj1073, "visitSignaturePart(1)", &meth_ast_1175_visitSignaturePart_40_1_41_, 36);
  int argcv_meth_ast_1175_visitSignaturePart_40_1_41_[] = {1};
  meth_meth_ast_1175_visitSignaturePart_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1175_visitSignaturePart_40_1_41_);
  meth_meth_ast_1175_visitSignaturePart_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1175_visitSignaturePart_40_1_41_->definitionLine = 3128;
// method "visitTypeDec(_)"
  struct UserObject *uo1177 = (struct UserObject*)obj1073;
  uo1177->data[37] = emptyclosure;
  Method *meth_meth_ast_1177_visitTypeDec_40_1_41_ = addmethod2pos(obj1073, "visitTypeDec(1)", &meth_ast_1177_visitTypeDec_40_1_41_, 37);
  int argcv_meth_ast_1177_visitTypeDec_40_1_41_[] = {1};
  meth_meth_ast_1177_visitTypeDec_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1177_visitTypeDec_40_1_41_);
  meth_meth_ast_1177_visitTypeDec_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1177_visitTypeDec_40_1_41_->definitionLine = 3129;
// method "visitTypeLiteral(_)"
  struct UserObject *uo1179 = (struct UserObject*)obj1073;
  uo1179->data[38] = emptyclosure;
  Method *meth_meth_ast_1179_visitTypeLiteral_40_1_41_ = addmethod2pos(obj1073, "visitTypeLiteral(1)", &meth_ast_1179_visitTypeLiteral_40_1_41_, 38);
  int argcv_meth_ast_1179_visitTypeLiteral_40_1_41_[] = {1};
  meth_meth_ast_1179_visitTypeLiteral_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1179_visitTypeLiteral_40_1_41_);
  meth_meth_ast_1179_visitTypeLiteral_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1179_visitTypeLiteral_40_1_41_->definitionLine = 3130;
// method "visitTypeParameters(_)"
  struct UserObject *uo1181 = (struct UserObject*)obj1073;
  uo1181->data[39] = emptyclosure;
  Method *meth_meth_ast_1181_visitTypeParameters_40_1_41_ = addmethod2pos(obj1073, "visitTypeParameters(1)", &meth_ast_1181_visitTypeParameters_40_1_41_, 39);
  int argcv_meth_ast_1181_visitTypeParameters_40_1_41_[] = {1};
  meth_meth_ast_1181_visitTypeParameters_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1181_visitTypeParameters_40_1_41_);
  meth_meth_ast_1181_visitTypeParameters_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1181_visitTypeParameters_40_1_41_->definitionLine = 3131;
// method "visitMethod(_)"
  struct UserObject *uo1183 = (struct UserObject*)obj1073;
  uo1183->data[40] = emptyclosure;
  Method *meth_meth_ast_1183_visitMethod_40_1_41_ = addmethod2pos(obj1073, "visitMethod(1)", &meth_ast_1183_visitMethod_40_1_41_, 40);
  int argcv_meth_ast_1183_visitMethod_40_1_41_[] = {1};
  meth_meth_ast_1183_visitMethod_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1183_visitMethod_40_1_41_);
  meth_meth_ast_1183_visitMethod_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1183_visitMethod_40_1_41_->definitionLine = 3132;
// method "visitCall(_)"
  struct UserObject *uo1185 = (struct UserObject*)obj1073;
  uo1185->data[41] = emptyclosure;
  Method *meth_meth_ast_1185_visitCall_40_1_41_ = addmethod2pos(obj1073, "visitCall(1)", &meth_ast_1185_visitCall_40_1_41_, 41);
  int argcv_meth_ast_1185_visitCall_40_1_41_[] = {1};
  meth_meth_ast_1185_visitCall_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1185_visitCall_40_1_41_);
  meth_meth_ast_1185_visitCall_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1185_visitCall_40_1_41_->definitionLine = 3133;
// method "visitObject(_)"
  struct UserObject *uo1187 = (struct UserObject*)obj1073;
  uo1187->data[42] = emptyclosure;
  Method *meth_meth_ast_1187_visitObject_40_1_41_ = addmethod2pos(obj1073, "visitObject(1)", &meth_ast_1187_visitObject_40_1_41_, 42);
  int argcv_meth_ast_1187_visitObject_40_1_41_[] = {1};
  meth_meth_ast_1187_visitObject_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1187_visitObject_40_1_41_);
  meth_meth_ast_1187_visitObject_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1187_visitObject_40_1_41_->definitionLine = 3134;
// method "visitModule(_)"
  struct UserObject *uo1189 = (struct UserObject*)obj1073;
  uo1189->data[43] = emptyclosure;
  Method *meth_meth_ast_1189_visitModule_40_1_41_ = addmethod2pos(obj1073, "visitModule(1)", &meth_ast_1189_visitModule_40_1_41_, 43);
  int argcv_meth_ast_1189_visitModule_40_1_41_[] = {1};
  meth_meth_ast_1189_visitModule_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1189_visitModule_40_1_41_);
  meth_meth_ast_1189_visitModule_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1189_visitModule_40_1_41_->definitionLine = 3135;
// method "visitArray(_)"
  struct UserObject *uo1191 = (struct UserObject*)obj1073;
  uo1191->data[44] = emptyclosure;
  Method *meth_meth_ast_1191_visitArray_40_1_41_ = addmethod2pos(obj1073, "visitArray(1)", &meth_ast_1191_visitArray_40_1_41_, 44);
  int argcv_meth_ast_1191_visitArray_40_1_41_[] = {1};
  meth_meth_ast_1191_visitArray_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1191_visitArray_40_1_41_);
  meth_meth_ast_1191_visitArray_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1191_visitArray_40_1_41_->definitionLine = 3136;
// method "visitMember(_)"
  struct UserObject *uo1193 = (struct UserObject*)obj1073;
  uo1193->data[45] = emptyclosure;
  Method *meth_meth_ast_1193_visitMember_40_1_41_ = addmethod2pos(obj1073, "visitMember(1)", &meth_ast_1193_visitMember_40_1_41_, 45);
  int argcv_meth_ast_1193_visitMember_40_1_41_[] = {1};
  meth_meth_ast_1193_visitMember_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1193_visitMember_40_1_41_);
  meth_meth_ast_1193_visitMember_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1193_visitMember_40_1_41_->definitionLine = 3137;
// method "visitGeneric(_)"
  struct UserObject *uo1195 = (struct UserObject*)obj1073;
  uo1195->data[46] = emptyclosure;
  Method *meth_meth_ast_1195_visitGeneric_40_1_41_ = addmethod2pos(obj1073, "visitGeneric(1)", &meth_ast_1195_visitGeneric_40_1_41_, 46);
  int argcv_meth_ast_1195_visitGeneric_40_1_41_[] = {1};
  meth_meth_ast_1195_visitGeneric_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1195_visitGeneric_40_1_41_);
  meth_meth_ast_1195_visitGeneric_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1195_visitGeneric_40_1_41_->definitionLine = 3138;
// method "visitIdentifier(_)"
  struct UserObject *uo1197 = (struct UserObject*)obj1073;
  uo1197->data[47] = emptyclosure;
  Method *meth_meth_ast_1197_visitIdentifier_40_1_41_ = addmethod2pos(obj1073, "visitIdentifier(1)", &meth_ast_1197_visitIdentifier_40_1_41_, 47);
  int argcv_meth_ast_1197_visitIdentifier_40_1_41_[] = {1};
  meth_meth_ast_1197_visitIdentifier_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1197_visitIdentifier_40_1_41_);
  meth_meth_ast_1197_visitIdentifier_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1197_visitIdentifier_40_1_41_->definitionLine = 3139;
// method "visitString(_)"
  struct UserObject *uo1199 = (struct UserObject*)obj1073;
  uo1199->data[48] = emptyclosure;
  Method *meth_meth_ast_1199_visitString_40_1_41_ = addmethod2pos(obj1073, "visitString(1)", &meth_ast_1199_visitString_40_1_41_, 48);
  int argcv_meth_ast_1199_visitString_40_1_41_[] = {1};
  meth_meth_ast_1199_visitString_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1199_visitString_40_1_41_);
  meth_meth_ast_1199_visitString_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1199_visitString_40_1_41_->definitionLine = 3140;
// method "visitNum(_)"
  struct UserObject *uo1201 = (struct UserObject*)obj1073;
  uo1201->data[49] = emptyclosure;
  Method *meth_meth_ast_1201_visitNum_40_1_41_ = addmethod2pos(obj1073, "visitNum(1)", &meth_ast_1201_visitNum_40_1_41_, 49);
  int argcv_meth_ast_1201_visitNum_40_1_41_[] = {1};
  meth_meth_ast_1201_visitNum_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1201_visitNum_40_1_41_);
  meth_meth_ast_1201_visitNum_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1201_visitNum_40_1_41_->definitionLine = 3141;
// method "visitOp(_)"
  struct UserObject *uo1203 = (struct UserObject*)obj1073;
  uo1203->data[50] = emptyclosure;
  Method *meth_meth_ast_1203_visitOp_40_1_41_ = addmethod2pos(obj1073, "visitOp(1)", &meth_ast_1203_visitOp_40_1_41_, 50);
  int argcv_meth_ast_1203_visitOp_40_1_41_[] = {1};
  meth_meth_ast_1203_visitOp_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1203_visitOp_40_1_41_);
  meth_meth_ast_1203_visitOp_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1203_visitOp_40_1_41_->definitionLine = 3142;
// method "visitBind(_)"
  struct UserObject *uo1205 = (struct UserObject*)obj1073;
  uo1205->data[51] = emptyclosure;
  Method *meth_meth_ast_1205_visitBind_40_1_41_ = addmethod2pos(obj1073, "visitBind(1)", &meth_ast_1205_visitBind_40_1_41_, 51);
  int argcv_meth_ast_1205_visitBind_40_1_41_[] = {1};
  meth_meth_ast_1205_visitBind_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1205_visitBind_40_1_41_);
  meth_meth_ast_1205_visitBind_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1205_visitBind_40_1_41_->definitionLine = 3143;
// method "visitDefDec(_)"
  struct UserObject *uo1207 = (struct UserObject*)obj1073;
  uo1207->data[52] = emptyclosure;
  Method *meth_meth_ast_1207_visitDefDec_40_1_41_ = addmethod2pos(obj1073, "visitDefDec(1)", &meth_ast_1207_visitDefDec_40_1_41_, 52);
  int argcv_meth_ast_1207_visitDefDec_40_1_41_[] = {1};
  meth_meth_ast_1207_visitDefDec_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1207_visitDefDec_40_1_41_);
  meth_meth_ast_1207_visitDefDec_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1207_visitDefDec_40_1_41_->definitionLine = 3144;
// method "visitVarDec(_)"
  struct UserObject *uo1209 = (struct UserObject*)obj1073;
  uo1209->data[53] = emptyclosure;
  Method *meth_meth_ast_1209_visitVarDec_40_1_41_ = addmethod2pos(obj1073, "visitVarDec(1)", &meth_ast_1209_visitVarDec_40_1_41_, 53);
  int argcv_meth_ast_1209_visitVarDec_40_1_41_[] = {1};
  meth_meth_ast_1209_visitVarDec_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1209_visitVarDec_40_1_41_);
  meth_meth_ast_1209_visitVarDec_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1209_visitVarDec_40_1_41_->definitionLine = 3145;
// method "visitImport(_)"
  struct UserObject *uo1211 = (struct UserObject*)obj1073;
  uo1211->data[54] = emptyclosure;
  Method *meth_meth_ast_1211_visitImport_40_1_41_ = addmethod2pos(obj1073, "visitImport(1)", &meth_ast_1211_visitImport_40_1_41_, 54);
  int argcv_meth_ast_1211_visitImport_40_1_41_[] = {1};
  meth_meth_ast_1211_visitImport_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1211_visitImport_40_1_41_);
  meth_meth_ast_1211_visitImport_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1211_visitImport_40_1_41_->definitionLine = 3146;
// method "visitReturn(_)"
  struct UserObject *uo1213 = (struct UserObject*)obj1073;
  uo1213->data[55] = emptyclosure;
  Method *meth_meth_ast_1213_visitReturn_40_1_41_ = addmethod2pos(obj1073, "visitReturn(1)", &meth_ast_1213_visitReturn_40_1_41_, 55);
  int argcv_meth_ast_1213_visitReturn_40_1_41_[] = {1};
  meth_meth_ast_1213_visitReturn_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1213_visitReturn_40_1_41_);
  meth_meth_ast_1213_visitReturn_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1213_visitReturn_40_1_41_->definitionLine = 3147;
// method "visitInherits(_)"
  struct UserObject *uo1215 = (struct UserObject*)obj1073;
  uo1215->data[56] = emptyclosure;
  Method *meth_meth_ast_1215_visitInherits_40_1_41_ = addmethod2pos(obj1073, "visitInherits(1)", &meth_ast_1215_visitInherits_40_1_41_, 56);
  int argcv_meth_ast_1215_visitInherits_40_1_41_[] = {1};
  meth_meth_ast_1215_visitInherits_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1215_visitInherits_40_1_41_);
  meth_meth_ast_1215_visitInherits_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1215_visitInherits_40_1_41_->definitionLine = 3148;
// method "visitDialect(_)"
  struct UserObject *uo1217 = (struct UserObject*)obj1073;
  uo1217->data[57] = emptyclosure;
  Method *meth_meth_ast_1217_visitDialect_40_1_41_ = addmethod2pos(obj1073, "visitDialect(1)", &meth_ast_1217_visitDialect_40_1_41_, 57);
  int argcv_meth_ast_1217_visitDialect_40_1_41_[] = {1};
  meth_meth_ast_1217_visitDialect_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1217_visitDialect_40_1_41_);
  meth_meth_ast_1217_visitDialect_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1217_visitDialect_40_1_41_->definitionLine = 3149;
// method "visitComment(_)"
  struct UserObject *uo1219 = (struct UserObject*)obj1073;
  uo1219->data[58] = emptyclosure;
  Method *meth_meth_ast_1219_visitComment_40_1_41_ = addmethod2pos(obj1073, "visitComment(1)", &meth_ast_1219_visitComment_40_1_41_, 58);
  int argcv_meth_ast_1219_visitComment_40_1_41_[] = {1};
  meth_meth_ast_1219_visitComment_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1219_visitComment_40_1_41_);
  meth_meth_ast_1219_visitComment_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1219_visitComment_40_1_41_->definitionLine = 3150;
// method "visitImplicit(_)"
  struct UserObject *uo1221 = (struct UserObject*)obj1073;
  uo1221->data[59] = emptyclosure;
  Method *meth_meth_ast_1221_visitImplicit_40_1_41_ = addmethod2pos(obj1073, "visitImplicit(1)", &meth_ast_1221_visitImplicit_40_1_41_, 59);
  int argcv_meth_ast_1221_visitImplicit_40_1_41_[] = {1};
  meth_meth_ast_1221_visitImplicit_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1221_visitImplicit_40_1_41_);
  meth_meth_ast_1221_visitImplicit_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1221_visitImplicit_40_1_41_->definitionLine = 3151;
// method "visitOuter(_)"
  struct UserObject *uo1223 = (struct UserObject*)obj1073;
  uo1223->data[60] = emptyclosure;
  Method *meth_meth_ast_1223_visitOuter_40_1_41_ = addmethod2pos(obj1073, "visitOuter(1)", &meth_ast_1223_visitOuter_40_1_41_, 60);
  int argcv_meth_ast_1223_visitOuter_40_1_41_[] = {1};
  meth_meth_ast_1223_visitOuter_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1223_visitOuter_40_1_41_);
  meth_meth_ast_1223_visitOuter_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1223_visitOuter_40_1_41_->definitionLine = 3152;
// method "asString"
  struct UserObject *uo1225 = (struct UserObject*)obj1073;
  uo1225->data[61] = emptyclosure;
  Method *meth_meth_ast_1225_asString = addmethod2pos(obj1073, "asString", &meth_ast_1225_asString, 61);
  int argcv_meth_ast_1225_asString[] = {0};
  meth_meth_ast_1225_asString->type = alloc_MethodType(1, argcv_meth_ast_1225_asString);
  meth_meth_ast_1225_asString->definitionModule = modulename;
  meth_meth_ast_1225_asString->definitionLine = 3154;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  sourceObject = obj1073;
  objclass1073 = obj1073->class;
  objclass1073->definitionModule = modulename;
  objclass1073->definitionLine = 3091;
  (*(struct UserObject *)self).data[0] = lowerouter1073;
  self = oldself1073;
  selfslot = oldselfslot1073;
  stackframe = oldstackframe1073;
  gc_frame_end(frame);
  return obj1073;
}
Object meth_ast_1231_visitIf_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitIf(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3164
  setline(3164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1232 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1233 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1232);
// compiled call node returning call1233 (depth = 2)
  gc_frame_end(frame);
  return call1233;
}
Object meth_ast_1234_visitBlock_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBlock(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3165
  setline(3165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1235 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1236 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1235);
// compiled call node returning call1236 (depth = 2)
  gc_frame_end(frame);
  return call1236;
}
Object meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMatchCase(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1238 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1239 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1238);
// compiled call node returning call1239 (depth = 2)
  gc_frame_end(frame);
  return call1239;
}
Object meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTryCatch(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3167
  setline(3167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1241 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1242 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1241);
// compiled call node returning call1242 (depth = 2)
  gc_frame_end(frame);
  return call1242;
}
Object meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMethodType(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3168
  setline(3168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1244 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1245 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1244);
// compiled call node returning call1245 (depth = 2)
  gc_frame_end(frame);
  return call1245;
}
Object meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitSignaturePart(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3169
  setline(3169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1247 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1248 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1247);
// compiled call node returning call1248 (depth = 2)
  gc_frame_end(frame);
  return call1248;
}
Object meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3170
  setline(3170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1250 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1251 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1250);
// compiled call node returning call1251 (depth = 2)
  gc_frame_end(frame);
  return call1251;
}
Object meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeLiteral(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1253 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1254 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1253);
// compiled call node returning call1254 (depth = 2)
  gc_frame_end(frame);
  return call1254;
}
Object meth_ast_1255_visitMethod_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMethod(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3172
  setline(3172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1256 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1257 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1256);
// compiled call node returning call1257 (depth = 2)
  gc_frame_end(frame);
  return call1257;
}
Object meth_ast_1258_visitCall_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3173
  setline(3173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1259 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1260 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1259);
// compiled call node returning call1260 (depth = 2)
  gc_frame_end(frame);
  return call1260;
}
Object meth_ast_1261_visitObject_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitObject(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3174
  setline(3174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1262 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1263 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1262);
// compiled call node returning call1263 (depth = 2)
  gc_frame_end(frame);
  return call1263;
}
Object meth_ast_1264_visitModule_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitModule(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3175
  setline(3175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1265 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1266 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1265);
// compiled call node returning call1266 (depth = 2)
  gc_frame_end(frame);
  return call1266;
}
Object meth_ast_1267_visitArray_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitArray(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3176
  setline(3176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1268 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1269 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1268);
// compiled call node returning call1269 (depth = 2)
  gc_frame_end(frame);
  return call1269;
}
Object meth_ast_1270_visitMember_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMember(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3177
  setline(3177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1271 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1272 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1271);
// compiled call node returning call1272 (depth = 2)
  gc_frame_end(frame);
  return call1272;
}
Object meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitGeneric(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3178
  setline(3178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1274 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1275 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1274);
// compiled call node returning call1275 (depth = 2)
  gc_frame_end(frame);
  return call1275;
}
Object meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitIdentifier(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3179
  setline(3179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1277 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1278 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1277);
// compiled call node returning call1278 (depth = 2)
  gc_frame_end(frame);
  return call1278;
}
Object meth_ast_1279_visitString_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitString(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3180
  setline(3180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1280 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1281 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1280);
// compiled call node returning call1281 (depth = 2)
  gc_frame_end(frame);
  return call1281;
}
Object meth_ast_1282_visitNum_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitNum(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3181
  setline(3181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1283 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1284 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1283);
// compiled call node returning call1284 (depth = 2)
  gc_frame_end(frame);
  return call1284;
}
Object meth_ast_1285_visitOp_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitOp(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3182
  setline(3182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1286 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1287 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1286);
// compiled call node returning call1287 (depth = 2)
  gc_frame_end(frame);
  return call1287;
}
Object meth_ast_1288_visitBind_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBind(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3183
  setline(3183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1289 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1290 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1289);
// compiled call node returning call1290 (depth = 2)
  gc_frame_end(frame);
  return call1290;
}
Object meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitDefDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3184
  setline(3184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1292 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1293 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1292);
// compiled call node returning call1293 (depth = 2)
  gc_frame_end(frame);
  return call1293;
}
Object meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitVarDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3185
  setline(3185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1295 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1296 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1295);
// compiled call node returning call1296 (depth = 2)
  gc_frame_end(frame);
  return call1296;
}
Object meth_ast_1297_visitImport_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitImport(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3186
  setline(3186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1298 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1299 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1298);
// compiled call node returning call1299 (depth = 2)
  gc_frame_end(frame);
  return call1299;
}
Object meth_ast_1300_visitReturn_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitReturn(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3187
  setline(3187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1301 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1302 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1301);
// compiled call node returning call1302 (depth = 2)
  gc_frame_end(frame);
  return call1302;
}
Object meth_ast_1303_visitInherits_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitInherits(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3188
  setline(3188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1304 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1305 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1304);
// compiled call node returning call1305 (depth = 2)
  gc_frame_end(frame);
  return call1305;
}
Object meth_ast_1306_visitDialect_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitDialect(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3189
  setline(3189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1307 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1308 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1307);
// compiled call node returning call1308 (depth = 2)
  gc_frame_end(frame);
  return call1308;
}
Object meth_ast_1309_visitComment_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitComment(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1310 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1311 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1310);
// compiled call node returning call1311 (depth = 2)
  gc_frame_end(frame);
  return call1311;
}
Object meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitImplicit(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3191
  setline(3191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1313 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1314 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1313);
// compiled call node returning call1314 (depth = 2)
  gc_frame_end(frame);
  return call1314;
}
Object meth_ast_1315_visitOuter_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitOuter(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOuter(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOuter(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOuter(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOuter(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3192
  setline(3192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1316 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1317 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1316);
// compiled call node returning call1317 (depth = 2)
  gc_frame_end(frame);
  return call1317;
}
Object meth_ast_1318_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit1319 == NULL) {
    strlit1319 = alloc_String("a pluggable AST visitor");
    gc_root(strlit1319);
  }
// compiled string node returning strlit1319 (depth = 2)
  gc_frame_end(frame);
  return strlit1319;
}
Object meth_ast_1228_pluggableVisitor_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pluggableVisitor(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pluggableVisitor(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pluggableVisitor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitation = &(stackframe->slots[0]);
  *var_visitation = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pluggableVisitor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1229 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1229 = alloc_userobj2(30,31, objclass1229);
  gc_frame_newslot(obj1229);
  if (objclass1229 == NULL) {
    glfree(obj1229->class->name);
    obj1229->class->name = "pluggableVisitor(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1229, self, 0);
  addmethodreal(obj1229,"outer", &reader_ast_outer_1230);
  Object oldself1229 = self;
  struct StackFrameObject *oldstackframe1229 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1229);
  gc_frame_newslot((Object)stackframe);
  self = obj1229;
  Object *oldselfslot1229 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1229 = (*(struct UserObject *)self).data[0], lowerouter1229 = thisouter1229;
  if (inheritingObject1229) {
    struct UserObject *inho1229 = (struct UserObject *)inheritingObject1229;
    while (inho1229->super != GraceDefaultObject) inho1229 = (struct UserObject *)inho1229->super;
    inho1229->super = obj1229;
    self = inheritingObject1229;
    *selfslot = self;
    lowerouter1229 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1229;
  }
// method "visitIf(_)up(_)"
  block_savedest(obj1229);
  Object closure1231 = createclosure(1, "visitIf(1)up(1)");
  setclosureframe(closure1231, stackframe);
  addtoclosure(closure1231, var_visitation);
  struct UserObject *uo1231 = (struct UserObject*)obj1229;
  uo1231->data[1] = (Object)closure1231;
  Method *meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitIf(1)up(1)", &meth_ast_1231_visitIf_40_1_41_up_40_1_41_, 1);
  int argcv_meth_ast_1231_visitIf_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1231_visitIf_40_1_41_up_40_1_41_);
  meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_->definitionLine = 3164;
// method "visitBlock(_)up(_)"
  block_savedest(obj1229);
  Object closure1234 = createclosure(1, "visitBlock(1)up(1)");
  setclosureframe(closure1234, stackframe);
  addtoclosure(closure1234, var_visitation);
  struct UserObject *uo1234 = (struct UserObject*)obj1229;
  uo1234->data[2] = (Object)closure1234;
  Method *meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitBlock(1)up(1)", &meth_ast_1234_visitBlock_40_1_41_up_40_1_41_, 2);
  int argcv_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_);
  meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_->definitionLine = 3165;
// method "visitMatchCase(_)up(_)"
  block_savedest(obj1229);
  Object closure1237 = createclosure(1, "visitMatchCase(1)up(1)");
  setclosureframe(closure1237, stackframe);
  addtoclosure(closure1237, var_visitation);
  struct UserObject *uo1237 = (struct UserObject*)obj1229;
  uo1237->data[3] = (Object)closure1237;
  Method *meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMatchCase(1)up(1)", &meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_, 3);
  int argcv_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_);
  meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_->definitionLine = 3166;
// method "visitTryCatch(_)up(_)"
  block_savedest(obj1229);
  Object closure1240 = createclosure(1, "visitTryCatch(1)up(1)");
  setclosureframe(closure1240, stackframe);
  addtoclosure(closure1240, var_visitation);
  struct UserObject *uo1240 = (struct UserObject*)obj1229;
  uo1240->data[4] = (Object)closure1240;
  Method *meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitTryCatch(1)up(1)", &meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_, 4);
  int argcv_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_);
  meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_->definitionLine = 3167;
// method "visitMethodType(_)up(_)"
  block_savedest(obj1229);
  Object closure1243 = createclosure(1, "visitMethodType(1)up(1)");
  setclosureframe(closure1243, stackframe);
  addtoclosure(closure1243, var_visitation);
  struct UserObject *uo1243 = (struct UserObject*)obj1229;
  uo1243->data[5] = (Object)closure1243;
  Method *meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMethodType(1)up(1)", &meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_, 5);
  int argcv_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_);
  meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_->definitionLine = 3168;
// method "visitSignaturePart(_)up(_)"
  block_savedest(obj1229);
  Object closure1246 = createclosure(1, "visitSignaturePart(1)up(1)");
  setclosureframe(closure1246, stackframe);
  addtoclosure(closure1246, var_visitation);
  struct UserObject *uo1246 = (struct UserObject*)obj1229;
  uo1246->data[6] = (Object)closure1246;
  Method *meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitSignaturePart(1)up(1)", &meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_, 6);
  int argcv_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_);
  meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_->definitionLine = 3169;
// method "visitTypeDec(_)up(_)"
  block_savedest(obj1229);
  Object closure1249 = createclosure(1, "visitTypeDec(1)up(1)");
  setclosureframe(closure1249, stackframe);
  addtoclosure(closure1249, var_visitation);
  struct UserObject *uo1249 = (struct UserObject*)obj1229;
  uo1249->data[7] = (Object)closure1249;
  Method *meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitTypeDec(1)up(1)", &meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_, 7);
  int argcv_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_->definitionLine = 3170;
// method "visitTypeLiteral(_)up(_)"
  block_savedest(obj1229);
  Object closure1252 = createclosure(1, "visitTypeLiteral(1)up(1)");
  setclosureframe(closure1252, stackframe);
  addtoclosure(closure1252, var_visitation);
  struct UserObject *uo1252 = (struct UserObject*)obj1229;
  uo1252->data[8] = (Object)closure1252;
  Method *meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitTypeLiteral(1)up(1)", &meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_, 8);
  int argcv_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_);
  meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_->definitionLine = 3171;
// method "visitMethod(_)up(_)"
  block_savedest(obj1229);
  Object closure1255 = createclosure(1, "visitMethod(1)up(1)");
  setclosureframe(closure1255, stackframe);
  addtoclosure(closure1255, var_visitation);
  struct UserObject *uo1255 = (struct UserObject*)obj1229;
  uo1255->data[9] = (Object)closure1255;
  Method *meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMethod(1)up(1)", &meth_ast_1255_visitMethod_40_1_41_up_40_1_41_, 9);
  int argcv_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_);
  meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_->definitionLine = 3172;
// method "visitCall(_)up(_)"
  block_savedest(obj1229);
  Object closure1258 = createclosure(1, "visitCall(1)up(1)");
  setclosureframe(closure1258, stackframe);
  addtoclosure(closure1258, var_visitation);
  struct UserObject *uo1258 = (struct UserObject*)obj1229;
  uo1258->data[10] = (Object)closure1258;
  Method *meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitCall(1)up(1)", &meth_ast_1258_visitCall_40_1_41_up_40_1_41_, 10);
  int argcv_meth_ast_1258_visitCall_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1258_visitCall_40_1_41_up_40_1_41_);
  meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_->definitionLine = 3173;
// method "visitObject(_)up(_)"
  block_savedest(obj1229);
  Object closure1261 = createclosure(1, "visitObject(1)up(1)");
  setclosureframe(closure1261, stackframe);
  addtoclosure(closure1261, var_visitation);
  struct UserObject *uo1261 = (struct UserObject*)obj1229;
  uo1261->data[11] = (Object)closure1261;
  Method *meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitObject(1)up(1)", &meth_ast_1261_visitObject_40_1_41_up_40_1_41_, 11);
  int argcv_meth_ast_1261_visitObject_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1261_visitObject_40_1_41_up_40_1_41_);
  meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_->definitionLine = 3174;
// method "visitModule(_)up(_)"
  block_savedest(obj1229);
  Object closure1264 = createclosure(1, "visitModule(1)up(1)");
  setclosureframe(closure1264, stackframe);
  addtoclosure(closure1264, var_visitation);
  struct UserObject *uo1264 = (struct UserObject*)obj1229;
  uo1264->data[12] = (Object)closure1264;
  Method *meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitModule(1)up(1)", &meth_ast_1264_visitModule_40_1_41_up_40_1_41_, 12);
  int argcv_meth_ast_1264_visitModule_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1264_visitModule_40_1_41_up_40_1_41_);
  meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_->definitionLine = 3175;
// method "visitArray(_)up(_)"
  block_savedest(obj1229);
  Object closure1267 = createclosure(1, "visitArray(1)up(1)");
  setclosureframe(closure1267, stackframe);
  addtoclosure(closure1267, var_visitation);
  struct UserObject *uo1267 = (struct UserObject*)obj1229;
  uo1267->data[13] = (Object)closure1267;
  Method *meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitArray(1)up(1)", &meth_ast_1267_visitArray_40_1_41_up_40_1_41_, 13);
  int argcv_meth_ast_1267_visitArray_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1267_visitArray_40_1_41_up_40_1_41_);
  meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_->definitionLine = 3176;
// method "visitMember(_)up(_)"
  block_savedest(obj1229);
  Object closure1270 = createclosure(1, "visitMember(1)up(1)");
  setclosureframe(closure1270, stackframe);
  addtoclosure(closure1270, var_visitation);
  struct UserObject *uo1270 = (struct UserObject*)obj1229;
  uo1270->data[14] = (Object)closure1270;
  Method *meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMember(1)up(1)", &meth_ast_1270_visitMember_40_1_41_up_40_1_41_, 14);
  int argcv_meth_ast_1270_visitMember_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1270_visitMember_40_1_41_up_40_1_41_);
  meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_->definitionLine = 3177;
// method "visitGeneric(_)up(_)"
  block_savedest(obj1229);
  Object closure1273 = createclosure(1, "visitGeneric(1)up(1)");
  setclosureframe(closure1273, stackframe);
  addtoclosure(closure1273, var_visitation);
  struct UserObject *uo1273 = (struct UserObject*)obj1229;
  uo1273->data[15] = (Object)closure1273;
  Method *meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitGeneric(1)up(1)", &meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_, 15);
  int argcv_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_);
  meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_->definitionLine = 3178;
// method "visitIdentifier(_)up(_)"
  block_savedest(obj1229);
  Object closure1276 = createclosure(1, "visitIdentifier(1)up(1)");
  setclosureframe(closure1276, stackframe);
  addtoclosure(closure1276, var_visitation);
  struct UserObject *uo1276 = (struct UserObject*)obj1229;
  uo1276->data[16] = (Object)closure1276;
  Method *meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitIdentifier(1)up(1)", &meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_, 16);
  int argcv_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_);
  meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_->definitionLine = 3179;
// method "visitString(_)up(_)"
  block_savedest(obj1229);
  Object closure1279 = createclosure(1, "visitString(1)up(1)");
  setclosureframe(closure1279, stackframe);
  addtoclosure(closure1279, var_visitation);
  struct UserObject *uo1279 = (struct UserObject*)obj1229;
  uo1279->data[17] = (Object)closure1279;
  Method *meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitString(1)up(1)", &meth_ast_1279_visitString_40_1_41_up_40_1_41_, 17);
  int argcv_meth_ast_1279_visitString_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1279_visitString_40_1_41_up_40_1_41_);
  meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_->definitionLine = 3180;
// method "visitNum(_)up(_)"
  block_savedest(obj1229);
  Object closure1282 = createclosure(1, "visitNum(1)up(1)");
  setclosureframe(closure1282, stackframe);
  addtoclosure(closure1282, var_visitation);
  struct UserObject *uo1282 = (struct UserObject*)obj1229;
  uo1282->data[18] = (Object)closure1282;
  Method *meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitNum(1)up(1)", &meth_ast_1282_visitNum_40_1_41_up_40_1_41_, 18);
  int argcv_meth_ast_1282_visitNum_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1282_visitNum_40_1_41_up_40_1_41_);
  meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_->definitionLine = 3181;
// method "visitOp(_)up(_)"
  block_savedest(obj1229);
  Object closure1285 = createclosure(1, "visitOp(1)up(1)");
  setclosureframe(closure1285, stackframe);
  addtoclosure(closure1285, var_visitation);
  struct UserObject *uo1285 = (struct UserObject*)obj1229;
  uo1285->data[19] = (Object)closure1285;
  Method *meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitOp(1)up(1)", &meth_ast_1285_visitOp_40_1_41_up_40_1_41_, 19);
  int argcv_meth_ast_1285_visitOp_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1285_visitOp_40_1_41_up_40_1_41_);
  meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_->definitionLine = 3182;
// method "visitBind(_)up(_)"
  block_savedest(obj1229);
  Object closure1288 = createclosure(1, "visitBind(1)up(1)");
  setclosureframe(closure1288, stackframe);
  addtoclosure(closure1288, var_visitation);
  struct UserObject *uo1288 = (struct UserObject*)obj1229;
  uo1288->data[20] = (Object)closure1288;
  Method *meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitBind(1)up(1)", &meth_ast_1288_visitBind_40_1_41_up_40_1_41_, 20);
  int argcv_meth_ast_1288_visitBind_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1288_visitBind_40_1_41_up_40_1_41_);
  meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_->definitionLine = 3183;
// method "visitDefDec(_)up(_)"
  block_savedest(obj1229);
  Object closure1291 = createclosure(1, "visitDefDec(1)up(1)");
  setclosureframe(closure1291, stackframe);
  addtoclosure(closure1291, var_visitation);
  struct UserObject *uo1291 = (struct UserObject*)obj1229;
  uo1291->data[21] = (Object)closure1291;
  Method *meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitDefDec(1)up(1)", &meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_, 21);
  int argcv_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_->definitionLine = 3184;
// method "visitVarDec(_)up(_)"
  block_savedest(obj1229);
  Object closure1294 = createclosure(1, "visitVarDec(1)up(1)");
  setclosureframe(closure1294, stackframe);
  addtoclosure(closure1294, var_visitation);
  struct UserObject *uo1294 = (struct UserObject*)obj1229;
  uo1294->data[22] = (Object)closure1294;
  Method *meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitVarDec(1)up(1)", &meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_, 22);
  int argcv_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_->definitionLine = 3185;
// method "visitImport(_)up(_)"
  block_savedest(obj1229);
  Object closure1297 = createclosure(1, "visitImport(1)up(1)");
  setclosureframe(closure1297, stackframe);
  addtoclosure(closure1297, var_visitation);
  struct UserObject *uo1297 = (struct UserObject*)obj1229;
  uo1297->data[23] = (Object)closure1297;
  Method *meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitImport(1)up(1)", &meth_ast_1297_visitImport_40_1_41_up_40_1_41_, 23);
  int argcv_meth_ast_1297_visitImport_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1297_visitImport_40_1_41_up_40_1_41_);
  meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_->definitionLine = 3186;
// method "visitReturn(_)up(_)"
  block_savedest(obj1229);
  Object closure1300 = createclosure(1, "visitReturn(1)up(1)");
  setclosureframe(closure1300, stackframe);
  addtoclosure(closure1300, var_visitation);
  struct UserObject *uo1300 = (struct UserObject*)obj1229;
  uo1300->data[24] = (Object)closure1300;
  Method *meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitReturn(1)up(1)", &meth_ast_1300_visitReturn_40_1_41_up_40_1_41_, 24);
  int argcv_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_);
  meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_->definitionLine = 3187;
// method "visitInherits(_)up(_)"
  block_savedest(obj1229);
  Object closure1303 = createclosure(1, "visitInherits(1)up(1)");
  setclosureframe(closure1303, stackframe);
  addtoclosure(closure1303, var_visitation);
  struct UserObject *uo1303 = (struct UserObject*)obj1229;
  uo1303->data[25] = (Object)closure1303;
  Method *meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitInherits(1)up(1)", &meth_ast_1303_visitInherits_40_1_41_up_40_1_41_, 25);
  int argcv_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_);
  meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_->definitionLine = 3188;
// method "visitDialect(_)up(_)"
  block_savedest(obj1229);
  Object closure1306 = createclosure(1, "visitDialect(1)up(1)");
  setclosureframe(closure1306, stackframe);
  addtoclosure(closure1306, var_visitation);
  struct UserObject *uo1306 = (struct UserObject*)obj1229;
  uo1306->data[26] = (Object)closure1306;
  Method *meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitDialect(1)up(1)", &meth_ast_1306_visitDialect_40_1_41_up_40_1_41_, 26);
  int argcv_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_);
  meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_->definitionLine = 3189;
// method "visitComment(_)up(_)"
  block_savedest(obj1229);
  Object closure1309 = createclosure(1, "visitComment(1)up(1)");
  setclosureframe(closure1309, stackframe);
  addtoclosure(closure1309, var_visitation);
  struct UserObject *uo1309 = (struct UserObject*)obj1229;
  uo1309->data[27] = (Object)closure1309;
  Method *meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitComment(1)up(1)", &meth_ast_1309_visitComment_40_1_41_up_40_1_41_, 27);
  int argcv_meth_ast_1309_visitComment_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1309_visitComment_40_1_41_up_40_1_41_);
  meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_->definitionLine = 3190;
// method "visitImplicit(_)up(_)"
  block_savedest(obj1229);
  Object closure1312 = createclosure(1, "visitImplicit(1)up(1)");
  setclosureframe(closure1312, stackframe);
  addtoclosure(closure1312, var_visitation);
  struct UserObject *uo1312 = (struct UserObject*)obj1229;
  uo1312->data[28] = (Object)closure1312;
  Method *meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitImplicit(1)up(1)", &meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_, 28);
  int argcv_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_);
  meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_->definitionLine = 3191;
// method "visitOuter(_)up(_)"
  block_savedest(obj1229);
  Object closure1315 = createclosure(1, "visitOuter(1)up(1)");
  setclosureframe(closure1315, stackframe);
  addtoclosure(closure1315, var_visitation);
  struct UserObject *uo1315 = (struct UserObject*)obj1229;
  uo1315->data[29] = (Object)closure1315;
  Method *meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitOuter(1)up(1)", &meth_ast_1315_visitOuter_40_1_41_up_40_1_41_, 29);
  int argcv_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_);
  meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_->definitionLine = 3192;
// method "asString"
  struct UserObject *uo1318 = (struct UserObject*)obj1229;
  uo1318->data[30] = emptyclosure;
  Method *meth_meth_ast_1318_asString = addmethod2pos(obj1229, "asString", &meth_ast_1318_asString, 30);
  int argcv_meth_ast_1318_asString[] = {0};
  meth_meth_ast_1318_asString->type = alloc_MethodType(1, argcv_meth_ast_1318_asString);
  meth_meth_ast_1318_asString->definitionModule = modulename;
  meth_meth_ast_1318_asString->definitionLine = 3194;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  objclass1229 = obj1229->class;
  objclass1229->definitionModule = modulename;
  objclass1229->definitionLine = 3157;
  (*(struct UserObject *)self).data[0] = lowerouter1229;
  self = oldself1229;
  selfslot = oldselfslot1229;
  stackframe = oldstackframe1229;
  gc_frame_end(frame);
  return obj1229;
}
Object meth_ast_1228_pluggableVisitor_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pluggableVisitor(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method pluggableVisitor(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pluggableVisitor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitation = &(stackframe->slots[0]);
  *var_visitation = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pluggableVisitor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1229 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1229 = alloc_userobj2(30,31, objclass1229);
  gc_frame_newslot(obj1229);
  if (objclass1229 == NULL) {
    glfree(obj1229->class->name);
    obj1229->class->name = "pluggableVisitor(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1229, self, 0);
  addmethodreal(obj1229,"outer", &reader_ast_outer_1230);
  Object oldself1229 = self;
  struct StackFrameObject *oldstackframe1229 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1229);
  gc_frame_newslot((Object)stackframe);
  self = obj1229;
  Object *oldselfslot1229 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1229 = (*(struct UserObject *)self).data[0], lowerouter1229 = thisouter1229;
  if (inheritingObject1229) {
    struct UserObject *inho1229 = (struct UserObject *)inheritingObject1229;
    while (inho1229->super != GraceDefaultObject) inho1229 = (struct UserObject *)inho1229->super;
    inho1229->super = obj1229;
    self = inheritingObject1229;
    *selfslot = self;
    lowerouter1229 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1229;
  }
// method "visitIf(_)up(_)"
  block_savedest(obj1229);
  Object closure1231 = createclosure(1, "visitIf(1)up(1)");
  setclosureframe(closure1231, stackframe);
  addtoclosure(closure1231, var_visitation);
  struct UserObject *uo1231 = (struct UserObject*)obj1229;
  uo1231->data[1] = (Object)closure1231;
  Method *meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitIf(1)up(1)", &meth_ast_1231_visitIf_40_1_41_up_40_1_41_, 1);
  int argcv_meth_ast_1231_visitIf_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1231_visitIf_40_1_41_up_40_1_41_);
  meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1231_visitIf_40_1_41_up_40_1_41_->definitionLine = 3164;
// method "visitBlock(_)up(_)"
  block_savedest(obj1229);
  Object closure1234 = createclosure(1, "visitBlock(1)up(1)");
  setclosureframe(closure1234, stackframe);
  addtoclosure(closure1234, var_visitation);
  struct UserObject *uo1234 = (struct UserObject*)obj1229;
  uo1234->data[2] = (Object)closure1234;
  Method *meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitBlock(1)up(1)", &meth_ast_1234_visitBlock_40_1_41_up_40_1_41_, 2);
  int argcv_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_);
  meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1234_visitBlock_40_1_41_up_40_1_41_->definitionLine = 3165;
// method "visitMatchCase(_)up(_)"
  block_savedest(obj1229);
  Object closure1237 = createclosure(1, "visitMatchCase(1)up(1)");
  setclosureframe(closure1237, stackframe);
  addtoclosure(closure1237, var_visitation);
  struct UserObject *uo1237 = (struct UserObject*)obj1229;
  uo1237->data[3] = (Object)closure1237;
  Method *meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMatchCase(1)up(1)", &meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_, 3);
  int argcv_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_);
  meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1237_visitMatchCase_40_1_41_up_40_1_41_->definitionLine = 3166;
// method "visitTryCatch(_)up(_)"
  block_savedest(obj1229);
  Object closure1240 = createclosure(1, "visitTryCatch(1)up(1)");
  setclosureframe(closure1240, stackframe);
  addtoclosure(closure1240, var_visitation);
  struct UserObject *uo1240 = (struct UserObject*)obj1229;
  uo1240->data[4] = (Object)closure1240;
  Method *meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitTryCatch(1)up(1)", &meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_, 4);
  int argcv_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_);
  meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1240_visitTryCatch_40_1_41_up_40_1_41_->definitionLine = 3167;
// method "visitMethodType(_)up(_)"
  block_savedest(obj1229);
  Object closure1243 = createclosure(1, "visitMethodType(1)up(1)");
  setclosureframe(closure1243, stackframe);
  addtoclosure(closure1243, var_visitation);
  struct UserObject *uo1243 = (struct UserObject*)obj1229;
  uo1243->data[5] = (Object)closure1243;
  Method *meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMethodType(1)up(1)", &meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_, 5);
  int argcv_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_);
  meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1243_visitMethodType_40_1_41_up_40_1_41_->definitionLine = 3168;
// method "visitSignaturePart(_)up(_)"
  block_savedest(obj1229);
  Object closure1246 = createclosure(1, "visitSignaturePart(1)up(1)");
  setclosureframe(closure1246, stackframe);
  addtoclosure(closure1246, var_visitation);
  struct UserObject *uo1246 = (struct UserObject*)obj1229;
  uo1246->data[6] = (Object)closure1246;
  Method *meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitSignaturePart(1)up(1)", &meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_, 6);
  int argcv_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_);
  meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1246_visitSignaturePart_40_1_41_up_40_1_41_->definitionLine = 3169;
// method "visitTypeDec(_)up(_)"
  block_savedest(obj1229);
  Object closure1249 = createclosure(1, "visitTypeDec(1)up(1)");
  setclosureframe(closure1249, stackframe);
  addtoclosure(closure1249, var_visitation);
  struct UserObject *uo1249 = (struct UserObject*)obj1229;
  uo1249->data[7] = (Object)closure1249;
  Method *meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitTypeDec(1)up(1)", &meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_, 7);
  int argcv_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1249_visitTypeDec_40_1_41_up_40_1_41_->definitionLine = 3170;
// method "visitTypeLiteral(_)up(_)"
  block_savedest(obj1229);
  Object closure1252 = createclosure(1, "visitTypeLiteral(1)up(1)");
  setclosureframe(closure1252, stackframe);
  addtoclosure(closure1252, var_visitation);
  struct UserObject *uo1252 = (struct UserObject*)obj1229;
  uo1252->data[8] = (Object)closure1252;
  Method *meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitTypeLiteral(1)up(1)", &meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_, 8);
  int argcv_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_);
  meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1252_visitTypeLiteral_40_1_41_up_40_1_41_->definitionLine = 3171;
// method "visitMethod(_)up(_)"
  block_savedest(obj1229);
  Object closure1255 = createclosure(1, "visitMethod(1)up(1)");
  setclosureframe(closure1255, stackframe);
  addtoclosure(closure1255, var_visitation);
  struct UserObject *uo1255 = (struct UserObject*)obj1229;
  uo1255->data[9] = (Object)closure1255;
  Method *meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMethod(1)up(1)", &meth_ast_1255_visitMethod_40_1_41_up_40_1_41_, 9);
  int argcv_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_);
  meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1255_visitMethod_40_1_41_up_40_1_41_->definitionLine = 3172;
// method "visitCall(_)up(_)"
  block_savedest(obj1229);
  Object closure1258 = createclosure(1, "visitCall(1)up(1)");
  setclosureframe(closure1258, stackframe);
  addtoclosure(closure1258, var_visitation);
  struct UserObject *uo1258 = (struct UserObject*)obj1229;
  uo1258->data[10] = (Object)closure1258;
  Method *meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitCall(1)up(1)", &meth_ast_1258_visitCall_40_1_41_up_40_1_41_, 10);
  int argcv_meth_ast_1258_visitCall_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1258_visitCall_40_1_41_up_40_1_41_);
  meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1258_visitCall_40_1_41_up_40_1_41_->definitionLine = 3173;
// method "visitObject(_)up(_)"
  block_savedest(obj1229);
  Object closure1261 = createclosure(1, "visitObject(1)up(1)");
  setclosureframe(closure1261, stackframe);
  addtoclosure(closure1261, var_visitation);
  struct UserObject *uo1261 = (struct UserObject*)obj1229;
  uo1261->data[11] = (Object)closure1261;
  Method *meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitObject(1)up(1)", &meth_ast_1261_visitObject_40_1_41_up_40_1_41_, 11);
  int argcv_meth_ast_1261_visitObject_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1261_visitObject_40_1_41_up_40_1_41_);
  meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1261_visitObject_40_1_41_up_40_1_41_->definitionLine = 3174;
// method "visitModule(_)up(_)"
  block_savedest(obj1229);
  Object closure1264 = createclosure(1, "visitModule(1)up(1)");
  setclosureframe(closure1264, stackframe);
  addtoclosure(closure1264, var_visitation);
  struct UserObject *uo1264 = (struct UserObject*)obj1229;
  uo1264->data[12] = (Object)closure1264;
  Method *meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitModule(1)up(1)", &meth_ast_1264_visitModule_40_1_41_up_40_1_41_, 12);
  int argcv_meth_ast_1264_visitModule_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1264_visitModule_40_1_41_up_40_1_41_);
  meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1264_visitModule_40_1_41_up_40_1_41_->definitionLine = 3175;
// method "visitArray(_)up(_)"
  block_savedest(obj1229);
  Object closure1267 = createclosure(1, "visitArray(1)up(1)");
  setclosureframe(closure1267, stackframe);
  addtoclosure(closure1267, var_visitation);
  struct UserObject *uo1267 = (struct UserObject*)obj1229;
  uo1267->data[13] = (Object)closure1267;
  Method *meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitArray(1)up(1)", &meth_ast_1267_visitArray_40_1_41_up_40_1_41_, 13);
  int argcv_meth_ast_1267_visitArray_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1267_visitArray_40_1_41_up_40_1_41_);
  meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1267_visitArray_40_1_41_up_40_1_41_->definitionLine = 3176;
// method "visitMember(_)up(_)"
  block_savedest(obj1229);
  Object closure1270 = createclosure(1, "visitMember(1)up(1)");
  setclosureframe(closure1270, stackframe);
  addtoclosure(closure1270, var_visitation);
  struct UserObject *uo1270 = (struct UserObject*)obj1229;
  uo1270->data[14] = (Object)closure1270;
  Method *meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitMember(1)up(1)", &meth_ast_1270_visitMember_40_1_41_up_40_1_41_, 14);
  int argcv_meth_ast_1270_visitMember_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1270_visitMember_40_1_41_up_40_1_41_);
  meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1270_visitMember_40_1_41_up_40_1_41_->definitionLine = 3177;
// method "visitGeneric(_)up(_)"
  block_savedest(obj1229);
  Object closure1273 = createclosure(1, "visitGeneric(1)up(1)");
  setclosureframe(closure1273, stackframe);
  addtoclosure(closure1273, var_visitation);
  struct UserObject *uo1273 = (struct UserObject*)obj1229;
  uo1273->data[15] = (Object)closure1273;
  Method *meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitGeneric(1)up(1)", &meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_, 15);
  int argcv_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_);
  meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1273_visitGeneric_40_1_41_up_40_1_41_->definitionLine = 3178;
// method "visitIdentifier(_)up(_)"
  block_savedest(obj1229);
  Object closure1276 = createclosure(1, "visitIdentifier(1)up(1)");
  setclosureframe(closure1276, stackframe);
  addtoclosure(closure1276, var_visitation);
  struct UserObject *uo1276 = (struct UserObject*)obj1229;
  uo1276->data[16] = (Object)closure1276;
  Method *meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitIdentifier(1)up(1)", &meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_, 16);
  int argcv_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_);
  meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1276_visitIdentifier_40_1_41_up_40_1_41_->definitionLine = 3179;
// method "visitString(_)up(_)"
  block_savedest(obj1229);
  Object closure1279 = createclosure(1, "visitString(1)up(1)");
  setclosureframe(closure1279, stackframe);
  addtoclosure(closure1279, var_visitation);
  struct UserObject *uo1279 = (struct UserObject*)obj1229;
  uo1279->data[17] = (Object)closure1279;
  Method *meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitString(1)up(1)", &meth_ast_1279_visitString_40_1_41_up_40_1_41_, 17);
  int argcv_meth_ast_1279_visitString_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1279_visitString_40_1_41_up_40_1_41_);
  meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1279_visitString_40_1_41_up_40_1_41_->definitionLine = 3180;
// method "visitNum(_)up(_)"
  block_savedest(obj1229);
  Object closure1282 = createclosure(1, "visitNum(1)up(1)");
  setclosureframe(closure1282, stackframe);
  addtoclosure(closure1282, var_visitation);
  struct UserObject *uo1282 = (struct UserObject*)obj1229;
  uo1282->data[18] = (Object)closure1282;
  Method *meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitNum(1)up(1)", &meth_ast_1282_visitNum_40_1_41_up_40_1_41_, 18);
  int argcv_meth_ast_1282_visitNum_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1282_visitNum_40_1_41_up_40_1_41_);
  meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1282_visitNum_40_1_41_up_40_1_41_->definitionLine = 3181;
// method "visitOp(_)up(_)"
  block_savedest(obj1229);
  Object closure1285 = createclosure(1, "visitOp(1)up(1)");
  setclosureframe(closure1285, stackframe);
  addtoclosure(closure1285, var_visitation);
  struct UserObject *uo1285 = (struct UserObject*)obj1229;
  uo1285->data[19] = (Object)closure1285;
  Method *meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitOp(1)up(1)", &meth_ast_1285_visitOp_40_1_41_up_40_1_41_, 19);
  int argcv_meth_ast_1285_visitOp_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1285_visitOp_40_1_41_up_40_1_41_);
  meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1285_visitOp_40_1_41_up_40_1_41_->definitionLine = 3182;
// method "visitBind(_)up(_)"
  block_savedest(obj1229);
  Object closure1288 = createclosure(1, "visitBind(1)up(1)");
  setclosureframe(closure1288, stackframe);
  addtoclosure(closure1288, var_visitation);
  struct UserObject *uo1288 = (struct UserObject*)obj1229;
  uo1288->data[20] = (Object)closure1288;
  Method *meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitBind(1)up(1)", &meth_ast_1288_visitBind_40_1_41_up_40_1_41_, 20);
  int argcv_meth_ast_1288_visitBind_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1288_visitBind_40_1_41_up_40_1_41_);
  meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1288_visitBind_40_1_41_up_40_1_41_->definitionLine = 3183;
// method "visitDefDec(_)up(_)"
  block_savedest(obj1229);
  Object closure1291 = createclosure(1, "visitDefDec(1)up(1)");
  setclosureframe(closure1291, stackframe);
  addtoclosure(closure1291, var_visitation);
  struct UserObject *uo1291 = (struct UserObject*)obj1229;
  uo1291->data[21] = (Object)closure1291;
  Method *meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitDefDec(1)up(1)", &meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_, 21);
  int argcv_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1291_visitDefDec_40_1_41_up_40_1_41_->definitionLine = 3184;
// method "visitVarDec(_)up(_)"
  block_savedest(obj1229);
  Object closure1294 = createclosure(1, "visitVarDec(1)up(1)");
  setclosureframe(closure1294, stackframe);
  addtoclosure(closure1294, var_visitation);
  struct UserObject *uo1294 = (struct UserObject*)obj1229;
  uo1294->data[22] = (Object)closure1294;
  Method *meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitVarDec(1)up(1)", &meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_, 22);
  int argcv_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_);
  meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1294_visitVarDec_40_1_41_up_40_1_41_->definitionLine = 3185;
// method "visitImport(_)up(_)"
  block_savedest(obj1229);
  Object closure1297 = createclosure(1, "visitImport(1)up(1)");
  setclosureframe(closure1297, stackframe);
  addtoclosure(closure1297, var_visitation);
  struct UserObject *uo1297 = (struct UserObject*)obj1229;
  uo1297->data[23] = (Object)closure1297;
  Method *meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitImport(1)up(1)", &meth_ast_1297_visitImport_40_1_41_up_40_1_41_, 23);
  int argcv_meth_ast_1297_visitImport_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1297_visitImport_40_1_41_up_40_1_41_);
  meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1297_visitImport_40_1_41_up_40_1_41_->definitionLine = 3186;
// method "visitReturn(_)up(_)"
  block_savedest(obj1229);
  Object closure1300 = createclosure(1, "visitReturn(1)up(1)");
  setclosureframe(closure1300, stackframe);
  addtoclosure(closure1300, var_visitation);
  struct UserObject *uo1300 = (struct UserObject*)obj1229;
  uo1300->data[24] = (Object)closure1300;
  Method *meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitReturn(1)up(1)", &meth_ast_1300_visitReturn_40_1_41_up_40_1_41_, 24);
  int argcv_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_);
  meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1300_visitReturn_40_1_41_up_40_1_41_->definitionLine = 3187;
// method "visitInherits(_)up(_)"
  block_savedest(obj1229);
  Object closure1303 = createclosure(1, "visitInherits(1)up(1)");
  setclosureframe(closure1303, stackframe);
  addtoclosure(closure1303, var_visitation);
  struct UserObject *uo1303 = (struct UserObject*)obj1229;
  uo1303->data[25] = (Object)closure1303;
  Method *meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitInherits(1)up(1)", &meth_ast_1303_visitInherits_40_1_41_up_40_1_41_, 25);
  int argcv_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_);
  meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1303_visitInherits_40_1_41_up_40_1_41_->definitionLine = 3188;
// method "visitDialect(_)up(_)"
  block_savedest(obj1229);
  Object closure1306 = createclosure(1, "visitDialect(1)up(1)");
  setclosureframe(closure1306, stackframe);
  addtoclosure(closure1306, var_visitation);
  struct UserObject *uo1306 = (struct UserObject*)obj1229;
  uo1306->data[26] = (Object)closure1306;
  Method *meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitDialect(1)up(1)", &meth_ast_1306_visitDialect_40_1_41_up_40_1_41_, 26);
  int argcv_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_);
  meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1306_visitDialect_40_1_41_up_40_1_41_->definitionLine = 3189;
// method "visitComment(_)up(_)"
  block_savedest(obj1229);
  Object closure1309 = createclosure(1, "visitComment(1)up(1)");
  setclosureframe(closure1309, stackframe);
  addtoclosure(closure1309, var_visitation);
  struct UserObject *uo1309 = (struct UserObject*)obj1229;
  uo1309->data[27] = (Object)closure1309;
  Method *meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitComment(1)up(1)", &meth_ast_1309_visitComment_40_1_41_up_40_1_41_, 27);
  int argcv_meth_ast_1309_visitComment_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1309_visitComment_40_1_41_up_40_1_41_);
  meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1309_visitComment_40_1_41_up_40_1_41_->definitionLine = 3190;
// method "visitImplicit(_)up(_)"
  block_savedest(obj1229);
  Object closure1312 = createclosure(1, "visitImplicit(1)up(1)");
  setclosureframe(closure1312, stackframe);
  addtoclosure(closure1312, var_visitation);
  struct UserObject *uo1312 = (struct UserObject*)obj1229;
  uo1312->data[28] = (Object)closure1312;
  Method *meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitImplicit(1)up(1)", &meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_, 28);
  int argcv_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_);
  meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1312_visitImplicit_40_1_41_up_40_1_41_->definitionLine = 3191;
// method "visitOuter(_)up(_)"
  block_savedest(obj1229);
  Object closure1315 = createclosure(1, "visitOuter(1)up(1)");
  setclosureframe(closure1315, stackframe);
  addtoclosure(closure1315, var_visitation);
  struct UserObject *uo1315 = (struct UserObject*)obj1229;
  uo1315->data[29] = (Object)closure1315;
  Method *meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_ = addmethod2pos(obj1229, "visitOuter(1)up(1)", &meth_ast_1315_visitOuter_40_1_41_up_40_1_41_, 29);
  int argcv_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_);
  meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1315_visitOuter_40_1_41_up_40_1_41_->definitionLine = 3192;
// method "asString"
  struct UserObject *uo1318 = (struct UserObject*)obj1229;
  uo1318->data[30] = emptyclosure;
  Method *meth_meth_ast_1318_asString = addmethod2pos(obj1229, "asString", &meth_ast_1318_asString, 30);
  int argcv_meth_ast_1318_asString[] = {0};
  meth_meth_ast_1318_asString->type = alloc_MethodType(1, argcv_meth_ast_1318_asString);
  meth_meth_ast_1318_asString->definitionModule = modulename;
  meth_meth_ast_1318_asString->definitionLine = 3194;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  sourceObject = obj1229;
  objclass1229 = obj1229->class;
  objclass1229->definitionModule = modulename;
  objclass1229->definitionLine = 3157;
  (*(struct UserObject *)self).data[0] = lowerouter1229;
  self = oldself1229;
  selfslot = oldselfslot1229;
  stackframe = oldstackframe1229;
  gc_frame_end(frame);
  return obj1229;
}
Object meth_ast_1330__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object *var_ann = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3209
  setline(3209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_annName (depth = 8)
  int op_slot_right_1331 = gc_frame_newslot(*var_annName);
// starting to compile member node (depth = 8)
  int callframe1333 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ann (depth = 9)
  Object call1334 = callmethodflags(*var_ann, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1333);
// compiled member node returning call1334 (depth = 8)
  int op_slot_left_1331 = gc_frame_newslot(call1334);
  params[0] = *var_annName;
  partcv[0] = 1;
  Object opresult1335 = callmethod(call1334, "==(1)", 1, partcv, params);
// compiled op node returning opresult1335 (depth = 7)
  gc_frame_end(frame);
  return opresult1335;
}
Object meth_ast_1326__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[2];
  Object *var_annName = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block1329 = alloc_Block(NULL, NULL, "ast", 3208);
  gc_frame_newslot(block1329);
// method "_apply"
  block_savedest(block1329);
  Object closure1330 = createclosure(3, "_apply");
  setclosureframe(closure1330, stackframe);
  addtoclosure(closure1330, var_annName);
  addtoclosure(closure1330, var_ann);
  addtoclosure(closure1330, selfslot);
  struct UserObject *uo1330 = (struct UserObject*)block1329;
  uo1330->data[0] = (Object)closure1330;
  Method *meth_meth_ast_1330__apply = addmethod2pos(block1329, "_apply", &meth_ast_1330__apply, 0);
  int argcv_meth_ast_1330__apply[] = {0};
  meth_meth_ast_1330__apply->type = alloc_MethodType(1, argcv_meth_ast_1330__apply);
  meth_meth_ast_1330__apply->definitionModule = modulename;
  meth_meth_ast_1330__apply->definitionLine = 3216;
// compiled block node returning block1329 (depth = 6)
  int op_slot_right_1328 = gc_frame_newslot(block1329);
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1339 == NULL) {
    strlit1339 = alloc_String("identifier");
    gc_root(strlit1339);
  }
// compiled string node returning strlit1339 (depth = 7)
  int op_slot_right_1338 = gc_frame_newslot(strlit1339);
// starting to compile member node (depth = 7)
  int callframe1341 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ann (depth = 8)
  Object call1342 = callmethodflags(*var_ann, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1341);
// compiled member node returning call1342 (depth = 7)
  int op_slot_left_1338 = gc_frame_newslot(call1342);
  params[0] = strlit1339;
  partcv[0] = 1;
  Object opresult1343 = callmethod(call1342, "==(1)", 1, partcv, params);
// compiled op node returning opresult1343 (depth = 6)
  int op_slot_left_1328 = gc_frame_newslot(opresult1343);
  params[0] = block1329;
  partcv[0] = 1;
  Object opresult1344 = callmethod(opresult1343, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1344 (depth = 5)
  Object if1327 = done;
  if (istrue(opresult1344)) {
// Begin line 3210
  setline(3210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile object node (depth = 6)
  Object inheritingObject1345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1345 = alloc_userobj2(1,2, objclass1345);
  gc_frame_newslot(obj1345);
// OBJECT OUTER DEC outer
  adddatum2(obj1345, self, 0);
  addmethodreal(obj1345,"outer", &reader_ast_outer_1346);
  Object oldself1345 = self;
  struct StackFrameObject *oldstackframe1345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1345);
  gc_frame_newslot((Object)stackframe);
  self = obj1345;
  Object *oldselfslot1345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1345 = (*(struct UserObject *)self).data[0], lowerouter1345 = thisouter1345;
  if (inheritingObject1345) {
    struct UserObject *inho1345 = (struct UserObject *)inheritingObject1345;
    while (inho1345->super != GraceDefaultObject) inho1345 = (struct UserObject *)inho1345->super;
    inho1345->super = obj1345;
    self = inheritingObject1345;
    *selfslot = self;
    lowerouter1345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1345;
  }
  if (objclass1345 == NULL) {
  Method *reader1347 = addmethodrealflags(obj1345, "value",&reader_ast_value_1347, MFLAG_DEF);
  reader1347->definitionModule = modulename;
  reader1347->definitionLine = 3212;
  }
  adddatum2(obj1345, alloc_Undefined(), 1);
  sourceObject = obj1345;
// Begin line 3211
  setline(3211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1348 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var__prelude (depth = 8)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1349 = callmethodflags(*var__prelude, "true$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1348);
// compiled call node returning call1349 (depth = 7)
  struct UserObject *obj1345_uo = (struct UserObject *)obj1345;
  obj1345_uo->super = call1349;
  sourceObject = obj1345;
// Begin line 3212
  setline(3212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  adddatum2(obj1345, *var_ann, 1);
  objclass1345 = obj1345->class;
  objclass1345->definitionModule = modulename;
  objclass1345->definitionLine = 3210;
  (*(struct UserObject *)self).data[0] = lowerouter1345;
  self = oldself1345;
  selfslot = oldselfslot1345;
  stackframe = oldstackframe1345;
// compiled object node returning obj1345 (depth = 6)
  block_return(realself, obj1345);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1327 = undefined;
  } else {
  }
// compiled if node returning if1327 (depth = 4)
  gc_frame_end(frame);
  return if1327;
}
Object meth_ast_1321_findAnnotation_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findAnnotation(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method findAnnotation(_,_)");
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findAnnotation(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *var_annName = &(stackframe->slots[1]);
  *var_annName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part findAnnotation(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3207
  setline(3207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1322 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1323 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call1324 = callmethodflags(*var_node, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe1323);
// compiled member node returning call1324 (depth = 3)
  gc_frame_newslot(call1324);
// starting to compile block node (depth = 3)
  Object block1325 = alloc_Block(NULL, NULL, "ast", 3207);
  gc_frame_newslot(block1325);
// method "_apply(_)"
  block_savedest(block1325);
  Object closure1326 = createclosure(3, "_apply(1)");
  setclosureframe(closure1326, stackframe);
  addtoclosure(closure1326, var_annName);
  addtoclosure(closure1326, var__prelude);
  addtoclosure(closure1326, selfslot);
  struct UserObject *uo1326 = (struct UserObject*)block1325;
  uo1326->data[0] = (Object)closure1326;
  Method *meth_meth_ast_1326__apply_40_1_41_ = addmethod2pos(block1325, "_apply(1)", &meth_ast_1326__apply_40_1_41_, 0);
  int argcv_meth_ast_1326__apply_40_1_41_[] = {1};
  meth_meth_ast_1326__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1326__apply_40_1_41_);
  meth_meth_ast_1326__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1326__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block1325 (depth = 3)
  gc_frame_newslot(block1325);
// call case 5: prelude request
  params[0] = call1324;
  params[1] = block1325;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1351 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1322);
// compiled call node returning call1351 (depth = 2)
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1352 = alloc_Boolean(0);
// compiled identifier node returning bool1352 (depth = 2)
  gc_frame_end(frame);
  return bool1352;
}
Object meth_ast_1355_Position(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Position");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Position = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Position (depth = 3)
  gc_frame_end(frame);
  return *var_Position;
}
Object meth_ast_1358_Range(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Range");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Range = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Range (depth = 3)
  gc_frame_end(frame);
  return *var_Range;
}
Object meth_ast_1363_noPosition(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "noPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
  gc_frame_end(frame);
  return *var_noPosition;
}
Object meth_ast_1366_emptyRange(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "emptyRange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptyRange = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptyRange (depth = 3)
  gc_frame_end(frame);
  return *var_emptyRange;
}
Object meth_ast_1368_lineLength(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lineLength");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineLength = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lineLength (depth = 3)
  gc_frame_end(frame);
  return *var_lineLength;
}
Object meth_ast_1374_uninitialized(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "uninitialized");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  gc_frame_end(frame);
  return *var_uninitialized;
}
Object meth_ast_1380_isEmpty(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1381 = alloc_Boolean(1);
// compiled identifier node returning bool1381 (depth = 3)
  gc_frame_end(frame);
  return bool1381;
}
Object meth_ast_1382_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1383 == NULL) {
    strlit1383 = alloc_String("ancestorChain ""\xe2""""\x96""""\xab""");
    gc_root(strlit1383);
  }
// compiled string node returning strlit1383 (depth = 3)
  gc_frame_end(frame);
  return strlit1383;
}
Object meth_ast_1384_extend_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1385 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1386 = gc_frame_new();
// call case 3: self.outer request
  Object call1387 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1386);
// compiled member node returning call1387 (depth = 4)
  params[0] = *var_n;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1388 = callmethodflags(call1387, "cons(1)onto(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1385);
// compiled call node returning call1388 (depth = 3)
  gc_frame_end(frame);
  return call1388;
}
Object meth_ast_1377_empty(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1378 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1378 = alloc_userobj2(3,4, objclass1378);
  gc_frame_newslot(obj1378);
  if (objclass1378 == NULL) {
    glfree(obj1378->class->name);
    obj1378->class->name = "ancestorChain.empty";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1378, self, 0);
  addmethodreal(obj1378,"outer", &reader_ast_outer_1379);
  Object oldself1378 = self;
  struct StackFrameObject *oldstackframe1378 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1378);
  gc_frame_newslot((Object)stackframe);
  self = obj1378;
  Object *oldselfslot1378 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1378 = (*(struct UserObject *)self).data[0], lowerouter1378 = thisouter1378;
  if (inheritingObject1378) {
    struct UserObject *inho1378 = (struct UserObject *)inheritingObject1378;
    while (inho1378->super != GraceDefaultObject) inho1378 = (struct UserObject *)inho1378->super;
    inho1378->super = obj1378;
    self = inheritingObject1378;
    *selfslot = self;
    lowerouter1378 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1378;
  }
// method "isEmpty"
  struct UserObject *uo1380 = (struct UserObject*)obj1378;
  uo1380->data[1] = emptyclosure;
  Method *meth_meth_ast_1380_isEmpty = addmethod2pos(obj1378, "isEmpty", &meth_ast_1380_isEmpty, 1);
  int argcv_meth_ast_1380_isEmpty[] = {0};
  meth_meth_ast_1380_isEmpty->type = alloc_MethodType(1, argcv_meth_ast_1380_isEmpty);
  meth_meth_ast_1380_isEmpty->definitionModule = modulename;
  meth_meth_ast_1380_isEmpty->definitionLine = 110;
// method "asString"
  struct UserObject *uo1382 = (struct UserObject*)obj1378;
  uo1382->data[2] = emptyclosure;
  Method *meth_meth_ast_1382_asString = addmethod2pos(obj1378, "asString", &meth_ast_1382_asString, 2);
  int argcv_meth_ast_1382_asString[] = {0};
  meth_meth_ast_1382_asString->type = alloc_MethodType(1, argcv_meth_ast_1382_asString);
  meth_meth_ast_1382_asString->definitionModule = modulename;
  meth_meth_ast_1382_asString->definitionLine = 111;
// method "extend(_)"
  struct UserObject *uo1384 = (struct UserObject*)obj1378;
  uo1384->data[3] = emptyclosure;
  Method *meth_meth_ast_1384_extend_40_1_41_ = addmethod2pos(obj1378, "extend(1)", &meth_ast_1384_extend_40_1_41_, 3);
  int argcv_meth_ast_1384_extend_40_1_41_[] = {1};
  meth_meth_ast_1384_extend_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1384_extend_40_1_41_);
  meth_meth_ast_1384_extend_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1384_extend_40_1_41_->definitionLine = 112;
  sourceObject = obj1378;
  sourceObject = obj1378;
  sourceObject = obj1378;
  objclass1378 = obj1378->class;
  objclass1378->definitionModule = modulename;
  objclass1378->definitionLine = 109;
  (*(struct UserObject *)self).data[0] = lowerouter1378;
  self = oldself1378;
  selfslot = oldselfslot1378;
  stackframe = oldstackframe1378;
  gc_frame_end(frame);
  return obj1378;
}
Object meth_ast_1377_empty_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1378 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1378 = alloc_userobj2(3,4, objclass1378);
  gc_frame_newslot(obj1378);
  if (objclass1378 == NULL) {
    glfree(obj1378->class->name);
    obj1378->class->name = "ancestorChain.empty";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1378, self, 0);
  addmethodreal(obj1378,"outer", &reader_ast_outer_1379);
  Object oldself1378 = self;
  struct StackFrameObject *oldstackframe1378 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1378);
  gc_frame_newslot((Object)stackframe);
  self = obj1378;
  Object *oldselfslot1378 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1378 = (*(struct UserObject *)self).data[0], lowerouter1378 = thisouter1378;
  if (inheritingObject1378) {
    struct UserObject *inho1378 = (struct UserObject *)inheritingObject1378;
    while (inho1378->super != GraceDefaultObject) inho1378 = (struct UserObject *)inho1378->super;
    inho1378->super = obj1378;
    self = inheritingObject1378;
    *selfslot = self;
    lowerouter1378 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1378;
  }
// method "isEmpty"
  struct UserObject *uo1380 = (struct UserObject*)obj1378;
  uo1380->data[1] = emptyclosure;
  Method *meth_meth_ast_1380_isEmpty = addmethod2pos(obj1378, "isEmpty", &meth_ast_1380_isEmpty, 1);
  int argcv_meth_ast_1380_isEmpty[] = {0};
  meth_meth_ast_1380_isEmpty->type = alloc_MethodType(1, argcv_meth_ast_1380_isEmpty);
  meth_meth_ast_1380_isEmpty->definitionModule = modulename;
  meth_meth_ast_1380_isEmpty->definitionLine = 110;
// method "asString"
  struct UserObject *uo1382 = (struct UserObject*)obj1378;
  uo1382->data[2] = emptyclosure;
  Method *meth_meth_ast_1382_asString = addmethod2pos(obj1378, "asString", &meth_ast_1382_asString, 2);
  int argcv_meth_ast_1382_asString[] = {0};
  meth_meth_ast_1382_asString->type = alloc_MethodType(1, argcv_meth_ast_1382_asString);
  meth_meth_ast_1382_asString->definitionModule = modulename;
  meth_meth_ast_1382_asString->definitionLine = 111;
// method "extend(_)"
  struct UserObject *uo1384 = (struct UserObject*)obj1378;
  uo1384->data[3] = emptyclosure;
  Method *meth_meth_ast_1384_extend_40_1_41_ = addmethod2pos(obj1378, "extend(1)", &meth_ast_1384_extend_40_1_41_, 3);
  int argcv_meth_ast_1384_extend_40_1_41_[] = {1};
  meth_meth_ast_1384_extend_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1384_extend_40_1_41_);
  meth_meth_ast_1384_extend_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1384_extend_40_1_41_->definitionLine = 112;
  sourceObject = obj1378;
  sourceObject = obj1378;
  sourceObject = obj1378;
  objclass1378 = obj1378->class;
  objclass1378->definitionModule = modulename;
  objclass1378->definitionLine = 109;
  (*(struct UserObject *)self).data[0] = lowerouter1378;
  self = oldself1378;
  selfslot = oldselfslot1378;
  stackframe = oldstackframe1378;
  gc_frame_end(frame);
  return obj1378;
}
Object meth_ast_1390_with_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "with(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method with(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for with(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part with(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1391 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1392 = gc_frame_new();
// call case 4: self request
  Object call1393 = callmethodflags(self, "empty", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1392);
// compiled member node returning call1393 (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1394 = callmethodflags(call1393, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1391);
// compiled call node returning call1394 (depth = 3)
  gc_frame_end(frame);
  return call1394;
}
Object meth_ast_1398_forebears(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "forebears");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_as = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_end(frame);
  return *var_as;
}
Object meth_ast_1399_isEmpty(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1400 = alloc_Boolean(0);
// compiled identifier node returning bool1400 (depth = 3)
  gc_frame_end(frame);
  return bool1400;
}
Object meth_ast_1401_parent(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_ast_1402_grandparent(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "grandparent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1403 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1404 = gc_frame_new();
// call case 4: self request
  Object call1405 = callmethodflags(self, "forebears", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1404);
// compiled member node returning call1405 (depth = 4)
  Object call1406 = callmethodflags(call1405, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1403);
// compiled member node returning call1406 (depth = 3)
  gc_frame_end(frame);
  return call1406;
}
Object meth_ast_1411__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile member node (depth = 5)
  int callframe1412 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1413 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1414 = callmethodflags(*var_a, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1413);
// compiled member node returning call1414 (depth = 6)
  Object call1415 = callmethodflags(call1414, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1412);
// compiled member node returning call1415 (depth = 5)
  gc_frame_end(frame);
  return call1415;
}
Object meth_ast_1418__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1420 == NULL) {
    strlit1420 = alloc_String("""\xe2""""\x9e""""\xa4""");
    gc_root(strlit1420);
  }
// compiled string node returning strlit1420 (depth = 7)
  int op_slot_right_1419 = gc_frame_newslot(strlit1420);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1423 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  Object call1424 = callmethodflags(*var_a, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1423);
// compiled member node returning call1424 (depth = 8)
  int op_slot_right_1422 = gc_frame_newslot(call1424);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1422 = gc_frame_newslot(*var_s);
  params[0] = call1424;
  partcv[0] = 1;
  Object opresult1426 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1426 (depth = 7)
  int op_slot_left_1419 = gc_frame_newslot(opresult1426);
  params[0] = strlit1420;
  partcv[0] = 1;
  Object opresult1427 = callmethod(opresult1426, "++(1)", 1, partcv, params);
// compiled op node returning opresult1427 (depth = 6)
  *var_s = opresult1427;
  if (opresult1427 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1429 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1430 = callmethodflags(*var_a, "forebears", 0, partcv, params, 0);
  gc_frame_end(callframe1429);
// compiled member node returning call1430 (depth = 6)
  *var_a = call1430;
  if (call1430 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1407_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_a = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "a");
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  *var_a = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1408 == NULL) {
    strlit1408 = alloc_String("ancestorChain ");
    gc_root(strlit1408);
  }
// compiled string node returning strlit1408 (depth = 4)
  *var_s = strlit1408;
  if (strlit1408 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1409 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1410 = alloc_Block(NULL, NULL, "ast", 124);
  gc_frame_newslot(block1410);
// method "_apply"
  block_savedest(block1410);
  Object closure1411 = createclosure(2, "_apply");
  setclosureframe(closure1411, stackframe);
  addtoclosure(closure1411, var_a);
  addtoclosure(closure1411, selfslot);
  struct UserObject *uo1411 = (struct UserObject*)block1410;
  uo1411->data[0] = (Object)closure1411;
  Method *meth_meth_ast_1411__apply = addmethod2pos(block1410, "_apply", &meth_ast_1411__apply, 0);
  int argcv_meth_ast_1411__apply[] = {0};
  meth_meth_ast_1411__apply->type = alloc_MethodType(1, argcv_meth_ast_1411__apply);
  meth_meth_ast_1411__apply->definitionModule = modulename;
  meth_meth_ast_1411__apply->definitionLine = 3216;
// compiled block node returning block1410 (depth = 4)
  gc_frame_newslot(block1410);
// starting to compile block node (depth = 4)
  Object block1417 = alloc_Block(NULL, NULL, "ast", 124);
  gc_frame_newslot(block1417);
// method "_apply"
  block_savedest(block1417);
  Object closure1418 = createclosure(3, "_apply");
  setclosureframe(closure1418, stackframe);
  addtoclosure(closure1418, var_a);
  addtoclosure(closure1418, var_s);
  addtoclosure(closure1418, selfslot);
  struct UserObject *uo1418 = (struct UserObject*)block1417;
  uo1418->data[0] = (Object)closure1418;
  Method *meth_meth_ast_1418__apply = addmethod2pos(block1417, "_apply", &meth_ast_1418__apply, 0);
  int argcv_meth_ast_1418__apply[] = {0};
  meth_meth_ast_1418__apply->type = alloc_MethodType(1, argcv_meth_ast_1418__apply);
  meth_meth_ast_1418__apply->definitionModule = modulename;
  meth_meth_ast_1418__apply->definitionLine = 3216;
// compiled block node returning block1417 (depth = 4)
  gc_frame_newslot(block1417);
// call case 5: prelude request
  params[0] = block1410;
  params[1] = block1417;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1433 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1409);
// compiled call node returning call1433 (depth = 3)
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1435 == NULL) {
    strlit1435 = alloc_String("""\xe2""""\x96""""\xab""");
    gc_root(strlit1435);
  }
// compiled string node returning strlit1435 (depth = 4)
  int op_slot_right_1434 = gc_frame_newslot(strlit1435);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_1434 = gc_frame_newslot(*var_s);
  params[0] = strlit1435;
  partcv[0] = 1;
  Object opresult1437 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1437 (depth = 3)
  gc_frame_end(frame);
  return opresult1437;
}
Object meth_ast_1441__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile member node (depth = 5)
  int callframe1442 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1443 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1444 = callmethodflags(*var_a, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1443);
// compiled member node returning call1444 (depth = 6)
  Object call1445 = callmethodflags(call1444, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1442);
// compiled member node returning call1445 (depth = 5)
  gc_frame_end(frame);
  return call1445;
}
Object meth_ast_1448__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object *var_cond = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1450 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe1451 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call1452 = callmethodflags(*var_a, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1451);
// compiled member node returning call1452 (depth = 7)
  gc_frame_newslot(call1452);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cond (depth = 7)
  params[0] = call1452;
  partcv[0] = 1;
  Object call1453 = callmethodflags(*var_cond, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1450);
// compiled call node returning call1453 (depth = 6)
  Object if1449 = done;
  if (istrue(call1453)) {
// starting to compile return node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1454 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call1455 = callmethodflags(*var_a, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1454);
// compiled member node returning call1455 (depth = 7)
  block_return(realself, call1455);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if1449 = undefined;
  } else {
  }
// compiled if node returning if1449 (depth = 5)
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1456 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1457 = callmethodflags(*var_a, "forebears", 0, partcv, params, 0);
  gc_frame_end(callframe1456);
// compiled member node returning call1457 (depth = 6)
  *var_a = call1457;
  if (call1457 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "suchThat(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method suchThat(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method suchThat(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for suchThat(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part suchThat(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_a = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "a");
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  *var_a = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1439 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1440 = alloc_Block(NULL, NULL, "ast", 132);
  gc_frame_newslot(block1440);
// method "_apply"
  block_savedest(block1440);
  Object closure1441 = createclosure(2, "_apply");
  setclosureframe(closure1441, stackframe);
  addtoclosure(closure1441, var_a);
  addtoclosure(closure1441, selfslot);
  struct UserObject *uo1441 = (struct UserObject*)block1440;
  uo1441->data[0] = (Object)closure1441;
  Method *meth_meth_ast_1441__apply = addmethod2pos(block1440, "_apply", &meth_ast_1441__apply, 0);
  int argcv_meth_ast_1441__apply[] = {0};
  meth_meth_ast_1441__apply->type = alloc_MethodType(1, argcv_meth_ast_1441__apply);
  meth_meth_ast_1441__apply->definitionModule = modulename;
  meth_meth_ast_1441__apply->definitionLine = 3216;
// compiled block node returning block1440 (depth = 4)
  gc_frame_newslot(block1440);
// starting to compile block node (depth = 4)
  Object block1447 = alloc_Block(NULL, NULL, "ast", 132);
  gc_frame_newslot(block1447);
// method "_apply"
  block_savedest(block1447);
  Object closure1448 = createclosure(3, "_apply");
  setclosureframe(closure1448, stackframe);
  addtoclosure(closure1448, var_a);
  addtoclosure(closure1448, var_cond);
  addtoclosure(closure1448, selfslot);
  struct UserObject *uo1448 = (struct UserObject*)block1447;
  uo1448->data[0] = (Object)closure1448;
  Method *meth_meth_ast_1448__apply = addmethod2pos(block1447, "_apply", &meth_ast_1448__apply, 0);
  int argcv_meth_ast_1448__apply[] = {0};
  meth_meth_ast_1448__apply->type = alloc_MethodType(1, argcv_meth_ast_1448__apply);
  meth_meth_ast_1448__apply->definitionModule = modulename;
  meth_meth_ast_1448__apply->definitionLine = 3216;
// compiled block node returning block1447 (depth = 4)
  gc_frame_newslot(block1447);
// call case 5: prelude request
  params[0] = block1440;
  params[1] = block1447;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1460 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1439);
// compiled call node returning call1460 (depth = 3)
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1461 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_action (depth = 4)
  Object call1462 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe1461);
// compiled member node returning call1462 (depth = 3)
  gc_frame_end(frame);
  return call1462;
}
Object meth_ast_1463_extend_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1464 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1465 = gc_frame_new();
// call case 3: self.outer request
  Object call1466 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1465);
// compiled member node returning call1466 (depth = 4)
  params[0] = *var_n;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1467 = callmethodflags(call1466, "cons(1)onto(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1464);
// compiled call node returning call1467 (depth = 3)
  gc_frame_end(frame);
  return call1467;
}
Object meth_ast_1395_cons_40_1_41_onto_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "cons(1)onto(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method cons(_)onto(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method cons(_)onto(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for cons(_)onto(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part cons(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onto(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1396 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1396 = alloc_userobj2(7,8, objclass1396);
  gc_frame_newslot(obj1396);
  if (objclass1396 == NULL) {
    glfree(obj1396->class->name);
    obj1396->class->name = "ancestorChain.cons(_)onto(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1396, self, 0);
  addmethodreal(obj1396,"outer", &reader_ast_outer_1397);
  Object oldself1396 = self;
  struct StackFrameObject *oldstackframe1396 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1396);
  gc_frame_newslot((Object)stackframe);
  self = obj1396;
  Object *oldselfslot1396 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1396 = (*(struct UserObject *)self).data[0], lowerouter1396 = thisouter1396;
  if (inheritingObject1396) {
    struct UserObject *inho1396 = (struct UserObject *)inheritingObject1396;
    while (inho1396->super != GraceDefaultObject) inho1396 = (struct UserObject *)inho1396->super;
    inho1396->super = obj1396;
    self = inheritingObject1396;
    *selfslot = self;
    lowerouter1396 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1396;
  }
// method "forebears"
  block_savedest(obj1396);
  Object closure1398 = createclosure(1, "forebears");
  setclosureframe(closure1398, stackframe);
  addtoclosure(closure1398, var_as);
  struct UserObject *uo1398 = (struct UserObject*)obj1396;
  uo1398->data[1] = (Object)closure1398;
  Method *meth_meth_ast_1398_forebears = addmethod2pos(obj1396, "forebears", &meth_ast_1398_forebears, 1);
  int argcv_meth_ast_1398_forebears[] = {0};
  meth_meth_ast_1398_forebears->type = alloc_MethodType(1, argcv_meth_ast_1398_forebears);
  meth_meth_ast_1398_forebears->definitionModule = modulename;
  meth_meth_ast_1398_forebears->definitionLine = 116;
// method "isEmpty"
  struct UserObject *uo1399 = (struct UserObject*)obj1396;
  uo1399->data[2] = emptyclosure;
  Method *meth_meth_ast_1399_isEmpty = addmethod2pos(obj1396, "isEmpty", &meth_ast_1399_isEmpty, 2);
  int argcv_meth_ast_1399_isEmpty[] = {0};
  meth_meth_ast_1399_isEmpty->type = alloc_MethodType(1, argcv_meth_ast_1399_isEmpty);
  meth_meth_ast_1399_isEmpty->definitionModule = modulename;
  meth_meth_ast_1399_isEmpty->definitionLine = 117;
// method "parent"
  block_savedest(obj1396);
  Object closure1401 = createclosure(1, "parent");
  setclosureframe(closure1401, stackframe);
  addtoclosure(closure1401, var_p);
  struct UserObject *uo1401 = (struct UserObject*)obj1396;
  uo1401->data[3] = (Object)closure1401;
  Method *meth_meth_ast_1401_parent = addmethod2pos(obj1396, "parent", &meth_ast_1401_parent, 3);
  int argcv_meth_ast_1401_parent[] = {0};
  meth_meth_ast_1401_parent->type = alloc_MethodType(1, argcv_meth_ast_1401_parent);
  meth_meth_ast_1401_parent->definitionModule = modulename;
  meth_meth_ast_1401_parent->definitionLine = 118;
// method "grandparent"
  struct UserObject *uo1402 = (struct UserObject*)obj1396;
  uo1402->data[4] = emptyclosure;
  Method *meth_meth_ast_1402_grandparent = addmethod2pos(obj1396, "grandparent", &meth_ast_1402_grandparent, 4);
  int argcv_meth_ast_1402_grandparent[] = {0};
  meth_meth_ast_1402_grandparent->type = alloc_MethodType(1, argcv_meth_ast_1402_grandparent);
  meth_meth_ast_1402_grandparent->definitionModule = modulename;
  meth_meth_ast_1402_grandparent->definitionLine = 119;
// method "asString"
  struct UserObject *uo1407 = (struct UserObject*)obj1396;
  uo1407->data[5] = emptyclosure;
  Method *meth_meth_ast_1407_asString = addmethod2pos(obj1396, "asString", &meth_ast_1407_asString, 5);
  int argcv_meth_ast_1407_asString[] = {0};
  meth_meth_ast_1407_asString->type = alloc_MethodType(1, argcv_meth_ast_1407_asString);
  meth_meth_ast_1407_asString->definitionModule = modulename;
  meth_meth_ast_1407_asString->definitionLine = 121;
// method "suchThat(_)ifAbsent(_)"
  struct UserObject *uo1438 = (struct UserObject*)obj1396;
  uo1438->data[6] = emptyclosure;
  Method *meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_ = addmethod2pos(obj1396, "suchThat(1)ifAbsent(1)", &meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_, 6);
  int argcv_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_[] = {1, 1};
  meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_);
  meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_->definitionLine = 130;
// method "extend(_)"
  struct UserObject *uo1463 = (struct UserObject*)obj1396;
  uo1463->data[7] = emptyclosure;
  Method *meth_meth_ast_1463_extend_40_1_41_ = addmethod2pos(obj1396, "extend(1)", &meth_ast_1463_extend_40_1_41_, 7);
  int argcv_meth_ast_1463_extend_40_1_41_[] = {1};
  meth_meth_ast_1463_extend_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1463_extend_40_1_41_);
  meth_meth_ast_1463_extend_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1463_extend_40_1_41_->definitionLine = 138;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  objclass1396 = obj1396->class;
  objclass1396->definitionModule = modulename;
  objclass1396->definitionLine = 115;
  (*(struct UserObject *)self).data[0] = lowerouter1396;
  self = oldself1396;
  selfslot = oldselfslot1396;
  stackframe = oldstackframe1396;
  gc_frame_end(frame);
  return obj1396;
}
Object meth_ast_1395_cons_40_1_41_onto_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "cons(1)onto(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method cons(_)onto(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method cons(_)onto(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for cons(_)onto(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part cons(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onto(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1396 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1396 = alloc_userobj2(7,8, objclass1396);
  gc_frame_newslot(obj1396);
  if (objclass1396 == NULL) {
    glfree(obj1396->class->name);
    obj1396->class->name = "ancestorChain.cons(_)onto(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1396, self, 0);
  addmethodreal(obj1396,"outer", &reader_ast_outer_1397);
  Object oldself1396 = self;
  struct StackFrameObject *oldstackframe1396 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1396);
  gc_frame_newslot((Object)stackframe);
  self = obj1396;
  Object *oldselfslot1396 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1396 = (*(struct UserObject *)self).data[0], lowerouter1396 = thisouter1396;
  if (inheritingObject1396) {
    struct UserObject *inho1396 = (struct UserObject *)inheritingObject1396;
    while (inho1396->super != GraceDefaultObject) inho1396 = (struct UserObject *)inho1396->super;
    inho1396->super = obj1396;
    self = inheritingObject1396;
    *selfslot = self;
    lowerouter1396 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1396;
  }
// method "forebears"
  block_savedest(obj1396);
  Object closure1398 = createclosure(1, "forebears");
  setclosureframe(closure1398, stackframe);
  addtoclosure(closure1398, var_as);
  struct UserObject *uo1398 = (struct UserObject*)obj1396;
  uo1398->data[1] = (Object)closure1398;
  Method *meth_meth_ast_1398_forebears = addmethod2pos(obj1396, "forebears", &meth_ast_1398_forebears, 1);
  int argcv_meth_ast_1398_forebears[] = {0};
  meth_meth_ast_1398_forebears->type = alloc_MethodType(1, argcv_meth_ast_1398_forebears);
  meth_meth_ast_1398_forebears->definitionModule = modulename;
  meth_meth_ast_1398_forebears->definitionLine = 116;
// method "isEmpty"
  struct UserObject *uo1399 = (struct UserObject*)obj1396;
  uo1399->data[2] = emptyclosure;
  Method *meth_meth_ast_1399_isEmpty = addmethod2pos(obj1396, "isEmpty", &meth_ast_1399_isEmpty, 2);
  int argcv_meth_ast_1399_isEmpty[] = {0};
  meth_meth_ast_1399_isEmpty->type = alloc_MethodType(1, argcv_meth_ast_1399_isEmpty);
  meth_meth_ast_1399_isEmpty->definitionModule = modulename;
  meth_meth_ast_1399_isEmpty->definitionLine = 117;
// method "parent"
  block_savedest(obj1396);
  Object closure1401 = createclosure(1, "parent");
  setclosureframe(closure1401, stackframe);
  addtoclosure(closure1401, var_p);
  struct UserObject *uo1401 = (struct UserObject*)obj1396;
  uo1401->data[3] = (Object)closure1401;
  Method *meth_meth_ast_1401_parent = addmethod2pos(obj1396, "parent", &meth_ast_1401_parent, 3);
  int argcv_meth_ast_1401_parent[] = {0};
  meth_meth_ast_1401_parent->type = alloc_MethodType(1, argcv_meth_ast_1401_parent);
  meth_meth_ast_1401_parent->definitionModule = modulename;
  meth_meth_ast_1401_parent->definitionLine = 118;
// method "grandparent"
  struct UserObject *uo1402 = (struct UserObject*)obj1396;
  uo1402->data[4] = emptyclosure;
  Method *meth_meth_ast_1402_grandparent = addmethod2pos(obj1396, "grandparent", &meth_ast_1402_grandparent, 4);
  int argcv_meth_ast_1402_grandparent[] = {0};
  meth_meth_ast_1402_grandparent->type = alloc_MethodType(1, argcv_meth_ast_1402_grandparent);
  meth_meth_ast_1402_grandparent->definitionModule = modulename;
  meth_meth_ast_1402_grandparent->definitionLine = 119;
// method "asString"
  struct UserObject *uo1407 = (struct UserObject*)obj1396;
  uo1407->data[5] = emptyclosure;
  Method *meth_meth_ast_1407_asString = addmethod2pos(obj1396, "asString", &meth_ast_1407_asString, 5);
  int argcv_meth_ast_1407_asString[] = {0};
  meth_meth_ast_1407_asString->type = alloc_MethodType(1, argcv_meth_ast_1407_asString);
  meth_meth_ast_1407_asString->definitionModule = modulename;
  meth_meth_ast_1407_asString->definitionLine = 121;
// method "suchThat(_)ifAbsent(_)"
  struct UserObject *uo1438 = (struct UserObject*)obj1396;
  uo1438->data[6] = emptyclosure;
  Method *meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_ = addmethod2pos(obj1396, "suchThat(1)ifAbsent(1)", &meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_, 6);
  int argcv_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_[] = {1, 1};
  meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_);
  meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1438_suchThat_40_1_41_ifAbsent_40_1_41_->definitionLine = 130;
// method "extend(_)"
  struct UserObject *uo1463 = (struct UserObject*)obj1396;
  uo1463->data[7] = emptyclosure;
  Method *meth_meth_ast_1463_extend_40_1_41_ = addmethod2pos(obj1396, "extend(1)", &meth_ast_1463_extend_40_1_41_, 7);
  int argcv_meth_ast_1463_extend_40_1_41_[] = {1};
  meth_meth_ast_1463_extend_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1463_extend_40_1_41_);
  meth_meth_ast_1463_extend_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1463_extend_40_1_41_->definitionLine = 138;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  sourceObject = obj1396;
  objclass1396 = obj1396->class;
  objclass1396->definitionModule = modulename;
  objclass1396->definitionLine = 115;
  (*(struct UserObject *)self).data[0] = lowerouter1396;
  self = oldself1396;
  selfslot = oldselfslot1396;
  stackframe = oldstackframe1396;
  gc_frame_end(frame);
  return obj1396;
}
Object meth_ast_1469_ancestorChain(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ancestorChain");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ancestorChain (depth = 3)
  gc_frame_end(frame);
  return *var_ancestorChain;
}
Object meth_ast_1472_emptySeq(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "emptySeq");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_1475_AstNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AstNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AstNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AstNode (depth = 3)
  gc_frame_end(frame);
  return *var_AstNode;
}
Object meth_ast_1477_SymbolTable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SymbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SymbolTable (depth = 3)
  gc_frame_end(frame);
  return *var_SymbolTable;
}
Object meth_ast_1482_range(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "range");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptyRange = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptyRange (depth = 3)
  gc_frame_end(frame);
  return *var_emptyRange;
}
Object meth_ast_1483_isImplicit(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImplicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1484 = alloc_Boolean(1);
// compiled identifier node returning bool1484 (depth = 3)
  gc_frame_end(frame);
  return bool1484;
}
Object meth_ast_1485_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1486 == NULL) {
    strlit1486 = alloc_String("implicit");
    gc_root(strlit1486);
  }
// compiled string node returning strlit1486 (depth = 3)
  gc_frame_end(frame);
  return strlit1486;
}
Object meth_ast_1487_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1488 == NULL) {
    strlit1488 = alloc_String("the implicit receiver");
    gc_root(strlit1488);
  }
// compiled string node returning strlit1488 (depth = 3)
  gc_frame_end(frame);
  return strlit1488;
}
Object meth_ast_1489__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1490 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1491 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1490);
// compiled call node returning call1491 (depth = 3)
  gc_frame_end(frame);
  return call1491;
}
Object meth_ast_1492_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_1493_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1494 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1495 = callmethodflags(*var_visitor, "visitImplicit(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1494);
// compiled call node returning call1495 (depth = 3)
  gc_frame_end(frame);
  return call1495;
}
Object meth_ast_1496_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1497 == NULL) {
    strlit1497 = alloc_String("implicit");
    gc_root(strlit1497);
  }
// compiled string node returning strlit1497 (depth = 3)
  gc_frame_end(frame);
  return strlit1497;
}
Object meth_ast_1508_implicit(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "implicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_implicit = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_implicit (depth = 3)
  gc_frame_end(frame);
  return *var_implicit;
}
Object meth_ast_1512_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1513 == NULL) {
    strlit1513 = alloc_String("// null");
    gc_root(strlit1513);
  }
// compiled string node returning strlit1513 (depth = 3)
  gc_frame_end(frame);
  return strlit1513;
}
Object meth_ast_1514_range(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "range");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptyRange = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptyRange (depth = 3)
  gc_frame_end(frame);
  return *var_emptyRange;
}
Object meth_ast_1515_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1516 == NULL) {
    strlit1516 = alloc_String("the nullNode");
    gc_root(strlit1516);
  }
// compiled string node returning strlit1516 (depth = 3)
  gc_frame_end(frame);
  return strlit1516;
}
Object meth_ast_1517__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1518 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1519 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1518);
// compiled call node returning call1519 (depth = 3)
  gc_frame_end(frame);
  return call1519;
}
Object meth_ast_1523_nullNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nullNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  gc_frame_end(frame);
  return *var_nullNode;
}
Object meth_ast_1527_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1528 == NULL) {
    strlit1528 = alloc_String("the fakeSymbolTable");
    gc_root(strlit1528);
  }
// compiled string node returning strlit1528 (depth = 3)
  gc_frame_end(frame);
  return strlit1528;
}
Object meth_ast_1529_addNode_40_1_41_as_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addNode(1)as(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addNode(_)as(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addNode(_)as(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addNode(_)as(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addNode(_)");
  Object *var_kind = &(stackframe->slots[1]);
  *var_kind = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part as(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1530 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1532 == NULL) {
    strlit1532 = alloc_String("""\x22"" requested");
    gc_root(strlit1532);
  }
// compiled string node returning strlit1532 (depth = 5)
  int op_slot_right_1531 = gc_frame_newslot(strlit1532);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_kind (depth = 6)
  int op_slot_right_1534 = gc_frame_newslot(*var_kind);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1537 == NULL) {
    strlit1537 = alloc_String(") as ""\x22""");
    gc_root(strlit1537);
  }
// compiled string node returning strlit1537 (depth = 7)
  int op_slot_right_1536 = gc_frame_newslot(strlit1537);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_1539 = gc_frame_newslot(*var_n);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1542 == NULL) {
    strlit1542 = alloc_String(").addNode(");
    gc_root(strlit1542);
  }
// compiled string node returning strlit1542 (depth = 9)
  int op_slot_right_1541 = gc_frame_newslot(strlit1542);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1545 = gc_frame_new();
// call case 4: self request
  Object call1546 = callmethodflags(self, "node", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1545);
// compiled member node returning call1546 (depth = 10)
  int op_slot_right_1544 = gc_frame_newslot(call1546);
// starting to compile string node (depth = 10)
  if (strlit1548 == NULL) {
    strlit1548 = alloc_String("fakeSymbolTable(on node ");
    gc_root(strlit1548);
  }
// compiled string node returning strlit1548 (depth = 10)
  int op_slot_left_1544 = gc_frame_newslot(strlit1548);
  params[0] = call1546;
  partcv[0] = 1;
  Object opresult1549 = callmethod(strlit1548, "++(1)", 1, partcv, params);
// compiled op node returning opresult1549 (depth = 9)
  int op_slot_left_1541 = gc_frame_newslot(opresult1549);
  params[0] = strlit1542;
  partcv[0] = 1;
  Object opresult1550 = callmethod(opresult1549, "++(1)", 1, partcv, params);
// compiled op node returning opresult1550 (depth = 8)
  int op_slot_left_1539 = gc_frame_newslot(opresult1550);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult1551 = callmethod(opresult1550, "++(1)", 1, partcv, params);
// compiled op node returning opresult1551 (depth = 7)
  int op_slot_left_1536 = gc_frame_newslot(opresult1551);
  params[0] = strlit1537;
  partcv[0] = 1;
  Object opresult1552 = callmethod(opresult1551, "++(1)", 1, partcv, params);
// compiled op node returning opresult1552 (depth = 6)
  int op_slot_left_1534 = gc_frame_newslot(opresult1552);
  params[0] = *var_kind;
  partcv[0] = 1;
  Object opresult1553 = callmethod(opresult1552, "++(1)", 1, partcv, params);
// compiled op node returning opresult1553 (depth = 5)
  int op_slot_left_1531 = gc_frame_newslot(opresult1553);
  params[0] = strlit1532;
  partcv[0] = 1;
  Object opresult1554 = callmethod(opresult1553, "++(1)", 1, partcv, params);
// compiled op node returning opresult1554 (depth = 4)
  gc_frame_newslot(opresult1554);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1555 = gc_frame_new();
// call case 5: prelude request
  Object call1556 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1555);
// compiled member node returning call1556 (depth = 4)
  params[0] = opresult1554;
  partcv[0] = 1;
  Object call1557 = callmethodflags(call1556, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1530);
// compiled call node returning call1557 (depth = 3)
  gc_frame_end(frame);
  return call1557;
}
Object meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "thatDefines(1)ifNone(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method thatDefines(_)ifNone(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method thatDefines(_)ifNone(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for thatDefines(_)ifNone(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part thatDefines(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifNone(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1559 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1561 == NULL) {
    strlit1561 = alloc_String(").");
    gc_root(strlit1561);
  }
// compiled string node returning strlit1561 (depth = 5)
  int op_slot_right_1560 = gc_frame_newslot(strlit1561);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_name (depth = 6)
  int op_slot_right_1563 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 6)
  if (strlit1565 == NULL) {
    strlit1565 = alloc_String("fakeSymbolTable.thatDefines(");
    gc_root(strlit1565);
  }
// compiled string node returning strlit1565 (depth = 6)
  int op_slot_left_1563 = gc_frame_newslot(strlit1565);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult1566 = callmethod(strlit1565, "++(1)", 1, partcv, params);
// compiled op node returning opresult1566 (depth = 5)
  int op_slot_left_1560 = gc_frame_newslot(opresult1566);
  params[0] = strlit1561;
  partcv[0] = 1;
  Object opresult1567 = callmethod(opresult1566, "++(1)", 1, partcv, params);
// compiled op node returning opresult1567 (depth = 4)
  gc_frame_newslot(opresult1567);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1568 = gc_frame_new();
// call case 5: prelude request
  Object call1569 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1568);
// compiled member node returning call1569 (depth = 4)
  params[0] = opresult1567;
  partcv[0] = 1;
  Object call1570 = callmethodflags(call1569, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1559);
// compiled call node returning call1570 (depth = 3)
  gc_frame_end(frame);
  return call1570;
}
Object meth_ast_1571_enclosingObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "enclosingObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1572 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1574 == NULL) {
    strlit1574 = alloc_String("");
    gc_root(strlit1574);
  }
// compiled string node returning strlit1574 (depth = 5)
  int op_slot_right_1573 = gc_frame_newslot(strlit1574);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1577 = gc_frame_new();
// call case 4: self request
  Object call1578 = callmethodflags(self, "node", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1577);
// compiled member node returning call1578 (depth = 6)
  int op_slot_right_1576 = gc_frame_newslot(call1578);
// starting to compile string node (depth = 6)
  if (strlit1580 == NULL) {
    strlit1580 = alloc_String("fakeSymbolTable.enclosingObjectScope on node ");
    gc_root(strlit1580);
  }
// compiled string node returning strlit1580 (depth = 6)
  int op_slot_left_1576 = gc_frame_newslot(strlit1580);
  params[0] = call1578;
  partcv[0] = 1;
  Object opresult1581 = callmethod(strlit1580, "++(1)", 1, partcv, params);
// compiled op node returning opresult1581 (depth = 5)
  int op_slot_left_1573 = gc_frame_newslot(opresult1581);
  params[0] = strlit1574;
  partcv[0] = 1;
  Object opresult1582 = callmethod(opresult1581, "++(1)", 1, partcv, params);
// compiled op node returning opresult1582 (depth = 4)
  gc_frame_newslot(opresult1582);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1583 = gc_frame_new();
// call case 5: prelude request
  Object call1584 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1583);
// compiled member node returning call1584 (depth = 4)
  params[0] = opresult1582;
  partcv[0] = 1;
  Object call1585 = callmethodflags(call1584, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1572);
// compiled call node returning call1585 (depth = 3)
  gc_frame_end(frame);
  return call1585;
}
Object meth_ast_1586_variety(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "variety");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1587 == NULL) {
    strlit1587 = alloc_String("fake");
    gc_root(strlit1587);
  }
// compiled string node returning strlit1587 (depth = 3)
  gc_frame_end(frame);
  return strlit1587;
}
Object meth_ast_1588__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1589 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1590 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1589);
// compiled call node returning call1590 (depth = 3)
  gc_frame_end(frame);
  return call1590;
}
Object meth_ast_1591_fakeSymbolTable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fakeSymbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_fakeSymbolTable (depth = 3)
  gc_frame_end(frame);
  return *var_fakeSymbolTable;
}
Object meth_ast_1602_isSimple(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1603 = alloc_Boolean(0);
// compiled identifier node returning bool1603 (depth = 3)
  gc_frame_end(frame);
  return bool1603;
}
Object meth_ast_1604_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1606 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1607 = callmethodflags(*var_visitor, "visitIf(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1606);
// compiled call node returning call1607 (depth = 4)
  Object if1605 = done;
  if (istrue(call1607)) {
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1608 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call1609 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1608);
// compiled call node returning call1609 (depth = 5)
  *var_newChain = call1609;
  if (call1609 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1610 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1611 = gc_frame_new();
// call case 4: self request
  Object call1612 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1611);
// compiled member node returning call1612 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1613 = callmethodflags(call1612, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1610);
// compiled call node returning call1613 (depth = 4)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1614 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1615 = gc_frame_new();
// call case 4: self request
  Object call1616 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1615);
// compiled member node returning call1616 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1617 = callmethodflags(call1616, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1614);
// compiled call node returning call1617 (depth = 4)
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1618 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1619 = gc_frame_new();
// call case 4: self request
  Object call1620 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1619);
// compiled member node returning call1620 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1621 = callmethodflags(call1620, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1618);
// compiled call node returning call1621 (depth = 4)
    gc_frame_newslot(call1621);
    if1605 = call1621;
  } else {
  }
// compiled if node returning if1605 (depth = 3)
  gc_frame_end(frame);
  return if1605;
}
Object meth_ast_1622_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1623 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1624 = gc_frame_new();
// call case 4: self request
  Object call1625 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1624);
// compiled member node returning call1625 (depth = 4)
  Object call1626 = callmethodflags(call1625, "end", 0, partcv, params, 0);
  gc_frame_end(callframe1623);
// compiled member node returning call1626 (depth = 3)
  gc_frame_end(frame);
  return call1626;
}
Object meth_ast_1627_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1628 = gc_frame_new();
// call case 4: self request
  Object call1629 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1628);
// compiled member node returning call1629 (depth = 4)
  *var_n = call1629;
  if (call1629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1630 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1631 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1630);
// compiled call node returning call1631 (depth = 4)
  *var_newChain = call1631;
  if (call1631 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1632 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1633 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1634 = gc_frame_new();
// call case 4: self request
  Object call1635 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1634);
// compiled member node returning call1635 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1636 = callmethodflags(call1635, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1633);
// compiled call node returning call1636 (depth = 4)
  gc_frame_newslot(call1636);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1636;
  partcv[0] = 1;
  Object call1637 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1632);
// compiled call node returning call1637 (depth = 3)
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1638 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1639 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1640 = gc_frame_new();
// call case 4: self request
  Object call1641 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1640);
// compiled member node returning call1641 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1642 = callmethodflags(call1641, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1639);
// compiled call node returning call1642 (depth = 4)
  gc_frame_newslot(call1642);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1642;
  partcv[0] = 1;
  Object call1643 = callmethodflags(*var_n, "thenblock:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1638);
// compiled call node returning call1643 (depth = 3)
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1644 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1645 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1646 = gc_frame_new();
// call case 4: self request
  Object call1647 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1646);
// compiled member node returning call1647 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1648 = callmethodflags(call1647, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1645);
// compiled call node returning call1648 (depth = 4)
  gc_frame_newslot(call1648);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1648;
  partcv[0] = 1;
  Object call1649 = callmethodflags(*var_n, "elseblock:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1644);
// compiled call node returning call1649 (depth = 3)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1650 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1651 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1650);
// compiled call node returning call1651 (depth = 3)
  gc_frame_end(frame);
  return call1651;
}
Object meth_ast_1754__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1756 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1758 = alloc_Float64(2);
// compiled num node returning num1758 (depth = 10)
  int op_slot_right_1757 = gc_frame_newslot(num1758);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1757 = gc_frame_newslot(*var_depth);
  params[0] = num1758;
  partcv[0] = 1;
  Object sum1760 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1760 (depth = 9)
  gc_frame_newslot(sum1760);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1760;
  partcv[0] = 1;
  Object call1761 = callmethodflags(*var_ix, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1756);
// compiled call node returning call1761 (depth = 8)
  int op_slot_right_1755 = gc_frame_newslot(call1761);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1763 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1766 == NULL) {
    strlit1766 = alloc_String("""\x0a""  ");
    gc_root(strlit1766);
  }
// compiled string node returning strlit1766 (depth = 10)
  int op_slot_right_1765 = gc_frame_newslot(strlit1766);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1765 = gc_frame_newslot(*var_s);
  params[0] = strlit1766;
  partcv[0] = 1;
  Object opresult1768 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1768 (depth = 9)
  int op_slot_left_1763 = gc_frame_newslot(opresult1768);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1769 = callmethod(opresult1768, "++(1)", 1, partcv, params);
// compiled op node returning opresult1769 (depth = 8)
  int op_slot_left_1755 = gc_frame_newslot(opresult1769);
  params[0] = call1761;
  partcv[0] = 1;
  Object opresult1770 = callmethod(opresult1769, "++(1)", 1, partcv, params);
// compiled op node returning opresult1770 (depth = 7)
  *var_s = opresult1770;
  if (opresult1770 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1793__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1795 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1797 = alloc_Float64(2);
// compiled num node returning num1797 (depth = 10)
  int op_slot_right_1796 = gc_frame_newslot(num1797);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1796 = gc_frame_newslot(*var_depth);
  params[0] = num1797;
  partcv[0] = 1;
  Object sum1799 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1799 (depth = 9)
  gc_frame_newslot(sum1799);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1799;
  partcv[0] = 1;
  Object call1800 = callmethodflags(*var_ix, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1795);
// compiled call node returning call1800 (depth = 8)
  int op_slot_right_1794 = gc_frame_newslot(call1800);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1802 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1805 == NULL) {
    strlit1805 = alloc_String("""\x0a""  ");
    gc_root(strlit1805);
  }
// compiled string node returning strlit1805 (depth = 10)
  int op_slot_right_1804 = gc_frame_newslot(strlit1805);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1804 = gc_frame_newslot(*var_s);
  params[0] = strlit1805;
  partcv[0] = 1;
  Object opresult1807 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1807 (depth = 9)
  int op_slot_left_1802 = gc_frame_newslot(opresult1807);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1808 = callmethod(opresult1807, "++(1)", 1, partcv, params);
// compiled op node returning opresult1808 (depth = 8)
  int op_slot_left_1794 = gc_frame_newslot(opresult1808);
  params[0] = call1800;
  partcv[0] = 1;
  Object opresult1809 = callmethod(opresult1808, "++(1)", 1, partcv, params);
// compiled op node returning opresult1809 (depth = 7)
  *var_s = opresult1809;
  if (opresult1809 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1652_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1655 = alloc_Float64(1);
// compiled num node returning num1655 (depth = 6)
  int op_slot_right_1654 = gc_frame_newslot(num1655);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_1654 = gc_frame_newslot(*var_depth);
  params[0] = num1655;
  partcv[0] = 1;
  Object sum1657 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1657 (depth = 5)
  int op_slot_right_1653 = gc_frame_newslot(sum1657);
// starting to compile string node (depth = 5)
  if (strlit1659 == NULL) {
    strlit1659 = alloc_String("  ");
    gc_root(strlit1659);
  }
// compiled string node returning strlit1659 (depth = 5)
  int op_slot_left_1653 = gc_frame_newslot(strlit1659);
  params[0] = sum1657;
  partcv[0] = 1;
  Object prod1660 = callmethod(strlit1659, "*(1)", 1, partcv, params);
// compiled op node returning prod1660 (depth = 4)
  *var_spc = prod1660;
  if (prod1660 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1662 == NULL) {
    strlit1662 = alloc_String("""\x0a""");
    gc_root(strlit1662);
  }
// compiled string node returning strlit1662 (depth = 5)
  int op_slot_right_1661 = gc_frame_newslot(strlit1662);
// starting to compile call node (depth = 5)
  int callframe1664 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1665 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1664);
// compiled call node returning call1665 (depth = 5)
  int op_slot_left_1661 = gc_frame_newslot(call1665);
  params[0] = strlit1662;
  partcv[0] = 1;
  Object opresult1666 = callmethod(call1665, "++(1)", 1, partcv, params);
// compiled op node returning opresult1666 (depth = 4)
  *var_s = opresult1666;
  if (opresult1666 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1668 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1670 = alloc_Float64(1);
// compiled num node returning num1670 (depth = 7)
  int op_slot_right_1669 = gc_frame_newslot(num1670);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_1669 = gc_frame_newslot(*var_depth);
  params[0] = num1670;
  partcv[0] = 1;
  Object sum1672 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1672 (depth = 6)
  gc_frame_newslot(sum1672);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1673 = gc_frame_new();
// call case 4: self request
  Object call1674 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1673);
// compiled member node returning call1674 (depth = 6)
  params[0] = sum1672;
  partcv[0] = 1;
  Object call1675 = callmethodflags(call1674, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1668);
// compiled call node returning call1675 (depth = 5)
  int op_slot_right_1667 = gc_frame_newslot(call1675);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1677 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1677 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1679 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1679 (depth = 5)
  int op_slot_left_1667 = gc_frame_newslot(opresult1679);
  params[0] = call1675;
  partcv[0] = 1;
  Object opresult1680 = callmethod(opresult1679, "++(1)", 1, partcv, params);
// compiled op node returning opresult1680 (depth = 4)
  *var_s = opresult1680;
  if (opresult1680 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1683 == NULL) {
    strlit1683 = alloc_String("""\x0a""");
    gc_root(strlit1683);
  }
// compiled string node returning strlit1683 (depth = 5)
  int op_slot_right_1682 = gc_frame_newslot(strlit1683);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1682 = gc_frame_newslot(*var_s);
  params[0] = strlit1683;
  partcv[0] = 1;
  Object opresult1685 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1685 (depth = 4)
  *var_s = opresult1685;
  if (opresult1685 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1689 == NULL) {
    strlit1689 = alloc_String("symbols");
    gc_root(strlit1689);
  }
// compiled string node returning strlit1689 (depth = 5)
  int op_slot_right_1688 = gc_frame_newslot(strlit1689);
// starting to compile member node (depth = 5)
  int callframe1691 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1692 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe1691);
// compiled member node returning call1692 (depth = 5)
  int op_slot_left_1688 = gc_frame_newslot(call1692);
  params[0] = strlit1689;
  partcv[0] = 1;
  Object opresult1693 = callmethod(call1692, "==(1)", 1, partcv, params);
// compiled op node returning opresult1693 (depth = 4)
  Object if1687 = done;
  if (istrue(opresult1693)) {
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1696 == NULL) {
    strlit1696 = alloc_String("""\x0a""");
    gc_root(strlit1696);
  }
// compiled string node returning strlit1696 (depth = 7)
  int op_slot_right_1695 = gc_frame_newslot(strlit1696);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1699 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1701 = alloc_Float64(2);
// compiled num node returning num1701 (depth = 10)
  int op_slot_right_1700 = gc_frame_newslot(num1701);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1700 = gc_frame_newslot(*var_depth);
  params[0] = num1701;
  partcv[0] = 1;
  Object sum1703 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1703 (depth = 9)
  gc_frame_newslot(sum1703);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1704 = gc_frame_new();
// call case 4: self request
  Object call1705 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1704);
// compiled member node returning call1705 (depth = 9)
  params[0] = sum1703;
  partcv[0] = 1;
  Object call1706 = callmethodflags(call1705, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1699);
// compiled call node returning call1706 (depth = 8)
  int op_slot_right_1698 = gc_frame_newslot(call1706);
// starting to compile string node (depth = 8)
  if (strlit1708 == NULL) {
    strlit1708 = alloc_String("Then: ");
    gc_root(strlit1708);
  }
// compiled string node returning strlit1708 (depth = 8)
  int op_slot_left_1698 = gc_frame_newslot(strlit1708);
  params[0] = call1706;
  partcv[0] = 1;
  Object opresult1709 = callmethod(strlit1708, "++(1)", 1, partcv, params);
// compiled op node returning opresult1709 (depth = 7)
  int op_slot_left_1695 = gc_frame_newslot(opresult1709);
  params[0] = strlit1696;
  partcv[0] = 1;
  Object opresult1710 = callmethod(opresult1709, "++(1)", 1, partcv, params);
// compiled op node returning opresult1710 (depth = 6)
  int op_slot_right_1694 = gc_frame_newslot(opresult1710);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1712 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1712 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1714 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1714 (depth = 6)
  int op_slot_left_1694 = gc_frame_newslot(opresult1714);
  params[0] = opresult1710;
  partcv[0] = 1;
  Object opresult1715 = callmethod(opresult1714, "++(1)", 1, partcv, params);
// compiled op node returning opresult1715 (depth = 5)
  *var_s = opresult1715;
  if (opresult1715 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1719 == NULL) {
    strlit1719 = alloc_String("");
    gc_root(strlit1719);
  }
// compiled string node returning strlit1719 (depth = 7)
  int op_slot_right_1718 = gc_frame_newslot(strlit1719);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1722 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1724 = alloc_Float64(2);
// compiled num node returning num1724 (depth = 10)
  int op_slot_right_1723 = gc_frame_newslot(num1724);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1723 = gc_frame_newslot(*var_depth);
  params[0] = num1724;
  partcv[0] = 1;
  Object sum1726 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1726 (depth = 9)
  gc_frame_newslot(sum1726);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1727 = gc_frame_new();
// call case 4: self request
  Object call1728 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1727);
// compiled member node returning call1728 (depth = 9)
  params[0] = sum1726;
  partcv[0] = 1;
  Object call1729 = callmethodflags(call1728, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1722);
// compiled call node returning call1729 (depth = 8)
  int op_slot_right_1721 = gc_frame_newslot(call1729);
// starting to compile string node (depth = 8)
  if (strlit1731 == NULL) {
    strlit1731 = alloc_String("Else: ");
    gc_root(strlit1731);
  }
// compiled string node returning strlit1731 (depth = 8)
  int op_slot_left_1721 = gc_frame_newslot(strlit1731);
  params[0] = call1729;
  partcv[0] = 1;
  Object opresult1732 = callmethod(strlit1731, "++(1)", 1, partcv, params);
// compiled op node returning opresult1732 (depth = 7)
  int op_slot_left_1718 = gc_frame_newslot(opresult1732);
  params[0] = strlit1719;
  partcv[0] = 1;
  Object opresult1733 = callmethod(opresult1732, "++(1)", 1, partcv, params);
// compiled op node returning opresult1733 (depth = 6)
  int op_slot_right_1717 = gc_frame_newslot(opresult1733);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1735 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1735 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1737 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1737 (depth = 6)
  int op_slot_left_1717 = gc_frame_newslot(opresult1737);
  params[0] = opresult1733;
  partcv[0] = 1;
  Object opresult1738 = callmethod(opresult1737, "++(1)", 1, partcv, params);
// compiled op node returning opresult1738 (depth = 5)
  *var_s = opresult1738;
  if (opresult1738 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1687 = done;
  } else {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1741 == NULL) {
    strlit1741 = alloc_String("Then:");
    gc_root(strlit1741);
  }
// compiled string node returning strlit1741 (depth = 6)
  int op_slot_right_1740 = gc_frame_newslot(strlit1741);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1743 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1743 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1745 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1745 (depth = 6)
  int op_slot_left_1740 = gc_frame_newslot(opresult1745);
  params[0] = strlit1741;
  partcv[0] = 1;
  Object opresult1746 = callmethod(opresult1745, "++(1)", 1, partcv, params);
// compiled op node returning opresult1746 (depth = 5)
  *var_s = opresult1746;
  if (opresult1746 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1748 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1749 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1750 = gc_frame_new();
// call case 4: self request
  Object call1751 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1750);
// compiled member node returning call1751 (depth = 6)
  Object call1752 = callmethodflags(call1751, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1749);
// compiled member node returning call1752 (depth = 5)
  gc_frame_newslot(call1752);
// starting to compile block node (depth = 5)
  Object block1753 = alloc_Block(NULL, NULL, "ast", 386);
  gc_frame_newslot(block1753);
// method "_apply(_)"
  block_savedest(block1753);
  Object closure1754 = createclosure(4, "_apply(1)");
  setclosureframe(closure1754, stackframe);
  addtoclosure(closure1754, var_depth);
  addtoclosure(closure1754, var_spc);
  addtoclosure(closure1754, var_s);
  addtoclosure(closure1754, selfslot);
  struct UserObject *uo1754 = (struct UserObject*)block1753;
  uo1754->data[0] = (Object)closure1754;
  Method *meth_meth_ast_1754__apply_40_1_41_ = addmethod2pos(block1753, "_apply(1)", &meth_ast_1754__apply_40_1_41_, 0);
  int argcv_meth_ast_1754__apply_40_1_41_[] = {1};
  meth_meth_ast_1754__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1754__apply_40_1_41_);
  meth_meth_ast_1754__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1754__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block1753 (depth = 5)
  gc_frame_newslot(block1753);
// call case 5: prelude request
  params[0] = call1752;
  params[1] = block1753;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1773 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1748);
// compiled call node returning call1773 (depth = 4)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1775 == NULL) {
    strlit1775 = alloc_String("""\x0a""");
    gc_root(strlit1775);
  }
// compiled string node returning strlit1775 (depth = 6)
  int op_slot_right_1774 = gc_frame_newslot(strlit1775);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1774 = gc_frame_newslot(*var_s);
  params[0] = strlit1775;
  partcv[0] = 1;
  Object opresult1777 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1777 (depth = 5)
  *var_s = opresult1777;
  if (opresult1777 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1780 == NULL) {
    strlit1780 = alloc_String("Else:");
    gc_root(strlit1780);
  }
// compiled string node returning strlit1780 (depth = 6)
  int op_slot_right_1779 = gc_frame_newslot(strlit1780);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1782 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1782 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1784 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1784 (depth = 6)
  int op_slot_left_1779 = gc_frame_newslot(opresult1784);
  params[0] = strlit1780;
  partcv[0] = 1;
  Object opresult1785 = callmethod(opresult1784, "++(1)", 1, partcv, params);
// compiled op node returning opresult1785 (depth = 5)
  *var_s = opresult1785;
  if (opresult1785 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1787 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1788 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1789 = gc_frame_new();
// call case 4: self request
  Object call1790 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1789);
// compiled member node returning call1790 (depth = 6)
  Object call1791 = callmethodflags(call1790, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1788);
// compiled member node returning call1791 (depth = 5)
  gc_frame_newslot(call1791);
// starting to compile block node (depth = 5)
  Object block1792 = alloc_Block(NULL, NULL, "ast", 391);
  gc_frame_newslot(block1792);
// method "_apply(_)"
  block_savedest(block1792);
  Object closure1793 = createclosure(4, "_apply(1)");
  setclosureframe(closure1793, stackframe);
  addtoclosure(closure1793, var_depth);
  addtoclosure(closure1793, var_spc);
  addtoclosure(closure1793, var_s);
  addtoclosure(closure1793, selfslot);
  struct UserObject *uo1793 = (struct UserObject*)block1792;
  uo1793->data[0] = (Object)closure1793;
  Method *meth_meth_ast_1793__apply_40_1_41_ = addmethod2pos(block1792, "_apply(1)", &meth_ast_1793__apply_40_1_41_, 0);
  int argcv_meth_ast_1793__apply_40_1_41_[] = {1};
  meth_meth_ast_1793__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1793__apply_40_1_41_);
  meth_meth_ast_1793__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1793__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block1792 (depth = 5)
  gc_frame_newslot(block1792);
// call case 5: prelude request
  params[0] = call1791;
  params[1] = block1792;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1812 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1787);
// compiled call node returning call1812 (depth = 4)
    gc_frame_newslot(call1812);
    if1687 = call1812;
  }
// compiled if node returning if1687 (depth = 3)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_1837__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1839 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1841 = alloc_Float64(1);
// compiled num node returning num1841 (depth = 9)
  int op_slot_right_1840 = gc_frame_newslot(num1841);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1840 = gc_frame_newslot(*var_depth);
  params[0] = num1841;
  partcv[0] = 1;
  Object sum1843 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1843 (depth = 8)
  gc_frame_newslot(sum1843);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  params[0] = sum1843;
  partcv[0] = 1;
  Object call1844 = callmethodflags(*var_ix, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1839);
// compiled call node returning call1844 (depth = 7)
  int op_slot_right_1838 = gc_frame_newslot(call1844);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1847 == NULL) {
    strlit1847 = alloc_String("    ");
    gc_root(strlit1847);
  }
// compiled string node returning strlit1847 (depth = 8)
  int op_slot_right_1846 = gc_frame_newslot(strlit1847);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1849 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1852 == NULL) {
    strlit1852 = alloc_String("""\x0a""");
    gc_root(strlit1852);
  }
// compiled string node returning strlit1852 (depth = 10)
  int op_slot_right_1851 = gc_frame_newslot(strlit1852);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1851 = gc_frame_newslot(*var_s);
  params[0] = strlit1852;
  partcv[0] = 1;
  Object opresult1854 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1854 (depth = 9)
  int op_slot_left_1849 = gc_frame_newslot(opresult1854);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1855 = callmethod(opresult1854, "++(1)", 1, partcv, params);
// compiled op node returning opresult1855 (depth = 8)
  int op_slot_left_1846 = gc_frame_newslot(opresult1855);
  params[0] = strlit1847;
  partcv[0] = 1;
  Object opresult1856 = callmethod(opresult1855, "++(1)", 1, partcv, params);
// compiled op node returning opresult1856 (depth = 7)
  int op_slot_left_1838 = gc_frame_newslot(opresult1856);
  params[0] = call1844;
  partcv[0] = 1;
  Object opresult1857 = callmethod(opresult1856, "++(1)", 1, partcv, params);
// compiled op node returning opresult1857 (depth = 6)
  *var_s = opresult1857;
  if (opresult1857 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1884__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1886 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1888 = alloc_Float64(1);
// compiled num node returning num1888 (depth = 10)
  int op_slot_right_1887 = gc_frame_newslot(num1888);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1887 = gc_frame_newslot(*var_depth);
  params[0] = num1888;
  partcv[0] = 1;
  Object sum1890 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1890 (depth = 9)
  gc_frame_newslot(sum1890);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1890;
  partcv[0] = 1;
  Object call1891 = callmethodflags(*var_ix, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1886);
// compiled call node returning call1891 (depth = 8)
  int op_slot_right_1885 = gc_frame_newslot(call1891);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1894 == NULL) {
    strlit1894 = alloc_String("    ");
    gc_root(strlit1894);
  }
// compiled string node returning strlit1894 (depth = 9)
  int op_slot_right_1893 = gc_frame_newslot(strlit1894);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_1896 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1899 == NULL) {
    strlit1899 = alloc_String("""\x0a""");
    gc_root(strlit1899);
  }
// compiled string node returning strlit1899 (depth = 11)
  int op_slot_right_1898 = gc_frame_newslot(strlit1899);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1898 = gc_frame_newslot(*var_s);
  params[0] = strlit1899;
  partcv[0] = 1;
  Object opresult1901 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1901 (depth = 10)
  int op_slot_left_1896 = gc_frame_newslot(opresult1901);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1902 = callmethod(opresult1901, "++(1)", 1, partcv, params);
// compiled op node returning opresult1902 (depth = 9)
  int op_slot_left_1893 = gc_frame_newslot(opresult1902);
  params[0] = strlit1894;
  partcv[0] = 1;
  Object opresult1903 = callmethod(opresult1902, "++(1)", 1, partcv, params);
// compiled op node returning opresult1903 (depth = 8)
  int op_slot_left_1885 = gc_frame_newslot(opresult1903);
  params[0] = call1891;
  partcv[0] = 1;
  Object opresult1904 = callmethod(opresult1903, "++(1)", 1, partcv, params);
// compiled op node returning opresult1904 (depth = 7)
  *var_s = opresult1904;
  if (opresult1904 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_1813_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_1814 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit1816 == NULL) {
    strlit1816 = alloc_String("    ");
    gc_root(strlit1816);
  }
// compiled string node returning strlit1816 (depth = 5)
  int op_slot_left_1814 = gc_frame_newslot(strlit1816);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod1817 = callmethod(strlit1816, "*(1)", 1, partcv, params);
// compiled op node returning prod1817 (depth = 4)
  *var_spc = prod1817;
  if (prod1817 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1819 == NULL) {
    strlit1819 = alloc_String(") then {");
    gc_root(strlit1819);
  }
// compiled string node returning strlit1819 (depth = 5)
  int op_slot_right_1818 = gc_frame_newslot(strlit1819);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1822 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num1823 = alloc_Float64(0);
// compiled num node returning num1823 (depth = 7)
  gc_frame_newslot(num1823);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1824 = gc_frame_new();
// call case 4: self request
  Object call1825 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1824);
// compiled member node returning call1825 (depth = 7)
  params[0] = num1823;
  partcv[0] = 1;
  Object call1826 = callmethodflags(call1825, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1822);
// compiled call node returning call1826 (depth = 6)
  int op_slot_right_1821 = gc_frame_newslot(call1826);
// starting to compile string node (depth = 6)
  if (strlit1828 == NULL) {
    strlit1828 = alloc_String("if (");
    gc_root(strlit1828);
  }
// compiled string node returning strlit1828 (depth = 6)
  int op_slot_left_1821 = gc_frame_newslot(strlit1828);
  params[0] = call1826;
  partcv[0] = 1;
  Object opresult1829 = callmethod(strlit1828, "++(1)", 1, partcv, params);
// compiled op node returning opresult1829 (depth = 5)
  int op_slot_left_1818 = gc_frame_newslot(opresult1829);
  params[0] = strlit1819;
  partcv[0] = 1;
  Object opresult1830 = callmethod(opresult1829, "++(1)", 1, partcv, params);
// compiled op node returning opresult1830 (depth = 4)
  *var_s = opresult1830;
  if (opresult1830 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1831 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1832 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1833 = gc_frame_new();
// call case 4: self request
  Object call1834 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1833);
// compiled member node returning call1834 (depth = 5)
  Object call1835 = callmethodflags(call1834, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1832);
// compiled member node returning call1835 (depth = 4)
  gc_frame_newslot(call1835);
// starting to compile block node (depth = 4)
  Object block1836 = alloc_Block(NULL, NULL, "ast", 400);
  gc_frame_newslot(block1836);
// method "_apply(_)"
  block_savedest(block1836);
  Object closure1837 = createclosure(4, "_apply(1)");
  setclosureframe(closure1837, stackframe);
  addtoclosure(closure1837, var_depth);
  addtoclosure(closure1837, var_spc);
  addtoclosure(closure1837, var_s);
  addtoclosure(closure1837, selfslot);
  struct UserObject *uo1837 = (struct UserObject*)block1836;
  uo1837->data[0] = (Object)closure1837;
  Method *meth_meth_ast_1837__apply_40_1_41_ = addmethod2pos(block1836, "_apply(1)", &meth_ast_1837__apply_40_1_41_, 0);
  int argcv_meth_ast_1837__apply_40_1_41_[] = {1};
  meth_meth_ast_1837__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1837__apply_40_1_41_);
  meth_meth_ast_1837__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1837__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block1836 (depth = 4)
  gc_frame_newslot(block1836);
// call case 5: prelude request
  params[0] = call1835;
  params[1] = block1836;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1860 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1831);
// compiled call node returning call1860 (depth = 3)
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1862 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1863 = gc_frame_new();
// call case 4: self request
  Object call1864 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1863);
// compiled member node returning call1864 (depth = 5)
  Object call1865 = callmethodflags(call1864, "isntEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1862);
// compiled member node returning call1865 (depth = 4)
  Object if1861 = done;
  if (istrue(call1865)) {
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1867 == NULL) {
    strlit1867 = alloc_String("} else {");
    gc_root(strlit1867);
  }
// compiled string node returning strlit1867 (depth = 6)
  int op_slot_right_1866 = gc_frame_newslot(strlit1867);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1869 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1872 == NULL) {
    strlit1872 = alloc_String("""\x0a""");
    gc_root(strlit1872);
  }
// compiled string node returning strlit1872 (depth = 8)
  int op_slot_right_1871 = gc_frame_newslot(strlit1872);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1871 = gc_frame_newslot(*var_s);
  params[0] = strlit1872;
  partcv[0] = 1;
  Object opresult1874 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1874 (depth = 7)
  int op_slot_left_1869 = gc_frame_newslot(opresult1874);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1875 = callmethod(opresult1874, "++(1)", 1, partcv, params);
// compiled op node returning opresult1875 (depth = 6)
  int op_slot_left_1866 = gc_frame_newslot(opresult1875);
  params[0] = strlit1867;
  partcv[0] = 1;
  Object opresult1876 = callmethod(opresult1875, "++(1)", 1, partcv, params);
// compiled op node returning opresult1876 (depth = 5)
  *var_s = opresult1876;
  if (opresult1876 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1878 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1879 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1880 = gc_frame_new();
// call case 4: self request
  Object call1881 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1880);
// compiled member node returning call1881 (depth = 6)
  Object call1882 = callmethodflags(call1881, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1879);
// compiled member node returning call1882 (depth = 5)
  gc_frame_newslot(call1882);
// starting to compile block node (depth = 5)
  Object block1883 = alloc_Block(NULL, NULL, "ast", 405);
  gc_frame_newslot(block1883);
// method "_apply(_)"
  block_savedest(block1883);
  Object closure1884 = createclosure(4, "_apply(1)");
  setclosureframe(closure1884, stackframe);
  addtoclosure(closure1884, var_depth);
  addtoclosure(closure1884, var_spc);
  addtoclosure(closure1884, var_s);
  addtoclosure(closure1884, selfslot);
  struct UserObject *uo1884 = (struct UserObject*)block1883;
  uo1884->data[0] = (Object)closure1884;
  Method *meth_meth_ast_1884__apply_40_1_41_ = addmethod2pos(block1883, "_apply(1)", &meth_ast_1884__apply_40_1_41_, 0);
  int argcv_meth_ast_1884__apply_40_1_41_[] = {1};
  meth_meth_ast_1884__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1884__apply_40_1_41_);
  meth_meth_ast_1884__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1884__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block1883 (depth = 5)
  gc_frame_newslot(block1883);
// call case 5: prelude request
  params[0] = call1882;
  params[1] = block1883;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1907 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1878);
// compiled call node returning call1907 (depth = 4)
    gc_frame_newslot(call1907);
    if1861 = call1907;
  } else {
  }
// compiled if node returning if1861 (depth = 3)
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1909 == NULL) {
    strlit1909 = alloc_String("}");
    gc_root(strlit1909);
  }
// compiled string node returning strlit1909 (depth = 5)
  int op_slot_right_1908 = gc_frame_newslot(strlit1909);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1911 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1914 == NULL) {
    strlit1914 = alloc_String("""\x0a""");
    gc_root(strlit1914);
  }
// compiled string node returning strlit1914 (depth = 7)
  int op_slot_right_1913 = gc_frame_newslot(strlit1914);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1913 = gc_frame_newslot(*var_s);
  params[0] = strlit1914;
  partcv[0] = 1;
  Object opresult1916 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1916 (depth = 6)
  int op_slot_left_1911 = gc_frame_newslot(opresult1916);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1917 = callmethod(opresult1916, "++(1)", 1, partcv, params);
// compiled op node returning opresult1917 (depth = 5)
  int op_slot_left_1908 = gc_frame_newslot(opresult1917);
  params[0] = strlit1909;
  partcv[0] = 1;
  Object opresult1918 = callmethod(opresult1917, "++(1)", 1, partcv, params);
// compiled op node returning opresult1918 (depth = 4)
  *var_s = opresult1918;
  if (opresult1918 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_1920_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_ifNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1921 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1922 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ifNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call1923 = callmethodflags(*var_ifNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe1922);
// compiled call node returning call1923 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1924 = callmethodflags(call1923, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1921);
// compiled call node returning call1924 (depth = 3)
  gc_frame_end(frame);
  return call1924;
}
Object meth_ast_1925_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1926 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1927 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1928 = callmethodflags(*var_other, "handledIdentifiers", 0, partcv, params, 0);
  gc_frame_end(callframe1927);
// compiled member node returning call1928 (depth = 4)
  gc_frame_newslot(call1928);
// call case 4: self request
  params[0] = call1928;
  partcv[0] = 1;
  Object call1929 = callmethodflags(self, "handledIdentifiers:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1926);
// compiled call node returning call1929 (depth = 3)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_1594_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1595 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1595 = alloc_userobj2(17,14, objclass1595);
  gc_frame_newslot(obj1595);
  if (objclass1595 == NULL) {
    glfree(obj1595->class->name);
    obj1595->class->name = "ifNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1595, self, 0);
  addmethodreal(obj1595,"outer", &reader_ast_outer_1596);
  Object oldself1595 = self;
  struct StackFrameObject *oldstackframe1595 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1595);
  gc_frame_newslot((Object)stackframe);
  self = obj1595;
  Object *oldselfslot1595 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1595 = (*(struct UserObject *)self).data[0], lowerouter1595 = thisouter1595;
  if (inheritingObject1595) {
    struct UserObject *inho1595 = (struct UserObject *)inheritingObject1595;
    while (inho1595->super != GraceDefaultObject) inho1595 = (struct UserObject *)inho1595->super;
    inho1595->super = obj1595;
    self = inheritingObject1595;
    *selfslot = self;
    lowerouter1595 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1595;
  }
  if (objclass1595 == NULL) {
  Method *reader1597 = addmethodrealflags(obj1595, "kind",&reader_ast_kind_1597, MFLAG_DEF);
  reader1597->definitionModule = modulename;
  reader1597->definitionLine = 353;
  }
  adddatum2(obj1595, alloc_Undefined(), 1);
  if (objclass1595 == NULL) {
    Method *reader1598 = addmethodrealflags(obj1595, "value", &reader_ast_value_1598, 0);
    Method *writer1598 = addmethodrealflags(obj1595, "value:=(1)", &writer_ast_value_1598, 0);
    reader1598->definitionModule = modulename;
    writer1598->definitionModule = modulename;
    reader1598->definitionLine = 354;
    writer1598->definitionLine = 354;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 2);
  if (objclass1595 == NULL) {
    Method *reader1599 = addmethodrealflags(obj1595, "thenblock", &reader_ast_thenblock_1599, 0);
    Method *writer1599 = addmethodrealflags(obj1595, "thenblock:=(1)", &writer_ast_thenblock_1599, 0);
    reader1599->definitionModule = modulename;
    writer1599->definitionModule = modulename;
    reader1599->definitionLine = 355;
    writer1599->definitionLine = 355;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 3);
  if (objclass1595 == NULL) {
    Method *reader1600 = addmethodrealflags(obj1595, "elseblock", &reader_ast_elseblock_1600, 0);
    Method *writer1600 = addmethodrealflags(obj1595, "elseblock:=(1)", &writer_ast_elseblock_1600, 0);
    reader1600->definitionModule = modulename;
    writer1600->definitionModule = modulename;
    reader1600->definitionLine = 356;
    writer1600->definitionLine = 356;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 4);
  if (objclass1595 == NULL) {
    Method *reader1601 = addmethodrealflags(obj1595, "handledIdentifiers", &reader_ast_handledIdentifiers_1601, 0);
    Method *writer1601 = addmethodrealflags(obj1595, "handledIdentifiers:=(1)", &writer_ast_handledIdentifiers_1601, 0);
    reader1601->definitionModule = modulename;
    writer1601->definitionModule = modulename;
    reader1601->definitionLine = 357;
    writer1601->definitionLine = 357;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 5);
// method "isSimple"
  struct UserObject *uo1602 = (struct UserObject*)obj1595;
  uo1602->data[6] = emptyclosure;
  Method *meth_meth_ast_1602_isSimple = addmethod2pos(obj1595, "isSimple", &meth_ast_1602_isSimple, 6);
  int argcv_meth_ast_1602_isSimple[] = {0};
  meth_meth_ast_1602_isSimple->type = alloc_MethodType(1, argcv_meth_ast_1602_isSimple);
  meth_meth_ast_1602_isSimple->definitionModule = modulename;
  meth_meth_ast_1602_isSimple->definitionLine = 358;
// method "accept(_)from(_)"
  struct UserObject *uo1604 = (struct UserObject*)obj1595;
  uo1604->data[7] = emptyclosure;
  Method *meth_meth_ast_1604_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj1595, "accept(1)from(1)", &meth_ast_1604_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_1604_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_1604_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1604_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_1604_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1604_accept_40_1_41_from_40_1_41_->definitionLine = 359;
// method "end"
  struct UserObject *uo1622 = (struct UserObject*)obj1595;
  uo1622->data[8] = emptyclosure;
  Method *meth_meth_ast_1622_end = addmethod2pos(obj1595, "end", &meth_ast_1622_end, 8);
  int argcv_meth_ast_1622_end[] = {0};
  meth_meth_ast_1622_end->type = alloc_MethodType(1, argcv_meth_ast_1622_end);
  meth_meth_ast_1622_end->definitionModule = modulename;
  meth_meth_ast_1622_end->definitionLine = 367;
// method "map(_)ancestors(_)"
  struct UserObject *uo1627 = (struct UserObject*)obj1595;
  uo1627->data[9] = emptyclosure;
  Method *meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj1595, "map(1)ancestors(1)", &meth_ast_1627_map_40_1_41_ancestors_40_1_41_, 9);
  int argcv_meth_ast_1627_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1627_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_->definitionLine = 368;
// method "pretty(_)"
  block_savedest(obj1595);
  Object closure1652 = createclosure(1, "pretty(1)");
  setclosureframe(closure1652, stackframe);
  addtoclosure(closure1652, var_util);
  struct UserObject *uo1652 = (struct UserObject*)obj1595;
  uo1652->data[10] = (Object)closure1652;
  Method *meth_meth_ast_1652_pretty_40_1_41_ = addmethod2pos(obj1595, "pretty(1)", &meth_ast_1652_pretty_40_1_41_, 10);
  int argcv_meth_ast_1652_pretty_40_1_41_[] = {1};
  meth_meth_ast_1652_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1652_pretty_40_1_41_);
  meth_meth_ast_1652_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1652_pretty_40_1_41_->definitionLine = 376;
// method "toGrace(_)"
  struct UserObject *uo1813 = (struct UserObject*)obj1595;
  uo1813->data[11] = emptyclosure;
  Method *meth_meth_ast_1813_toGrace_40_1_41_ = addmethod2pos(obj1595, "toGrace(1)", &meth_ast_1813_toGrace_40_1_41_, 11);
  int argcv_meth_ast_1813_toGrace_40_1_41_[] = {1};
  meth_meth_ast_1813_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1813_toGrace_40_1_41_);
meth_meth_ast_1813_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_1813_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_1813_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1813_toGrace_40_1_41_->definitionLine = 397;
// method "shallowCopy"
  block_savedest(obj1595);
  Object closure1920 = createclosure(2, "shallowCopy");
  setclosureframe(closure1920, stackframe);
  addtoclosure(closure1920, var_nullNode);
  addtoclosure(closure1920, var_ifNode);
  struct UserObject *uo1920 = (struct UserObject*)obj1595;
  uo1920->data[12] = (Object)closure1920;
  Method *meth_meth_ast_1920_shallowCopy = addmethod2pos(obj1595, "shallowCopy", &meth_ast_1920_shallowCopy, 12);
  int argcv_meth_ast_1920_shallowCopy[] = {0};
  meth_meth_ast_1920_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_1920_shallowCopy);
  meth_meth_ast_1920_shallowCopy->definitionModule = modulename;
  meth_meth_ast_1920_shallowCopy->definitionLine = 412;
// method "postCopy(_)"
  struct UserObject *uo1925 = (struct UserObject*)obj1595;
  uo1925->data[13] = emptyclosure;
  Method *meth_meth_ast_1925_postCopy_40_1_41_ = addmethod2pos(obj1595, "postCopy(1)", &meth_ast_1925_postCopy_40_1_41_, 13);
  int argcv_meth_ast_1925_postCopy_40_1_41_[] = {1};
  meth_meth_ast_1925_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1925_postCopy_40_1_41_);
  meth_meth_ast_1925_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1925_postCopy_40_1_41_->definitionLine = 415;
  sourceObject = obj1595;
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1930 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1931 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1930);
// compiled call node returning call1931 (depth = 3)
  struct UserObject *obj1595_uo = (struct UserObject *)obj1595;
  obj1595_uo->super = call1931;
  sourceObject = obj1595;
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1932 == NULL) {
    strlit1932 = alloc_String("if");
    gc_root(strlit1932);
  }
// compiled string node returning strlit1932 (depth = 3)
  adddatum2(obj1595, strlit1932, 1);
  sourceObject = obj1595;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  adddatum2(obj1595, *var_cond, 2);
  sourceObject = obj1595;
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenblock_39_ (depth = 3)
  adddatum2(obj1595, *var_thenblock_39_, 3);
  sourceObject = obj1595;
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseblock_39_ (depth = 3)
  adddatum2(obj1595, *var_elseblock_39_, 4);
  sourceObject = obj1595;
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1933 = alloc_Boolean(0);
// compiled identifier node returning bool1933 (depth = 3)
  adddatum2(obj1595, bool1933, 5);
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  objclass1595 = obj1595->class;
  objclass1595->definitionModule = modulename;
  objclass1595->definitionLine = 351;
  (*(struct UserObject *)self).data[0] = lowerouter1595;
  self = oldself1595;
  selfslot = oldselfslot1595;
  stackframe = oldstackframe1595;
  gc_frame_end(frame);
  return obj1595;
}
Object meth_ast_1594_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1595 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1595 = alloc_userobj2(17,14, objclass1595);
  gc_frame_newslot(obj1595);
  if (objclass1595 == NULL) {
    glfree(obj1595->class->name);
    obj1595->class->name = "ifNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1595, self, 0);
  addmethodreal(obj1595,"outer", &reader_ast_outer_1596);
  Object oldself1595 = self;
  struct StackFrameObject *oldstackframe1595 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1595);
  gc_frame_newslot((Object)stackframe);
  self = obj1595;
  Object *oldselfslot1595 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1595 = (*(struct UserObject *)self).data[0], lowerouter1595 = thisouter1595;
  if (inheritingObject1595) {
    struct UserObject *inho1595 = (struct UserObject *)inheritingObject1595;
    while (inho1595->super != GraceDefaultObject) inho1595 = (struct UserObject *)inho1595->super;
    inho1595->super = obj1595;
    self = inheritingObject1595;
    *selfslot = self;
    lowerouter1595 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1595;
  }
  if (objclass1595 == NULL) {
  Method *reader1597 = addmethodrealflags(obj1595, "kind",&reader_ast_kind_1597, MFLAG_DEF);
  reader1597->definitionModule = modulename;
  reader1597->definitionLine = 353;
  }
  adddatum2(obj1595, alloc_Undefined(), 1);
  if (objclass1595 == NULL) {
    Method *reader1598 = addmethodrealflags(obj1595, "value", &reader_ast_value_1598, 0);
    Method *writer1598 = addmethodrealflags(obj1595, "value:=(1)", &writer_ast_value_1598, 0);
    reader1598->definitionModule = modulename;
    writer1598->definitionModule = modulename;
    reader1598->definitionLine = 354;
    writer1598->definitionLine = 354;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 2);
  if (objclass1595 == NULL) {
    Method *reader1599 = addmethodrealflags(obj1595, "thenblock", &reader_ast_thenblock_1599, 0);
    Method *writer1599 = addmethodrealflags(obj1595, "thenblock:=(1)", &writer_ast_thenblock_1599, 0);
    reader1599->definitionModule = modulename;
    writer1599->definitionModule = modulename;
    reader1599->definitionLine = 355;
    writer1599->definitionLine = 355;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 3);
  if (objclass1595 == NULL) {
    Method *reader1600 = addmethodrealflags(obj1595, "elseblock", &reader_ast_elseblock_1600, 0);
    Method *writer1600 = addmethodrealflags(obj1595, "elseblock:=(1)", &writer_ast_elseblock_1600, 0);
    reader1600->definitionModule = modulename;
    writer1600->definitionModule = modulename;
    reader1600->definitionLine = 356;
    writer1600->definitionLine = 356;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 4);
  if (objclass1595 == NULL) {
    Method *reader1601 = addmethodrealflags(obj1595, "handledIdentifiers", &reader_ast_handledIdentifiers_1601, 0);
    Method *writer1601 = addmethodrealflags(obj1595, "handledIdentifiers:=(1)", &writer_ast_handledIdentifiers_1601, 0);
    reader1601->definitionModule = modulename;
    writer1601->definitionModule = modulename;
    reader1601->definitionLine = 357;
    writer1601->definitionLine = 357;
  }
  obj1595->flags |= OFLAG_MUTABLE;
  adddatum2(obj1595, alloc_Undefined(), 5);
// method "isSimple"
  struct UserObject *uo1602 = (struct UserObject*)obj1595;
  uo1602->data[6] = emptyclosure;
  Method *meth_meth_ast_1602_isSimple = addmethod2pos(obj1595, "isSimple", &meth_ast_1602_isSimple, 6);
  int argcv_meth_ast_1602_isSimple[] = {0};
  meth_meth_ast_1602_isSimple->type = alloc_MethodType(1, argcv_meth_ast_1602_isSimple);
  meth_meth_ast_1602_isSimple->definitionModule = modulename;
  meth_meth_ast_1602_isSimple->definitionLine = 358;
// method "accept(_)from(_)"
  struct UserObject *uo1604 = (struct UserObject*)obj1595;
  uo1604->data[7] = emptyclosure;
  Method *meth_meth_ast_1604_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj1595, "accept(1)from(1)", &meth_ast_1604_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_1604_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_1604_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1604_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_1604_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1604_accept_40_1_41_from_40_1_41_->definitionLine = 359;
// method "end"
  struct UserObject *uo1622 = (struct UserObject*)obj1595;
  uo1622->data[8] = emptyclosure;
  Method *meth_meth_ast_1622_end = addmethod2pos(obj1595, "end", &meth_ast_1622_end, 8);
  int argcv_meth_ast_1622_end[] = {0};
  meth_meth_ast_1622_end->type = alloc_MethodType(1, argcv_meth_ast_1622_end);
  meth_meth_ast_1622_end->definitionModule = modulename;
  meth_meth_ast_1622_end->definitionLine = 367;
// method "map(_)ancestors(_)"
  struct UserObject *uo1627 = (struct UserObject*)obj1595;
  uo1627->data[9] = emptyclosure;
  Method *meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj1595, "map(1)ancestors(1)", &meth_ast_1627_map_40_1_41_ancestors_40_1_41_, 9);
  int argcv_meth_ast_1627_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1627_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1627_map_40_1_41_ancestors_40_1_41_->definitionLine = 368;
// method "pretty(_)"
  block_savedest(obj1595);
  Object closure1652 = createclosure(1, "pretty(1)");
  setclosureframe(closure1652, stackframe);
  addtoclosure(closure1652, var_util);
  struct UserObject *uo1652 = (struct UserObject*)obj1595;
  uo1652->data[10] = (Object)closure1652;
  Method *meth_meth_ast_1652_pretty_40_1_41_ = addmethod2pos(obj1595, "pretty(1)", &meth_ast_1652_pretty_40_1_41_, 10);
  int argcv_meth_ast_1652_pretty_40_1_41_[] = {1};
  meth_meth_ast_1652_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1652_pretty_40_1_41_);
  meth_meth_ast_1652_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1652_pretty_40_1_41_->definitionLine = 376;
// method "toGrace(_)"
  struct UserObject *uo1813 = (struct UserObject*)obj1595;
  uo1813->data[11] = emptyclosure;
  Method *meth_meth_ast_1813_toGrace_40_1_41_ = addmethod2pos(obj1595, "toGrace(1)", &meth_ast_1813_toGrace_40_1_41_, 11);
  int argcv_meth_ast_1813_toGrace_40_1_41_[] = {1};
  meth_meth_ast_1813_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1813_toGrace_40_1_41_);
meth_meth_ast_1813_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_1813_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_1813_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1813_toGrace_40_1_41_->definitionLine = 397;
// method "shallowCopy"
  block_savedest(obj1595);
  Object closure1920 = createclosure(2, "shallowCopy");
  setclosureframe(closure1920, stackframe);
  addtoclosure(closure1920, var_nullNode);
  addtoclosure(closure1920, var_ifNode);
  struct UserObject *uo1920 = (struct UserObject*)obj1595;
  uo1920->data[12] = (Object)closure1920;
  Method *meth_meth_ast_1920_shallowCopy = addmethod2pos(obj1595, "shallowCopy", &meth_ast_1920_shallowCopy, 12);
  int argcv_meth_ast_1920_shallowCopy[] = {0};
  meth_meth_ast_1920_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_1920_shallowCopy);
  meth_meth_ast_1920_shallowCopy->definitionModule = modulename;
  meth_meth_ast_1920_shallowCopy->definitionLine = 412;
// method "postCopy(_)"
  struct UserObject *uo1925 = (struct UserObject*)obj1595;
  uo1925->data[13] = emptyclosure;
  Method *meth_meth_ast_1925_postCopy_40_1_41_ = addmethod2pos(obj1595, "postCopy(1)", &meth_ast_1925_postCopy_40_1_41_, 13);
  int argcv_meth_ast_1925_postCopy_40_1_41_[] = {1};
  meth_meth_ast_1925_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1925_postCopy_40_1_41_);
  meth_meth_ast_1925_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1925_postCopy_40_1_41_->definitionLine = 415;
  sourceObject = obj1595;
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1930 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1931 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1930);
// compiled call node returning call1931 (depth = 3)
  struct UserObject *obj1595_uo = (struct UserObject *)obj1595;
  obj1595_uo->super = call1931;
  sourceObject = obj1595;
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1932 == NULL) {
    strlit1932 = alloc_String("if");
    gc_root(strlit1932);
  }
// compiled string node returning strlit1932 (depth = 3)
  adddatum2(obj1595, strlit1932, 1);
  sourceObject = obj1595;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  adddatum2(obj1595, *var_cond, 2);
  sourceObject = obj1595;
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenblock_39_ (depth = 3)
  adddatum2(obj1595, *var_thenblock_39_, 3);
  sourceObject = obj1595;
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseblock_39_ (depth = 3)
  adddatum2(obj1595, *var_elseblock_39_, 4);
  sourceObject = obj1595;
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1933 = alloc_Boolean(0);
// compiled identifier node returning bool1933 (depth = 3)
  adddatum2(obj1595, bool1933, 5);
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  sourceObject = obj1595;
  objclass1595 = obj1595->class;
  objclass1595->definitionModule = modulename;
  objclass1595->definitionLine = 351;
  (*(struct UserObject *)self).data[0] = lowerouter1595;
  self = oldself1595;
  selfslot = oldselfslot1595;
  stackframe = oldstackframe1595;
  gc_frame_end(frame);
  return obj1595;
}
Object meth_ast_1935_ifNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ifNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ifNode (depth = 3)
  gc_frame_end(frame);
  return *var_ifNode;
}
Object meth_ast_1948_isBlock(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1949 = alloc_Boolean(1);
// compiled identifier node returning bool1949 (depth = 3)
  gc_frame_end(frame);
  return bool1949;
}
Object meth_ast_1950_isDelimited(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1951 = alloc_Boolean(1);
// compiled identifier node returning bool1951 (depth = 3)
  gc_frame_end(frame);
  return bool1951;
}
Object meth_ast_1952_isEmpty(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1954 = alloc_Float64(0);
// compiled num node returning num1954 (depth = 4)
  int op_slot_right_1953 = gc_frame_newslot(num1954);
// starting to compile member node (depth = 4)
  int callframe1956 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1957 = gc_frame_new();
// call case 4: self request
  Object call1958 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1957);
// compiled member node returning call1958 (depth = 5)
  Object call1959 = callmethodflags(call1958, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1956);
// compiled member node returning call1959 (depth = 4)
  int op_slot_left_1953 = gc_frame_newslot(call1959);
  params[0] = num1954;
  partcv[0] = 1;
  Object opresult1960 = callmethod(call1959, "==(1)", 1, partcv, params);
// compiled op node returning opresult1960 (depth = 3)
  gc_frame_end(frame);
  return opresult1960;
}
Object meth_ast_1961_isntEmpty(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isntEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1963 = alloc_Float64(0);
// compiled num node returning num1963 (depth = 4)
  int op_slot_right_1962 = gc_frame_newslot(num1963);
// starting to compile member node (depth = 4)
  int callframe1965 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1966 = gc_frame_new();
// call case 4: self request
  Object call1967 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1966);
// compiled member node returning call1967 (depth = 5)
  Object call1968 = callmethodflags(call1967, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1965);
// compiled member node returning call1968 (depth = 4)
  int op_slot_left_1962 = gc_frame_newslot(call1968);
  params[0] = num1963;
  partcv[0] = 1;
  Object opresult1969 = callmethod(call1968, ">(1)", 1, partcv, params);
// compiled op node returning opresult1969 (depth = 3)
  gc_frame_end(frame);
  return opresult1969;
}
Object meth_ast_1970_scope_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1971 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call1972 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1971);
// compiled call node returning call1972 (depth = 3)
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1973 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1974 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1973);
// compiled call node returning call1974 (depth = 3)
  gc_frame_end(frame);
  return call1974;
}
Object meth_ast_1975_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1976 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call1977 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe1976);
// compiled member node returning call1977 (depth = 3)
  gc_frame_end(frame);
  return call1977;
}
Object meth_ast_1978_isMatchingBlock(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1980 = alloc_Float64(1);
// compiled num node returning num1980 (depth = 4)
  int op_slot_right_1979 = gc_frame_newslot(num1980);
// starting to compile member node (depth = 4)
  int callframe1982 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1983 = gc_frame_new();
// call case 4: self request
  Object call1984 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1983);
// compiled member node returning call1984 (depth = 5)
  Object call1985 = callmethodflags(call1984, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1982);
// compiled member node returning call1985 (depth = 4)
  int op_slot_left_1979 = gc_frame_newslot(call1985);
  params[0] = num1980;
  partcv[0] = 1;
  Object opresult1986 = callmethod(call1985, "==(1)", 1, partcv, params);
// compiled op node returning opresult1986 (depth = 3)
  gc_frame_end(frame);
  return opresult1986;
}
Object meth_ast_1990__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile member node (depth = 5)
  int callframe1991 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1992 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1993 = gc_frame_new();
// call case 4: self request
  Object call1994 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1993);
// compiled member node returning call1994 (depth = 7)
  Object call1995 = callmethodflags(call1994, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1992);
// compiled member node returning call1995 (depth = 6)
  Object call1996 = callmethodflags(call1995, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe1991);
// compiled member node returning call1996 (depth = 5)
  gc_frame_end(frame);
  return call1996;
}
Object meth_ast_1987_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block1989 = alloc_Block(NULL, NULL, "ast", 447);
  gc_frame_newslot(block1989);
// method "_apply"
  block_savedest(block1989);
  Object closure1990 = createclosure(1, "_apply");
  setclosureframe(closure1990, stackframe);
  addtoclosure(closure1990, selfslot);
  struct UserObject *uo1990 = (struct UserObject*)block1989;
  uo1990->data[0] = (Object)closure1990;
  Method *meth_meth_ast_1990__apply = addmethod2pos(block1989, "_apply", &meth_ast_1990__apply, 0);
  int argcv_meth_ast_1990__apply[] = {0};
  meth_meth_ast_1990__apply->type = alloc_MethodType(1, argcv_meth_ast_1990__apply);
  meth_meth_ast_1990__apply->definitionModule = modulename;
  meth_meth_ast_1990__apply->definitionLine = 3216;
// compiled block node returning block1989 (depth = 4)
  int op_slot_right_1988 = gc_frame_newslot(block1989);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2000 = alloc_Float64(0);
// compiled num node returning num2000 (depth = 5)
  int op_slot_right_1999 = gc_frame_newslot(num2000);
// starting to compile member node (depth = 5)
  int callframe2002 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2003 = gc_frame_new();
// call case 4: self request
  Object call2004 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2003);
// compiled member node returning call2004 (depth = 6)
  Object call2005 = callmethodflags(call2004, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2002);
// compiled member node returning call2005 (depth = 5)
  int op_slot_left_1999 = gc_frame_newslot(call2005);
  params[0] = num2000;
  partcv[0] = 1;
  Object opresult2006 = callmethod(call2005, ">(1)", 1, partcv, params);
// compiled op node returning opresult2006 (depth = 4)
  int op_slot_left_1988 = gc_frame_newslot(opresult2006);
  params[0] = block1989;
  partcv[0] = 1;
  Object opresult2007 = callmethod(opresult2006, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2007 (depth = 3)
  gc_frame_end(frame);
  return opresult2007;
}
Object meth_ast_2008_returnedObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2009 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2010 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2011 = gc_frame_new();
// call case 4: self request
  Object call2012 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2011);
// compiled member node returning call2012 (depth = 5)
  Object call2013 = callmethodflags(call2012, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2010);
// compiled member node returning call2013 (depth = 4)
  Object call2014 = callmethodflags(call2013, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe2009);
// compiled member node returning call2014 (depth = 3)
  gc_frame_end(frame);
  return call2014;
}
Object meth_ast_2015_parametersDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parametersDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parametersDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parametersDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2016 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2017 = gc_frame_new();
// call case 4: self request
  Object call2018 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2017);
// compiled member node returning call2018 (depth = 4)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call2019 = callmethodflags(call2018, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2016);
// compiled call node returning call2019 (depth = 3)
  gc_frame_end(frame);
  return call2019;
}
Object meth_ast_2020_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2023 = alloc_Float64(0);
// compiled num node returning num2023 (depth = 5)
  int op_slot_right_2022 = gc_frame_newslot(num2023);
// starting to compile member node (depth = 5)
  int callframe2025 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2026 = gc_frame_new();
// call case 4: self request
  Object call2027 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2026);
// compiled member node returning call2027 (depth = 6)
  Object call2028 = callmethodflags(call2027, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2025);
// compiled member node returning call2028 (depth = 5)
  int op_slot_left_2022 = gc_frame_newslot(call2028);
  params[0] = num2023;
  partcv[0] = 1;
  Object opresult2029 = callmethod(call2028, ">(1)", 1, partcv, params);
// compiled op node returning opresult2029 (depth = 4)
  Object if2021 = done;
  if (istrue(opresult2029)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2030 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2031 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2032 = gc_frame_new();
// call case 4: self request
  Object call2033 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2032);
// compiled member node returning call2033 (depth = 7)
  Object call2034 = callmethodflags(call2033, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2031);
// compiled member node returning call2034 (depth = 6)
  Object call2035 = callmethodflags(call2034, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2030);
// compiled member node returning call2035 (depth = 5)
  return call2035;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if2021 = undefined;
  } else {
  }
// compiled if node returning if2021 (depth = 3)
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2037 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2038 = gc_frame_new();
// call case 4: self request
  Object call2039 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2038);
// compiled member node returning call2039 (depth = 5)
  Object call2040 = callmethodflags(call2039, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe2037);
// compiled member node returning call2040 (depth = 4)
  Object if2036 = done;
  if (istrue(call2040)) {
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2041 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2042 == NULL) {
    strlit2042 = alloc_String("}");
    gc_root(strlit2042);
  }
// compiled string node returning strlit2042 (depth = 5)
  gc_frame_newslot(strlit2042);
// starting to compile member node (depth = 5)
  int callframe2043 = gc_frame_new();
// call case 4: self request
  Object call2044 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2043);
// compiled member node returning call2044 (depth = 5)
  gc_frame_newslot(call2044);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit2042;
  params[1] = call2044;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2045 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2041);
// compiled call node returning call2045 (depth = 4)
    gc_frame_newslot(call2045);
    if2036 = call2045;
  } else {
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2046 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2047 == NULL) {
    strlit2047 = alloc_String("}");
    gc_root(strlit2047);
  }
// compiled string node returning strlit2047 (depth = 5)
  gc_frame_newslot(strlit2047);
// starting to compile member node (depth = 5)
  int callframe2048 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2049 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2050 = gc_frame_new();
// call case 4: self request
  Object call2051 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2050);
// compiled member node returning call2051 (depth = 7)
  Object call2052 = callmethodflags(call2051, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2049);
// compiled member node returning call2052 (depth = 6)
  Object call2053 = callmethodflags(call2052, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2048);
// compiled member node returning call2053 (depth = 5)
  gc_frame_newslot(call2053);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit2047;
  params[1] = call2053;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2054 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2046);
// compiled call node returning call2054 (depth = 4)
    gc_frame_newslot(call2054);
    if2036 = call2054;
  }
// compiled if node returning if2036 (depth = 3)
  gc_frame_end(frame);
  return if2036;
}
Object meth_ast_2065__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2066 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2067 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2066);
// compiled call node returning call2067 (depth = 6)
  gc_frame_end(frame);
  return call2067;
}
Object meth_ast_2074__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2075 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2076 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2075);
// compiled call node returning call2076 (depth = 6)
  gc_frame_end(frame);
  return call2076;
}
Object meth_ast_2055_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2057 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2058 = callmethodflags(*var_visitor, "visitBlock(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2057);
// compiled call node returning call2058 (depth = 4)
  Object if2056 = done;
  if (istrue(call2058)) {
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2059 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2060 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2059);
// compiled call node returning call2060 (depth = 5)
  *var_newChain = call2060;
  if (call2060 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2061 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2062 = gc_frame_new();
// call case 4: self request
  Object call2063 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2062);
// compiled member node returning call2063 (depth = 5)
  gc_frame_newslot(call2063);
// starting to compile block node (depth = 5)
  Object block2064 = alloc_Block(NULL, NULL, "ast", 467);
  gc_frame_newslot(block2064);
// method "_apply(_)"
  block_savedest(block2064);
  Object closure2065 = createclosure(3, "_apply(1)");
  setclosureframe(closure2065, stackframe);
  addtoclosure(closure2065, var_visitor);
  addtoclosure(closure2065, var_newChain);
  addtoclosure(closure2065, selfslot);
  struct UserObject *uo2065 = (struct UserObject*)block2064;
  uo2065->data[0] = (Object)closure2065;
  Method *meth_meth_ast_2065__apply_40_1_41_ = addmethod2pos(block2064, "_apply(1)", &meth_ast_2065__apply_40_1_41_, 0);
  int argcv_meth_ast_2065__apply_40_1_41_[] = {1};
  meth_meth_ast_2065__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2065__apply_40_1_41_);
  meth_meth_ast_2065__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2065__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2064 (depth = 5)
  gc_frame_newslot(block2064);
// call case 5: prelude request
  params[0] = call2063;
  params[1] = block2064;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2069 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2061);
// compiled call node returning call2069 (depth = 4)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2070 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2071 = gc_frame_new();
// call case 4: self request
  Object call2072 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2071);
// compiled member node returning call2072 (depth = 5)
  gc_frame_newslot(call2072);
// starting to compile block node (depth = 5)
  Object block2073 = alloc_Block(NULL, NULL, "ast", 470);
  gc_frame_newslot(block2073);
// method "_apply(_)"
  block_savedest(block2073);
  Object closure2074 = createclosure(3, "_apply(1)");
  setclosureframe(closure2074, stackframe);
  addtoclosure(closure2074, var_visitor);
  addtoclosure(closure2074, var_newChain);
  addtoclosure(closure2074, selfslot);
  struct UserObject *uo2074 = (struct UserObject*)block2073;
  uo2074->data[0] = (Object)closure2074;
  Method *meth_meth_ast_2074__apply_40_1_41_ = addmethod2pos(block2073, "_apply(1)", &meth_ast_2074__apply_40_1_41_, 0);
  int argcv_meth_ast_2074__apply_40_1_41_[] = {1};
  meth_meth_ast_2074__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2074__apply_40_1_41_);
  meth_meth_ast_2074__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2074__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2073 (depth = 5)
  gc_frame_newslot(block2073);
// call case 5: prelude request
  params[0] = call2072;
  params[1] = block2073;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2078 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2070);
// compiled call node returning call2078 (depth = 4)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2081 = gc_frame_new();
// call case 4: self request
  Object call2082 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2081);
// compiled member node returning call2082 (depth = 6)
  int op_slot_right_2080 = gc_frame_newslot(call2082);
// starting to compile identifier node (depth = 6)
  Object bool2084 = alloc_Boolean(0);
// compiled identifier node returning bool2084 (depth = 6)
  int op_slot_left_2080 = gc_frame_newslot(bool2084);
  params[0] = call2082;
  partcv[0] = 1;
  Object opresult2085 = callmethod(bool2084, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2085 (depth = 5)
  Object if2079 = done;
  if (istrue(opresult2085)) {
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2086 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2087 = gc_frame_new();
// call case 4: self request
  Object call2088 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2087);
// compiled member node returning call2088 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2089 = callmethodflags(call2088, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2086);
// compiled call node returning call2089 (depth = 5)
    gc_frame_newslot(call2089);
    if2079 = call2089;
  } else {
  }
// compiled if node returning if2079 (depth = 4)
    gc_frame_newslot(if2079);
    if2056 = if2079;
  } else {
  }
// compiled if node returning if2056 (depth = 3)
  gc_frame_end(frame);
  return if2056;
}
Object meth_ast_2090_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2091 = gc_frame_new();
// call case 4: self request
  Object call2092 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2091);
// compiled member node returning call2092 (depth = 4)
  *var_n = call2092;
  if (call2092 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2093 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2094 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2093);
// compiled call node returning call2094 (depth = 4)
  *var_newChain = call2094;
  if (call2094 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2095 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2096 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2097 = gc_frame_new();
// call case 4: self request
  Object call2098 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2097);
// compiled member node returning call2098 (depth = 5)
  gc_frame_newslot(call2098);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call2098;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2099 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2096);
// compiled call node returning call2099 (depth = 4)
  gc_frame_newslot(call2099);
// call case 6: other requests
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2099;
  partcv[0] = 1;
  Object call2100 = callmethodflags(*var_n, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2095);
// compiled call node returning call2100 (depth = 3)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2101 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2102 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2103 = gc_frame_new();
// call case 4: self request
  Object call2104 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2103);
// compiled member node returning call2104 (depth = 5)
  gc_frame_newslot(call2104);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call2104;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2105 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2102);
// compiled call node returning call2105 (depth = 4)
  gc_frame_newslot(call2105);
// call case 6: other requests
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2105;
  partcv[0] = 1;
  Object call2106 = callmethodflags(*var_n, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2101);
// compiled call node returning call2106 (depth = 3)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2107 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2108 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2109 = gc_frame_new();
// call case 4: self request
  Object call2110 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2109);
// compiled member node returning call2110 (depth = 5)
  gc_frame_newslot(call2110);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call2110;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2111 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2108);
// compiled call node returning call2111 (depth = 4)
  gc_frame_newslot(call2111);
// call case 6: other requests
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2111;
  partcv[0] = 1;
  Object call2112 = callmethodflags(*var_n, "matchingPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2107);
// compiled call node returning call2112 (depth = 3)
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2113 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2114 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2113);
// compiled call node returning call2114 (depth = 3)
  gc_frame_end(frame);
  return call2114;
}
Object meth_ast_2142__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2144 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2146 = alloc_Float64(1);
// compiled num node returning num2146 (depth = 9)
  int op_slot_right_2145 = gc_frame_newslot(num2146);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2145 = gc_frame_newslot(*var_depth);
  params[0] = num2146;
  partcv[0] = 1;
  Object sum2148 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2148 (depth = 8)
  gc_frame_newslot(sum2148);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum2148;
  partcv[0] = 1;
  Object call2149 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2144);
// compiled call node returning call2149 (depth = 7)
  int op_slot_right_2143 = gc_frame_newslot(call2149);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_2151 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2154 == NULL) {
    strlit2154 = alloc_String("""\x0a""  ");
    gc_root(strlit2154);
  }
// compiled string node returning strlit2154 (depth = 9)
  int op_slot_right_2153 = gc_frame_newslot(strlit2154);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2153 = gc_frame_newslot(*var_s);
  params[0] = strlit2154;
  partcv[0] = 1;
  Object opresult2156 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2156 (depth = 8)
  int op_slot_left_2151 = gc_frame_newslot(opresult2156);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2157 = callmethod(opresult2156, "++(1)", 1, partcv, params);
// compiled op node returning opresult2157 (depth = 7)
  int op_slot_left_2143 = gc_frame_newslot(opresult2157);
  params[0] = call2149;
  partcv[0] = 1;
  Object opresult2158 = callmethod(opresult2157, "++(1)", 1, partcv, params);
// compiled op node returning opresult2158 (depth = 6)
  *var_s = opresult2158;
  if (opresult2158 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2179__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2181 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2183 = alloc_Float64(1);
// compiled num node returning num2183 (depth = 9)
  int op_slot_right_2182 = gc_frame_newslot(num2183);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2182 = gc_frame_newslot(*var_depth);
  params[0] = num2183;
  partcv[0] = 1;
  Object sum2185 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2185 (depth = 8)
  gc_frame_newslot(sum2185);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum2185;
  partcv[0] = 1;
  Object call2186 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2181);
// compiled call node returning call2186 (depth = 7)
  int op_slot_right_2180 = gc_frame_newslot(call2186);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_2188 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2191 == NULL) {
    strlit2191 = alloc_String("""\x0a""  ");
    gc_root(strlit2191);
  }
// compiled string node returning strlit2191 (depth = 9)
  int op_slot_right_2190 = gc_frame_newslot(strlit2191);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2190 = gc_frame_newslot(*var_s);
  params[0] = strlit2191;
  partcv[0] = 1;
  Object opresult2193 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2193 (depth = 8)
  int op_slot_left_2188 = gc_frame_newslot(opresult2193);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2194 = callmethod(opresult2193, "++(1)", 1, partcv, params);
// compiled op node returning opresult2194 (depth = 7)
  int op_slot_left_2180 = gc_frame_newslot(opresult2194);
  params[0] = call2186;
  partcv[0] = 1;
  Object opresult2195 = callmethod(opresult2194, "++(1)", 1, partcv, params);
// compiled op node returning opresult2195 (depth = 6)
  *var_s = opresult2195;
  if (opresult2195 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2115_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2118 = alloc_Float64(1);
// compiled num node returning num2118 (depth = 6)
  int op_slot_right_2117 = gc_frame_newslot(num2118);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2117 = gc_frame_newslot(*var_depth);
  params[0] = num2118;
  partcv[0] = 1;
  Object sum2120 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2120 (depth = 5)
  int op_slot_right_2116 = gc_frame_newslot(sum2120);
// starting to compile string node (depth = 5)
  if (strlit2122 == NULL) {
    strlit2122 = alloc_String("  ");
    gc_root(strlit2122);
  }
// compiled string node returning strlit2122 (depth = 5)
  int op_slot_left_2116 = gc_frame_newslot(strlit2122);
  params[0] = sum2120;
  partcv[0] = 1;
  Object prod2123 = callmethod(strlit2122, "*(1)", 1, partcv, params);
// compiled op node returning prod2123 (depth = 4)
  *var_spc = prod2123;
  if (prod2123 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2125 == NULL) {
    strlit2125 = alloc_String("""\x0a""");
    gc_root(strlit2125);
  }
// compiled string node returning strlit2125 (depth = 5)
  int op_slot_right_2124 = gc_frame_newslot(strlit2125);
// starting to compile call node (depth = 5)
  int callframe2127 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2128 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2127);
// compiled call node returning call2128 (depth = 5)
  int op_slot_left_2124 = gc_frame_newslot(call2128);
  params[0] = strlit2125;
  partcv[0] = 1;
  Object opresult2129 = callmethod(call2128, "++(1)", 1, partcv, params);
// compiled op node returning opresult2129 (depth = 4)
  *var_s = opresult2129;
  if (opresult2129 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2131 == NULL) {
    strlit2131 = alloc_String("Parameters:");
    gc_root(strlit2131);
  }
// compiled string node returning strlit2131 (depth = 5)
  int op_slot_right_2130 = gc_frame_newslot(strlit2131);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2133 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2133 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2135 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2135 (depth = 5)
  int op_slot_left_2130 = gc_frame_newslot(opresult2135);
  params[0] = strlit2131;
  partcv[0] = 1;
  Object opresult2136 = callmethod(opresult2135, "++(1)", 1, partcv, params);
// compiled op node returning opresult2136 (depth = 4)
  *var_s = opresult2136;
  if (opresult2136 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2138 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2139 = gc_frame_new();
// call case 4: self request
  Object call2140 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2139);
// compiled member node returning call2140 (depth = 4)
  gc_frame_newslot(call2140);
// starting to compile block node (depth = 4)
  Object block2141 = alloc_Block(NULL, NULL, "ast", 490);
  gc_frame_newslot(block2141);
// method "_apply(_)"
  block_savedest(block2141);
  Object closure2142 = createclosure(4, "_apply(1)");
  setclosureframe(closure2142, stackframe);
  addtoclosure(closure2142, var_depth);
  addtoclosure(closure2142, var_spc);
  addtoclosure(closure2142, var_s);
  addtoclosure(closure2142, selfslot);
  struct UserObject *uo2142 = (struct UserObject*)block2141;
  uo2142->data[0] = (Object)closure2142;
  Method *meth_meth_ast_2142__apply_40_1_41_ = addmethod2pos(block2141, "_apply(1)", &meth_ast_2142__apply_40_1_41_, 0);
  int argcv_meth_ast_2142__apply_40_1_41_[] = {1};
  meth_meth_ast_2142__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2142__apply_40_1_41_);
  meth_meth_ast_2142__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2142__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2141 (depth = 4)
  gc_frame_newslot(block2141);
// call case 5: prelude request
  params[0] = call2140;
  params[1] = block2141;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2161 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2138);
// compiled call node returning call2161 (depth = 3)
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2163 == NULL) {
    strlit2163 = alloc_String("""\x0a""");
    gc_root(strlit2163);
  }
// compiled string node returning strlit2163 (depth = 5)
  int op_slot_right_2162 = gc_frame_newslot(strlit2163);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_2162 = gc_frame_newslot(*var_s);
  params[0] = strlit2163;
  partcv[0] = 1;
  Object opresult2165 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2165 (depth = 4)
  *var_s = opresult2165;
  if (opresult2165 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2168 == NULL) {
    strlit2168 = alloc_String("Body:");
    gc_root(strlit2168);
  }
// compiled string node returning strlit2168 (depth = 5)
  int op_slot_right_2167 = gc_frame_newslot(strlit2168);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2170 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2170 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2172 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2172 (depth = 5)
  int op_slot_left_2167 = gc_frame_newslot(opresult2172);
  params[0] = strlit2168;
  partcv[0] = 1;
  Object opresult2173 = callmethod(opresult2172, "++(1)", 1, partcv, params);
// compiled op node returning opresult2173 (depth = 4)
  *var_s = opresult2173;
  if (opresult2173 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2175 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2176 = gc_frame_new();
// call case 4: self request
  Object call2177 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2176);
// compiled member node returning call2177 (depth = 4)
  gc_frame_newslot(call2177);
// starting to compile block node (depth = 4)
  Object block2178 = alloc_Block(NULL, NULL, "ast", 495);
  gc_frame_newslot(block2178);
// method "_apply(_)"
  block_savedest(block2178);
  Object closure2179 = createclosure(4, "_apply(1)");
  setclosureframe(closure2179, stackframe);
  addtoclosure(closure2179, var_depth);
  addtoclosure(closure2179, var_spc);
  addtoclosure(closure2179, var_s);
  addtoclosure(closure2179, selfslot);
  struct UserObject *uo2179 = (struct UserObject*)block2178;
  uo2179->data[0] = (Object)closure2179;
  Method *meth_meth_ast_2179__apply_40_1_41_ = addmethod2pos(block2178, "_apply(1)", &meth_ast_2179__apply_40_1_41_, 0);
  int argcv_meth_ast_2179__apply_40_1_41_[] = {1};
  meth_meth_ast_2179__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2179__apply_40_1_41_);
  meth_meth_ast_2179__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2179__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2178 (depth = 4)
  gc_frame_newslot(block2178);
// call case 5: prelude request
  params[0] = call2177;
  params[1] = block2178;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2198 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2175);
// compiled call node returning call2198 (depth = 3)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2201 = gc_frame_new();
// call case 4: self request
  Object call2202 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2201);
// compiled member node returning call2202 (depth = 5)
  int op_slot_right_2200 = gc_frame_newslot(call2202);
// starting to compile identifier node (depth = 5)
  Object bool2204 = alloc_Boolean(0);
// compiled identifier node returning bool2204 (depth = 5)
  int op_slot_left_2200 = gc_frame_newslot(bool2204);
  params[0] = call2202;
  partcv[0] = 1;
  Object opresult2205 = callmethod(bool2204, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2205 (depth = 4)
  Object if2199 = done;
  if (istrue(opresult2205)) {
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2207 == NULL) {
    strlit2207 = alloc_String("""\x0a""");
    gc_root(strlit2207);
  }
// compiled string node returning strlit2207 (depth = 6)
  int op_slot_right_2206 = gc_frame_newslot(strlit2207);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2206 = gc_frame_newslot(*var_s);
  params[0] = strlit2207;
  partcv[0] = 1;
  Object opresult2209 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2209 (depth = 5)
  *var_s = opresult2209;
  if (opresult2209 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2212 == NULL) {
    strlit2212 = alloc_String("Pattern:");
    gc_root(strlit2212);
  }
// compiled string node returning strlit2212 (depth = 6)
  int op_slot_right_2211 = gc_frame_newslot(strlit2212);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2214 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2214 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2216 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2216 (depth = 6)
  int op_slot_left_2211 = gc_frame_newslot(opresult2216);
  params[0] = strlit2212;
  partcv[0] = 1;
  Object opresult2217 = callmethod(opresult2216, "++(1)", 1, partcv, params);
// compiled op node returning opresult2217 (depth = 5)
  *var_s = opresult2217;
  if (opresult2217 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2220 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2222 = alloc_Float64(1);
// compiled num node returning num2222 (depth = 8)
  int op_slot_right_2221 = gc_frame_newslot(num2222);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2221 = gc_frame_newslot(*var_depth);
  params[0] = num2222;
  partcv[0] = 1;
  Object sum2224 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2224 (depth = 7)
  gc_frame_newslot(sum2224);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2225 = gc_frame_new();
// call case 4: self request
  Object call2226 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2225);
// compiled member node returning call2226 (depth = 7)
  params[0] = sum2224;
  partcv[0] = 1;
  Object call2227 = callmethodflags(call2226, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2220);
// compiled call node returning call2227 (depth = 6)
  int op_slot_right_2219 = gc_frame_newslot(call2227);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2229 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2232 == NULL) {
    strlit2232 = alloc_String("""\x0a""  ");
    gc_root(strlit2232);
  }
// compiled string node returning strlit2232 (depth = 8)
  int op_slot_right_2231 = gc_frame_newslot(strlit2232);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_2231 = gc_frame_newslot(*var_s);
  params[0] = strlit2232;
  partcv[0] = 1;
  Object opresult2234 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2234 (depth = 7)
  int op_slot_left_2229 = gc_frame_newslot(opresult2234);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2235 = callmethod(opresult2234, "++(1)", 1, partcv, params);
// compiled op node returning opresult2235 (depth = 6)
  int op_slot_left_2219 = gc_frame_newslot(opresult2235);
  params[0] = call2227;
  partcv[0] = 1;
  Object opresult2236 = callmethod(opresult2235, "++(1)", 1, partcv, params);
// compiled op node returning opresult2236 (depth = 5)
  *var_s = opresult2236;
  if (opresult2236 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2199 = done;
  } else {
  }
// compiled if node returning if2199 (depth = 3)
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_2264__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2265 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2266 = gc_frame_new();
// call case 4: self request
  Object call2267 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2266);
// compiled member node returning call2267 (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2268 = callmethodflags(call2267, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2265);
// compiled call node returning call2268 (depth = 7)
  *var_p = call2268;
  if (call2268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2271 = gc_frame_new();
// call case 4: self request
  Object call2272 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2271);
// compiled member node returning call2272 (depth = 8)
  int op_slot_right_2270 = gc_frame_newslot(call2272);
// starting to compile identifier node (depth = 8)
  Object bool2274 = alloc_Boolean(0);
// compiled identifier node returning bool2274 (depth = 8)
  int op_slot_left_2270 = gc_frame_newslot(bool2274);
  params[0] = call2272;
  partcv[0] = 1;
  Object opresult2275 = callmethod(bool2274, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2275 (depth = 7)
  Object if2269 = done;
  if (istrue(opresult2275)) {
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2277 == NULL) {
    strlit2277 = alloc_String(")");
    gc_root(strlit2277);
  }
// compiled string node returning strlit2277 (depth = 9)
  int op_slot_right_2276 = gc_frame_newslot(strlit2277);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2280 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num2281 = alloc_Float64(0);
// compiled num node returning num2281 (depth = 11)
  gc_frame_newslot(num2281);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = num2281;
  partcv[0] = 1;
  Object call2282 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2280);
// compiled call node returning call2282 (depth = 10)
  int op_slot_right_2279 = gc_frame_newslot(call2282);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2285 == NULL) {
    strlit2285 = alloc_String("(");
    gc_root(strlit2285);
  }
// compiled string node returning strlit2285 (depth = 11)
  int op_slot_right_2284 = gc_frame_newslot(strlit2285);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2284 = gc_frame_newslot(*var_s);
  params[0] = strlit2285;
  partcv[0] = 1;
  Object opresult2287 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2287 (depth = 10)
  int op_slot_left_2279 = gc_frame_newslot(opresult2287);
  params[0] = call2282;
  partcv[0] = 1;
  Object opresult2288 = callmethod(opresult2287, "++(1)", 1, partcv, params);
// compiled op node returning opresult2288 (depth = 9)
  int op_slot_left_2276 = gc_frame_newslot(opresult2288);
  params[0] = strlit2277;
  partcv[0] = 1;
  Object opresult2289 = callmethod(opresult2288, "++(1)", 1, partcv, params);
// compiled op node returning opresult2289 (depth = 8)
  *var_s = opresult2289;
  if (opresult2289 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2269 = done;
  } else {
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2292 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num2293 = alloc_Float64(0);
// compiled num node returning num2293 (depth = 10)
  gc_frame_newslot(num2293);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  params[0] = num2293;
  partcv[0] = 1;
  Object call2294 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2292);
// compiled call node returning call2294 (depth = 9)
  int op_slot_right_2291 = gc_frame_newslot(call2294);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2291 = gc_frame_newslot(*var_s);
  params[0] = call2294;
  partcv[0] = 1;
  Object opresult2296 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2296 (depth = 8)
  *var_s = opresult2296;
  if (opresult2296 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2269 = done;
  }
// compiled if node returning if2269 (depth = 6)
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2300 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2301 = gc_frame_new();
// call case 4: self request
  Object call2302 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2301);
// compiled member node returning call2302 (depth = 9)
  Object call2303 = callmethodflags(call2302, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2300);
// compiled member node returning call2303 (depth = 8)
  int op_slot_right_2299 = gc_frame_newslot(call2303);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_left_2299 = gc_frame_newslot(*var_i);
  params[0] = call2303;
  partcv[0] = 1;
  Object opresult2305 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult2305 (depth = 7)
  Object if2298 = done;
  if (istrue(opresult2305)) {
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2307 == NULL) {
    strlit2307 = alloc_String(", ");
    gc_root(strlit2307);
  }
// compiled string node returning strlit2307 (depth = 9)
  int op_slot_right_2306 = gc_frame_newslot(strlit2307);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2306 = gc_frame_newslot(*var_s);
  params[0] = strlit2307;
  partcv[0] = 1;
  Object opresult2309 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2309 (depth = 8)
  *var_s = opresult2309;
  if (opresult2309 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2298 = done;
  } else {
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2312 == NULL) {
    strlit2312 = alloc_String(" ""\xe2""""\x86""""\x92""");
    gc_root(strlit2312);
  }
// compiled string node returning strlit2312 (depth = 9)
  int op_slot_right_2311 = gc_frame_newslot(strlit2312);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2311 = gc_frame_newslot(*var_s);
  params[0] = strlit2312;
  partcv[0] = 1;
  Object opresult2314 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2314 (depth = 8)
  *var_s = opresult2314;
  if (opresult2314 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2298 = done;
  }
// compiled if node returning if2298 (depth = 6)
  gc_frame_end(frame);
  return if2298;
}
Object meth_ast_2322__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2324 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2326 = alloc_Float64(1);
// compiled num node returning num2326 (depth = 9)
  int op_slot_right_2325 = gc_frame_newslot(num2326);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2325 = gc_frame_newslot(*var_depth);
  params[0] = num2326;
  partcv[0] = 1;
  Object sum2328 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2328 (depth = 8)
  gc_frame_newslot(sum2328);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum2328;
  partcv[0] = 1;
  Object call2329 = callmethodflags(*var_mx, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2324);
// compiled call node returning call2329 (depth = 7)
  int op_slot_right_2323 = gc_frame_newslot(call2329);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_2331 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2334 == NULL) {
    strlit2334 = alloc_String("""\x0a""");
    gc_root(strlit2334);
  }
// compiled string node returning strlit2334 (depth = 9)
  int op_slot_right_2333 = gc_frame_newslot(strlit2334);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2333 = gc_frame_newslot(*var_s);
  params[0] = strlit2334;
  partcv[0] = 1;
  Object opresult2336 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2336 (depth = 8)
  int op_slot_left_2331 = gc_frame_newslot(opresult2336);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2337 = callmethod(opresult2336, "++(1)", 1, partcv, params);
// compiled op node returning opresult2337 (depth = 7)
  int op_slot_left_2323 = gc_frame_newslot(opresult2337);
  params[0] = call2329;
  partcv[0] = 1;
  Object opresult2338 = callmethod(opresult2337, "++(1)", 1, partcv, params);
// compiled op node returning opresult2338 (depth = 6)
  *var_s = opresult2338;
  if (opresult2338 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2353__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2355 == NULL) {
    strlit2355 = alloc_String("    ");
    gc_root(strlit2355);
  }
// compiled string node returning strlit2355 (depth = 7)
  int op_slot_right_2354 = gc_frame_newslot(strlit2355);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2354 = gc_frame_newslot(*var_s);
  params[0] = strlit2355;
  partcv[0] = 1;
  Object opresult2357 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2357 (depth = 6)
  *var_s = opresult2357;
  if (opresult2357 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2238_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2239 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit2241 == NULL) {
    strlit2241 = alloc_String("    ");
    gc_root(strlit2241);
  }
// compiled string node returning strlit2241 (depth = 5)
  int op_slot_left_2239 = gc_frame_newslot(strlit2241);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod2242 = callmethod(strlit2241, "*(1)", 1, partcv, params);
// compiled op node returning prod2242 (depth = 4)
  *var_spc = prod2242;
  if (prod2242 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2243 == NULL) {
    strlit2243 = alloc_String("{");
    gc_root(strlit2243);
  }
// compiled string node returning strlit2243 (depth = 4)
  *var_s = strlit2243;
  if (strlit2243 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2246 = alloc_Float64(0);
// compiled num node returning num2246 (depth = 5)
  int op_slot_right_2245 = gc_frame_newslot(num2246);
// starting to compile member node (depth = 5)
  int callframe2248 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2249 = gc_frame_new();
// call case 4: self request
  Object call2250 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2249);
// compiled member node returning call2250 (depth = 6)
  Object call2251 = callmethodflags(call2250, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2248);
// compiled member node returning call2251 (depth = 5)
  int op_slot_left_2245 = gc_frame_newslot(call2251);
  params[0] = num2246;
  partcv[0] = 1;
  Object opresult2252 = callmethod(call2251, ">(1)", 1, partcv, params);
// compiled op node returning opresult2252 (depth = 4)
  Object if2244 = done;
  if (istrue(opresult2252)) {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2254 == NULL) {
    strlit2254 = alloc_String(" ");
    gc_root(strlit2254);
  }
// compiled string node returning strlit2254 (depth = 6)
  int op_slot_right_2253 = gc_frame_newslot(strlit2254);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2253 = gc_frame_newslot(*var_s);
  params[0] = strlit2254;
  partcv[0] = 1;
  Object opresult2256 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2256 (depth = 5)
  *var_s = opresult2256;
  if (opresult2256 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2258 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2259 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2260 = gc_frame_new();
// call case 4: self request
  Object call2261 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2260);
// compiled member node returning call2261 (depth = 6)
  Object call2262 = callmethodflags(call2261, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe2259);
// compiled member node returning call2262 (depth = 5)
  gc_frame_newslot(call2262);
// starting to compile block node (depth = 5)
  Object block2263 = alloc_Block(NULL, NULL, "ast", 510);
  gc_frame_newslot(block2263);
// method "_apply(_)"
  block_savedest(block2263);
  Object closure2264 = createclosure(2, "_apply(1)");
  setclosureframe(closure2264, stackframe);
  addtoclosure(closure2264, var_s);
  addtoclosure(closure2264, selfslot);
  struct UserObject *uo2264 = (struct UserObject*)block2263;
  uo2264->data[0] = (Object)closure2264;
  Method *meth_meth_ast_2264__apply_40_1_41_ = addmethod2pos(block2263, "_apply(1)", &meth_ast_2264__apply_40_1_41_, 0);
  int argcv_meth_ast_2264__apply_40_1_41_[] = {1};
  meth_meth_ast_2264__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2264__apply_40_1_41_);
  meth_meth_ast_2264__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2264__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2263 (depth = 5)
  gc_frame_newslot(block2263);
// call case 5: prelude request
  params[0] = call2262;
  params[1] = block2263;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2317 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2258);
// compiled call node returning call2317 (depth = 4)
    gc_frame_newslot(call2317);
    if2244 = call2317;
  } else {
  }
// compiled if node returning if2244 (depth = 3)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2318 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2319 = gc_frame_new();
// call case 4: self request
  Object call2320 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2319);
// compiled member node returning call2320 (depth = 4)
  gc_frame_newslot(call2320);
// starting to compile block node (depth = 4)
  Object block2321 = alloc_Block(NULL, NULL, "ast", 524);
  gc_frame_newslot(block2321);
// method "_apply(_)"
  block_savedest(block2321);
  Object closure2322 = createclosure(4, "_apply(1)");
  setclosureframe(closure2322, stackframe);
  addtoclosure(closure2322, var_depth);
  addtoclosure(closure2322, var_spc);
  addtoclosure(closure2322, var_s);
  addtoclosure(closure2322, selfslot);
  struct UserObject *uo2322 = (struct UserObject*)block2321;
  uo2322->data[0] = (Object)closure2322;
  Method *meth_meth_ast_2322__apply_40_1_41_ = addmethod2pos(block2321, "_apply(1)", &meth_ast_2322__apply_40_1_41_, 0);
  int argcv_meth_ast_2322__apply_40_1_41_[] = {1};
  meth_meth_ast_2322__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2322__apply_40_1_41_);
  meth_meth_ast_2322__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2322__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2321 (depth = 4)
  gc_frame_newslot(block2321);
// call case 5: prelude request
  params[0] = call2320;
  params[1] = block2321;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2341 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2318);
// compiled call node returning call2341 (depth = 3)
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2343 == NULL) {
    strlit2343 = alloc_String("""\x0a""");
    gc_root(strlit2343);
  }
// compiled string node returning strlit2343 (depth = 5)
  int op_slot_right_2342 = gc_frame_newslot(strlit2343);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_2342 = gc_frame_newslot(*var_s);
  params[0] = strlit2343;
  partcv[0] = 1;
  Object opresult2345 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2345 (depth = 4)
  *var_s = opresult2345;
  if (opresult2345 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2347 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2349 = alloc_Float64(1);
// compiled num node returning num2349 (depth = 5)
  int op_slot_right_2348 = gc_frame_newslot(num2349);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_2348 = gc_frame_newslot(*var_depth);
  params[0] = num2349;
  partcv[0] = 1;
  Object diff2351 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff2351 (depth = 4)
  gc_frame_newslot(diff2351);
// starting to compile block node (depth = 4)
  Object block2352 = alloc_Block(NULL, NULL, "ast", 528);
  gc_frame_newslot(block2352);
// method "_apply"
  block_savedest(block2352);
  Object closure2353 = createclosure(2, "_apply");
  setclosureframe(closure2353, stackframe);
  addtoclosure(closure2353, var_s);
  addtoclosure(closure2353, selfslot);
  struct UserObject *uo2353 = (struct UserObject*)block2352;
  uo2353->data[0] = (Object)closure2353;
  Method *meth_meth_ast_2353__apply = addmethod2pos(block2352, "_apply", &meth_ast_2353__apply, 0);
  int argcv_meth_ast_2353__apply[] = {0};
  meth_meth_ast_2353__apply->type = alloc_MethodType(1, argcv_meth_ast_2353__apply);
  meth_meth_ast_2353__apply->definitionModule = modulename;
  meth_meth_ast_2353__apply->definitionLine = 3216;
// compiled block node returning block2352 (depth = 4)
  gc_frame_newslot(block2352);
// call case 5: prelude request
  params[0] = diff2351;
  params[1] = block2352;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2360 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2347);
// compiled call node returning call2360 (depth = 3)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2362 == NULL) {
    strlit2362 = alloc_String("}");
    gc_root(strlit2362);
  }
// compiled string node returning strlit2362 (depth = 4)
  int op_slot_right_2361 = gc_frame_newslot(strlit2362);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_2361 = gc_frame_newslot(*var_s);
  params[0] = strlit2362;
  partcv[0] = 1;
  Object opresult2364 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2364 (depth = 3)
  gc_frame_end(frame);
  return opresult2364;
}
Object meth_ast_2365_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2366 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2367 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2368 = gc_frame_new();
// call case 4: self request
  Object call2369 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2368);
// compiled member node returning call2369 (depth = 5)
  gc_frame_newslot(call2369);
// starting to compile member node (depth = 5)
  int callframe2370 = gc_frame_new();
// call case 4: self request
  Object call2371 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2370);
// compiled member node returning call2371 (depth = 5)
  gc_frame_newslot(call2371);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blockNode (depth = 5)
  params[0] = call2369;
  params[1] = call2371;
  partcv[0] = 2;
  Object call2372 = callmethodflags(*var_blockNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2367);
// compiled call node returning call2372 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2373 = callmethodflags(call2372, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2366);
// compiled call node returning call2373 (depth = 3)
  gc_frame_end(frame);
  return call2373;
}
Object meth_ast_2374_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2375 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2376 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call2377 = callmethodflags(*var_other, "matchingPattern", 0, partcv, params, 0);
  gc_frame_end(callframe2376);
// compiled member node returning call2377 (depth = 4)
  gc_frame_newslot(call2377);
// call case 4: self request
  params[0] = call2377;
  partcv[0] = 1;
  Object call2378 = callmethodflags(self, "matchingPattern:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2375);
// compiled call node returning call2378 (depth = 3)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2379 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2380 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call2381 = callmethodflags(*var_other, "extraRuntimeData", 0, partcv, params, 0);
  gc_frame_end(callframe2380);
// compiled member node returning call2381 (depth = 4)
  gc_frame_newslot(call2381);
// call case 4: self request
  params[0] = call2381;
  partcv[0] = 1;
  Object call2382 = callmethodflags(self, "extraRuntimeData:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2379);
// compiled call node returning call2382 (depth = 3)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_2392__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2393 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_patternMarkVisitor (depth = 6)
  gc_frame_newslot(*var_patternMarkVisitor);
// starting to compile call node (depth = 6)
  int callframe2394 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ancestorChain (depth = 7)
  params[0] = self;
  partcv[0] = 1;
  Object call2395 = callmethodflags(*var_ancestorChain, "with(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2394);
// compiled call node returning call2395 (depth = 6)
  gc_frame_newslot(call2395);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  params[0] = *var_patternMarkVisitor;
  params[1] = call2395;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2396 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2393);
// compiled call node returning call2396 (depth = 5)
  gc_frame_end(frame);
  return call2396;
}
Object meth_ast_1938_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_blockNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  Object *var_ancestorChain = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1939 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1939 = alloc_userobj2(29,26, objclass1939);
  gc_frame_newslot(obj1939);
  if (objclass1939 == NULL) {
    glfree(obj1939->class->name);
    obj1939->class->name = "blockNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1939, self, 0);
  addmethodreal(obj1939,"outer", &reader_ast_outer_1940);
  Object oldself1939 = self;
  struct StackFrameObject *oldstackframe1939 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1939);
  gc_frame_newslot((Object)stackframe);
  self = obj1939;
  Object *oldselfslot1939 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1939 = (*(struct UserObject *)self).data[0], lowerouter1939 = thisouter1939;
  if (inheritingObject1939) {
    struct UserObject *inho1939 = (struct UserObject *)inheritingObject1939;
    while (inho1939->super != GraceDefaultObject) inho1939 = (struct UserObject *)inho1939->super;
    inho1939->super = obj1939;
    self = inheritingObject1939;
    *selfslot = self;
    lowerouter1939 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1939;
  }
  if (objclass1939 == NULL) {
  Method *reader1941 = addmethodrealflags(obj1939, "kind",&reader_ast_kind_1941, MFLAG_DEF);
  reader1941->definitionModule = modulename;
  reader1941->definitionLine = 424;
  }
  adddatum2(obj1939, alloc_Undefined(), 1);
  if (objclass1939 == NULL) {
  Method *reader1942 = addmethodrealflags(obj1939, "value",&reader_ast_value_1942, MFLAG_DEF);
  reader1942->definitionModule = modulename;
  reader1942->definitionLine = 425;
  }
  adddatum2(obj1939, alloc_Undefined(), 2);
  if (objclass1939 == NULL) {
    Method *reader1943 = addmethodrealflags(obj1939, "params", &reader_ast_params_1943, 0);
    Method *writer1943 = addmethodrealflags(obj1939, "params:=(1)", &writer_ast_params_1943, 0);
    reader1943->definitionModule = modulename;
    writer1943->definitionModule = modulename;
    reader1943->definitionLine = 426;
    writer1943->definitionLine = 426;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 3);
  if (objclass1939 == NULL) {
    Method *reader1944 = addmethodrealflags(obj1939, "body", &reader_ast_body_1944, 0);
    Method *writer1944 = addmethodrealflags(obj1939, "body:=(1)", &writer_ast_body_1944, 0);
    reader1944->definitionModule = modulename;
    writer1944->definitionModule = modulename;
    reader1944->definitionLine = 427;
    writer1944->definitionLine = 427;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 4);
  if (objclass1939 == NULL) {
  Method *reader1945 = addmethodrealflags(obj1939, "selfclosure",&reader_ast_selfclosure_1945, MFLAG_DEF);
  reader1945->definitionModule = modulename;
  reader1945->definitionLine = 428;
  }
  adddatum2(obj1939, alloc_Undefined(), 5);
  if (objclass1939 == NULL) {
    Method *reader1946 = addmethodrealflags(obj1939, "matchingPattern", &reader_ast_matchingPattern_1946, 0);
    Method *writer1946 = addmethodrealflags(obj1939, "matchingPattern:=(1)", &writer_ast_matchingPattern_1946, 0);
    reader1946->definitionModule = modulename;
    writer1946->definitionModule = modulename;
    reader1946->definitionLine = 429;
    writer1946->definitionLine = 429;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 6);
  if (objclass1939 == NULL) {
    Method *reader1947 = addmethodrealflags(obj1939, "extraRuntimeData", &reader_ast_extraRuntimeData_1947, 0);
    Method *writer1947 = addmethodrealflags(obj1939, "extraRuntimeData:=(1)", &writer_ast_extraRuntimeData_1947, 0);
    reader1947->definitionModule = modulename;
    writer1947->definitionModule = modulename;
    reader1947->definitionLine = 430;
    writer1947->definitionLine = 430;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 7);
// method "isBlock"
  struct UserObject *uo1948 = (struct UserObject*)obj1939;
  uo1948->data[8] = emptyclosure;
  Method *meth_meth_ast_1948_isBlock = addmethod2pos(obj1939, "isBlock", &meth_ast_1948_isBlock, 8);
  int argcv_meth_ast_1948_isBlock[] = {0};
  meth_meth_ast_1948_isBlock->type = alloc_MethodType(1, argcv_meth_ast_1948_isBlock);
  meth_meth_ast_1948_isBlock->definitionModule = modulename;
  meth_meth_ast_1948_isBlock->definitionLine = 434;
// method "isDelimited"
  struct UserObject *uo1950 = (struct UserObject*)obj1939;
  uo1950->data[9] = emptyclosure;
  Method *meth_meth_ast_1950_isDelimited = addmethod2pos(obj1939, "isDelimited", &meth_ast_1950_isDelimited, 9);
  int argcv_meth_ast_1950_isDelimited[] = {0};
  meth_meth_ast_1950_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_1950_isDelimited);
  meth_meth_ast_1950_isDelimited->definitionModule = modulename;
  meth_meth_ast_1950_isDelimited->definitionLine = 435;
// method "isEmpty"
  struct UserObject *uo1952 = (struct UserObject*)obj1939;
  uo1952->data[10] = emptyclosure;
  Method *meth_meth_ast_1952_isEmpty = addmethod2pos(obj1939, "isEmpty", &meth_ast_1952_isEmpty, 10);
  int argcv_meth_ast_1952_isEmpty[] = {0};
  meth_meth_ast_1952_isEmpty->type = alloc_MethodType(1, argcv_meth_ast_1952_isEmpty);
  meth_meth_ast_1952_isEmpty->definitionModule = modulename;
  meth_meth_ast_1952_isEmpty->definitionLine = 436;
// method "isntEmpty"
  struct UserObject *uo1961 = (struct UserObject*)obj1939;
  uo1961->data[11] = emptyclosure;
  Method *meth_meth_ast_1961_isntEmpty = addmethod2pos(obj1939, "isntEmpty", &meth_ast_1961_isntEmpty, 11);
  int argcv_meth_ast_1961_isntEmpty[] = {0};
  meth_meth_ast_1961_isntEmpty->type = alloc_MethodType(1, argcv_meth_ast_1961_isntEmpty);
  meth_meth_ast_1961_isntEmpty->definitionModule = modulename;
  meth_meth_ast_1961_isntEmpty->definitionLine = 437;
// method "scope:=(_)"
  struct UserObject *uo1970 = (struct UserObject*)obj1939;
  uo1970->data[12] = emptyclosure;
  Method *meth_meth_ast_1970_scope_58__61__40_1_41_ = addmethod2pos(obj1939, "scope:=(1)", &meth_ast_1970_scope_58__61__40_1_41_, 12);
  int argcv_meth_ast_1970_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_1970_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1970_scope_58__61__40_1_41_);
  meth_meth_ast_1970_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_1970_scope_58__61__40_1_41_->definitionLine = 438;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj1939);
  Object closure1975 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure1975, stackframe);
  addtoclosure(closure1975, var_k);
  struct UserObject *uo1975 = (struct UserObject*)obj1939;
  uo1975->data[13] = (Object)closure1975;
  Method *meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj1939, "declarationKindWithAncestors(1)", &meth_ast_1975_declarationKindWithAncestors_40_1_41_, 13);
  int argcv_meth_ast_1975_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1975_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_->definitionLine = 444;
// method "isMatchingBlock"
  struct UserObject *uo1978 = (struct UserObject*)obj1939;
  uo1978->data[14] = emptyclosure;
  Method *meth_meth_ast_1978_isMatchingBlock = addmethod2pos(obj1939, "isMatchingBlock", &meth_ast_1978_isMatchingBlock, 14);
  int argcv_meth_ast_1978_isMatchingBlock[] = {0};
  meth_meth_ast_1978_isMatchingBlock->type = alloc_MethodType(1, argcv_meth_ast_1978_isMatchingBlock);
  meth_meth_ast_1978_isMatchingBlock->definitionModule = modulename;
  meth_meth_ast_1978_isMatchingBlock->definitionLine = 445;
// method "returnsObject"
  struct UserObject *uo1987 = (struct UserObject*)obj1939;
  uo1987->data[15] = emptyclosure;
  Method *meth_meth_ast_1987_returnsObject = addmethod2pos(obj1939, "returnsObject", &meth_ast_1987_returnsObject, 15);
  int argcv_meth_ast_1987_returnsObject[] = {0};
  meth_meth_ast_1987_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_1987_returnsObject);
  meth_meth_ast_1987_returnsObject->definitionModule = modulename;
  meth_meth_ast_1987_returnsObject->definitionLine = 446;
// method "returnedObjectScope"
  struct UserObject *uo2008 = (struct UserObject*)obj1939;
  uo2008->data[16] = emptyclosure;
  Method *meth_meth_ast_2008_returnedObjectScope = addmethod2pos(obj1939, "returnedObjectScope", &meth_ast_2008_returnedObjectScope, 16);
  int argcv_meth_ast_2008_returnedObjectScope[] = {0};
  meth_meth_ast_2008_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_2008_returnedObjectScope);
  meth_meth_ast_2008_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_2008_returnedObjectScope->definitionLine = 449;
// method "parametersDo(_)"
  struct UserObject *uo2015 = (struct UserObject*)obj1939;
  uo2015->data[17] = emptyclosure;
  Method *meth_meth_ast_2015_parametersDo_40_1_41_ = addmethod2pos(obj1939, "parametersDo(1)", &meth_ast_2015_parametersDo_40_1_41_, 17);
  int argcv_meth_ast_2015_parametersDo_40_1_41_[] = {1};
  meth_meth_ast_2015_parametersDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2015_parametersDo_40_1_41_);
  meth_meth_ast_2015_parametersDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2015_parametersDo_40_1_41_->definitionLine = 453;
// method "end"
  struct UserObject *uo2020 = (struct UserObject*)obj1939;
  uo2020->data[18] = emptyclosure;
  Method *meth_meth_ast_2020_end = addmethod2pos(obj1939, "end", &meth_ast_2020_end, 18);
  int argcv_meth_ast_2020_end[] = {0};
  meth_meth_ast_2020_end->type = alloc_MethodType(1, argcv_meth_ast_2020_end);
  meth_meth_ast_2020_end->definitionModule = modulename;
  meth_meth_ast_2020_end->definitionLine = 456;
// method "accept(_)from(_)"
  struct UserObject *uo2055 = (struct UserObject*)obj1939;
  uo2055->data[19] = emptyclosure;
  Method *meth_meth_ast_2055_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj1939, "accept(1)from(1)", &meth_ast_2055_accept_40_1_41_from_40_1_41_, 19);
  int argcv_meth_ast_2055_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_2055_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2055_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_2055_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2055_accept_40_1_41_from_40_1_41_->definitionLine = 464;
// method "map(_)ancestors(_)"
  struct UserObject *uo2090 = (struct UserObject*)obj1939;
  uo2090->data[20] = emptyclosure;
  Method *meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj1939, "map(1)ancestors(1)", &meth_ast_2090_map_40_1_41_ancestors_40_1_41_, 20);
  int argcv_meth_ast_2090_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2090_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_->definitionLine = 478;
// method "pretty(_)"
  struct UserObject *uo2115 = (struct UserObject*)obj1939;
  uo2115->data[21] = emptyclosure;
  Method *meth_meth_ast_2115_pretty_40_1_41_ = addmethod2pos(obj1939, "pretty(1)", &meth_ast_2115_pretty_40_1_41_, 21);
  int argcv_meth_ast_2115_pretty_40_1_41_[] = {1};
  meth_meth_ast_2115_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2115_pretty_40_1_41_);
  meth_meth_ast_2115_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2115_pretty_40_1_41_->definitionLine = 486;
// method "toGrace(_)"
  struct UserObject *uo2238 = (struct UserObject*)obj1939;
  uo2238->data[22] = emptyclosure;
  Method *meth_meth_ast_2238_toGrace_40_1_41_ = addmethod2pos(obj1939, "toGrace(1)", &meth_ast_2238_toGrace_40_1_41_, 22);
  int argcv_meth_ast_2238_toGrace_40_1_41_[] = {1};
  meth_meth_ast_2238_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2238_toGrace_40_1_41_);
meth_meth_ast_2238_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_2238_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_2238_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2238_toGrace_40_1_41_->definitionLine = 505;
// method "shallowCopy"
  block_savedest(obj1939);
  Object closure2365 = createclosure(1, "shallowCopy");
  setclosureframe(closure2365, stackframe);
  addtoclosure(closure2365, var_blockNode);
  struct UserObject *uo2365 = (struct UserObject*)obj1939;
  uo2365->data[23] = (Object)closure2365;
  Method *meth_meth_ast_2365_shallowCopy = addmethod2pos(obj1939, "shallowCopy", &meth_ast_2365_shallowCopy, 23);
  int argcv_meth_ast_2365_shallowCopy[] = {0};
  meth_meth_ast_2365_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_2365_shallowCopy);
  meth_meth_ast_2365_shallowCopy->definitionModule = modulename;
  meth_meth_ast_2365_shallowCopy->definitionLine = 531;
// method "postCopy(_)"
  struct UserObject *uo2374 = (struct UserObject*)obj1939;
  uo2374->data[24] = emptyclosure;
  Method *meth_meth_ast_2374_postCopy_40_1_41_ = addmethod2pos(obj1939, "postCopy(1)", &meth_ast_2374_postCopy_40_1_41_, 24);
  int argcv_meth_ast_2374_postCopy_40_1_41_[] = {1};
  meth_meth_ast_2374_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2374_postCopy_40_1_41_);
  meth_meth_ast_2374_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2374_postCopy_40_1_41_->definitionLine = 534;
  sourceObject = obj1939;
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2383 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2384 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2383);
// compiled call node returning call2384 (depth = 3)
  struct UserObject *obj1939_uo = (struct UserObject *)obj1939;
  obj1939_uo->super = call2384;
  sourceObject = obj1939;
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2385 == NULL) {
    strlit2385 = alloc_String("block");
    gc_root(strlit2385);
  }
// compiled string node returning strlit2385 (depth = 3)
  adddatum2(obj1939, strlit2385, 1);
  sourceObject = obj1939;
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2386 == NULL) {
    strlit2386 = alloc_String("block");
    gc_root(strlit2386);
  }
// compiled string node returning strlit2386 (depth = 3)
  adddatum2(obj1939, strlit2386, 2);
  sourceObject = obj1939;
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj1939, *var_params_39_, 3);
  sourceObject = obj1939;
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj1939, *var_body_39_, 4);
  sourceObject = obj1939;
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2387 = alloc_Boolean(1);
// compiled identifier node returning bool2387 (depth = 3)
  adddatum2(obj1939, bool2387, 5);
  sourceObject = obj1939;
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2388 = alloc_Boolean(0);
// compiled identifier node returning bool2388 (depth = 3)
  adddatum2(obj1939, bool2388, 6);
  sourceObject = obj1939;
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2389 = alloc_Boolean(0);
// compiled identifier node returning bool2389 (depth = 3)
  adddatum2(obj1939, bool2389, 7);
  sourceObject = obj1939;
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2390 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 4)
  Object block2391 = alloc_Block(NULL, NULL, "ast", 431);
  gc_frame_newslot(block2391);
// method "_apply(_)"
  block_savedest(block2391);
  Object closure2392 = createclosure(3, "_apply(1)");
  setclosureframe(closure2392, stackframe);
  addtoclosure(closure2392, var_patternMarkVisitor);
  addtoclosure(closure2392, var_ancestorChain);
  addtoclosure(closure2392, selfslot);
  struct UserObject *uo2392 = (struct UserObject*)block2391;
  uo2392->data[0] = (Object)closure2392;
  Method *meth_meth_ast_2392__apply_40_1_41_ = addmethod2pos(block2391, "_apply(1)", &meth_ast_2392__apply_40_1_41_, 0);
  int argcv_meth_ast_2392__apply_40_1_41_[] = {1};
  meth_meth_ast_2392__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2392__apply_40_1_41_);
  meth_meth_ast_2392__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2392__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2391 (depth = 4)
  gc_frame_newslot(block2391);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block2391;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2398 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compiled call node returning call2398 (depth = 3)
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  objclass1939 = obj1939->class;
  objclass1939->definitionModule = modulename;
  objclass1939->definitionLine = 422;
  (*(struct UserObject *)self).data[0] = lowerouter1939;
  self = oldself1939;
  selfslot = oldselfslot1939;
  stackframe = oldstackframe1939;
  gc_frame_end(frame);
  return obj1939;
}
Object meth_ast_1938_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_blockNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  Object *var_ancestorChain = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1939 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1939 = alloc_userobj2(29,26, objclass1939);
  gc_frame_newslot(obj1939);
  if (objclass1939 == NULL) {
    glfree(obj1939->class->name);
    obj1939->class->name = "blockNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1939, self, 0);
  addmethodreal(obj1939,"outer", &reader_ast_outer_1940);
  Object oldself1939 = self;
  struct StackFrameObject *oldstackframe1939 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1939);
  gc_frame_newslot((Object)stackframe);
  self = obj1939;
  Object *oldselfslot1939 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1939 = (*(struct UserObject *)self).data[0], lowerouter1939 = thisouter1939;
  if (inheritingObject1939) {
    struct UserObject *inho1939 = (struct UserObject *)inheritingObject1939;
    while (inho1939->super != GraceDefaultObject) inho1939 = (struct UserObject *)inho1939->super;
    inho1939->super = obj1939;
    self = inheritingObject1939;
    *selfslot = self;
    lowerouter1939 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1939;
  }
  if (objclass1939 == NULL) {
  Method *reader1941 = addmethodrealflags(obj1939, "kind",&reader_ast_kind_1941, MFLAG_DEF);
  reader1941->definitionModule = modulename;
  reader1941->definitionLine = 424;
  }
  adddatum2(obj1939, alloc_Undefined(), 1);
  if (objclass1939 == NULL) {
  Method *reader1942 = addmethodrealflags(obj1939, "value",&reader_ast_value_1942, MFLAG_DEF);
  reader1942->definitionModule = modulename;
  reader1942->definitionLine = 425;
  }
  adddatum2(obj1939, alloc_Undefined(), 2);
  if (objclass1939 == NULL) {
    Method *reader1943 = addmethodrealflags(obj1939, "params", &reader_ast_params_1943, 0);
    Method *writer1943 = addmethodrealflags(obj1939, "params:=(1)", &writer_ast_params_1943, 0);
    reader1943->definitionModule = modulename;
    writer1943->definitionModule = modulename;
    reader1943->definitionLine = 426;
    writer1943->definitionLine = 426;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 3);
  if (objclass1939 == NULL) {
    Method *reader1944 = addmethodrealflags(obj1939, "body", &reader_ast_body_1944, 0);
    Method *writer1944 = addmethodrealflags(obj1939, "body:=(1)", &writer_ast_body_1944, 0);
    reader1944->definitionModule = modulename;
    writer1944->definitionModule = modulename;
    reader1944->definitionLine = 427;
    writer1944->definitionLine = 427;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 4);
  if (objclass1939 == NULL) {
  Method *reader1945 = addmethodrealflags(obj1939, "selfclosure",&reader_ast_selfclosure_1945, MFLAG_DEF);
  reader1945->definitionModule = modulename;
  reader1945->definitionLine = 428;
  }
  adddatum2(obj1939, alloc_Undefined(), 5);
  if (objclass1939 == NULL) {
    Method *reader1946 = addmethodrealflags(obj1939, "matchingPattern", &reader_ast_matchingPattern_1946, 0);
    Method *writer1946 = addmethodrealflags(obj1939, "matchingPattern:=(1)", &writer_ast_matchingPattern_1946, 0);
    reader1946->definitionModule = modulename;
    writer1946->definitionModule = modulename;
    reader1946->definitionLine = 429;
    writer1946->definitionLine = 429;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 6);
  if (objclass1939 == NULL) {
    Method *reader1947 = addmethodrealflags(obj1939, "extraRuntimeData", &reader_ast_extraRuntimeData_1947, 0);
    Method *writer1947 = addmethodrealflags(obj1939, "extraRuntimeData:=(1)", &writer_ast_extraRuntimeData_1947, 0);
    reader1947->definitionModule = modulename;
    writer1947->definitionModule = modulename;
    reader1947->definitionLine = 430;
    writer1947->definitionLine = 430;
  }
  obj1939->flags |= OFLAG_MUTABLE;
  adddatum2(obj1939, alloc_Undefined(), 7);
// method "isBlock"
  struct UserObject *uo1948 = (struct UserObject*)obj1939;
  uo1948->data[8] = emptyclosure;
  Method *meth_meth_ast_1948_isBlock = addmethod2pos(obj1939, "isBlock", &meth_ast_1948_isBlock, 8);
  int argcv_meth_ast_1948_isBlock[] = {0};
  meth_meth_ast_1948_isBlock->type = alloc_MethodType(1, argcv_meth_ast_1948_isBlock);
  meth_meth_ast_1948_isBlock->definitionModule = modulename;
  meth_meth_ast_1948_isBlock->definitionLine = 434;
// method "isDelimited"
  struct UserObject *uo1950 = (struct UserObject*)obj1939;
  uo1950->data[9] = emptyclosure;
  Method *meth_meth_ast_1950_isDelimited = addmethod2pos(obj1939, "isDelimited", &meth_ast_1950_isDelimited, 9);
  int argcv_meth_ast_1950_isDelimited[] = {0};
  meth_meth_ast_1950_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_1950_isDelimited);
  meth_meth_ast_1950_isDelimited->definitionModule = modulename;
  meth_meth_ast_1950_isDelimited->definitionLine = 435;
// method "isEmpty"
  struct UserObject *uo1952 = (struct UserObject*)obj1939;
  uo1952->data[10] = emptyclosure;
  Method *meth_meth_ast_1952_isEmpty = addmethod2pos(obj1939, "isEmpty", &meth_ast_1952_isEmpty, 10);
  int argcv_meth_ast_1952_isEmpty[] = {0};
  meth_meth_ast_1952_isEmpty->type = alloc_MethodType(1, argcv_meth_ast_1952_isEmpty);
  meth_meth_ast_1952_isEmpty->definitionModule = modulename;
  meth_meth_ast_1952_isEmpty->definitionLine = 436;
// method "isntEmpty"
  struct UserObject *uo1961 = (struct UserObject*)obj1939;
  uo1961->data[11] = emptyclosure;
  Method *meth_meth_ast_1961_isntEmpty = addmethod2pos(obj1939, "isntEmpty", &meth_ast_1961_isntEmpty, 11);
  int argcv_meth_ast_1961_isntEmpty[] = {0};
  meth_meth_ast_1961_isntEmpty->type = alloc_MethodType(1, argcv_meth_ast_1961_isntEmpty);
  meth_meth_ast_1961_isntEmpty->definitionModule = modulename;
  meth_meth_ast_1961_isntEmpty->definitionLine = 437;
// method "scope:=(_)"
  struct UserObject *uo1970 = (struct UserObject*)obj1939;
  uo1970->data[12] = emptyclosure;
  Method *meth_meth_ast_1970_scope_58__61__40_1_41_ = addmethod2pos(obj1939, "scope:=(1)", &meth_ast_1970_scope_58__61__40_1_41_, 12);
  int argcv_meth_ast_1970_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_1970_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1970_scope_58__61__40_1_41_);
  meth_meth_ast_1970_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_1970_scope_58__61__40_1_41_->definitionLine = 438;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj1939);
  Object closure1975 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure1975, stackframe);
  addtoclosure(closure1975, var_k);
  struct UserObject *uo1975 = (struct UserObject*)obj1939;
  uo1975->data[13] = (Object)closure1975;
  Method *meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj1939, "declarationKindWithAncestors(1)", &meth_ast_1975_declarationKindWithAncestors_40_1_41_, 13);
  int argcv_meth_ast_1975_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1975_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1975_declarationKindWithAncestors_40_1_41_->definitionLine = 444;
// method "isMatchingBlock"
  struct UserObject *uo1978 = (struct UserObject*)obj1939;
  uo1978->data[14] = emptyclosure;
  Method *meth_meth_ast_1978_isMatchingBlock = addmethod2pos(obj1939, "isMatchingBlock", &meth_ast_1978_isMatchingBlock, 14);
  int argcv_meth_ast_1978_isMatchingBlock[] = {0};
  meth_meth_ast_1978_isMatchingBlock->type = alloc_MethodType(1, argcv_meth_ast_1978_isMatchingBlock);
  meth_meth_ast_1978_isMatchingBlock->definitionModule = modulename;
  meth_meth_ast_1978_isMatchingBlock->definitionLine = 445;
// method "returnsObject"
  struct UserObject *uo1987 = (struct UserObject*)obj1939;
  uo1987->data[15] = emptyclosure;
  Method *meth_meth_ast_1987_returnsObject = addmethod2pos(obj1939, "returnsObject", &meth_ast_1987_returnsObject, 15);
  int argcv_meth_ast_1987_returnsObject[] = {0};
  meth_meth_ast_1987_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_1987_returnsObject);
  meth_meth_ast_1987_returnsObject->definitionModule = modulename;
  meth_meth_ast_1987_returnsObject->definitionLine = 446;
// method "returnedObjectScope"
  struct UserObject *uo2008 = (struct UserObject*)obj1939;
  uo2008->data[16] = emptyclosure;
  Method *meth_meth_ast_2008_returnedObjectScope = addmethod2pos(obj1939, "returnedObjectScope", &meth_ast_2008_returnedObjectScope, 16);
  int argcv_meth_ast_2008_returnedObjectScope[] = {0};
  meth_meth_ast_2008_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_2008_returnedObjectScope);
  meth_meth_ast_2008_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_2008_returnedObjectScope->definitionLine = 449;
// method "parametersDo(_)"
  struct UserObject *uo2015 = (struct UserObject*)obj1939;
  uo2015->data[17] = emptyclosure;
  Method *meth_meth_ast_2015_parametersDo_40_1_41_ = addmethod2pos(obj1939, "parametersDo(1)", &meth_ast_2015_parametersDo_40_1_41_, 17);
  int argcv_meth_ast_2015_parametersDo_40_1_41_[] = {1};
  meth_meth_ast_2015_parametersDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2015_parametersDo_40_1_41_);
  meth_meth_ast_2015_parametersDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2015_parametersDo_40_1_41_->definitionLine = 453;
// method "end"
  struct UserObject *uo2020 = (struct UserObject*)obj1939;
  uo2020->data[18] = emptyclosure;
  Method *meth_meth_ast_2020_end = addmethod2pos(obj1939, "end", &meth_ast_2020_end, 18);
  int argcv_meth_ast_2020_end[] = {0};
  meth_meth_ast_2020_end->type = alloc_MethodType(1, argcv_meth_ast_2020_end);
  meth_meth_ast_2020_end->definitionModule = modulename;
  meth_meth_ast_2020_end->definitionLine = 456;
// method "accept(_)from(_)"
  struct UserObject *uo2055 = (struct UserObject*)obj1939;
  uo2055->data[19] = emptyclosure;
  Method *meth_meth_ast_2055_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj1939, "accept(1)from(1)", &meth_ast_2055_accept_40_1_41_from_40_1_41_, 19);
  int argcv_meth_ast_2055_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_2055_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2055_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_2055_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2055_accept_40_1_41_from_40_1_41_->definitionLine = 464;
// method "map(_)ancestors(_)"
  struct UserObject *uo2090 = (struct UserObject*)obj1939;
  uo2090->data[20] = emptyclosure;
  Method *meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj1939, "map(1)ancestors(1)", &meth_ast_2090_map_40_1_41_ancestors_40_1_41_, 20);
  int argcv_meth_ast_2090_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2090_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2090_map_40_1_41_ancestors_40_1_41_->definitionLine = 478;
// method "pretty(_)"
  struct UserObject *uo2115 = (struct UserObject*)obj1939;
  uo2115->data[21] = emptyclosure;
  Method *meth_meth_ast_2115_pretty_40_1_41_ = addmethod2pos(obj1939, "pretty(1)", &meth_ast_2115_pretty_40_1_41_, 21);
  int argcv_meth_ast_2115_pretty_40_1_41_[] = {1};
  meth_meth_ast_2115_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2115_pretty_40_1_41_);
  meth_meth_ast_2115_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2115_pretty_40_1_41_->definitionLine = 486;
// method "toGrace(_)"
  struct UserObject *uo2238 = (struct UserObject*)obj1939;
  uo2238->data[22] = emptyclosure;
  Method *meth_meth_ast_2238_toGrace_40_1_41_ = addmethod2pos(obj1939, "toGrace(1)", &meth_ast_2238_toGrace_40_1_41_, 22);
  int argcv_meth_ast_2238_toGrace_40_1_41_[] = {1};
  meth_meth_ast_2238_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2238_toGrace_40_1_41_);
meth_meth_ast_2238_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_2238_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_2238_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2238_toGrace_40_1_41_->definitionLine = 505;
// method "shallowCopy"
  block_savedest(obj1939);
  Object closure2365 = createclosure(1, "shallowCopy");
  setclosureframe(closure2365, stackframe);
  addtoclosure(closure2365, var_blockNode);
  struct UserObject *uo2365 = (struct UserObject*)obj1939;
  uo2365->data[23] = (Object)closure2365;
  Method *meth_meth_ast_2365_shallowCopy = addmethod2pos(obj1939, "shallowCopy", &meth_ast_2365_shallowCopy, 23);
  int argcv_meth_ast_2365_shallowCopy[] = {0};
  meth_meth_ast_2365_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_2365_shallowCopy);
  meth_meth_ast_2365_shallowCopy->definitionModule = modulename;
  meth_meth_ast_2365_shallowCopy->definitionLine = 531;
// method "postCopy(_)"
  struct UserObject *uo2374 = (struct UserObject*)obj1939;
  uo2374->data[24] = emptyclosure;
  Method *meth_meth_ast_2374_postCopy_40_1_41_ = addmethod2pos(obj1939, "postCopy(1)", &meth_ast_2374_postCopy_40_1_41_, 24);
  int argcv_meth_ast_2374_postCopy_40_1_41_[] = {1};
  meth_meth_ast_2374_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2374_postCopy_40_1_41_);
  meth_meth_ast_2374_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2374_postCopy_40_1_41_->definitionLine = 534;
  sourceObject = obj1939;
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2383 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2384 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2383);
// compiled call node returning call2384 (depth = 3)
  struct UserObject *obj1939_uo = (struct UserObject *)obj1939;
  obj1939_uo->super = call2384;
  sourceObject = obj1939;
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2385 == NULL) {
    strlit2385 = alloc_String("block");
    gc_root(strlit2385);
  }
// compiled string node returning strlit2385 (depth = 3)
  adddatum2(obj1939, strlit2385, 1);
  sourceObject = obj1939;
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2386 == NULL) {
    strlit2386 = alloc_String("block");
    gc_root(strlit2386);
  }
// compiled string node returning strlit2386 (depth = 3)
  adddatum2(obj1939, strlit2386, 2);
  sourceObject = obj1939;
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj1939, *var_params_39_, 3);
  sourceObject = obj1939;
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj1939, *var_body_39_, 4);
  sourceObject = obj1939;
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2387 = alloc_Boolean(1);
// compiled identifier node returning bool2387 (depth = 3)
  adddatum2(obj1939, bool2387, 5);
  sourceObject = obj1939;
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2388 = alloc_Boolean(0);
// compiled identifier node returning bool2388 (depth = 3)
  adddatum2(obj1939, bool2388, 6);
  sourceObject = obj1939;
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2389 = alloc_Boolean(0);
// compiled identifier node returning bool2389 (depth = 3)
  adddatum2(obj1939, bool2389, 7);
  sourceObject = obj1939;
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2390 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 4)
  Object block2391 = alloc_Block(NULL, NULL, "ast", 431);
  gc_frame_newslot(block2391);
// method "_apply(_)"
  block_savedest(block2391);
  Object closure2392 = createclosure(3, "_apply(1)");
  setclosureframe(closure2392, stackframe);
  addtoclosure(closure2392, var_patternMarkVisitor);
  addtoclosure(closure2392, var_ancestorChain);
  addtoclosure(closure2392, selfslot);
  struct UserObject *uo2392 = (struct UserObject*)block2391;
  uo2392->data[0] = (Object)closure2392;
  Method *meth_meth_ast_2392__apply_40_1_41_ = addmethod2pos(block2391, "_apply(1)", &meth_ast_2392__apply_40_1_41_, 0);
  int argcv_meth_ast_2392__apply_40_1_41_[] = {1};
  meth_meth_ast_2392__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2392__apply_40_1_41_);
  meth_meth_ast_2392__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2392__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2391 (depth = 4)
  gc_frame_newslot(block2391);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block2391;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2398 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compiled call node returning call2398 (depth = 3)
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  sourceObject = obj1939;
  objclass1939 = obj1939->class;
  objclass1939->definitionModule = modulename;
  objclass1939->definitionLine = 422;
  (*(struct UserObject *)self).data[0] = lowerouter1939;
  self = oldself1939;
  selfslot = oldselfslot1939;
  stackframe = oldstackframe1939;
  gc_frame_end(frame);
  return obj1939;
}
Object meth_ast_2400_blockNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blockNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blockNode (depth = 3)
  gc_frame_end(frame);
  return *var_blockNode;
}
Object meth_ast_2410_isSimple(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2411 = alloc_Boolean(0);
// compiled identifier node returning bool2411 (depth = 3)
  gc_frame_end(frame);
  return bool2411;
}
Object meth_ast_2412_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2415 = gc_frame_new();
// call case 4: self request
  Object call2416 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2415);
// compiled member node returning call2416 (depth = 5)
  int op_slot_right_2414 = gc_frame_newslot(call2416);
// starting to compile identifier node (depth = 5)
  Object bool2418 = alloc_Boolean(0);
// compiled identifier node returning bool2418 (depth = 5)
  int op_slot_left_2414 = gc_frame_newslot(bool2418);
  params[0] = call2416;
  partcv[0] = 1;
  Object opresult2419 = callmethod(bool2418, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2419 (depth = 4)
  Object if2413 = done;
  if (istrue(opresult2419)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2420 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2421 = gc_frame_new();
// call case 4: self request
  Object call2422 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2421);
// compiled member node returning call2422 (depth = 6)
  Object call2423 = callmethodflags(call2422, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2420);
// compiled member node returning call2423 (depth = 5)
  return call2423;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if2413 = undefined;
  } else {
  }
// compiled if node returning if2413 (depth = 3)
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2425 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2426 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2427 = gc_frame_new();
// call case 4: self request
  Object call2428 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2427);
// compiled member node returning call2428 (depth = 6)
  Object call2429 = callmethodflags(call2428, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe2426);
// compiled member node returning call2429 (depth = 5)
  Object call2430 = callmethodflags(call2429, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2425);
// compiled member node returning call2430 (depth = 4)
  Object if2424 = done;
  if (istrue(call2430)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2431 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2432 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2433 = gc_frame_new();
// call case 4: self request
  Object call2434 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2433);
// compiled member node returning call2434 (depth = 7)
  Object call2435 = callmethodflags(call2434, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2432);
// compiled member node returning call2435 (depth = 6)
  Object call2436 = callmethodflags(call2435, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2431);
// compiled member node returning call2436 (depth = 5)
  return call2436;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if2424 = undefined;
  } else {
  }
// compiled if node returning if2424 (depth = 3)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2437 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2438 = gc_frame_new();
// call case 4: self request
  Object call2439 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2438);
// compiled member node returning call2439 (depth = 5)
  Object call2440 = callmethodflags(call2439, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2437);
// compiled member node returning call2440 (depth = 4)
  return call2440;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_2455__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2456 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2457 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2456);
// compiled call node returning call2457 (depth = 6)
  gc_frame_end(frame);
  return call2457;
}
Object meth_ast_2441_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2443 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2444 = callmethodflags(*var_visitor, "visitTryCatch(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2443);
// compiled call node returning call2444 (depth = 4)
  Object if2442 = done;
  if (istrue(call2444)) {
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2445 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2446 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2445);
// compiled call node returning call2446 (depth = 5)
  *var_newChain = call2446;
  if (call2446 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2447 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2448 = gc_frame_new();
// call case 4: self request
  Object call2449 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2448);
// compiled member node returning call2449 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2450 = callmethodflags(call2449, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2447);
// compiled call node returning call2450 (depth = 4)
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2451 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2452 = gc_frame_new();
// call case 4: self request
  Object call2453 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2452);
// compiled member node returning call2453 (depth = 5)
  gc_frame_newslot(call2453);
// starting to compile block node (depth = 5)
  Object block2454 = alloc_Block(NULL, NULL, "ast", 558);
  gc_frame_newslot(block2454);
// method "_apply(_)"
  block_savedest(block2454);
  Object closure2455 = createclosure(3, "_apply(1)");
  setclosureframe(closure2455, stackframe);
  addtoclosure(closure2455, var_visitor);
  addtoclosure(closure2455, var_newChain);
  addtoclosure(closure2455, selfslot);
  struct UserObject *uo2455 = (struct UserObject*)block2454;
  uo2455->data[0] = (Object)closure2455;
  Method *meth_meth_ast_2455__apply_40_1_41_ = addmethod2pos(block2454, "_apply(1)", &meth_ast_2455__apply_40_1_41_, 0);
  int argcv_meth_ast_2455__apply_40_1_41_[] = {1};
  meth_meth_ast_2455__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2455__apply_40_1_41_);
  meth_meth_ast_2455__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2455__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2454 (depth = 5)
  gc_frame_newslot(block2454);
// call case 5: prelude request
  params[0] = call2453;
  params[1] = block2454;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2459 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2451);
// compiled call node returning call2459 (depth = 4)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2462 = gc_frame_new();
// call case 4: self request
  Object call2463 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2462);
// compiled member node returning call2463 (depth = 6)
  int op_slot_right_2461 = gc_frame_newslot(call2463);
// starting to compile identifier node (depth = 6)
  Object bool2465 = alloc_Boolean(0);
// compiled identifier node returning bool2465 (depth = 6)
  int op_slot_left_2461 = gc_frame_newslot(bool2465);
  params[0] = call2463;
  partcv[0] = 1;
  Object opresult2466 = callmethod(bool2465, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2466 (depth = 5)
  Object if2460 = done;
  if (istrue(opresult2466)) {
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2467 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2468 = gc_frame_new();
// call case 4: self request
  Object call2469 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2468);
// compiled member node returning call2469 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2470 = callmethodflags(call2469, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2467);
// compiled call node returning call2470 (depth = 5)
    gc_frame_newslot(call2470);
    if2460 = call2470;
  } else {
  }
// compiled if node returning if2460 (depth = 4)
    gc_frame_newslot(if2460);
    if2442 = if2460;
  } else {
  }
// compiled if node returning if2442 (depth = 3)
  gc_frame_end(frame);
  return if2442;
}
Object meth_ast_2471_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2472 = gc_frame_new();
// call case 4: self request
  Object call2473 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2472);
// compiled member node returning call2473 (depth = 4)
  *var_n = call2473;
  if (call2473 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2474 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2475 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2474);
// compiled call node returning call2475 (depth = 4)
  *var_newChain = call2475;
  if (call2475 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2476 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2477 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2478 = gc_frame_new();
// call case 4: self request
  Object call2479 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2478);
// compiled member node returning call2479 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2480 = callmethodflags(call2479, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2477);
// compiled call node returning call2480 (depth = 4)
  gc_frame_newslot(call2480);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2480;
  partcv[0] = 1;
  Object call2481 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2476);
// compiled call node returning call2481 (depth = 3)
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2482 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2483 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2484 = gc_frame_new();
// call case 4: self request
  Object call2485 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2484);
// compiled member node returning call2485 (depth = 5)
  gc_frame_newslot(call2485);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call2485;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2486 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2483);
// compiled call node returning call2486 (depth = 4)
  gc_frame_newslot(call2486);
// call case 6: other requests
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2486;
  partcv[0] = 1;
  Object call2487 = callmethodflags(*var_n, "cases:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2482);
// compiled call node returning call2487 (depth = 3)
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2488 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2489 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2490 = gc_frame_new();
// call case 4: self request
  Object call2491 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2490);
// compiled member node returning call2491 (depth = 5)
  gc_frame_newslot(call2491);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call2491;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2492 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2489);
// compiled call node returning call2492 (depth = 4)
  gc_frame_newslot(call2492);
// call case 6: other requests
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2492;
  partcv[0] = 1;
  Object call2493 = callmethodflags(*var_n, "finally:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2488);
// compiled call node returning call2493 (depth = 3)
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2494 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2495 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2494);
// compiled call node returning call2495 (depth = 3)
  gc_frame_end(frame);
  return call2495;
}
Object meth_ast_2534__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2537 == NULL) {
    strlit2537 = alloc_String("");
    gc_root(strlit2537);
  }
// compiled string node returning strlit2537 (depth = 8)
  int op_slot_right_2536 = gc_frame_newslot(strlit2537);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2540 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2542 = alloc_Float64(2);
// compiled num node returning num2542 (depth = 11)
  int op_slot_right_2541 = gc_frame_newslot(num2542);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2541 = gc_frame_newslot(*var_depth);
  params[0] = num2542;
  partcv[0] = 1;
  Object sum2544 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2544 (depth = 10)
  gc_frame_newslot(sum2544);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mx (depth = 10)
  params[0] = sum2544;
  partcv[0] = 1;
  Object call2545 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2540);
// compiled call node returning call2545 (depth = 9)
  int op_slot_right_2539 = gc_frame_newslot(call2545);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2548 == NULL) {
    strlit2548 = alloc_String("  ");
    gc_root(strlit2548);
  }
// compiled string node returning strlit2548 (depth = 10)
  int op_slot_right_2547 = gc_frame_newslot(strlit2548);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2550 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2553 == NULL) {
    strlit2553 = alloc_String("Case:""\x0a""");
    gc_root(strlit2553);
  }
// compiled string node returning strlit2553 (depth = 12)
  int op_slot_right_2552 = gc_frame_newslot(strlit2553);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_2555 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit2557 == NULL) {
    strlit2557 = alloc_String("""\x0a""");
    gc_root(strlit2557);
  }
// compiled string node returning strlit2557 (depth = 13)
  int op_slot_left_2555 = gc_frame_newslot(strlit2557);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2558 = callmethod(strlit2557, "++(1)", 1, partcv, params);
// compiled op node returning opresult2558 (depth = 12)
  int op_slot_left_2552 = gc_frame_newslot(opresult2558);
  params[0] = strlit2553;
  partcv[0] = 1;
  Object opresult2559 = callmethod(opresult2558, "++(1)", 1, partcv, params);
// compiled op node returning opresult2559 (depth = 11)
  int op_slot_left_2550 = gc_frame_newslot(opresult2559);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2560 = callmethod(opresult2559, "++(1)", 1, partcv, params);
// compiled op node returning opresult2560 (depth = 10)
  int op_slot_left_2547 = gc_frame_newslot(opresult2560);
  params[0] = strlit2548;
  partcv[0] = 1;
  Object opresult2561 = callmethod(opresult2560, "++(1)", 1, partcv, params);
// compiled op node returning opresult2561 (depth = 9)
  int op_slot_left_2539 = gc_frame_newslot(opresult2561);
  params[0] = call2545;
  partcv[0] = 1;
  Object opresult2562 = callmethod(opresult2561, "++(1)", 1, partcv, params);
// compiled op node returning opresult2562 (depth = 8)
  int op_slot_left_2536 = gc_frame_newslot(opresult2562);
  params[0] = strlit2537;
  partcv[0] = 1;
  Object opresult2563 = callmethod(opresult2562, "++(1)", 1, partcv, params);
// compiled op node returning opresult2563 (depth = 7)
  int op_slot_right_2535 = gc_frame_newslot(opresult2563);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2535 = gc_frame_newslot(*var_s);
  params[0] = opresult2563;
  partcv[0] = 1;
  Object opresult2565 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2565 (depth = 6)
  *var_s = opresult2565;
  if (opresult2565 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2496_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2499 = alloc_Float64(1);
// compiled num node returning num2499 (depth = 6)
  int op_slot_right_2498 = gc_frame_newslot(num2499);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2498 = gc_frame_newslot(*var_depth);
  params[0] = num2499;
  partcv[0] = 1;
  Object sum2501 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2501 (depth = 5)
  int op_slot_right_2497 = gc_frame_newslot(sum2501);
// starting to compile string node (depth = 5)
  if (strlit2503 == NULL) {
    strlit2503 = alloc_String("  ");
    gc_root(strlit2503);
  }
// compiled string node returning strlit2503 (depth = 5)
  int op_slot_left_2497 = gc_frame_newslot(strlit2503);
  params[0] = sum2501;
  partcv[0] = 1;
  Object prod2504 = callmethod(strlit2503, "*(1)", 1, partcv, params);
// compiled op node returning prod2504 (depth = 4)
  *var_spc = prod2504;
  if (prod2504 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2506 == NULL) {
    strlit2506 = alloc_String("""\x0a""");
    gc_root(strlit2506);
  }
// compiled string node returning strlit2506 (depth = 5)
  int op_slot_right_2505 = gc_frame_newslot(strlit2506);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2509 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2510 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2509);
// compiled call node returning call2510 (depth = 6)
  int op_slot_right_2508 = gc_frame_newslot(call2510);
// starting to compile string node (depth = 6)
  if (strlit2512 == NULL) {
    strlit2512 = alloc_String("");
    gc_root(strlit2512);
  }
// compiled string node returning strlit2512 (depth = 6)
  int op_slot_left_2508 = gc_frame_newslot(strlit2512);
  params[0] = call2510;
  partcv[0] = 1;
  Object opresult2513 = callmethod(strlit2512, "++(1)", 1, partcv, params);
// compiled op node returning opresult2513 (depth = 5)
  int op_slot_left_2505 = gc_frame_newslot(opresult2513);
  params[0] = strlit2506;
  partcv[0] = 1;
  Object opresult2514 = callmethod(opresult2513, "++(1)", 1, partcv, params);
// compiled op node returning opresult2514 (depth = 4)
  *var_s = opresult2514;
  if (opresult2514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2516 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2518 = alloc_Float64(2);
// compiled num node returning num2518 (depth = 7)
  int op_slot_right_2517 = gc_frame_newslot(num2518);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2517 = gc_frame_newslot(*var_depth);
  params[0] = num2518;
  partcv[0] = 1;
  Object sum2520 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2520 (depth = 6)
  gc_frame_newslot(sum2520);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2521 = gc_frame_new();
// call case 4: self request
  Object call2522 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2521);
// compiled member node returning call2522 (depth = 6)
  params[0] = sum2520;
  partcv[0] = 1;
  Object call2523 = callmethodflags(call2522, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2516);
// compiled call node returning call2523 (depth = 5)
  int op_slot_right_2515 = gc_frame_newslot(call2523);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2525 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2525 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2527 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2527 (depth = 5)
  int op_slot_left_2515 = gc_frame_newslot(opresult2527);
  params[0] = call2523;
  partcv[0] = 1;
  Object opresult2528 = callmethod(opresult2527, "++(1)", 1, partcv, params);
// compiled op node returning opresult2528 (depth = 4)
  *var_s = opresult2528;
  if (opresult2528 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2530 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2531 = gc_frame_new();
// call case 4: self request
  Object call2532 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2531);
// compiled member node returning call2532 (depth = 4)
  gc_frame_newslot(call2532);
// starting to compile block node (depth = 4)
  Object block2533 = alloc_Block(NULL, NULL, "ast", 578);
  gc_frame_newslot(block2533);
// method "_apply(_)"
  block_savedest(block2533);
  Object closure2534 = createclosure(4, "_apply(1)");
  setclosureframe(closure2534, stackframe);
  addtoclosure(closure2534, var_depth);
  addtoclosure(closure2534, var_spc);
  addtoclosure(closure2534, var_s);
  addtoclosure(closure2534, selfslot);
  struct UserObject *uo2534 = (struct UserObject*)block2533;
  uo2534->data[0] = (Object)closure2534;
  Method *meth_meth_ast_2534__apply_40_1_41_ = addmethod2pos(block2533, "_apply(1)", &meth_ast_2534__apply_40_1_41_, 0);
  int argcv_meth_ast_2534__apply_40_1_41_[] = {1};
  meth_meth_ast_2534__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2534__apply_40_1_41_);
  meth_meth_ast_2534__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2534__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2533 (depth = 4)
  gc_frame_newslot(block2533);
// call case 5: prelude request
  params[0] = call2532;
  params[1] = block2533;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2568 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2530);
// compiled call node returning call2568 (depth = 3)
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2571 = gc_frame_new();
// call case 4: self request
  Object call2572 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2571);
// compiled member node returning call2572 (depth = 5)
  int op_slot_right_2570 = gc_frame_newslot(call2572);
// starting to compile identifier node (depth = 5)
  Object bool2574 = alloc_Boolean(0);
// compiled identifier node returning bool2574 (depth = 5)
  int op_slot_left_2570 = gc_frame_newslot(bool2574);
  params[0] = call2572;
  partcv[0] = 1;
  Object opresult2575 = callmethod(bool2574, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2575 (depth = 4)
  Object if2569 = done;
  if (istrue(opresult2575)) {
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2578 == NULL) {
    strlit2578 = alloc_String("");
    gc_root(strlit2578);
  }
// compiled string node returning strlit2578 (depth = 7)
  int op_slot_right_2577 = gc_frame_newslot(strlit2578);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2581 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2583 = alloc_Float64(2);
// compiled num node returning num2583 (depth = 10)
  int op_slot_right_2582 = gc_frame_newslot(num2583);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2582 = gc_frame_newslot(*var_depth);
  params[0] = num2583;
  partcv[0] = 1;
  Object sum2585 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2585 (depth = 9)
  gc_frame_newslot(sum2585);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2586 = gc_frame_new();
// call case 4: self request
  Object call2587 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2586);
// compiled member node returning call2587 (depth = 9)
  params[0] = sum2585;
  partcv[0] = 1;
  Object call2588 = callmethodflags(call2587, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2581);
// compiled call node returning call2588 (depth = 8)
  int op_slot_right_2580 = gc_frame_newslot(call2588);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2591 == NULL) {
    strlit2591 = alloc_String("  ");
    gc_root(strlit2591);
  }
// compiled string node returning strlit2591 (depth = 9)
  int op_slot_right_2590 = gc_frame_newslot(strlit2591);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2593 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2596 == NULL) {
    strlit2596 = alloc_String("Finally:""\x0a""");
    gc_root(strlit2596);
  }
// compiled string node returning strlit2596 (depth = 11)
  int op_slot_right_2595 = gc_frame_newslot(strlit2596);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2598 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 12)
  if (strlit2600 == NULL) {
    strlit2600 = alloc_String("""\x0a""");
    gc_root(strlit2600);
  }
// compiled string node returning strlit2600 (depth = 12)
  int op_slot_left_2598 = gc_frame_newslot(strlit2600);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2601 = callmethod(strlit2600, "++(1)", 1, partcv, params);
// compiled op node returning opresult2601 (depth = 11)
  int op_slot_left_2595 = gc_frame_newslot(opresult2601);
  params[0] = strlit2596;
  partcv[0] = 1;
  Object opresult2602 = callmethod(opresult2601, "++(1)", 1, partcv, params);
// compiled op node returning opresult2602 (depth = 10)
  int op_slot_left_2593 = gc_frame_newslot(opresult2602);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2603 = callmethod(opresult2602, "++(1)", 1, partcv, params);
// compiled op node returning opresult2603 (depth = 9)
  int op_slot_left_2590 = gc_frame_newslot(opresult2603);
  params[0] = strlit2591;
  partcv[0] = 1;
  Object opresult2604 = callmethod(opresult2603, "++(1)", 1, partcv, params);
// compiled op node returning opresult2604 (depth = 8)
  int op_slot_left_2580 = gc_frame_newslot(opresult2604);
  params[0] = call2588;
  partcv[0] = 1;
  Object opresult2605 = callmethod(opresult2604, "++(1)", 1, partcv, params);
// compiled op node returning opresult2605 (depth = 7)
  int op_slot_left_2577 = gc_frame_newslot(opresult2605);
  params[0] = strlit2578;
  partcv[0] = 1;
  Object opresult2606 = callmethod(opresult2605, "++(1)", 1, partcv, params);
// compiled op node returning opresult2606 (depth = 6)
  int op_slot_right_2576 = gc_frame_newslot(opresult2606);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2576 = gc_frame_newslot(*var_s);
  params[0] = opresult2606;
  partcv[0] = 1;
  Object opresult2608 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2608 (depth = 5)
  *var_s = opresult2608;
  if (opresult2608 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2569 = done;
  } else {
  }
// compiled if node returning if2569 (depth = 3)
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_2635__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2637 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2639 = alloc_Float64(1);
// compiled num node returning num2639 (depth = 9)
  int op_slot_right_2638 = gc_frame_newslot(num2639);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2638 = gc_frame_newslot(*var_depth);
  params[0] = num2639;
  partcv[0] = 1;
  Object sum2641 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2641 (depth = 8)
  gc_frame_newslot(sum2641);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_case (depth = 8)
  params[0] = sum2641;
  partcv[0] = 1;
  Object call2642 = callmethodflags(*var_case, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2637);
// compiled call node returning call2642 (depth = 7)
  int op_slot_right_2636 = gc_frame_newslot(call2642);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2645 == NULL) {
    strlit2645 = alloc_String("catch ");
    gc_root(strlit2645);
  }
// compiled string node returning strlit2645 (depth = 8)
  int op_slot_right_2644 = gc_frame_newslot(strlit2645);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2648 == NULL) {
    strlit2648 = alloc_String("    ");
    gc_root(strlit2648);
  }
// compiled string node returning strlit2648 (depth = 9)
  int op_slot_right_2647 = gc_frame_newslot(strlit2648);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2650 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2653 == NULL) {
    strlit2653 = alloc_String("""\x0a""");
    gc_root(strlit2653);
  }
// compiled string node returning strlit2653 (depth = 11)
  int op_slot_right_2652 = gc_frame_newslot(strlit2653);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2652 = gc_frame_newslot(*var_s);
  params[0] = strlit2653;
  partcv[0] = 1;
  Object opresult2655 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2655 (depth = 10)
  int op_slot_left_2650 = gc_frame_newslot(opresult2655);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2656 = callmethod(opresult2655, "++(1)", 1, partcv, params);
// compiled op node returning opresult2656 (depth = 9)
  int op_slot_left_2647 = gc_frame_newslot(opresult2656);
  params[0] = strlit2648;
  partcv[0] = 1;
  Object opresult2657 = callmethod(opresult2656, "++(1)", 1, partcv, params);
// compiled op node returning opresult2657 (depth = 8)
  int op_slot_left_2644 = gc_frame_newslot(opresult2657);
  params[0] = strlit2645;
  partcv[0] = 1;
  Object opresult2658 = callmethod(opresult2657, "++(1)", 1, partcv, params);
// compiled op node returning opresult2658 (depth = 7)
  int op_slot_left_2636 = gc_frame_newslot(opresult2658);
  params[0] = call2642;
  partcv[0] = 1;
  Object opresult2659 = callmethod(opresult2658, "++(1)", 1, partcv, params);
// compiled op node returning opresult2659 (depth = 6)
  *var_s = opresult2659;
  if (opresult2659 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2610_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2611 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit2613 == NULL) {
    strlit2613 = alloc_String("    ");
    gc_root(strlit2613);
  }
// compiled string node returning strlit2613 (depth = 5)
  int op_slot_left_2611 = gc_frame_newslot(strlit2613);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod2614 = callmethod(strlit2613, "*(1)", 1, partcv, params);
// compiled op node returning prod2614 (depth = 4)
  *var_spc = prod2614;
  if (prod2614 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2616 == NULL) {
    strlit2616 = alloc_String(" ");
    gc_root(strlit2616);
  }
// compiled string node returning strlit2616 (depth = 5)
  int op_slot_right_2615 = gc_frame_newslot(strlit2616);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2619 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2621 = alloc_Float64(1);
// compiled num node returning num2621 (depth = 8)
  int op_slot_right_2620 = gc_frame_newslot(num2621);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2620 = gc_frame_newslot(*var_depth);
  params[0] = num2621;
  partcv[0] = 1;
  Object sum2623 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2623 (depth = 7)
  gc_frame_newslot(sum2623);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2624 = gc_frame_new();
// call case 4: self request
  Object call2625 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2624);
// compiled member node returning call2625 (depth = 7)
  params[0] = sum2623;
  partcv[0] = 1;
  Object call2626 = callmethodflags(call2625, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2619);
// compiled call node returning call2626 (depth = 6)
  int op_slot_right_2618 = gc_frame_newslot(call2626);
// starting to compile string node (depth = 6)
  if (strlit2628 == NULL) {
    strlit2628 = alloc_String("try ");
    gc_root(strlit2628);
  }
// compiled string node returning strlit2628 (depth = 6)
  int op_slot_left_2618 = gc_frame_newslot(strlit2628);
  params[0] = call2626;
  partcv[0] = 1;
  Object opresult2629 = callmethod(strlit2628, "++(1)", 1, partcv, params);
// compiled op node returning opresult2629 (depth = 5)
  int op_slot_left_2615 = gc_frame_newslot(opresult2629);
  params[0] = strlit2616;
  partcv[0] = 1;
  Object opresult2630 = callmethod(opresult2629, "++(1)", 1, partcv, params);
// compiled op node returning opresult2630 (depth = 4)
  *var_s = opresult2630;
  if (opresult2630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2631 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2632 = gc_frame_new();
// call case 4: self request
  Object call2633 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2632);
// compiled member node returning call2633 (depth = 4)
  gc_frame_newslot(call2633);
// starting to compile block node (depth = 4)
  Object block2634 = alloc_Block(NULL, NULL, "ast", 589);
  gc_frame_newslot(block2634);
// method "_apply(_)"
  block_savedest(block2634);
  Object closure2635 = createclosure(4, "_apply(1)");
  setclosureframe(closure2635, stackframe);
  addtoclosure(closure2635, var_depth);
  addtoclosure(closure2635, var_spc);
  addtoclosure(closure2635, var_s);
  addtoclosure(closure2635, selfslot);
  struct UserObject *uo2635 = (struct UserObject*)block2634;
  uo2635->data[0] = (Object)closure2635;
  Method *meth_meth_ast_2635__apply_40_1_41_ = addmethod2pos(block2634, "_apply(1)", &meth_ast_2635__apply_40_1_41_, 0);
  int argcv_meth_ast_2635__apply_40_1_41_[] = {1};
  meth_meth_ast_2635__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2635__apply_40_1_41_);
  meth_meth_ast_2635__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2635__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2634 (depth = 4)
  gc_frame_newslot(block2634);
// call case 5: prelude request
  params[0] = call2633;
  params[1] = block2634;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2662 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2631);
// compiled call node returning call2662 (depth = 3)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2665 = gc_frame_new();
// call case 4: self request
  Object call2666 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2665);
// compiled member node returning call2666 (depth = 5)
  int op_slot_right_2664 = gc_frame_newslot(call2666);
// starting to compile identifier node (depth = 5)
  Object bool2668 = alloc_Boolean(0);
// compiled identifier node returning bool2668 (depth = 5)
  int op_slot_left_2664 = gc_frame_newslot(bool2668);
  params[0] = call2666;
  partcv[0] = 1;
  Object opresult2669 = callmethod(bool2668, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2669 (depth = 4)
  Object if2663 = done;
  if (istrue(opresult2669)) {
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2671 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2673 = alloc_Float64(1);
// compiled num node returning num2673 (depth = 8)
  int op_slot_right_2672 = gc_frame_newslot(num2673);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2672 = gc_frame_newslot(*var_depth);
  params[0] = num2673;
  partcv[0] = 1;
  Object sum2675 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2675 (depth = 7)
  gc_frame_newslot(sum2675);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2676 = gc_frame_new();
// call case 4: self request
  Object call2677 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2676);
// compiled member node returning call2677 (depth = 7)
  params[0] = sum2675;
  partcv[0] = 1;
  Object call2678 = callmethodflags(call2677, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2671);
// compiled call node returning call2678 (depth = 6)
  int op_slot_right_2670 = gc_frame_newslot(call2678);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2681 == NULL) {
    strlit2681 = alloc_String("finally ");
    gc_root(strlit2681);
  }
// compiled string node returning strlit2681 (depth = 7)
  int op_slot_right_2680 = gc_frame_newslot(strlit2681);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2684 == NULL) {
    strlit2684 = alloc_String("    ");
    gc_root(strlit2684);
  }
// compiled string node returning strlit2684 (depth = 8)
  int op_slot_right_2683 = gc_frame_newslot(strlit2684);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2686 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2689 == NULL) {
    strlit2689 = alloc_String("""\x0a""");
    gc_root(strlit2689);
  }
// compiled string node returning strlit2689 (depth = 10)
  int op_slot_right_2688 = gc_frame_newslot(strlit2689);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2688 = gc_frame_newslot(*var_s);
  params[0] = strlit2689;
  partcv[0] = 1;
  Object opresult2691 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2691 (depth = 9)
  int op_slot_left_2686 = gc_frame_newslot(opresult2691);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2692 = callmethod(opresult2691, "++(1)", 1, partcv, params);
// compiled op node returning opresult2692 (depth = 8)
  int op_slot_left_2683 = gc_frame_newslot(opresult2692);
  params[0] = strlit2684;
  partcv[0] = 1;
  Object opresult2693 = callmethod(opresult2692, "++(1)", 1, partcv, params);
// compiled op node returning opresult2693 (depth = 7)
  int op_slot_left_2680 = gc_frame_newslot(opresult2693);
  params[0] = strlit2681;
  partcv[0] = 1;
  Object opresult2694 = callmethod(opresult2693, "++(1)", 1, partcv, params);
// compiled op node returning opresult2694 (depth = 6)
  int op_slot_left_2670 = gc_frame_newslot(opresult2694);
  params[0] = call2678;
  partcv[0] = 1;
  Object opresult2695 = callmethod(opresult2694, "++(1)", 1, partcv, params);
// compiled op node returning opresult2695 (depth = 5)
  *var_s = opresult2695;
  if (opresult2695 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2663 = done;
  } else {
  }
// compiled if node returning if2663 (depth = 3)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_2697_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2698 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2699 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool2700 = alloc_Boolean(0);
// compiled identifier node returning bool2700 (depth = 5)
  gc_frame_newslot(bool2700);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tryCatchNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool2700;
  partcv[0] = 3;
  Object call2701 = callmethodflags(*var_tryCatchNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe2699);
// compiled call node returning call2701 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2702 = callmethodflags(call2701, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2698);
// compiled call node returning call2702 (depth = 3)
  gc_frame_end(frame);
  return call2702;
}
Object meth_ast_2403_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2404 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2404 = alloc_userobj2(14,12, objclass2404);
  gc_frame_newslot(obj2404);
  if (objclass2404 == NULL) {
    glfree(obj2404->class->name);
    obj2404->class->name = "tryCatchNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2404, self, 0);
  addmethodreal(obj2404,"outer", &reader_ast_outer_2405);
  Object oldself2404 = self;
  struct StackFrameObject *oldstackframe2404 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2404);
  gc_frame_newslot((Object)stackframe);
  self = obj2404;
  Object *oldselfslot2404 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2404 = (*(struct UserObject *)self).data[0], lowerouter2404 = thisouter2404;
  if (inheritingObject2404) {
    struct UserObject *inho2404 = (struct UserObject *)inheritingObject2404;
    while (inho2404->super != GraceDefaultObject) inho2404 = (struct UserObject *)inho2404->super;
    inho2404->super = obj2404;
    self = inheritingObject2404;
    *selfslot = self;
    lowerouter2404 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2404;
  }
  if (objclass2404 == NULL) {
  Method *reader2406 = addmethodrealflags(obj2404, "kind",&reader_ast_kind_2406, MFLAG_DEF);
  reader2406->definitionModule = modulename;
  reader2406->definitionLine = 544;
  }
  adddatum2(obj2404, alloc_Undefined(), 1);
  if (objclass2404 == NULL) {
    Method *reader2407 = addmethodrealflags(obj2404, "value", &reader_ast_value_2407, 0);
    Method *writer2407 = addmethodrealflags(obj2404, "value:=(1)", &writer_ast_value_2407, 0);
    reader2407->definitionModule = modulename;
    writer2407->definitionModule = modulename;
    reader2407->definitionLine = 545;
    writer2407->definitionLine = 545;
  }
  obj2404->flags |= OFLAG_MUTABLE;
  adddatum2(obj2404, alloc_Undefined(), 2);
  if (objclass2404 == NULL) {
    Method *reader2408 = addmethodrealflags(obj2404, "cases", &reader_ast_cases_2408, 0);
    Method *writer2408 = addmethodrealflags(obj2404, "cases:=(1)", &writer_ast_cases_2408, 0);
    reader2408->definitionModule = modulename;
    writer2408->definitionModule = modulename;
    reader2408->definitionLine = 546;
    writer2408->definitionLine = 546;
  }
  obj2404->flags |= OFLAG_MUTABLE;
  adddatum2(obj2404, alloc_Undefined(), 3);
  if (objclass2404 == NULL) {
    Method *reader2409 = addmethodrealflags(obj2404, "finally", &reader_ast_finally_2409, 0);
    Method *writer2409 = addmethodrealflags(obj2404, "finally:=(1)", &writer_ast_finally_2409, 0);
    reader2409->definitionModule = modulename;
    writer2409->definitionModule = modulename;
    reader2409->definitionLine = 547;
    writer2409->definitionLine = 547;
  }
  obj2404->flags |= OFLAG_MUTABLE;
  adddatum2(obj2404, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2410 = (struct UserObject*)obj2404;
  uo2410->data[5] = emptyclosure;
  Method *meth_meth_ast_2410_isSimple = addmethod2pos(obj2404, "isSimple", &meth_ast_2410_isSimple, 5);
  int argcv_meth_ast_2410_isSimple[] = {0};
  meth_meth_ast_2410_isSimple->type = alloc_MethodType(1, argcv_meth_ast_2410_isSimple);
  meth_meth_ast_2410_isSimple->definitionModule = modulename;
  meth_meth_ast_2410_isSimple->definitionLine = 548;
// method "end"
  struct UserObject *uo2412 = (struct UserObject*)obj2404;
  uo2412->data[6] = emptyclosure;
  Method *meth_meth_ast_2412_end = addmethod2pos(obj2404, "end", &meth_ast_2412_end, 6);
  int argcv_meth_ast_2412_end[] = {0};
  meth_meth_ast_2412_end->type = alloc_MethodType(1, argcv_meth_ast_2412_end);
  meth_meth_ast_2412_end->definitionModule = modulename;
  meth_meth_ast_2412_end->definitionLine = 549;
// method "accept(_)from(_)"
  struct UserObject *uo2441 = (struct UserObject*)obj2404;
  uo2441->data[7] = emptyclosure;
  Method *meth_meth_ast_2441_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj2404, "accept(1)from(1)", &meth_ast_2441_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_2441_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_2441_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2441_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_2441_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2441_accept_40_1_41_from_40_1_41_->definitionLine = 554;
// method "map(_)ancestors(_)"
  struct UserObject *uo2471 = (struct UserObject*)obj2404;
  uo2471->data[8] = emptyclosure;
  Method *meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj2404, "map(1)ancestors(1)", &meth_ast_2471_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_2471_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2471_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_->definitionLine = 566;
// method "pretty(_)"
  struct UserObject *uo2496 = (struct UserObject*)obj2404;
  uo2496->data[9] = emptyclosure;
  Method *meth_meth_ast_2496_pretty_40_1_41_ = addmethod2pos(obj2404, "pretty(1)", &meth_ast_2496_pretty_40_1_41_, 9);
  int argcv_meth_ast_2496_pretty_40_1_41_[] = {1};
  meth_meth_ast_2496_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2496_pretty_40_1_41_);
  meth_meth_ast_2496_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2496_pretty_40_1_41_->definitionLine = 574;
// method "toGrace(_)"
  struct UserObject *uo2610 = (struct UserObject*)obj2404;
  uo2610->data[10] = emptyclosure;
  Method *meth_meth_ast_2610_toGrace_40_1_41_ = addmethod2pos(obj2404, "toGrace(1)", &meth_ast_2610_toGrace_40_1_41_, 10);
  int argcv_meth_ast_2610_toGrace_40_1_41_[] = {1};
  meth_meth_ast_2610_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2610_toGrace_40_1_41_);
meth_meth_ast_2610_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_2610_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_2610_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2610_toGrace_40_1_41_->definitionLine = 586;
// method "shallowCopy"
  block_savedest(obj2404);
  Object closure2697 = createclosure(3, "shallowCopy");
  setclosureframe(closure2697, stackframe);
  addtoclosure(closure2697, var_nullNode);
  addtoclosure(closure2697, var_emptySeq);
  addtoclosure(closure2697, var_tryCatchNode);
  struct UserObject *uo2697 = (struct UserObject*)obj2404;
  uo2697->data[11] = (Object)closure2697;
  Method *meth_meth_ast_2697_shallowCopy = addmethod2pos(obj2404, "shallowCopy", &meth_ast_2697_shallowCopy, 11);
  int argcv_meth_ast_2697_shallowCopy[] = {0};
  meth_meth_ast_2697_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_2697_shallowCopy);
  meth_meth_ast_2697_shallowCopy->definitionModule = modulename;
  meth_meth_ast_2697_shallowCopy->definitionLine = 597;
  sourceObject = obj2404;
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2703 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2704 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2703);
// compiled call node returning call2704 (depth = 3)
  struct UserObject *obj2404_uo = (struct UserObject *)obj2404;
  obj2404_uo->super = call2704;
  sourceObject = obj2404;
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2705 == NULL) {
    strlit2705 = alloc_String("trycatch");
    gc_root(strlit2705);
  }
// compiled string node returning strlit2705 (depth = 3)
  adddatum2(obj2404, strlit2705, 1);
  sourceObject = obj2404;
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  adddatum2(obj2404, *var_block, 2);
  sourceObject = obj2404;
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2404, *var_cases_39_, 3);
  sourceObject = obj2404;
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_finally_39_ (depth = 3)
  adddatum2(obj2404, *var_finally_39_, 4);
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  objclass2404 = obj2404->class;
  objclass2404->definitionModule = modulename;
  objclass2404->definitionLine = 542;
  (*(struct UserObject *)self).data[0] = lowerouter2404;
  self = oldself2404;
  selfslot = oldselfslot2404;
  stackframe = oldstackframe2404;
  gc_frame_end(frame);
  return obj2404;
}
Object meth_ast_2403_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2404 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2404 = alloc_userobj2(14,12, objclass2404);
  gc_frame_newslot(obj2404);
  if (objclass2404 == NULL) {
    glfree(obj2404->class->name);
    obj2404->class->name = "tryCatchNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2404, self, 0);
  addmethodreal(obj2404,"outer", &reader_ast_outer_2405);
  Object oldself2404 = self;
  struct StackFrameObject *oldstackframe2404 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2404);
  gc_frame_newslot((Object)stackframe);
  self = obj2404;
  Object *oldselfslot2404 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2404 = (*(struct UserObject *)self).data[0], lowerouter2404 = thisouter2404;
  if (inheritingObject2404) {
    struct UserObject *inho2404 = (struct UserObject *)inheritingObject2404;
    while (inho2404->super != GraceDefaultObject) inho2404 = (struct UserObject *)inho2404->super;
    inho2404->super = obj2404;
    self = inheritingObject2404;
    *selfslot = self;
    lowerouter2404 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2404;
  }
  if (objclass2404 == NULL) {
  Method *reader2406 = addmethodrealflags(obj2404, "kind",&reader_ast_kind_2406, MFLAG_DEF);
  reader2406->definitionModule = modulename;
  reader2406->definitionLine = 544;
  }
  adddatum2(obj2404, alloc_Undefined(), 1);
  if (objclass2404 == NULL) {
    Method *reader2407 = addmethodrealflags(obj2404, "value", &reader_ast_value_2407, 0);
    Method *writer2407 = addmethodrealflags(obj2404, "value:=(1)", &writer_ast_value_2407, 0);
    reader2407->definitionModule = modulename;
    writer2407->definitionModule = modulename;
    reader2407->definitionLine = 545;
    writer2407->definitionLine = 545;
  }
  obj2404->flags |= OFLAG_MUTABLE;
  adddatum2(obj2404, alloc_Undefined(), 2);
  if (objclass2404 == NULL) {
    Method *reader2408 = addmethodrealflags(obj2404, "cases", &reader_ast_cases_2408, 0);
    Method *writer2408 = addmethodrealflags(obj2404, "cases:=(1)", &writer_ast_cases_2408, 0);
    reader2408->definitionModule = modulename;
    writer2408->definitionModule = modulename;
    reader2408->definitionLine = 546;
    writer2408->definitionLine = 546;
  }
  obj2404->flags |= OFLAG_MUTABLE;
  adddatum2(obj2404, alloc_Undefined(), 3);
  if (objclass2404 == NULL) {
    Method *reader2409 = addmethodrealflags(obj2404, "finally", &reader_ast_finally_2409, 0);
    Method *writer2409 = addmethodrealflags(obj2404, "finally:=(1)", &writer_ast_finally_2409, 0);
    reader2409->definitionModule = modulename;
    writer2409->definitionModule = modulename;
    reader2409->definitionLine = 547;
    writer2409->definitionLine = 547;
  }
  obj2404->flags |= OFLAG_MUTABLE;
  adddatum2(obj2404, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2410 = (struct UserObject*)obj2404;
  uo2410->data[5] = emptyclosure;
  Method *meth_meth_ast_2410_isSimple = addmethod2pos(obj2404, "isSimple", &meth_ast_2410_isSimple, 5);
  int argcv_meth_ast_2410_isSimple[] = {0};
  meth_meth_ast_2410_isSimple->type = alloc_MethodType(1, argcv_meth_ast_2410_isSimple);
  meth_meth_ast_2410_isSimple->definitionModule = modulename;
  meth_meth_ast_2410_isSimple->definitionLine = 548;
// method "end"
  struct UserObject *uo2412 = (struct UserObject*)obj2404;
  uo2412->data[6] = emptyclosure;
  Method *meth_meth_ast_2412_end = addmethod2pos(obj2404, "end", &meth_ast_2412_end, 6);
  int argcv_meth_ast_2412_end[] = {0};
  meth_meth_ast_2412_end->type = alloc_MethodType(1, argcv_meth_ast_2412_end);
  meth_meth_ast_2412_end->definitionModule = modulename;
  meth_meth_ast_2412_end->definitionLine = 549;
// method "accept(_)from(_)"
  struct UserObject *uo2441 = (struct UserObject*)obj2404;
  uo2441->data[7] = emptyclosure;
  Method *meth_meth_ast_2441_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj2404, "accept(1)from(1)", &meth_ast_2441_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_2441_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_2441_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2441_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_2441_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2441_accept_40_1_41_from_40_1_41_->definitionLine = 554;
// method "map(_)ancestors(_)"
  struct UserObject *uo2471 = (struct UserObject*)obj2404;
  uo2471->data[8] = emptyclosure;
  Method *meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj2404, "map(1)ancestors(1)", &meth_ast_2471_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_2471_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2471_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2471_map_40_1_41_ancestors_40_1_41_->definitionLine = 566;
// method "pretty(_)"
  struct UserObject *uo2496 = (struct UserObject*)obj2404;
  uo2496->data[9] = emptyclosure;
  Method *meth_meth_ast_2496_pretty_40_1_41_ = addmethod2pos(obj2404, "pretty(1)", &meth_ast_2496_pretty_40_1_41_, 9);
  int argcv_meth_ast_2496_pretty_40_1_41_[] = {1};
  meth_meth_ast_2496_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2496_pretty_40_1_41_);
  meth_meth_ast_2496_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2496_pretty_40_1_41_->definitionLine = 574;
// method "toGrace(_)"
  struct UserObject *uo2610 = (struct UserObject*)obj2404;
  uo2610->data[10] = emptyclosure;
  Method *meth_meth_ast_2610_toGrace_40_1_41_ = addmethod2pos(obj2404, "toGrace(1)", &meth_ast_2610_toGrace_40_1_41_, 10);
  int argcv_meth_ast_2610_toGrace_40_1_41_[] = {1};
  meth_meth_ast_2610_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2610_toGrace_40_1_41_);
meth_meth_ast_2610_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_2610_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_2610_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2610_toGrace_40_1_41_->definitionLine = 586;
// method "shallowCopy"
  block_savedest(obj2404);
  Object closure2697 = createclosure(3, "shallowCopy");
  setclosureframe(closure2697, stackframe);
  addtoclosure(closure2697, var_nullNode);
  addtoclosure(closure2697, var_emptySeq);
  addtoclosure(closure2697, var_tryCatchNode);
  struct UserObject *uo2697 = (struct UserObject*)obj2404;
  uo2697->data[11] = (Object)closure2697;
  Method *meth_meth_ast_2697_shallowCopy = addmethod2pos(obj2404, "shallowCopy", &meth_ast_2697_shallowCopy, 11);
  int argcv_meth_ast_2697_shallowCopy[] = {0};
  meth_meth_ast_2697_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_2697_shallowCopy);
  meth_meth_ast_2697_shallowCopy->definitionModule = modulename;
  meth_meth_ast_2697_shallowCopy->definitionLine = 597;
  sourceObject = obj2404;
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2703 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2704 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2703);
// compiled call node returning call2704 (depth = 3)
  struct UserObject *obj2404_uo = (struct UserObject *)obj2404;
  obj2404_uo->super = call2704;
  sourceObject = obj2404;
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2705 == NULL) {
    strlit2705 = alloc_String("trycatch");
    gc_root(strlit2705);
  }
// compiled string node returning strlit2705 (depth = 3)
  adddatum2(obj2404, strlit2705, 1);
  sourceObject = obj2404;
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  adddatum2(obj2404, *var_block, 2);
  sourceObject = obj2404;
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2404, *var_cases_39_, 3);
  sourceObject = obj2404;
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_finally_39_ (depth = 3)
  adddatum2(obj2404, *var_finally_39_, 4);
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  sourceObject = obj2404;
  objclass2404 = obj2404->class;
  objclass2404->definitionModule = modulename;
  objclass2404->definitionLine = 542;
  (*(struct UserObject *)self).data[0] = lowerouter2404;
  self = oldself2404;
  selfslot = oldselfslot2404;
  stackframe = oldstackframe2404;
  gc_frame_end(frame);
  return obj2404;
}
Object meth_ast_2707_tryCatchNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tryCatchNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tryCatchNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tryCatchNode (depth = 3)
  gc_frame_end(frame);
  return *var_tryCatchNode;
}
Object meth_ast_2716_isSimple(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2717 = alloc_Boolean(0);
// compiled identifier node returning bool2717 (depth = 3)
  gc_frame_end(frame);
  return bool2717;
}
Object meth_ast_2718_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2720 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2721 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2722 = gc_frame_new();
// call case 4: self request
  Object call2723 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2722);
// compiled member node returning call2723 (depth = 6)
  Object call2724 = callmethodflags(call2723, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe2721);
// compiled member node returning call2724 (depth = 5)
  Object call2725 = callmethodflags(call2724, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2720);
// compiled member node returning call2725 (depth = 4)
  Object if2719 = done;
  if (istrue(call2725)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2726 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2727 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2728 = gc_frame_new();
// call case 4: self request
  Object call2729 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2728);
// compiled member node returning call2729 (depth = 7)
  Object call2730 = callmethodflags(call2729, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2727);
// compiled member node returning call2730 (depth = 6)
  Object call2731 = callmethodflags(call2730, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2726);
// compiled member node returning call2731 (depth = 5)
  return call2731;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if2719 = undefined;
  } else {
  }
// compiled if node returning if2719 (depth = 3)
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2732 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2733 = gc_frame_new();
// call case 4: self request
  Object call2734 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2733);
// compiled member node returning call2734 (depth = 5)
  Object call2735 = callmethodflags(call2734, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2732);
// compiled member node returning call2735 (depth = 4)
  return call2735;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_2736_matchee(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "matchee");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2737 = gc_frame_new();
// call case 4: self request
  Object call2738 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2737);
// compiled member node returning call2738 (depth = 3)
  gc_frame_end(frame);
  return call2738;
}
Object meth_ast_2753__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2754 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2755 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2754);
// compiled call node returning call2755 (depth = 6)
  gc_frame_end(frame);
  return call2755;
}
Object meth_ast_2739_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2741 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2742 = callmethodflags(*var_visitor, "visitMatchCase(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2741);
// compiled call node returning call2742 (depth = 4)
  Object if2740 = done;
  if (istrue(call2742)) {
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2743 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2744 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2743);
// compiled call node returning call2744 (depth = 5)
  *var_newChain = call2744;
  if (call2744 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2745 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2746 = gc_frame_new();
// call case 4: self request
  Object call2747 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2746);
// compiled member node returning call2747 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2748 = callmethodflags(call2747, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2745);
// compiled call node returning call2748 (depth = 4)
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2749 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2750 = gc_frame_new();
// call case 4: self request
  Object call2751 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2750);
// compiled member node returning call2751 (depth = 5)
  gc_frame_newslot(call2751);
// starting to compile block node (depth = 5)
  Object block2752 = alloc_Block(NULL, NULL, "ast", 618);
  gc_frame_newslot(block2752);
// method "_apply(_)"
  block_savedest(block2752);
  Object closure2753 = createclosure(3, "_apply(1)");
  setclosureframe(closure2753, stackframe);
  addtoclosure(closure2753, var_visitor);
  addtoclosure(closure2753, var_newChain);
  addtoclosure(closure2753, selfslot);
  struct UserObject *uo2753 = (struct UserObject*)block2752;
  uo2753->data[0] = (Object)closure2753;
  Method *meth_meth_ast_2753__apply_40_1_41_ = addmethod2pos(block2752, "_apply(1)", &meth_ast_2753__apply_40_1_41_, 0);
  int argcv_meth_ast_2753__apply_40_1_41_[] = {1};
  meth_meth_ast_2753__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2753__apply_40_1_41_);
  meth_meth_ast_2753__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2753__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2752 (depth = 5)
  gc_frame_newslot(block2752);
// call case 5: prelude request
  params[0] = call2751;
  params[1] = block2752;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2757 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2749);
// compiled call node returning call2757 (depth = 4)
    gc_frame_newslot(call2757);
    if2740 = call2757;
  } else {
  }
// compiled if node returning if2740 (depth = 3)
  gc_frame_end(frame);
  return if2740;
}
Object meth_ast_2758_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2759 = gc_frame_new();
// call case 4: self request
  Object call2760 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2759);
// compiled member node returning call2760 (depth = 4)
  *var_n = call2760;
  if (call2760 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2761 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2762 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2761);
// compiled call node returning call2762 (depth = 4)
  *var_newChain = call2762;
  if (call2762 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2763 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2764 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2765 = gc_frame_new();
// call case 4: self request
  Object call2766 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2765);
// compiled member node returning call2766 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2767 = callmethodflags(call2766, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2764);
// compiled call node returning call2767 (depth = 4)
  gc_frame_newslot(call2767);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2767;
  partcv[0] = 1;
  Object call2768 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2763);
// compiled call node returning call2768 (depth = 3)
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2769 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2770 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2771 = gc_frame_new();
// call case 4: self request
  Object call2772 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2771);
// compiled member node returning call2772 (depth = 5)
  gc_frame_newslot(call2772);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call2772;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2773 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2770);
// compiled call node returning call2773 (depth = 4)
  gc_frame_newslot(call2773);
// call case 6: other requests
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2773;
  partcv[0] = 1;
  Object call2774 = callmethodflags(*var_n, "cases:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2769);
// compiled call node returning call2774 (depth = 3)
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2775 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2776 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2775);
// compiled call node returning call2776 (depth = 3)
  gc_frame_end(frame);
  return call2776;
}
Object meth_ast_2811__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2814 == NULL) {
    strlit2814 = alloc_String("");
    gc_root(strlit2814);
  }
// compiled string node returning strlit2814 (depth = 8)
  int op_slot_right_2813 = gc_frame_newslot(strlit2814);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2817 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2819 = alloc_Float64(2);
// compiled num node returning num2819 (depth = 11)
  int op_slot_right_2818 = gc_frame_newslot(num2819);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2818 = gc_frame_newslot(*var_depth);
  params[0] = num2819;
  partcv[0] = 1;
  Object sum2821 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2821 (depth = 10)
  gc_frame_newslot(sum2821);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mx (depth = 10)
  params[0] = sum2821;
  partcv[0] = 1;
  Object call2822 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2817);
// compiled call node returning call2822 (depth = 9)
  int op_slot_right_2816 = gc_frame_newslot(call2822);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2825 == NULL) {
    strlit2825 = alloc_String("  ");
    gc_root(strlit2825);
  }
// compiled string node returning strlit2825 (depth = 10)
  int op_slot_right_2824 = gc_frame_newslot(strlit2825);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2827 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2830 == NULL) {
    strlit2830 = alloc_String("Case:""\x0a""");
    gc_root(strlit2830);
  }
// compiled string node returning strlit2830 (depth = 12)
  int op_slot_right_2829 = gc_frame_newslot(strlit2830);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_2832 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit2834 == NULL) {
    strlit2834 = alloc_String("""\x0a""");
    gc_root(strlit2834);
  }
// compiled string node returning strlit2834 (depth = 13)
  int op_slot_left_2832 = gc_frame_newslot(strlit2834);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2835 = callmethod(strlit2834, "++(1)", 1, partcv, params);
// compiled op node returning opresult2835 (depth = 12)
  int op_slot_left_2829 = gc_frame_newslot(opresult2835);
  params[0] = strlit2830;
  partcv[0] = 1;
  Object opresult2836 = callmethod(opresult2835, "++(1)", 1, partcv, params);
// compiled op node returning opresult2836 (depth = 11)
  int op_slot_left_2827 = gc_frame_newslot(opresult2836);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2837 = callmethod(opresult2836, "++(1)", 1, partcv, params);
// compiled op node returning opresult2837 (depth = 10)
  int op_slot_left_2824 = gc_frame_newslot(opresult2837);
  params[0] = strlit2825;
  partcv[0] = 1;
  Object opresult2838 = callmethod(opresult2837, "++(1)", 1, partcv, params);
// compiled op node returning opresult2838 (depth = 9)
  int op_slot_left_2816 = gc_frame_newslot(opresult2838);
  params[0] = call2822;
  partcv[0] = 1;
  Object opresult2839 = callmethod(opresult2838, "++(1)", 1, partcv, params);
// compiled op node returning opresult2839 (depth = 8)
  int op_slot_left_2813 = gc_frame_newslot(opresult2839);
  params[0] = strlit2814;
  partcv[0] = 1;
  Object opresult2840 = callmethod(opresult2839, "++(1)", 1, partcv, params);
// compiled op node returning opresult2840 (depth = 7)
  int op_slot_right_2812 = gc_frame_newslot(opresult2840);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2812 = gc_frame_newslot(*var_s);
  params[0] = opresult2840;
  partcv[0] = 1;
  Object opresult2842 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2842 (depth = 6)
  *var_s = opresult2842;
  if (opresult2842 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2777_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2780 = alloc_Float64(1);
// compiled num node returning num2780 (depth = 6)
  int op_slot_right_2779 = gc_frame_newslot(num2780);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2779 = gc_frame_newslot(*var_depth);
  params[0] = num2780;
  partcv[0] = 1;
  Object sum2782 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2782 (depth = 5)
  int op_slot_right_2778 = gc_frame_newslot(sum2782);
// starting to compile string node (depth = 5)
  if (strlit2784 == NULL) {
    strlit2784 = alloc_String("  ");
    gc_root(strlit2784);
  }
// compiled string node returning strlit2784 (depth = 5)
  int op_slot_left_2778 = gc_frame_newslot(strlit2784);
  params[0] = sum2782;
  partcv[0] = 1;
  Object prod2785 = callmethod(strlit2784, "*(1)", 1, partcv, params);
// compiled op node returning prod2785 (depth = 4)
  *var_spc = prod2785;
  if (prod2785 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2787 == NULL) {
    strlit2787 = alloc_String("""\x0a""");
    gc_root(strlit2787);
  }
// compiled string node returning strlit2787 (depth = 5)
  int op_slot_right_2786 = gc_frame_newslot(strlit2787);
// starting to compile call node (depth = 5)
  int callframe2789 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2790 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2789);
// compiled call node returning call2790 (depth = 5)
  int op_slot_left_2786 = gc_frame_newslot(call2790);
  params[0] = strlit2787;
  partcv[0] = 1;
  Object opresult2791 = callmethod(call2790, "++(1)", 1, partcv, params);
// compiled op node returning opresult2791 (depth = 4)
  *var_s = opresult2791;
  if (opresult2791 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2793 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2795 = alloc_Float64(2);
// compiled num node returning num2795 (depth = 7)
  int op_slot_right_2794 = gc_frame_newslot(num2795);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2794 = gc_frame_newslot(*var_depth);
  params[0] = num2795;
  partcv[0] = 1;
  Object sum2797 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2797 (depth = 6)
  gc_frame_newslot(sum2797);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2798 = gc_frame_new();
// call case 4: self request
  Object call2799 = callmethodflags(self, "matchee", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2798);
// compiled member node returning call2799 (depth = 6)
  params[0] = sum2797;
  partcv[0] = 1;
  Object call2800 = callmethodflags(call2799, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2793);
// compiled call node returning call2800 (depth = 5)
  int op_slot_right_2792 = gc_frame_newslot(call2800);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2802 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2802 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2804 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2804 (depth = 5)
  int op_slot_left_2792 = gc_frame_newslot(opresult2804);
  params[0] = call2800;
  partcv[0] = 1;
  Object opresult2805 = callmethod(opresult2804, "++(1)", 1, partcv, params);
// compiled op node returning opresult2805 (depth = 4)
  *var_s = opresult2805;
  if (opresult2805 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2807 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2808 = gc_frame_new();
// call case 4: self request
  Object call2809 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2808);
// compiled member node returning call2809 (depth = 4)
  gc_frame_newslot(call2809);
// starting to compile block node (depth = 4)
  Object block2810 = alloc_Block(NULL, NULL, "ast", 634);
  gc_frame_newslot(block2810);
// method "_apply(_)"
  block_savedest(block2810);
  Object closure2811 = createclosure(4, "_apply(1)");
  setclosureframe(closure2811, stackframe);
  addtoclosure(closure2811, var_depth);
  addtoclosure(closure2811, var_spc);
  addtoclosure(closure2811, var_s);
  addtoclosure(closure2811, selfslot);
  struct UserObject *uo2811 = (struct UserObject*)block2810;
  uo2811->data[0] = (Object)closure2811;
  Method *meth_meth_ast_2811__apply_40_1_41_ = addmethod2pos(block2810, "_apply(1)", &meth_ast_2811__apply_40_1_41_, 0);
  int argcv_meth_ast_2811__apply_40_1_41_[] = {1};
  meth_meth_ast_2811__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2811__apply_40_1_41_);
  meth_meth_ast_2811__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2811__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2810 (depth = 4)
  gc_frame_newslot(block2810);
// call case 5: prelude request
  params[0] = call2809;
  params[1] = block2810;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2845 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2807);
// compiled call node returning call2845 (depth = 3)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_2868__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2870 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2872 = alloc_Float64(2);
// compiled num node returning num2872 (depth = 9)
  int op_slot_right_2871 = gc_frame_newslot(num2872);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2871 = gc_frame_newslot(*var_depth);
  params[0] = num2872;
  partcv[0] = 1;
  Object sum2874 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2874 (depth = 8)
  gc_frame_newslot(sum2874);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_case (depth = 8)
  params[0] = sum2874;
  partcv[0] = 1;
  Object call2875 = callmethodflags(*var_case, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2870);
// compiled call node returning call2875 (depth = 7)
  int op_slot_right_2869 = gc_frame_newslot(call2875);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String("case ");
    gc_root(strlit2878);
  }
// compiled string node returning strlit2878 (depth = 8)
  int op_slot_right_2877 = gc_frame_newslot(strlit2878);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("    ");
    gc_root(strlit2881);
  }
// compiled string node returning strlit2881 (depth = 9)
  int op_slot_right_2880 = gc_frame_newslot(strlit2881);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2883 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2886 == NULL) {
    strlit2886 = alloc_String("""\x0a""");
    gc_root(strlit2886);
  }
// compiled string node returning strlit2886 (depth = 11)
  int op_slot_right_2885 = gc_frame_newslot(strlit2886);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2885 = gc_frame_newslot(*var_s);
  params[0] = strlit2886;
  partcv[0] = 1;
  Object opresult2888 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2888 (depth = 10)
  int op_slot_left_2883 = gc_frame_newslot(opresult2888);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2889 = callmethod(opresult2888, "++(1)", 1, partcv, params);
// compiled op node returning opresult2889 (depth = 9)
  int op_slot_left_2880 = gc_frame_newslot(opresult2889);
  params[0] = strlit2881;
  partcv[0] = 1;
  Object opresult2890 = callmethod(opresult2889, "++(1)", 1, partcv, params);
// compiled op node returning opresult2890 (depth = 8)
  int op_slot_left_2877 = gc_frame_newslot(opresult2890);
  params[0] = strlit2878;
  partcv[0] = 1;
  Object opresult2891 = callmethod(opresult2890, "++(1)", 1, partcv, params);
// compiled op node returning opresult2891 (depth = 7)
  int op_slot_left_2869 = gc_frame_newslot(opresult2891);
  params[0] = call2875;
  partcv[0] = 1;
  Object opresult2892 = callmethod(opresult2891, "++(1)", 1, partcv, params);
// compiled op node returning opresult2892 (depth = 6)
  *var_s = opresult2892;
  if (opresult2892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_2846_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2847 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit2849 == NULL) {
    strlit2849 = alloc_String("    ");
    gc_root(strlit2849);
  }
// compiled string node returning strlit2849 (depth = 5)
  int op_slot_left_2847 = gc_frame_newslot(strlit2849);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod2850 = callmethod(strlit2849, "*(1)", 1, partcv, params);
// compiled op node returning prod2850 (depth = 4)
  *var_spc = prod2850;
  if (prod2850 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2852 == NULL) {
    strlit2852 = alloc_String(")");
    gc_root(strlit2852);
  }
// compiled string node returning strlit2852 (depth = 5)
  int op_slot_right_2851 = gc_frame_newslot(strlit2852);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2855 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num2856 = alloc_Float64(0);
// compiled num node returning num2856 (depth = 7)
  gc_frame_newslot(num2856);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2857 = gc_frame_new();
// call case 4: self request
  Object call2858 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2857);
// compiled member node returning call2858 (depth = 7)
  params[0] = num2856;
  partcv[0] = 1;
  Object call2859 = callmethodflags(call2858, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2855);
// compiled call node returning call2859 (depth = 6)
  int op_slot_right_2854 = gc_frame_newslot(call2859);
// starting to compile string node (depth = 6)
  if (strlit2861 == NULL) {
    strlit2861 = alloc_String("match(");
    gc_root(strlit2861);
  }
// compiled string node returning strlit2861 (depth = 6)
  int op_slot_left_2854 = gc_frame_newslot(strlit2861);
  params[0] = call2859;
  partcv[0] = 1;
  Object opresult2862 = callmethod(strlit2861, "++(1)", 1, partcv, params);
// compiled op node returning opresult2862 (depth = 5)
  int op_slot_left_2851 = gc_frame_newslot(opresult2862);
  params[0] = strlit2852;
  partcv[0] = 1;
  Object opresult2863 = callmethod(opresult2862, "++(1)", 1, partcv, params);
// compiled op node returning opresult2863 (depth = 4)
  *var_s = opresult2863;
  if (opresult2863 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2864 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2865 = gc_frame_new();
// call case 4: self request
  Object call2866 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2865);
// compiled member node returning call2866 (depth = 4)
  gc_frame_newslot(call2866);
// starting to compile block node (depth = 4)
  Object block2867 = alloc_Block(NULL, NULL, "ast", 642);
  gc_frame_newslot(block2867);
// method "_apply(_)"
  block_savedest(block2867);
  Object closure2868 = createclosure(4, "_apply(1)");
  setclosureframe(closure2868, stackframe);
  addtoclosure(closure2868, var_depth);
  addtoclosure(closure2868, var_spc);
  addtoclosure(closure2868, var_s);
  addtoclosure(closure2868, selfslot);
  struct UserObject *uo2868 = (struct UserObject*)block2867;
  uo2868->data[0] = (Object)closure2868;
  Method *meth_meth_ast_2868__apply_40_1_41_ = addmethod2pos(block2867, "_apply(1)", &meth_ast_2868__apply_40_1_41_, 0);
  int argcv_meth_ast_2868__apply_40_1_41_[] = {1};
  meth_meth_ast_2868__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2868__apply_40_1_41_);
  meth_meth_ast_2868__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2868__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block2867 (depth = 4)
  gc_frame_newslot(block2867);
// call case 5: prelude request
  params[0] = call2866;
  params[1] = block2867;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2895 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2864);
// compiled call node returning call2895 (depth = 3)
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_2896_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2897 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2898 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_matchCaseNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  partcv[0] = 2;
  Object call2899 = callmethodflags(*var_matchCaseNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2898);
// compiled call node returning call2899 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2900 = callmethodflags(call2899, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2897);
// compiled call node returning call2900 (depth = 3)
  gc_frame_end(frame);
  return call2900;
}
Object meth_ast_2710_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2711 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2711 = alloc_userobj2(13,12, objclass2711);
  gc_frame_newslot(obj2711);
  if (objclass2711 == NULL) {
    glfree(obj2711->class->name);
    obj2711->class->name = "matchCaseNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2711, self, 0);
  addmethodreal(obj2711,"outer", &reader_ast_outer_2712);
  Object oldself2711 = self;
  struct StackFrameObject *oldstackframe2711 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2711);
  gc_frame_newslot((Object)stackframe);
  self = obj2711;
  Object *oldselfslot2711 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2711 = (*(struct UserObject *)self).data[0], lowerouter2711 = thisouter2711;
  if (inheritingObject2711) {
    struct UserObject *inho2711 = (struct UserObject *)inheritingObject2711;
    while (inho2711->super != GraceDefaultObject) inho2711 = (struct UserObject *)inho2711->super;
    inho2711->super = obj2711;
    self = inheritingObject2711;
    *selfslot = self;
    lowerouter2711 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2711;
  }
  if (objclass2711 == NULL) {
  Method *reader2713 = addmethodrealflags(obj2711, "kind",&reader_ast_kind_2713, MFLAG_DEF);
  reader2713->definitionModule = modulename;
  reader2713->definitionLine = 605;
  }
  adddatum2(obj2711, alloc_Undefined(), 1);
  if (objclass2711 == NULL) {
    Method *reader2714 = addmethodrealflags(obj2711, "value", &reader_ast_value_2714, 0);
    Method *writer2714 = addmethodrealflags(obj2711, "value:=(1)", &writer_ast_value_2714, 0);
    reader2714->definitionModule = modulename;
    writer2714->definitionModule = modulename;
    reader2714->definitionLine = 606;
    writer2714->definitionLine = 606;
  }
  obj2711->flags |= OFLAG_MUTABLE;
  adddatum2(obj2711, alloc_Undefined(), 2);
  if (objclass2711 == NULL) {
    Method *reader2715 = addmethodrealflags(obj2711, "cases", &reader_ast_cases_2715, 0);
    Method *writer2715 = addmethodrealflags(obj2711, "cases:=(1)", &writer_ast_cases_2715, 0);
    reader2715->definitionModule = modulename;
    writer2715->definitionModule = modulename;
    reader2715->definitionLine = 607;
    writer2715->definitionLine = 607;
  }
  obj2711->flags |= OFLAG_MUTABLE;
  adddatum2(obj2711, alloc_Undefined(), 3);
// method "isSimple"
  struct UserObject *uo2716 = (struct UserObject*)obj2711;
  uo2716->data[4] = emptyclosure;
  Method *meth_meth_ast_2716_isSimple = addmethod2pos(obj2711, "isSimple", &meth_ast_2716_isSimple, 4);
  int argcv_meth_ast_2716_isSimple[] = {0};
  meth_meth_ast_2716_isSimple->type = alloc_MethodType(1, argcv_meth_ast_2716_isSimple);
  meth_meth_ast_2716_isSimple->definitionModule = modulename;
  meth_meth_ast_2716_isSimple->definitionLine = 608;
// method "end"
  struct UserObject *uo2718 = (struct UserObject*)obj2711;
  uo2718->data[5] = emptyclosure;
  Method *meth_meth_ast_2718_end = addmethod2pos(obj2711, "end", &meth_ast_2718_end, 5);
  int argcv_meth_ast_2718_end[] = {0};
  meth_meth_ast_2718_end->type = alloc_MethodType(1, argcv_meth_ast_2718_end);
  meth_meth_ast_2718_end->definitionModule = modulename;
  meth_meth_ast_2718_end->definitionLine = 609;
// method "matchee"
  struct UserObject *uo2736 = (struct UserObject*)obj2711;
  uo2736->data[6] = emptyclosure;
  Method *meth_meth_ast_2736_matchee = addmethod2pos(obj2711, "matchee", &meth_ast_2736_matchee, 6);
  int argcv_meth_ast_2736_matchee[] = {0};
  meth_meth_ast_2736_matchee->type = alloc_MethodType(1, argcv_meth_ast_2736_matchee);
  meth_meth_ast_2736_matchee->definitionModule = modulename;
  meth_meth_ast_2736_matchee->definitionLine = 613;
// method "accept(_)from(_)"
  struct UserObject *uo2739 = (struct UserObject*)obj2711;
  uo2739->data[7] = emptyclosure;
  Method *meth_meth_ast_2739_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj2711, "accept(1)from(1)", &meth_ast_2739_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_2739_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_2739_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2739_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_2739_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2739_accept_40_1_41_from_40_1_41_->definitionLine = 614;
// method "map(_)ancestors(_)"
  struct UserObject *uo2758 = (struct UserObject*)obj2711;
  uo2758->data[8] = emptyclosure;
  Method *meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj2711, "map(1)ancestors(1)", &meth_ast_2758_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_2758_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2758_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_->definitionLine = 623;
// method "pretty(_)"
  struct UserObject *uo2777 = (struct UserObject*)obj2711;
  uo2777->data[9] = emptyclosure;
  Method *meth_meth_ast_2777_pretty_40_1_41_ = addmethod2pos(obj2711, "pretty(1)", &meth_ast_2777_pretty_40_1_41_, 9);
  int argcv_meth_ast_2777_pretty_40_1_41_[] = {1};
  meth_meth_ast_2777_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2777_pretty_40_1_41_);
  meth_meth_ast_2777_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2777_pretty_40_1_41_->definitionLine = 630;
// method "toGrace(_)"
  struct UserObject *uo2846 = (struct UserObject*)obj2711;
  uo2846->data[10] = emptyclosure;
  Method *meth_meth_ast_2846_toGrace_40_1_41_ = addmethod2pos(obj2711, "toGrace(1)", &meth_ast_2846_toGrace_40_1_41_, 10);
  int argcv_meth_ast_2846_toGrace_40_1_41_[] = {1};
  meth_meth_ast_2846_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2846_toGrace_40_1_41_);
meth_meth_ast_2846_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_2846_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_2846_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2846_toGrace_40_1_41_->definitionLine = 639;
// method "shallowCopy"
  block_savedest(obj2711);
  Object closure2896 = createclosure(3, "shallowCopy");
  setclosureframe(closure2896, stackframe);
  addtoclosure(closure2896, var_nullNode);
  addtoclosure(closure2896, var_emptySeq);
  addtoclosure(closure2896, var_matchCaseNode);
  struct UserObject *uo2896 = (struct UserObject*)obj2711;
  uo2896->data[11] = (Object)closure2896;
  Method *meth_meth_ast_2896_shallowCopy = addmethod2pos(obj2711, "shallowCopy", &meth_ast_2896_shallowCopy, 11);
  int argcv_meth_ast_2896_shallowCopy[] = {0};
  meth_meth_ast_2896_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_2896_shallowCopy);
  meth_meth_ast_2896_shallowCopy->definitionModule = modulename;
  meth_meth_ast_2896_shallowCopy->definitionLine = 647;
  sourceObject = obj2711;
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2901 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2902 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2901);
// compiled call node returning call2902 (depth = 3)
  struct UserObject *obj2711_uo = (struct UserObject *)obj2711;
  obj2711_uo->super = call2902;
  sourceObject = obj2711;
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2903 == NULL) {
    strlit2903 = alloc_String("matchcase");
    gc_root(strlit2903);
  }
// compiled string node returning strlit2903 (depth = 3)
  adddatum2(obj2711, strlit2903, 1);
  sourceObject = obj2711;
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchee_39_ (depth = 3)
  adddatum2(obj2711, *var_matchee_39_, 2);
  sourceObject = obj2711;
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2711, *var_cases_39_, 3);
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  objclass2711 = obj2711->class;
  objclass2711->definitionModule = modulename;
  objclass2711->definitionLine = 603;
  (*(struct UserObject *)self).data[0] = lowerouter2711;
  self = oldself2711;
  selfslot = oldselfslot2711;
  stackframe = oldstackframe2711;
  gc_frame_end(frame);
  return obj2711;
}
Object meth_ast_2710_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2711 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2711 = alloc_userobj2(13,12, objclass2711);
  gc_frame_newslot(obj2711);
  if (objclass2711 == NULL) {
    glfree(obj2711->class->name);
    obj2711->class->name = "matchCaseNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2711, self, 0);
  addmethodreal(obj2711,"outer", &reader_ast_outer_2712);
  Object oldself2711 = self;
  struct StackFrameObject *oldstackframe2711 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2711);
  gc_frame_newslot((Object)stackframe);
  self = obj2711;
  Object *oldselfslot2711 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2711 = (*(struct UserObject *)self).data[0], lowerouter2711 = thisouter2711;
  if (inheritingObject2711) {
    struct UserObject *inho2711 = (struct UserObject *)inheritingObject2711;
    while (inho2711->super != GraceDefaultObject) inho2711 = (struct UserObject *)inho2711->super;
    inho2711->super = obj2711;
    self = inheritingObject2711;
    *selfslot = self;
    lowerouter2711 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2711;
  }
  if (objclass2711 == NULL) {
  Method *reader2713 = addmethodrealflags(obj2711, "kind",&reader_ast_kind_2713, MFLAG_DEF);
  reader2713->definitionModule = modulename;
  reader2713->definitionLine = 605;
  }
  adddatum2(obj2711, alloc_Undefined(), 1);
  if (objclass2711 == NULL) {
    Method *reader2714 = addmethodrealflags(obj2711, "value", &reader_ast_value_2714, 0);
    Method *writer2714 = addmethodrealflags(obj2711, "value:=(1)", &writer_ast_value_2714, 0);
    reader2714->definitionModule = modulename;
    writer2714->definitionModule = modulename;
    reader2714->definitionLine = 606;
    writer2714->definitionLine = 606;
  }
  obj2711->flags |= OFLAG_MUTABLE;
  adddatum2(obj2711, alloc_Undefined(), 2);
  if (objclass2711 == NULL) {
    Method *reader2715 = addmethodrealflags(obj2711, "cases", &reader_ast_cases_2715, 0);
    Method *writer2715 = addmethodrealflags(obj2711, "cases:=(1)", &writer_ast_cases_2715, 0);
    reader2715->definitionModule = modulename;
    writer2715->definitionModule = modulename;
    reader2715->definitionLine = 607;
    writer2715->definitionLine = 607;
  }
  obj2711->flags |= OFLAG_MUTABLE;
  adddatum2(obj2711, alloc_Undefined(), 3);
// method "isSimple"
  struct UserObject *uo2716 = (struct UserObject*)obj2711;
  uo2716->data[4] = emptyclosure;
  Method *meth_meth_ast_2716_isSimple = addmethod2pos(obj2711, "isSimple", &meth_ast_2716_isSimple, 4);
  int argcv_meth_ast_2716_isSimple[] = {0};
  meth_meth_ast_2716_isSimple->type = alloc_MethodType(1, argcv_meth_ast_2716_isSimple);
  meth_meth_ast_2716_isSimple->definitionModule = modulename;
  meth_meth_ast_2716_isSimple->definitionLine = 608;
// method "end"
  struct UserObject *uo2718 = (struct UserObject*)obj2711;
  uo2718->data[5] = emptyclosure;
  Method *meth_meth_ast_2718_end = addmethod2pos(obj2711, "end", &meth_ast_2718_end, 5);
  int argcv_meth_ast_2718_end[] = {0};
  meth_meth_ast_2718_end->type = alloc_MethodType(1, argcv_meth_ast_2718_end);
  meth_meth_ast_2718_end->definitionModule = modulename;
  meth_meth_ast_2718_end->definitionLine = 609;
// method "matchee"
  struct UserObject *uo2736 = (struct UserObject*)obj2711;
  uo2736->data[6] = emptyclosure;
  Method *meth_meth_ast_2736_matchee = addmethod2pos(obj2711, "matchee", &meth_ast_2736_matchee, 6);
  int argcv_meth_ast_2736_matchee[] = {0};
  meth_meth_ast_2736_matchee->type = alloc_MethodType(1, argcv_meth_ast_2736_matchee);
  meth_meth_ast_2736_matchee->definitionModule = modulename;
  meth_meth_ast_2736_matchee->definitionLine = 613;
// method "accept(_)from(_)"
  struct UserObject *uo2739 = (struct UserObject*)obj2711;
  uo2739->data[7] = emptyclosure;
  Method *meth_meth_ast_2739_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj2711, "accept(1)from(1)", &meth_ast_2739_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_2739_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_2739_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2739_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_2739_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2739_accept_40_1_41_from_40_1_41_->definitionLine = 614;
// method "map(_)ancestors(_)"
  struct UserObject *uo2758 = (struct UserObject*)obj2711;
  uo2758->data[8] = emptyclosure;
  Method *meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj2711, "map(1)ancestors(1)", &meth_ast_2758_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_2758_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_2758_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2758_map_40_1_41_ancestors_40_1_41_->definitionLine = 623;
// method "pretty(_)"
  struct UserObject *uo2777 = (struct UserObject*)obj2711;
  uo2777->data[9] = emptyclosure;
  Method *meth_meth_ast_2777_pretty_40_1_41_ = addmethod2pos(obj2711, "pretty(1)", &meth_ast_2777_pretty_40_1_41_, 9);
  int argcv_meth_ast_2777_pretty_40_1_41_[] = {1};
  meth_meth_ast_2777_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2777_pretty_40_1_41_);
  meth_meth_ast_2777_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2777_pretty_40_1_41_->definitionLine = 630;
// method "toGrace(_)"
  struct UserObject *uo2846 = (struct UserObject*)obj2711;
  uo2846->data[10] = emptyclosure;
  Method *meth_meth_ast_2846_toGrace_40_1_41_ = addmethod2pos(obj2711, "toGrace(1)", &meth_ast_2846_toGrace_40_1_41_, 10);
  int argcv_meth_ast_2846_toGrace_40_1_41_[] = {1};
  meth_meth_ast_2846_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_2846_toGrace_40_1_41_);
meth_meth_ast_2846_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_2846_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_2846_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_2846_toGrace_40_1_41_->definitionLine = 639;
// method "shallowCopy"
  block_savedest(obj2711);
  Object closure2896 = createclosure(3, "shallowCopy");
  setclosureframe(closure2896, stackframe);
  addtoclosure(closure2896, var_nullNode);
  addtoclosure(closure2896, var_emptySeq);
  addtoclosure(closure2896, var_matchCaseNode);
  struct UserObject *uo2896 = (struct UserObject*)obj2711;
  uo2896->data[11] = (Object)closure2896;
  Method *meth_meth_ast_2896_shallowCopy = addmethod2pos(obj2711, "shallowCopy", &meth_ast_2896_shallowCopy, 11);
  int argcv_meth_ast_2896_shallowCopy[] = {0};
  meth_meth_ast_2896_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_2896_shallowCopy);
  meth_meth_ast_2896_shallowCopy->definitionModule = modulename;
  meth_meth_ast_2896_shallowCopy->definitionLine = 647;
  sourceObject = obj2711;
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2901 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2902 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2901);
// compiled call node returning call2902 (depth = 3)
  struct UserObject *obj2711_uo = (struct UserObject *)obj2711;
  obj2711_uo->super = call2902;
  sourceObject = obj2711;
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2903 == NULL) {
    strlit2903 = alloc_String("matchcase");
    gc_root(strlit2903);
  }
// compiled string node returning strlit2903 (depth = 3)
  adddatum2(obj2711, strlit2903, 1);
  sourceObject = obj2711;
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchee_39_ (depth = 3)
  adddatum2(obj2711, *var_matchee_39_, 2);
  sourceObject = obj2711;
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2711, *var_cases_39_, 3);
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  sourceObject = obj2711;
  objclass2711 = obj2711->class;
  objclass2711->definitionModule = modulename;
  objclass2711->definitionLine = 603;
  (*(struct UserObject *)self).data[0] = lowerouter2711;
  self = oldself2711;
  selfslot = oldselfslot2711;
  stackframe = oldstackframe2711;
  gc_frame_end(frame);
  return obj2711;
}
Object meth_ast_2905_matchCaseNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchCaseNode (depth = 3)
  gc_frame_end(frame);
  return *var_matchCaseNode;
}
Object meth_ast_2916_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2919 = gc_frame_new();
// call case 4: self request
  Object call2920 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2919);
// compiled member node returning call2920 (depth = 5)
  int op_slot_right_2918 = gc_frame_newslot(call2920);
// starting to compile identifier node (depth = 5)
  Object bool2922 = alloc_Boolean(0);
// compiled identifier node returning bool2922 (depth = 5)
  int op_slot_left_2918 = gc_frame_newslot(bool2922);
  params[0] = call2920;
  partcv[0] = 1;
  Object opresult2923 = callmethod(bool2922, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2923 (depth = 4)
  Object if2917 = done;
  if (istrue(opresult2923)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2924 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2925 = gc_frame_new();
// call case 4: self request
  Object call2926 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2925);
// compiled member node returning call2926 (depth = 6)
  Object call2927 = callmethodflags(call2926, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2924);
// compiled member node returning call2927 (depth = 5)
  return call2927;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if2917 = undefined;
  } else {
  }
// compiled if node returning if2917 (depth = 3)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2928 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2929 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2930 = gc_frame_new();
// call case 4: self request
  Object call2931 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2930);
// compiled member node returning call2931 (depth = 5)
  Object call2932 = callmethodflags(call2931, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2929);
// compiled member node returning call2932 (depth = 4)
  Object call2933 = callmethodflags(call2932, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2928);
// compiled member node returning call2933 (depth = 3)
  gc_frame_end(frame);
  return call2933;
}
Object meth_ast_2937__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2939 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call2940 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe2939);
// compiled member node returning call2940 (depth = 6)
  int op_slot_right_2938 = gc_frame_newslot(call2940);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_2938 = gc_frame_newslot(*var_acc);
  params[0] = call2940;
  partcv[0] = 1;
  Object opresult2942 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2942 (depth = 5)
  gc_frame_end(frame);
  return opresult2942;
}
Object meth_ast_2934_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2935 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2936 = alloc_Block(NULL, NULL, "ast", 672);
  gc_frame_newslot(block2936);
// method "_apply(_,_)"
  block_savedest(block2936);
  Object closure2937 = createclosure(1, "_apply(2)");
  setclosureframe(closure2937, stackframe);
  addtoclosure(closure2937, selfslot);
  struct UserObject *uo2937 = (struct UserObject*)block2936;
  uo2937->data[0] = (Object)closure2937;
  Method *meth_meth_ast_2937__apply_40_2_41_ = addmethod2pos(block2936, "_apply(2)", &meth_ast_2937__apply_40_2_41_, 0);
  int argcv_meth_ast_2937__apply_40_2_41_[] = {2};
  meth_meth_ast_2937__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_2937__apply_40_2_41_);
  meth_meth_ast_2937__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_2937__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block2936 (depth = 4)
  gc_frame_newslot(block2936);
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2944 == NULL) {
    strlit2944 = alloc_String("");
    gc_root(strlit2944);
  }
// compiled string node returning strlit2944 (depth = 4)
  gc_frame_newslot(strlit2944);
// call case 6: other requests
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2945 = gc_frame_new();
// call case 4: self request
  Object call2946 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2945);
// compiled member node returning call2946 (depth = 4)
  params[0] = block2936;
  params[1] = strlit2944;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2947 = callmethodflags(call2946, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2935);
// compiled call node returning call2947 (depth = 3)
  gc_frame_end(frame);
  return call2947;
}
Object meth_ast_2948_value(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2951 = gc_frame_new();
// call case 4: self request
  Object call2952 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2951);
// compiled member node returning call2952 (depth = 5)
  int op_slot_right_2950 = gc_frame_newslot(call2952);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_2950 = gc_frame_newslot(*var_uninitialized);
  params[0] = call2952;
  partcv[0] = 1;
  Object opresult2954 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult2954 (depth = 4)
  Object if2949 = done;
  if (istrue(opresult2954)) {
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2955 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe2956 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2957 = gc_frame_new();
// call case 4: self request
  Object call2958 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2957);
// compiled member node returning call2958 (depth = 6)
  gc_frame_newslot(call2958);
// starting to compile identifier node (depth = 6)
  Object bool2959 = alloc_Boolean(0);
// compiled identifier node returning bool2959 (depth = 6)
  gc_frame_newslot(bool2959);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call2958;
  params[1] = bool2959;
  partcv[0] = 2;
  Object call2960 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2956);
// compiled call node returning call2960 (depth = 5)
  gc_frame_newslot(call2960);
// call case 4: self request
  params[0] = call2960;
  partcv[0] = 1;
  Object call2961 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2955);
// compiled call node returning call2961 (depth = 4)
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2962 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2963 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2964 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2965 = gc_frame_new();
// call case 4: self request
  Object call2966 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2965);
// compiled member node returning call2966 (depth = 7)
  Object call2967 = callmethodflags(call2966, "first", 0, partcv, params, 0);
  gc_frame_end(callframe2964);
// compiled member node returning call2967 (depth = 6)
  Object call2968 = callmethodflags(call2967, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2963);
// compiled member node returning call2968 (depth = 5)
  gc_frame_newslot(call2968);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2969 = gc_frame_new();
// call case 4: self request
  Object call2970 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2969);
// compiled member node returning call2970 (depth = 5)
  params[0] = call2968;
  partcv[0] = 1;
  Object call2971 = callmethodflags(call2970, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2962);
// compiled call node returning call2971 (depth = 4)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2972 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2973 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2974 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2975 = gc_frame_new();
// call case 4: self request
  Object call2976 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2975);
// compiled member node returning call2976 (depth = 7)
  Object call2977 = callmethodflags(call2976, "first", 0, partcv, params, 0);
  gc_frame_end(callframe2974);
// compiled member node returning call2977 (depth = 6)
  Object call2978 = callmethodflags(call2977, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2973);
// compiled member node returning call2978 (depth = 5)
  gc_frame_newslot(call2978);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2979 = gc_frame_new();
// call case 4: self request
  Object call2980 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2979);
// compiled member node returning call2980 (depth = 5)
  params[0] = call2978;
  partcv[0] = 1;
  Object call2981 = callmethodflags(call2980, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2972);
// compiled call node returning call2981 (depth = 4)
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2982 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2983 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2984 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2985 = gc_frame_new();
// call case 4: self request
  Object call2986 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2985);
// compiled member node returning call2986 (depth = 7)
  Object call2987 = callmethodflags(call2986, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2984);
// compiled member node returning call2987 (depth = 6)
  Object call2988 = callmethodflags(call2987, "end", 0, partcv, params, 0);
  gc_frame_end(callframe2983);
// compiled member node returning call2988 (depth = 5)
  gc_frame_newslot(call2988);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2989 = gc_frame_new();
// call case 4: self request
  Object call2990 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2989);
// compiled member node returning call2990 (depth = 5)
  params[0] = call2988;
  partcv[0] = 1;
  Object call2991 = callmethodflags(call2990, "end:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2982);
// compiled call node returning call2991 (depth = 4)
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2992 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool2993 = alloc_Boolean(1);
// compiled identifier node returning bool2993 (depth = 5)
  gc_frame_newslot(bool2993);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2994 = gc_frame_new();
// call case 4: self request
  Object call2995 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2994);
// compiled member node returning call2995 (depth = 5)
  params[0] = bool2993;
  partcv[0] = 1;
  Object call2996 = callmethodflags(call2995, "isBindingOccurrence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2992);
// compiled call node returning call2996 (depth = 4)
    gc_frame_newslot(call2996);
    if2949 = call2996;
  } else {
  }
// compiled if node returning if2949 (depth = 3)
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2997 = gc_frame_new();
// call case 4: self request
  Object call2998 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2997);
// compiled member node returning call2998 (depth = 3)
  gc_frame_end(frame);
  return call2998;
}
Object meth_ast_2999_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3000 = alloc_Boolean(0);
// compiled identifier node returning bool3000 (depth = 3)
  gc_frame_end(frame);
  return bool3000;
}
Object meth_ast_3007__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 7)
  int callframe3008 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3009 = callmethodflags(*var_b, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3008);
// compiled call node returning call3009 (depth = 7)
  gc_frame_end(frame);
  return call3009;
}
Object meth_ast_3004__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3005 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3006 = alloc_Block(NULL, NULL, "ast", 688);
  gc_frame_newslot(block3006);
// method "_apply(_)"
  block_savedest(block3006);
  Object closure3007 = createclosure(2, "_apply(1)");
  setclosureframe(closure3007, stackframe);
  addtoclosure(closure3007, var_b);
  addtoclosure(closure3007, selfslot);
  struct UserObject *uo3007 = (struct UserObject*)block3006;
  uo3007->data[0] = (Object)closure3007;
  Method *meth_meth_ast_3007__apply_40_1_41_ = addmethod2pos(block3006, "_apply(1)", &meth_ast_3007__apply_40_1_41_, 0);
  int argcv_meth_ast_3007__apply_40_1_41_[] = {1};
  meth_meth_ast_3007__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3007__apply_40_1_41_);
  meth_meth_ast_3007__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3007__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3006 (depth = 6)
  gc_frame_newslot(block3006);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3011 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call3012 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3011);
// compiled member node returning call3012 (depth = 6)
  params[0] = block3006;
  partcv[0] = 1;
  Object call3013 = callmethodflags(call3012, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3005);
// compiled call node returning call3013 (depth = 5)
  gc_frame_end(frame);
  return call3013;
}
Object meth_ast_3001_parametersDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parametersDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parametersDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parametersDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3002 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3003 = alloc_Block(NULL, NULL, "ast", 687);
  gc_frame_newslot(block3003);
// method "_apply(_)"
  block_savedest(block3003);
  Object closure3004 = createclosure(2, "_apply(1)");
  setclosureframe(closure3004, stackframe);
  addtoclosure(closure3004, var_b);
  addtoclosure(closure3004, selfslot);
  struct UserObject *uo3004 = (struct UserObject*)block3003;
  uo3004->data[0] = (Object)closure3004;
  Method *meth_meth_ast_3004__apply_40_1_41_ = addmethod2pos(block3003, "_apply(1)", &meth_ast_3004__apply_40_1_41_, 0);
  int argcv_meth_ast_3004__apply_40_1_41_[] = {1};
  meth_meth_ast_3004__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3004__apply_40_1_41_);
  meth_meth_ast_3004__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3004__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3003 (depth = 4)
  gc_frame_newslot(block3003);
// call case 6: other requests
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3015 = gc_frame_new();
// call case 4: self request
  Object call3016 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3015);
// compiled member node returning call3016 (depth = 4)
  params[0] = block3003;
  partcv[0] = 1;
  Object call3017 = callmethodflags(call3016, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3002);
// compiled call node returning call3017 (depth = 3)
  gc_frame_end(frame);
  return call3017;
}
Object meth_ast_3018_scope_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3019 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call3020 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3019);
// compiled call node returning call3020 (depth = 3)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3021 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3022 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3021);
// compiled call node returning call3022 (depth = 3)
  gc_frame_end(frame);
  return call3022;
}
Object meth_ast_3023_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3024 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3025 = callmethodflags(*var_k, "typedec", 0, partcv, params, 0);
  gc_frame_end(callframe3024);
// compiled member node returning call3025 (depth = 3)
  gc_frame_end(frame);
  return call3025;
}
Object meth_ast_3058__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3059 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3060 = callmethodflags(*var_part, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3059);
// compiled call node returning call3060 (depth = 6)
  gc_frame_end(frame);
  return call3060;
}
Object meth_ast_3026_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3028 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3029 = callmethodflags(*var_visitor, "visitMethodType(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3028);
// compiled call node returning call3029 (depth = 4)
  Object if3027 = done;
  if (istrue(call3029)) {
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3030 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3031 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3030);
// compiled call node returning call3031 (depth = 5)
  *var_newChain = call3031;
  if (call3031 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3034 = gc_frame_new();
// call case 4: self request
  Object call3035 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3034);
// compiled member node returning call3035 (depth = 6)
  int op_slot_right_3033 = gc_frame_newslot(call3035);
// starting to compile identifier node (depth = 6)
  Object bool3037 = alloc_Boolean(0);
// compiled identifier node returning bool3037 (depth = 6)
  int op_slot_left_3033 = gc_frame_newslot(bool3037);
  params[0] = call3035;
  partcv[0] = 1;
  Object opresult3038 = callmethod(bool3037, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3038 (depth = 5)
  Object if3032 = done;
  if (istrue(opresult3038)) {
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3039 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3040 = gc_frame_new();
// call case 4: self request
  Object call3041 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3040);
// compiled member node returning call3041 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3042 = callmethodflags(call3041, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3039);
// compiled call node returning call3042 (depth = 5)
    gc_frame_newslot(call3042);
    if3032 = call3042;
  } else {
  }
// compiled if node returning if3032 (depth = 4)
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3045 = gc_frame_new();
// call case 4: self request
  Object call3046 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3045);
// compiled member node returning call3046 (depth = 6)
  int op_slot_right_3044 = gc_frame_newslot(call3046);
// starting to compile identifier node (depth = 6)
  Object bool3048 = alloc_Boolean(0);
// compiled identifier node returning bool3048 (depth = 6)
  int op_slot_left_3044 = gc_frame_newslot(bool3048);
  params[0] = call3046;
  partcv[0] = 1;
  Object opresult3049 = callmethod(bool3048, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3049 (depth = 5)
  Object if3043 = done;
  if (istrue(opresult3049)) {
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3050 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3051 = gc_frame_new();
// call case 4: self request
  Object call3052 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3051);
// compiled member node returning call3052 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3053 = callmethodflags(call3052, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3050);
// compiled call node returning call3053 (depth = 5)
    gc_frame_newslot(call3053);
    if3043 = call3053;
  } else {
  }
// compiled if node returning if3043 (depth = 4)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3054 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3055 = gc_frame_new();
// call case 4: self request
  Object call3056 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3055);
// compiled member node returning call3056 (depth = 5)
  gc_frame_newslot(call3056);
// starting to compile block node (depth = 5)
  Object block3057 = alloc_Block(NULL, NULL, "ast", 707);
  gc_frame_newslot(block3057);
// method "_apply(_)"
  block_savedest(block3057);
  Object closure3058 = createclosure(3, "_apply(1)");
  setclosureframe(closure3058, stackframe);
  addtoclosure(closure3058, var_visitor);
  addtoclosure(closure3058, var_newChain);
  addtoclosure(closure3058, selfslot);
  struct UserObject *uo3058 = (struct UserObject*)block3057;
  uo3058->data[0] = (Object)closure3058;
  Method *meth_meth_ast_3058__apply_40_1_41_ = addmethod2pos(block3057, "_apply(1)", &meth_ast_3058__apply_40_1_41_, 0);
  int argcv_meth_ast_3058__apply_40_1_41_[] = {1};
  meth_meth_ast_3058__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3058__apply_40_1_41_);
  meth_meth_ast_3058__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3058__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3057 (depth = 5)
  gc_frame_newslot(block3057);
// call case 5: prelude request
  params[0] = call3056;
  params[1] = block3057;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3062 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3054);
// compiled call node returning call3062 (depth = 4)
    gc_frame_newslot(call3062);
    if3027 = call3062;
  } else {
  }
// compiled if node returning if3027 (depth = 3)
  gc_frame_end(frame);
  return if3027;
}
Object meth_ast_3063_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3064 = gc_frame_new();
// call case 4: self request
  Object call3065 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3064);
// compiled member node returning call3065 (depth = 4)
  *var_n = call3065;
  if (call3065 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3066 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3067 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3066);
// compiled call node returning call3067 (depth = 4)
  *var_newChain = call3067;
  if (call3067 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3068 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3069 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3070 = gc_frame_new();
// call case 4: self request
  Object call3071 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3070);
// compiled member node returning call3071 (depth = 5)
  gc_frame_newslot(call3071);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3071;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3072 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3069);
// compiled call node returning call3072 (depth = 4)
  gc_frame_newslot(call3072);
// call case 6: other requests
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3072;
  partcv[0] = 1;
  Object call3073 = callmethodflags(*var_n, "rtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3068);
// compiled call node returning call3073 (depth = 3)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3074 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3075 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3076 = gc_frame_new();
// call case 4: self request
  Object call3077 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3076);
// compiled member node returning call3077 (depth = 5)
  gc_frame_newslot(call3077);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3077;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3078 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3075);
// compiled call node returning call3078 (depth = 4)
  gc_frame_newslot(call3078);
// call case 6: other requests
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3078;
  partcv[0] = 1;
  Object call3079 = callmethodflags(*var_n, "signature:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3074);
// compiled call node returning call3079 (depth = 3)
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3080 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3081 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3082 = gc_frame_new();
// call case 4: self request
  Object call3083 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3082);
// compiled member node returning call3083 (depth = 5)
  gc_frame_newslot(call3083);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3083;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3084 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3081);
// compiled call node returning call3084 (depth = 4)
  gc_frame_newslot(call3084);
// call case 6: other requests
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3084;
  partcv[0] = 1;
  Object call3085 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3080);
// compiled call node returning call3085 (depth = 3)
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3086 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3087 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3086);
// compiled call node returning call3087 (depth = 3)
  gc_frame_end(frame);
  return call3087;
}
Object meth_ast_3228__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3230 == NULL) {
    strlit3230 = alloc_String("");
    gc_root(strlit3230);
  }
// compiled string node returning strlit3230 (depth = 7)
  int op_slot_right_3229 = gc_frame_newslot(strlit3230);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3233 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3235 = alloc_Float64(2);
// compiled num node returning num3235 (depth = 10)
  int op_slot_right_3234 = gc_frame_newslot(num3235);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_3234 = gc_frame_newslot(*var_depth);
  params[0] = num3235;
  partcv[0] = 1;
  Object sum3237 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3237 (depth = 9)
  gc_frame_newslot(sum3237);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  params[0] = sum3237;
  partcv[0] = 1;
  Object call3238 = callmethodflags(*var_part, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3233);
// compiled call node returning call3238 (depth = 8)
  int op_slot_right_3232 = gc_frame_newslot(call3238);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3241 == NULL) {
    strlit3241 = alloc_String("");
    gc_root(strlit3241);
  }
// compiled string node returning strlit3241 (depth = 9)
  int op_slot_right_3240 = gc_frame_newslot(strlit3241);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_3243 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3246 == NULL) {
    strlit3246 = alloc_String("""\x0a""  ");
    gc_root(strlit3246);
  }
// compiled string node returning strlit3246 (depth = 11)
  int op_slot_right_3245 = gc_frame_newslot(strlit3246);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_3248 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit3250 == NULL) {
    strlit3250 = alloc_String("");
    gc_root(strlit3250);
  }
// compiled string node returning strlit3250 (depth = 12)
  int op_slot_left_3248 = gc_frame_newslot(strlit3250);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3251 = callmethod(strlit3250, "++(1)", 1, partcv, params);
// compiled op node returning opresult3251 (depth = 11)
  int op_slot_left_3245 = gc_frame_newslot(opresult3251);
  params[0] = strlit3246;
  partcv[0] = 1;
  Object opresult3252 = callmethod(opresult3251, "++(1)", 1, partcv, params);
// compiled op node returning opresult3252 (depth = 10)
  int op_slot_left_3243 = gc_frame_newslot(opresult3252);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3253 = callmethod(opresult3252, "++(1)", 1, partcv, params);
// compiled op node returning opresult3253 (depth = 9)
  int op_slot_left_3240 = gc_frame_newslot(opresult3253);
  params[0] = strlit3241;
  partcv[0] = 1;
  Object opresult3254 = callmethod(opresult3253, "++(1)", 1, partcv, params);
// compiled op node returning opresult3254 (depth = 8)
  int op_slot_left_3232 = gc_frame_newslot(opresult3254);
  params[0] = call3238;
  partcv[0] = 1;
  Object opresult3255 = callmethod(opresult3254, "++(1)", 1, partcv, params);
// compiled op node returning opresult3255 (depth = 7)
  int op_slot_left_3229 = gc_frame_newslot(opresult3255);
  params[0] = strlit3230;
  partcv[0] = 1;
  Object opresult3256 = callmethod(opresult3255, "++(1)", 1, partcv, params);
// compiled op node returning opresult3256 (depth = 6)
  *var_s = opresult3256;
  if (opresult3256 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_3088_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3091 = alloc_Float64(1);
// compiled num node returning num3091 (depth = 6)
  int op_slot_right_3090 = gc_frame_newslot(num3091);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3090 = gc_frame_newslot(*var_depth);
  params[0] = num3091;
  partcv[0] = 1;
  Object sum3093 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3093 (depth = 5)
  int op_slot_right_3089 = gc_frame_newslot(sum3093);
// starting to compile string node (depth = 5)
  if (strlit3095 == NULL) {
    strlit3095 = alloc_String("  ");
    gc_root(strlit3095);
  }
// compiled string node returning strlit3095 (depth = 5)
  int op_slot_left_3089 = gc_frame_newslot(strlit3095);
  params[0] = sum3093;
  partcv[0] = 1;
  Object prod3096 = callmethod(strlit3095, "*(1)", 1, partcv, params);
// compiled op node returning prod3096 (depth = 4)
  *var_spc = prod3096;
  if (prod3096 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3098 == NULL) {
    strlit3098 = alloc_String("""\x0a""");
    gc_root(strlit3098);
  }
// compiled string node returning strlit3098 (depth = 5)
  int op_slot_right_3097 = gc_frame_newslot(strlit3098);
// starting to compile call node (depth = 5)
  int callframe3100 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3101 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3100);
// compiled call node returning call3101 (depth = 5)
  int op_slot_left_3097 = gc_frame_newslot(call3101);
  params[0] = strlit3098;
  partcv[0] = 1;
  Object opresult3102 = callmethod(call3101, "++(1)", 1, partcv, params);
// compiled op node returning opresult3102 (depth = 4)
  *var_s = opresult3102;
  if (opresult3102 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3104 == NULL) {
    strlit3104 = alloc_String("""\x0a""");
    gc_root(strlit3104);
  }
// compiled string node returning strlit3104 (depth = 5)
  int op_slot_right_3103 = gc_frame_newslot(strlit3104);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3107 = gc_frame_new();
// call case 4: self request
  Object call3108 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3107);
// compiled member node returning call3108 (depth = 6)
  int op_slot_right_3106 = gc_frame_newslot(call3108);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3111 == NULL) {
    strlit3111 = alloc_String("Name: ");
    gc_root(strlit3111);
  }
// compiled string node returning strlit3111 (depth = 7)
  int op_slot_right_3110 = gc_frame_newslot(strlit3111);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3113 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3116 == NULL) {
    strlit3116 = alloc_String("");
    gc_root(strlit3116);
  }
// compiled string node returning strlit3116 (depth = 9)
  int op_slot_right_3115 = gc_frame_newslot(strlit3116);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_3118 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit3120 == NULL) {
    strlit3120 = alloc_String("");
    gc_root(strlit3120);
  }
// compiled string node returning strlit3120 (depth = 10)
  int op_slot_left_3118 = gc_frame_newslot(strlit3120);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3121 = callmethod(strlit3120, "++(1)", 1, partcv, params);
// compiled op node returning opresult3121 (depth = 9)
  int op_slot_left_3115 = gc_frame_newslot(opresult3121);
  params[0] = strlit3116;
  partcv[0] = 1;
  Object opresult3122 = callmethod(opresult3121, "++(1)", 1, partcv, params);
// compiled op node returning opresult3122 (depth = 8)
  int op_slot_left_3113 = gc_frame_newslot(opresult3122);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3123 = callmethod(opresult3122, "++(1)", 1, partcv, params);
// compiled op node returning opresult3123 (depth = 7)
  int op_slot_left_3110 = gc_frame_newslot(opresult3123);
  params[0] = strlit3111;
  partcv[0] = 1;
  Object opresult3124 = callmethod(opresult3123, "++(1)", 1, partcv, params);
// compiled op node returning opresult3124 (depth = 6)
  int op_slot_left_3106 = gc_frame_newslot(opresult3124);
  params[0] = call3108;
  partcv[0] = 1;
  Object opresult3125 = callmethod(opresult3124, "++(1)", 1, partcv, params);
// compiled op node returning opresult3125 (depth = 5)
  int op_slot_left_3103 = gc_frame_newslot(opresult3125);
  params[0] = strlit3104;
  partcv[0] = 1;
  Object opresult3126 = callmethod(opresult3125, "++(1)", 1, partcv, params);
// compiled op node returning opresult3126 (depth = 4)
  *var_s = opresult3126;
  if (opresult3126 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3130 = gc_frame_new();
// call case 4: self request
  Object call3131 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3130);
// compiled member node returning call3131 (depth = 5)
  int op_slot_right_3129 = gc_frame_newslot(call3131);
// starting to compile identifier node (depth = 5)
  Object bool3133 = alloc_Boolean(0);
// compiled identifier node returning bool3133 (depth = 5)
  int op_slot_left_3129 = gc_frame_newslot(bool3133);
  params[0] = call3131;
  partcv[0] = 1;
  Object opresult3134 = callmethod(bool3133, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3134 (depth = 4)
  Object if3128 = done;
  if (istrue(opresult3134)) {
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3136 == NULL) {
    strlit3136 = alloc_String("");
    gc_root(strlit3136);
  }
// compiled string node returning strlit3136 (depth = 6)
  int op_slot_right_3135 = gc_frame_newslot(strlit3136);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3139 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3141 = alloc_Float64(2);
// compiled num node returning num3141 (depth = 9)
  int op_slot_right_3140 = gc_frame_newslot(num3141);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3140 = gc_frame_newslot(*var_depth);
  params[0] = num3141;
  partcv[0] = 1;
  Object sum3143 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3143 (depth = 8)
  gc_frame_newslot(sum3143);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3144 = gc_frame_new();
// call case 4: self request
  Object call3145 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3144);
// compiled member node returning call3145 (depth = 8)
  params[0] = sum3143;
  partcv[0] = 1;
  Object call3146 = callmethodflags(call3145, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3139);
// compiled call node returning call3146 (depth = 7)
  int op_slot_right_3138 = gc_frame_newslot(call3146);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3149 == NULL) {
    strlit3149 = alloc_String("");
    gc_root(strlit3149);
  }
// compiled string node returning strlit3149 (depth = 8)
  int op_slot_right_3148 = gc_frame_newslot(strlit3149);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3151 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3154 == NULL) {
    strlit3154 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit3154);
  }
// compiled string node returning strlit3154 (depth = 10)
  int op_slot_right_3153 = gc_frame_newslot(strlit3154);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_3156 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3159 == NULL) {
    strlit3159 = alloc_String("");
    gc_root(strlit3159);
  }
// compiled string node returning strlit3159 (depth = 12)
  int op_slot_right_3158 = gc_frame_newslot(strlit3159);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_3161 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit3163 == NULL) {
    strlit3163 = alloc_String("");
    gc_root(strlit3163);
  }
// compiled string node returning strlit3163 (depth = 13)
  int op_slot_left_3161 = gc_frame_newslot(strlit3163);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3164 = callmethod(strlit3163, "++(1)", 1, partcv, params);
// compiled op node returning opresult3164 (depth = 12)
  int op_slot_left_3158 = gc_frame_newslot(opresult3164);
  params[0] = strlit3159;
  partcv[0] = 1;
  Object opresult3165 = callmethod(opresult3164, "++(1)", 1, partcv, params);
// compiled op node returning opresult3165 (depth = 11)
  int op_slot_left_3156 = gc_frame_newslot(opresult3165);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3166 = callmethod(opresult3165, "++(1)", 1, partcv, params);
// compiled op node returning opresult3166 (depth = 10)
  int op_slot_left_3153 = gc_frame_newslot(opresult3166);
  params[0] = strlit3154;
  partcv[0] = 1;
  Object opresult3167 = callmethod(opresult3166, "++(1)", 1, partcv, params);
// compiled op node returning opresult3167 (depth = 9)
  int op_slot_left_3151 = gc_frame_newslot(opresult3167);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3168 = callmethod(opresult3167, "++(1)", 1, partcv, params);
// compiled op node returning opresult3168 (depth = 8)
  int op_slot_left_3148 = gc_frame_newslot(opresult3168);
  params[0] = strlit3149;
  partcv[0] = 1;
  Object opresult3169 = callmethod(opresult3168, "++(1)", 1, partcv, params);
// compiled op node returning opresult3169 (depth = 7)
  int op_slot_left_3138 = gc_frame_newslot(opresult3169);
  params[0] = call3146;
  partcv[0] = 1;
  Object opresult3170 = callmethod(opresult3169, "++(1)", 1, partcv, params);
// compiled op node returning opresult3170 (depth = 6)
  int op_slot_left_3135 = gc_frame_newslot(opresult3170);
  params[0] = strlit3136;
  partcv[0] = 1;
  Object opresult3171 = callmethod(opresult3170, "++(1)", 1, partcv, params);
// compiled op node returning opresult3171 (depth = 5)
  *var_s = opresult3171;
  if (opresult3171 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3128 = done;
  } else {
  }
// compiled if node returning if3128 (depth = 3)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3175 = gc_frame_new();
// call case 4: self request
  Object call3176 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3175);
// compiled member node returning call3176 (depth = 5)
  int op_slot_right_3174 = gc_frame_newslot(call3176);
// starting to compile identifier node (depth = 5)
  Object bool3178 = alloc_Boolean(0);
// compiled identifier node returning bool3178 (depth = 5)
  int op_slot_left_3174 = gc_frame_newslot(bool3178);
  params[0] = call3176;
  partcv[0] = 1;
  Object opresult3179 = callmethod(bool3178, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3179 (depth = 4)
  Object if3173 = done;
  if (istrue(opresult3179)) {
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3181 == NULL) {
    strlit3181 = alloc_String("TypeParams:""\x0a""");
    gc_root(strlit3181);
  }
// compiled string node returning strlit3181 (depth = 6)
  int op_slot_right_3180 = gc_frame_newslot(strlit3181);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3183 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3186 == NULL) {
    strlit3186 = alloc_String("""\x0a""");
    gc_root(strlit3186);
  }
// compiled string node returning strlit3186 (depth = 8)
  int op_slot_right_3185 = gc_frame_newslot(strlit3186);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_3188 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit3190 == NULL) {
    strlit3190 = alloc_String("");
    gc_root(strlit3190);
  }
// compiled string node returning strlit3190 (depth = 9)
  int op_slot_left_3188 = gc_frame_newslot(strlit3190);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3191 = callmethod(strlit3190, "++(1)", 1, partcv, params);
// compiled op node returning opresult3191 (depth = 8)
  int op_slot_left_3185 = gc_frame_newslot(opresult3191);
  params[0] = strlit3186;
  partcv[0] = 1;
  Object opresult3192 = callmethod(opresult3191, "++(1)", 1, partcv, params);
// compiled op node returning opresult3192 (depth = 7)
  int op_slot_left_3183 = gc_frame_newslot(opresult3192);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3193 = callmethod(opresult3192, "++(1)", 1, partcv, params);
// compiled op node returning opresult3193 (depth = 6)
  int op_slot_left_3180 = gc_frame_newslot(opresult3193);
  params[0] = strlit3181;
  partcv[0] = 1;
  Object opresult3194 = callmethod(opresult3193, "++(1)", 1, partcv, params);
// compiled op node returning opresult3194 (depth = 5)
  *var_s = opresult3194;
  if (opresult3194 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3197 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3199 = alloc_Float64(2);
// compiled num node returning num3199 (depth = 8)
  int op_slot_right_3198 = gc_frame_newslot(num3199);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3198 = gc_frame_newslot(*var_depth);
  params[0] = num3199;
  partcv[0] = 1;
  Object sum3201 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3201 (depth = 7)
  gc_frame_newslot(sum3201);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3202 = gc_frame_new();
// call case 4: self request
  Object call3203 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3202);
// compiled member node returning call3203 (depth = 7)
  params[0] = sum3201;
  partcv[0] = 1;
  Object call3204 = callmethodflags(call3203, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3197);
// compiled call node returning call3204 (depth = 6)
  int op_slot_right_3196 = gc_frame_newslot(call3204);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3196 = gc_frame_newslot(*var_s);
  params[0] = call3204;
  partcv[0] = 1;
  Object opresult3206 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3206 (depth = 5)
  *var_s = opresult3206;
  if (opresult3206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3173 = done;
  } else {
  }
// compiled if node returning if3173 (depth = 3)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3209 == NULL) {
    strlit3209 = alloc_String("Signature:");
    gc_root(strlit3209);
  }
// compiled string node returning strlit3209 (depth = 5)
  int op_slot_right_3208 = gc_frame_newslot(strlit3209);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3211 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3214 == NULL) {
    strlit3214 = alloc_String("""\x0a""");
    gc_root(strlit3214);
  }
// compiled string node returning strlit3214 (depth = 7)
  int op_slot_right_3213 = gc_frame_newslot(strlit3214);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_3216 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit3218 == NULL) {
    strlit3218 = alloc_String("");
    gc_root(strlit3218);
  }
// compiled string node returning strlit3218 (depth = 8)
  int op_slot_left_3216 = gc_frame_newslot(strlit3218);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3219 = callmethod(strlit3218, "++(1)", 1, partcv, params);
// compiled op node returning opresult3219 (depth = 7)
  int op_slot_left_3213 = gc_frame_newslot(opresult3219);
  params[0] = strlit3214;
  partcv[0] = 1;
  Object opresult3220 = callmethod(opresult3219, "++(1)", 1, partcv, params);
// compiled op node returning opresult3220 (depth = 6)
  int op_slot_left_3211 = gc_frame_newslot(opresult3220);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3221 = callmethod(opresult3220, "++(1)", 1, partcv, params);
// compiled op node returning opresult3221 (depth = 5)
  int op_slot_left_3208 = gc_frame_newslot(opresult3221);
  params[0] = strlit3209;
  partcv[0] = 1;
  Object opresult3222 = callmethod(opresult3221, "++(1)", 1, partcv, params);
// compiled op node returning opresult3222 (depth = 4)
  *var_s = opresult3222;
  if (opresult3222 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3224 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3225 = gc_frame_new();
// call case 4: self request
  Object call3226 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3225);
// compiled member node returning call3226 (depth = 4)
  gc_frame_newslot(call3226);
// starting to compile block node (depth = 4)
  Object block3227 = alloc_Block(NULL, NULL, "ast", 732);
  gc_frame_newslot(block3227);
// method "_apply(_)"
  block_savedest(block3227);
  Object closure3228 = createclosure(4, "_apply(1)");
  setclosureframe(closure3228, stackframe);
  addtoclosure(closure3228, var_depth);
  addtoclosure(closure3228, var_spc);
  addtoclosure(closure3228, var_s);
  addtoclosure(closure3228, selfslot);
  struct UserObject *uo3228 = (struct UserObject*)block3227;
  uo3228->data[0] = (Object)closure3228;
  Method *meth_meth_ast_3228__apply_40_1_41_ = addmethod2pos(block3227, "_apply(1)", &meth_ast_3228__apply_40_1_41_, 0);
  int argcv_meth_ast_3228__apply_40_1_41_[] = {1};
  meth_meth_ast_3228__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3228__apply_40_1_41_);
  meth_meth_ast_3228__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3228__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3227 (depth = 4)
  gc_frame_newslot(block3227);
// call case 5: prelude request
  params[0] = call3226;
  params[1] = block3227;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3259 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3224);
// compiled call node returning call3259 (depth = 3)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_3264__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3266 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3268 = alloc_Float64(1);
// compiled num node returning num3268 (depth = 9)
  int op_slot_right_3267 = gc_frame_newslot(num3268);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3267 = gc_frame_newslot(*var_depth);
  params[0] = num3268;
  partcv[0] = 1;
  Object sum3270 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3270 (depth = 8)
  gc_frame_newslot(sum3270);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum3270;
  partcv[0] = 1;
  Object call3271 = callmethodflags(*var_part, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3266);
// compiled call node returning call3271 (depth = 7)
  int op_slot_right_3265 = gc_frame_newslot(call3271);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3265 = gc_frame_newslot(*var_s);
  params[0] = call3271;
  partcv[0] = 1;
  Object opresult3273 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3273 (depth = 6)
  *var_s = opresult3273;
  if (opresult3273 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_3260_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3261 == NULL) {
    strlit3261 = alloc_String("");
    gc_root(strlit3261);
  }
// compiled string node returning strlit3261 (depth = 4)
  *var_s = strlit3261;
  if (strlit3261 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3262 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3263 = alloc_Block(NULL, NULL, "ast", 739);
  gc_frame_newslot(block3263);
// method "_apply(_)"
  block_savedest(block3263);
  Object closure3264 = createclosure(3, "_apply(1)");
  setclosureframe(closure3264, stackframe);
  addtoclosure(closure3264, var_depth);
  addtoclosure(closure3264, var_s);
  addtoclosure(closure3264, selfslot);
  struct UserObject *uo3264 = (struct UserObject*)block3263;
  uo3264->data[0] = (Object)closure3264;
  Method *meth_meth_ast_3264__apply_40_1_41_ = addmethod2pos(block3263, "_apply(1)", &meth_ast_3264__apply_40_1_41_, 0);
  int argcv_meth_ast_3264__apply_40_1_41_[] = {1};
  meth_meth_ast_3264__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3264__apply_40_1_41_);
  meth_meth_ast_3264__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3264__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3263 (depth = 4)
  gc_frame_newslot(block3263);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3276 = gc_frame_new();
// call case 4: self request
  Object call3277 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3276);
// compiled member node returning call3277 (depth = 4)
  params[0] = block3263;
  partcv[0] = 1;
  Object call3278 = callmethodflags(call3277, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3262);
// compiled call node returning call3278 (depth = 3)
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_3279_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3280 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3281 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3282 = gc_frame_new();
// call case 4: self request
  Object call3283 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3282);
// compiled member node returning call3283 (depth = 5)
  gc_frame_newslot(call3283);
// starting to compile member node (depth = 5)
  int callframe3284 = gc_frame_new();
// call case 4: self request
  Object call3285 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3284);
// compiled member node returning call3285 (depth = 5)
  gc_frame_newslot(call3285);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodTypeNode (depth = 5)
  params[0] = call3283;
  params[1] = call3285;
  partcv[0] = 2;
  Object call3286 = callmethodflags(*var_methodTypeNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3281);
// compiled call node returning call3286 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3287 = callmethodflags(call3286, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3280);
// compiled call node returning call3287 (depth = 3)
  gc_frame_end(frame);
  return call3287;
}
Object meth_ast_2908_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodTypeNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[1]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2909 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2909 = alloc_userobj2(21,18, objclass2909);
  gc_frame_newslot(obj2909);
  if (objclass2909 == NULL) {
    glfree(obj2909->class->name);
    obj2909->class->name = "methodTypeNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2909, self, 0);
  addmethodreal(obj2909,"outer", &reader_ast_outer_2910);
  Object oldself2909 = self;
  struct StackFrameObject *oldstackframe2909 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2909);
  gc_frame_newslot((Object)stackframe);
  self = obj2909;
  Object *oldselfslot2909 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2909 = (*(struct UserObject *)self).data[0], lowerouter2909 = thisouter2909;
  if (inheritingObject2909) {
    struct UserObject *inho2909 = (struct UserObject *)inheritingObject2909;
    while (inho2909->super != GraceDefaultObject) inho2909 = (struct UserObject *)inho2909->super;
    inho2909->super = obj2909;
    self = inheritingObject2909;
    *selfslot = self;
    lowerouter2909 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2909;
  }
  if (objclass2909 == NULL) {
  Method *reader2911 = addmethodrealflags(obj2909, "kind",&reader_ast_kind_2911, MFLAG_DEF);
  reader2911->definitionModule = modulename;
  reader2911->definitionLine = 660;
  }
  adddatum2(obj2909, alloc_Undefined(), 1);
  if (objclass2909 == NULL) {
    Method *reader2912 = addmethodrealflags(obj2909, "signature", &reader_ast_signature_2912, 0);
    Method *writer2912 = addmethodrealflags(obj2909, "signature:=(1)", &writer_ast_signature_2912, 0);
    reader2912->definitionModule = modulename;
    writer2912->definitionModule = modulename;
    reader2912->definitionLine = 661;
    writer2912->definitionLine = 661;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 2);
  if (objclass2909 == NULL) {
    Method *reader2913 = addmethodrealflags(obj2909, "rtype", &reader_ast_rtype_2913, 0);
    Method *writer2913 = addmethodrealflags(obj2909, "rtype:=(1)", &writer_ast_rtype_2913, 0);
    reader2913->definitionModule = modulename;
    writer2913->definitionModule = modulename;
    reader2913->definitionLine = 662;
    writer2913->definitionLine = 662;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 3);
  if (objclass2909 == NULL) {
    Method *reader2914 = addmethodrealflags(obj2909, "typeParams", &reader_ast_typeParams_2914, 0);
    Method *writer2914 = addmethodrealflags(obj2909, "typeParams:=(1)", &writer_ast_typeParams_2914, 0);
    reader2914->definitionModule = modulename;
    writer2914->definitionModule = modulename;
    reader2914->definitionLine = 663;
    writer2914->definitionLine = 663;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 4);
  if (objclass2909 == NULL) {
    Method *reader2915 = addmethodrealflags(obj2909, "cachedIdentifier", &reader_ast_cachedIdentifier_2915, MFLAG_CONFIDENTIAL);
    Method *writer2915 = addmethodrealflags(obj2909, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_2915, MFLAG_CONFIDENTIAL);
    reader2915->definitionModule = modulename;
    writer2915->definitionModule = modulename;
    reader2915->definitionLine = 664;
    writer2915->definitionLine = 664;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo2916 = (struct UserObject*)obj2909;
  uo2916->data[6] = emptyclosure;
  Method *meth_meth_ast_2916_end = addmethod2pos(obj2909, "end", &meth_ast_2916_end, 6);
  int argcv_meth_ast_2916_end[] = {0};
  meth_meth_ast_2916_end->type = alloc_MethodType(1, argcv_meth_ast_2916_end);
  meth_meth_ast_2916_end->definitionModule = modulename;
  meth_meth_ast_2916_end->definitionLine = 666;
// method "nameString"
  struct UserObject *uo2934 = (struct UserObject*)obj2909;
  uo2934->data[7] = emptyclosure;
  Method *meth_meth_ast_2934_nameString = addmethod2pos(obj2909, "nameString", &meth_ast_2934_nameString, 7);
  int argcv_meth_ast_2934_nameString[] = {0};
  meth_meth_ast_2934_nameString->type = alloc_MethodType(1, argcv_meth_ast_2934_nameString);
  meth_meth_ast_2934_nameString->definitionModule = modulename;
  meth_meth_ast_2934_nameString->definitionLine = 671;
// method "value"
  block_savedest(obj2909);
  Object closure2948 = createclosure(2, "value");
  setclosureframe(closure2948, stackframe);
  addtoclosure(closure2948, var_uninitialized);
  addtoclosure(closure2948, var_identifierNode);
  struct UserObject *uo2948 = (struct UserObject*)obj2909;
  uo2948->data[8] = (Object)closure2948;
  Method *meth_meth_ast_2948_value = addmethod2pos(obj2909, "value", &meth_ast_2948_value, 8);
  int argcv_meth_ast_2948_value[] = {0};
  meth_meth_ast_2948_value->type = alloc_MethodType(1, argcv_meth_ast_2948_value);
  meth_meth_ast_2948_value->definitionModule = modulename;
  meth_meth_ast_2948_value->definitionLine = 675;
// method "isExecutable"
  struct UserObject *uo2999 = (struct UserObject*)obj2909;
  uo2999->data[9] = emptyclosure;
  Method *meth_meth_ast_2999_isExecutable = addmethod2pos(obj2909, "isExecutable", &meth_ast_2999_isExecutable, 9);
  int argcv_meth_ast_2999_isExecutable[] = {0};
  meth_meth_ast_2999_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_2999_isExecutable);
  meth_meth_ast_2999_isExecutable->definitionModule = modulename;
  meth_meth_ast_2999_isExecutable->definitionLine = 685;
// method "parametersDo(_)"
  struct UserObject *uo3001 = (struct UserObject*)obj2909;
  uo3001->data[10] = emptyclosure;
  Method *meth_meth_ast_3001_parametersDo_40_1_41_ = addmethod2pos(obj2909, "parametersDo(1)", &meth_ast_3001_parametersDo_40_1_41_, 10);
  int argcv_meth_ast_3001_parametersDo_40_1_41_[] = {1};
  meth_meth_ast_3001_parametersDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3001_parametersDo_40_1_41_);
  meth_meth_ast_3001_parametersDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3001_parametersDo_40_1_41_->definitionLine = 686;
// method "scope:=(_)"
  struct UserObject *uo3018 = (struct UserObject*)obj2909;
  uo3018->data[11] = emptyclosure;
  Method *meth_meth_ast_3018_scope_58__61__40_1_41_ = addmethod2pos(obj2909, "scope:=(1)", &meth_ast_3018_scope_58__61__40_1_41_, 11);
  int argcv_meth_ast_3018_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_3018_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3018_scope_58__61__40_1_41_);
  meth_meth_ast_3018_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_3018_scope_58__61__40_1_41_->definitionLine = 691;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj2909);
  Object closure3023 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3023, stackframe);
  addtoclosure(closure3023, var_k);
  struct UserObject *uo3023 = (struct UserObject*)obj2909;
  uo3023->data[12] = (Object)closure3023;
  Method *meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj2909, "declarationKindWithAncestors(1)", &meth_ast_3023_declarationKindWithAncestors_40_1_41_, 12);
  int argcv_meth_ast_3023_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3023_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_->definitionLine = 697;
// method "accept(_)from(_)"
  struct UserObject *uo3026 = (struct UserObject*)obj2909;
  uo3026->data[13] = emptyclosure;
  Method *meth_meth_ast_3026_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj2909, "accept(1)from(1)", &meth_ast_3026_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_3026_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_3026_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3026_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_3026_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3026_accept_40_1_41_from_40_1_41_->definitionLine = 698;
// method "map(_)ancestors(_)"
  struct UserObject *uo3063 = (struct UserObject*)obj2909;
  uo3063->data[14] = emptyclosure;
  Method *meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj2909, "map(1)ancestors(1)", &meth_ast_3063_map_40_1_41_ancestors_40_1_41_, 14);
  int argcv_meth_ast_3063_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3063_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_->definitionLine = 712;
// method "pretty(_)"
  struct UserObject *uo3088 = (struct UserObject*)obj2909;
  uo3088->data[15] = emptyclosure;
  Method *meth_meth_ast_3088_pretty_40_1_41_ = addmethod2pos(obj2909, "pretty(1)", &meth_ast_3088_pretty_40_1_41_, 15);
  int argcv_meth_ast_3088_pretty_40_1_41_[] = {1};
  meth_meth_ast_3088_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3088_pretty_40_1_41_);
  meth_meth_ast_3088_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3088_pretty_40_1_41_->definitionLine = 720;
// method "toGrace(_)"
  struct UserObject *uo3260 = (struct UserObject*)obj2909;
  uo3260->data[16] = emptyclosure;
  Method *meth_meth_ast_3260_toGrace_40_1_41_ = addmethod2pos(obj2909, "toGrace(1)", &meth_ast_3260_toGrace_40_1_41_, 16);
  int argcv_meth_ast_3260_toGrace_40_1_41_[] = {1};
  meth_meth_ast_3260_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3260_toGrace_40_1_41_);
meth_meth_ast_3260_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_3260_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_3260_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3260_toGrace_40_1_41_->definitionLine = 737;
// method "shallowCopy"
  block_savedest(obj2909);
  Object closure3279 = createclosure(1, "shallowCopy");
  setclosureframe(closure3279, stackframe);
  addtoclosure(closure3279, var_methodTypeNode);
  struct UserObject *uo3279 = (struct UserObject*)obj2909;
  uo3279->data[17] = (Object)closure3279;
  Method *meth_meth_ast_3279_shallowCopy = addmethod2pos(obj2909, "shallowCopy", &meth_ast_3279_shallowCopy, 17);
  int argcv_meth_ast_3279_shallowCopy[] = {0};
  meth_meth_ast_3279_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_3279_shallowCopy);
  meth_meth_ast_3279_shallowCopy->definitionModule = modulename;
  meth_meth_ast_3279_shallowCopy->definitionLine = 742;
  sourceObject = obj2909;
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3288 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3289 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3288);
// compiled call node returning call3289 (depth = 3)
  struct UserObject *obj2909_uo = (struct UserObject *)obj2909;
  obj2909_uo->super = call3289;
  sourceObject = obj2909;
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3290 == NULL) {
    strlit3290 = alloc_String("methodtype");
    gc_root(strlit3290);
  }
// compiled string node returning strlit3290 (depth = 3)
  adddatum2(obj2909, strlit3290, 1);
  sourceObject = obj2909;
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj2909, *var_signature_39_, 2);
  sourceObject = obj2909;
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rtype_39_ (depth = 3)
  adddatum2(obj2909, *var_rtype_39_, 3);
  sourceObject = obj2909;
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3291 = alloc_Boolean(0);
// compiled identifier node returning bool3291 (depth = 3)
  adddatum2(obj2909, bool3291, 4);
  sourceObject = obj2909;
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj2909, *var_uninitialized, 5);
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  objclass2909 = obj2909->class;
  objclass2909->definitionModule = modulename;
  objclass2909->definitionLine = 653;
  (*(struct UserObject *)self).data[0] = lowerouter2909;
  self = oldself2909;
  selfslot = oldselfslot2909;
  stackframe = oldstackframe2909;
  gc_frame_end(frame);
  return obj2909;
}
Object meth_ast_2908_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodTypeNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[1]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2909 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2909 = alloc_userobj2(21,18, objclass2909);
  gc_frame_newslot(obj2909);
  if (objclass2909 == NULL) {
    glfree(obj2909->class->name);
    obj2909->class->name = "methodTypeNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2909, self, 0);
  addmethodreal(obj2909,"outer", &reader_ast_outer_2910);
  Object oldself2909 = self;
  struct StackFrameObject *oldstackframe2909 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2909);
  gc_frame_newslot((Object)stackframe);
  self = obj2909;
  Object *oldselfslot2909 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2909 = (*(struct UserObject *)self).data[0], lowerouter2909 = thisouter2909;
  if (inheritingObject2909) {
    struct UserObject *inho2909 = (struct UserObject *)inheritingObject2909;
    while (inho2909->super != GraceDefaultObject) inho2909 = (struct UserObject *)inho2909->super;
    inho2909->super = obj2909;
    self = inheritingObject2909;
    *selfslot = self;
    lowerouter2909 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2909;
  }
  if (objclass2909 == NULL) {
  Method *reader2911 = addmethodrealflags(obj2909, "kind",&reader_ast_kind_2911, MFLAG_DEF);
  reader2911->definitionModule = modulename;
  reader2911->definitionLine = 660;
  }
  adddatum2(obj2909, alloc_Undefined(), 1);
  if (objclass2909 == NULL) {
    Method *reader2912 = addmethodrealflags(obj2909, "signature", &reader_ast_signature_2912, 0);
    Method *writer2912 = addmethodrealflags(obj2909, "signature:=(1)", &writer_ast_signature_2912, 0);
    reader2912->definitionModule = modulename;
    writer2912->definitionModule = modulename;
    reader2912->definitionLine = 661;
    writer2912->definitionLine = 661;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 2);
  if (objclass2909 == NULL) {
    Method *reader2913 = addmethodrealflags(obj2909, "rtype", &reader_ast_rtype_2913, 0);
    Method *writer2913 = addmethodrealflags(obj2909, "rtype:=(1)", &writer_ast_rtype_2913, 0);
    reader2913->definitionModule = modulename;
    writer2913->definitionModule = modulename;
    reader2913->definitionLine = 662;
    writer2913->definitionLine = 662;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 3);
  if (objclass2909 == NULL) {
    Method *reader2914 = addmethodrealflags(obj2909, "typeParams", &reader_ast_typeParams_2914, 0);
    Method *writer2914 = addmethodrealflags(obj2909, "typeParams:=(1)", &writer_ast_typeParams_2914, 0);
    reader2914->definitionModule = modulename;
    writer2914->definitionModule = modulename;
    reader2914->definitionLine = 663;
    writer2914->definitionLine = 663;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 4);
  if (objclass2909 == NULL) {
    Method *reader2915 = addmethodrealflags(obj2909, "cachedIdentifier", &reader_ast_cachedIdentifier_2915, MFLAG_CONFIDENTIAL);
    Method *writer2915 = addmethodrealflags(obj2909, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_2915, MFLAG_CONFIDENTIAL);
    reader2915->definitionModule = modulename;
    writer2915->definitionModule = modulename;
    reader2915->definitionLine = 664;
    writer2915->definitionLine = 664;
  }
  obj2909->flags |= OFLAG_MUTABLE;
  adddatum2(obj2909, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo2916 = (struct UserObject*)obj2909;
  uo2916->data[6] = emptyclosure;
  Method *meth_meth_ast_2916_end = addmethod2pos(obj2909, "end", &meth_ast_2916_end, 6);
  int argcv_meth_ast_2916_end[] = {0};
  meth_meth_ast_2916_end->type = alloc_MethodType(1, argcv_meth_ast_2916_end);
  meth_meth_ast_2916_end->definitionModule = modulename;
  meth_meth_ast_2916_end->definitionLine = 666;
// method "nameString"
  struct UserObject *uo2934 = (struct UserObject*)obj2909;
  uo2934->data[7] = emptyclosure;
  Method *meth_meth_ast_2934_nameString = addmethod2pos(obj2909, "nameString", &meth_ast_2934_nameString, 7);
  int argcv_meth_ast_2934_nameString[] = {0};
  meth_meth_ast_2934_nameString->type = alloc_MethodType(1, argcv_meth_ast_2934_nameString);
  meth_meth_ast_2934_nameString->definitionModule = modulename;
  meth_meth_ast_2934_nameString->definitionLine = 671;
// method "value"
  block_savedest(obj2909);
  Object closure2948 = createclosure(2, "value");
  setclosureframe(closure2948, stackframe);
  addtoclosure(closure2948, var_uninitialized);
  addtoclosure(closure2948, var_identifierNode);
  struct UserObject *uo2948 = (struct UserObject*)obj2909;
  uo2948->data[8] = (Object)closure2948;
  Method *meth_meth_ast_2948_value = addmethod2pos(obj2909, "value", &meth_ast_2948_value, 8);
  int argcv_meth_ast_2948_value[] = {0};
  meth_meth_ast_2948_value->type = alloc_MethodType(1, argcv_meth_ast_2948_value);
  meth_meth_ast_2948_value->definitionModule = modulename;
  meth_meth_ast_2948_value->definitionLine = 675;
// method "isExecutable"
  struct UserObject *uo2999 = (struct UserObject*)obj2909;
  uo2999->data[9] = emptyclosure;
  Method *meth_meth_ast_2999_isExecutable = addmethod2pos(obj2909, "isExecutable", &meth_ast_2999_isExecutable, 9);
  int argcv_meth_ast_2999_isExecutable[] = {0};
  meth_meth_ast_2999_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_2999_isExecutable);
  meth_meth_ast_2999_isExecutable->definitionModule = modulename;
  meth_meth_ast_2999_isExecutable->definitionLine = 685;
// method "parametersDo(_)"
  struct UserObject *uo3001 = (struct UserObject*)obj2909;
  uo3001->data[10] = emptyclosure;
  Method *meth_meth_ast_3001_parametersDo_40_1_41_ = addmethod2pos(obj2909, "parametersDo(1)", &meth_ast_3001_parametersDo_40_1_41_, 10);
  int argcv_meth_ast_3001_parametersDo_40_1_41_[] = {1};
  meth_meth_ast_3001_parametersDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3001_parametersDo_40_1_41_);
  meth_meth_ast_3001_parametersDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3001_parametersDo_40_1_41_->definitionLine = 686;
// method "scope:=(_)"
  struct UserObject *uo3018 = (struct UserObject*)obj2909;
  uo3018->data[11] = emptyclosure;
  Method *meth_meth_ast_3018_scope_58__61__40_1_41_ = addmethod2pos(obj2909, "scope:=(1)", &meth_ast_3018_scope_58__61__40_1_41_, 11);
  int argcv_meth_ast_3018_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_3018_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3018_scope_58__61__40_1_41_);
  meth_meth_ast_3018_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_3018_scope_58__61__40_1_41_->definitionLine = 691;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj2909);
  Object closure3023 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3023, stackframe);
  addtoclosure(closure3023, var_k);
  struct UserObject *uo3023 = (struct UserObject*)obj2909;
  uo3023->data[12] = (Object)closure3023;
  Method *meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj2909, "declarationKindWithAncestors(1)", &meth_ast_3023_declarationKindWithAncestors_40_1_41_, 12);
  int argcv_meth_ast_3023_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3023_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3023_declarationKindWithAncestors_40_1_41_->definitionLine = 697;
// method "accept(_)from(_)"
  struct UserObject *uo3026 = (struct UserObject*)obj2909;
  uo3026->data[13] = emptyclosure;
  Method *meth_meth_ast_3026_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj2909, "accept(1)from(1)", &meth_ast_3026_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_3026_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_3026_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3026_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_3026_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3026_accept_40_1_41_from_40_1_41_->definitionLine = 698;
// method "map(_)ancestors(_)"
  struct UserObject *uo3063 = (struct UserObject*)obj2909;
  uo3063->data[14] = emptyclosure;
  Method *meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj2909, "map(1)ancestors(1)", &meth_ast_3063_map_40_1_41_ancestors_40_1_41_, 14);
  int argcv_meth_ast_3063_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3063_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3063_map_40_1_41_ancestors_40_1_41_->definitionLine = 712;
// method "pretty(_)"
  struct UserObject *uo3088 = (struct UserObject*)obj2909;
  uo3088->data[15] = emptyclosure;
  Method *meth_meth_ast_3088_pretty_40_1_41_ = addmethod2pos(obj2909, "pretty(1)", &meth_ast_3088_pretty_40_1_41_, 15);
  int argcv_meth_ast_3088_pretty_40_1_41_[] = {1};
  meth_meth_ast_3088_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3088_pretty_40_1_41_);
  meth_meth_ast_3088_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3088_pretty_40_1_41_->definitionLine = 720;
// method "toGrace(_)"
  struct UserObject *uo3260 = (struct UserObject*)obj2909;
  uo3260->data[16] = emptyclosure;
  Method *meth_meth_ast_3260_toGrace_40_1_41_ = addmethod2pos(obj2909, "toGrace(1)", &meth_ast_3260_toGrace_40_1_41_, 16);
  int argcv_meth_ast_3260_toGrace_40_1_41_[] = {1};
  meth_meth_ast_3260_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3260_toGrace_40_1_41_);
meth_meth_ast_3260_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_3260_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_3260_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3260_toGrace_40_1_41_->definitionLine = 737;
// method "shallowCopy"
  block_savedest(obj2909);
  Object closure3279 = createclosure(1, "shallowCopy");
  setclosureframe(closure3279, stackframe);
  addtoclosure(closure3279, var_methodTypeNode);
  struct UserObject *uo3279 = (struct UserObject*)obj2909;
  uo3279->data[17] = (Object)closure3279;
  Method *meth_meth_ast_3279_shallowCopy = addmethod2pos(obj2909, "shallowCopy", &meth_ast_3279_shallowCopy, 17);
  int argcv_meth_ast_3279_shallowCopy[] = {0};
  meth_meth_ast_3279_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_3279_shallowCopy);
  meth_meth_ast_3279_shallowCopy->definitionModule = modulename;
  meth_meth_ast_3279_shallowCopy->definitionLine = 742;
  sourceObject = obj2909;
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3288 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3289 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3288);
// compiled call node returning call3289 (depth = 3)
  struct UserObject *obj2909_uo = (struct UserObject *)obj2909;
  obj2909_uo->super = call3289;
  sourceObject = obj2909;
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3290 == NULL) {
    strlit3290 = alloc_String("methodtype");
    gc_root(strlit3290);
  }
// compiled string node returning strlit3290 (depth = 3)
  adddatum2(obj2909, strlit3290, 1);
  sourceObject = obj2909;
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj2909, *var_signature_39_, 2);
  sourceObject = obj2909;
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rtype_39_ (depth = 3)
  adddatum2(obj2909, *var_rtype_39_, 3);
  sourceObject = obj2909;
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3291 = alloc_Boolean(0);
// compiled identifier node returning bool3291 (depth = 3)
  adddatum2(obj2909, bool3291, 4);
  sourceObject = obj2909;
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj2909, *var_uninitialized, 5);
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  sourceObject = obj2909;
  objclass2909 = obj2909->class;
  objclass2909->definitionModule = modulename;
  objclass2909->definitionLine = 653;
  (*(struct UserObject *)self).data[0] = lowerouter2909;
  self = oldself2909;
  selfslot = oldselfslot2909;
  stackframe = oldstackframe2909;
  gc_frame_end(frame);
  return obj2909;
}
Object meth_ast_3293_methodTypeNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodTypeNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodTypeNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodTypeNode;
}
Object meth_ast_3305_name(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3306 = gc_frame_new();
// call case 4: self request
  Object call3307 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3306);
// compiled member node returning call3307 (depth = 3)
  gc_frame_end(frame);
  return call3307;
}
Object meth_ast_3308_name_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method name:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for name:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part name:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3309 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3310 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3309);
// compiled call node returning call3310 (depth = 3)
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3311 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3312 = alloc_Boolean(0);
// compiled identifier node returning bool3312 (depth = 4)
  gc_frame_newslot(bool3312);
// call case 4: self request
  params[0] = bool3312;
  partcv[0] = 1;
  Object call3313 = callmethodflags(self, "anonymous:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3311);
// compiled call node returning call3313 (depth = 3)
  gc_frame_end(frame);
  return call3313;
}
Object meth_ast_3314_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3316 == NULL) {
    strlit3316 = alloc_String("");
    gc_root(strlit3316);
  }
// compiled string node returning strlit3316 (depth = 4)
  int op_slot_right_3315 = gc_frame_newslot(strlit3316);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3319 = gc_frame_new();
// call case 4: self request
  Object call3320 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3319);
// compiled member node returning call3320 (depth = 5)
  int op_slot_right_3318 = gc_frame_newslot(call3320);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3323 == NULL) {
    strlit3323 = alloc_String(", types = ");
    gc_root(strlit3323);
  }
// compiled string node returning strlit3323 (depth = 6)
  int op_slot_right_3322 = gc_frame_newslot(strlit3323);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3326 = gc_frame_new();
// call case 4: self request
  Object call3327 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3326);
// compiled member node returning call3327 (depth = 7)
  int op_slot_right_3325 = gc_frame_newslot(call3327);
// starting to compile string node (depth = 7)
  if (strlit3329 == NULL) {
    strlit3329 = alloc_String("typeliteral: methods = ");
    gc_root(strlit3329);
  }
// compiled string node returning strlit3329 (depth = 7)
  int op_slot_left_3325 = gc_frame_newslot(strlit3329);
  params[0] = call3327;
  partcv[0] = 1;
  Object opresult3330 = callmethod(strlit3329, "++(1)", 1, partcv, params);
// compiled op node returning opresult3330 (depth = 6)
  int op_slot_left_3322 = gc_frame_newslot(opresult3330);
  params[0] = strlit3323;
  partcv[0] = 1;
  Object opresult3331 = callmethod(opresult3330, "++(1)", 1, partcv, params);
// compiled op node returning opresult3331 (depth = 5)
  int op_slot_left_3318 = gc_frame_newslot(opresult3331);
  params[0] = call3320;
  partcv[0] = 1;
  Object opresult3332 = callmethod(opresult3331, "++(1)", 1, partcv, params);
// compiled op node returning opresult3332 (depth = 4)
  int op_slot_left_3315 = gc_frame_newslot(opresult3332);
  params[0] = strlit3316;
  partcv[0] = 1;
  Object opresult3333 = callmethod(opresult3332, "++(1)", 1, partcv, params);
// compiled op node returning opresult3333 (depth = 3)
  gc_frame_end(frame);
  return opresult3333;
}
Object meth_ast_3334_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3335 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3336 = callmethodflags(*var_k, "typedec", 0, partcv, params, 0);
  gc_frame_end(callframe3335);
// compiled member node returning call3336 (depth = 3)
  gc_frame_end(frame);
  return call3336;
}
Object meth_ast_3337_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3338 = alloc_Boolean(0);
// compiled identifier node returning bool3338 (depth = 3)
  gc_frame_end(frame);
  return bool3338;
}
Object meth_ast_3339_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_tEnd = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "tEnd");
  Object *var_mEnd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "mEnd");
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3341 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3342 = gc_frame_new();
// call case 4: self request
  Object call3343 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3342);
// compiled member node returning call3343 (depth = 6)
  Object call3344 = callmethodflags(call3343, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3341);
// compiled member node returning call3344 (depth = 5)
  Object if3340 = done;
struct StackFrameObject *iftmpstackframe3340 = stackframe;
  if (istrue(call3344)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3340);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noPosition (depth = 5)
    gc_frame_newslot(*var_noPosition);
    if3340 = *var_noPosition;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3340);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile member node (depth = 5)
  int callframe3345 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3346 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3347 = gc_frame_new();
// call case 4: self request
  Object call3348 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3347);
// compiled member node returning call3348 (depth = 7)
  Object call3349 = callmethodflags(call3348, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3346);
// compiled member node returning call3349 (depth = 6)
  Object call3350 = callmethodflags(call3349, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3345);
// compiled member node returning call3350 (depth = 5)
    gc_frame_newslot(call3350);
    if3340 = call3350;
  }
stackframe = iftmpstackframe3340;
// compiled if node returning if3340 (depth = 4)
  *var_tEnd = if3340;
  if (if3340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3352 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3353 = gc_frame_new();
// call case 4: self request
  Object call3354 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3353);
// compiled member node returning call3354 (depth = 6)
  Object call3355 = callmethodflags(call3354, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3352);
// compiled member node returning call3355 (depth = 5)
  Object if3351 = done;
struct StackFrameObject *iftmpstackframe3351 = stackframe;
  if (istrue(call3355)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3351);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noPosition (depth = 5)
    gc_frame_newslot(*var_noPosition);
    if3351 = *var_noPosition;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3351);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile member node (depth = 5)
  int callframe3356 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3357 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3358 = gc_frame_new();
// call case 4: self request
  Object call3359 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3358);
// compiled member node returning call3359 (depth = 7)
  Object call3360 = callmethodflags(call3359, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3357);
// compiled member node returning call3360 (depth = 6)
  Object call3361 = callmethodflags(call3360, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3356);
// compiled member node returning call3361 (depth = 5)
    gc_frame_newslot(call3361);
    if3351 = call3361;
  }
stackframe = iftmpstackframe3351;
// compiled if node returning if3351 (depth = 4)
  *var_mEnd = if3351;
  if (if3351 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3362 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3363 == NULL) {
    strlit3363 = alloc_String("}");
    gc_root(strlit3363);
  }
// compiled string node returning strlit3363 (depth = 4)
  gc_frame_newslot(strlit3363);
// starting to compile call node (depth = 4)
  int callframe3364 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tEnd (depth = 5)
  gc_frame_newslot(*var_tEnd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mEnd (depth = 5)
  gc_frame_newslot(*var_mEnd);
// call case 5: prelude request
  params[0] = *var_tEnd;
  params[1] = *var_mEnd;
  partcv[0] = 2;
  Object call3365 = callmethodflags(prelude, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3364);
// compiled call node returning call3365 (depth = 4)
  gc_frame_newslot(call3365);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = strlit3363;
  params[1] = call3365;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3366 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3362);
// compiled call node returning call3366 (depth = 3)
  gc_frame_end(frame);
  return call3366;
}
Object meth_ast_3377__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3378 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3379 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3378);
// compiled call node returning call3379 (depth = 6)
  gc_frame_end(frame);
  return call3379;
}
Object meth_ast_3386__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3387 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3388 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3387);
// compiled call node returning call3388 (depth = 6)
  gc_frame_end(frame);
  return call3388;
}
Object meth_ast_3367_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3369 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3370 = callmethodflags(*var_visitor, "visitTypeLiteral(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3369);
// compiled call node returning call3370 (depth = 4)
  Object if3368 = done;
  if (istrue(call3370)) {
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3371 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3372 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3371);
// compiled call node returning call3372 (depth = 5)
  *var_newChain = call3372;
  if (call3372 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3373 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3374 = gc_frame_new();
// call case 4: self request
  Object call3375 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3374);
// compiled member node returning call3375 (depth = 5)
  gc_frame_newslot(call3375);
// starting to compile block node (depth = 5)
  Object block3376 = alloc_Block(NULL, NULL, "ast", 777);
  gc_frame_newslot(block3376);
// method "_apply(_)"
  block_savedest(block3376);
  Object closure3377 = createclosure(3, "_apply(1)");
  setclosureframe(closure3377, stackframe);
  addtoclosure(closure3377, var_visitor);
  addtoclosure(closure3377, var_newChain);
  addtoclosure(closure3377, selfslot);
  struct UserObject *uo3377 = (struct UserObject*)block3376;
  uo3377->data[0] = (Object)closure3377;
  Method *meth_meth_ast_3377__apply_40_1_41_ = addmethod2pos(block3376, "_apply(1)", &meth_ast_3377__apply_40_1_41_, 0);
  int argcv_meth_ast_3377__apply_40_1_41_[] = {1};
  meth_meth_ast_3377__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3377__apply_40_1_41_);
  meth_meth_ast_3377__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3377__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3376 (depth = 5)
  gc_frame_newslot(block3376);
// call case 5: prelude request
  params[0] = call3375;
  params[1] = block3376;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3381 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3373);
// compiled call node returning call3381 (depth = 4)
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3382 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3383 = gc_frame_new();
// call case 4: self request
  Object call3384 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3383);
// compiled member node returning call3384 (depth = 5)
  gc_frame_newslot(call3384);
// starting to compile block node (depth = 5)
  Object block3385 = alloc_Block(NULL, NULL, "ast", 780);
  gc_frame_newslot(block3385);
// method "_apply(_)"
  block_savedest(block3385);
  Object closure3386 = createclosure(3, "_apply(1)");
  setclosureframe(closure3386, stackframe);
  addtoclosure(closure3386, var_visitor);
  addtoclosure(closure3386, var_newChain);
  addtoclosure(closure3386, selfslot);
  struct UserObject *uo3386 = (struct UserObject*)block3385;
  uo3386->data[0] = (Object)closure3386;
  Method *meth_meth_ast_3386__apply_40_1_41_ = addmethod2pos(block3385, "_apply(1)", &meth_ast_3386__apply_40_1_41_, 0);
  int argcv_meth_ast_3386__apply_40_1_41_[] = {1};
  meth_meth_ast_3386__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3386__apply_40_1_41_);
  meth_meth_ast_3386__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3386__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3385 (depth = 5)
  gc_frame_newslot(block3385);
// call case 5: prelude request
  params[0] = call3384;
  params[1] = block3385;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3390 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3382);
// compiled call node returning call3390 (depth = 4)
    gc_frame_newslot(call3390);
    if3368 = call3390;
  } else {
  }
// compiled if node returning if3368 (depth = 3)
  gc_frame_end(frame);
  return if3368;
}
Object meth_ast_3391_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3392 = gc_frame_new();
// call case 4: self request
  Object call3393 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3392);
// compiled member node returning call3393 (depth = 4)
  *var_n = call3393;
  if (call3393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3394 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3395 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3394);
// compiled call node returning call3395 (depth = 4)
  *var_newChain = call3395;
  if (call3395 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3396 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3397 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3398 = gc_frame_new();
// call case 4: self request
  Object call3399 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3398);
// compiled member node returning call3399 (depth = 5)
  gc_frame_newslot(call3399);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3399;
  params[1] = *var_blk;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3400 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3397);
// compiled call node returning call3400 (depth = 4)
  gc_frame_newslot(call3400);
// call case 6: other requests
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3400;
  partcv[0] = 1;
  Object call3401 = callmethodflags(*var_n, "methods:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3396);
// compiled call node returning call3401 (depth = 3)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3402 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3403 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3404 = gc_frame_new();
// call case 4: self request
  Object call3405 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3404);
// compiled member node returning call3405 (depth = 5)
  gc_frame_newslot(call3405);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3405;
  params[1] = *var_blk;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3406 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3403);
// compiled call node returning call3406 (depth = 4)
  gc_frame_newslot(call3406);
// call case 6: other requests
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3406;
  partcv[0] = 1;
  Object call3407 = callmethodflags(*var_n, "types:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3402);
// compiled call node returning call3407 (depth = 3)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3408 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3409 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3408);
// compiled call node returning call3409 (depth = 3)
  gc_frame_end(frame);
  return call3409;
}
Object meth_ast_3437__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3439 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3441 = alloc_Float64(2);
// compiled num node returning num3441 (depth = 9)
  int op_slot_right_3440 = gc_frame_newslot(num3441);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3440 = gc_frame_newslot(*var_depth);
  params[0] = num3441;
  partcv[0] = 1;
  Object sum3443 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3443 (depth = 8)
  gc_frame_newslot(sum3443);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3443;
  partcv[0] = 1;
  Object call3444 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3439);
// compiled call node returning call3444 (depth = 7)
  int op_slot_right_3438 = gc_frame_newslot(call3444);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3446 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3449 == NULL) {
    strlit3449 = alloc_String("""\x0a""  ");
    gc_root(strlit3449);
  }
// compiled string node returning strlit3449 (depth = 9)
  int op_slot_right_3448 = gc_frame_newslot(strlit3449);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3448 = gc_frame_newslot(*var_s);
  params[0] = strlit3449;
  partcv[0] = 1;
  Object opresult3451 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3451 (depth = 8)
  int op_slot_left_3446 = gc_frame_newslot(opresult3451);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3452 = callmethod(opresult3451, "++(1)", 1, partcv, params);
// compiled op node returning opresult3452 (depth = 7)
  int op_slot_left_3438 = gc_frame_newslot(opresult3452);
  params[0] = call3444;
  partcv[0] = 1;
  Object opresult3453 = callmethod(opresult3452, "++(1)", 1, partcv, params);
// compiled op node returning opresult3453 (depth = 6)
  *var_s = opresult3453;
  if (opresult3453 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_3473__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3475 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3477 = alloc_Float64(2);
// compiled num node returning num3477 (depth = 9)
  int op_slot_right_3476 = gc_frame_newslot(num3477);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3476 = gc_frame_newslot(*var_depth);
  params[0] = num3477;
  partcv[0] = 1;
  Object sum3479 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3479 (depth = 8)
  gc_frame_newslot(sum3479);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3479;
  partcv[0] = 1;
  Object call3480 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3475);
// compiled call node returning call3480 (depth = 7)
  int op_slot_right_3474 = gc_frame_newslot(call3480);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3482 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3485 == NULL) {
    strlit3485 = alloc_String("""\x0a""  ");
    gc_root(strlit3485);
  }
// compiled string node returning strlit3485 (depth = 9)
  int op_slot_right_3484 = gc_frame_newslot(strlit3485);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3484 = gc_frame_newslot(*var_s);
  params[0] = strlit3485;
  partcv[0] = 1;
  Object opresult3487 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3487 (depth = 8)
  int op_slot_left_3482 = gc_frame_newslot(opresult3487);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3488 = callmethod(opresult3487, "++(1)", 1, partcv, params);
// compiled op node returning opresult3488 (depth = 7)
  int op_slot_left_3474 = gc_frame_newslot(opresult3488);
  params[0] = call3480;
  partcv[0] = 1;
  Object opresult3489 = callmethod(opresult3488, "++(1)", 1, partcv, params);
// compiled op node returning opresult3489 (depth = 6)
  *var_s = opresult3489;
  if (opresult3489 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_3410_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3413 = alloc_Float64(1);
// compiled num node returning num3413 (depth = 6)
  int op_slot_right_3412 = gc_frame_newslot(num3413);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3412 = gc_frame_newslot(*var_depth);
  params[0] = num3413;
  partcv[0] = 1;
  Object sum3415 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3415 (depth = 5)
  int op_slot_right_3411 = gc_frame_newslot(sum3415);
// starting to compile string node (depth = 5)
  if (strlit3417 == NULL) {
    strlit3417 = alloc_String("  ");
    gc_root(strlit3417);
  }
// compiled string node returning strlit3417 (depth = 5)
  int op_slot_left_3411 = gc_frame_newslot(strlit3417);
  params[0] = sum3415;
  partcv[0] = 1;
  Object prod3418 = callmethod(strlit3417, "*(1)", 1, partcv, params);
// compiled op node returning prod3418 (depth = 4)
  *var_spc = prod3418;
  if (prod3418 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3420 == NULL) {
    strlit3420 = alloc_String("""\x0a""");
    gc_root(strlit3420);
  }
// compiled string node returning strlit3420 (depth = 5)
  int op_slot_right_3419 = gc_frame_newslot(strlit3420);
// starting to compile call node (depth = 5)
  int callframe3422 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3423 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3422);
// compiled call node returning call3423 (depth = 5)
  int op_slot_left_3419 = gc_frame_newslot(call3423);
  params[0] = strlit3420;
  partcv[0] = 1;
  Object opresult3424 = callmethod(call3423, "++(1)", 1, partcv, params);
// compiled op node returning opresult3424 (depth = 4)
  *var_s = opresult3424;
  if (opresult3424 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3426 == NULL) {
    strlit3426 = alloc_String("Types:");
    gc_root(strlit3426);
  }
// compiled string node returning strlit3426 (depth = 5)
  int op_slot_right_3425 = gc_frame_newslot(strlit3426);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3428 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3428 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3430 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3430 (depth = 5)
  int op_slot_left_3425 = gc_frame_newslot(opresult3430);
  params[0] = strlit3426;
  partcv[0] = 1;
  Object opresult3431 = callmethod(opresult3430, "++(1)", 1, partcv, params);
// compiled op node returning opresult3431 (depth = 4)
  *var_s = opresult3431;
  if (opresult3431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3433 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3434 = gc_frame_new();
// call case 4: self request
  Object call3435 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3434);
// compiled member node returning call3435 (depth = 4)
  gc_frame_newslot(call3435);
// starting to compile block node (depth = 4)
  Object block3436 = alloc_Block(NULL, NULL, "ast", 796);
  gc_frame_newslot(block3436);
// method "_apply(_)"
  block_savedest(block3436);
  Object closure3437 = createclosure(4, "_apply(1)");
  setclosureframe(closure3437, stackframe);
  addtoclosure(closure3437, var_depth);
  addtoclosure(closure3437, var_spc);
  addtoclosure(closure3437, var_s);
  addtoclosure(closure3437, selfslot);
  struct UserObject *uo3437 = (struct UserObject*)block3436;
  uo3437->data[0] = (Object)closure3437;
  Method *meth_meth_ast_3437__apply_40_1_41_ = addmethod2pos(block3436, "_apply(1)", &meth_ast_3437__apply_40_1_41_, 0);
  int argcv_meth_ast_3437__apply_40_1_41_[] = {1};
  meth_meth_ast_3437__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3437__apply_40_1_41_);
  meth_meth_ast_3437__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3437__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3436 (depth = 4)
  gc_frame_newslot(block3436);
// call case 5: prelude request
  params[0] = call3435;
  params[1] = block3436;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3456 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3433);
// compiled call node returning call3456 (depth = 3)
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3458 == NULL) {
    strlit3458 = alloc_String("Methods:");
    gc_root(strlit3458);
  }
// compiled string node returning strlit3458 (depth = 5)
  int op_slot_right_3457 = gc_frame_newslot(strlit3458);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3460 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3463 == NULL) {
    strlit3463 = alloc_String("""\x0a""");
    gc_root(strlit3463);
  }
// compiled string node returning strlit3463 (depth = 7)
  int op_slot_right_3462 = gc_frame_newslot(strlit3463);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3462 = gc_frame_newslot(*var_s);
  params[0] = strlit3463;
  partcv[0] = 1;
  Object opresult3465 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3465 (depth = 6)
  int op_slot_left_3460 = gc_frame_newslot(opresult3465);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3466 = callmethod(opresult3465, "++(1)", 1, partcv, params);
// compiled op node returning opresult3466 (depth = 5)
  int op_slot_left_3457 = gc_frame_newslot(opresult3466);
  params[0] = strlit3458;
  partcv[0] = 1;
  Object opresult3467 = callmethod(opresult3466, "++(1)", 1, partcv, params);
// compiled op node returning opresult3467 (depth = 4)
  *var_s = opresult3467;
  if (opresult3467 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3469 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3470 = gc_frame_new();
// call case 4: self request
  Object call3471 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3470);
// compiled member node returning call3471 (depth = 4)
  gc_frame_newslot(call3471);
// starting to compile block node (depth = 4)
  Object block3472 = alloc_Block(NULL, NULL, "ast", 800);
  gc_frame_newslot(block3472);
// method "_apply(_)"
  block_savedest(block3472);
  Object closure3473 = createclosure(4, "_apply(1)");
  setclosureframe(closure3473, stackframe);
  addtoclosure(closure3473, var_depth);
  addtoclosure(closure3473, var_spc);
  addtoclosure(closure3473, var_s);
  addtoclosure(closure3473, selfslot);
  struct UserObject *uo3473 = (struct UserObject*)block3472;
  uo3473->data[0] = (Object)closure3473;
  Method *meth_meth_ast_3473__apply_40_1_41_ = addmethod2pos(block3472, "_apply(1)", &meth_ast_3473__apply_40_1_41_, 0);
  int argcv_meth_ast_3473__apply_40_1_41_[] = {1};
  meth_meth_ast_3473__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3473__apply_40_1_41_);
  meth_meth_ast_3473__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3473__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3472 (depth = 4)
  gc_frame_newslot(block3472);
// call case 5: prelude request
  params[0] = call3471;
  params[1] = block3472;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3492 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3469);
// compiled call node returning call3492 (depth = 3)
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3494 == NULL) {
    strlit3494 = alloc_String("""\x0a""");
    gc_root(strlit3494);
  }
// compiled string node returning strlit3494 (depth = 5)
  int op_slot_right_3493 = gc_frame_newslot(strlit3494);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3493 = gc_frame_newslot(*var_s);
  params[0] = strlit3494;
  partcv[0] = 1;
  Object opresult3496 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3496 (depth = 4)
  *var_s = opresult3496;
  if (opresult3496 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_3513__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3515 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3517 = alloc_Float64(1);
// compiled num node returning num3517 (depth = 9)
  int op_slot_right_3516 = gc_frame_newslot(num3517);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3516 = gc_frame_newslot(*var_depth);
  params[0] = num3517;
  partcv[0] = 1;
  Object sum3519 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3519 (depth = 8)
  gc_frame_newslot(sum3519);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3519;
  partcv[0] = 1;
  Object call3520 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3515);
// compiled call node returning call3520 (depth = 7)
  int op_slot_right_3514 = gc_frame_newslot(call3520);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3523 == NULL) {
    strlit3523 = alloc_String("    ");
    gc_root(strlit3523);
  }
// compiled string node returning strlit3523 (depth = 8)
  int op_slot_right_3522 = gc_frame_newslot(strlit3523);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3525 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3528 == NULL) {
    strlit3528 = alloc_String("""\x0a""");
    gc_root(strlit3528);
  }
// compiled string node returning strlit3528 (depth = 10)
  int op_slot_right_3527 = gc_frame_newslot(strlit3528);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3527 = gc_frame_newslot(*var_s);
  params[0] = strlit3528;
  partcv[0] = 1;
  Object opresult3530 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3530 (depth = 9)
  int op_slot_left_3525 = gc_frame_newslot(opresult3530);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3531 = callmethod(opresult3530, "++(1)", 1, partcv, params);
// compiled op node returning opresult3531 (depth = 8)
  int op_slot_left_3522 = gc_frame_newslot(opresult3531);
  params[0] = strlit3523;
  partcv[0] = 1;
  Object opresult3532 = callmethod(opresult3531, "++(1)", 1, partcv, params);
// compiled op node returning opresult3532 (depth = 7)
  int op_slot_left_3514 = gc_frame_newslot(opresult3532);
  params[0] = call3520;
  partcv[0] = 1;
  Object opresult3533 = callmethod(opresult3532, "++(1)", 1, partcv, params);
// compiled op node returning opresult3533 (depth = 6)
  *var_s = opresult3533;
  if (opresult3533 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_3541__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3543 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3545 = alloc_Float64(1);
// compiled num node returning num3545 (depth = 9)
  int op_slot_right_3544 = gc_frame_newslot(num3545);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3544 = gc_frame_newslot(*var_depth);
  params[0] = num3545;
  partcv[0] = 1;
  Object sum3547 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3547 (depth = 8)
  gc_frame_newslot(sum3547);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3547;
  partcv[0] = 1;
  Object call3548 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3543);
// compiled call node returning call3548 (depth = 7)
  int op_slot_right_3542 = gc_frame_newslot(call3548);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3551 == NULL) {
    strlit3551 = alloc_String("    ");
    gc_root(strlit3551);
  }
// compiled string node returning strlit3551 (depth = 8)
  int op_slot_right_3550 = gc_frame_newslot(strlit3551);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3553 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3556 == NULL) {
    strlit3556 = alloc_String("""\x0a""");
    gc_root(strlit3556);
  }
// compiled string node returning strlit3556 (depth = 10)
  int op_slot_right_3555 = gc_frame_newslot(strlit3556);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3555 = gc_frame_newslot(*var_s);
  params[0] = strlit3556;
  partcv[0] = 1;
  Object opresult3558 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3558 (depth = 9)
  int op_slot_left_3553 = gc_frame_newslot(opresult3558);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3559 = callmethod(opresult3558, "++(1)", 1, partcv, params);
// compiled op node returning opresult3559 (depth = 8)
  int op_slot_left_3550 = gc_frame_newslot(opresult3559);
  params[0] = strlit3551;
  partcv[0] = 1;
  Object opresult3560 = callmethod(opresult3559, "++(1)", 1, partcv, params);
// compiled op node returning opresult3560 (depth = 7)
  int op_slot_left_3542 = gc_frame_newslot(opresult3560);
  params[0] = call3548;
  partcv[0] = 1;
  Object opresult3561 = callmethod(opresult3560, "++(1)", 1, partcv, params);
// compiled op node returning opresult3561 (depth = 6)
  *var_s = opresult3561;
  if (opresult3561 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_3498_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_3499 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit3501 == NULL) {
    strlit3501 = alloc_String("    ");
    gc_root(strlit3501);
  }
// compiled string node returning strlit3501 (depth = 5)
  int op_slot_left_3499 = gc_frame_newslot(strlit3501);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod3502 = callmethod(strlit3501, "*(1)", 1, partcv, params);
// compiled op node returning prod3502 (depth = 4)
  *var_spc = prod3502;
  if (prod3502 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3503 == NULL) {
    strlit3503 = alloc_String("type");
    gc_root(strlit3503);
  }
// compiled string node returning strlit3503 (depth = 4)
  *var_s = strlit3503;
  if (strlit3503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3505 == NULL) {
    strlit3505 = alloc_String(" = {");
    gc_root(strlit3505);
  }
// compiled string node returning strlit3505 (depth = 5)
  int op_slot_right_3504 = gc_frame_newslot(strlit3505);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3504 = gc_frame_newslot(*var_s);
  params[0] = strlit3505;
  partcv[0] = 1;
  Object opresult3507 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3507 (depth = 4)
  *var_s = opresult3507;
  if (opresult3507 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3509 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3510 = gc_frame_new();
// call case 4: self request
  Object call3511 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3510);
// compiled member node returning call3511 (depth = 4)
  gc_frame_newslot(call3511);
// starting to compile block node (depth = 4)
  Object block3512 = alloc_Block(NULL, NULL, "ast", 810);
  gc_frame_newslot(block3512);
// method "_apply(_)"
  block_savedest(block3512);
  Object closure3513 = createclosure(4, "_apply(1)");
  setclosureframe(closure3513, stackframe);
  addtoclosure(closure3513, var_depth);
  addtoclosure(closure3513, var_spc);
  addtoclosure(closure3513, var_s);
  addtoclosure(closure3513, selfslot);
  struct UserObject *uo3513 = (struct UserObject*)block3512;
  uo3513->data[0] = (Object)closure3513;
  Method *meth_meth_ast_3513__apply_40_1_41_ = addmethod2pos(block3512, "_apply(1)", &meth_ast_3513__apply_40_1_41_, 0);
  int argcv_meth_ast_3513__apply_40_1_41_[] = {1};
  meth_meth_ast_3513__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3513__apply_40_1_41_);
  meth_meth_ast_3513__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3513__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3512 (depth = 4)
  gc_frame_newslot(block3512);
// call case 5: prelude request
  params[0] = call3511;
  params[1] = block3512;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3536 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3509);
// compiled call node returning call3536 (depth = 3)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3537 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3538 = gc_frame_new();
// call case 4: self request
  Object call3539 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3538);
// compiled member node returning call3539 (depth = 4)
  gc_frame_newslot(call3539);
// starting to compile block node (depth = 4)
  Object block3540 = alloc_Block(NULL, NULL, "ast", 813);
  gc_frame_newslot(block3540);
// method "_apply(_)"
  block_savedest(block3540);
  Object closure3541 = createclosure(4, "_apply(1)");
  setclosureframe(closure3541, stackframe);
  addtoclosure(closure3541, var_depth);
  addtoclosure(closure3541, var_spc);
  addtoclosure(closure3541, var_s);
  addtoclosure(closure3541, selfslot);
  struct UserObject *uo3541 = (struct UserObject*)block3540;
  uo3541->data[0] = (Object)closure3541;
  Method *meth_meth_ast_3541__apply_40_1_41_ = addmethod2pos(block3540, "_apply(1)", &meth_ast_3541__apply_40_1_41_, 0);
  int argcv_meth_ast_3541__apply_40_1_41_[] = {1};
  meth_meth_ast_3541__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3541__apply_40_1_41_);
  meth_meth_ast_3541__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3541__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3540 (depth = 4)
  gc_frame_newslot(block3540);
// call case 5: prelude request
  params[0] = call3539;
  params[1] = block3540;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3564 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3537);
// compiled call node returning call3564 (depth = 3)
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3566 == NULL) {
    strlit3566 = alloc_String("}");
    gc_root(strlit3566);
  }
// compiled string node returning strlit3566 (depth = 4)
  int op_slot_right_3565 = gc_frame_newslot(strlit3566);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_3565 = gc_frame_newslot(*var_s);
  params[0] = strlit3566;
  partcv[0] = 1;
  Object opresult3568 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3568 (depth = 3)
  gc_frame_end(frame);
  return opresult3568;
}
Object meth_ast_3569_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeLiteralNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3570 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3571 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeLiteralNode (depth = 5)
  params[0] = *var_emptySeq;
  params[1] = *var_emptySeq;
  partcv[0] = 2;
  Object call3572 = callmethodflags(*var_typeLiteralNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3571);
// compiled call node returning call3572 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3573 = callmethodflags(call3572, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3570);
// compiled call node returning call3573 (depth = 3)
  gc_frame_end(frame);
  return call3573;
}
Object meth_ast_3574_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3575 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3576 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3577 = callmethodflags(*var_other, "nominal", 0, partcv, params, 0);
  gc_frame_end(callframe3576);
// compiled member node returning call3577 (depth = 4)
  gc_frame_newslot(call3577);
// call case 4: self request
  params[0] = call3577;
  partcv[0] = 1;
  Object call3578 = callmethodflags(self, "nominal:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3575);
// compiled call node returning call3578 (depth = 3)
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3579 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3580 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3581 = callmethodflags(*var_other, "anonymous", 0, partcv, params, 0);
  gc_frame_end(callframe3580);
// compiled member node returning call3581 (depth = 4)
  gc_frame_newslot(call3581);
// call case 4: self request
  params[0] = call3581;
  partcv[0] = 1;
  Object call3582 = callmethodflags(self, "anonymous:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3579);
// compiled call node returning call3582 (depth = 3)
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3583 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3584 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3585 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3584);
// compiled member node returning call3585 (depth = 4)
  gc_frame_newslot(call3585);
// call case 4: self request
  params[0] = call3585;
  partcv[0] = 1;
  Object call3586 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3583);
// compiled call node returning call3586 (depth = 3)
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_3296_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_noPosition = getfromclosure(closure, 1);
  Object *var_emptySeq = getfromclosure(closure, 2);
  Object *var_typeLiteralNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3297 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3297 = alloc_userobj2(23,19, objclass3297);
  gc_frame_newslot(obj3297);
  if (objclass3297 == NULL) {
    glfree(obj3297->class->name);
    obj3297->class->name = "typeLiteralNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3297, self, 0);
  addmethodreal(obj3297,"outer", &reader_ast_outer_3298);
  Object oldself3297 = self;
  struct StackFrameObject *oldstackframe3297 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3297);
  gc_frame_newslot((Object)stackframe);
  self = obj3297;
  Object *oldselfslot3297 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3297 = (*(struct UserObject *)self).data[0], lowerouter3297 = thisouter3297;
  if (inheritingObject3297) {
    struct UserObject *inho3297 = (struct UserObject *)inheritingObject3297;
    while (inho3297->super != GraceDefaultObject) inho3297 = (struct UserObject *)inho3297->super;
    inho3297->super = obj3297;
    self = inheritingObject3297;
    *selfslot = self;
    lowerouter3297 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3297;
  }
  if (objclass3297 == NULL) {
  Method *reader3299 = addmethodrealflags(obj3297, "kind",&reader_ast_kind_3299, MFLAG_DEF);
  reader3299->definitionModule = modulename;
  reader3299->definitionLine = 750;
  }
  adddatum2(obj3297, alloc_Undefined(), 1);
  if (objclass3297 == NULL) {
    Method *reader3300 = addmethodrealflags(obj3297, "methods", &reader_ast_methods_3300, 0);
    Method *writer3300 = addmethodrealflags(obj3297, "methods:=(1)", &writer_ast_methods_3300, 0);
    reader3300->definitionModule = modulename;
    writer3300->definitionModule = modulename;
    reader3300->definitionLine = 751;
    writer3300->definitionLine = 751;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 2);
  if (objclass3297 == NULL) {
    Method *reader3301 = addmethodrealflags(obj3297, "types", &reader_ast_types_3301, 0);
    Method *writer3301 = addmethodrealflags(obj3297, "types:=(1)", &writer_ast_types_3301, 0);
    reader3301->definitionModule = modulename;
    writer3301->definitionModule = modulename;
    reader3301->definitionLine = 752;
    writer3301->definitionLine = 752;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 3);
  if (objclass3297 == NULL) {
    Method *reader3302 = addmethodrealflags(obj3297, "nominal", &reader_ast_nominal_3302, 0);
    Method *writer3302 = addmethodrealflags(obj3297, "nominal:=(1)", &writer_ast_nominal_3302, 0);
    reader3302->definitionModule = modulename;
    writer3302->definitionModule = modulename;
    reader3302->definitionLine = 753;
    writer3302->definitionLine = 753;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 4);
  if (objclass3297 == NULL) {
    Method *reader3303 = addmethodrealflags(obj3297, "anonymous", &reader_ast_anonymous_3303, 0);
    Method *writer3303 = addmethodrealflags(obj3297, "anonymous:=(1)", &writer_ast_anonymous_3303, 0);
    reader3303->definitionModule = modulename;
    writer3303->definitionModule = modulename;
    reader3303->definitionLine = 754;
    writer3303->definitionLine = 754;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 5);
  if (objclass3297 == NULL) {
    Method *reader3304 = addmethodrealflags(obj3297, "value", &reader_ast_value_3304, 0);
    Method *writer3304 = addmethodrealflags(obj3297, "value:=(1)", &writer_ast_value_3304, 0);
    reader3304->definitionModule = modulename;
    writer3304->definitionModule = modulename;
    reader3304->definitionLine = 755;
    writer3304->definitionLine = 755;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 6);
// method "name"
  struct UserObject *uo3305 = (struct UserObject*)obj3297;
  uo3305->data[7] = emptyclosure;
  Method *meth_meth_ast_3305_name = addmethod2pos(obj3297, "name", &meth_ast_3305_name, 7);
  int argcv_meth_ast_3305_name[] = {0};
  meth_meth_ast_3305_name->type = alloc_MethodType(1, argcv_meth_ast_3305_name);
  meth_meth_ast_3305_name->definitionModule = modulename;
  meth_meth_ast_3305_name->definitionLine = 757;
// method "name:=(_)"
  struct UserObject *uo3308 = (struct UserObject*)obj3297;
  uo3308->data[8] = emptyclosure;
  Method *meth_meth_ast_3308_name_58__61__40_1_41_ = addmethod2pos(obj3297, "name:=(1)", &meth_ast_3308_name_58__61__40_1_41_, 8);
  int argcv_meth_ast_3308_name_58__61__40_1_41_[] = {1};
  meth_meth_ast_3308_name_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3308_name_58__61__40_1_41_);
  meth_meth_ast_3308_name_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_3308_name_58__61__40_1_41_->definitionLine = 758;
// method "asString"
  struct UserObject *uo3314 = (struct UserObject*)obj3297;
  uo3314->data[9] = emptyclosure;
  Method *meth_meth_ast_3314_asString = addmethod2pos(obj3297, "asString", &meth_ast_3314_asString, 9);
  int argcv_meth_ast_3314_asString[] = {0};
  meth_meth_ast_3314_asString->type = alloc_MethodType(1, argcv_meth_ast_3314_asString);
  meth_meth_ast_3314_asString->definitionModule = modulename;
  meth_meth_ast_3314_asString->definitionLine = 762;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3297);
  Object closure3334 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3334, stackframe);
  addtoclosure(closure3334, var_k);
  struct UserObject *uo3334 = (struct UserObject*)obj3297;
  uo3334->data[10] = (Object)closure3334;
  Method *meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj3297, "declarationKindWithAncestors(1)", &meth_ast_3334_declarationKindWithAncestors_40_1_41_, 10);
  int argcv_meth_ast_3334_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3334_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_->definitionLine = 765;
// method "isExecutable"
  struct UserObject *uo3337 = (struct UserObject*)obj3297;
  uo3337->data[11] = emptyclosure;
  Method *meth_meth_ast_3337_isExecutable = addmethod2pos(obj3297, "isExecutable", &meth_ast_3337_isExecutable, 11);
  int argcv_meth_ast_3337_isExecutable[] = {0};
  meth_meth_ast_3337_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_3337_isExecutable);
  meth_meth_ast_3337_isExecutable->definitionModule = modulename;
  meth_meth_ast_3337_isExecutable->definitionLine = 766;
// method "end"
  block_savedest(obj3297);
  Object closure3339 = createclosure(1, "end");
  setclosureframe(closure3339, stackframe);
  addtoclosure(closure3339, var_noPosition);
  struct UserObject *uo3339 = (struct UserObject*)obj3297;
  uo3339->data[12] = (Object)closure3339;
  Method *meth_meth_ast_3339_end = addmethod2pos(obj3297, "end", &meth_ast_3339_end, 12);
  int argcv_meth_ast_3339_end[] = {0};
  meth_meth_ast_3339_end->type = alloc_MethodType(1, argcv_meth_ast_3339_end);
  meth_meth_ast_3339_end->definitionModule = modulename;
  meth_meth_ast_3339_end->definitionLine = 768;
// method "accept(_)from(_)"
  struct UserObject *uo3367 = (struct UserObject*)obj3297;
  uo3367->data[13] = emptyclosure;
  Method *meth_meth_ast_3367_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj3297, "accept(1)from(1)", &meth_ast_3367_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_3367_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_3367_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3367_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_3367_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3367_accept_40_1_41_from_40_1_41_->definitionLine = 774;
// method "map(_)ancestors(_)"
  struct UserObject *uo3391 = (struct UserObject*)obj3297;
  uo3391->data[14] = emptyclosure;
  Method *meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj3297, "map(1)ancestors(1)", &meth_ast_3391_map_40_1_41_ancestors_40_1_41_, 14);
  int argcv_meth_ast_3391_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3391_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_->definitionLine = 785;
// method "pretty(_)"
  struct UserObject *uo3410 = (struct UserObject*)obj3297;
  uo3410->data[15] = emptyclosure;
  Method *meth_meth_ast_3410_pretty_40_1_41_ = addmethod2pos(obj3297, "pretty(1)", &meth_ast_3410_pretty_40_1_41_, 15);
  int argcv_meth_ast_3410_pretty_40_1_41_[] = {1};
  meth_meth_ast_3410_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3410_pretty_40_1_41_);
  meth_meth_ast_3410_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3410_pretty_40_1_41_->definitionLine = 792;
// method "toGrace(_)"
  struct UserObject *uo3498 = (struct UserObject*)obj3297;
  uo3498->data[16] = emptyclosure;
  Method *meth_meth_ast_3498_toGrace_40_1_41_ = addmethod2pos(obj3297, "toGrace(1)", &meth_ast_3498_toGrace_40_1_41_, 16);
  int argcv_meth_ast_3498_toGrace_40_1_41_[] = {1};
  meth_meth_ast_3498_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3498_toGrace_40_1_41_);
meth_meth_ast_3498_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_3498_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_3498_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3498_toGrace_40_1_41_->definitionLine = 806;
// method "shallowCopy"
  block_savedest(obj3297);
  Object closure3569 = createclosure(2, "shallowCopy");
  setclosureframe(closure3569, stackframe);
  addtoclosure(closure3569, var_emptySeq);
  addtoclosure(closure3569, var_typeLiteralNode);
  struct UserObject *uo3569 = (struct UserObject*)obj3297;
  uo3569->data[17] = (Object)closure3569;
  Method *meth_meth_ast_3569_shallowCopy = addmethod2pos(obj3297, "shallowCopy", &meth_ast_3569_shallowCopy, 17);
  int argcv_meth_ast_3569_shallowCopy[] = {0};
  meth_meth_ast_3569_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_3569_shallowCopy);
  meth_meth_ast_3569_shallowCopy->definitionModule = modulename;
  meth_meth_ast_3569_shallowCopy->definitionLine = 818;
// method "postCopy(_)"
  struct UserObject *uo3574 = (struct UserObject*)obj3297;
  uo3574->data[18] = emptyclosure;
  Method *meth_meth_ast_3574_postCopy_40_1_41_ = addmethod2pos(obj3297, "postCopy(1)", &meth_ast_3574_postCopy_40_1_41_, 18);
  int argcv_meth_ast_3574_postCopy_40_1_41_[] = {1};
  meth_meth_ast_3574_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3574_postCopy_40_1_41_);
  meth_meth_ast_3574_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3574_postCopy_40_1_41_->definitionLine = 821;
  sourceObject = obj3297;
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3587 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3588 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3587);
// compiled call node returning call3588 (depth = 3)
  struct UserObject *obj3297_uo = (struct UserObject *)obj3297;
  obj3297_uo->super = call3588;
  sourceObject = obj3297;
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3589 == NULL) {
    strlit3589 = alloc_String("typeliteral");
    gc_root(strlit3589);
  }
// compiled string node returning strlit3589 (depth = 3)
  adddatum2(obj3297, strlit3589, 1);
  sourceObject = obj3297;
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methods_39_ (depth = 3)
  adddatum2(obj3297, *var_methods_39_, 2);
  sourceObject = obj3297;
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_types_39_ (depth = 3)
  adddatum2(obj3297, *var_types_39_, 3);
  sourceObject = obj3297;
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3590 = alloc_Boolean(0);
// compiled identifier node returning bool3590 (depth = 3)
  adddatum2(obj3297, bool3590, 4);
  sourceObject = obj3297;
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3591 = alloc_Boolean(1);
// compiled identifier node returning bool3591 (depth = 3)
  adddatum2(obj3297, bool3591, 5);
  sourceObject = obj3297;
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3592 == NULL) {
    strlit3592 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit3592);
  }
// compiled string node returning strlit3592 (depth = 3)
  adddatum2(obj3297, strlit3592, 6);
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  objclass3297 = obj3297->class;
  objclass3297->definitionModule = modulename;
  objclass3297->definitionLine = 748;
  (*(struct UserObject *)self).data[0] = lowerouter3297;
  self = oldself3297;
  selfslot = oldselfslot3297;
  stackframe = oldstackframe3297;
  gc_frame_end(frame);
  return obj3297;
}
Object meth_ast_3296_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_noPosition = getfromclosure(closure, 1);
  Object *var_emptySeq = getfromclosure(closure, 2);
  Object *var_typeLiteralNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3297 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3297 = alloc_userobj2(23,19, objclass3297);
  gc_frame_newslot(obj3297);
  if (objclass3297 == NULL) {
    glfree(obj3297->class->name);
    obj3297->class->name = "typeLiteralNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3297, self, 0);
  addmethodreal(obj3297,"outer", &reader_ast_outer_3298);
  Object oldself3297 = self;
  struct StackFrameObject *oldstackframe3297 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3297);
  gc_frame_newslot((Object)stackframe);
  self = obj3297;
  Object *oldselfslot3297 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3297 = (*(struct UserObject *)self).data[0], lowerouter3297 = thisouter3297;
  if (inheritingObject3297) {
    struct UserObject *inho3297 = (struct UserObject *)inheritingObject3297;
    while (inho3297->super != GraceDefaultObject) inho3297 = (struct UserObject *)inho3297->super;
    inho3297->super = obj3297;
    self = inheritingObject3297;
    *selfslot = self;
    lowerouter3297 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3297;
  }
  if (objclass3297 == NULL) {
  Method *reader3299 = addmethodrealflags(obj3297, "kind",&reader_ast_kind_3299, MFLAG_DEF);
  reader3299->definitionModule = modulename;
  reader3299->definitionLine = 750;
  }
  adddatum2(obj3297, alloc_Undefined(), 1);
  if (objclass3297 == NULL) {
    Method *reader3300 = addmethodrealflags(obj3297, "methods", &reader_ast_methods_3300, 0);
    Method *writer3300 = addmethodrealflags(obj3297, "methods:=(1)", &writer_ast_methods_3300, 0);
    reader3300->definitionModule = modulename;
    writer3300->definitionModule = modulename;
    reader3300->definitionLine = 751;
    writer3300->definitionLine = 751;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 2);
  if (objclass3297 == NULL) {
    Method *reader3301 = addmethodrealflags(obj3297, "types", &reader_ast_types_3301, 0);
    Method *writer3301 = addmethodrealflags(obj3297, "types:=(1)", &writer_ast_types_3301, 0);
    reader3301->definitionModule = modulename;
    writer3301->definitionModule = modulename;
    reader3301->definitionLine = 752;
    writer3301->definitionLine = 752;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 3);
  if (objclass3297 == NULL) {
    Method *reader3302 = addmethodrealflags(obj3297, "nominal", &reader_ast_nominal_3302, 0);
    Method *writer3302 = addmethodrealflags(obj3297, "nominal:=(1)", &writer_ast_nominal_3302, 0);
    reader3302->definitionModule = modulename;
    writer3302->definitionModule = modulename;
    reader3302->definitionLine = 753;
    writer3302->definitionLine = 753;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 4);
  if (objclass3297 == NULL) {
    Method *reader3303 = addmethodrealflags(obj3297, "anonymous", &reader_ast_anonymous_3303, 0);
    Method *writer3303 = addmethodrealflags(obj3297, "anonymous:=(1)", &writer_ast_anonymous_3303, 0);
    reader3303->definitionModule = modulename;
    writer3303->definitionModule = modulename;
    reader3303->definitionLine = 754;
    writer3303->definitionLine = 754;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 5);
  if (objclass3297 == NULL) {
    Method *reader3304 = addmethodrealflags(obj3297, "value", &reader_ast_value_3304, 0);
    Method *writer3304 = addmethodrealflags(obj3297, "value:=(1)", &writer_ast_value_3304, 0);
    reader3304->definitionModule = modulename;
    writer3304->definitionModule = modulename;
    reader3304->definitionLine = 755;
    writer3304->definitionLine = 755;
  }
  obj3297->flags |= OFLAG_MUTABLE;
  adddatum2(obj3297, alloc_Undefined(), 6);
// method "name"
  struct UserObject *uo3305 = (struct UserObject*)obj3297;
  uo3305->data[7] = emptyclosure;
  Method *meth_meth_ast_3305_name = addmethod2pos(obj3297, "name", &meth_ast_3305_name, 7);
  int argcv_meth_ast_3305_name[] = {0};
  meth_meth_ast_3305_name->type = alloc_MethodType(1, argcv_meth_ast_3305_name);
  meth_meth_ast_3305_name->definitionModule = modulename;
  meth_meth_ast_3305_name->definitionLine = 757;
// method "name:=(_)"
  struct UserObject *uo3308 = (struct UserObject*)obj3297;
  uo3308->data[8] = emptyclosure;
  Method *meth_meth_ast_3308_name_58__61__40_1_41_ = addmethod2pos(obj3297, "name:=(1)", &meth_ast_3308_name_58__61__40_1_41_, 8);
  int argcv_meth_ast_3308_name_58__61__40_1_41_[] = {1};
  meth_meth_ast_3308_name_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3308_name_58__61__40_1_41_);
  meth_meth_ast_3308_name_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_3308_name_58__61__40_1_41_->definitionLine = 758;
// method "asString"
  struct UserObject *uo3314 = (struct UserObject*)obj3297;
  uo3314->data[9] = emptyclosure;
  Method *meth_meth_ast_3314_asString = addmethod2pos(obj3297, "asString", &meth_ast_3314_asString, 9);
  int argcv_meth_ast_3314_asString[] = {0};
  meth_meth_ast_3314_asString->type = alloc_MethodType(1, argcv_meth_ast_3314_asString);
  meth_meth_ast_3314_asString->definitionModule = modulename;
  meth_meth_ast_3314_asString->definitionLine = 762;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3297);
  Object closure3334 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3334, stackframe);
  addtoclosure(closure3334, var_k);
  struct UserObject *uo3334 = (struct UserObject*)obj3297;
  uo3334->data[10] = (Object)closure3334;
  Method *meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj3297, "declarationKindWithAncestors(1)", &meth_ast_3334_declarationKindWithAncestors_40_1_41_, 10);
  int argcv_meth_ast_3334_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3334_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3334_declarationKindWithAncestors_40_1_41_->definitionLine = 765;
// method "isExecutable"
  struct UserObject *uo3337 = (struct UserObject*)obj3297;
  uo3337->data[11] = emptyclosure;
  Method *meth_meth_ast_3337_isExecutable = addmethod2pos(obj3297, "isExecutable", &meth_ast_3337_isExecutable, 11);
  int argcv_meth_ast_3337_isExecutable[] = {0};
  meth_meth_ast_3337_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_3337_isExecutable);
  meth_meth_ast_3337_isExecutable->definitionModule = modulename;
  meth_meth_ast_3337_isExecutable->definitionLine = 766;
// method "end"
  block_savedest(obj3297);
  Object closure3339 = createclosure(1, "end");
  setclosureframe(closure3339, stackframe);
  addtoclosure(closure3339, var_noPosition);
  struct UserObject *uo3339 = (struct UserObject*)obj3297;
  uo3339->data[12] = (Object)closure3339;
  Method *meth_meth_ast_3339_end = addmethod2pos(obj3297, "end", &meth_ast_3339_end, 12);
  int argcv_meth_ast_3339_end[] = {0};
  meth_meth_ast_3339_end->type = alloc_MethodType(1, argcv_meth_ast_3339_end);
  meth_meth_ast_3339_end->definitionModule = modulename;
  meth_meth_ast_3339_end->definitionLine = 768;
// method "accept(_)from(_)"
  struct UserObject *uo3367 = (struct UserObject*)obj3297;
  uo3367->data[13] = emptyclosure;
  Method *meth_meth_ast_3367_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj3297, "accept(1)from(1)", &meth_ast_3367_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_3367_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_3367_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3367_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_3367_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3367_accept_40_1_41_from_40_1_41_->definitionLine = 774;
// method "map(_)ancestors(_)"
  struct UserObject *uo3391 = (struct UserObject*)obj3297;
  uo3391->data[14] = emptyclosure;
  Method *meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj3297, "map(1)ancestors(1)", &meth_ast_3391_map_40_1_41_ancestors_40_1_41_, 14);
  int argcv_meth_ast_3391_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3391_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3391_map_40_1_41_ancestors_40_1_41_->definitionLine = 785;
// method "pretty(_)"
  struct UserObject *uo3410 = (struct UserObject*)obj3297;
  uo3410->data[15] = emptyclosure;
  Method *meth_meth_ast_3410_pretty_40_1_41_ = addmethod2pos(obj3297, "pretty(1)", &meth_ast_3410_pretty_40_1_41_, 15);
  int argcv_meth_ast_3410_pretty_40_1_41_[] = {1};
  meth_meth_ast_3410_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3410_pretty_40_1_41_);
  meth_meth_ast_3410_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3410_pretty_40_1_41_->definitionLine = 792;
// method "toGrace(_)"
  struct UserObject *uo3498 = (struct UserObject*)obj3297;
  uo3498->data[16] = emptyclosure;
  Method *meth_meth_ast_3498_toGrace_40_1_41_ = addmethod2pos(obj3297, "toGrace(1)", &meth_ast_3498_toGrace_40_1_41_, 16);
  int argcv_meth_ast_3498_toGrace_40_1_41_[] = {1};
  meth_meth_ast_3498_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3498_toGrace_40_1_41_);
meth_meth_ast_3498_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_3498_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_3498_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3498_toGrace_40_1_41_->definitionLine = 806;
// method "shallowCopy"
  block_savedest(obj3297);
  Object closure3569 = createclosure(2, "shallowCopy");
  setclosureframe(closure3569, stackframe);
  addtoclosure(closure3569, var_emptySeq);
  addtoclosure(closure3569, var_typeLiteralNode);
  struct UserObject *uo3569 = (struct UserObject*)obj3297;
  uo3569->data[17] = (Object)closure3569;
  Method *meth_meth_ast_3569_shallowCopy = addmethod2pos(obj3297, "shallowCopy", &meth_ast_3569_shallowCopy, 17);
  int argcv_meth_ast_3569_shallowCopy[] = {0};
  meth_meth_ast_3569_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_3569_shallowCopy);
  meth_meth_ast_3569_shallowCopy->definitionModule = modulename;
  meth_meth_ast_3569_shallowCopy->definitionLine = 818;
// method "postCopy(_)"
  struct UserObject *uo3574 = (struct UserObject*)obj3297;
  uo3574->data[18] = emptyclosure;
  Method *meth_meth_ast_3574_postCopy_40_1_41_ = addmethod2pos(obj3297, "postCopy(1)", &meth_ast_3574_postCopy_40_1_41_, 18);
  int argcv_meth_ast_3574_postCopy_40_1_41_[] = {1};
  meth_meth_ast_3574_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3574_postCopy_40_1_41_);
  meth_meth_ast_3574_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3574_postCopy_40_1_41_->definitionLine = 821;
  sourceObject = obj3297;
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3587 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3588 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3587);
// compiled call node returning call3588 (depth = 3)
  struct UserObject *obj3297_uo = (struct UserObject *)obj3297;
  obj3297_uo->super = call3588;
  sourceObject = obj3297;
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3589 == NULL) {
    strlit3589 = alloc_String("typeliteral");
    gc_root(strlit3589);
  }
// compiled string node returning strlit3589 (depth = 3)
  adddatum2(obj3297, strlit3589, 1);
  sourceObject = obj3297;
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methods_39_ (depth = 3)
  adddatum2(obj3297, *var_methods_39_, 2);
  sourceObject = obj3297;
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_types_39_ (depth = 3)
  adddatum2(obj3297, *var_types_39_, 3);
  sourceObject = obj3297;
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3590 = alloc_Boolean(0);
// compiled identifier node returning bool3590 (depth = 3)
  adddatum2(obj3297, bool3590, 4);
  sourceObject = obj3297;
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3591 = alloc_Boolean(1);
// compiled identifier node returning bool3591 (depth = 3)
  adddatum2(obj3297, bool3591, 5);
  sourceObject = obj3297;
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3592 == NULL) {
    strlit3592 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit3592);
  }
// compiled string node returning strlit3592 (depth = 3)
  adddatum2(obj3297, strlit3592, 6);
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  sourceObject = obj3297;
  objclass3297 = obj3297->class;
  objclass3297->definitionModule = modulename;
  objclass3297->definitionLine = 748;
  (*(struct UserObject *)self).data[0] = lowerouter3297;
  self = oldself3297;
  selfslot = oldselfslot3297;
  stackframe = oldstackframe3297;
  gc_frame_end(frame);
  return obj3297;
}
Object meth_ast_3594_typeLiteralNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeLiteralNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeLiteralNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeLiteralNode;
}
Object meth_ast_3606_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3607 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3608 = gc_frame_new();
// call case 4: self request
  Object call3609 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3608);
// compiled member node returning call3609 (depth = 4)
  Object call3610 = callmethodflags(call3609, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3607);
// compiled member node returning call3610 (depth = 3)
  gc_frame_end(frame);
  return call3610;
}
Object meth_ast_3611_isLegalInTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3612 = alloc_Boolean(1);
// compiled identifier node returning bool3612 (depth = 3)
  gc_frame_end(frame);
  return bool3612;
}
Object meth_ast_3613_isTypeDec(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3614 = alloc_Boolean(1);
// compiled identifier node returning bool3614 (depth = 3)
  gc_frame_end(frame);
  return bool3614;
}
Object meth_ast_3615_scope_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3616 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call3617 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3616);
// compiled call node returning call3617 (depth = 3)
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3618 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3619 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3618);
// compiled call node returning call3619 (depth = 3)
  gc_frame_end(frame);
  return call3619;
}
Object meth_ast_3620_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3621 = alloc_Boolean(1);
// compiled identifier node returning bool3621 (depth = 3)
  gc_frame_end(frame);
  return bool3621;
}
Object meth_ast_3622_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3623 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3624 = callmethodflags(*var_k, "typeparam", 0, partcv, params, 0);
  gc_frame_end(callframe3623);
// compiled member node returning call3624 (depth = 3)
  gc_frame_end(frame);
  return call3624;
}
Object meth_ast_3625_isConfidential(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3628 = alloc_Float64(0);
// compiled num node returning num3628 (depth = 5)
  int op_slot_right_3627 = gc_frame_newslot(num3628);
// starting to compile member node (depth = 5)
  int callframe3630 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3631 = gc_frame_new();
// call case 4: self request
  Object call3632 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3631);
// compiled member node returning call3632 (depth = 6)
  Object call3633 = callmethodflags(call3632, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3630);
// compiled member node returning call3633 (depth = 5)
  int op_slot_left_3627 = gc_frame_newslot(call3633);
  params[0] = num3628;
  partcv[0] = 1;
  Object opresult3634 = callmethod(call3633, "==(1)", 1, partcv, params);
// compiled op node returning opresult3634 (depth = 4)
  Object if3626 = done;
  if (istrue(opresult3634)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3635 = alloc_Boolean(0);
// compiled identifier node returning bool3635 (depth = 5)
  return bool3635;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3626 = undefined;
  } else {
  }
// compiled if node returning if3626 (depth = 3)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3636 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit3637 == NULL) {
    strlit3637 = alloc_String("confidential");
    gc_root(strlit3637);
  }
// compiled string node returning strlit3637 (depth = 4)
  gc_frame_newslot(strlit3637);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  params[1] = strlit3637;
  partcv[0] = 2;
  Object call3638 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3636);
// compiled call node returning call3638 (depth = 3)
  gc_frame_end(frame);
  return call3638;
}
Object meth_ast_3639_isPublic(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3640 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3641 = gc_frame_new();
// call case 4: self request
  Object call3642 = callmethodflags(self, "isConfidential", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3641);
// compiled member node returning call3642 (depth = 4)
  Object call3643 = callmethodflags(call3642, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3640);
// compiled member node returning call3643 (depth = 3)
  gc_frame_end(frame);
  return call3643;
}
Object meth_ast_3644_isWritable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3645 = alloc_Boolean(0);
// compiled identifier node returning bool3645 (depth = 3)
  gc_frame_end(frame);
  return bool3645;
}
Object meth_ast_3646_isReadable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3647 = gc_frame_new();
// call case 4: self request
  Object call3648 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3647);
// compiled member node returning call3648 (depth = 3)
  gc_frame_end(frame);
  return call3648;
}
Object meth_ast_3672__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 6)
  int callframe3673 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3674 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3673);
// compiled call node returning call3674 (depth = 6)
  gc_frame_end(frame);
  return call3674;
}
Object meth_ast_3649_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3651 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3652 = callmethodflags(*var_visitor, "visitTypeDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3651);
// compiled call node returning call3652 (depth = 4)
  Object if3650 = done;
  if (istrue(call3652)) {
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3653 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3654 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3653);
// compiled call node returning call3654 (depth = 5)
  *var_newChain = call3654;
  if (call3654 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3655 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3656 = gc_frame_new();
// call case 4: self request
  Object call3657 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3656);
// compiled member node returning call3657 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3658 = callmethodflags(call3657, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3655);
// compiled call node returning call3658 (depth = 4)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3661 = gc_frame_new();
// call case 4: self request
  Object call3662 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3661);
// compiled member node returning call3662 (depth = 6)
  int op_slot_right_3660 = gc_frame_newslot(call3662);
// starting to compile identifier node (depth = 6)
  Object bool3664 = alloc_Boolean(0);
// compiled identifier node returning bool3664 (depth = 6)
  int op_slot_left_3660 = gc_frame_newslot(bool3664);
  params[0] = call3662;
  partcv[0] = 1;
  Object opresult3665 = callmethod(bool3664, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3665 (depth = 5)
  Object if3659 = done;
  if (istrue(opresult3665)) {
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3666 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3667 = gc_frame_new();
// call case 4: self request
  Object call3668 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3667);
// compiled member node returning call3668 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3669 = callmethodflags(call3668, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3666);
// compiled call node returning call3669 (depth = 5)
    gc_frame_newslot(call3669);
    if3659 = call3669;
  } else {
  }
// compiled if node returning if3659 (depth = 4)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3670 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3671 = alloc_Block(NULL, NULL, "ast", 867);
  gc_frame_newslot(block3671);
// method "_apply(_)"
  block_savedest(block3671);
  Object closure3672 = createclosure(3, "_apply(1)");
  setclosureframe(closure3672, stackframe);
  addtoclosure(closure3672, var_visitor);
  addtoclosure(closure3672, var_newChain);
  addtoclosure(closure3672, selfslot);
  struct UserObject *uo3672 = (struct UserObject*)block3671;
  uo3672->data[0] = (Object)closure3672;
  Method *meth_meth_ast_3672__apply_40_1_41_ = addmethod2pos(block3671, "_apply(1)", &meth_ast_3672__apply_40_1_41_, 0);
  int argcv_meth_ast_3672__apply_40_1_41_[] = {1};
  meth_meth_ast_3672__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3672__apply_40_1_41_);
  meth_meth_ast_3672__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3672__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block3671 (depth = 5)
  gc_frame_newslot(block3671);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3676 = gc_frame_new();
// call case 4: self request
  Object call3677 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3676);
// compiled member node returning call3677 (depth = 5)
  params[0] = block3671;
  partcv[0] = 1;
  Object call3678 = callmethodflags(call3677, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3670);
// compiled call node returning call3678 (depth = 4)
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3679 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3680 = gc_frame_new();
// call case 4: self request
  Object call3681 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3680);
// compiled member node returning call3681 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3682 = callmethodflags(call3681, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3679);
// compiled call node returning call3682 (depth = 4)
    gc_frame_newslot(call3682);
    if3650 = call3682;
  } else {
  }
// compiled if node returning if3650 (depth = 3)
  gc_frame_end(frame);
  return if3650;
}
Object meth_ast_3683_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3684 = gc_frame_new();
// call case 4: self request
  Object call3685 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3684);
// compiled member node returning call3685 (depth = 4)
  *var_n = call3685;
  if (call3685 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3686 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3687 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3686);
// compiled call node returning call3687 (depth = 4)
  *var_newChain = call3687;
  if (call3687 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3688 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3689 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3690 = gc_frame_new();
// call case 4: self request
  Object call3691 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3690);
// compiled member node returning call3691 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3692 = callmethodflags(call3691, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3689);
// compiled call node returning call3692 (depth = 4)
  gc_frame_newslot(call3692);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3692;
  partcv[0] = 1;
  Object call3693 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3688);
// compiled call node returning call3693 (depth = 3)
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3694 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3695 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3696 = gc_frame_new();
// call case 4: self request
  Object call3697 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3696);
// compiled member node returning call3697 (depth = 5)
  gc_frame_newslot(call3697);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3697;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3698 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3695);
// compiled call node returning call3698 (depth = 4)
  gc_frame_newslot(call3698);
// call case 6: other requests
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3698;
  partcv[0] = 1;
  Object call3699 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3694);
// compiled call node returning call3699 (depth = 3)
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3700 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3701 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3702 = gc_frame_new();
// call case 4: self request
  Object call3703 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3702);
// compiled member node returning call3703 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3704 = callmethodflags(call3703, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3701);
// compiled call node returning call3704 (depth = 4)
  gc_frame_newslot(call3704);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3704;
  partcv[0] = 1;
  Object call3705 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3700);
// compiled call node returning call3705 (depth = 3)
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3706 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3707 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3708 = gc_frame_new();
// call case 4: self request
  Object call3709 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3708);
// compiled member node returning call3709 (depth = 5)
  gc_frame_newslot(call3709);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call3709;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3710 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3707);
// compiled call node returning call3710 (depth = 4)
  gc_frame_newslot(call3710);
// call case 6: other requests
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3710;
  partcv[0] = 1;
  Object call3711 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3706);
// compiled call node returning call3711 (depth = 3)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3712 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3713 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3712);
// compiled call node returning call3713 (depth = 3)
  gc_frame_end(frame);
  return call3713;
}
Object meth_ast_3714_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3717 = alloc_Float64(1);
// compiled num node returning num3717 (depth = 6)
  int op_slot_right_3716 = gc_frame_newslot(num3717);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3716 = gc_frame_newslot(*var_depth);
  params[0] = num3717;
  partcv[0] = 1;
  Object sum3719 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3719 (depth = 5)
  int op_slot_right_3715 = gc_frame_newslot(sum3719);
// starting to compile string node (depth = 5)
  if (strlit3721 == NULL) {
    strlit3721 = alloc_String("  ");
    gc_root(strlit3721);
  }
// compiled string node returning strlit3721 (depth = 5)
  int op_slot_left_3715 = gc_frame_newslot(strlit3721);
  params[0] = sum3719;
  partcv[0] = 1;
  Object prod3722 = callmethod(strlit3721, "*(1)", 1, partcv, params);
// compiled op node returning prod3722 (depth = 4)
  *var_spc = prod3722;
  if (prod3722 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3724 == NULL) {
    strlit3724 = alloc_String("""\x0a""");
    gc_root(strlit3724);
  }
// compiled string node returning strlit3724 (depth = 5)
  int op_slot_right_3723 = gc_frame_newslot(strlit3724);
// starting to compile call node (depth = 5)
  int callframe3726 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3727 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3726);
// compiled call node returning call3727 (depth = 5)
  int op_slot_left_3723 = gc_frame_newslot(call3727);
  params[0] = strlit3724;
  partcv[0] = 1;
  Object opresult3728 = callmethod(call3727, "++(1)", 1, partcv, params);
// compiled op node returning opresult3728 (depth = 4)
  *var_s = opresult3728;
  if (opresult3728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3730 == NULL) {
    strlit3730 = alloc_String("""\x0a""");
    gc_root(strlit3730);
  }
// compiled string node returning strlit3730 (depth = 5)
  int op_slot_right_3729 = gc_frame_newslot(strlit3730);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3733 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3735 = alloc_Float64(1);
// compiled num node returning num3735 (depth = 8)
  int op_slot_right_3734 = gc_frame_newslot(num3735);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3734 = gc_frame_newslot(*var_depth);
  params[0] = num3735;
  partcv[0] = 1;
  Object sum3737 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3737 (depth = 7)
  gc_frame_newslot(sum3737);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3738 = gc_frame_new();
// call case 4: self request
  Object call3739 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3738);
// compiled member node returning call3739 (depth = 7)
  params[0] = sum3737;
  partcv[0] = 1;
  Object call3740 = callmethodflags(call3739, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3733);
// compiled call node returning call3740 (depth = 6)
  int op_slot_right_3732 = gc_frame_newslot(call3740);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3742 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3742 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3744 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3744 (depth = 6)
  int op_slot_left_3732 = gc_frame_newslot(opresult3744);
  params[0] = call3740;
  partcv[0] = 1;
  Object opresult3745 = callmethod(opresult3744, "++(1)", 1, partcv, params);
// compiled op node returning opresult3745 (depth = 5)
  int op_slot_left_3729 = gc_frame_newslot(opresult3745);
  params[0] = strlit3730;
  partcv[0] = 1;
  Object opresult3746 = callmethod(opresult3745, "++(1)", 1, partcv, params);
// compiled op node returning opresult3746 (depth = 4)
  *var_s = opresult3746;
  if (opresult3746 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3750 = gc_frame_new();
// call case 4: self request
  Object call3751 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3750);
// compiled member node returning call3751 (depth = 5)
  int op_slot_right_3749 = gc_frame_newslot(call3751);
// starting to compile identifier node (depth = 5)
  Object bool3753 = alloc_Boolean(0);
// compiled identifier node returning bool3753 (depth = 5)
  int op_slot_left_3749 = gc_frame_newslot(bool3753);
  params[0] = call3751;
  partcv[0] = 1;
  Object opresult3754 = callmethod(bool3753, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3754 (depth = 4)
  Object if3748 = done;
  if (istrue(opresult3754)) {
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3756 == NULL) {
    strlit3756 = alloc_String("""\x0a""");
    gc_root(strlit3756);
  }
// compiled string node returning strlit3756 (depth = 6)
  int op_slot_right_3755 = gc_frame_newslot(strlit3756);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3759 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3761 = alloc_Float64(2);
// compiled num node returning num3761 (depth = 9)
  int op_slot_right_3760 = gc_frame_newslot(num3761);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3760 = gc_frame_newslot(*var_depth);
  params[0] = num3761;
  partcv[0] = 1;
  Object sum3763 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3763 (depth = 8)
  gc_frame_newslot(sum3763);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3764 = gc_frame_new();
// call case 4: self request
  Object call3765 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3764);
// compiled member node returning call3765 (depth = 8)
  params[0] = sum3763;
  partcv[0] = 1;
  Object call3766 = callmethodflags(call3765, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3759);
// compiled call node returning call3766 (depth = 7)
  int op_slot_right_3758 = gc_frame_newslot(call3766);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3769 == NULL) {
    strlit3769 = alloc_String("Type parameters:""\x0a""");
    gc_root(strlit3769);
  }
// compiled string node returning strlit3769 (depth = 8)
  int op_slot_right_3768 = gc_frame_newslot(strlit3769);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3771 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3774 == NULL) {
    strlit3774 = alloc_String("");
    gc_root(strlit3774);
  }
// compiled string node returning strlit3774 (depth = 10)
  int op_slot_right_3773 = gc_frame_newslot(strlit3774);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_3776 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit3778 == NULL) {
    strlit3778 = alloc_String("");
    gc_root(strlit3778);
  }
// compiled string node returning strlit3778 (depth = 11)
  int op_slot_left_3776 = gc_frame_newslot(strlit3778);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3779 = callmethod(strlit3778, "++(1)", 1, partcv, params);
// compiled op node returning opresult3779 (depth = 10)
  int op_slot_left_3773 = gc_frame_newslot(opresult3779);
  params[0] = strlit3774;
  partcv[0] = 1;
  Object opresult3780 = callmethod(opresult3779, "++(1)", 1, partcv, params);
// compiled op node returning opresult3780 (depth = 9)
  int op_slot_left_3771 = gc_frame_newslot(opresult3780);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3781 = callmethod(opresult3780, "++(1)", 1, partcv, params);
// compiled op node returning opresult3781 (depth = 8)
  int op_slot_left_3768 = gc_frame_newslot(opresult3781);
  params[0] = strlit3769;
  partcv[0] = 1;
  Object opresult3782 = callmethod(opresult3781, "++(1)", 1, partcv, params);
// compiled op node returning opresult3782 (depth = 7)
  int op_slot_left_3758 = gc_frame_newslot(opresult3782);
  params[0] = call3766;
  partcv[0] = 1;
  Object opresult3783 = callmethod(opresult3782, "++(1)", 1, partcv, params);
// compiled op node returning opresult3783 (depth = 6)
  int op_slot_left_3755 = gc_frame_newslot(opresult3783);
  params[0] = strlit3756;
  partcv[0] = 1;
  Object opresult3784 = callmethod(opresult3783, "++(1)", 1, partcv, params);
// compiled op node returning opresult3784 (depth = 5)
  *var_s = opresult3784;
  if (opresult3784 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3748 = done;
  } else {
  }
// compiled if node returning if3748 (depth = 3)
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3787 == NULL) {
    strlit3787 = alloc_String("Value:");
    gc_root(strlit3787);
  }
// compiled string node returning strlit3787 (depth = 5)
  int op_slot_right_3786 = gc_frame_newslot(strlit3787);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3789 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3789 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3791 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3791 (depth = 5)
  int op_slot_left_3786 = gc_frame_newslot(opresult3791);
  params[0] = strlit3787;
  partcv[0] = 1;
  Object opresult3792 = callmethod(opresult3791, "++(1)", 1, partcv, params);
// compiled op node returning opresult3792 (depth = 4)
  *var_s = opresult3792;
  if (opresult3792 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3795 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3797 = alloc_Float64(2);
// compiled num node returning num3797 (depth = 7)
  int op_slot_right_3796 = gc_frame_newslot(num3797);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_3796 = gc_frame_newslot(*var_depth);
  params[0] = num3797;
  partcv[0] = 1;
  Object sum3799 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3799 (depth = 6)
  gc_frame_newslot(sum3799);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3800 = gc_frame_new();
// call case 4: self request
  Object call3801 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3800);
// compiled member node returning call3801 (depth = 6)
  params[0] = sum3799;
  partcv[0] = 1;
  Object call3802 = callmethodflags(call3801, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3795);
// compiled call node returning call3802 (depth = 5)
  int op_slot_right_3794 = gc_frame_newslot(call3802);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3794 = gc_frame_newslot(*var_s);
  params[0] = call3802;
  partcv[0] = 1;
  Object opresult3804 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3804 (depth = 4)
  *var_s = opresult3804;
  if (opresult3804 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3807 == NULL) {
    strlit3807 = alloc_String("""\x0a""");
    gc_root(strlit3807);
  }
// compiled string node returning strlit3807 (depth = 5)
  int op_slot_right_3806 = gc_frame_newslot(strlit3807);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3806 = gc_frame_newslot(*var_s);
  params[0] = strlit3807;
  partcv[0] = 1;
  Object opresult3809 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3809 (depth = 4)
  *var_s = opresult3809;
  if (opresult3809 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3813 = gc_frame_new();
// call case 4: self request
  Object call3814 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3813);
// compiled member node returning call3814 (depth = 5)
  int op_slot_right_3812 = gc_frame_newslot(call3814);
// starting to compile identifier node (depth = 5)
  Object bool3816 = alloc_Boolean(0);
// compiled identifier node returning bool3816 (depth = 5)
  int op_slot_left_3812 = gc_frame_newslot(bool3816);
  params[0] = call3814;
  partcv[0] = 1;
  Object opresult3817 = callmethod(bool3816, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3817 (depth = 4)
  Object if3811 = done;
  if (istrue(opresult3817)) {
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3819 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3821 = alloc_Float64(2);
// compiled num node returning num3821 (depth = 8)
  int op_slot_right_3820 = gc_frame_newslot(num3821);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3820 = gc_frame_newslot(*var_depth);
  params[0] = num3821;
  partcv[0] = 1;
  Object sum3823 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3823 (depth = 7)
  gc_frame_newslot(sum3823);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3824 = gc_frame_new();
// call case 4: self request
  Object call3825 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3824);
// compiled member node returning call3825 (depth = 7)
  params[0] = sum3823;
  partcv[0] = 1;
  Object call3826 = callmethodflags(call3825, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3819);
// compiled call node returning call3826 (depth = 6)
  int op_slot_right_3818 = gc_frame_newslot(call3826);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3818 = gc_frame_newslot(*var_s);
  params[0] = call3826;
  partcv[0] = 1;
  Object opresult3828 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3828 (depth = 5)
  *var_s = opresult3828;
  if (opresult3828 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3811 = done;
  } else {
  }
// compiled if node returning if3811 (depth = 3)
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_3830_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_3831 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit3833 == NULL) {
    strlit3833 = alloc_String("    ");
    gc_root(strlit3833);
  }
// compiled string node returning strlit3833 (depth = 5)
  int op_slot_left_3831 = gc_frame_newslot(strlit3833);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod3834 = callmethod(strlit3833, "*(1)", 1, partcv, params);
// compiled op node returning prod3834 (depth = 4)
  *var_spc = prod3834;
  if (prod3834 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3835 == NULL) {
    strlit3835 = alloc_String("");
    gc_root(strlit3835);
  }
// compiled string node returning strlit3835 (depth = 4)
  *var_s = strlit3835;
  if (strlit3835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3837 == NULL) {
    strlit3837 = alloc_String("");
    gc_root(strlit3837);
  }
// compiled string node returning strlit3837 (depth = 5)
  int op_slot_right_3836 = gc_frame_newslot(strlit3837);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3840 = gc_frame_new();
// call case 4: self request
  Object call3841 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3840);
// compiled member node returning call3841 (depth = 6)
  int op_slot_right_3839 = gc_frame_newslot(call3841);
// starting to compile string node (depth = 6)
  if (strlit3843 == NULL) {
    strlit3843 = alloc_String("type ");
    gc_root(strlit3843);
  }
// compiled string node returning strlit3843 (depth = 6)
  int op_slot_left_3839 = gc_frame_newslot(strlit3843);
  params[0] = call3841;
  partcv[0] = 1;
  Object opresult3844 = callmethod(strlit3843, "++(1)", 1, partcv, params);
// compiled op node returning opresult3844 (depth = 5)
  int op_slot_left_3836 = gc_frame_newslot(opresult3844);
  params[0] = strlit3837;
  partcv[0] = 1;
  Object opresult3845 = callmethod(opresult3844, "++(1)", 1, partcv, params);
// compiled op node returning opresult3845 (depth = 4)
  *var_s = opresult3845;
  if (opresult3845 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3849 = gc_frame_new();
// call case 4: self request
  Object call3850 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3849);
// compiled member node returning call3850 (depth = 5)
  int op_slot_right_3848 = gc_frame_newslot(call3850);
// starting to compile identifier node (depth = 5)
  Object bool3852 = alloc_Boolean(0);
// compiled identifier node returning bool3852 (depth = 5)
  int op_slot_left_3848 = gc_frame_newslot(bool3852);
  params[0] = call3850;
  partcv[0] = 1;
  Object opresult3853 = callmethod(bool3852, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3853 (depth = 4)
  Object if3847 = done;
  if (istrue(opresult3853)) {
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3854 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num3855 = alloc_Float64(0);
// compiled num node returning num3855 (depth = 5)
  gc_frame_newslot(num3855);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3856 = gc_frame_new();
// call case 4: self request
  Object call3857 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3856);
// compiled member node returning call3857 (depth = 5)
  params[0] = num3855;
  partcv[0] = 1;
  Object call3858 = callmethodflags(call3857, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3854);
// compiled call node returning call3858 (depth = 4)
    gc_frame_newslot(call3858);
    if3847 = call3858;
  } else {
  }
// compiled if node returning if3847 (depth = 3)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3860 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3862 = alloc_Float64(2);
// compiled num node returning num3862 (depth = 6)
  int op_slot_right_3861 = gc_frame_newslot(num3862);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3861 = gc_frame_newslot(*var_depth);
  params[0] = num3862;
  partcv[0] = 1;
  Object sum3864 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3864 (depth = 5)
  gc_frame_newslot(sum3864);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3865 = gc_frame_new();
// call case 4: self request
  Object call3866 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3865);
// compiled member node returning call3866 (depth = 5)
  params[0] = sum3864;
  partcv[0] = 1;
  Object call3867 = callmethodflags(call3866, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3860);
// compiled call node returning call3867 (depth = 4)
  int op_slot_right_3859 = gc_frame_newslot(call3867);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3870 == NULL) {
    strlit3870 = alloc_String(" = ");
    gc_root(strlit3870);
  }
// compiled string node returning strlit3870 (depth = 5)
  int op_slot_right_3869 = gc_frame_newslot(strlit3870);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3869 = gc_frame_newslot(*var_s);
  params[0] = strlit3870;
  partcv[0] = 1;
  Object opresult3872 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3872 (depth = 4)
  int op_slot_left_3859 = gc_frame_newslot(opresult3872);
  params[0] = call3867;
  partcv[0] = 1;
  Object opresult3873 = callmethod(opresult3872, "++(1)", 1, partcv, params);
// compiled op node returning opresult3873 (depth = 3)
  gc_frame_end(frame);
  return opresult3873;
}
Object meth_ast_3874_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_typeDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3875 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3876 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3877 = gc_frame_new();
// call case 4: self request
  Object call3878 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3877);
// compiled member node returning call3878 (depth = 5)
  gc_frame_newslot(call3878);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeDecNode (depth = 5)
  params[0] = call3878;
  params[1] = *var_nullNode;
  partcv[0] = 2;
  Object call3879 = callmethodflags(*var_typeDecNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3876);
// compiled call node returning call3879 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3880 = callmethodflags(call3879, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3875);
// compiled call node returning call3880 (depth = 3)
  gc_frame_end(frame);
  return call3880;
}
Object meth_ast_3597_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_typeDecNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3598 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3598 = alloc_userobj2(25,22, objclass3598);
  gc_frame_newslot(obj3598);
  if (objclass3598 == NULL) {
    glfree(obj3598->class->name);
    obj3598->class->name = "typeDecNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3598, self, 0);
  addmethodreal(obj3598,"outer", &reader_ast_outer_3599);
  Object oldself3598 = self;
  struct StackFrameObject *oldstackframe3598 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3598);
  gc_frame_newslot((Object)stackframe);
  self = obj3598;
  Object *oldselfslot3598 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3598 = (*(struct UserObject *)self).data[0], lowerouter3598 = thisouter3598;
  if (inheritingObject3598) {
    struct UserObject *inho3598 = (struct UserObject *)inheritingObject3598;
    while (inho3598->super != GraceDefaultObject) inho3598 = (struct UserObject *)inho3598->super;
    inho3598->super = obj3598;
    self = inheritingObject3598;
    *selfslot = self;
    lowerouter3598 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3598;
  }
  if (objclass3598 == NULL) {
  Method *reader3600 = addmethodrealflags(obj3598, "kind",&reader_ast_kind_3600, MFLAG_DEF);
  reader3600->definitionModule = modulename;
  reader3600->definitionLine = 833;
  }
  adddatum2(obj3598, alloc_Undefined(), 1);
  if (objclass3598 == NULL) {
    Method *reader3601 = addmethodrealflags(obj3598, "name", &reader_ast_name_3601, 0);
    Method *writer3601 = addmethodrealflags(obj3598, "name:=(1)", &writer_ast_name_3601, 0);
    reader3601->definitionModule = modulename;
    writer3601->definitionModule = modulename;
    reader3601->definitionLine = 834;
    writer3601->definitionLine = 834;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 2);
  if (objclass3598 == NULL) {
    Method *reader3602 = addmethodrealflags(obj3598, "value", &reader_ast_value_3602, 0);
    Method *writer3602 = addmethodrealflags(obj3598, "value:=(1)", &writer_ast_value_3602, 0);
    reader3602->definitionModule = modulename;
    writer3602->definitionModule = modulename;
    reader3602->definitionLine = 835;
    writer3602->definitionLine = 835;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 3);
  if (objclass3598 == NULL) {
  Method *reader3603 = addmethodrealflags(obj3598, "nameString",&reader_ast_nameString_3603, MFLAG_DEF);
  reader3603->definitionModule = modulename;
  reader3603->definitionLine = 836;
  }
  adddatum2(obj3598, alloc_Undefined(), 4);
  if (objclass3598 == NULL) {
    Method *reader3604 = addmethodrealflags(obj3598, "annotations", &reader_ast_annotations_3604, 0);
    Method *writer3604 = addmethodrealflags(obj3598, "annotations:=(1)", &writer_ast_annotations_3604, 0);
    reader3604->definitionModule = modulename;
    writer3604->definitionModule = modulename;
    reader3604->definitionLine = 837;
    writer3604->definitionLine = 837;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 5);
  if (objclass3598 == NULL) {
    Method *reader3605 = addmethodrealflags(obj3598, "typeParams", &reader_ast_typeParams_3605, 0);
    Method *writer3605 = addmethodrealflags(obj3598, "typeParams:=(1)", &writer_ast_typeParams_3605, 0);
    reader3605->definitionModule = modulename;
    writer3605->definitionModule = modulename;
    reader3605->definitionLine = 838;
    writer3605->definitionLine = 838;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 6);
// method "end"
  struct UserObject *uo3606 = (struct UserObject*)obj3598;
  uo3606->data[7] = emptyclosure;
  Method *meth_meth_ast_3606_end = addmethod2pos(obj3598, "end", &meth_ast_3606_end, 7);
  int argcv_meth_ast_3606_end[] = {0};
  meth_meth_ast_3606_end->type = alloc_MethodType(1, argcv_meth_ast_3606_end);
  meth_meth_ast_3606_end->definitionModule = modulename;
  meth_meth_ast_3606_end->definitionLine = 840;
// method "isLegalInTrait"
  struct UserObject *uo3611 = (struct UserObject*)obj3598;
  uo3611->data[8] = emptyclosure;
  Method *meth_meth_ast_3611_isLegalInTrait = addmethod2pos(obj3598, "isLegalInTrait", &meth_ast_3611_isLegalInTrait, 8);
  int argcv_meth_ast_3611_isLegalInTrait[] = {0};
  meth_meth_ast_3611_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_3611_isLegalInTrait);
  meth_meth_ast_3611_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_3611_isLegalInTrait->definitionLine = 841;
// method "isTypeDec"
  struct UserObject *uo3613 = (struct UserObject*)obj3598;
  uo3613->data[9] = emptyclosure;
  Method *meth_meth_ast_3613_isTypeDec = addmethod2pos(obj3598, "isTypeDec", &meth_ast_3613_isTypeDec, 9);
  int argcv_meth_ast_3613_isTypeDec[] = {0};
  meth_meth_ast_3613_isTypeDec->type = alloc_MethodType(1, argcv_meth_ast_3613_isTypeDec);
  meth_meth_ast_3613_isTypeDec->definitionModule = modulename;
  meth_meth_ast_3613_isTypeDec->definitionLine = 842;
// method "scope:=(_)"
  struct UserObject *uo3615 = (struct UserObject*)obj3598;
  uo3615->data[10] = emptyclosure;
  Method *meth_meth_ast_3615_scope_58__61__40_1_41_ = addmethod2pos(obj3598, "scope:=(1)", &meth_ast_3615_scope_58__61__40_1_41_, 10);
  int argcv_meth_ast_3615_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_3615_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3615_scope_58__61__40_1_41_);
  meth_meth_ast_3615_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_3615_scope_58__61__40_1_41_->definitionLine = 843;
// method "isExecutable"
  struct UserObject *uo3620 = (struct UserObject*)obj3598;
  uo3620->data[11] = emptyclosure;
  Method *meth_meth_ast_3620_isExecutable = addmethod2pos(obj3598, "isExecutable", &meth_ast_3620_isExecutable, 11);
  int argcv_meth_ast_3620_isExecutable[] = {0};
  meth_meth_ast_3620_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_3620_isExecutable);
  meth_meth_ast_3620_isExecutable->definitionModule = modulename;
  meth_meth_ast_3620_isExecutable->definitionLine = 850;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3598);
  Object closure3622 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3622, stackframe);
  addtoclosure(closure3622, var_k);
  struct UserObject *uo3622 = (struct UserObject*)obj3598;
  uo3622->data[12] = (Object)closure3622;
  Method *meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj3598, "declarationKindWithAncestors(1)", &meth_ast_3622_declarationKindWithAncestors_40_1_41_, 12);
  int argcv_meth_ast_3622_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3622_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_->definitionLine = 851;
// method "isConfidential"
  struct UserObject *uo3625 = (struct UserObject*)obj3598;
  uo3625->data[13] = emptyclosure;
  Method *meth_meth_ast_3625_isConfidential = addmethod2pos(obj3598, "isConfidential", &meth_ast_3625_isConfidential, 13);
  int argcv_meth_ast_3625_isConfidential[] = {0};
  meth_meth_ast_3625_isConfidential->type = alloc_MethodType(1, argcv_meth_ast_3625_isConfidential);
  meth_meth_ast_3625_isConfidential->definitionModule = modulename;
  meth_meth_ast_3625_isConfidential->definitionLine = 852;
// method "isPublic"
  struct UserObject *uo3639 = (struct UserObject*)obj3598;
  uo3639->data[14] = emptyclosure;
  Method *meth_meth_ast_3639_isPublic = addmethod2pos(obj3598, "isPublic", &meth_ast_3639_isPublic, 14);
  int argcv_meth_ast_3639_isPublic[] = {0};
  meth_meth_ast_3639_isPublic->type = alloc_MethodType(1, argcv_meth_ast_3639_isPublic);
  meth_meth_ast_3639_isPublic->definitionModule = modulename;
  meth_meth_ast_3639_isPublic->definitionLine = 856;
// method "isWritable"
  struct UserObject *uo3644 = (struct UserObject*)obj3598;
  uo3644->data[15] = emptyclosure;
  Method *meth_meth_ast_3644_isWritable = addmethod2pos(obj3598, "isWritable", &meth_ast_3644_isWritable, 15);
  int argcv_meth_ast_3644_isWritable[] = {0};
  meth_meth_ast_3644_isWritable->type = alloc_MethodType(1, argcv_meth_ast_3644_isWritable);
  meth_meth_ast_3644_isWritable->definitionModule = modulename;
  meth_meth_ast_3644_isWritable->definitionLine = 857;
// method "isReadable"
  struct UserObject *uo3646 = (struct UserObject*)obj3598;
  uo3646->data[16] = emptyclosure;
  Method *meth_meth_ast_3646_isReadable = addmethod2pos(obj3598, "isReadable", &meth_ast_3646_isReadable, 16);
  int argcv_meth_ast_3646_isReadable[] = {0};
  meth_meth_ast_3646_isReadable->type = alloc_MethodType(1, argcv_meth_ast_3646_isReadable);
  meth_meth_ast_3646_isReadable->definitionModule = modulename;
  meth_meth_ast_3646_isReadable->definitionLine = 858;
// method "accept(_)from(_)"
  struct UserObject *uo3649 = (struct UserObject*)obj3598;
  uo3649->data[17] = emptyclosure;
  Method *meth_meth_ast_3649_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj3598, "accept(1)from(1)", &meth_ast_3649_accept_40_1_41_from_40_1_41_, 17);
  int argcv_meth_ast_3649_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_3649_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3649_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_3649_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3649_accept_40_1_41_from_40_1_41_->definitionLine = 860;
// method "map(_)ancestors(_)"
  struct UserObject *uo3683 = (struct UserObject*)obj3598;
  uo3683->data[18] = emptyclosure;
  Method *meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj3598, "map(1)ancestors(1)", &meth_ast_3683_map_40_1_41_ancestors_40_1_41_, 18);
  int argcv_meth_ast_3683_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3683_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_->definitionLine = 871;
// method "pretty(_)"
  struct UserObject *uo3714 = (struct UserObject*)obj3598;
  uo3714->data[19] = emptyclosure;
  Method *meth_meth_ast_3714_pretty_40_1_41_ = addmethod2pos(obj3598, "pretty(1)", &meth_ast_3714_pretty_40_1_41_, 19);
  int argcv_meth_ast_3714_pretty_40_1_41_[] = {1};
  meth_meth_ast_3714_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3714_pretty_40_1_41_);
  meth_meth_ast_3714_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3714_pretty_40_1_41_->definitionLine = 880;
// method "toGrace(_)"
  struct UserObject *uo3830 = (struct UserObject*)obj3598;
  uo3830->data[20] = emptyclosure;
  Method *meth_meth_ast_3830_toGrace_40_1_41_ = addmethod2pos(obj3598, "toGrace(1)", &meth_ast_3830_toGrace_40_1_41_, 20);
  int argcv_meth_ast_3830_toGrace_40_1_41_[] = {1};
  meth_meth_ast_3830_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3830_toGrace_40_1_41_);
meth_meth_ast_3830_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_3830_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_3830_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3830_toGrace_40_1_41_->definitionLine = 895;
// method "shallowCopy"
  block_savedest(obj3598);
  Object closure3874 = createclosure(2, "shallowCopy");
  setclosureframe(closure3874, stackframe);
  addtoclosure(closure3874, var_nullNode);
  addtoclosure(closure3874, var_typeDecNode);
  struct UserObject *uo3874 = (struct UserObject*)obj3598;
  uo3874->data[21] = (Object)closure3874;
  Method *meth_meth_ast_3874_shallowCopy = addmethod2pos(obj3598, "shallowCopy", &meth_ast_3874_shallowCopy, 21);
  int argcv_meth_ast_3874_shallowCopy[] = {0};
  meth_meth_ast_3874_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_3874_shallowCopy);
  meth_meth_ast_3874_shallowCopy->definitionModule = modulename;
  meth_meth_ast_3874_shallowCopy->definitionLine = 904;
  sourceObject = obj3598;
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3881 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3882 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3881);
// compiled call node returning call3882 (depth = 3)
  struct UserObject *obj3598_uo = (struct UserObject *)obj3598;
  obj3598_uo->super = call3882;
  sourceObject = obj3598;
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3883 == NULL) {
    strlit3883 = alloc_String("typedec");
    gc_root(strlit3883);
  }
// compiled string node returning strlit3883 (depth = 3)
  adddatum2(obj3598, strlit3883, 1);
  sourceObject = obj3598;
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj3598, *var_name_39_, 2);
  sourceObject = obj3598;
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeValue (depth = 3)
  adddatum2(obj3598, *var_typeValue, 3);
  sourceObject = obj3598;
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3884 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3885 = gc_frame_new();
// call case 4: self request
  Object call3886 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3885);
// compiled member node returning call3886 (depth = 4)
  Object call3887 = callmethodflags(call3886, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3884);
// compiled member node returning call3887 (depth = 3)
  adddatum2(obj3598, call3887, 4);
  sourceObject = obj3598;
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3888 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3888 (depth = 3)
  adddatum2(obj3598, array3888, 5);
  sourceObject = obj3598;
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3889 = alloc_Boolean(0);
// compiled identifier node returning bool3889 (depth = 3)
  adddatum2(obj3598, bool3889, 6);
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  objclass3598 = obj3598->class;
  objclass3598->definitionModule = modulename;
  objclass3598->definitionLine = 831;
  (*(struct UserObject *)self).data[0] = lowerouter3598;
  self = oldself3598;
  selfslot = oldselfslot3598;
  stackframe = oldstackframe3598;
  gc_frame_end(frame);
  return obj3598;
}
Object meth_ast_3597_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_typeDecNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3598 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3598 = alloc_userobj2(25,22, objclass3598);
  gc_frame_newslot(obj3598);
  if (objclass3598 == NULL) {
    glfree(obj3598->class->name);
    obj3598->class->name = "typeDecNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3598, self, 0);
  addmethodreal(obj3598,"outer", &reader_ast_outer_3599);
  Object oldself3598 = self;
  struct StackFrameObject *oldstackframe3598 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3598);
  gc_frame_newslot((Object)stackframe);
  self = obj3598;
  Object *oldselfslot3598 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3598 = (*(struct UserObject *)self).data[0], lowerouter3598 = thisouter3598;
  if (inheritingObject3598) {
    struct UserObject *inho3598 = (struct UserObject *)inheritingObject3598;
    while (inho3598->super != GraceDefaultObject) inho3598 = (struct UserObject *)inho3598->super;
    inho3598->super = obj3598;
    self = inheritingObject3598;
    *selfslot = self;
    lowerouter3598 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3598;
  }
  if (objclass3598 == NULL) {
  Method *reader3600 = addmethodrealflags(obj3598, "kind",&reader_ast_kind_3600, MFLAG_DEF);
  reader3600->definitionModule = modulename;
  reader3600->definitionLine = 833;
  }
  adddatum2(obj3598, alloc_Undefined(), 1);
  if (objclass3598 == NULL) {
    Method *reader3601 = addmethodrealflags(obj3598, "name", &reader_ast_name_3601, 0);
    Method *writer3601 = addmethodrealflags(obj3598, "name:=(1)", &writer_ast_name_3601, 0);
    reader3601->definitionModule = modulename;
    writer3601->definitionModule = modulename;
    reader3601->definitionLine = 834;
    writer3601->definitionLine = 834;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 2);
  if (objclass3598 == NULL) {
    Method *reader3602 = addmethodrealflags(obj3598, "value", &reader_ast_value_3602, 0);
    Method *writer3602 = addmethodrealflags(obj3598, "value:=(1)", &writer_ast_value_3602, 0);
    reader3602->definitionModule = modulename;
    writer3602->definitionModule = modulename;
    reader3602->definitionLine = 835;
    writer3602->definitionLine = 835;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 3);
  if (objclass3598 == NULL) {
  Method *reader3603 = addmethodrealflags(obj3598, "nameString",&reader_ast_nameString_3603, MFLAG_DEF);
  reader3603->definitionModule = modulename;
  reader3603->definitionLine = 836;
  }
  adddatum2(obj3598, alloc_Undefined(), 4);
  if (objclass3598 == NULL) {
    Method *reader3604 = addmethodrealflags(obj3598, "annotations", &reader_ast_annotations_3604, 0);
    Method *writer3604 = addmethodrealflags(obj3598, "annotations:=(1)", &writer_ast_annotations_3604, 0);
    reader3604->definitionModule = modulename;
    writer3604->definitionModule = modulename;
    reader3604->definitionLine = 837;
    writer3604->definitionLine = 837;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 5);
  if (objclass3598 == NULL) {
    Method *reader3605 = addmethodrealflags(obj3598, "typeParams", &reader_ast_typeParams_3605, 0);
    Method *writer3605 = addmethodrealflags(obj3598, "typeParams:=(1)", &writer_ast_typeParams_3605, 0);
    reader3605->definitionModule = modulename;
    writer3605->definitionModule = modulename;
    reader3605->definitionLine = 838;
    writer3605->definitionLine = 838;
  }
  obj3598->flags |= OFLAG_MUTABLE;
  adddatum2(obj3598, alloc_Undefined(), 6);
// method "end"
  struct UserObject *uo3606 = (struct UserObject*)obj3598;
  uo3606->data[7] = emptyclosure;
  Method *meth_meth_ast_3606_end = addmethod2pos(obj3598, "end", &meth_ast_3606_end, 7);
  int argcv_meth_ast_3606_end[] = {0};
  meth_meth_ast_3606_end->type = alloc_MethodType(1, argcv_meth_ast_3606_end);
  meth_meth_ast_3606_end->definitionModule = modulename;
  meth_meth_ast_3606_end->definitionLine = 840;
// method "isLegalInTrait"
  struct UserObject *uo3611 = (struct UserObject*)obj3598;
  uo3611->data[8] = emptyclosure;
  Method *meth_meth_ast_3611_isLegalInTrait = addmethod2pos(obj3598, "isLegalInTrait", &meth_ast_3611_isLegalInTrait, 8);
  int argcv_meth_ast_3611_isLegalInTrait[] = {0};
  meth_meth_ast_3611_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_3611_isLegalInTrait);
  meth_meth_ast_3611_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_3611_isLegalInTrait->definitionLine = 841;
// method "isTypeDec"
  struct UserObject *uo3613 = (struct UserObject*)obj3598;
  uo3613->data[9] = emptyclosure;
  Method *meth_meth_ast_3613_isTypeDec = addmethod2pos(obj3598, "isTypeDec", &meth_ast_3613_isTypeDec, 9);
  int argcv_meth_ast_3613_isTypeDec[] = {0};
  meth_meth_ast_3613_isTypeDec->type = alloc_MethodType(1, argcv_meth_ast_3613_isTypeDec);
  meth_meth_ast_3613_isTypeDec->definitionModule = modulename;
  meth_meth_ast_3613_isTypeDec->definitionLine = 842;
// method "scope:=(_)"
  struct UserObject *uo3615 = (struct UserObject*)obj3598;
  uo3615->data[10] = emptyclosure;
  Method *meth_meth_ast_3615_scope_58__61__40_1_41_ = addmethod2pos(obj3598, "scope:=(1)", &meth_ast_3615_scope_58__61__40_1_41_, 10);
  int argcv_meth_ast_3615_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_3615_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3615_scope_58__61__40_1_41_);
  meth_meth_ast_3615_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_3615_scope_58__61__40_1_41_->definitionLine = 843;
// method "isExecutable"
  struct UserObject *uo3620 = (struct UserObject*)obj3598;
  uo3620->data[11] = emptyclosure;
  Method *meth_meth_ast_3620_isExecutable = addmethod2pos(obj3598, "isExecutable", &meth_ast_3620_isExecutable, 11);
  int argcv_meth_ast_3620_isExecutable[] = {0};
  meth_meth_ast_3620_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_3620_isExecutable);
  meth_meth_ast_3620_isExecutable->definitionModule = modulename;
  meth_meth_ast_3620_isExecutable->definitionLine = 850;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3598);
  Object closure3622 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3622, stackframe);
  addtoclosure(closure3622, var_k);
  struct UserObject *uo3622 = (struct UserObject*)obj3598;
  uo3622->data[12] = (Object)closure3622;
  Method *meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj3598, "declarationKindWithAncestors(1)", &meth_ast_3622_declarationKindWithAncestors_40_1_41_, 12);
  int argcv_meth_ast_3622_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3622_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3622_declarationKindWithAncestors_40_1_41_->definitionLine = 851;
// method "isConfidential"
  struct UserObject *uo3625 = (struct UserObject*)obj3598;
  uo3625->data[13] = emptyclosure;
  Method *meth_meth_ast_3625_isConfidential = addmethod2pos(obj3598, "isConfidential", &meth_ast_3625_isConfidential, 13);
  int argcv_meth_ast_3625_isConfidential[] = {0};
  meth_meth_ast_3625_isConfidential->type = alloc_MethodType(1, argcv_meth_ast_3625_isConfidential);
  meth_meth_ast_3625_isConfidential->definitionModule = modulename;
  meth_meth_ast_3625_isConfidential->definitionLine = 852;
// method "isPublic"
  struct UserObject *uo3639 = (struct UserObject*)obj3598;
  uo3639->data[14] = emptyclosure;
  Method *meth_meth_ast_3639_isPublic = addmethod2pos(obj3598, "isPublic", &meth_ast_3639_isPublic, 14);
  int argcv_meth_ast_3639_isPublic[] = {0};
  meth_meth_ast_3639_isPublic->type = alloc_MethodType(1, argcv_meth_ast_3639_isPublic);
  meth_meth_ast_3639_isPublic->definitionModule = modulename;
  meth_meth_ast_3639_isPublic->definitionLine = 856;
// method "isWritable"
  struct UserObject *uo3644 = (struct UserObject*)obj3598;
  uo3644->data[15] = emptyclosure;
  Method *meth_meth_ast_3644_isWritable = addmethod2pos(obj3598, "isWritable", &meth_ast_3644_isWritable, 15);
  int argcv_meth_ast_3644_isWritable[] = {0};
  meth_meth_ast_3644_isWritable->type = alloc_MethodType(1, argcv_meth_ast_3644_isWritable);
  meth_meth_ast_3644_isWritable->definitionModule = modulename;
  meth_meth_ast_3644_isWritable->definitionLine = 857;
// method "isReadable"
  struct UserObject *uo3646 = (struct UserObject*)obj3598;
  uo3646->data[16] = emptyclosure;
  Method *meth_meth_ast_3646_isReadable = addmethod2pos(obj3598, "isReadable", &meth_ast_3646_isReadable, 16);
  int argcv_meth_ast_3646_isReadable[] = {0};
  meth_meth_ast_3646_isReadable->type = alloc_MethodType(1, argcv_meth_ast_3646_isReadable);
  meth_meth_ast_3646_isReadable->definitionModule = modulename;
  meth_meth_ast_3646_isReadable->definitionLine = 858;
// method "accept(_)from(_)"
  struct UserObject *uo3649 = (struct UserObject*)obj3598;
  uo3649->data[17] = emptyclosure;
  Method *meth_meth_ast_3649_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj3598, "accept(1)from(1)", &meth_ast_3649_accept_40_1_41_from_40_1_41_, 17);
  int argcv_meth_ast_3649_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_3649_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3649_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_3649_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3649_accept_40_1_41_from_40_1_41_->definitionLine = 860;
// method "map(_)ancestors(_)"
  struct UserObject *uo3683 = (struct UserObject*)obj3598;
  uo3683->data[18] = emptyclosure;
  Method *meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj3598, "map(1)ancestors(1)", &meth_ast_3683_map_40_1_41_ancestors_40_1_41_, 18);
  int argcv_meth_ast_3683_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3683_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3683_map_40_1_41_ancestors_40_1_41_->definitionLine = 871;
// method "pretty(_)"
  struct UserObject *uo3714 = (struct UserObject*)obj3598;
  uo3714->data[19] = emptyclosure;
  Method *meth_meth_ast_3714_pretty_40_1_41_ = addmethod2pos(obj3598, "pretty(1)", &meth_ast_3714_pretty_40_1_41_, 19);
  int argcv_meth_ast_3714_pretty_40_1_41_[] = {1};
  meth_meth_ast_3714_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3714_pretty_40_1_41_);
  meth_meth_ast_3714_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3714_pretty_40_1_41_->definitionLine = 880;
// method "toGrace(_)"
  struct UserObject *uo3830 = (struct UserObject*)obj3598;
  uo3830->data[20] = emptyclosure;
  Method *meth_meth_ast_3830_toGrace_40_1_41_ = addmethod2pos(obj3598, "toGrace(1)", &meth_ast_3830_toGrace_40_1_41_, 20);
  int argcv_meth_ast_3830_toGrace_40_1_41_[] = {1};
  meth_meth_ast_3830_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_3830_toGrace_40_1_41_);
meth_meth_ast_3830_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_3830_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_3830_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3830_toGrace_40_1_41_->definitionLine = 895;
// method "shallowCopy"
  block_savedest(obj3598);
  Object closure3874 = createclosure(2, "shallowCopy");
  setclosureframe(closure3874, stackframe);
  addtoclosure(closure3874, var_nullNode);
  addtoclosure(closure3874, var_typeDecNode);
  struct UserObject *uo3874 = (struct UserObject*)obj3598;
  uo3874->data[21] = (Object)closure3874;
  Method *meth_meth_ast_3874_shallowCopy = addmethod2pos(obj3598, "shallowCopy", &meth_ast_3874_shallowCopy, 21);
  int argcv_meth_ast_3874_shallowCopy[] = {0};
  meth_meth_ast_3874_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_3874_shallowCopy);
  meth_meth_ast_3874_shallowCopy->definitionModule = modulename;
  meth_meth_ast_3874_shallowCopy->definitionLine = 904;
  sourceObject = obj3598;
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3881 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3882 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3881);
// compiled call node returning call3882 (depth = 3)
  struct UserObject *obj3598_uo = (struct UserObject *)obj3598;
  obj3598_uo->super = call3882;
  sourceObject = obj3598;
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3883 == NULL) {
    strlit3883 = alloc_String("typedec");
    gc_root(strlit3883);
  }
// compiled string node returning strlit3883 (depth = 3)
  adddatum2(obj3598, strlit3883, 1);
  sourceObject = obj3598;
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj3598, *var_name_39_, 2);
  sourceObject = obj3598;
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeValue (depth = 3)
  adddatum2(obj3598, *var_typeValue, 3);
  sourceObject = obj3598;
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3884 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3885 = gc_frame_new();
// call case 4: self request
  Object call3886 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3885);
// compiled member node returning call3886 (depth = 4)
  Object call3887 = callmethodflags(call3886, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3884);
// compiled member node returning call3887 (depth = 3)
  adddatum2(obj3598, call3887, 4);
  sourceObject = obj3598;
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3888 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3888 (depth = 3)
  adddatum2(obj3598, array3888, 5);
  sourceObject = obj3598;
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3889 = alloc_Boolean(0);
// compiled identifier node returning bool3889 (depth = 3)
  adddatum2(obj3598, bool3889, 6);
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  sourceObject = obj3598;
  objclass3598 = obj3598->class;
  objclass3598->definitionModule = modulename;
  objclass3598->definitionLine = 831;
  (*(struct UserObject *)self).data[0] = lowerouter3598;
  self = oldself3598;
  selfslot = oldselfslot3598;
  stackframe = oldstackframe3598;
  gc_frame_end(frame);
  return obj3598;
}
Object meth_ast_3891_typeDecNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeDecNode;
}
Object meth_ast_3894_new_40_3_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(3)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  Object params[3];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_signature = &(stackframe->slots[0]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_body = &(stackframe->slots[1]);
  *var_body = args[curarg];
  curarg++;
  Object *var_dtype = &(stackframe->slots[2]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3895 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = *var_signature;
  params[1] = *var_body;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call3896 = callmethodflags(self, "new(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3895);
// compiled call node returning call3896 (depth = 4)
  *var_result = call3896;
  if (call3896 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3897 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call3898 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3897);
// compiled call node returning call3898 (depth = 3)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_3913_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3915 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3916 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3917 = gc_frame_new();
// call case 4: self request
  Object call3918 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3917);
// compiled member node returning call3918 (depth = 6)
  Object call3919 = callmethodflags(call3918, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3916);
// compiled member node returning call3919 (depth = 5)
  Object call3920 = callmethodflags(call3919, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3915);
// compiled member node returning call3920 (depth = 4)
  Object if3914 = done;
  if (istrue(call3920)) {
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3922 = gc_frame_new();
// call case 4: self request
  Object call3923 = callmethodflags(self, "usesClassSyntax", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3922);
// compiled member node returning call3923 (depth = 5)
  Object if3921 = done;
  if (istrue(call3923)) {
// starting to compile return node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3924 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3925 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3926 = gc_frame_new();
// call case 4: self request
  Object call3927 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3926);
// compiled member node returning call3927 (depth = 8)
  Object call3928 = callmethodflags(call3927, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3925);
// compiled member node returning call3928 (depth = 7)
  Object call3929 = callmethodflags(call3928, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3924);
// compiled member node returning call3929 (depth = 6)
  return call3929;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3921 = undefined;
  } else {
  }
// compiled if node returning if3921 (depth = 4)
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3930 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3931 == NULL) {
    strlit3931 = alloc_String("}");
    gc_root(strlit3931);
  }
// compiled string node returning strlit3931 (depth = 6)
  gc_frame_newslot(strlit3931);
// starting to compile member node (depth = 6)
  int callframe3932 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3933 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3934 = gc_frame_new();
// call case 4: self request
  Object call3935 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3934);
// compiled member node returning call3935 (depth = 8)
  Object call3936 = callmethodflags(call3935, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3933);
// compiled member node returning call3936 (depth = 7)
  Object call3937 = callmethodflags(call3936, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3932);
// compiled member node returning call3937 (depth = 6)
  gc_frame_newslot(call3937);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = strlit3931;
  params[1] = call3937;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3938 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3930);
// compiled call node returning call3938 (depth = 5)
  return call3938;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3914 = undefined;
  } else {
  }
// compiled if node returning if3914 (depth = 3)
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3941 = gc_frame_new();
// call case 4: self request
  Object call3942 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3941);
// compiled member node returning call3942 (depth = 5)
  int op_slot_right_3940 = gc_frame_newslot(call3942);
// starting to compile identifier node (depth = 5)
  Object bool3944 = alloc_Boolean(0);
// compiled identifier node returning bool3944 (depth = 5)
  int op_slot_left_3940 = gc_frame_newslot(bool3944);
  params[0] = call3942;
  partcv[0] = 1;
  Object opresult3945 = callmethod(bool3944, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3945 (depth = 4)
  Object if3939 = done;
  if (istrue(opresult3945)) {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3946 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3947 == NULL) {
    strlit3947 = alloc_String("}");
    gc_root(strlit3947);
  }
// compiled string node returning strlit3947 (depth = 6)
  gc_frame_newslot(strlit3947);
// starting to compile member node (depth = 6)
  int callframe3948 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3949 = gc_frame_new();
// call case 4: self request
  Object call3950 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3949);
// compiled member node returning call3950 (depth = 7)
  Object call3951 = callmethodflags(call3950, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3948);
// compiled member node returning call3951 (depth = 6)
  gc_frame_newslot(call3951);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = strlit3947;
  params[1] = call3951;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3952 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3946);
// compiled call node returning call3952 (depth = 5)
  return call3952;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3939 = undefined;
  } else {
  }
// compiled if node returning if3939 (depth = 3)
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3953 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3954 == NULL) {
    strlit3954 = alloc_String("}");
    gc_root(strlit3954);
  }
// compiled string node returning strlit3954 (depth = 5)
  gc_frame_newslot(strlit3954);
// starting to compile member node (depth = 5)
  int callframe3955 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3956 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3957 = gc_frame_new();
// call case 4: self request
  Object call3958 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3957);
// compiled member node returning call3958 (depth = 7)
  Object call3959 = callmethodflags(call3958, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3956);
// compiled member node returning call3959 (depth = 6)
  Object call3960 = callmethodflags(call3959, "end", 0, partcv, params, 0);
  gc_frame_end(callframe3955);
// compiled member node returning call3960 (depth = 5)
  gc_frame_newslot(call3960);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit3954;
  params[1] = call3960;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3961 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3953);
// compiled call node returning call3961 (depth = 4)
  return call3961;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_3966__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile member node (depth = 6)
  int callframe3967 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3969 = gc_frame_new();
// call case 4: self request
  Object call3970 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3969);
// compiled member node returning call3970 (depth = 8)
  Object call3971 = callmethodflags(call3970, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3968);
// compiled member node returning call3971 (depth = 7)
  Object call3972 = callmethodflags(call3971, "isObject", 0, partcv, params, 0);
  gc_frame_end(callframe3967);
// compiled member node returning call3972 (depth = 6)
  gc_frame_end(frame);
  return call3972;
}
Object meth_ast_3962_ilkName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "ilkName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block3965 = alloc_Block(NULL, NULL, "ast", 950);
  gc_frame_newslot(block3965);
// method "_apply"
  block_savedest(block3965);
  Object closure3966 = createclosure(1, "_apply");
  setclosureframe(closure3966, stackframe);
  addtoclosure(closure3966, selfslot);
  struct UserObject *uo3966 = (struct UserObject*)block3965;
  uo3966->data[0] = (Object)closure3966;
  Method *meth_meth_ast_3966__apply = addmethod2pos(block3965, "_apply", &meth_ast_3966__apply, 0);
  int argcv_meth_ast_3966__apply[] = {0};
  meth_meth_ast_3966__apply->type = alloc_MethodType(1, argcv_meth_ast_3966__apply);
  meth_meth_ast_3966__apply->definitionModule = modulename;
  meth_meth_ast_3966__apply->definitionLine = 3216;
// compiled block node returning block3965 (depth = 5)
  int op_slot_right_3964 = gc_frame_newslot(block3965);
// starting to compile member node (depth = 5)
  int callframe3975 = gc_frame_new();
// call case 4: self request
  Object call3976 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3975);
// compiled member node returning call3976 (depth = 5)
  int op_slot_left_3964 = gc_frame_newslot(call3976);
  params[0] = block3965;
  partcv[0] = 1;
  Object opresult3977 = callmethod(call3976, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3977 (depth = 4)
  Object if3963 = done;
  if (istrue(opresult3977)) {
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3978 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3979 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3980 = gc_frame_new();
// call case 4: self request
  Object call3981 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3980);
// compiled member node returning call3981 (depth = 6)
  Object call3982 = callmethodflags(call3981, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3979);
// compiled member node returning call3982 (depth = 5)
  Object call3983 = callmethodflags(call3982, "name", 0, partcv, params, 0);
  gc_frame_end(callframe3978);
// compiled member node returning call3983 (depth = 4)
    gc_frame_newslot(call3983);
    if3963 = call3983;
  } else {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3984 = gc_frame_new();
// call case 4: self request
  Object call3985 = callmethodflags(self, "canonicalName", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3984);
// compiled member node returning call3985 (depth = 4)
    gc_frame_newslot(call3985);
    if3963 = call3985;
  }
// compiled if node returning if3963 (depth = 3)
  gc_frame_end(frame);
  return if3963;
}
Object meth_ast_3986_appliedOccurence(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "appliedOccurence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3987 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3988 = alloc_Boolean(0);
// compiled identifier node returning bool3988 (depth = 4)
  gc_frame_newslot(bool3988);
// call case 4: self request
  params[0] = bool3988;
  partcv[0] = 1;
  Object call3989 = callmethodflags(self, "isBindingOccurence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3987);
// compiled call node returning call3989 (depth = 3)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3992 = gc_frame_new();
// call case 4: self request
  Object call3993 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3992);
// compiled member node returning call3993 (depth = 5)
  int op_slot_right_3991 = gc_frame_newslot(call3993);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_3991 = gc_frame_newslot(*var_uninitialized);
  params[0] = call3993;
  partcv[0] = 1;
  Object opresult3995 = callmethod(*var_uninitialized, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3995 (depth = 4)
  Object if3990 = done;
  if (istrue(opresult3995)) {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3996 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool3997 = alloc_Boolean(0);
// compiled identifier node returning bool3997 (depth = 5)
  gc_frame_newslot(bool3997);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3998 = gc_frame_new();
// call case 4: self request
  Object call3999 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3998);
// compiled member node returning call3999 (depth = 5)
  params[0] = bool3997;
  partcv[0] = 1;
  Object call4000 = callmethodflags(call3999, "isBindingOccurence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3996);
// compiled call node returning call4000 (depth = 4)
    gc_frame_newslot(call4000);
    if3990 = call4000;
  } else {
  }
// compiled if node returning if3990 (depth = 3)
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_4004__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4006 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  Object call4007 = callmethodflags(*var_p, "numParams", 0, partcv, params, 0);
  gc_frame_end(callframe4006);
// compiled member node returning call4007 (depth = 6)
  int op_slot_right_4005 = gc_frame_newslot(call4007);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4005 = gc_frame_newslot(*var_acc);
  params[0] = call4007;
  partcv[0] = 1;
  Object sum4009 = callmethod(*var_acc, "+(1)", 1, partcv, params);
// compiled op node returning sum4009 (depth = 5)
  gc_frame_end(frame);
  return sum4009;
}
Object meth_ast_4001_numParams(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4002 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4003 = alloc_Block(NULL, NULL, "ast", 964);
  gc_frame_newslot(block4003);
// method "_apply(_,_)"
  block_savedest(block4003);
  Object closure4004 = createclosure(1, "_apply(2)");
  setclosureframe(closure4004, stackframe);
  addtoclosure(closure4004, selfslot);
  struct UserObject *uo4004 = (struct UserObject*)block4003;
  uo4004->data[0] = (Object)closure4004;
  Method *meth_meth_ast_4004__apply_40_2_41_ = addmethod2pos(block4003, "_apply(2)", &meth_ast_4004__apply_40_2_41_, 0);
  int argcv_meth_ast_4004__apply_40_2_41_[] = {2};
  meth_meth_ast_4004__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_4004__apply_40_2_41_);
  meth_meth_ast_4004__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_4004__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block4003 (depth = 4)
  gc_frame_newslot(block4003);
// starting to compile num node (depth = 4)
  Object num4011 = alloc_Float64(0);
// compiled num node returning num4011 (depth = 4)
  gc_frame_newslot(num4011);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4012 = gc_frame_new();
// call case 4: self request
  Object call4013 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4012);
// compiled member node returning call4013 (depth = 4)
  params[0] = block4003;
  params[1] = num4011;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4014 = callmethodflags(call4013, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4002);
// compiled call node returning call4014 (depth = 3)
  gc_frame_end(frame);
  return call4014;
}
Object meth_ast_4015_endPos(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "endPos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_lastPart = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lastPart");
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4016 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4017 = gc_frame_new();
// call case 4: self request
  Object call4018 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4017);
// compiled member node returning call4018 (depth = 5)
  Object call4019 = callmethodflags(call4018, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4016);
// compiled member node returning call4019 (depth = 4)
  *var_lastPart = call4019;
  if (call4019 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4021 = alloc_Float64(1);
// compiled num node returning num4021 (depth = 4)
  int op_slot_right_4020 = gc_frame_newslot(num4021);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4025 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastPart (depth = 7)
  Object call4026 = callmethodflags(*var_lastPart, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4025);
// compiled member node returning call4026 (depth = 6)
  Object call4027 = callmethodflags(call4026, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4024);
// compiled member node returning call4027 (depth = 5)
  int op_slot_right_4023 = gc_frame_newslot(call4027);
// starting to compile member node (depth = 5)
  int callframe4029 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastPart (depth = 6)
  Object call4030 = callmethodflags(*var_lastPart, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4029);
// compiled member node returning call4030 (depth = 5)
  int op_slot_left_4023 = gc_frame_newslot(call4030);
  params[0] = call4027;
  partcv[0] = 1;
  Object sum4031 = callmethod(call4030, "+(1)", 1, partcv, params);
// compiled op node returning sum4031 (depth = 4)
  int op_slot_left_4020 = gc_frame_newslot(sum4031);
  params[0] = num4021;
  partcv[0] = 1;
  Object diff4032 = callmethod(sum4031, "-(1)", 1, partcv, params);
// compiled op node returning diff4032 (depth = 3)
  gc_frame_end(frame);
  return diff4032;
}
Object meth_ast_4036__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4038 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call4039 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe4038);
// compiled member node returning call4039 (depth = 6)
  int op_slot_right_4037 = gc_frame_newslot(call4039);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4037 = gc_frame_newslot(*var_acc);
  params[0] = call4039;
  partcv[0] = 1;
  Object opresult4041 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4041 (depth = 5)
  gc_frame_end(frame);
  return opresult4041;
}
Object meth_ast_4033_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4034 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4035 = alloc_Block(NULL, NULL, "ast", 972);
  gc_frame_newslot(block4035);
// method "_apply(_,_)"
  block_savedest(block4035);
  Object closure4036 = createclosure(1, "_apply(2)");
  setclosureframe(closure4036, stackframe);
  addtoclosure(closure4036, selfslot);
  struct UserObject *uo4036 = (struct UserObject*)block4035;
  uo4036->data[0] = (Object)closure4036;
  Method *meth_meth_ast_4036__apply_40_2_41_ = addmethod2pos(block4035, "_apply(2)", &meth_ast_4036__apply_40_2_41_, 0);
  int argcv_meth_ast_4036__apply_40_2_41_[] = {2};
  meth_meth_ast_4036__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_4036__apply_40_2_41_);
  meth_meth_ast_4036__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_4036__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block4035 (depth = 4)
  gc_frame_newslot(block4035);
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4043 == NULL) {
    strlit4043 = alloc_String("");
    gc_root(strlit4043);
  }
// compiled string node returning strlit4043 (depth = 4)
  gc_frame_newslot(strlit4043);
// call case 6: other requests
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4044 = gc_frame_new();
// call case 4: self request
  Object call4045 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4044);
// compiled member node returning call4045 (depth = 4)
  params[0] = block4035;
  params[1] = strlit4043;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4046 = callmethodflags(call4045, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4034);
// compiled call node returning call4046 (depth = 3)
  gc_frame_end(frame);
  return call4046;
}
Object meth_ast_4047_asIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4050 = gc_frame_new();
// call case 4: self request
  Object call4051 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4050);
// compiled member node returning call4051 (depth = 5)
  int op_slot_right_4049 = gc_frame_newslot(call4051);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_4049 = gc_frame_newslot(*var_uninitialized);
  params[0] = call4051;
  partcv[0] = 1;
  Object opresult4053 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult4053 (depth = 4)
  Object if4048 = done;
  if (istrue(opresult4053)) {
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4054 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4055 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4056 = gc_frame_new();
// call case 4: self request
  Object call4057 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4056);
// compiled member node returning call4057 (depth = 6)
  gc_frame_newslot(call4057);
// starting to compile identifier node (depth = 6)
  Object bool4058 = alloc_Boolean(0);
// compiled identifier node returning bool4058 (depth = 6)
  gc_frame_newslot(bool4058);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call4057;
  params[1] = bool4058;
  partcv[0] = 2;
  Object call4059 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4055);
// compiled call node returning call4059 (depth = 5)
  gc_frame_newslot(call4059);
// call case 4: self request
  params[0] = call4059;
  partcv[0] = 1;
  Object call4060 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4054);
// compiled call node returning call4060 (depth = 4)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4061 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4062 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4063 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4064 = gc_frame_new();
// call case 4: self request
  Object call4065 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4064);
// compiled member node returning call4065 (depth = 7)
  Object call4066 = callmethodflags(call4065, "first", 0, partcv, params, 0);
  gc_frame_end(callframe4063);
// compiled member node returning call4066 (depth = 6)
  Object call4067 = callmethodflags(call4066, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4062);
// compiled member node returning call4067 (depth = 5)
  gc_frame_newslot(call4067);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4068 = gc_frame_new();
// call case 4: self request
  Object call4069 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4068);
// compiled member node returning call4069 (depth = 5)
  params[0] = call4067;
  partcv[0] = 1;
  Object call4070 = callmethodflags(call4069, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4061);
// compiled call node returning call4070 (depth = 4)
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4071 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4072 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4073 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4074 = gc_frame_new();
// call case 4: self request
  Object call4075 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4074);
// compiled member node returning call4075 (depth = 7)
  Object call4076 = callmethodflags(call4075, "first", 0, partcv, params, 0);
  gc_frame_end(callframe4073);
// compiled member node returning call4076 (depth = 6)
  Object call4077 = callmethodflags(call4076, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4072);
// compiled member node returning call4077 (depth = 5)
  gc_frame_newslot(call4077);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4078 = gc_frame_new();
// call case 4: self request
  Object call4079 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4078);
// compiled member node returning call4079 (depth = 5)
  params[0] = call4077;
  partcv[0] = 1;
  Object call4080 = callmethodflags(call4079, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4071);
// compiled call node returning call4080 (depth = 4)
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4081 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4082 = gc_frame_new();
// call case 4: self request
  Object call4083 = callmethodflags(self, "isBindingOccurence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4082);
// compiled member node returning call4083 (depth = 5)
  gc_frame_newslot(call4083);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4084 = gc_frame_new();
// call case 4: self request
  Object call4085 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4084);
// compiled member node returning call4085 (depth = 5)
  params[0] = call4083;
  partcv[0] = 1;
  Object call4086 = callmethodflags(call4085, "isBindingOccurrence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4081);
// compiled call node returning call4086 (depth = 4)
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4087 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4088 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4089 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4090 = gc_frame_new();
// call case 4: self request
  Object call4091 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4090);
// compiled member node returning call4091 (depth = 7)
  Object call4092 = callmethodflags(call4091, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4089);
// compiled member node returning call4092 (depth = 6)
  Object call4093 = callmethodflags(call4092, "end", 0, partcv, params, 0);
  gc_frame_end(callframe4088);
// compiled member node returning call4093 (depth = 5)
  gc_frame_newslot(call4093);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4094 = gc_frame_new();
// call case 4: self request
  Object call4095 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4094);
// compiled member node returning call4095 (depth = 5)
  params[0] = call4093;
  partcv[0] = 1;
  Object call4096 = callmethodflags(call4095, "end:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4087);
// compiled call node returning call4096 (depth = 4)
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4097 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4098 = gc_frame_new();
// call case 4: self request
  Object call4099 = callmethodflags(self, "canonicalName", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4098);
// compiled member node returning call4099 (depth = 5)
  gc_frame_newslot(call4099);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4100 = gc_frame_new();
// call case 4: self request
  Object call4101 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4100);
// compiled member node returning call4101 (depth = 5)
  params[0] = call4099;
  partcv[0] = 1;
  Object call4102 = callmethodflags(call4101, "canonicalName:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4097);
// compiled call node returning call4102 (depth = 4)
    gc_frame_newslot(call4102);
    if4048 = call4102;
  } else {
  }
// compiled if node returning if4048 (depth = 3)
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4103 = gc_frame_new();
// call case 4: self request
  Object call4104 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4103);
// compiled member node returning call4104 (depth = 3)
  gc_frame_end(frame);
  return call4104;
}
Object meth_ast_4105_value(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4106 = gc_frame_new();
// call case 4: self request
  Object call4107 = callmethodflags(self, "asIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4106);
// compiled member node returning call4107 (depth = 3)
  gc_frame_end(frame);
  return call4107;
}
Object meth_ast_4111__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4113 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call4114 = callmethodflags(*var_each, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe4113);
// compiled member node returning call4114 (depth = 6)
  int op_slot_right_4112 = gc_frame_newslot(call4114);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4112 = gc_frame_newslot(*var_acc);
  params[0] = call4114;
  partcv[0] = 1;
  Object opresult4116 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4116 (depth = 5)
  gc_frame_end(frame);
  return opresult4116;
}
Object meth_ast_4108_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4109 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4110 = alloc_Block(NULL, NULL, "ast", 988);
  gc_frame_newslot(block4110);
// method "_apply(_,_)"
  block_savedest(block4110);
  Object closure4111 = createclosure(1, "_apply(2)");
  setclosureframe(closure4111, stackframe);
  addtoclosure(closure4111, selfslot);
  struct UserObject *uo4111 = (struct UserObject*)block4110;
  uo4111->data[0] = (Object)closure4111;
  Method *meth_meth_ast_4111__apply_40_2_41_ = addmethod2pos(block4110, "_apply(2)", &meth_ast_4111__apply_40_2_41_, 0);
  int argcv_meth_ast_4111__apply_40_2_41_[] = {2};
  meth_meth_ast_4111__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_4111__apply_40_2_41_);
  meth_meth_ast_4111__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_4111__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block4110 (depth = 4)
  gc_frame_newslot(block4110);
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4118 == NULL) {
    strlit4118 = alloc_String("");
    gc_root(strlit4118);
  }
// compiled string node returning strlit4118 (depth = 4)
  gc_frame_newslot(strlit4118);
// call case 6: other requests
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4119 = gc_frame_new();
// call case 4: self request
  Object call4120 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4119);
// compiled member node returning call4120 (depth = 4)
  params[0] = block4110;
  params[1] = strlit4118;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4121 = callmethodflags(call4120, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4109);
// compiled call node returning call4121 (depth = 3)
  gc_frame_end(frame);
  return call4121;
}
Object meth_ast_4122_hasParams(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4123 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4124 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4125 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4126 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4127 = gc_frame_new();
// call case 4: self request
  Object call4128 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4127);
// compiled member node returning call4128 (depth = 7)
  Object call4129 = callmethodflags(call4128, "first", 0, partcv, params, 0);
  gc_frame_end(callframe4126);
// compiled member node returning call4129 (depth = 6)
  Object call4130 = callmethodflags(call4129, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4125);
// compiled member node returning call4130 (depth = 5)
  Object call4131 = callmethodflags(call4130, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe4124);
// compiled member node returning call4131 (depth = 4)
  Object call4132 = callmethodflags(call4131, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4123);
// compiled member node returning call4132 (depth = 3)
  gc_frame_end(frame);
  return call4132;
}
Object meth_ast_4133_numParamLists(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParamLists");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_sigSz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sigSz");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4134 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4135 = gc_frame_new();
// call case 4: self request
  Object call4136 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4135);
// compiled member node returning call4136 (depth = 5)
  Object call4137 = callmethodflags(call4136, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4134);
// compiled member node returning call4137 (depth = 4)
  *var_sigSz = call4137;
  if (call4137 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4140 = alloc_Float64(1);
// compiled num node returning num4140 (depth = 5)
  int op_slot_right_4139 = gc_frame_newslot(num4140);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sigSz (depth = 5)
  int op_slot_left_4139 = gc_frame_newslot(*var_sigSz);
  params[0] = num4140;
  partcv[0] = 1;
  Object opresult4142 = callmethod(*var_sigSz, ">(1)", 1, partcv, params);
// compiled op node returning opresult4142 (depth = 4)
  Object if4138 = done;
  if (istrue(opresult4142)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sigSz (depth = 5)
  return *var_sigSz;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4138 = undefined;
  } else {
  }
// compiled if node returning if4138 (depth = 3)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4144 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4145 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4146 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4147 = gc_frame_new();
// call case 4: self request
  Object call4148 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4147);
// compiled member node returning call4148 (depth = 7)
  Object call4149 = callmethodflags(call4148, "first", 0, partcv, params, 0);
  gc_frame_end(callframe4146);
// compiled member node returning call4149 (depth = 6)
  Object call4150 = callmethodflags(call4149, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4145);
// compiled member node returning call4150 (depth = 5)
  Object call4151 = callmethodflags(call4150, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe4144);
// compiled member node returning call4151 (depth = 4)
  Object if4143 = done;
  if (istrue(call4151)) {
// starting to compile return node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4152 = alloc_Float64(0);
// compiled num node returning num4152 (depth = 5)
  return num4152;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4143 = undefined;
  } else {
  }
// compiled if node returning if4143 (depth = 3)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4153 = alloc_Float64(1);
// compiled num node returning num4153 (depth = 4)
  return num4153;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_4154_hasTypeParams(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasTypeParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4156 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4157 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4158 = gc_frame_new();
// call case 4: self request
  Object call4159 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4158);
// compiled member node returning call4159 (depth = 6)
  Object call4160 = callmethodflags(call4159, "first", 0, partcv, params, 0);
  gc_frame_end(callframe4157);
// compiled member node returning call4160 (depth = 5)
  Object call4161 = callmethodflags(call4160, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe4156);
// compiled member node returning call4161 (depth = 4)
  int op_slot_right_4155 = gc_frame_newslot(call4161);
// starting to compile identifier node (depth = 4)
  Object bool4163 = alloc_Boolean(0);
// compiled identifier node returning bool4163 (depth = 4)
  int op_slot_left_4155 = gc_frame_newslot(bool4163);
  params[0] = call4161;
  partcv[0] = 1;
  Object opresult4164 = callmethod(bool4163, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4164 (depth = 3)
  gc_frame_end(frame);
  return opresult4164;
}
Object meth_ast_4165_isMethod(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4166 = alloc_Boolean(1);
// compiled identifier node returning bool4166 (depth = 3)
  gc_frame_end(frame);
  return bool4166;
}
Object meth_ast_4167_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4168 = alloc_Boolean(0);
// compiled identifier node returning bool4168 (depth = 3)
  gc_frame_end(frame);
  return bool4168;
}
Object meth_ast_4169_isLegalInTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4170 = alloc_Boolean(1);
// compiled identifier node returning bool4170 (depth = 3)
  gc_frame_end(frame);
  return bool4170;
}
Object meth_ast_4171_isClass(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4173 = gc_frame_new();
// call case 4: self request
  Object call4174 = callmethodflags(self, "usesClassSyntax", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4173);
// compiled member node returning call4174 (depth = 4)
  int op_slot_right_4172 = gc_frame_newslot(call4174);
// starting to compile member node (depth = 4)
  int callframe4176 = gc_frame_new();
// call case 4: self request
  Object call4177 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4176);
// compiled member node returning call4177 (depth = 4)
  int op_slot_left_4172 = gc_frame_newslot(call4177);
  params[0] = call4174;
  partcv[0] = 1;
  Object opresult4178 = callmethod(call4177, "||(1)", 1, partcv, params);
// compiled op node returning opresult4178 (depth = 3)
  gc_frame_end(frame);
  return opresult4178;
}
Object meth_ast_4179_isTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4181 = gc_frame_new();
// call case 4: self request
  Object call4182 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4181);
// compiled member node returning call4182 (depth = 4)
  Object if4180 = done;
  if (istrue(call4182)) {
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4183 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4184 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4185 = gc_frame_new();
// call case 4: self request
  Object call4186 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4185);
// compiled member node returning call4186 (depth = 6)
  Object call4187 = callmethodflags(call4186, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4184);
// compiled member node returning call4187 (depth = 5)
  Object call4188 = callmethodflags(call4187, "isTrait", 0, partcv, params, 0);
  gc_frame_end(callframe4183);
// compiled member node returning call4188 (depth = 4)
    gc_frame_newslot(call4188);
    if4180 = call4188;
  } else {
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4189 = alloc_Boolean(0);
// compiled identifier node returning bool4189 (depth = 4)
    gc_frame_newslot(bool4189);
    if4180 = bool4189;
  }
// compiled if node returning if4180 (depth = 3)
  gc_frame_end(frame);
  return if4180;
}
Object meth_ast_4200__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4202 == NULL) {
    strlit4202 = alloc_String("Unknown");
    gc_root(strlit4202);
  }
// compiled string node returning strlit4202 (depth = 11)
  int op_slot_right_4201 = gc_frame_newslot(strlit4202);
// starting to compile member node (depth = 11)
  int callframe4204 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe4205 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_p (depth = 13)
  Object call4206 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe4205);
// compiled member node returning call4206 (depth = 12)
  Object call4207 = callmethodflags(call4206, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe4204);
// compiled member node returning call4207 (depth = 11)
  int op_slot_left_4201 = gc_frame_newslot(call4207);
  params[0] = strlit4202;
  partcv[0] = 1;
  Object opresult4208 = callmethod(call4207, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4208 (depth = 10)
  gc_frame_end(frame);
  return opresult4208;
}
Object meth_ast_4196__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block4199 = alloc_Block(NULL, NULL, "ast", 1015);
  gc_frame_newslot(block4199);
// method "_apply"
  block_savedest(block4199);
  Object closure4200 = createclosure(2, "_apply");
  setclosureframe(closure4200, stackframe);
  addtoclosure(closure4200, var_p);
  addtoclosure(closure4200, selfslot);
  struct UserObject *uo4200 = (struct UserObject*)block4199;
  uo4200->data[0] = (Object)closure4200;
  Method *meth_meth_ast_4200__apply = addmethod2pos(block4199, "_apply", &meth_ast_4200__apply, 0);
  int argcv_meth_ast_4200__apply[] = {0};
  meth_meth_ast_4200__apply->type = alloc_MethodType(1, argcv_meth_ast_4200__apply);
  meth_meth_ast_4200__apply->definitionModule = modulename;
  meth_meth_ast_4200__apply->definitionLine = 3216;
// compiled block node returning block4199 (depth = 9)
  int op_slot_right_4198 = gc_frame_newslot(block4199);
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe4212 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  Object call4213 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe4212);
// compiled member node returning call4213 (depth = 10)
  int op_slot_right_4211 = gc_frame_newslot(call4213);
// starting to compile identifier node (depth = 10)
  Object bool4215 = alloc_Boolean(0);
// compiled identifier node returning bool4215 (depth = 10)
  int op_slot_left_4211 = gc_frame_newslot(bool4215);
  params[0] = call4213;
  partcv[0] = 1;
  Object opresult4216 = callmethod(bool4215, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4216 (depth = 9)
  int op_slot_left_4198 = gc_frame_newslot(opresult4216);
  params[0] = block4199;
  partcv[0] = 1;
  Object opresult4217 = callmethod(opresult4216, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4217 (depth = 8)
  Object if4197 = done;
  if (istrue(opresult4217)) {
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool4218 = alloc_Boolean(1);
// compiled identifier node returning bool4218 (depth = 9)
  block_return(realself, bool4218);
// compiled return node returning undefined (depth = 8)
    gc_frame_newslot(undefined);
    if4197 = undefined;
  } else {
  }
// compiled if node returning if4197 (depth = 7)
  gc_frame_end(frame);
  return if4197;
}
Object meth_ast_4193__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4194 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4195 = alloc_Block(NULL, NULL, "ast", 1014);
  gc_frame_newslot(block4195);
// method "_apply(_)"
  block_savedest(block4195);
  Object closure4196 = createclosure(1, "_apply(1)");
  setclosureframe(closure4196, stackframe);
  addtoclosure(closure4196, selfslot);
  struct UserObject *uo4196 = (struct UserObject*)block4195;
  uo4196->data[0] = (Object)closure4196;
  Method *meth_meth_ast_4196__apply_40_1_41_ = addmethod2pos(block4195, "_apply(1)", &meth_ast_4196__apply_40_1_41_, 0);
  int argcv_meth_ast_4196__apply_40_1_41_[] = {1};
  meth_meth_ast_4196__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4196__apply_40_1_41_);
  meth_meth_ast_4196__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4196__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4195 (depth = 6)
  gc_frame_newslot(block4195);
// call case 6: other requests
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4220 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4221 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4220);
// compiled member node returning call4221 (depth = 6)
  params[0] = block4195;
  partcv[0] = 1;
  Object call4222 = callmethodflags(call4221, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4194);
// compiled call node returning call4222 (depth = 5)
  gc_frame_end(frame);
  return call4222;
}
Object meth_ast_4190_needsArgChecks(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "needsArgChecks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4191 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4192 = alloc_Block(NULL, NULL, "ast", 1013);
  gc_frame_newslot(block4192);
// method "_apply(_)"
  block_savedest(block4192);
  Object closure4193 = createclosure(1, "_apply(1)");
  setclosureframe(closure4193, stackframe);
  addtoclosure(closure4193, selfslot);
  struct UserObject *uo4193 = (struct UserObject*)block4192;
  uo4193->data[0] = (Object)closure4193;
  Method *meth_meth_ast_4193__apply_40_1_41_ = addmethod2pos(block4192, "_apply(1)", &meth_ast_4193__apply_40_1_41_, 0);
  int argcv_meth_ast_4193__apply_40_1_41_[] = {1};
  meth_meth_ast_4193__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4193__apply_40_1_41_);
  meth_meth_ast_4193__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4193__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4192 (depth = 4)
  gc_frame_newslot(block4192);
// call case 6: other requests
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4224 = gc_frame_new();
// call case 4: self request
  Object call4225 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4224);
// compiled member node returning call4225 (depth = 4)
  params[0] = block4192;
  partcv[0] = 1;
  Object call4226 = callmethodflags(call4225, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4191);
// compiled call node returning call4226 (depth = 3)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool4227 = alloc_Boolean(0);
// compiled identifier node returning bool4227 (depth = 4)
  return bool4227;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_4228_scope_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4229 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call4230 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4229);
// compiled call node returning call4230 (depth = 3)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4231 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call4232 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4231);
// compiled call node returning call4232 (depth = 3)
  gc_frame_end(frame);
  return call4232;
}
Object meth_ast_4233_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4234 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call4235 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe4234);
// compiled member node returning call4235 (depth = 3)
  gc_frame_end(frame);
  return call4235;
}
Object meth_ast_4236_isConfidential(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4239 = alloc_Float64(0);
// compiled num node returning num4239 (depth = 5)
  int op_slot_right_4238 = gc_frame_newslot(num4239);
// starting to compile member node (depth = 5)
  int callframe4241 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4242 = gc_frame_new();
// call case 4: self request
  Object call4243 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4242);
// compiled member node returning call4243 (depth = 6)
  Object call4244 = callmethodflags(call4243, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4241);
// compiled member node returning call4244 (depth = 5)
  int op_slot_left_4238 = gc_frame_newslot(call4244);
  params[0] = num4239;
  partcv[0] = 1;
  Object opresult4245 = callmethod(call4244, "==(1)", 1, partcv, params);
// compiled op node returning opresult4245 (depth = 4)
  Object if4237 = done;
  if (istrue(opresult4245)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4246 = alloc_Boolean(0);
// compiled identifier node returning bool4246 (depth = 5)
  return bool4246;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4237 = undefined;
  } else {
  }
// compiled if node returning if4237 (depth = 3)
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4247 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit4248 == NULL) {
    strlit4248 = alloc_String("confidential");
    gc_root(strlit4248);
  }
// compiled string node returning strlit4248 (depth = 4)
  gc_frame_newslot(strlit4248);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  params[1] = strlit4248;
  partcv[0] = 2;
  Object call4249 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4247);
// compiled call node returning call4249 (depth = 3)
  gc_frame_end(frame);
  return call4249;
}
Object meth_ast_4250_isPublic(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4251 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4252 = gc_frame_new();
// call case 4: self request
  Object call4253 = callmethodflags(self, "isConfidential", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4252);
// compiled member node returning call4253 (depth = 4)
  Object call4254 = callmethodflags(call4253, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4251);
// compiled member node returning call4254 (depth = 3)
  gc_frame_end(frame);
  return call4254;
}
Object meth_ast_4255_isWritable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4256 = alloc_Boolean(0);
// compiled identifier node returning bool4256 (depth = 3)
  gc_frame_end(frame);
  return bool4256;
}
Object meth_ast_4257_isReadable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4258 = gc_frame_new();
// call case 4: self request
  Object call4259 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4258);
// compiled member node returning call4259 (depth = 3)
  gc_frame_end(frame);
  return call4259;
}
Object meth_ast_4260_usesAsType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4262 = gc_frame_new();
// call case 4: self request
  Object call4263 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4262);
// compiled member node returning call4263 (depth = 4)
  int op_slot_right_4261 = gc_frame_newslot(call4263);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_4261 = gc_frame_newslot(*var_aNode);
  params[0] = call4263;
  partcv[0] = 1;
  Object opresult4265 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult4265 (depth = 3)
  gc_frame_end(frame);
  return opresult4265;
}
Object meth_ast_4269__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile member node (depth = 5)
  int callframe4270 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4271 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4272 = gc_frame_new();
// call case 4: self request
  Object call4273 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4272);
// compiled member node returning call4273 (depth = 7)
  Object call4274 = callmethodflags(call4273, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4271);
// compiled member node returning call4274 (depth = 6)
  Object call4275 = callmethodflags(call4274, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe4270);
// compiled member node returning call4275 (depth = 5)
  gc_frame_end(frame);
  return call4275;
}
Object meth_ast_4266_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block4268 = alloc_Block(NULL, NULL, "ast", 1041);
  gc_frame_newslot(block4268);
// method "_apply"
  block_savedest(block4268);
  Object closure4269 = createclosure(1, "_apply");
  setclosureframe(closure4269, stackframe);
  addtoclosure(closure4269, selfslot);
  struct UserObject *uo4269 = (struct UserObject*)block4268;
  uo4269->data[0] = (Object)closure4269;
  Method *meth_meth_ast_4269__apply = addmethod2pos(block4268, "_apply", &meth_ast_4269__apply, 0);
  int argcv_meth_ast_4269__apply[] = {0};
  meth_meth_ast_4269__apply->type = alloc_MethodType(1, argcv_meth_ast_4269__apply);
  meth_meth_ast_4269__apply->definitionModule = modulename;
  meth_meth_ast_4269__apply->definitionLine = 3216;
// compiled block node returning block4268 (depth = 4)
  int op_slot_right_4267 = gc_frame_newslot(block4268);
// starting to compile member node (depth = 4)
  int callframe4278 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4279 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4280 = gc_frame_new();
// call case 4: self request
  Object call4281 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4280);
// compiled member node returning call4281 (depth = 6)
  Object call4282 = callmethodflags(call4281, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe4279);
// compiled member node returning call4282 (depth = 5)
  Object call4283 = callmethodflags(call4282, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4278);
// compiled member node returning call4283 (depth = 4)
  int op_slot_left_4267 = gc_frame_newslot(call4283);
  params[0] = block4268;
  partcv[0] = 1;
  Object opresult4284 = callmethod(call4283, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4284 (depth = 3)
  gc_frame_end(frame);
  return opresult4284;
}
Object meth_ast_4285_returnedObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4286 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4287 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4288 = gc_frame_new();
// call case 4: self request
  Object call4289 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4288);
// compiled member node returning call4289 (depth = 5)
  Object call4290 = callmethodflags(call4289, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4287);
// compiled member node returning call4290 (depth = 4)
  Object call4291 = callmethodflags(call4290, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe4286);
// compiled member node returning call4291 (depth = 3)
  gc_frame_end(frame);
  return call4291;
}
Object meth_ast_4292_resultExpression(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "resultExpression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_last = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "last");
// definebindings:
// definebindings:
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4294 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4295 = gc_frame_new();
// call case 4: self request
  Object call4296 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4295);
// compiled member node returning call4296 (depth = 5)
  Object call4297 = callmethodflags(call4296, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe4294);
// compiled member node returning call4297 (depth = 4)
  Object if4293 = done;
  if (istrue(call4297)) {
// starting to compile call node (depth = 4)
  int callframe4298 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4299 == NULL) {
    strlit4299 = alloc_String("method has no body");
    gc_root(strlit4299);
  }
// compiled string node returning strlit4299 (depth = 5)
  gc_frame_newslot(strlit4299);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4300 = gc_frame_new();
// call case 5: prelude request
  Object call4301 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4300);
// compiled member node returning call4301 (depth = 5)
  params[0] = strlit4299;
  partcv[0] = 1;
  Object call4302 = callmethodflags(call4301, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4298);
// compiled call node returning call4302 (depth = 4)
    gc_frame_newslot(call4302);
    if4293 = call4302;
  } else {
  }
// compiled if node returning if4293 (depth = 3)
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4303 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4304 = gc_frame_new();
// call case 4: self request
  Object call4305 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4304);
// compiled member node returning call4305 (depth = 5)
  Object call4306 = callmethodflags(call4305, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4303);
// compiled member node returning call4306 (depth = 4)
  *var_last = call4306;
  if (call4306 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4308 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_last (depth = 5)
  Object call4309 = callmethodflags(*var_last, "isReturn", 0, partcv, params, 0);
  gc_frame_end(callframe4308);
// compiled member node returning call4309 (depth = 4)
  Object if4307 = done;
  if (istrue(call4309)) {
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_last (depth = 6)
  Object call4311 = callmethodflags(*var_last, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4310);
// compiled member node returning call4311 (depth = 5)
  *var_last = call4311;
  if (call4311 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4307 = done;
  } else {
  }
// compiled if node returning if4307 (depth = 3)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_last (depth = 3)
  gc_frame_end(frame);
  return *var_last;
}
Object meth_ast_4343__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4344 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newChain (depth = 9)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4345 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4344);
// compiled call node returning call4345 (depth = 8)
  gc_frame_end(frame);
  return call4345;
}
Object meth_ast_4338__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4339 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4340 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4341 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4340);
// compiled member node returning call4341 (depth = 7)
  gc_frame_newslot(call4341);
// starting to compile block node (depth = 7)
  Object block4342 = alloc_Block(NULL, NULL, "ast", 1061);
  gc_frame_newslot(block4342);
// method "_apply(_)"
  block_savedest(block4342);
  Object closure4343 = createclosure(3, "_apply(1)");
  setclosureframe(closure4343, stackframe);
  addtoclosure(closure4343, var_visitor);
  addtoclosure(closure4343, var_newChain);
  addtoclosure(closure4343, selfslot);
  struct UserObject *uo4343 = (struct UserObject*)block4342;
  uo4343->data[0] = (Object)closure4343;
  Method *meth_meth_ast_4343__apply_40_1_41_ = addmethod2pos(block4342, "_apply(1)", &meth_ast_4343__apply_40_1_41_, 0);
  int argcv_meth_ast_4343__apply_40_1_41_[] = {1};
  meth_meth_ast_4343__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4343__apply_40_1_41_);
  meth_meth_ast_4343__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4343__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4342 (depth = 7)
  gc_frame_newslot(block4342);
// call case 5: prelude request
  params[0] = call4341;
  params[1] = block4342;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4347 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4339);
// compiled call node returning call4347 (depth = 6)
  gc_frame_end(frame);
  return call4347;
}
Object meth_ast_4365__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4366 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4367 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4366);
// compiled call node returning call4367 (depth = 6)
  gc_frame_end(frame);
  return call4367;
}
Object meth_ast_4374__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4375 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4376 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4375);
// compiled call node returning call4376 (depth = 6)
  gc_frame_end(frame);
  return call4376;
}
Object meth_ast_4313_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4315 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4316 = callmethodflags(*var_visitor, "visitMethod(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4315);
// compiled call node returning call4316 (depth = 4)
  Object if4314 = done;
  if (istrue(call4316)) {
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4317 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call4318 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4317);
// compiled call node returning call4318 (depth = 5)
  *var_newChain = call4318;
  if (call4318 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4319 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4320 = gc_frame_new();
// call case 4: self request
  Object call4321 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4320);
// compiled member node returning call4321 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4322 = callmethodflags(call4321, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4319);
// compiled call node returning call4322 (depth = 4)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4325 = gc_frame_new();
// call case 4: self request
  Object call4326 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4325);
// compiled member node returning call4326 (depth = 6)
  int op_slot_right_4324 = gc_frame_newslot(call4326);
// starting to compile identifier node (depth = 6)
  Object bool4328 = alloc_Boolean(0);
// compiled identifier node returning bool4328 (depth = 6)
  int op_slot_left_4324 = gc_frame_newslot(bool4328);
  params[0] = call4326;
  partcv[0] = 1;
  Object opresult4329 = callmethod(bool4328, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4329 (depth = 5)
  Object if4323 = done;
  if (istrue(opresult4329)) {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4330 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4331 = gc_frame_new();
// call case 4: self request
  Object call4332 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4331);
// compiled member node returning call4332 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4333 = callmethodflags(call4332, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4330);
// compiled call node returning call4333 (depth = 5)
    gc_frame_newslot(call4333);
    if4323 = call4333;
  } else {
  }
// compiled if node returning if4323 (depth = 4)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4334 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4335 = gc_frame_new();
// call case 4: self request
  Object call4336 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4335);
// compiled member node returning call4336 (depth = 5)
  gc_frame_newslot(call4336);
// starting to compile block node (depth = 5)
  Object block4337 = alloc_Block(NULL, NULL, "ast", 1060);
  gc_frame_newslot(block4337);
// method "_apply(_)"
  block_savedest(block4337);
  Object closure4338 = createclosure(3, "_apply(1)");
  setclosureframe(closure4338, stackframe);
  addtoclosure(closure4338, var_visitor);
  addtoclosure(closure4338, var_newChain);
  addtoclosure(closure4338, selfslot);
  struct UserObject *uo4338 = (struct UserObject*)block4337;
  uo4338->data[0] = (Object)closure4338;
  Method *meth_meth_ast_4338__apply_40_1_41_ = addmethod2pos(block4337, "_apply(1)", &meth_ast_4338__apply_40_1_41_, 0);
  int argcv_meth_ast_4338__apply_40_1_41_[] = {1};
  meth_meth_ast_4338__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4338__apply_40_1_41_);
  meth_meth_ast_4338__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4338__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4337 (depth = 5)
  gc_frame_newslot(block4337);
// call case 5: prelude request
  params[0] = call4336;
  params[1] = block4337;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4349 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4334);
// compiled call node returning call4349 (depth = 4)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4352 = gc_frame_new();
// call case 4: self request
  Object call4353 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4352);
// compiled member node returning call4353 (depth = 6)
  int op_slot_right_4351 = gc_frame_newslot(call4353);
// starting to compile identifier node (depth = 6)
  Object bool4355 = alloc_Boolean(0);
// compiled identifier node returning bool4355 (depth = 6)
  int op_slot_left_4351 = gc_frame_newslot(bool4355);
  params[0] = call4353;
  partcv[0] = 1;
  Object opresult4356 = callmethod(bool4355, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4356 (depth = 5)
  Object if4350 = done;
  if (istrue(opresult4356)) {
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4357 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4358 = gc_frame_new();
// call case 4: self request
  Object call4359 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4358);
// compiled member node returning call4359 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4360 = callmethodflags(call4359, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4357);
// compiled call node returning call4360 (depth = 5)
    gc_frame_newslot(call4360);
    if4350 = call4360;
  } else {
  }
// compiled if node returning if4350 (depth = 4)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4361 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4362 = gc_frame_new();
// call case 4: self request
  Object call4363 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4362);
// compiled member node returning call4363 (depth = 5)
  gc_frame_newslot(call4363);
// starting to compile block node (depth = 5)
  Object block4364 = alloc_Block(NULL, NULL, "ast", 1068);
  gc_frame_newslot(block4364);
// method "_apply(_)"
  block_savedest(block4364);
  Object closure4365 = createclosure(3, "_apply(1)");
  setclosureframe(closure4365, stackframe);
  addtoclosure(closure4365, var_visitor);
  addtoclosure(closure4365, var_newChain);
  addtoclosure(closure4365, selfslot);
  struct UserObject *uo4365 = (struct UserObject*)block4364;
  uo4365->data[0] = (Object)closure4365;
  Method *meth_meth_ast_4365__apply_40_1_41_ = addmethod2pos(block4364, "_apply(1)", &meth_ast_4365__apply_40_1_41_, 0);
  int argcv_meth_ast_4365__apply_40_1_41_[] = {1};
  meth_meth_ast_4365__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4365__apply_40_1_41_);
  meth_meth_ast_4365__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4365__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4364 (depth = 5)
  gc_frame_newslot(block4364);
// call case 5: prelude request
  params[0] = call4363;
  params[1] = block4364;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4369 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4361);
// compiled call node returning call4369 (depth = 4)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4370 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4371 = gc_frame_new();
// call case 4: self request
  Object call4372 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4371);
// compiled member node returning call4372 (depth = 5)
  gc_frame_newslot(call4372);
// starting to compile block node (depth = 5)
  Object block4373 = alloc_Block(NULL, NULL, "ast", 1071);
  gc_frame_newslot(block4373);
// method "_apply(_)"
  block_savedest(block4373);
  Object closure4374 = createclosure(3, "_apply(1)");
  setclosureframe(closure4374, stackframe);
  addtoclosure(closure4374, var_visitor);
  addtoclosure(closure4374, var_newChain);
  addtoclosure(closure4374, selfslot);
  struct UserObject *uo4374 = (struct UserObject*)block4373;
  uo4374->data[0] = (Object)closure4374;
  Method *meth_meth_ast_4374__apply_40_1_41_ = addmethod2pos(block4373, "_apply(1)", &meth_ast_4374__apply_40_1_41_, 0);
  int argcv_meth_ast_4374__apply_40_1_41_[] = {1};
  meth_meth_ast_4374__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4374__apply_40_1_41_);
  meth_meth_ast_4374__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4374__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4373 (depth = 5)
  gc_frame_newslot(block4373);
// call case 5: prelude request
  params[0] = call4372;
  params[1] = block4373;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4378 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4370);
// compiled call node returning call4378 (depth = 4)
    gc_frame_newslot(call4378);
    if4314 = call4378;
  } else {
  }
// compiled if node returning if4314 (depth = 3)
  gc_frame_end(frame);
  return if4314;
}
Object meth_ast_4379_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4380 = gc_frame_new();
// call case 4: self request
  Object call4381 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4380);
// compiled member node returning call4381 (depth = 4)
  *var_n = call4381;
  if (call4381 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4382 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4383 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4382);
// compiled call node returning call4383 (depth = 4)
  *var_newChain = call4383;
  if (call4383 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4384 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4385 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4386 = gc_frame_new();
// call case 4: self request
  Object call4387 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4386);
// compiled member node returning call4387 (depth = 5)
  gc_frame_newslot(call4387);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call4387;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4388 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4385);
// compiled call node returning call4388 (depth = 4)
  gc_frame_newslot(call4388);
// call case 6: other requests
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4388;
  partcv[0] = 1;
  Object call4389 = callmethodflags(*var_n, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4384);
// compiled call node returning call4389 (depth = 3)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4390 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4391 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4392 = gc_frame_new();
// call case 4: self request
  Object call4393 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4392);
// compiled member node returning call4393 (depth = 5)
  gc_frame_newslot(call4393);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call4393;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4394 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4391);
// compiled call node returning call4394 (depth = 4)
  gc_frame_newslot(call4394);
// call case 6: other requests
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4394;
  partcv[0] = 1;
  Object call4395 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4390);
// compiled call node returning call4395 (depth = 3)
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4396 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4397 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4398 = gc_frame_new();
// call case 4: self request
  Object call4399 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4398);
// compiled member node returning call4399 (depth = 5)
  gc_frame_newslot(call4399);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call4399;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4400 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4397);
// compiled call node returning call4400 (depth = 4)
  gc_frame_newslot(call4400);
// call case 6: other requests
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4400;
  partcv[0] = 1;
  Object call4401 = callmethodflags(*var_n, "signature:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4396);
// compiled call node returning call4401 (depth = 3)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4402 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4403 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4404 = gc_frame_new();
// call case 4: self request
  Object call4405 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4404);
// compiled member node returning call4405 (depth = 5)
  gc_frame_newslot(call4405);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call4405;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4406 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4403);
// compiled call node returning call4406 (depth = 4)
  gc_frame_newslot(call4406);
// call case 6: other requests
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4406;
  partcv[0] = 1;
  Object call4407 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4402);
// compiled call node returning call4407 (depth = 3)
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4408 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4409 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4410 = gc_frame_new();
// call case 4: self request
  Object call4411 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4410);
// compiled member node returning call4411 (depth = 5)
  gc_frame_newslot(call4411);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call4411;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4412 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4409);
// compiled call node returning call4412 (depth = 4)
  gc_frame_newslot(call4412);
// call case 6: other requests
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4412;
  partcv[0] = 1;
  Object call4413 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4408);
// compiled call node returning call4413 (depth = 3)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4414 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call4415 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4414);
// compiled call node returning call4415 (depth = 3)
  gc_frame_end(frame);
  return call4415;
}
Object meth_ast_4582__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4584 == NULL) {
    strlit4584 = alloc_String("");
    gc_root(strlit4584);
  }
// compiled string node returning strlit4584 (depth = 9)
  int op_slot_right_4583 = gc_frame_newslot(strlit4584);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4587 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4589 = alloc_Float64(4);
// compiled num node returning num4589 (depth = 12)
  int op_slot_right_4588 = gc_frame_newslot(num4589);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4588 = gc_frame_newslot(*var_depth);
  params[0] = num4589;
  partcv[0] = 1;
  Object sum4591 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4591 (depth = 11)
  gc_frame_newslot(sum4591);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = sum4591;
  partcv[0] = 1;
  Object call4592 = callmethodflags(*var_p, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4587);
// compiled call node returning call4592 (depth = 10)
  int op_slot_right_4586 = gc_frame_newslot(call4592);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4595 == NULL) {
    strlit4595 = alloc_String("");
    gc_root(strlit4595);
  }
// compiled string node returning strlit4595 (depth = 11)
  int op_slot_right_4594 = gc_frame_newslot(strlit4595);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_4597 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit4600 == NULL) {
    strlit4600 = alloc_String("""\x0a""      ");
    gc_root(strlit4600);
  }
// compiled string node returning strlit4600 (depth = 13)
  int op_slot_right_4599 = gc_frame_newslot(strlit4600);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_4602 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit4604 == NULL) {
    strlit4604 = alloc_String("");
    gc_root(strlit4604);
  }
// compiled string node returning strlit4604 (depth = 14)
  int op_slot_left_4602 = gc_frame_newslot(strlit4604);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4605 = callmethod(strlit4604, "++(1)", 1, partcv, params);
// compiled op node returning opresult4605 (depth = 13)
  int op_slot_left_4599 = gc_frame_newslot(opresult4605);
  params[0] = strlit4600;
  partcv[0] = 1;
  Object opresult4606 = callmethod(opresult4605, "++(1)", 1, partcv, params);
// compiled op node returning opresult4606 (depth = 12)
  int op_slot_left_4597 = gc_frame_newslot(opresult4606);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4607 = callmethod(opresult4606, "++(1)", 1, partcv, params);
// compiled op node returning opresult4607 (depth = 11)
  int op_slot_left_4594 = gc_frame_newslot(opresult4607);
  params[0] = strlit4595;
  partcv[0] = 1;
  Object opresult4608 = callmethod(opresult4607, "++(1)", 1, partcv, params);
// compiled op node returning opresult4608 (depth = 10)
  int op_slot_left_4586 = gc_frame_newslot(opresult4608);
  params[0] = call4592;
  partcv[0] = 1;
  Object opresult4609 = callmethod(opresult4608, "++(1)", 1, partcv, params);
// compiled op node returning opresult4609 (depth = 9)
  int op_slot_left_4583 = gc_frame_newslot(opresult4609);
  params[0] = strlit4584;
  partcv[0] = 1;
  Object opresult4610 = callmethod(opresult4609, "++(1)", 1, partcv, params);
// compiled op node returning opresult4610 (depth = 8)
  *var_s = opresult4610;
  if (opresult4610 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_4536__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4538 == NULL) {
    strlit4538 = alloc_String("");
    gc_root(strlit4538);
  }
// compiled string node returning strlit4538 (depth = 7)
  int op_slot_right_4537 = gc_frame_newslot(strlit4538);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4541 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4542 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4541);
// compiled member node returning call4542 (depth = 8)
  int op_slot_right_4540 = gc_frame_newslot(call4542);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4545 == NULL) {
    strlit4545 = alloc_String("Part: ");
    gc_root(strlit4545);
  }
// compiled string node returning strlit4545 (depth = 9)
  int op_slot_right_4544 = gc_frame_newslot(strlit4545);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_4547 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4550 == NULL) {
    strlit4550 = alloc_String("""\x0a""  ");
    gc_root(strlit4550);
  }
// compiled string node returning strlit4550 (depth = 11)
  int op_slot_right_4549 = gc_frame_newslot(strlit4550);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_4552 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit4554 == NULL) {
    strlit4554 = alloc_String("");
    gc_root(strlit4554);
  }
// compiled string node returning strlit4554 (depth = 12)
  int op_slot_left_4552 = gc_frame_newslot(strlit4554);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4555 = callmethod(strlit4554, "++(1)", 1, partcv, params);
// compiled op node returning opresult4555 (depth = 11)
  int op_slot_left_4549 = gc_frame_newslot(opresult4555);
  params[0] = strlit4550;
  partcv[0] = 1;
  Object opresult4556 = callmethod(opresult4555, "++(1)", 1, partcv, params);
// compiled op node returning opresult4556 (depth = 10)
  int op_slot_left_4547 = gc_frame_newslot(opresult4556);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4557 = callmethod(opresult4556, "++(1)", 1, partcv, params);
// compiled op node returning opresult4557 (depth = 9)
  int op_slot_left_4544 = gc_frame_newslot(opresult4557);
  params[0] = strlit4545;
  partcv[0] = 1;
  Object opresult4558 = callmethod(opresult4557, "++(1)", 1, partcv, params);
// compiled op node returning opresult4558 (depth = 8)
  int op_slot_left_4540 = gc_frame_newslot(opresult4558);
  params[0] = call4542;
  partcv[0] = 1;
  Object opresult4559 = callmethod(opresult4558, "++(1)", 1, partcv, params);
// compiled op node returning opresult4559 (depth = 7)
  int op_slot_left_4537 = gc_frame_newslot(opresult4559);
  params[0] = strlit4538;
  partcv[0] = 1;
  Object opresult4560 = callmethod(opresult4559, "++(1)", 1, partcv, params);
// compiled op node returning opresult4560 (depth = 6)
  *var_s = opresult4560;
  if (opresult4560 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4563 == NULL) {
    strlit4563 = alloc_String("Parameters:");
    gc_root(strlit4563);
  }
// compiled string node returning strlit4563 (depth = 7)
  int op_slot_right_4562 = gc_frame_newslot(strlit4563);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4565 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4568 == NULL) {
    strlit4568 = alloc_String("""\x0a""    ");
    gc_root(strlit4568);
  }
// compiled string node returning strlit4568 (depth = 9)
  int op_slot_right_4567 = gc_frame_newslot(strlit4568);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_4570 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit4572 == NULL) {
    strlit4572 = alloc_String("");
    gc_root(strlit4572);
  }
// compiled string node returning strlit4572 (depth = 10)
  int op_slot_left_4570 = gc_frame_newslot(strlit4572);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4573 = callmethod(strlit4572, "++(1)", 1, partcv, params);
// compiled op node returning opresult4573 (depth = 9)
  int op_slot_left_4567 = gc_frame_newslot(opresult4573);
  params[0] = strlit4568;
  partcv[0] = 1;
  Object opresult4574 = callmethod(opresult4573, "++(1)", 1, partcv, params);
// compiled op node returning opresult4574 (depth = 8)
  int op_slot_left_4565 = gc_frame_newslot(opresult4574);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4575 = callmethod(opresult4574, "++(1)", 1, partcv, params);
// compiled op node returning opresult4575 (depth = 7)
  int op_slot_left_4562 = gc_frame_newslot(opresult4575);
  params[0] = strlit4563;
  partcv[0] = 1;
  Object opresult4576 = callmethod(opresult4575, "++(1)", 1, partcv, params);
// compiled op node returning opresult4576 (depth = 6)
  *var_s = opresult4576;
  if (opresult4576 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4578 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4579 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4580 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4579);
// compiled member node returning call4580 (depth = 6)
  gc_frame_newslot(call4580);
// starting to compile block node (depth = 6)
  Object block4581 = alloc_Block(NULL, NULL, "ast", 1100);
  gc_frame_newslot(block4581);
// method "_apply(_)"
  block_savedest(block4581);
  Object closure4582 = createclosure(4, "_apply(1)");
  setclosureframe(closure4582, stackframe);
  addtoclosure(closure4582, var_depth);
  addtoclosure(closure4582, var_spc);
  addtoclosure(closure4582, var_s);
  addtoclosure(closure4582, selfslot);
  struct UserObject *uo4582 = (struct UserObject*)block4581;
  uo4582->data[0] = (Object)closure4582;
  Method *meth_meth_ast_4582__apply_40_1_41_ = addmethod2pos(block4581, "_apply(1)", &meth_ast_4582__apply_40_1_41_, 0);
  int argcv_meth_ast_4582__apply_40_1_41_[] = {1};
  meth_meth_ast_4582__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4582__apply_40_1_41_);
  meth_meth_ast_4582__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4582__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4581 (depth = 6)
  gc_frame_newslot(block4581);
// call case 5: prelude request
  params[0] = call4580;
  params[1] = block4581;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4613 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4578);
// compiled call node returning call4613 (depth = 5)
  gc_frame_end(frame);
  return call4613;
}
Object meth_ast_4646__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4648 == NULL) {
    strlit4648 = alloc_String("");
    gc_root(strlit4648);
  }
// compiled string node returning strlit4648 (depth = 8)
  int op_slot_right_4647 = gc_frame_newslot(strlit4648);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4651 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4652 = alloc_Float64(0);
// compiled num node returning num4652 (depth = 10)
  gc_frame_newslot(num4652);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = num4652;
  partcv[0] = 1;
  Object call4653 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4651);
// compiled call node returning call4653 (depth = 9)
  int op_slot_right_4650 = gc_frame_newslot(call4653);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4656 == NULL) {
    strlit4656 = alloc_String("  ");
    gc_root(strlit4656);
  }
// compiled string node returning strlit4656 (depth = 10)
  int op_slot_right_4655 = gc_frame_newslot(strlit4656);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4658 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4661 == NULL) {
    strlit4661 = alloc_String("""\x0a""");
    gc_root(strlit4661);
  }
// compiled string node returning strlit4661 (depth = 12)
  int op_slot_right_4660 = gc_frame_newslot(strlit4661);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_4663 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit4665 == NULL) {
    strlit4665 = alloc_String("");
    gc_root(strlit4665);
  }
// compiled string node returning strlit4665 (depth = 13)
  int op_slot_left_4663 = gc_frame_newslot(strlit4665);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4666 = callmethod(strlit4665, "++(1)", 1, partcv, params);
// compiled op node returning opresult4666 (depth = 12)
  int op_slot_left_4660 = gc_frame_newslot(opresult4666);
  params[0] = strlit4661;
  partcv[0] = 1;
  Object opresult4667 = callmethod(opresult4666, "++(1)", 1, partcv, params);
// compiled op node returning opresult4667 (depth = 11)
  int op_slot_left_4658 = gc_frame_newslot(opresult4667);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4668 = callmethod(opresult4667, "++(1)", 1, partcv, params);
// compiled op node returning opresult4668 (depth = 10)
  int op_slot_left_4655 = gc_frame_newslot(opresult4668);
  params[0] = strlit4656;
  partcv[0] = 1;
  Object opresult4669 = callmethod(opresult4668, "++(1)", 1, partcv, params);
// compiled op node returning opresult4669 (depth = 9)
  int op_slot_left_4650 = gc_frame_newslot(opresult4669);
  params[0] = call4653;
  partcv[0] = 1;
  Object opresult4670 = callmethod(opresult4669, "++(1)", 1, partcv, params);
// compiled op node returning opresult4670 (depth = 8)
  int op_slot_left_4647 = gc_frame_newslot(opresult4670);
  params[0] = strlit4648;
  partcv[0] = 1;
  Object opresult4671 = callmethod(opresult4670, "++(1)", 1, partcv, params);
// compiled op node returning opresult4671 (depth = 7)
  *var_s = opresult4671;
  if (opresult4671 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_4711__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_an = &(stackframe->slots[0]);
  *var_an = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4713 == NULL) {
    strlit4713 = alloc_String("");
    gc_root(strlit4713);
  }
// compiled string node returning strlit4713 (depth = 8)
  int op_slot_right_4712 = gc_frame_newslot(strlit4713);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4716 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num4718 = alloc_Float64(2);
// compiled num node returning num4718 (depth = 11)
  int op_slot_right_4717 = gc_frame_newslot(num4718);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_4717 = gc_frame_newslot(*var_depth);
  params[0] = num4718;
  partcv[0] = 1;
  Object sum4720 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4720 (depth = 10)
  gc_frame_newslot(sum4720);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_an (depth = 10)
  params[0] = sum4720;
  partcv[0] = 1;
  Object call4721 = callmethodflags(*var_an, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4716);
// compiled call node returning call4721 (depth = 9)
  int op_slot_right_4715 = gc_frame_newslot(call4721);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4724 == NULL) {
    strlit4724 = alloc_String("  ");
    gc_root(strlit4724);
  }
// compiled string node returning strlit4724 (depth = 10)
  int op_slot_right_4723 = gc_frame_newslot(strlit4724);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4726 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4729 == NULL) {
    strlit4729 = alloc_String("""\x0a""");
    gc_root(strlit4729);
  }
// compiled string node returning strlit4729 (depth = 12)
  int op_slot_right_4728 = gc_frame_newslot(strlit4729);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_4731 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit4733 == NULL) {
    strlit4733 = alloc_String("");
    gc_root(strlit4733);
  }
// compiled string node returning strlit4733 (depth = 13)
  int op_slot_left_4731 = gc_frame_newslot(strlit4733);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4734 = callmethod(strlit4733, "++(1)", 1, partcv, params);
// compiled op node returning opresult4734 (depth = 12)
  int op_slot_left_4728 = gc_frame_newslot(opresult4734);
  params[0] = strlit4729;
  partcv[0] = 1;
  Object opresult4735 = callmethod(opresult4734, "++(1)", 1, partcv, params);
// compiled op node returning opresult4735 (depth = 11)
  int op_slot_left_4726 = gc_frame_newslot(opresult4735);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4736 = callmethod(opresult4735, "++(1)", 1, partcv, params);
// compiled op node returning opresult4736 (depth = 10)
  int op_slot_left_4723 = gc_frame_newslot(opresult4736);
  params[0] = strlit4724;
  partcv[0] = 1;
  Object opresult4737 = callmethod(opresult4736, "++(1)", 1, partcv, params);
// compiled op node returning opresult4737 (depth = 9)
  int op_slot_left_4715 = gc_frame_newslot(opresult4737);
  params[0] = call4721;
  partcv[0] = 1;
  Object opresult4738 = callmethod(opresult4737, "++(1)", 1, partcv, params);
// compiled op node returning opresult4738 (depth = 8)
  int op_slot_left_4712 = gc_frame_newslot(opresult4738);
  params[0] = strlit4713;
  partcv[0] = 1;
  Object opresult4739 = callmethod(opresult4738, "++(1)", 1, partcv, params);
// compiled op node returning opresult4739 (depth = 7)
  *var_s = opresult4739;
  if (opresult4739 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_4760__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4762 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4764 = alloc_Float64(2);
// compiled num node returning num4764 (depth = 9)
  int op_slot_right_4763 = gc_frame_newslot(num4764);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4763 = gc_frame_newslot(*var_depth);
  params[0] = num4764;
  partcv[0] = 1;
  Object sum4766 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4766 (depth = 8)
  gc_frame_newslot(sum4766);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum4766;
  partcv[0] = 1;
  Object call4767 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4762);
// compiled call node returning call4767 (depth = 7)
  int op_slot_right_4761 = gc_frame_newslot(call4767);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4769 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4772 == NULL) {
    strlit4772 = alloc_String("""\x0a""  ");
    gc_root(strlit4772);
  }
// compiled string node returning strlit4772 (depth = 9)
  int op_slot_right_4771 = gc_frame_newslot(strlit4772);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4771 = gc_frame_newslot(*var_s);
  params[0] = strlit4772;
  partcv[0] = 1;
  Object opresult4774 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4774 (depth = 8)
  int op_slot_left_4769 = gc_frame_newslot(opresult4774);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4775 = callmethod(opresult4774, "++(1)", 1, partcv, params);
// compiled op node returning opresult4775 (depth = 7)
  int op_slot_left_4761 = gc_frame_newslot(opresult4775);
  params[0] = call4767;
  partcv[0] = 1;
  Object opresult4776 = callmethod(opresult4775, "++(1)", 1, partcv, params);
// compiled op node returning opresult4776 (depth = 6)
  *var_s = opresult4776;
  if (opresult4776 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_4416_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4419 = alloc_Float64(1);
// compiled num node returning num4419 (depth = 6)
  int op_slot_right_4418 = gc_frame_newslot(num4419);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_4418 = gc_frame_newslot(*var_depth);
  params[0] = num4419;
  partcv[0] = 1;
  Object sum4421 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4421 (depth = 5)
  int op_slot_right_4417 = gc_frame_newslot(sum4421);
// starting to compile string node (depth = 5)
  if (strlit4423 == NULL) {
    strlit4423 = alloc_String("  ");
    gc_root(strlit4423);
  }
// compiled string node returning strlit4423 (depth = 5)
  int op_slot_left_4417 = gc_frame_newslot(strlit4423);
  params[0] = sum4421;
  partcv[0] = 1;
  Object prod4424 = callmethod(strlit4423, "*(1)", 1, partcv, params);
// compiled op node returning prod4424 (depth = 4)
  *var_spc = prod4424;
  if (prod4424 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4426 == NULL) {
    strlit4426 = alloc_String("""\x0a""");
    gc_root(strlit4426);
  }
// compiled string node returning strlit4426 (depth = 5)
  int op_slot_right_4425 = gc_frame_newslot(strlit4426);
// starting to compile call node (depth = 5)
  int callframe4428 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call4429 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4428);
// compiled call node returning call4429 (depth = 5)
  int op_slot_left_4425 = gc_frame_newslot(call4429);
  params[0] = strlit4426;
  partcv[0] = 1;
  Object opresult4430 = callmethod(call4429, "++(1)", 1, partcv, params);
// compiled op node returning opresult4430 (depth = 4)
  *var_s = opresult4430;
  if (opresult4430 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4432 == NULL) {
    strlit4432 = alloc_String("""\x0a""");
    gc_root(strlit4432);
  }
// compiled string node returning strlit4432 (depth = 5)
  int op_slot_right_4431 = gc_frame_newslot(strlit4432);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4435 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4437 = alloc_Float64(1);
// compiled num node returning num4437 (depth = 8)
  int op_slot_right_4436 = gc_frame_newslot(num4437);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4436 = gc_frame_newslot(*var_depth);
  params[0] = num4437;
  partcv[0] = 1;
  Object sum4439 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4439 (depth = 7)
  gc_frame_newslot(sum4439);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4440 = gc_frame_new();
// call case 4: self request
  Object call4441 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4440);
// compiled member node returning call4441 (depth = 7)
  params[0] = sum4439;
  partcv[0] = 1;
  Object call4442 = callmethodflags(call4441, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4435);
// compiled call node returning call4442 (depth = 6)
  int op_slot_right_4434 = gc_frame_newslot(call4442);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4445 == NULL) {
    strlit4445 = alloc_String("Name: ");
    gc_root(strlit4445);
  }
// compiled string node returning strlit4445 (depth = 7)
  int op_slot_right_4444 = gc_frame_newslot(strlit4445);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4447 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4447 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4449 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4449 (depth = 7)
  int op_slot_left_4444 = gc_frame_newslot(opresult4449);
  params[0] = strlit4445;
  partcv[0] = 1;
  Object opresult4450 = callmethod(opresult4449, "++(1)", 1, partcv, params);
// compiled op node returning opresult4450 (depth = 6)
  int op_slot_left_4434 = gc_frame_newslot(opresult4450);
  params[0] = call4442;
  partcv[0] = 1;
  Object opresult4451 = callmethod(opresult4450, "++(1)", 1, partcv, params);
// compiled op node returning opresult4451 (depth = 5)
  int op_slot_left_4431 = gc_frame_newslot(opresult4451);
  params[0] = strlit4432;
  partcv[0] = 1;
  Object opresult4452 = callmethod(opresult4451, "++(1)", 1, partcv, params);
// compiled op node returning opresult4452 (depth = 4)
  *var_s = opresult4452;
  if (opresult4452 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4456 = gc_frame_new();
// call case 4: self request
  Object call4457 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4456);
// compiled member node returning call4457 (depth = 5)
  int op_slot_right_4455 = gc_frame_newslot(call4457);
// starting to compile identifier node (depth = 5)
  Object bool4459 = alloc_Boolean(0);
// compiled identifier node returning bool4459 (depth = 5)
  int op_slot_left_4455 = gc_frame_newslot(bool4459);
  params[0] = call4457;
  partcv[0] = 1;
  Object opresult4460 = callmethod(bool4459, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4460 (depth = 4)
  Object if4454 = done;
  if (istrue(opresult4460)) {
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4462 == NULL) {
    strlit4462 = alloc_String("  ");
    gc_root(strlit4462);
  }
// compiled string node returning strlit4462 (depth = 6)
  int op_slot_right_4461 = gc_frame_newslot(strlit4462);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4464 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4467 == NULL) {
    strlit4467 = alloc_String("Returns:""\x0a""");
    gc_root(strlit4467);
  }
// compiled string node returning strlit4467 (depth = 8)
  int op_slot_right_4466 = gc_frame_newslot(strlit4467);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_4469 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4469 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4471 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4471 (depth = 8)
  int op_slot_left_4466 = gc_frame_newslot(opresult4471);
  params[0] = strlit4467;
  partcv[0] = 1;
  Object opresult4472 = callmethod(opresult4471, "++(1)", 1, partcv, params);
// compiled op node returning opresult4472 (depth = 7)
  int op_slot_left_4464 = gc_frame_newslot(opresult4472);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4473 = callmethod(opresult4472, "++(1)", 1, partcv, params);
// compiled op node returning opresult4473 (depth = 6)
  int op_slot_left_4461 = gc_frame_newslot(opresult4473);
  params[0] = strlit4462;
  partcv[0] = 1;
  Object opresult4474 = callmethod(opresult4473, "++(1)", 1, partcv, params);
// compiled op node returning opresult4474 (depth = 5)
  *var_s = opresult4474;
  if (opresult4474 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4477 == NULL) {
    strlit4477 = alloc_String("""\x0a""");
    gc_root(strlit4477);
  }
// compiled string node returning strlit4477 (depth = 6)
  int op_slot_right_4476 = gc_frame_newslot(strlit4477);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4480 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4482 = alloc_Float64(2);
// compiled num node returning num4482 (depth = 9)
  int op_slot_right_4481 = gc_frame_newslot(num4482);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4481 = gc_frame_newslot(*var_depth);
  params[0] = num4482;
  partcv[0] = 1;
  Object sum4484 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4484 (depth = 8)
  gc_frame_newslot(sum4484);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4485 = gc_frame_new();
// call case 4: self request
  Object call4486 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4485);
// compiled member node returning call4486 (depth = 8)
  params[0] = sum4484;
  partcv[0] = 1;
  Object call4487 = callmethodflags(call4486, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4480);
// compiled call node returning call4487 (depth = 7)
  int op_slot_right_4479 = gc_frame_newslot(call4487);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4479 = gc_frame_newslot(*var_s);
  params[0] = call4487;
  partcv[0] = 1;
  Object opresult4489 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4489 (depth = 6)
  int op_slot_left_4476 = gc_frame_newslot(opresult4489);
  params[0] = strlit4477;
  partcv[0] = 1;
  Object opresult4490 = callmethod(opresult4489, "++(1)", 1, partcv, params);
// compiled op node returning opresult4490 (depth = 5)
  *var_s = opresult4490;
  if (opresult4490 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4454 = done;
  } else {
  }
// compiled if node returning if4454 (depth = 3)
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4493 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4494 = gc_frame_new();
// call case 4: self request
  Object call4495 = callmethodflags(self, "isBindingOccurence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4494);
// compiled member node returning call4495 (depth = 5)
  Object call4496 = callmethodflags(call4495, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4493);
// compiled member node returning call4496 (depth = 4)
  Object if4492 = done;
  if (istrue(call4496)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4498 == NULL) {
    strlit4498 = alloc_String("Applied""\x0a""");
    gc_root(strlit4498);
  }
// compiled string node returning strlit4498 (depth = 6)
  int op_slot_right_4497 = gc_frame_newslot(strlit4498);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4500 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4500 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4502 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4502 (depth = 6)
  int op_slot_left_4497 = gc_frame_newslot(opresult4502);
  params[0] = strlit4498;
  partcv[0] = 1;
  Object opresult4503 = callmethod(opresult4502, "++(1)", 1, partcv, params);
// compiled op node returning opresult4503 (depth = 5)
  *var_s = opresult4503;
  if (opresult4503 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4492 = done;
  } else {
  }
// compiled if node returning if4492 (depth = 3)
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4506 = gc_frame_new();
// call case 4: self request
  Object call4507 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4506);
// compiled member node returning call4507 (depth = 4)
  Object if4505 = done;
  if (istrue(call4507)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4509 == NULL) {
    strlit4509 = alloc_String("Fresh""\x0a""");
    gc_root(strlit4509);
  }
// compiled string node returning strlit4509 (depth = 6)
  int op_slot_right_4508 = gc_frame_newslot(strlit4509);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4511 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4511 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4513 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4513 (depth = 6)
  int op_slot_left_4508 = gc_frame_newslot(opresult4513);
  params[0] = strlit4509;
  partcv[0] = 1;
  Object opresult4514 = callmethod(opresult4513, "++(1)", 1, partcv, params);
// compiled op node returning opresult4514 (depth = 5)
  *var_s = opresult4514;
  if (opresult4514 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4505 = done;
  } else {
  }
// compiled if node returning if4505 (depth = 3)
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4517 == NULL) {
    strlit4517 = alloc_String("Signature:");
    gc_root(strlit4517);
  }
// compiled string node returning strlit4517 (depth = 5)
  int op_slot_right_4516 = gc_frame_newslot(strlit4517);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4519 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4522 == NULL) {
    strlit4522 = alloc_String("");
    gc_root(strlit4522);
  }
// compiled string node returning strlit4522 (depth = 7)
  int op_slot_right_4521 = gc_frame_newslot(strlit4522);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_4524 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit4526 == NULL) {
    strlit4526 = alloc_String("");
    gc_root(strlit4526);
  }
// compiled string node returning strlit4526 (depth = 8)
  int op_slot_left_4524 = gc_frame_newslot(strlit4526);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4527 = callmethod(strlit4526, "++(1)", 1, partcv, params);
// compiled op node returning opresult4527 (depth = 7)
  int op_slot_left_4521 = gc_frame_newslot(opresult4527);
  params[0] = strlit4522;
  partcv[0] = 1;
  Object opresult4528 = callmethod(opresult4527, "++(1)", 1, partcv, params);
// compiled op node returning opresult4528 (depth = 6)
  int op_slot_left_4519 = gc_frame_newslot(opresult4528);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4529 = callmethod(opresult4528, "++(1)", 1, partcv, params);
// compiled op node returning opresult4529 (depth = 5)
  int op_slot_left_4516 = gc_frame_newslot(opresult4529);
  params[0] = strlit4517;
  partcv[0] = 1;
  Object opresult4530 = callmethod(opresult4529, "++(1)", 1, partcv, params);
// compiled op node returning opresult4530 (depth = 4)
  *var_s = opresult4530;
  if (opresult4530 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4532 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4533 = gc_frame_new();
// call case 4: self request
  Object call4534 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4533);
// compiled member node returning call4534 (depth = 4)
  gc_frame_newslot(call4534);
// starting to compile block node (depth = 4)
  Object block4535 = alloc_Block(NULL, NULL, "ast", 1097);
  gc_frame_newslot(block4535);
// method "_apply(_)"
  block_savedest(block4535);
  Object closure4536 = createclosure(4, "_apply(1)");
  setclosureframe(closure4536, stackframe);
  addtoclosure(closure4536, var_spc);
  addtoclosure(closure4536, var_s);
  addtoclosure(closure4536, var_depth);
  addtoclosure(closure4536, selfslot);
  struct UserObject *uo4536 = (struct UserObject*)block4535;
  uo4536->data[0] = (Object)closure4536;
  Method *meth_meth_ast_4536__apply_40_1_41_ = addmethod2pos(block4535, "_apply(1)", &meth_ast_4536__apply_40_1_41_, 0);
  int argcv_meth_ast_4536__apply_40_1_41_[] = {1};
  meth_meth_ast_4536__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4536__apply_40_1_41_);
  meth_meth_ast_4536__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4536__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4535 (depth = 4)
  gc_frame_newslot(block4535);
// call case 5: prelude request
  params[0] = call4534;
  params[1] = block4535;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4615 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4532);
// compiled call node returning call4615 (depth = 3)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4617 == NULL) {
    strlit4617 = alloc_String("""\x0a""");
    gc_root(strlit4617);
  }
// compiled string node returning strlit4617 (depth = 5)
  int op_slot_right_4616 = gc_frame_newslot(strlit4617);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4616 = gc_frame_newslot(*var_s);
  params[0] = strlit4617;
  partcv[0] = 1;
  Object opresult4619 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4619 (depth = 4)
  *var_s = opresult4619;
  if (opresult4619 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4623 = gc_frame_new();
// call case 4: self request
  Object call4624 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4623);
// compiled member node returning call4624 (depth = 5)
  int op_slot_right_4622 = gc_frame_newslot(call4624);
// starting to compile identifier node (depth = 5)
  Object bool4626 = alloc_Boolean(0);
// compiled identifier node returning bool4626 (depth = 5)
  int op_slot_left_4622 = gc_frame_newslot(bool4626);
  params[0] = call4624;
  partcv[0] = 1;
  Object opresult4627 = callmethod(bool4626, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4627 (depth = 4)
  Object if4621 = done;
  if (istrue(opresult4627)) {
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4629 == NULL) {
    strlit4629 = alloc_String("Generics:");
    gc_root(strlit4629);
  }
// compiled string node returning strlit4629 (depth = 6)
  int op_slot_right_4628 = gc_frame_newslot(strlit4629);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4631 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4634 == NULL) {
    strlit4634 = alloc_String("");
    gc_root(strlit4634);
  }
// compiled string node returning strlit4634 (depth = 8)
  int op_slot_right_4633 = gc_frame_newslot(strlit4634);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_4636 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit4638 == NULL) {
    strlit4638 = alloc_String("");
    gc_root(strlit4638);
  }
// compiled string node returning strlit4638 (depth = 9)
  int op_slot_left_4636 = gc_frame_newslot(strlit4638);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4639 = callmethod(strlit4638, "++(1)", 1, partcv, params);
// compiled op node returning opresult4639 (depth = 8)
  int op_slot_left_4633 = gc_frame_newslot(opresult4639);
  params[0] = strlit4634;
  partcv[0] = 1;
  Object opresult4640 = callmethod(opresult4639, "++(1)", 1, partcv, params);
// compiled op node returning opresult4640 (depth = 7)
  int op_slot_left_4631 = gc_frame_newslot(opresult4640);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4641 = callmethod(opresult4640, "++(1)", 1, partcv, params);
// compiled op node returning opresult4641 (depth = 6)
  int op_slot_left_4628 = gc_frame_newslot(opresult4641);
  params[0] = strlit4629;
  partcv[0] = 1;
  Object opresult4642 = callmethod(opresult4641, "++(1)", 1, partcv, params);
// compiled op node returning opresult4642 (depth = 5)
  *var_s = opresult4642;
  if (opresult4642 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4644 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4645 = alloc_Block(NULL, NULL, "ast", 1107);
  gc_frame_newslot(block4645);
// method "_apply(_)"
  block_savedest(block4645);
  Object closure4646 = createclosure(3, "_apply(1)");
  setclosureframe(closure4646, stackframe);
  addtoclosure(closure4646, var_spc);
  addtoclosure(closure4646, var_s);
  addtoclosure(closure4646, selfslot);
  struct UserObject *uo4646 = (struct UserObject*)block4645;
  uo4646->data[0] = (Object)closure4646;
  Method *meth_meth_ast_4646__apply_40_1_41_ = addmethod2pos(block4645, "_apply(1)", &meth_ast_4646__apply_40_1_41_, 0);
  int argcv_meth_ast_4646__apply_40_1_41_[] = {1};
  meth_meth_ast_4646__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4646__apply_40_1_41_);
  meth_meth_ast_4646__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4646__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4645 (depth = 5)
  gc_frame_newslot(block4645);
// call case 6: other requests
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4674 = gc_frame_new();
// call case 4: self request
  Object call4675 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4674);
// compiled member node returning call4675 (depth = 5)
  params[0] = block4645;
  partcv[0] = 1;
  Object call4676 = callmethodflags(call4675, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4644);
// compiled call node returning call4676 (depth = 4)
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4678 == NULL) {
    strlit4678 = alloc_String("""\x0a""");
    gc_root(strlit4678);
  }
// compiled string node returning strlit4678 (depth = 6)
  int op_slot_right_4677 = gc_frame_newslot(strlit4678);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4677 = gc_frame_newslot(*var_s);
  params[0] = strlit4678;
  partcv[0] = 1;
  Object opresult4680 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4680 (depth = 5)
  *var_s = opresult4680;
  if (opresult4680 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4621 = done;
  } else {
  }
// compiled if node returning if4621 (depth = 3)
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4684 = alloc_Float64(0);
// compiled num node returning num4684 (depth = 5)
  int op_slot_right_4683 = gc_frame_newslot(num4684);
// starting to compile member node (depth = 5)
  int callframe4686 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4687 = gc_frame_new();
// call case 4: self request
  Object call4688 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4687);
// compiled member node returning call4688 (depth = 6)
  Object call4689 = callmethodflags(call4688, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4686);
// compiled member node returning call4689 (depth = 5)
  int op_slot_left_4683 = gc_frame_newslot(call4689);
  params[0] = num4684;
  partcv[0] = 1;
  Object opresult4690 = callmethod(call4689, ">(1)", 1, partcv, params);
// compiled op node returning opresult4690 (depth = 4)
  Object if4682 = done;
  if (istrue(opresult4690)) {
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4692 == NULL) {
    strlit4692 = alloc_String("Annotations:");
    gc_root(strlit4692);
  }
// compiled string node returning strlit4692 (depth = 6)
  int op_slot_right_4691 = gc_frame_newslot(strlit4692);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4694 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4697 == NULL) {
    strlit4697 = alloc_String("");
    gc_root(strlit4697);
  }
// compiled string node returning strlit4697 (depth = 8)
  int op_slot_right_4696 = gc_frame_newslot(strlit4697);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_4699 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit4701 == NULL) {
    strlit4701 = alloc_String("");
    gc_root(strlit4701);
  }
// compiled string node returning strlit4701 (depth = 9)
  int op_slot_left_4699 = gc_frame_newslot(strlit4701);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4702 = callmethod(strlit4701, "++(1)", 1, partcv, params);
// compiled op node returning opresult4702 (depth = 8)
  int op_slot_left_4696 = gc_frame_newslot(opresult4702);
  params[0] = strlit4697;
  partcv[0] = 1;
  Object opresult4703 = callmethod(opresult4702, "++(1)", 1, partcv, params);
// compiled op node returning opresult4703 (depth = 7)
  int op_slot_left_4694 = gc_frame_newslot(opresult4703);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4704 = callmethod(opresult4703, "++(1)", 1, partcv, params);
// compiled op node returning opresult4704 (depth = 6)
  int op_slot_left_4691 = gc_frame_newslot(opresult4704);
  params[0] = strlit4692;
  partcv[0] = 1;
  Object opresult4705 = callmethod(opresult4704, "++(1)", 1, partcv, params);
// compiled op node returning opresult4705 (depth = 5)
  *var_s = opresult4705;
  if (opresult4705 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4707 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4708 = gc_frame_new();
// call case 4: self request
  Object call4709 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4708);
// compiled member node returning call4709 (depth = 5)
  gc_frame_newslot(call4709);
// starting to compile block node (depth = 5)
  Object block4710 = alloc_Block(NULL, NULL, "ast", 1114);
  gc_frame_newslot(block4710);
// method "_apply(_)"
  block_savedest(block4710);
  Object closure4711 = createclosure(4, "_apply(1)");
  setclosureframe(closure4711, stackframe);
  addtoclosure(closure4711, var_depth);
  addtoclosure(closure4711, var_spc);
  addtoclosure(closure4711, var_s);
  addtoclosure(closure4711, selfslot);
  struct UserObject *uo4711 = (struct UserObject*)block4710;
  uo4711->data[0] = (Object)closure4711;
  Method *meth_meth_ast_4711__apply_40_1_41_ = addmethod2pos(block4710, "_apply(1)", &meth_ast_4711__apply_40_1_41_, 0);
  int argcv_meth_ast_4711__apply_40_1_41_[] = {1};
  meth_meth_ast_4711__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4711__apply_40_1_41_);
  meth_meth_ast_4711__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4711__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4710 (depth = 5)
  gc_frame_newslot(block4710);
// call case 5: prelude request
  params[0] = call4709;
  params[1] = block4710;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4742 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4707);
// compiled call node returning call4742 (depth = 4)
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4744 == NULL) {
    strlit4744 = alloc_String("""\x0a""");
    gc_root(strlit4744);
  }
// compiled string node returning strlit4744 (depth = 6)
  int op_slot_right_4743 = gc_frame_newslot(strlit4744);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4743 = gc_frame_newslot(*var_s);
  params[0] = strlit4744;
  partcv[0] = 1;
  Object opresult4746 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4746 (depth = 5)
  *var_s = opresult4746;
  if (opresult4746 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4682 = done;
  } else {
  }
// compiled if node returning if4682 (depth = 3)
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4749 == NULL) {
    strlit4749 = alloc_String("Body:");
    gc_root(strlit4749);
  }
// compiled string node returning strlit4749 (depth = 5)
  int op_slot_right_4748 = gc_frame_newslot(strlit4749);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4751 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4751 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4753 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4753 (depth = 5)
  int op_slot_left_4748 = gc_frame_newslot(opresult4753);
  params[0] = strlit4749;
  partcv[0] = 1;
  Object opresult4754 = callmethod(opresult4753, "++(1)", 1, partcv, params);
// compiled op node returning opresult4754 (depth = 4)
  *var_s = opresult4754;
  if (opresult4754 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4756 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4757 = gc_frame_new();
// call case 4: self request
  Object call4758 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4757);
// compiled member node returning call4758 (depth = 4)
  gc_frame_newslot(call4758);
// starting to compile block node (depth = 4)
  Object block4759 = alloc_Block(NULL, NULL, "ast", 1120);
  gc_frame_newslot(block4759);
// method "_apply(_)"
  block_savedest(block4759);
  Object closure4760 = createclosure(4, "_apply(1)");
  setclosureframe(closure4760, stackframe);
  addtoclosure(closure4760, var_depth);
  addtoclosure(closure4760, var_spc);
  addtoclosure(closure4760, var_s);
  addtoclosure(closure4760, selfslot);
  struct UserObject *uo4760 = (struct UserObject*)block4759;
  uo4760->data[0] = (Object)closure4760;
  Method *meth_meth_ast_4760__apply_40_1_41_ = addmethod2pos(block4759, "_apply(1)", &meth_ast_4760__apply_40_1_41_, 0);
  int argcv_meth_ast_4760__apply_40_1_41_[] = {1};
  meth_meth_ast_4760__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4760__apply_40_1_41_);
  meth_meth_ast_4760__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4760__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4759 (depth = 4)
  gc_frame_newslot(block4759);
// call case 5: prelude request
  params[0] = call4758;
  params[1] = block4759;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4779 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4756);
// compiled call node returning call4779 (depth = 3)
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4782 = gc_frame_new();
// call case 4: self request
  Object call4783 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4782);
// compiled member node returning call4783 (depth = 5)
  int op_slot_right_4781 = gc_frame_newslot(call4783);
// starting to compile identifier node (depth = 5)
  Object bool4785 = alloc_Boolean(0);
// compiled identifier node returning bool4785 (depth = 5)
  int op_slot_left_4781 = gc_frame_newslot(bool4785);
  params[0] = call4783;
  partcv[0] = 1;
  Object opresult4786 = callmethod(bool4785, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4786 (depth = 4)
  Object if4780 = done;
  if (istrue(opresult4786)) {
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4788 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4790 = alloc_Float64(2);
// compiled num node returning num4790 (depth = 8)
  int op_slot_right_4789 = gc_frame_newslot(num4790);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4789 = gc_frame_newslot(*var_depth);
  params[0] = num4790;
  partcv[0] = 1;
  Object sum4792 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4792 (depth = 7)
  gc_frame_newslot(sum4792);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4793 = gc_frame_new();
// call case 4: self request
  Object call4794 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4793);
// compiled member node returning call4794 (depth = 7)
  params[0] = sum4792;
  partcv[0] = 1;
  Object call4795 = callmethodflags(call4794, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4788);
// compiled call node returning call4795 (depth = 6)
  int op_slot_right_4787 = gc_frame_newslot(call4795);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4787 = gc_frame_newslot(*var_s);
  params[0] = call4795;
  partcv[0] = 1;
  Object opresult4797 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4797 (depth = 5)
  *var_s = opresult4797;
  if (opresult4797 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4780 = done;
  } else {
  }
// compiled if node returning if4780 (depth = 3)
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_4820__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe4822 = gc_frame_new();
// call case 4: self request
  Object call4823 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4822);
// compiled member node returning call4823 (depth = 9)
  int op_slot_right_4821 = gc_frame_newslot(call4823);
// starting to compile identifier node (depth = 9)
  Object bool4825 = alloc_Boolean(0);
// compiled identifier node returning bool4825 (depth = 9)
  int op_slot_left_4821 = gc_frame_newslot(bool4825);
  params[0] = call4823;
  partcv[0] = 1;
  Object opresult4826 = callmethod(bool4825, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4826 (depth = 8)
  gc_frame_end(frame);
  return opresult4826;
}
Object meth_ast_4864__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// definebindings:
// definebindings:
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4865 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pnr (depth = 10)
  gc_frame_newslot(*var_pnr);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4866 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  Object call4867 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4866);
// compiled member node returning call4867 (depth = 10)
  params[0] = *var_pnr;
  partcv[0] = 1;
  Object call4868 = callmethodflags(call4867, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4865);
// compiled call node returning call4868 (depth = 9)
  *var_p = call4868;
  if (call4868 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4870 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4872 = alloc_Float64(1);
// compiled num node returning num4872 (depth = 12)
  int op_slot_right_4871 = gc_frame_newslot(num4872);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4871 = gc_frame_newslot(*var_depth);
  params[0] = num4872;
  partcv[0] = 1;
  Object sum4874 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4874 (depth = 11)
  gc_frame_newslot(sum4874);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = sum4874;
  partcv[0] = 1;
  Object call4875 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4870);
// compiled call node returning call4875 (depth = 10)
  int op_slot_right_4869 = gc_frame_newslot(call4875);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_4869 = gc_frame_newslot(*var_s);
  params[0] = call4875;
  partcv[0] = 1;
  Object opresult4877 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4877 (depth = 9)
  *var_s = opresult4877;
  if (opresult4877 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe4881 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe4882 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  Object call4883 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4882);
// compiled member node returning call4883 (depth = 11)
  Object call4884 = callmethodflags(call4883, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4881);
// compiled member node returning call4884 (depth = 10)
  int op_slot_right_4880 = gc_frame_newslot(call4884);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pnr (depth = 10)
  int op_slot_left_4880 = gc_frame_newslot(*var_pnr);
  params[0] = call4884;
  partcv[0] = 1;
  Object opresult4886 = callmethod(*var_pnr, "<(1)", 1, partcv, params);
// compiled op node returning opresult4886 (depth = 9)
  Object if4879 = done;
  if (istrue(opresult4886)) {
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4888 == NULL) {
    strlit4888 = alloc_String(", ");
    gc_root(strlit4888);
  }
// compiled string node returning strlit4888 (depth = 11)
  int op_slot_right_4887 = gc_frame_newslot(strlit4888);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4887 = gc_frame_newslot(*var_s);
  params[0] = strlit4888;
  partcv[0] = 1;
  Object opresult4890 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4890 (depth = 10)
  *var_s = opresult4890;
  if (opresult4890 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if4879 = done;
  } else {
  }
// compiled if node returning if4879 (depth = 8)
  gc_frame_end(frame);
  return if4879;
}
Object meth_ast_4810__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_firstPart = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4812 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4813 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4812);
// compiled member node returning call4813 (depth = 7)
  int op_slot_right_4811 = gc_frame_newslot(call4813);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4811 = gc_frame_newslot(*var_s);
  params[0] = call4813;
  partcv[0] = 1;
  Object opresult4815 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4815 (depth = 6)
  *var_s = opresult4815;
  if (opresult4815 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block4819 = alloc_Block(NULL, NULL, "ast", 1134);
  gc_frame_newslot(block4819);
// method "_apply"
  block_savedest(block4819);
  Object closure4820 = createclosure(1, "_apply");
  setclosureframe(closure4820, stackframe);
  addtoclosure(closure4820, selfslot);
  struct UserObject *uo4820 = (struct UserObject*)block4819;
  uo4820->data[0] = (Object)closure4820;
  Method *meth_meth_ast_4820__apply = addmethod2pos(block4819, "_apply", &meth_ast_4820__apply, 0);
  int argcv_meth_ast_4820__apply[] = {0};
  meth_meth_ast_4820__apply->type = alloc_MethodType(1, argcv_meth_ast_4820__apply);
  meth_meth_ast_4820__apply->definitionModule = modulename;
  meth_meth_ast_4820__apply->definitionLine = 3216;
// compiled block node returning block4819 (depth = 7)
  int op_slot_right_4818 = gc_frame_newslot(block4819);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_firstPart (depth = 7)
  int op_slot_left_4818 = gc_frame_newslot(*var_firstPart);
  params[0] = block4819;
  partcv[0] = 1;
  Object opresult4829 = callmethod(*var_firstPart, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4829 (depth = 6)
  Object if4817 = done;
  if (istrue(opresult4829)) {
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4831 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num4833 = alloc_Float64(1);
// compiled num node returning num4833 (depth = 10)
  int op_slot_right_4832 = gc_frame_newslot(num4833);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_4832 = gc_frame_newslot(*var_depth);
  params[0] = num4833;
  partcv[0] = 1;
  Object sum4835 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4835 (depth = 9)
  gc_frame_newslot(sum4835);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4836 = gc_frame_new();
// call case 4: self request
  Object call4837 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4836);
// compiled member node returning call4837 (depth = 9)
  params[0] = sum4835;
  partcv[0] = 1;
  Object call4838 = callmethodflags(call4837, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4831);
// compiled call node returning call4838 (depth = 8)
  int op_slot_right_4830 = gc_frame_newslot(call4838);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4830 = gc_frame_newslot(*var_s);
  params[0] = call4838;
  partcv[0] = 1;
  Object opresult4840 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4840 (depth = 7)
  *var_s = opresult4840;
  if (opresult4840 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if4817 = done;
  } else {
  }
// compiled if node returning if4817 (depth = 5)
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4842 = alloc_Boolean(0);
// compiled identifier node returning bool4842 (depth = 6)
  *var_firstPart = bool4842;
  if (bool4842 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num4846 = alloc_Float64(0);
// compiled num node returning num4846 (depth = 7)
  int op_slot_right_4845 = gc_frame_newslot(num4846);
// starting to compile member node (depth = 7)
  int callframe4848 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4849 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4850 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4849);
// compiled member node returning call4850 (depth = 8)
  Object call4851 = callmethodflags(call4850, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4848);
// compiled member node returning call4851 (depth = 7)
  int op_slot_left_4845 = gc_frame_newslot(call4851);
  params[0] = num4846;
  partcv[0] = 1;
  Object opresult4852 = callmethod(call4851, ">(1)", 1, partcv, params);
// compiled op node returning opresult4852 (depth = 6)
  Object if4844 = done;
  if (istrue(opresult4852)) {
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4854 == NULL) {
    strlit4854 = alloc_String("(");
    gc_root(strlit4854);
  }
// compiled string node returning strlit4854 (depth = 8)
  int op_slot_right_4853 = gc_frame_newslot(strlit4854);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4853 = gc_frame_newslot(*var_s);
  params[0] = strlit4854;
  partcv[0] = 1;
  Object opresult4856 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4856 (depth = 7)
  *var_s = opresult4856;
  if (opresult4856 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4858 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4859 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4860 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4861 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4860);
// compiled member node returning call4861 (depth = 8)
  Object call4862 = callmethodflags(call4861, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe4859);
// compiled member node returning call4862 (depth = 7)
  gc_frame_newslot(call4862);
// starting to compile block node (depth = 7)
  Object block4863 = alloc_Block(NULL, NULL, "ast", 1140);
  gc_frame_newslot(block4863);
// method "_apply(_)"
  block_savedest(block4863);
  Object closure4864 = createclosure(4, "_apply(1)");
  setclosureframe(closure4864, stackframe);
  addtoclosure(closure4864, var_part);
  addtoclosure(closure4864, var_depth);
  addtoclosure(closure4864, var_s);
  addtoclosure(closure4864, selfslot);
  struct UserObject *uo4864 = (struct UserObject*)block4863;
  uo4864->data[0] = (Object)closure4864;
  Method *meth_meth_ast_4864__apply_40_1_41_ = addmethod2pos(block4863, "_apply(1)", &meth_ast_4864__apply_40_1_41_, 0);
  int argcv_meth_ast_4864__apply_40_1_41_[] = {1};
  meth_meth_ast_4864__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4864__apply_40_1_41_);
  meth_meth_ast_4864__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4864__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4863 (depth = 7)
  gc_frame_newslot(block4863);
// call case 5: prelude request
  params[0] = call4862;
  params[1] = block4863;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4893 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4858);
// compiled call node returning call4893 (depth = 6)
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4895 == NULL) {
    strlit4895 = alloc_String(")");
    gc_root(strlit4895);
  }
// compiled string node returning strlit4895 (depth = 8)
  int op_slot_right_4894 = gc_frame_newslot(strlit4895);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4894 = gc_frame_newslot(*var_s);
  params[0] = strlit4895;
  partcv[0] = 1;
  Object opresult4897 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4897 (depth = 7)
  *var_s = opresult4897;
  if (opresult4897 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if4844 = done;
  } else {
  }
// compiled if node returning if4844 (depth = 5)
  gc_frame_end(frame);
  return if4844;
}
Object meth_ast_4942__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4944 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4945 = alloc_Float64(0);
// compiled num node returning num4945 (depth = 10)
  gc_frame_newslot(num4945);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num4945;
  partcv[0] = 1;
  Object call4946 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4944);
// compiled call node returning call4946 (depth = 9)
  int op_slot_right_4943 = gc_frame_newslot(call4946);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4950 == NULL) {
    strlit4950 = alloc_String("");
    gc_root(strlit4950);
  }
// compiled string node returning strlit4950 (depth = 11)
  int op_slot_right_4949 = gc_frame_newslot(strlit4950);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_4949 = gc_frame_newslot(*var_a);
  params[0] = strlit4950;
  partcv[0] = 1;
  Object opresult4952 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4952 (depth = 10)
  Object if4948 = done;
struct StackFrameObject *iftmpstackframe4948 = stackframe;
  if (istrue(opresult4952)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4948);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4954 == NULL) {
    strlit4954 = alloc_String(", ");
    gc_root(strlit4954);
  }
// compiled string node returning strlit4954 (depth = 11)
  int op_slot_right_4953 = gc_frame_newslot(strlit4954);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_4953 = gc_frame_newslot(*var_a);
  params[0] = strlit4954;
  partcv[0] = 1;
  Object opresult4956 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult4956 (depth = 10)
    gc_frame_newslot(opresult4956);
    if4948 = opresult4956;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4948);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 10)
  if (strlit4957 == NULL) {
    strlit4957 = alloc_String("");
    gc_root(strlit4957);
  }
// compiled string node returning strlit4957 (depth = 10)
    gc_frame_newslot(strlit4957);
    if4948 = strlit4957;
  }
stackframe = iftmpstackframe4948;
// compiled if node returning if4948 (depth = 9)
  int op_slot_left_4943 = gc_frame_newslot(if4948);
  params[0] = call4946;
  partcv[0] = 1;
  Object opresult4958 = callmethod(if4948, "++(1)", 1, partcv, params);
// compiled op node returning opresult4958 (depth = 8)
  gc_frame_end(frame);
  return opresult4958;
}
Object meth_ast_4995__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4997 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4999 = alloc_Float64(1);
// compiled num node returning num4999 (depth = 9)
  int op_slot_right_4998 = gc_frame_newslot(num4999);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4998 = gc_frame_newslot(*var_depth);
  params[0] = num4999;
  partcv[0] = 1;
  Object sum5001 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5001 (depth = 8)
  gc_frame_newslot(sum5001);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum5001;
  partcv[0] = 1;
  Object call5002 = callmethodflags(*var_mx, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4997);
// compiled call node returning call5002 (depth = 7)
  int op_slot_right_4996 = gc_frame_newslot(call5002);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5005 == NULL) {
    strlit5005 = alloc_String("    ");
    gc_root(strlit5005);
  }
// compiled string node returning strlit5005 (depth = 8)
  int op_slot_right_5004 = gc_frame_newslot(strlit5005);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5007 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5010 == NULL) {
    strlit5010 = alloc_String("""\x0a""");
    gc_root(strlit5010);
  }
// compiled string node returning strlit5010 (depth = 10)
  int op_slot_right_5009 = gc_frame_newslot(strlit5010);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5009 = gc_frame_newslot(*var_s);
  params[0] = strlit5010;
  partcv[0] = 1;
  Object opresult5012 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5012 (depth = 9)
  int op_slot_left_5007 = gc_frame_newslot(opresult5012);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5013 = callmethod(opresult5012, "++(1)", 1, partcv, params);
// compiled op node returning opresult5013 (depth = 8)
  int op_slot_left_5004 = gc_frame_newslot(opresult5013);
  params[0] = strlit5005;
  partcv[0] = 1;
  Object opresult5014 = callmethod(opresult5013, "++(1)", 1, partcv, params);
// compiled op node returning opresult5014 (depth = 7)
  int op_slot_left_4996 = gc_frame_newslot(opresult5014);
  params[0] = call5002;
  partcv[0] = 1;
  Object opresult5015 = callmethod(opresult5014, "++(1)", 1, partcv, params);
// compiled op node returning opresult5015 (depth = 6)
  *var_s = opresult5015;
  if (opresult5015 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_4799_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_firstPart = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "firstPart");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_4800 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit4802 == NULL) {
    strlit4802 = alloc_String("    ");
    gc_root(strlit4802);
  }
// compiled string node returning strlit4802 (depth = 5)
  int op_slot_left_4800 = gc_frame_newslot(strlit4802);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod4803 = callmethod(strlit4802, "*(1)", 1, partcv, params);
// compiled op node returning prod4803 (depth = 4)
  *var_spc = prod4803;
  if (prod4803 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4804 == NULL) {
    strlit4804 = alloc_String("method ");
    gc_root(strlit4804);
  }
// compiled string node returning strlit4804 (depth = 4)
  *var_s = strlit4804;
  if (strlit4804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool4805 = alloc_Boolean(1);
// compiled identifier node returning bool4805 (depth = 4)
  *var_firstPart = bool4805;
  if (bool4805 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4806 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4807 = gc_frame_new();
// call case 4: self request
  Object call4808 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4807);
// compiled member node returning call4808 (depth = 4)
  gc_frame_newslot(call4808);
// starting to compile block node (depth = 4)
  Object block4809 = alloc_Block(NULL, NULL, "ast", 1132);
  gc_frame_newslot(block4809);
// method "_apply(_)"
  block_savedest(block4809);
  Object closure4810 = createclosure(4, "_apply(1)");
  setclosureframe(closure4810, stackframe);
  addtoclosure(closure4810, var_s);
  addtoclosure(closure4810, var_firstPart);
  addtoclosure(closure4810, var_depth);
  addtoclosure(closure4810, selfslot);
  struct UserObject *uo4810 = (struct UserObject*)block4809;
  uo4810->data[0] = (Object)closure4810;
  Method *meth_meth_ast_4810__apply_40_1_41_ = addmethod2pos(block4809, "_apply(1)", &meth_ast_4810__apply_40_1_41_, 0);
  int argcv_meth_ast_4810__apply_40_1_41_[] = {1};
  meth_meth_ast_4810__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4810__apply_40_1_41_);
  meth_meth_ast_4810__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4810__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4809 (depth = 4)
  gc_frame_newslot(block4809);
// call case 5: prelude request
  params[0] = call4808;
  params[1] = block4809;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4900 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4806);
// compiled call node returning call4900 (depth = 3)
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4903 = gc_frame_new();
// call case 4: self request
  Object call4904 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4903);
// compiled member node returning call4904 (depth = 5)
  int op_slot_right_4902 = gc_frame_newslot(call4904);
// starting to compile identifier node (depth = 5)
  Object bool4906 = alloc_Boolean(0);
// compiled identifier node returning bool4906 (depth = 5)
  int op_slot_left_4902 = gc_frame_newslot(bool4906);
  params[0] = call4904;
  partcv[0] = 1;
  Object opresult4907 = callmethod(bool4906, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4907 (depth = 4)
  Object if4901 = done;
  if (istrue(opresult4907)) {
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4910 == NULL) {
    strlit4910 = alloc_String("");
    gc_root(strlit4910);
  }
// compiled string node returning strlit4910 (depth = 7)
  int op_slot_right_4909 = gc_frame_newslot(strlit4910);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4913 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num4914 = alloc_Float64(0);
// compiled num node returning num4914 (depth = 9)
  gc_frame_newslot(num4914);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4915 = gc_frame_new();
// call case 4: self request
  Object call4916 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4915);
// compiled member node returning call4916 (depth = 9)
  params[0] = num4914;
  partcv[0] = 1;
  Object call4917 = callmethodflags(call4916, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4913);
// compiled call node returning call4917 (depth = 8)
  int op_slot_right_4912 = gc_frame_newslot(call4917);
// starting to compile string node (depth = 8)
  if (strlit4919 == NULL) {
    strlit4919 = alloc_String(" -> ");
    gc_root(strlit4919);
  }
// compiled string node returning strlit4919 (depth = 8)
  int op_slot_left_4912 = gc_frame_newslot(strlit4919);
  params[0] = call4917;
  partcv[0] = 1;
  Object opresult4920 = callmethod(strlit4919, "++(1)", 1, partcv, params);
// compiled op node returning opresult4920 (depth = 7)
  int op_slot_left_4909 = gc_frame_newslot(opresult4920);
  params[0] = strlit4910;
  partcv[0] = 1;
  Object opresult4921 = callmethod(opresult4920, "++(1)", 1, partcv, params);
// compiled op node returning opresult4921 (depth = 6)
  int op_slot_right_4908 = gc_frame_newslot(opresult4921);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4908 = gc_frame_newslot(*var_s);
  params[0] = opresult4921;
  partcv[0] = 1;
  Object opresult4923 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4923 (depth = 5)
  *var_s = opresult4923;
  if (opresult4923 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4901 = done;
  } else {
  }
// compiled if node returning if4901 (depth = 3)
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4927 = alloc_Float64(0);
// compiled num node returning num4927 (depth = 5)
  int op_slot_right_4926 = gc_frame_newslot(num4927);
// starting to compile member node (depth = 5)
  int callframe4929 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4930 = gc_frame_new();
// call case 4: self request
  Object call4931 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4930);
// compiled member node returning call4931 (depth = 6)
  Object call4932 = callmethodflags(call4931, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4929);
// compiled member node returning call4932 (depth = 5)
  int op_slot_left_4926 = gc_frame_newslot(call4932);
  params[0] = num4927;
  partcv[0] = 1;
  Object opresult4933 = callmethod(call4932, ">(1)", 1, partcv, params);
// compiled op node returning opresult4933 (depth = 4)
  Object if4925 = done;
  if (istrue(opresult4933)) {
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4935 == NULL) {
    strlit4935 = alloc_String(" is ");
    gc_root(strlit4935);
  }
// compiled string node returning strlit4935 (depth = 6)
  int op_slot_right_4934 = gc_frame_newslot(strlit4935);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4934 = gc_frame_newslot(*var_s);
  params[0] = strlit4935;
  partcv[0] = 1;
  Object opresult4937 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4937 (depth = 5)
  *var_s = opresult4937;
  if (opresult4937 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4940 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block4941 = alloc_Block(NULL, NULL, "ast", 1155);
  gc_frame_newslot(block4941);
// method "_apply(_,_)"
  block_savedest(block4941);
  Object closure4942 = createclosure(1, "_apply(2)");
  setclosureframe(closure4942, stackframe);
  addtoclosure(closure4942, selfslot);
  struct UserObject *uo4942 = (struct UserObject*)block4941;
  uo4942->data[0] = (Object)closure4942;
  Method *meth_meth_ast_4942__apply_40_2_41_ = addmethod2pos(block4941, "_apply(2)", &meth_ast_4942__apply_40_2_41_, 0);
  int argcv_meth_ast_4942__apply_40_2_41_[] = {2};
  meth_meth_ast_4942__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_4942__apply_40_2_41_);
  meth_meth_ast_4942__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_4942__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block4941 (depth = 7)
  gc_frame_newslot(block4941);
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit4960 == NULL) {
    strlit4960 = alloc_String("");
    gc_root(strlit4960);
  }
// compiled string node returning strlit4960 (depth = 7)
  gc_frame_newslot(strlit4960);
// call case 6: other requests
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4961 = gc_frame_new();
// call case 4: self request
  Object call4962 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4961);
// compiled member node returning call4962 (depth = 7)
  params[0] = block4941;
  params[1] = strlit4960;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4963 = callmethodflags(call4962, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4940);
// compiled call node returning call4963 (depth = 6)
  int op_slot_right_4939 = gc_frame_newslot(call4963);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4939 = gc_frame_newslot(*var_s);
  params[0] = call4963;
  partcv[0] = 1;
  Object opresult4965 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4965 (depth = 5)
  *var_s = opresult4965;
  if (opresult4965 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4925 = done;
  } else {
  }
// compiled if node returning if4925 (depth = 3)
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4968 == NULL) {
    strlit4968 = alloc_String(" {");
    gc_root(strlit4968);
  }
// compiled string node returning strlit4968 (depth = 5)
  int op_slot_right_4967 = gc_frame_newslot(strlit4968);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4967 = gc_frame_newslot(*var_s);
  params[0] = strlit4968;
  partcv[0] = 1;
  Object opresult4970 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4970 (depth = 4)
  *var_s = opresult4970;
  if (opresult4970 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4974 = gc_frame_new();
// call case 4: self request
  Object call4975 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4974);
// compiled member node returning call4975 (depth = 5)
  int op_slot_right_4973 = gc_frame_newslot(call4975);
// starting to compile identifier node (depth = 5)
  Object bool4977 = alloc_Boolean(0);
// compiled identifier node returning bool4977 (depth = 5)
  int op_slot_left_4973 = gc_frame_newslot(bool4977);
  params[0] = call4975;
  partcv[0] = 1;
  Object opresult4978 = callmethod(bool4977, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4978 (depth = 4)
  Object if4972 = done;
  if (istrue(opresult4978)) {
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4980 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4982 = alloc_Float64(1);
// compiled num node returning num4982 (depth = 8)
  int op_slot_right_4981 = gc_frame_newslot(num4982);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4981 = gc_frame_newslot(*var_depth);
  params[0] = num4982;
  partcv[0] = 1;
  Object sum4984 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4984 (depth = 7)
  gc_frame_newslot(sum4984);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4985 = gc_frame_new();
// call case 4: self request
  Object call4986 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4985);
// compiled member node returning call4986 (depth = 7)
  params[0] = sum4984;
  partcv[0] = 1;
  Object call4987 = callmethodflags(call4986, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4980);
// compiled call node returning call4987 (depth = 6)
  int op_slot_right_4979 = gc_frame_newslot(call4987);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4979 = gc_frame_newslot(*var_s);
  params[0] = call4987;
  partcv[0] = 1;
  Object opresult4989 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4989 (depth = 5)
  *var_s = opresult4989;
  if (opresult4989 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4972 = done;
  } else {
  }
// compiled if node returning if4972 (depth = 3)
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4991 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4992 = gc_frame_new();
// call case 4: self request
  Object call4993 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4992);
// compiled member node returning call4993 (depth = 4)
  gc_frame_newslot(call4993);
// starting to compile block node (depth = 4)
  Object block4994 = alloc_Block(NULL, NULL, "ast", 1163);
  gc_frame_newslot(block4994);
// method "_apply(_)"
  block_savedest(block4994);
  Object closure4995 = createclosure(4, "_apply(1)");
  setclosureframe(closure4995, stackframe);
  addtoclosure(closure4995, var_depth);
  addtoclosure(closure4995, var_spc);
  addtoclosure(closure4995, var_s);
  addtoclosure(closure4995, selfslot);
  struct UserObject *uo4995 = (struct UserObject*)block4994;
  uo4995->data[0] = (Object)closure4995;
  Method *meth_meth_ast_4995__apply_40_1_41_ = addmethod2pos(block4994, "_apply(1)", &meth_ast_4995__apply_40_1_41_, 0);
  int argcv_meth_ast_4995__apply_40_1_41_[] = {1};
  meth_meth_ast_4995__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4995__apply_40_1_41_);
  meth_meth_ast_4995__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4995__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block4994 (depth = 4)
  gc_frame_newslot(block4994);
// call case 5: prelude request
  params[0] = call4993;
  params[1] = block4994;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5018 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4991);
// compiled call node returning call5018 (depth = 3)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5020 == NULL) {
    strlit5020 = alloc_String("}");
    gc_root(strlit5020);
  }
// compiled string node returning strlit5020 (depth = 5)
  int op_slot_right_5019 = gc_frame_newslot(strlit5020);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5022 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5025 == NULL) {
    strlit5025 = alloc_String("""\x0a""");
    gc_root(strlit5025);
  }
// compiled string node returning strlit5025 (depth = 7)
  int op_slot_right_5024 = gc_frame_newslot(strlit5025);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5024 = gc_frame_newslot(*var_s);
  params[0] = strlit5025;
  partcv[0] = 1;
  Object opresult5027 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5027 (depth = 6)
  int op_slot_left_5022 = gc_frame_newslot(opresult5027);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5028 = callmethod(opresult5027, "++(1)", 1, partcv, params);
// compiled op node returning opresult5028 (depth = 5)
  int op_slot_left_5019 = gc_frame_newslot(opresult5028);
  params[0] = strlit5020;
  partcv[0] = 1;
  Object opresult5029 = callmethod(opresult5028, "++(1)", 1, partcv, params);
// compiled op node returning opresult5029 (depth = 4)
  *var_s = opresult5029;
  if (opresult5029 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_5031_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5032 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5033 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5034 = gc_frame_new();
// call case 4: self request
  Object call5035 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5034);
// compiled member node returning call5035 (depth = 5)
  gc_frame_newslot(call5035);
// starting to compile member node (depth = 5)
  int callframe5036 = gc_frame_new();
// call case 4: self request
  Object call5037 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5036);
// compiled member node returning call5037 (depth = 5)
  gc_frame_newslot(call5037);
// starting to compile member node (depth = 5)
  int callframe5038 = gc_frame_new();
// call case 4: self request
  Object call5039 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5038);
// compiled member node returning call5039 (depth = 5)
  gc_frame_newslot(call5039);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodNode (depth = 5)
  params[0] = call5035;
  params[1] = call5037;
  params[2] = call5039;
  partcv[0] = 3;
  Object call5040 = callmethodflags(*var_methodNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe5033);
// compiled call node returning call5040 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5041 = callmethodflags(call5040, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5032);
// compiled call node returning call5041 (depth = 3)
  gc_frame_end(frame);
  return call5041;
}
Object meth_ast_5042_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5043 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5044 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5045 = callmethodflags(*var_other, "isFresh", 0, partcv, params, 0);
  gc_frame_end(callframe5044);
// compiled member node returning call5045 (depth = 4)
  gc_frame_newslot(call5045);
// call case 4: self request
  params[0] = call5045;
  partcv[0] = 1;
  Object call5046 = callmethodflags(self, "isFresh:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5043);
// compiled call node returning call5046 (depth = 3)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5047 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5048 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5049 = callmethodflags(*var_other, "selfclosure", 0, partcv, params, 0);
  gc_frame_end(callframe5048);
// compiled member node returning call5049 (depth = 4)
  gc_frame_newslot(call5049);
// call case 4: self request
  params[0] = call5049;
  partcv[0] = 1;
  Object call5050 = callmethodflags(self, "selfclosure:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5047);
// compiled call node returning call5050 (depth = 3)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5052 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5053 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call5054 = callmethodflags(*var_other, "isBindingOccurence", 0, partcv, params, 0);
  gc_frame_end(callframe5053);
// compiled member node returning call5054 (depth = 5)
  Object call5055 = callmethodflags(call5054, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5052);
// compiled member node returning call5055 (depth = 4)
  Object if5051 = done;
  if (istrue(call5055)) {
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5056 = gc_frame_new();
// call case 4: self request
  Object call5057 = callmethodflags(self, "appliedOccurence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5056);
// compiled member node returning call5057 (depth = 4)
    gc_frame_newslot(call5057);
    if5051 = call5057;
  } else {
  }
// compiled if node returning if5051 (depth = 3)
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_3899_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3900 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3900 = alloc_userobj2(55,46, objclass3900);
  gc_frame_newslot(obj3900);
  if (objclass3900 == NULL) {
    glfree(obj3900->class->name);
    obj3900->class->name = "methodNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3900, self, 0);
  addmethodreal(obj3900,"outer", &reader_ast_outer_3901);
  Object oldself3900 = self;
  struct StackFrameObject *oldstackframe3900 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3900);
  gc_frame_newslot((Object)stackframe);
  self = obj3900;
  Object *oldselfslot3900 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3900 = (*(struct UserObject *)self).data[0], lowerouter3900 = thisouter3900;
  if (inheritingObject3900) {
    struct UserObject *inho3900 = (struct UserObject *)inheritingObject3900;
    while (inho3900->super != GraceDefaultObject) inho3900 = (struct UserObject *)inho3900->super;
    inho3900->super = obj3900;
    self = inheritingObject3900;
    *selfslot = self;
    lowerouter3900 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3900;
  }
  if (objclass3900 == NULL) {
  Method *reader3902 = addmethodrealflags(obj3900, "kind",&reader_ast_kind_3902, MFLAG_DEF);
  reader3902->definitionModule = modulename;
  reader3902->definitionLine = 925;
  }
  adddatum2(obj3900, alloc_Undefined(), 1);
  if (objclass3900 == NULL) {
    Method *reader3903 = addmethodrealflags(obj3900, "signature", &reader_ast_signature_3903, 0);
    Method *writer3903 = addmethodrealflags(obj3900, "signature:=(1)", &writer_ast_signature_3903, 0);
    reader3903->definitionModule = modulename;
    writer3903->definitionModule = modulename;
    reader3903->definitionLine = 926;
    writer3903->definitionLine = 926;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 2);
  if (objclass3900 == NULL) {
    Method *reader3904 = addmethodrealflags(obj3900, "body", &reader_ast_body_3904, 0);
    Method *writer3904 = addmethodrealflags(obj3900, "body:=(1)", &writer_ast_body_3904, 0);
    reader3904->definitionModule = modulename;
    writer3904->definitionModule = modulename;
    reader3904->definitionLine = 927;
    writer3904->definitionLine = 927;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 3);
  if (objclass3900 == NULL) {
    Method *reader3905 = addmethodrealflags(obj3900, "dtype", &reader_ast_dtype_3905, 0);
    Method *writer3905 = addmethodrealflags(obj3900, "dtype:=(1)", &writer_ast_dtype_3905, 0);
    reader3905->definitionModule = modulename;
    writer3905->definitionModule = modulename;
    reader3905->definitionLine = 928;
    writer3905->definitionLine = 928;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 4);
  if (objclass3900 == NULL) {
    Method *reader3906 = addmethodrealflags(obj3900, "typeParams", &reader_ast_typeParams_3906, 0);
    Method *writer3906 = addmethodrealflags(obj3900, "typeParams:=(1)", &writer_ast_typeParams_3906, 0);
    reader3906->definitionModule = modulename;
    writer3906->definitionModule = modulename;
    reader3906->definitionLine = 929;
    writer3906->definitionLine = 929;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 5);
  if (objclass3900 == NULL) {
    Method *reader3907 = addmethodrealflags(obj3900, "selfclosure", &reader_ast_selfclosure_3907, 0);
    Method *writer3907 = addmethodrealflags(obj3900, "selfclosure:=(1)", &writer_ast_selfclosure_3907, 0);
    reader3907->definitionModule = modulename;
    writer3907->definitionModule = modulename;
    reader3907->definitionLine = 930;
    writer3907->definitionLine = 930;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 6);
  if (objclass3900 == NULL) {
    Method *reader3908 = addmethodrealflags(obj3900, "annotations", &reader_ast_annotations_3908, 0);
    Method *writer3908 = addmethodrealflags(obj3900, "annotations:=(1)", &writer_ast_annotations_3908, 0);
    reader3908->definitionModule = modulename;
    writer3908->definitionModule = modulename;
    reader3908->definitionLine = 931;
    writer3908->definitionLine = 931;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 7);
  if (objclass3900 == NULL) {
    Method *reader3909 = addmethodrealflags(obj3900, "isFresh", &reader_ast_isFresh_3909, 0);
    Method *writer3909 = addmethodrealflags(obj3900, "isFresh:=(1)", &writer_ast_isFresh_3909, 0);
    reader3909->definitionModule = modulename;
    writer3909->definitionModule = modulename;
    reader3909->definitionLine = 932;
    writer3909->definitionLine = 932;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 8);
  if (objclass3900 == NULL) {
    Method *reader3910 = addmethodrealflags(obj3900, "usesClassSyntax", &reader_ast_usesClassSyntax_3910, 0);
    Method *writer3910 = addmethodrealflags(obj3900, "usesClassSyntax:=(1)", &writer_ast_usesClassSyntax_3910, 0);
    reader3910->definitionModule = modulename;
    writer3910->definitionModule = modulename;
    reader3910->definitionLine = 933;
    writer3910->definitionLine = 933;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 9);
  if (objclass3900 == NULL) {
    Method *reader3911 = addmethodrealflags(obj3900, "cachedIdentifier", &reader_ast_cachedIdentifier_3911, MFLAG_CONFIDENTIAL);
    Method *writer3911 = addmethodrealflags(obj3900, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_3911, MFLAG_CONFIDENTIAL);
    reader3911->definitionModule = modulename;
    writer3911->definitionModule = modulename;
    reader3911->definitionLine = 934;
    writer3911->definitionLine = 934;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 10);
  if (objclass3900 == NULL) {
    Method *reader3912 = addmethodrealflags(obj3900, "isBindingOccurence", &reader_ast_isBindingOccurence_3912, 0);
    Method *writer3912 = addmethodrealflags(obj3900, "isBindingOccurence:=(1)", &writer_ast_isBindingOccurence_3912, MFLAG_CONFIDENTIAL);
    reader3912->definitionModule = modulename;
    writer3912->definitionModule = modulename;
    reader3912->definitionLine = 935;
    writer3912->definitionLine = 935;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 11);
// method "end"
  struct UserObject *uo3913 = (struct UserObject*)obj3900;
  uo3913->data[12] = emptyclosure;
  Method *meth_meth_ast_3913_end = addmethod2pos(obj3900, "end", &meth_ast_3913_end, 12);
  int argcv_meth_ast_3913_end[] = {0};
  meth_meth_ast_3913_end->type = alloc_MethodType(1, argcv_meth_ast_3913_end);
  meth_meth_ast_3913_end->definitionModule = modulename;
  meth_meth_ast_3913_end->definitionLine = 938;
// method "ilkName"
  struct UserObject *uo3962 = (struct UserObject*)obj3900;
  uo3962->data[13] = emptyclosure;
  Method *meth_meth_ast_3962_ilkName = addmethod2pos(obj3900, "ilkName", &meth_ast_3962_ilkName, 13);
  int argcv_meth_ast_3962_ilkName[] = {0};
  meth_meth_ast_3962_ilkName->type = alloc_MethodType(1, argcv_meth_ast_3962_ilkName);
  meth_meth_ast_3962_ilkName->definitionModule = modulename;
  meth_meth_ast_3962_ilkName->definitionLine = 948;
// method "appliedOccurence"
  block_savedest(obj3900);
  Object closure3986 = createclosure(1, "appliedOccurence");
  setclosureframe(closure3986, stackframe);
  addtoclosure(closure3986, var_uninitialized);
  struct UserObject *uo3986 = (struct UserObject*)obj3900;
  uo3986->data[14] = (Object)closure3986;
  Method *meth_meth_ast_3986_appliedOccurence = addmethod2pos(obj3900, "appliedOccurence", &meth_ast_3986_appliedOccurence, 14);
  int argcv_meth_ast_3986_appliedOccurence[] = {0};
  meth_meth_ast_3986_appliedOccurence->type = alloc_MethodType(1, argcv_meth_ast_3986_appliedOccurence);
  meth_meth_ast_3986_appliedOccurence->definitionModule = modulename;
  meth_meth_ast_3986_appliedOccurence->definitionLine = 956;
// method "numParams"
  struct UserObject *uo4001 = (struct UserObject*)obj3900;
  uo4001->data[15] = emptyclosure;
  Method *meth_meth_ast_4001_numParams = addmethod2pos(obj3900, "numParams", &meth_ast_4001_numParams, 15);
  int argcv_meth_ast_4001_numParams[] = {0};
  meth_meth_ast_4001_numParams->type = alloc_MethodType(1, argcv_meth_ast_4001_numParams);
  meth_meth_ast_4001_numParams->definitionModule = modulename;
  meth_meth_ast_4001_numParams->definitionLine = 963;
// method "endPos"
  struct UserObject *uo4015 = (struct UserObject*)obj3900;
  uo4015->data[16] = emptyclosure;
  Method *meth_meth_ast_4015_endPos = addmethod2pos(obj3900, "endPos", &meth_ast_4015_endPos, 16);
  int argcv_meth_ast_4015_endPos[] = {0};
  meth_meth_ast_4015_endPos->type = alloc_MethodType(1, argcv_meth_ast_4015_endPos);
  meth_meth_ast_4015_endPos->definitionModule = modulename;
  meth_meth_ast_4015_endPos->definitionLine = 966;
// method "nameString"
  struct UserObject *uo4033 = (struct UserObject*)obj3900;
  uo4033->data[17] = emptyclosure;
  Method *meth_meth_ast_4033_nameString = addmethod2pos(obj3900, "nameString", &meth_ast_4033_nameString, 17);
  int argcv_meth_ast_4033_nameString[] = {0};
  meth_meth_ast_4033_nameString->type = alloc_MethodType(1, argcv_meth_ast_4033_nameString);
  meth_meth_ast_4033_nameString->definitionModule = modulename;
  meth_meth_ast_4033_nameString->definitionLine = 971;
// method "asIdentifier"
  block_savedest(obj3900);
  Object closure4047 = createclosure(2, "asIdentifier");
  setclosureframe(closure4047, stackframe);
  addtoclosure(closure4047, var_uninitialized);
  addtoclosure(closure4047, var_identifierNode);
  struct UserObject *uo4047 = (struct UserObject*)obj3900;
  uo4047->data[18] = (Object)closure4047;
  Method *meth_meth_ast_4047_asIdentifier = addmethod2pos(obj3900, "asIdentifier", &meth_ast_4047_asIdentifier, 18);
  int argcv_meth_ast_4047_asIdentifier[] = {0};
  meth_meth_ast_4047_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_4047_asIdentifier);
  meth_meth_ast_4047_asIdentifier->definitionModule = modulename;
  meth_meth_ast_4047_asIdentifier->definitionLine = 975;
// method "value"
  struct UserObject *uo4105 = (struct UserObject*)obj3900;
  uo4105->data[19] = emptyclosure;
  Method *meth_meth_ast_4105_value = addmethod2pos(obj3900, "value", &meth_ast_4105_value, 19);
  int argcv_meth_ast_4105_value[] = {0};
  meth_meth_ast_4105_value->type = alloc_MethodType(1, argcv_meth_ast_4105_value);
  meth_meth_ast_4105_value->definitionModule = modulename;
  meth_meth_ast_4105_value->definitionLine = 986;
// method "canonicalName"
  struct UserObject *uo4108 = (struct UserObject*)obj3900;
  uo4108->data[20] = emptyclosure;
  Method *meth_meth_ast_4108_canonicalName = addmethod2pos(obj3900, "canonicalName", &meth_ast_4108_canonicalName, 20);
  int argcv_meth_ast_4108_canonicalName[] = {0};
  meth_meth_ast_4108_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_4108_canonicalName);
  meth_meth_ast_4108_canonicalName->definitionModule = modulename;
  meth_meth_ast_4108_canonicalName->definitionLine = 987;
// method "hasParams"
  struct UserObject *uo4122 = (struct UserObject*)obj3900;
  uo4122->data[21] = emptyclosure;
  Method *meth_meth_ast_4122_hasParams = addmethod2pos(obj3900, "hasParams", &meth_ast_4122_hasParams, 21);
  int argcv_meth_ast_4122_hasParams[] = {0};
  meth_meth_ast_4122_hasParams->type = alloc_MethodType(1, argcv_meth_ast_4122_hasParams);
  meth_meth_ast_4122_hasParams->definitionModule = modulename;
  meth_meth_ast_4122_hasParams->definitionLine = 991;
// method "numParamLists"
  struct UserObject *uo4133 = (struct UserObject*)obj3900;
  uo4133->data[22] = emptyclosure;
  Method *meth_meth_ast_4133_numParamLists = addmethod2pos(obj3900, "numParamLists", &meth_ast_4133_numParamLists, 22);
  int argcv_meth_ast_4133_numParamLists[] = {0};
  meth_meth_ast_4133_numParamLists->type = alloc_MethodType(1, argcv_meth_ast_4133_numParamLists);
  meth_meth_ast_4133_numParamLists->definitionModule = modulename;
  meth_meth_ast_4133_numParamLists->definitionLine = 992;
// method "hasTypeParams"
  struct UserObject *uo4154 = (struct UserObject*)obj3900;
  uo4154->data[23] = emptyclosure;
  Method *meth_meth_ast_4154_hasTypeParams = addmethod2pos(obj3900, "hasTypeParams", &meth_ast_4154_hasTypeParams, 23);
  int argcv_meth_ast_4154_hasTypeParams[] = {0};
  meth_meth_ast_4154_hasTypeParams->type = alloc_MethodType(1, argcv_meth_ast_4154_hasTypeParams);
  meth_meth_ast_4154_hasTypeParams->definitionModule = modulename;
  meth_meth_ast_4154_hasTypeParams->definitionLine = 1000;
// method "isMethod"
  struct UserObject *uo4165 = (struct UserObject*)obj3900;
  uo4165->data[24] = emptyclosure;
  Method *meth_meth_ast_4165_isMethod = addmethod2pos(obj3900, "isMethod", &meth_ast_4165_isMethod, 24);
  int argcv_meth_ast_4165_isMethod[] = {0};
  meth_meth_ast_4165_isMethod->type = alloc_MethodType(1, argcv_meth_ast_4165_isMethod);
  meth_meth_ast_4165_isMethod->definitionModule = modulename;
  meth_meth_ast_4165_isMethod->definitionLine = 1001;
// method "isExecutable"
  struct UserObject *uo4167 = (struct UserObject*)obj3900;
  uo4167->data[25] = emptyclosure;
  Method *meth_meth_ast_4167_isExecutable = addmethod2pos(obj3900, "isExecutable", &meth_ast_4167_isExecutable, 25);
  int argcv_meth_ast_4167_isExecutable[] = {0};
  meth_meth_ast_4167_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_4167_isExecutable);
  meth_meth_ast_4167_isExecutable->definitionModule = modulename;
  meth_meth_ast_4167_isExecutable->definitionLine = 1002;
// method "isLegalInTrait"
  struct UserObject *uo4169 = (struct UserObject*)obj3900;
  uo4169->data[26] = emptyclosure;
  Method *meth_meth_ast_4169_isLegalInTrait = addmethod2pos(obj3900, "isLegalInTrait", &meth_ast_4169_isLegalInTrait, 26);
  int argcv_meth_ast_4169_isLegalInTrait[] = {0};
  meth_meth_ast_4169_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_4169_isLegalInTrait);
  meth_meth_ast_4169_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_4169_isLegalInTrait->definitionLine = 1003;
// method "isClass"
  struct UserObject *uo4171 = (struct UserObject*)obj3900;
  uo4171->data[27] = emptyclosure;
  Method *meth_meth_ast_4171_isClass = addmethod2pos(obj3900, "isClass", &meth_ast_4171_isClass, 27);
  int argcv_meth_ast_4171_isClass[] = {0};
  meth_meth_ast_4171_isClass->type = alloc_MethodType(1, argcv_meth_ast_4171_isClass);
  meth_meth_ast_4171_isClass->definitionModule = modulename;
  meth_meth_ast_4171_isClass->definitionLine = 1004;
// method "isTrait"
  struct UserObject *uo4179 = (struct UserObject*)obj3900;
  uo4179->data[28] = emptyclosure;
  Method *meth_meth_ast_4179_isTrait = addmethod2pos(obj3900, "isTrait", &meth_ast_4179_isTrait, 28);
  int argcv_meth_ast_4179_isTrait[] = {0};
  meth_meth_ast_4179_isTrait->type = alloc_MethodType(1, argcv_meth_ast_4179_isTrait);
  meth_meth_ast_4179_isTrait->definitionModule = modulename;
  meth_meth_ast_4179_isTrait->definitionLine = 1005;
// method "needsArgChecks"
  struct UserObject *uo4190 = (struct UserObject*)obj3900;
  uo4190->data[29] = emptyclosure;
  Method *meth_meth_ast_4190_needsArgChecks = addmethod2pos(obj3900, "needsArgChecks", &meth_ast_4190_needsArgChecks, 29);
  int argcv_meth_ast_4190_needsArgChecks[] = {0};
  meth_meth_ast_4190_needsArgChecks->type = alloc_MethodType(1, argcv_meth_ast_4190_needsArgChecks);
  meth_meth_ast_4190_needsArgChecks->definitionModule = modulename;
  meth_meth_ast_4190_needsArgChecks->definitionLine = 1012;
// method "scope:=(_)"
  struct UserObject *uo4228 = (struct UserObject*)obj3900;
  uo4228->data[30] = emptyclosure;
  Method *meth_meth_ast_4228_scope_58__61__40_1_41_ = addmethod2pos(obj3900, "scope:=(1)", &meth_ast_4228_scope_58__61__40_1_41_, 30);
  int argcv_meth_ast_4228_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_4228_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4228_scope_58__61__40_1_41_);
  meth_meth_ast_4228_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_4228_scope_58__61__40_1_41_->definitionLine = 1023;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3900);
  Object closure4233 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure4233, stackframe);
  addtoclosure(closure4233, var_k);
  struct UserObject *uo4233 = (struct UserObject*)obj3900;
  uo4233->data[31] = (Object)closure4233;
  Method *meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj3900, "declarationKindWithAncestors(1)", &meth_ast_4233_declarationKindWithAncestors_40_1_41_, 31);
  int argcv_meth_ast_4233_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4233_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_->definitionLine = 1029;
// method "isConfidential"
  struct UserObject *uo4236 = (struct UserObject*)obj3900;
  uo4236->data[32] = emptyclosure;
  Method *meth_meth_ast_4236_isConfidential = addmethod2pos(obj3900, "isConfidential", &meth_ast_4236_isConfidential, 32);
  int argcv_meth_ast_4236_isConfidential[] = {0};
  meth_meth_ast_4236_isConfidential->type = alloc_MethodType(1, argcv_meth_ast_4236_isConfidential);
  meth_meth_ast_4236_isConfidential->definitionModule = modulename;
  meth_meth_ast_4236_isConfidential->definitionLine = 1030;
// method "isPublic"
  struct UserObject *uo4250 = (struct UserObject*)obj3900;
  uo4250->data[33] = emptyclosure;
  Method *meth_meth_ast_4250_isPublic = addmethod2pos(obj3900, "isPublic", &meth_ast_4250_isPublic, 33);
  int argcv_meth_ast_4250_isPublic[] = {0};
  meth_meth_ast_4250_isPublic->type = alloc_MethodType(1, argcv_meth_ast_4250_isPublic);
  meth_meth_ast_4250_isPublic->definitionModule = modulename;
  meth_meth_ast_4250_isPublic->definitionLine = 1034;
// method "isWritable"
  struct UserObject *uo4255 = (struct UserObject*)obj3900;
  uo4255->data[34] = emptyclosure;
  Method *meth_meth_ast_4255_isWritable = addmethod2pos(obj3900, "isWritable", &meth_ast_4255_isWritable, 34);
  int argcv_meth_ast_4255_isWritable[] = {0};
  meth_meth_ast_4255_isWritable->type = alloc_MethodType(1, argcv_meth_ast_4255_isWritable);
  meth_meth_ast_4255_isWritable->definitionModule = modulename;
  meth_meth_ast_4255_isWritable->definitionLine = 1035;
// method "isReadable"
  struct UserObject *uo4257 = (struct UserObject*)obj3900;
  uo4257->data[35] = emptyclosure;
  Method *meth_meth_ast_4257_isReadable = addmethod2pos(obj3900, "isReadable", &meth_ast_4257_isReadable, 35);
  int argcv_meth_ast_4257_isReadable[] = {0};
  meth_meth_ast_4257_isReadable->type = alloc_MethodType(1, argcv_meth_ast_4257_isReadable);
  meth_meth_ast_4257_isReadable->definitionModule = modulename;
  meth_meth_ast_4257_isReadable->definitionLine = 1036;
// method "usesAsType(_)"
  struct UserObject *uo4260 = (struct UserObject*)obj3900;
  uo4260->data[36] = emptyclosure;
  Method *meth_meth_ast_4260_usesAsType_40_1_41_ = addmethod2pos(obj3900, "usesAsType(1)", &meth_ast_4260_usesAsType_40_1_41_, 36);
  int argcv_meth_ast_4260_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_4260_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4260_usesAsType_40_1_41_);
  meth_meth_ast_4260_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4260_usesAsType_40_1_41_->definitionLine = 1037;
// method "returnsObject"
  struct UserObject *uo4266 = (struct UserObject*)obj3900;
  uo4266->data[37] = emptyclosure;
  Method *meth_meth_ast_4266_returnsObject = addmethod2pos(obj3900, "returnsObject", &meth_ast_4266_returnsObject, 37);
  int argcv_meth_ast_4266_returnsObject[] = {0};
  meth_meth_ast_4266_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_4266_returnsObject);
  meth_meth_ast_4266_returnsObject->definitionModule = modulename;
  meth_meth_ast_4266_returnsObject->definitionLine = 1040;
// method "returnedObjectScope"
  struct UserObject *uo4285 = (struct UserObject*)obj3900;
  uo4285->data[38] = emptyclosure;
  Method *meth_meth_ast_4285_returnedObjectScope = addmethod2pos(obj3900, "returnedObjectScope", &meth_ast_4285_returnedObjectScope, 38);
  int argcv_meth_ast_4285_returnedObjectScope[] = {0};
  meth_meth_ast_4285_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_4285_returnedObjectScope);
  meth_meth_ast_4285_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_4285_returnedObjectScope->definitionLine = 1043;
// method "resultExpression"
  struct UserObject *uo4292 = (struct UserObject*)obj3900;
  uo4292->data[39] = emptyclosure;
  Method *meth_meth_ast_4292_resultExpression = addmethod2pos(obj3900, "resultExpression", &meth_ast_4292_resultExpression, 39);
  int argcv_meth_ast_4292_resultExpression[] = {0};
  meth_meth_ast_4292_resultExpression->type = alloc_MethodType(1, argcv_meth_ast_4292_resultExpression);
  meth_meth_ast_4292_resultExpression->definitionModule = modulename;
  meth_meth_ast_4292_resultExpression->definitionLine = 1047;
// method "accept(_)from(_)"
  struct UserObject *uo4313 = (struct UserObject*)obj3900;
  uo4313->data[40] = emptyclosure;
  Method *meth_meth_ast_4313_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj3900, "accept(1)from(1)", &meth_ast_4313_accept_40_1_41_from_40_1_41_, 40);
  int argcv_meth_ast_4313_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_4313_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_4313_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_4313_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4313_accept_40_1_41_from_40_1_41_->definitionLine = 1053;
// method "map(_)ancestors(_)"
  struct UserObject *uo4379 = (struct UserObject*)obj3900;
  uo4379->data[41] = emptyclosure;
  Method *meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj3900, "map(1)ancestors(1)", &meth_ast_4379_map_40_1_41_ancestors_40_1_41_, 41);
  int argcv_meth_ast_4379_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_4379_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_->definitionLine = 1076;
// method "pretty(_)"
  struct UserObject *uo4416 = (struct UserObject*)obj3900;
  uo4416->data[42] = emptyclosure;
  Method *meth_meth_ast_4416_pretty_40_1_41_ = addmethod2pos(obj3900, "pretty(1)", &meth_ast_4416_pretty_40_1_41_, 42);
  int argcv_meth_ast_4416_pretty_40_1_41_[] = {1};
  meth_meth_ast_4416_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4416_pretty_40_1_41_);
  meth_meth_ast_4416_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4416_pretty_40_1_41_->definitionLine = 1086;
// method "toGrace(_)"
  struct UserObject *uo4799 = (struct UserObject*)obj3900;
  uo4799->data[43] = emptyclosure;
  Method *meth_meth_ast_4799_toGrace_40_1_41_ = addmethod2pos(obj3900, "toGrace(1)", &meth_ast_4799_toGrace_40_1_41_, 43);
  int argcv_meth_ast_4799_toGrace_40_1_41_[] = {1};
  meth_meth_ast_4799_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4799_toGrace_40_1_41_);
meth_meth_ast_4799_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_4799_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_4799_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4799_toGrace_40_1_41_->definitionLine = 1128;
// method "shallowCopy"
  block_savedest(obj3900);
  Object closure5031 = createclosure(1, "shallowCopy");
  setclosureframe(closure5031, stackframe);
  addtoclosure(closure5031, var_methodNode);
  struct UserObject *uo5031 = (struct UserObject*)obj3900;
  uo5031->data[44] = (Object)closure5031;
  Method *meth_meth_ast_5031_shallowCopy = addmethod2pos(obj3900, "shallowCopy", &meth_ast_5031_shallowCopy, 44);
  int argcv_meth_ast_5031_shallowCopy[] = {0};
  meth_meth_ast_5031_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_5031_shallowCopy);
  meth_meth_ast_5031_shallowCopy->definitionModule = modulename;
  meth_meth_ast_5031_shallowCopy->definitionLine = 1169;
// method "postCopy(_)"
  struct UserObject *uo5042 = (struct UserObject*)obj3900;
  uo5042->data[45] = emptyclosure;
  Method *meth_meth_ast_5042_postCopy_40_1_41_ = addmethod2pos(obj3900, "postCopy(1)", &meth_ast_5042_postCopy_40_1_41_, 45);
  int argcv_meth_ast_5042_postCopy_40_1_41_[] = {1};
  meth_meth_ast_5042_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5042_postCopy_40_1_41_);
  meth_meth_ast_5042_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5042_postCopy_40_1_41_->definitionLine = 1172;
  sourceObject = obj3900;
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5058 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5059 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5058);
// compiled call node returning call5059 (depth = 3)
  struct UserObject *obj3900_uo = (struct UserObject *)obj3900;
  obj3900_uo->super = call5059;
  sourceObject = obj3900;
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5060 == NULL) {
    strlit5060 = alloc_String("method");
    gc_root(strlit5060);
  }
// compiled string node returning strlit5060 (depth = 3)
  adddatum2(obj3900, strlit5060, 1);
  sourceObject = obj3900;
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj3900, *var_signature_39_, 2);
  sourceObject = obj3900;
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj3900, *var_body_39_, 3);
  sourceObject = obj3900;
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj3900, *var_dtype_39_, 4);
  sourceObject = obj3900;
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5061 = alloc_Boolean(0);
// compiled identifier node returning bool5061 (depth = 3)
  adddatum2(obj3900, bool5061, 5);
  sourceObject = obj3900;
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5062 = alloc_Boolean(0);
// compiled identifier node returning bool5062 (depth = 3)
  adddatum2(obj3900, bool5062, 6);
  sourceObject = obj3900;
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5063 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5063 (depth = 3)
  adddatum2(obj3900, array5063, 7);
  sourceObject = obj3900;
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5064 = alloc_Boolean(0);
// compiled identifier node returning bool5064 (depth = 3)
  adddatum2(obj3900, bool5064, 8);
  sourceObject = obj3900;
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5065 = alloc_Boolean(0);
// compiled identifier node returning bool5065 (depth = 3)
  adddatum2(obj3900, bool5065, 9);
  sourceObject = obj3900;
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj3900, *var_uninitialized, 10);
  sourceObject = obj3900;
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5066 = alloc_Boolean(1);
// compiled identifier node returning bool5066 (depth = 3)
  adddatum2(obj3900, bool5066, 11);
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  objclass3900 = obj3900->class;
  objclass3900->definitionModule = modulename;
  objclass3900->definitionLine = 917;
  (*(struct UserObject *)self).data[0] = lowerouter3900;
  self = oldself3900;
  selfslot = oldselfslot3900;
  stackframe = oldstackframe3900;
  gc_frame_end(frame);
  return obj3900;
}
Object meth_ast_3899_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3900 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3900 = alloc_userobj2(55,46, objclass3900);
  gc_frame_newslot(obj3900);
  if (objclass3900 == NULL) {
    glfree(obj3900->class->name);
    obj3900->class->name = "methodNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3900, self, 0);
  addmethodreal(obj3900,"outer", &reader_ast_outer_3901);
  Object oldself3900 = self;
  struct StackFrameObject *oldstackframe3900 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3900);
  gc_frame_newslot((Object)stackframe);
  self = obj3900;
  Object *oldselfslot3900 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3900 = (*(struct UserObject *)self).data[0], lowerouter3900 = thisouter3900;
  if (inheritingObject3900) {
    struct UserObject *inho3900 = (struct UserObject *)inheritingObject3900;
    while (inho3900->super != GraceDefaultObject) inho3900 = (struct UserObject *)inho3900->super;
    inho3900->super = obj3900;
    self = inheritingObject3900;
    *selfslot = self;
    lowerouter3900 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3900;
  }
  if (objclass3900 == NULL) {
  Method *reader3902 = addmethodrealflags(obj3900, "kind",&reader_ast_kind_3902, MFLAG_DEF);
  reader3902->definitionModule = modulename;
  reader3902->definitionLine = 925;
  }
  adddatum2(obj3900, alloc_Undefined(), 1);
  if (objclass3900 == NULL) {
    Method *reader3903 = addmethodrealflags(obj3900, "signature", &reader_ast_signature_3903, 0);
    Method *writer3903 = addmethodrealflags(obj3900, "signature:=(1)", &writer_ast_signature_3903, 0);
    reader3903->definitionModule = modulename;
    writer3903->definitionModule = modulename;
    reader3903->definitionLine = 926;
    writer3903->definitionLine = 926;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 2);
  if (objclass3900 == NULL) {
    Method *reader3904 = addmethodrealflags(obj3900, "body", &reader_ast_body_3904, 0);
    Method *writer3904 = addmethodrealflags(obj3900, "body:=(1)", &writer_ast_body_3904, 0);
    reader3904->definitionModule = modulename;
    writer3904->definitionModule = modulename;
    reader3904->definitionLine = 927;
    writer3904->definitionLine = 927;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 3);
  if (objclass3900 == NULL) {
    Method *reader3905 = addmethodrealflags(obj3900, "dtype", &reader_ast_dtype_3905, 0);
    Method *writer3905 = addmethodrealflags(obj3900, "dtype:=(1)", &writer_ast_dtype_3905, 0);
    reader3905->definitionModule = modulename;
    writer3905->definitionModule = modulename;
    reader3905->definitionLine = 928;
    writer3905->definitionLine = 928;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 4);
  if (objclass3900 == NULL) {
    Method *reader3906 = addmethodrealflags(obj3900, "typeParams", &reader_ast_typeParams_3906, 0);
    Method *writer3906 = addmethodrealflags(obj3900, "typeParams:=(1)", &writer_ast_typeParams_3906, 0);
    reader3906->definitionModule = modulename;
    writer3906->definitionModule = modulename;
    reader3906->definitionLine = 929;
    writer3906->definitionLine = 929;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 5);
  if (objclass3900 == NULL) {
    Method *reader3907 = addmethodrealflags(obj3900, "selfclosure", &reader_ast_selfclosure_3907, 0);
    Method *writer3907 = addmethodrealflags(obj3900, "selfclosure:=(1)", &writer_ast_selfclosure_3907, 0);
    reader3907->definitionModule = modulename;
    writer3907->definitionModule = modulename;
    reader3907->definitionLine = 930;
    writer3907->definitionLine = 930;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 6);
  if (objclass3900 == NULL) {
    Method *reader3908 = addmethodrealflags(obj3900, "annotations", &reader_ast_annotations_3908, 0);
    Method *writer3908 = addmethodrealflags(obj3900, "annotations:=(1)", &writer_ast_annotations_3908, 0);
    reader3908->definitionModule = modulename;
    writer3908->definitionModule = modulename;
    reader3908->definitionLine = 931;
    writer3908->definitionLine = 931;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 7);
  if (objclass3900 == NULL) {
    Method *reader3909 = addmethodrealflags(obj3900, "isFresh", &reader_ast_isFresh_3909, 0);
    Method *writer3909 = addmethodrealflags(obj3900, "isFresh:=(1)", &writer_ast_isFresh_3909, 0);
    reader3909->definitionModule = modulename;
    writer3909->definitionModule = modulename;
    reader3909->definitionLine = 932;
    writer3909->definitionLine = 932;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 8);
  if (objclass3900 == NULL) {
    Method *reader3910 = addmethodrealflags(obj3900, "usesClassSyntax", &reader_ast_usesClassSyntax_3910, 0);
    Method *writer3910 = addmethodrealflags(obj3900, "usesClassSyntax:=(1)", &writer_ast_usesClassSyntax_3910, 0);
    reader3910->definitionModule = modulename;
    writer3910->definitionModule = modulename;
    reader3910->definitionLine = 933;
    writer3910->definitionLine = 933;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 9);
  if (objclass3900 == NULL) {
    Method *reader3911 = addmethodrealflags(obj3900, "cachedIdentifier", &reader_ast_cachedIdentifier_3911, MFLAG_CONFIDENTIAL);
    Method *writer3911 = addmethodrealflags(obj3900, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_3911, MFLAG_CONFIDENTIAL);
    reader3911->definitionModule = modulename;
    writer3911->definitionModule = modulename;
    reader3911->definitionLine = 934;
    writer3911->definitionLine = 934;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 10);
  if (objclass3900 == NULL) {
    Method *reader3912 = addmethodrealflags(obj3900, "isBindingOccurence", &reader_ast_isBindingOccurence_3912, 0);
    Method *writer3912 = addmethodrealflags(obj3900, "isBindingOccurence:=(1)", &writer_ast_isBindingOccurence_3912, MFLAG_CONFIDENTIAL);
    reader3912->definitionModule = modulename;
    writer3912->definitionModule = modulename;
    reader3912->definitionLine = 935;
    writer3912->definitionLine = 935;
  }
  obj3900->flags |= OFLAG_MUTABLE;
  adddatum2(obj3900, alloc_Undefined(), 11);
// method "end"
  struct UserObject *uo3913 = (struct UserObject*)obj3900;
  uo3913->data[12] = emptyclosure;
  Method *meth_meth_ast_3913_end = addmethod2pos(obj3900, "end", &meth_ast_3913_end, 12);
  int argcv_meth_ast_3913_end[] = {0};
  meth_meth_ast_3913_end->type = alloc_MethodType(1, argcv_meth_ast_3913_end);
  meth_meth_ast_3913_end->definitionModule = modulename;
  meth_meth_ast_3913_end->definitionLine = 938;
// method "ilkName"
  struct UserObject *uo3962 = (struct UserObject*)obj3900;
  uo3962->data[13] = emptyclosure;
  Method *meth_meth_ast_3962_ilkName = addmethod2pos(obj3900, "ilkName", &meth_ast_3962_ilkName, 13);
  int argcv_meth_ast_3962_ilkName[] = {0};
  meth_meth_ast_3962_ilkName->type = alloc_MethodType(1, argcv_meth_ast_3962_ilkName);
  meth_meth_ast_3962_ilkName->definitionModule = modulename;
  meth_meth_ast_3962_ilkName->definitionLine = 948;
// method "appliedOccurence"
  block_savedest(obj3900);
  Object closure3986 = createclosure(1, "appliedOccurence");
  setclosureframe(closure3986, stackframe);
  addtoclosure(closure3986, var_uninitialized);
  struct UserObject *uo3986 = (struct UserObject*)obj3900;
  uo3986->data[14] = (Object)closure3986;
  Method *meth_meth_ast_3986_appliedOccurence = addmethod2pos(obj3900, "appliedOccurence", &meth_ast_3986_appliedOccurence, 14);
  int argcv_meth_ast_3986_appliedOccurence[] = {0};
  meth_meth_ast_3986_appliedOccurence->type = alloc_MethodType(1, argcv_meth_ast_3986_appliedOccurence);
  meth_meth_ast_3986_appliedOccurence->definitionModule = modulename;
  meth_meth_ast_3986_appliedOccurence->definitionLine = 956;
// method "numParams"
  struct UserObject *uo4001 = (struct UserObject*)obj3900;
  uo4001->data[15] = emptyclosure;
  Method *meth_meth_ast_4001_numParams = addmethod2pos(obj3900, "numParams", &meth_ast_4001_numParams, 15);
  int argcv_meth_ast_4001_numParams[] = {0};
  meth_meth_ast_4001_numParams->type = alloc_MethodType(1, argcv_meth_ast_4001_numParams);
  meth_meth_ast_4001_numParams->definitionModule = modulename;
  meth_meth_ast_4001_numParams->definitionLine = 963;
// method "endPos"
  struct UserObject *uo4015 = (struct UserObject*)obj3900;
  uo4015->data[16] = emptyclosure;
  Method *meth_meth_ast_4015_endPos = addmethod2pos(obj3900, "endPos", &meth_ast_4015_endPos, 16);
  int argcv_meth_ast_4015_endPos[] = {0};
  meth_meth_ast_4015_endPos->type = alloc_MethodType(1, argcv_meth_ast_4015_endPos);
  meth_meth_ast_4015_endPos->definitionModule = modulename;
  meth_meth_ast_4015_endPos->definitionLine = 966;
// method "nameString"
  struct UserObject *uo4033 = (struct UserObject*)obj3900;
  uo4033->data[17] = emptyclosure;
  Method *meth_meth_ast_4033_nameString = addmethod2pos(obj3900, "nameString", &meth_ast_4033_nameString, 17);
  int argcv_meth_ast_4033_nameString[] = {0};
  meth_meth_ast_4033_nameString->type = alloc_MethodType(1, argcv_meth_ast_4033_nameString);
  meth_meth_ast_4033_nameString->definitionModule = modulename;
  meth_meth_ast_4033_nameString->definitionLine = 971;
// method "asIdentifier"
  block_savedest(obj3900);
  Object closure4047 = createclosure(2, "asIdentifier");
  setclosureframe(closure4047, stackframe);
  addtoclosure(closure4047, var_uninitialized);
  addtoclosure(closure4047, var_identifierNode);
  struct UserObject *uo4047 = (struct UserObject*)obj3900;
  uo4047->data[18] = (Object)closure4047;
  Method *meth_meth_ast_4047_asIdentifier = addmethod2pos(obj3900, "asIdentifier", &meth_ast_4047_asIdentifier, 18);
  int argcv_meth_ast_4047_asIdentifier[] = {0};
  meth_meth_ast_4047_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_4047_asIdentifier);
  meth_meth_ast_4047_asIdentifier->definitionModule = modulename;
  meth_meth_ast_4047_asIdentifier->definitionLine = 975;
// method "value"
  struct UserObject *uo4105 = (struct UserObject*)obj3900;
  uo4105->data[19] = emptyclosure;
  Method *meth_meth_ast_4105_value = addmethod2pos(obj3900, "value", &meth_ast_4105_value, 19);
  int argcv_meth_ast_4105_value[] = {0};
  meth_meth_ast_4105_value->type = alloc_MethodType(1, argcv_meth_ast_4105_value);
  meth_meth_ast_4105_value->definitionModule = modulename;
  meth_meth_ast_4105_value->definitionLine = 986;
// method "canonicalName"
  struct UserObject *uo4108 = (struct UserObject*)obj3900;
  uo4108->data[20] = emptyclosure;
  Method *meth_meth_ast_4108_canonicalName = addmethod2pos(obj3900, "canonicalName", &meth_ast_4108_canonicalName, 20);
  int argcv_meth_ast_4108_canonicalName[] = {0};
  meth_meth_ast_4108_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_4108_canonicalName);
  meth_meth_ast_4108_canonicalName->definitionModule = modulename;
  meth_meth_ast_4108_canonicalName->definitionLine = 987;
// method "hasParams"
  struct UserObject *uo4122 = (struct UserObject*)obj3900;
  uo4122->data[21] = emptyclosure;
  Method *meth_meth_ast_4122_hasParams = addmethod2pos(obj3900, "hasParams", &meth_ast_4122_hasParams, 21);
  int argcv_meth_ast_4122_hasParams[] = {0};
  meth_meth_ast_4122_hasParams->type = alloc_MethodType(1, argcv_meth_ast_4122_hasParams);
  meth_meth_ast_4122_hasParams->definitionModule = modulename;
  meth_meth_ast_4122_hasParams->definitionLine = 991;
// method "numParamLists"
  struct UserObject *uo4133 = (struct UserObject*)obj3900;
  uo4133->data[22] = emptyclosure;
  Method *meth_meth_ast_4133_numParamLists = addmethod2pos(obj3900, "numParamLists", &meth_ast_4133_numParamLists, 22);
  int argcv_meth_ast_4133_numParamLists[] = {0};
  meth_meth_ast_4133_numParamLists->type = alloc_MethodType(1, argcv_meth_ast_4133_numParamLists);
  meth_meth_ast_4133_numParamLists->definitionModule = modulename;
  meth_meth_ast_4133_numParamLists->definitionLine = 992;
// method "hasTypeParams"
  struct UserObject *uo4154 = (struct UserObject*)obj3900;
  uo4154->data[23] = emptyclosure;
  Method *meth_meth_ast_4154_hasTypeParams = addmethod2pos(obj3900, "hasTypeParams", &meth_ast_4154_hasTypeParams, 23);
  int argcv_meth_ast_4154_hasTypeParams[] = {0};
  meth_meth_ast_4154_hasTypeParams->type = alloc_MethodType(1, argcv_meth_ast_4154_hasTypeParams);
  meth_meth_ast_4154_hasTypeParams->definitionModule = modulename;
  meth_meth_ast_4154_hasTypeParams->definitionLine = 1000;
// method "isMethod"
  struct UserObject *uo4165 = (struct UserObject*)obj3900;
  uo4165->data[24] = emptyclosure;
  Method *meth_meth_ast_4165_isMethod = addmethod2pos(obj3900, "isMethod", &meth_ast_4165_isMethod, 24);
  int argcv_meth_ast_4165_isMethod[] = {0};
  meth_meth_ast_4165_isMethod->type = alloc_MethodType(1, argcv_meth_ast_4165_isMethod);
  meth_meth_ast_4165_isMethod->definitionModule = modulename;
  meth_meth_ast_4165_isMethod->definitionLine = 1001;
// method "isExecutable"
  struct UserObject *uo4167 = (struct UserObject*)obj3900;
  uo4167->data[25] = emptyclosure;
  Method *meth_meth_ast_4167_isExecutable = addmethod2pos(obj3900, "isExecutable", &meth_ast_4167_isExecutable, 25);
  int argcv_meth_ast_4167_isExecutable[] = {0};
  meth_meth_ast_4167_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_4167_isExecutable);
  meth_meth_ast_4167_isExecutable->definitionModule = modulename;
  meth_meth_ast_4167_isExecutable->definitionLine = 1002;
// method "isLegalInTrait"
  struct UserObject *uo4169 = (struct UserObject*)obj3900;
  uo4169->data[26] = emptyclosure;
  Method *meth_meth_ast_4169_isLegalInTrait = addmethod2pos(obj3900, "isLegalInTrait", &meth_ast_4169_isLegalInTrait, 26);
  int argcv_meth_ast_4169_isLegalInTrait[] = {0};
  meth_meth_ast_4169_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_4169_isLegalInTrait);
  meth_meth_ast_4169_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_4169_isLegalInTrait->definitionLine = 1003;
// method "isClass"
  struct UserObject *uo4171 = (struct UserObject*)obj3900;
  uo4171->data[27] = emptyclosure;
  Method *meth_meth_ast_4171_isClass = addmethod2pos(obj3900, "isClass", &meth_ast_4171_isClass, 27);
  int argcv_meth_ast_4171_isClass[] = {0};
  meth_meth_ast_4171_isClass->type = alloc_MethodType(1, argcv_meth_ast_4171_isClass);
  meth_meth_ast_4171_isClass->definitionModule = modulename;
  meth_meth_ast_4171_isClass->definitionLine = 1004;
// method "isTrait"
  struct UserObject *uo4179 = (struct UserObject*)obj3900;
  uo4179->data[28] = emptyclosure;
  Method *meth_meth_ast_4179_isTrait = addmethod2pos(obj3900, "isTrait", &meth_ast_4179_isTrait, 28);
  int argcv_meth_ast_4179_isTrait[] = {0};
  meth_meth_ast_4179_isTrait->type = alloc_MethodType(1, argcv_meth_ast_4179_isTrait);
  meth_meth_ast_4179_isTrait->definitionModule = modulename;
  meth_meth_ast_4179_isTrait->definitionLine = 1005;
// method "needsArgChecks"
  struct UserObject *uo4190 = (struct UserObject*)obj3900;
  uo4190->data[29] = emptyclosure;
  Method *meth_meth_ast_4190_needsArgChecks = addmethod2pos(obj3900, "needsArgChecks", &meth_ast_4190_needsArgChecks, 29);
  int argcv_meth_ast_4190_needsArgChecks[] = {0};
  meth_meth_ast_4190_needsArgChecks->type = alloc_MethodType(1, argcv_meth_ast_4190_needsArgChecks);
  meth_meth_ast_4190_needsArgChecks->definitionModule = modulename;
  meth_meth_ast_4190_needsArgChecks->definitionLine = 1012;
// method "scope:=(_)"
  struct UserObject *uo4228 = (struct UserObject*)obj3900;
  uo4228->data[30] = emptyclosure;
  Method *meth_meth_ast_4228_scope_58__61__40_1_41_ = addmethod2pos(obj3900, "scope:=(1)", &meth_ast_4228_scope_58__61__40_1_41_, 30);
  int argcv_meth_ast_4228_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_4228_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4228_scope_58__61__40_1_41_);
  meth_meth_ast_4228_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_4228_scope_58__61__40_1_41_->definitionLine = 1023;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3900);
  Object closure4233 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure4233, stackframe);
  addtoclosure(closure4233, var_k);
  struct UserObject *uo4233 = (struct UserObject*)obj3900;
  uo4233->data[31] = (Object)closure4233;
  Method *meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj3900, "declarationKindWithAncestors(1)", &meth_ast_4233_declarationKindWithAncestors_40_1_41_, 31);
  int argcv_meth_ast_4233_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4233_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4233_declarationKindWithAncestors_40_1_41_->definitionLine = 1029;
// method "isConfidential"
  struct UserObject *uo4236 = (struct UserObject*)obj3900;
  uo4236->data[32] = emptyclosure;
  Method *meth_meth_ast_4236_isConfidential = addmethod2pos(obj3900, "isConfidential", &meth_ast_4236_isConfidential, 32);
  int argcv_meth_ast_4236_isConfidential[] = {0};
  meth_meth_ast_4236_isConfidential->type = alloc_MethodType(1, argcv_meth_ast_4236_isConfidential);
  meth_meth_ast_4236_isConfidential->definitionModule = modulename;
  meth_meth_ast_4236_isConfidential->definitionLine = 1030;
// method "isPublic"
  struct UserObject *uo4250 = (struct UserObject*)obj3900;
  uo4250->data[33] = emptyclosure;
  Method *meth_meth_ast_4250_isPublic = addmethod2pos(obj3900, "isPublic", &meth_ast_4250_isPublic, 33);
  int argcv_meth_ast_4250_isPublic[] = {0};
  meth_meth_ast_4250_isPublic->type = alloc_MethodType(1, argcv_meth_ast_4250_isPublic);
  meth_meth_ast_4250_isPublic->definitionModule = modulename;
  meth_meth_ast_4250_isPublic->definitionLine = 1034;
// method "isWritable"
  struct UserObject *uo4255 = (struct UserObject*)obj3900;
  uo4255->data[34] = emptyclosure;
  Method *meth_meth_ast_4255_isWritable = addmethod2pos(obj3900, "isWritable", &meth_ast_4255_isWritable, 34);
  int argcv_meth_ast_4255_isWritable[] = {0};
  meth_meth_ast_4255_isWritable->type = alloc_MethodType(1, argcv_meth_ast_4255_isWritable);
  meth_meth_ast_4255_isWritable->definitionModule = modulename;
  meth_meth_ast_4255_isWritable->definitionLine = 1035;
// method "isReadable"
  struct UserObject *uo4257 = (struct UserObject*)obj3900;
  uo4257->data[35] = emptyclosure;
  Method *meth_meth_ast_4257_isReadable = addmethod2pos(obj3900, "isReadable", &meth_ast_4257_isReadable, 35);
  int argcv_meth_ast_4257_isReadable[] = {0};
  meth_meth_ast_4257_isReadable->type = alloc_MethodType(1, argcv_meth_ast_4257_isReadable);
  meth_meth_ast_4257_isReadable->definitionModule = modulename;
  meth_meth_ast_4257_isReadable->definitionLine = 1036;
// method "usesAsType(_)"
  struct UserObject *uo4260 = (struct UserObject*)obj3900;
  uo4260->data[36] = emptyclosure;
  Method *meth_meth_ast_4260_usesAsType_40_1_41_ = addmethod2pos(obj3900, "usesAsType(1)", &meth_ast_4260_usesAsType_40_1_41_, 36);
  int argcv_meth_ast_4260_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_4260_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4260_usesAsType_40_1_41_);
  meth_meth_ast_4260_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4260_usesAsType_40_1_41_->definitionLine = 1037;
// method "returnsObject"
  struct UserObject *uo4266 = (struct UserObject*)obj3900;
  uo4266->data[37] = emptyclosure;
  Method *meth_meth_ast_4266_returnsObject = addmethod2pos(obj3900, "returnsObject", &meth_ast_4266_returnsObject, 37);
  int argcv_meth_ast_4266_returnsObject[] = {0};
  meth_meth_ast_4266_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_4266_returnsObject);
  meth_meth_ast_4266_returnsObject->definitionModule = modulename;
  meth_meth_ast_4266_returnsObject->definitionLine = 1040;
// method "returnedObjectScope"
  struct UserObject *uo4285 = (struct UserObject*)obj3900;
  uo4285->data[38] = emptyclosure;
  Method *meth_meth_ast_4285_returnedObjectScope = addmethod2pos(obj3900, "returnedObjectScope", &meth_ast_4285_returnedObjectScope, 38);
  int argcv_meth_ast_4285_returnedObjectScope[] = {0};
  meth_meth_ast_4285_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_4285_returnedObjectScope);
  meth_meth_ast_4285_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_4285_returnedObjectScope->definitionLine = 1043;
// method "resultExpression"
  struct UserObject *uo4292 = (struct UserObject*)obj3900;
  uo4292->data[39] = emptyclosure;
  Method *meth_meth_ast_4292_resultExpression = addmethod2pos(obj3900, "resultExpression", &meth_ast_4292_resultExpression, 39);
  int argcv_meth_ast_4292_resultExpression[] = {0};
  meth_meth_ast_4292_resultExpression->type = alloc_MethodType(1, argcv_meth_ast_4292_resultExpression);
  meth_meth_ast_4292_resultExpression->definitionModule = modulename;
  meth_meth_ast_4292_resultExpression->definitionLine = 1047;
// method "accept(_)from(_)"
  struct UserObject *uo4313 = (struct UserObject*)obj3900;
  uo4313->data[40] = emptyclosure;
  Method *meth_meth_ast_4313_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj3900, "accept(1)from(1)", &meth_ast_4313_accept_40_1_41_from_40_1_41_, 40);
  int argcv_meth_ast_4313_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_4313_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_4313_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_4313_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4313_accept_40_1_41_from_40_1_41_->definitionLine = 1053;
// method "map(_)ancestors(_)"
  struct UserObject *uo4379 = (struct UserObject*)obj3900;
  uo4379->data[41] = emptyclosure;
  Method *meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj3900, "map(1)ancestors(1)", &meth_ast_4379_map_40_1_41_ancestors_40_1_41_, 41);
  int argcv_meth_ast_4379_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_4379_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4379_map_40_1_41_ancestors_40_1_41_->definitionLine = 1076;
// method "pretty(_)"
  struct UserObject *uo4416 = (struct UserObject*)obj3900;
  uo4416->data[42] = emptyclosure;
  Method *meth_meth_ast_4416_pretty_40_1_41_ = addmethod2pos(obj3900, "pretty(1)", &meth_ast_4416_pretty_40_1_41_, 42);
  int argcv_meth_ast_4416_pretty_40_1_41_[] = {1};
  meth_meth_ast_4416_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4416_pretty_40_1_41_);
  meth_meth_ast_4416_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4416_pretty_40_1_41_->definitionLine = 1086;
// method "toGrace(_)"
  struct UserObject *uo4799 = (struct UserObject*)obj3900;
  uo4799->data[43] = emptyclosure;
  Method *meth_meth_ast_4799_toGrace_40_1_41_ = addmethod2pos(obj3900, "toGrace(1)", &meth_ast_4799_toGrace_40_1_41_, 43);
  int argcv_meth_ast_4799_toGrace_40_1_41_[] = {1};
  meth_meth_ast_4799_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_4799_toGrace_40_1_41_);
meth_meth_ast_4799_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_4799_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_4799_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_4799_toGrace_40_1_41_->definitionLine = 1128;
// method "shallowCopy"
  block_savedest(obj3900);
  Object closure5031 = createclosure(1, "shallowCopy");
  setclosureframe(closure5031, stackframe);
  addtoclosure(closure5031, var_methodNode);
  struct UserObject *uo5031 = (struct UserObject*)obj3900;
  uo5031->data[44] = (Object)closure5031;
  Method *meth_meth_ast_5031_shallowCopy = addmethod2pos(obj3900, "shallowCopy", &meth_ast_5031_shallowCopy, 44);
  int argcv_meth_ast_5031_shallowCopy[] = {0};
  meth_meth_ast_5031_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_5031_shallowCopy);
  meth_meth_ast_5031_shallowCopy->definitionModule = modulename;
  meth_meth_ast_5031_shallowCopy->definitionLine = 1169;
// method "postCopy(_)"
  struct UserObject *uo5042 = (struct UserObject*)obj3900;
  uo5042->data[45] = emptyclosure;
  Method *meth_meth_ast_5042_postCopy_40_1_41_ = addmethod2pos(obj3900, "postCopy(1)", &meth_ast_5042_postCopy_40_1_41_, 45);
  int argcv_meth_ast_5042_postCopy_40_1_41_[] = {1};
  meth_meth_ast_5042_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5042_postCopy_40_1_41_);
  meth_meth_ast_5042_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5042_postCopy_40_1_41_->definitionLine = 1172;
  sourceObject = obj3900;
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5058 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5059 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5058);
// compiled call node returning call5059 (depth = 3)
  struct UserObject *obj3900_uo = (struct UserObject *)obj3900;
  obj3900_uo->super = call5059;
  sourceObject = obj3900;
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5060 == NULL) {
    strlit5060 = alloc_String("method");
    gc_root(strlit5060);
  }
// compiled string node returning strlit5060 (depth = 3)
  adddatum2(obj3900, strlit5060, 1);
  sourceObject = obj3900;
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj3900, *var_signature_39_, 2);
  sourceObject = obj3900;
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj3900, *var_body_39_, 3);
  sourceObject = obj3900;
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj3900, *var_dtype_39_, 4);
  sourceObject = obj3900;
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5061 = alloc_Boolean(0);
// compiled identifier node returning bool5061 (depth = 3)
  adddatum2(obj3900, bool5061, 5);
  sourceObject = obj3900;
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5062 = alloc_Boolean(0);
// compiled identifier node returning bool5062 (depth = 3)
  adddatum2(obj3900, bool5062, 6);
  sourceObject = obj3900;
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5063 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5063 (depth = 3)
  adddatum2(obj3900, array5063, 7);
  sourceObject = obj3900;
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5064 = alloc_Boolean(0);
// compiled identifier node returning bool5064 (depth = 3)
  adddatum2(obj3900, bool5064, 8);
  sourceObject = obj3900;
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5065 = alloc_Boolean(0);
// compiled identifier node returning bool5065 (depth = 3)
  adddatum2(obj3900, bool5065, 9);
  sourceObject = obj3900;
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj3900, *var_uninitialized, 10);
  sourceObject = obj3900;
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5066 = alloc_Boolean(1);
// compiled identifier node returning bool5066 (depth = 3)
  adddatum2(obj3900, bool5066, 11);
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  sourceObject = obj3900;
  objclass3900 = obj3900->class;
  objclass3900->definitionModule = modulename;
  objclass3900->definitionLine = 917;
  (*(struct UserObject *)self).data[0] = lowerouter3900;
  self = oldself3900;
  selfslot = oldselfslot3900;
  stackframe = oldstackframe3900;
  gc_frame_end(frame);
  return obj3900;
}
Object meth_ast_5068_methodNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodNode;
}
Object meth_ast_5071_new_40_2_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_receiver = &(stackframe->slots[0]);
  *var_receiver = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5072 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_receiver (depth = 5)
  gc_frame_newslot(*var_receiver);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_parts (depth = 5)
  gc_frame_newslot(*var_parts);
// call case 4: self request
  params[0] = *var_receiver;
  params[1] = *var_parts;
  partcv[0] = 2;
  Object call5073 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5072);
// compiled call node returning call5073 (depth = 4)
  *var_result = call5073;
  if (call5073 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5074 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5075 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5074);
// compiled call node returning call5075 (depth = 3)
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_5088_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5089 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5090 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5091 = gc_frame_new();
// call case 4: self request
  Object call5092 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5091);
// compiled member node returning call5092 (depth = 5)
  Object call5093 = callmethodflags(call5092, "last", 0, partcv, params, 0);
  gc_frame_end(callframe5090);
// compiled member node returning call5093 (depth = 4)
  Object call5094 = callmethodflags(call5093, "end", 0, partcv, params, 0);
  gc_frame_end(callframe5089);
// compiled member node returning call5094 (depth = 3)
  gc_frame_end(frame);
  return call5094;
}
Object meth_ast_5095_onSelf(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5096 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool5097 = alloc_Boolean(1);
// compiled identifier node returning bool5097 (depth = 4)
  gc_frame_newslot(bool5097);
// call case 4: self request
  params[0] = bool5097;
  partcv[0] = 1;
  Object call5098 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5096);
// compiled call node returning call5098 (depth = 3)
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_5102__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5104 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call5105 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe5104);
// compiled member node returning call5105 (depth = 6)
  int op_slot_right_5103 = gc_frame_newslot(call5105);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_5103 = gc_frame_newslot(*var_acc);
  params[0] = call5105;
  partcv[0] = 1;
  Object opresult5107 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5107 (depth = 5)
  gc_frame_end(frame);
  return opresult5107;
}
Object meth_ast_5099_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5100 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5101 = alloc_Block(NULL, NULL, "ast", 1213);
  gc_frame_newslot(block5101);
// method "_apply(_,_)"
  block_savedest(block5101);
  Object closure5102 = createclosure(1, "_apply(2)");
  setclosureframe(closure5102, stackframe);
  addtoclosure(closure5102, selfslot);
  struct UserObject *uo5102 = (struct UserObject*)block5101;
  uo5102->data[0] = (Object)closure5102;
  Method *meth_meth_ast_5102__apply_40_2_41_ = addmethod2pos(block5101, "_apply(2)", &meth_ast_5102__apply_40_2_41_, 0);
  int argcv_meth_ast_5102__apply_40_2_41_[] = {2};
  meth_meth_ast_5102__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_5102__apply_40_2_41_);
  meth_meth_ast_5102__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_5102__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block5101 (depth = 4)
  gc_frame_newslot(block5101);
// starting to compile string node (depth = 4)
  if (strlit5109 == NULL) {
    strlit5109 = alloc_String("");
    gc_root(strlit5109);
  }
// compiled string node returning strlit5109 (depth = 4)
  gc_frame_newslot(strlit5109);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5110 = gc_frame_new();
// call case 4: self request
  Object call5111 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5110);
// compiled member node returning call5111 (depth = 4)
  params[0] = block5101;
  params[1] = strlit5109;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5112 = callmethodflags(call5111, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5100);
// compiled call node returning call5112 (depth = 3)
  gc_frame_end(frame);
  return call5112;
}
Object meth_ast_5116__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5118 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call5119 = callmethodflags(*var_each, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe5118);
// compiled member node returning call5119 (depth = 6)
  int op_slot_right_5117 = gc_frame_newslot(call5119);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_5117 = gc_frame_newslot(*var_acc);
  params[0] = call5119;
  partcv[0] = 1;
  Object opresult5121 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5121 (depth = 5)
  gc_frame_end(frame);
  return opresult5121;
}
Object meth_ast_5113_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5114 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5115 = alloc_Block(NULL, NULL, "ast", 1218);
  gc_frame_newslot(block5115);
// method "_apply(_,_)"
  block_savedest(block5115);
  Object closure5116 = createclosure(1, "_apply(2)");
  setclosureframe(closure5116, stackframe);
  addtoclosure(closure5116, selfslot);
  struct UserObject *uo5116 = (struct UserObject*)block5115;
  uo5116->data[0] = (Object)closure5116;
  Method *meth_meth_ast_5116__apply_40_2_41_ = addmethod2pos(block5115, "_apply(2)", &meth_ast_5116__apply_40_2_41_, 0);
  int argcv_meth_ast_5116__apply_40_2_41_[] = {2};
  meth_meth_ast_5116__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_5116__apply_40_2_41_);
  meth_meth_ast_5116__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_5116__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block5115 (depth = 4)
  gc_frame_newslot(block5115);
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit5123 == NULL) {
    strlit5123 = alloc_String("");
    gc_root(strlit5123);
  }
// compiled string node returning strlit5123 (depth = 4)
  gc_frame_newslot(strlit5123);
// call case 6: other requests
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5124 = gc_frame_new();
// call case 4: self request
  Object call5125 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5124);
// compiled member node returning call5125 (depth = 4)
  params[0] = block5115;
  params[1] = strlit5123;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5126 = callmethodflags(call5125, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5114);
// compiled call node returning call5126 (depth = 3)
  gc_frame_end(frame);
  return call5126;
}
Object meth_ast_5127_isCall(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5128 = alloc_Boolean(1);
// compiled identifier node returning bool5128 (depth = 3)
  gc_frame_end(frame);
  return bool5128;
}
Object meth_ast_5129_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5131 = gc_frame_new();
// call case 4: self request
  Object call5132 = callmethodflags(self, "isCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5131);
// compiled member node returning call5132 (depth = 4)
  Object if5130 = done;
  if (istrue(call5132)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5133 = alloc_Boolean(1);
// compiled identifier node returning bool5133 (depth = 5)
  return bool5133;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5130 = undefined;
  } else {
  }
// compiled if node returning if5130 (depth = 3)
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5135 = gc_frame_new();
// call case 4: self request
  Object call5136 = callmethodflags(self, "isClone", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5135);
// compiled member node returning call5136 (depth = 4)
  Object if5134 = done;
  if (istrue(call5136)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5137 = alloc_Boolean(1);
// compiled identifier node returning bool5137 (depth = 5)
  return bool5137;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5134 = undefined;
  } else {
  }
// compiled if node returning if5134 (depth = 3)
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5138 = gc_frame_new();
// call case 4: self request
  Object call5139 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5138);
// compiled member node returning call5139 (depth = 3)
  gc_frame_end(frame);
  return call5139;
}
Object meth_ast_5140_isCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1232
  setline(1232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5143 == NULL) {
    strlit5143 = alloc_String("copy");
    gc_root(strlit5143);
  }
// compiled string node returning strlit5143 (depth = 5)
  int op_slot_right_5142 = gc_frame_newslot(strlit5143);
// starting to compile member node (depth = 5)
  int callframe5145 = gc_frame_new();
// call case 4: self request
  Object call5146 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5145);
// compiled member node returning call5146 (depth = 5)
  int op_slot_left_5142 = gc_frame_newslot(call5146);
  params[0] = strlit5143;
  partcv[0] = 1;
  Object opresult5147 = callmethod(call5146, "==(1)", 1, partcv, params);
// compiled op node returning opresult5147 (depth = 4)
  int op_slot_right_5141 = gc_frame_newslot(opresult5147);
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5150 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5151 = gc_frame_new();
// call case 4: self request
  Object call5152 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5151);
// compiled member node returning call5152 (depth = 6)
  Object call5153 = callmethodflags(call5152, "isSelf", 0, partcv, params, 0);
  gc_frame_end(callframe5150);
// compiled member node returning call5153 (depth = 5)
  int op_slot_right_5149 = gc_frame_newslot(call5153);
// starting to compile member node (depth = 5)
  int callframe5155 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5156 = gc_frame_new();
// call case 4: self request
  Object call5157 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5156);
// compiled member node returning call5157 (depth = 6)
  Object call5158 = callmethodflags(call5157, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe5155);
// compiled member node returning call5158 (depth = 5)
  int op_slot_left_5149 = gc_frame_newslot(call5158);
  params[0] = call5153;
  partcv[0] = 1;
  Object opresult5159 = callmethod(call5158, "||(1)", 1, partcv, params);
// compiled op node returning opresult5159 (depth = 4)
  int op_slot_left_5141 = gc_frame_newslot(opresult5159);
  params[0] = opresult5147;
  partcv[0] = 1;
  Object opresult5160 = callmethod(opresult5159, "&&(1)", 1, partcv, params);
// compiled op node returning opresult5160 (depth = 3)
  gc_frame_end(frame);
  return opresult5160;
}
Object meth_ast_5161_isClone(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClone");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5164 == NULL) {
    strlit5164 = alloc_String("clone(1)");
    gc_root(strlit5164);
  }
// compiled string node returning strlit5164 (depth = 5)
  int op_slot_right_5163 = gc_frame_newslot(strlit5164);
// starting to compile member node (depth = 5)
  int callframe5166 = gc_frame_new();
// call case 4: self request
  Object call5167 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5166);
// compiled member node returning call5167 (depth = 5)
  int op_slot_left_5163 = gc_frame_newslot(call5167);
  params[0] = strlit5164;
  partcv[0] = 1;
  Object opresult5168 = callmethod(call5167, "==(1)", 1, partcv, params);
// compiled op node returning opresult5168 (depth = 4)
  int op_slot_right_5162 = gc_frame_newslot(opresult5168);
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5171 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5172 = gc_frame_new();
// call case 4: self request
  Object call5173 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5172);
// compiled member node returning call5173 (depth = 6)
  Object call5174 = callmethodflags(call5173, "isPrelude", 0, partcv, params, 0);
  gc_frame_end(callframe5171);
// compiled member node returning call5174 (depth = 5)
  int op_slot_right_5170 = gc_frame_newslot(call5174);
// starting to compile member node (depth = 5)
  int callframe5176 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5177 = gc_frame_new();
// call case 4: self request
  Object call5178 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5177);
// compiled member node returning call5178 (depth = 6)
  Object call5179 = callmethodflags(call5178, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe5176);
// compiled member node returning call5179 (depth = 5)
  int op_slot_left_5170 = gc_frame_newslot(call5179);
  params[0] = call5174;
  partcv[0] = 1;
  Object opresult5180 = callmethod(call5179, "||(1)", 1, partcv, params);
// compiled op node returning opresult5180 (depth = 4)
  int op_slot_left_5162 = gc_frame_newslot(opresult5180);
  params[0] = opresult5168;
  partcv[0] = 1;
  Object opresult5181 = callmethod(opresult5180, "&&(1)", 1, partcv, params);
// compiled op node returning opresult5181 (depth = 3)
  gc_frame_end(frame);
  return opresult5181;
}
Object meth_ast_5182_returnedObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5183 = gc_frame_new();
// call case 4: self request
  Object call5184 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5183);
// compiled member node returning call5184 (depth = 3)
  gc_frame_end(frame);
  return call5184;
}
Object meth_ast_5196__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 7)
  int callframe5197 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_result (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call5198 = callmethodflags(*var_result, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5197);
// compiled call node returning call5198 (depth = 7)
  gc_frame_end(frame);
  return call5198;
}
Object meth_ast_5191__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5192 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5193 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call5194 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5193);
// compiled member node returning call5194 (depth = 6)
  gc_frame_newslot(call5194);
// starting to compile block node (depth = 6)
  Object block5195 = alloc_Block(NULL, NULL, "ast", 1245);
  gc_frame_newslot(block5195);
// method "_apply(_)"
  block_savedest(block5195);
  Object closure5196 = createclosure(2, "_apply(1)");
  setclosureframe(closure5196, stackframe);
  addtoclosure(closure5196, var_result);
  addtoclosure(closure5196, selfslot);
  struct UserObject *uo5196 = (struct UserObject*)block5195;
  uo5196->data[0] = (Object)closure5196;
  Method *meth_meth_ast_5196__apply_40_1_41_ = addmethod2pos(block5195, "_apply(1)", &meth_ast_5196__apply_40_1_41_, 0);
  int argcv_meth_ast_5196__apply_40_1_41_[] = {1};
  meth_meth_ast_5196__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5196__apply_40_1_41_);
  meth_meth_ast_5196__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5196__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5195 (depth = 6)
  gc_frame_newslot(block5195);
// call case 5: prelude request
  params[0] = call5194;
  params[1] = block5195;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5200 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5192);
// compiled call node returning call5200 (depth = 5)
  gc_frame_end(frame);
  return call5200;
}
Object meth_ast_5185_arguments(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array5186 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5186 (depth = 4)
  *var_result = array5186;
  if (array5186 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5187 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5188 = gc_frame_new();
// call case 4: self request
  Object call5189 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5188);
// compiled member node returning call5189 (depth = 4)
  gc_frame_newslot(call5189);
// starting to compile block node (depth = 4)
  Object block5190 = alloc_Block(NULL, NULL, "ast", 1244);
  gc_frame_newslot(block5190);
// method "_apply(_)"
  block_savedest(block5190);
  Object closure5191 = createclosure(2, "_apply(1)");
  setclosureframe(closure5191, stackframe);
  addtoclosure(closure5191, var_result);
  addtoclosure(closure5191, selfslot);
  struct UserObject *uo5191 = (struct UserObject*)block5190;
  uo5191->data[0] = (Object)closure5191;
  Method *meth_meth_ast_5191__apply_40_1_41_ = addmethod2pos(block5190, "_apply(1)", &meth_ast_5191__apply_40_1_41_, 0);
  int argcv_meth_ast_5191__apply_40_1_41_[] = {1};
  meth_meth_ast_5191__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5191__apply_40_1_41_);
  meth_meth_ast_5191__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5191__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5190 (depth = 4)
  gc_frame_newslot(block5190);
// call case 5: prelude request
  params[0] = call5189;
  params[1] = block5190;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5202 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5187);
// compiled call node returning call5202 (depth = 3)
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_5213__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 7)
  int callframe5214 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_action (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call5215 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5214);
// compiled call node returning call5215 (depth = 7)
  gc_frame_end(frame);
  return call5215;
}
Object meth_ast_5208__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5209 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5210 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call5211 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5210);
// compiled member node returning call5211 (depth = 6)
  gc_frame_newslot(call5211);
// starting to compile block node (depth = 6)
  Object block5212 = alloc_Block(NULL, NULL, "ast", 1252);
  gc_frame_newslot(block5212);
// method "_apply(_)"
  block_savedest(block5212);
  Object closure5213 = createclosure(2, "_apply(1)");
  setclosureframe(closure5213, stackframe);
  addtoclosure(closure5213, var_action);
  addtoclosure(closure5213, selfslot);
  struct UserObject *uo5213 = (struct UserObject*)block5212;
  uo5213->data[0] = (Object)closure5213;
  Method *meth_meth_ast_5213__apply_40_1_41_ = addmethod2pos(block5212, "_apply(1)", &meth_ast_5213__apply_40_1_41_, 0);
  int argcv_meth_ast_5213__apply_40_1_41_[] = {1};
  meth_meth_ast_5213__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5213__apply_40_1_41_);
  meth_meth_ast_5213__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5213__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5212 (depth = 6)
  gc_frame_newslot(block5212);
// call case 5: prelude request
  params[0] = call5211;
  params[1] = block5212;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5217 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5209);
// compiled call node returning call5217 (depth = 5)
  gc_frame_end(frame);
  return call5217;
}
Object meth_ast_5203_argumentsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method argumentsDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for argumentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part argumentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5204 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5205 = gc_frame_new();
// call case 4: self request
  Object call5206 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5205);
// compiled member node returning call5206 (depth = 4)
  gc_frame_newslot(call5206);
// starting to compile block node (depth = 4)
  Object block5207 = alloc_Block(NULL, NULL, "ast", 1251);
  gc_frame_newslot(block5207);
// method "_apply(_)"
  block_savedest(block5207);
  Object closure5208 = createclosure(2, "_apply(1)");
  setclosureframe(closure5208, stackframe);
  addtoclosure(closure5208, var_action);
  addtoclosure(closure5208, selfslot);
  struct UserObject *uo5208 = (struct UserObject*)block5207;
  uo5208->data[0] = (Object)closure5208;
  Method *meth_meth_ast_5208__apply_40_1_41_ = addmethod2pos(block5207, "_apply(1)", &meth_ast_5208__apply_40_1_41_, 0);
  int argcv_meth_ast_5208__apply_40_1_41_[] = {1};
  meth_meth_ast_5208__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5208__apply_40_1_41_);
  meth_meth_ast_5208__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5208__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5207 (depth = 4)
  gc_frame_newslot(block5207);
// call case 5: prelude request
  params[0] = call5206;
  params[1] = block5207;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5219 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5204);
// compiled call node returning call5219 (depth = 3)
  gc_frame_end(frame);
  return call5219;
}
Object meth_ast_5223__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_part = &(stackframe->slots[1]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5225 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5226 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call5227 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5226);
// compiled member node returning call5227 (depth = 7)
  Object call5228 = callmethodflags(call5227, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5225);
// compiled member node returning call5228 (depth = 6)
  int op_slot_right_5224 = gc_frame_newslot(call5228);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_5224 = gc_frame_newslot(*var_acc);
  params[0] = call5228;
  partcv[0] = 1;
  Object sum5230 = callmethod(*var_acc, "+(1)", 1, partcv, params);
// compiled op node returning sum5230 (depth = 5)
  gc_frame_end(frame);
  return sum5230;
}
Object meth_ast_5220_numArgs(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5221 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5222 = alloc_Block(NULL, NULL, "ast", 1257);
  gc_frame_newslot(block5222);
// method "_apply(_,_)"
  block_savedest(block5222);
  Object closure5223 = createclosure(1, "_apply(2)");
  setclosureframe(closure5223, stackframe);
  addtoclosure(closure5223, selfslot);
  struct UserObject *uo5223 = (struct UserObject*)block5222;
  uo5223->data[0] = (Object)closure5223;
  Method *meth_meth_ast_5223__apply_40_2_41_ = addmethod2pos(block5222, "_apply(2)", &meth_ast_5223__apply_40_2_41_, 0);
  int argcv_meth_ast_5223__apply_40_2_41_[] = {2};
  meth_meth_ast_5223__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_5223__apply_40_2_41_);
  meth_meth_ast_5223__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_5223__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block5222 (depth = 4)
  gc_frame_newslot(block5222);
// starting to compile num node (depth = 4)
  Object num5232 = alloc_Float64(0);
// compiled num node returning num5232 (depth = 4)
  gc_frame_newslot(num5232);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5233 = gc_frame_new();
// call case 4: self request
  Object call5234 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5233);
// compiled member node returning call5234 (depth = 4)
  params[0] = block5222;
  params[1] = num5232;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5235 = callmethodflags(call5234, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5221);
// compiled call node returning call5235 (depth = 3)
  gc_frame_end(frame);
  return call5235;
}
Object meth_ast_5236_numTypeArgs(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numTypeArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5239 = gc_frame_new();
// call case 4: self request
  Object call5240 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5239);
// compiled member node returning call5240 (depth = 5)
  int op_slot_right_5238 = gc_frame_newslot(call5240);
// starting to compile identifier node (depth = 5)
  Object bool5242 = alloc_Boolean(0);
// compiled identifier node returning bool5242 (depth = 5)
  int op_slot_left_5238 = gc_frame_newslot(bool5242);
  params[0] = call5240;
  partcv[0] = 1;
  Object opresult5243 = callmethod(bool5242, "==(1)", 1, partcv, params);
// compiled op node returning opresult5243 (depth = 4)
  Object if5237 = done;
  if (istrue(opresult5243)) {
// starting to compile num node (depth = 4)
  Object num5244 = alloc_Float64(0);
// compiled num node returning num5244 (depth = 4)
    gc_frame_newslot(num5244);
    if5237 = num5244;
  } else {
// starting to compile member node (depth = 4)
  int callframe5245 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5246 = gc_frame_new();
// call case 4: self request
  Object call5247 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5246);
// compiled member node returning call5247 (depth = 5)
  Object call5248 = callmethodflags(call5247, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5245);
// compiled member node returning call5248 (depth = 4)
    gc_frame_newslot(call5248);
    if5237 = call5248;
  }
// compiled if node returning if5237 (depth = 3)
  gc_frame_end(frame);
  return if5237;
}
Object meth_ast_5268__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5269 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newChain (depth = 9)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5270 = callmethodflags(*var_arg, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5269);
// compiled call node returning call5270 (depth = 8)
  gc_frame_end(frame);
  return call5270;
}
Object meth_ast_5263__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5264 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe5265 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call5266 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5265);
// compiled member node returning call5266 (depth = 7)
  gc_frame_newslot(call5266);
// starting to compile block node (depth = 7)
  Object block5267 = alloc_Block(NULL, NULL, "ast", 1269);
  gc_frame_newslot(block5267);
// method "_apply(_)"
  block_savedest(block5267);
  Object closure5268 = createclosure(3, "_apply(1)");
  setclosureframe(closure5268, stackframe);
  addtoclosure(closure5268, var_visitor);
  addtoclosure(closure5268, var_newChain);
  addtoclosure(closure5268, selfslot);
  struct UserObject *uo5268 = (struct UserObject*)block5267;
  uo5268->data[0] = (Object)closure5268;
  Method *meth_meth_ast_5268__apply_40_1_41_ = addmethod2pos(block5267, "_apply(1)", &meth_ast_5268__apply_40_1_41_, 0);
  int argcv_meth_ast_5268__apply_40_1_41_[] = {1};
  meth_meth_ast_5268__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5268__apply_40_1_41_);
  meth_meth_ast_5268__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5268__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5267 (depth = 7)
  gc_frame_newslot(block5267);
// call case 5: prelude request
  params[0] = call5266;
  params[1] = block5267;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5272 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5264);
// compiled call node returning call5272 (depth = 6)
  gc_frame_end(frame);
  return call5272;
}
Object meth_ast_5284__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5285 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newChain (depth = 8)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5286 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5285);
// compiled call node returning call5286 (depth = 7)
  gc_frame_end(frame);
  return call5286;
}
Object meth_ast_5249_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5251 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5252 = callmethodflags(*var_visitor, "visitCall(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5251);
// compiled call node returning call5252 (depth = 4)
  Object if5250 = done;
  if (istrue(call5252)) {
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5253 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5254 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5253);
// compiled call node returning call5254 (depth = 5)
  *var_newChain = call5254;
  if (call5254 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5255 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5256 = gc_frame_new();
// call case 4: self request
  Object call5257 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5256);
// compiled member node returning call5257 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5258 = callmethodflags(call5257, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5255);
// compiled call node returning call5258 (depth = 4)
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5259 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5260 = gc_frame_new();
// call case 4: self request
  Object call5261 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5260);
// compiled member node returning call5261 (depth = 5)
  gc_frame_newslot(call5261);
// starting to compile block node (depth = 5)
  Object block5262 = alloc_Block(NULL, NULL, "ast", 1268);
  gc_frame_newslot(block5262);
// method "_apply(_)"
  block_savedest(block5262);
  Object closure5263 = createclosure(3, "_apply(1)");
  setclosureframe(closure5263, stackframe);
  addtoclosure(closure5263, var_visitor);
  addtoclosure(closure5263, var_newChain);
  addtoclosure(closure5263, selfslot);
  struct UserObject *uo5263 = (struct UserObject*)block5262;
  uo5263->data[0] = (Object)closure5263;
  Method *meth_meth_ast_5263__apply_40_1_41_ = addmethod2pos(block5262, "_apply(1)", &meth_ast_5263__apply_40_1_41_, 0);
  int argcv_meth_ast_5263__apply_40_1_41_[] = {1};
  meth_meth_ast_5263__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5263__apply_40_1_41_);
  meth_meth_ast_5263__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5263__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5262 (depth = 5)
  gc_frame_newslot(block5262);
// call case 5: prelude request
  params[0] = call5261;
  params[1] = block5262;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5274 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5259);
// compiled call node returning call5274 (depth = 4)
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5277 = gc_frame_new();
// call case 4: self request
  Object call5278 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5277);
// compiled member node returning call5278 (depth = 6)
  int op_slot_right_5276 = gc_frame_newslot(call5278);
// starting to compile identifier node (depth = 6)
  Object bool5280 = alloc_Boolean(0);
// compiled identifier node returning bool5280 (depth = 6)
  int op_slot_left_5276 = gc_frame_newslot(bool5280);
  params[0] = call5278;
  partcv[0] = 1;
  Object opresult5281 = callmethod(bool5280, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5281 (depth = 5)
  Object if5275 = done;
  if (istrue(opresult5281)) {
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5282 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block5283 = alloc_Block(NULL, NULL, "ast", 1274);
  gc_frame_newslot(block5283);
// method "_apply(_)"
  block_savedest(block5283);
  Object closure5284 = createclosure(3, "_apply(1)");
  setclosureframe(closure5284, stackframe);
  addtoclosure(closure5284, var_visitor);
  addtoclosure(closure5284, var_newChain);
  addtoclosure(closure5284, selfslot);
  struct UserObject *uo5284 = (struct UserObject*)block5283;
  uo5284->data[0] = (Object)closure5284;
  Method *meth_meth_ast_5284__apply_40_1_41_ = addmethod2pos(block5283, "_apply(1)", &meth_ast_5284__apply_40_1_41_, 0);
  int argcv_meth_ast_5284__apply_40_1_41_[] = {1};
  meth_meth_ast_5284__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5284__apply_40_1_41_);
  meth_meth_ast_5284__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5284__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5283 (depth = 6)
  gc_frame_newslot(block5283);
// call case 6: other requests
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5288 = gc_frame_new();
// call case 4: self request
  Object call5289 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5288);
// compiled member node returning call5289 (depth = 6)
  params[0] = block5283;
  partcv[0] = 1;
  Object call5290 = callmethodflags(call5289, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5282);
// compiled call node returning call5290 (depth = 5)
    gc_frame_newslot(call5290);
    if5275 = call5290;
  } else {
  }
// compiled if node returning if5275 (depth = 4)
    gc_frame_newslot(if5275);
    if5250 = if5275;
  } else {
  }
// compiled if node returning if5250 (depth = 3)
  gc_frame_end(frame);
  return if5250;
}
Object meth_ast_5291_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5292 = gc_frame_new();
// call case 4: self request
  Object call5293 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5292);
// compiled member node returning call5293 (depth = 4)
  *var_n = call5293;
  if (call5293 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5294 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5295 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5294);
// compiled call node returning call5295 (depth = 4)
  *var_newChain = call5295;
  if (call5295 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5296 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5297 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5298 = gc_frame_new();
// call case 4: self request
  Object call5299 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5298);
// compiled member node returning call5299 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5300 = callmethodflags(call5299, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5297);
// compiled call node returning call5300 (depth = 4)
  gc_frame_newslot(call5300);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5300;
  partcv[0] = 1;
  Object call5301 = callmethodflags(*var_n, "receiver:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5296);
// compiled call node returning call5301 (depth = 3)
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5302 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5303 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5304 = gc_frame_new();
// call case 4: self request
  Object call5305 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5304);
// compiled member node returning call5305 (depth = 5)
  gc_frame_newslot(call5305);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call5305;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5306 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5303);
// compiled call node returning call5306 (depth = 4)
  gc_frame_newslot(call5306);
// call case 6: other requests
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5306;
  partcv[0] = 1;
  Object call5307 = callmethodflags(*var_n, "with:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5302);
// compiled call node returning call5307 (depth = 3)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5308 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5309 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5310 = gc_frame_new();
// call case 4: self request
  Object call5311 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5310);
// compiled member node returning call5311 (depth = 5)
  gc_frame_newslot(call5311);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call5311;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5312 = callmethodflags(module_ast, "maybeListMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5309);
// compiled call node returning call5312 (depth = 4)
  gc_frame_newslot(call5312);
// call case 6: other requests
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5312;
  partcv[0] = 1;
  Object call5313 = callmethodflags(*var_n, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5308);
// compiled call node returning call5313 (depth = 3)
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5314 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call5315 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5314);
// compiled call node returning call5315 (depth = 3)
  gc_frame_end(frame);
  return call5315;
}
Object meth_ast_5395__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5397 == NULL) {
    strlit5397 = alloc_String("""\x0a""");
    gc_root(strlit5397);
  }
// compiled string node returning strlit5397 (depth = 8)
  int op_slot_right_5396 = gc_frame_newslot(strlit5397);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5400 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5402 = alloc_Float64(2);
// compiled num node returning num5402 (depth = 11)
  int op_slot_right_5401 = gc_frame_newslot(num5402);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5401 = gc_frame_newslot(*var_depth);
  params[0] = num5402;
  partcv[0] = 1;
  Object sum5404 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5404 (depth = 10)
  gc_frame_newslot(sum5404);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = sum5404;
  partcv[0] = 1;
  Object call5405 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5400);
// compiled call node returning call5405 (depth = 9)
  int op_slot_right_5399 = gc_frame_newslot(call5405);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5408 == NULL) {
    strlit5408 = alloc_String("    ");
    gc_root(strlit5408);
  }
// compiled string node returning strlit5408 (depth = 10)
  int op_slot_right_5407 = gc_frame_newslot(strlit5408);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_5410 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5410 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5412 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5412 (depth = 10)
  int op_slot_left_5407 = gc_frame_newslot(opresult5412);
  params[0] = strlit5408;
  partcv[0] = 1;
  Object opresult5413 = callmethod(opresult5412, "++(1)", 1, partcv, params);
// compiled op node returning opresult5413 (depth = 9)
  int op_slot_left_5399 = gc_frame_newslot(opresult5413);
  params[0] = call5405;
  partcv[0] = 1;
  Object opresult5414 = callmethod(opresult5413, "++(1)", 1, partcv, params);
// compiled op node returning opresult5414 (depth = 8)
  int op_slot_left_5396 = gc_frame_newslot(opresult5414);
  params[0] = strlit5397;
  partcv[0] = 1;
  Object opresult5415 = callmethod(opresult5414, "++(1)", 1, partcv, params);
// compiled op node returning opresult5415 (depth = 7)
  *var_s = opresult5415;
  if (opresult5415 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_5431__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5433 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5435 = alloc_Float64(2);
// compiled num node returning num5435 (depth = 9)
  int op_slot_right_5434 = gc_frame_newslot(num5435);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5434 = gc_frame_newslot(*var_depth);
  params[0] = num5435;
  partcv[0] = 1;
  Object sum5437 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5437 (depth = 8)
  gc_frame_newslot(sum5437);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum5437;
  partcv[0] = 1;
  Object call5438 = callmethodflags(*var_part, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5433);
// compiled call node returning call5438 (depth = 7)
  int op_slot_right_5432 = gc_frame_newslot(call5438);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5440 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5443 == NULL) {
    strlit5443 = alloc_String("""\x0a""  ");
    gc_root(strlit5443);
  }
// compiled string node returning strlit5443 (depth = 9)
  int op_slot_right_5442 = gc_frame_newslot(strlit5443);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5442 = gc_frame_newslot(*var_s);
  params[0] = strlit5443;
  partcv[0] = 1;
  Object opresult5445 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5445 (depth = 8)
  int op_slot_left_5440 = gc_frame_newslot(opresult5445);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5446 = callmethod(opresult5445, "++(1)", 1, partcv, params);
// compiled op node returning opresult5446 (depth = 7)
  int op_slot_left_5432 = gc_frame_newslot(opresult5446);
  params[0] = call5438;
  partcv[0] = 1;
  Object opresult5447 = callmethod(opresult5446, "++(1)", 1, partcv, params);
// compiled op node returning opresult5447 (depth = 6)
  *var_s = opresult5447;
  if (opresult5447 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_5316_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5319 = alloc_Float64(1);
// compiled num node returning num5319 (depth = 6)
  int op_slot_right_5318 = gc_frame_newslot(num5319);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_5318 = gc_frame_newslot(*var_depth);
  params[0] = num5319;
  partcv[0] = 1;
  Object sum5321 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5321 (depth = 5)
  int op_slot_right_5317 = gc_frame_newslot(sum5321);
// starting to compile string node (depth = 5)
  if (strlit5323 == NULL) {
    strlit5323 = alloc_String("  ");
    gc_root(strlit5323);
  }
// compiled string node returning strlit5323 (depth = 5)
  int op_slot_left_5317 = gc_frame_newslot(strlit5323);
  params[0] = sum5321;
  partcv[0] = 1;
  Object prod5324 = callmethod(strlit5323, "*(1)", 1, partcv, params);
// compiled op node returning prod5324 (depth = 4)
  *var_spc = prod5324;
  if (prod5324 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5325 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5326 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5325);
// compiled call node returning call5326 (depth = 4)
  *var_s = call5326;
  if (call5326 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5329 = gc_frame_new();
// call case 4: self request
  Object call5330 = callmethodflags(self, "isSelfRequest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5329);
// compiled member node returning call5330 (depth = 6)
  Object if5328 = done;
struct StackFrameObject *iftmpstackframe5328 = stackframe;
  if (istrue(call5330)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5328);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 6)
  if (strlit5331 == NULL) {
    strlit5331 = alloc_String(" on self""\x0a""");
    gc_root(strlit5331);
  }
// compiled string node returning strlit5331 (depth = 6)
    gc_frame_newslot(strlit5331);
    if5328 = strlit5331;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe5328);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 6)
  if (strlit5332 == NULL) {
    strlit5332 = alloc_String("""\x0a""");
    gc_root(strlit5332);
  }
// compiled string node returning strlit5332 (depth = 6)
    gc_frame_newslot(strlit5332);
    if5328 = strlit5332;
  }
stackframe = iftmpstackframe5328;
// compiled if node returning if5328 (depth = 5)
  int op_slot_right_5327 = gc_frame_newslot(if5328);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_5327 = gc_frame_newslot(*var_s);
  params[0] = if5328;
  partcv[0] = 1;
  Object opresult5334 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5334 (depth = 4)
  *var_s = opresult5334;
  if (opresult5334 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5338 == NULL) {
    strlit5338 = alloc_String("""\x0a""");
    gc_root(strlit5338);
  }
// compiled string node returning strlit5338 (depth = 6)
  int op_slot_right_5337 = gc_frame_newslot(strlit5338);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5341 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5343 = alloc_Float64(1);
// compiled num node returning num5343 (depth = 9)
  int op_slot_right_5342 = gc_frame_newslot(num5343);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5342 = gc_frame_newslot(*var_depth);
  params[0] = num5343;
  partcv[0] = 1;
  Object sum5345 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5345 (depth = 8)
  gc_frame_newslot(sum5345);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5346 = gc_frame_new();
// call case 4: self request
  Object call5347 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5346);
// compiled member node returning call5347 (depth = 8)
  params[0] = sum5345;
  partcv[0] = 1;
  Object call5348 = callmethodflags(call5347, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5341);
// compiled call node returning call5348 (depth = 7)
  int op_slot_right_5340 = gc_frame_newslot(call5348);
// starting to compile string node (depth = 7)
  if (strlit5350 == NULL) {
    strlit5350 = alloc_String("Receiver: ");
    gc_root(strlit5350);
  }
// compiled string node returning strlit5350 (depth = 7)
  int op_slot_left_5340 = gc_frame_newslot(strlit5350);
  params[0] = call5348;
  partcv[0] = 1;
  Object opresult5351 = callmethod(strlit5350, "++(1)", 1, partcv, params);
// compiled op node returning opresult5351 (depth = 6)
  int op_slot_left_5337 = gc_frame_newslot(opresult5351);
  params[0] = strlit5338;
  partcv[0] = 1;
  Object opresult5352 = callmethod(opresult5351, "++(1)", 1, partcv, params);
// compiled op node returning opresult5352 (depth = 5)
  int op_slot_right_5336 = gc_frame_newslot(opresult5352);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5354 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5354 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5356 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5356 (depth = 5)
  int op_slot_left_5336 = gc_frame_newslot(opresult5356);
  params[0] = opresult5352;
  partcv[0] = 1;
  Object opresult5357 = callmethod(opresult5356, "++(1)", 1, partcv, params);
// compiled op node returning opresult5357 (depth = 4)
  *var_s = opresult5357;
  if (opresult5357 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5361 == NULL) {
    strlit5361 = alloc_String("""\x0a""");
    gc_root(strlit5361);
  }
// compiled string node returning strlit5361 (depth = 6)
  int op_slot_right_5360 = gc_frame_newslot(strlit5361);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5364 = gc_frame_new();
// call case 4: self request
  Object call5365 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5364);
// compiled member node returning call5365 (depth = 7)
  int op_slot_right_5363 = gc_frame_newslot(call5365);
// starting to compile string node (depth = 7)
  if (strlit5367 == NULL) {
    strlit5367 = alloc_String("Method Name: ");
    gc_root(strlit5367);
  }
// compiled string node returning strlit5367 (depth = 7)
  int op_slot_left_5363 = gc_frame_newslot(strlit5367);
  params[0] = call5365;
  partcv[0] = 1;
  Object opresult5368 = callmethod(strlit5367, "++(1)", 1, partcv, params);
// compiled op node returning opresult5368 (depth = 6)
  int op_slot_left_5360 = gc_frame_newslot(opresult5368);
  params[0] = strlit5361;
  partcv[0] = 1;
  Object opresult5369 = callmethod(opresult5368, "++(1)", 1, partcv, params);
// compiled op node returning opresult5369 (depth = 5)
  int op_slot_right_5359 = gc_frame_newslot(opresult5369);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5371 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5371 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5373 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5373 (depth = 5)
  int op_slot_left_5359 = gc_frame_newslot(opresult5373);
  params[0] = opresult5369;
  partcv[0] = 1;
  Object opresult5374 = callmethod(opresult5373, "++(1)", 1, partcv, params);
// compiled op node returning opresult5374 (depth = 4)
  *var_s = opresult5374;
  if (opresult5374 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5378 = gc_frame_new();
// call case 4: self request
  Object call5379 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5378);
// compiled member node returning call5379 (depth = 5)
  int op_slot_right_5377 = gc_frame_newslot(call5379);
// starting to compile identifier node (depth = 5)
  Object bool5381 = alloc_Boolean(0);
// compiled identifier node returning bool5381 (depth = 5)
  int op_slot_left_5377 = gc_frame_newslot(bool5381);
  params[0] = call5379;
  partcv[0] = 1;
  Object opresult5382 = callmethod(bool5381, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5382 (depth = 4)
  Object if5376 = done;
  if (istrue(opresult5382)) {
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5384 == NULL) {
    strlit5384 = alloc_String("  Generics:""\x0a""");
    gc_root(strlit5384);
  }
// compiled string node returning strlit5384 (depth = 6)
  int op_slot_right_5383 = gc_frame_newslot(strlit5384);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5386 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5386 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5388 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5388 (depth = 6)
  int op_slot_left_5383 = gc_frame_newslot(opresult5388);
  params[0] = strlit5384;
  partcv[0] = 1;
  Object opresult5389 = callmethod(opresult5388, "++(1)", 1, partcv, params);
// compiled op node returning opresult5389 (depth = 5)
  *var_s = opresult5389;
  if (opresult5389 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5391 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5392 = gc_frame_new();
// call case 4: self request
  Object call5393 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5392);
// compiled member node returning call5393 (depth = 5)
  gc_frame_newslot(call5393);
// starting to compile block node (depth = 5)
  Object block5394 = alloc_Block(NULL, NULL, "ast", 1296);
  gc_frame_newslot(block5394);
// method "_apply(_)"
  block_savedest(block5394);
  Object closure5395 = createclosure(4, "_apply(1)");
  setclosureframe(closure5395, stackframe);
  addtoclosure(closure5395, var_depth);
  addtoclosure(closure5395, var_spc);
  addtoclosure(closure5395, var_s);
  addtoclosure(closure5395, selfslot);
  struct UserObject *uo5395 = (struct UserObject*)block5394;
  uo5395->data[0] = (Object)closure5395;
  Method *meth_meth_ast_5395__apply_40_1_41_ = addmethod2pos(block5394, "_apply(1)", &meth_ast_5395__apply_40_1_41_, 0);
  int argcv_meth_ast_5395__apply_40_1_41_[] = {1};
  meth_meth_ast_5395__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5395__apply_40_1_41_);
  meth_meth_ast_5395__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5395__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5394 (depth = 5)
  gc_frame_newslot(block5394);
// call case 5: prelude request
  params[0] = call5393;
  params[1] = block5394;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5418 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5391);
// compiled call node returning call5418 (depth = 4)
    gc_frame_newslot(call5418);
    if5376 = call5418;
  } else {
  }
// compiled if node returning if5376 (depth = 3)
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5420 == NULL) {
    strlit5420 = alloc_String("Parts:");
    gc_root(strlit5420);
  }
// compiled string node returning strlit5420 (depth = 5)
  int op_slot_right_5419 = gc_frame_newslot(strlit5420);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5422 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5422 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5424 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5424 (depth = 5)
  int op_slot_left_5419 = gc_frame_newslot(opresult5424);
  params[0] = strlit5420;
  partcv[0] = 1;
  Object opresult5425 = callmethod(opresult5424, "++(1)", 1, partcv, params);
// compiled op node returning opresult5425 (depth = 4)
  *var_s = opresult5425;
  if (opresult5425 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5427 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5428 = gc_frame_new();
// call case 4: self request
  Object call5429 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5428);
// compiled member node returning call5429 (depth = 4)
  gc_frame_newslot(call5429);
// starting to compile block node (depth = 4)
  Object block5430 = alloc_Block(NULL, NULL, "ast", 1301);
  gc_frame_newslot(block5430);
// method "_apply(_)"
  block_savedest(block5430);
  Object closure5431 = createclosure(4, "_apply(1)");
  setclosureframe(closure5431, stackframe);
  addtoclosure(closure5431, var_depth);
  addtoclosure(closure5431, var_spc);
  addtoclosure(closure5431, var_s);
  addtoclosure(closure5431, selfslot);
  struct UserObject *uo5431 = (struct UserObject*)block5430;
  uo5431->data[0] = (Object)closure5431;
  Method *meth_meth_ast_5431__apply_40_1_41_ = addmethod2pos(block5430, "_apply(1)", &meth_ast_5431__apply_40_1_41_, 0);
  int argcv_meth_ast_5431__apply_40_1_41_[] = {1};
  meth_meth_ast_5431__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5431__apply_40_1_41_);
  meth_meth_ast_5431__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5431__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5430 (depth = 4)
  gc_frame_newslot(block5430);
// call case 5: prelude request
  params[0] = call5429;
  params[1] = block5430;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5450 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5427);
// compiled call node returning call5450 (depth = 3)
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_5501__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5503 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5505 = alloc_Float64(1);
// compiled num node returning num5505 (depth = 9)
  int op_slot_right_5504 = gc_frame_newslot(num5505);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5504 = gc_frame_newslot(*var_depth);
  params[0] = num5505;
  partcv[0] = 1;
  Object sum5507 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5507 (depth = 8)
  gc_frame_newslot(sum5507);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum5507;
  partcv[0] = 1;
  Object call5508 = callmethodflags(*var_part, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5503);
// compiled call node returning call5508 (depth = 7)
  int op_slot_right_5502 = gc_frame_newslot(call5508);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5502 = gc_frame_newslot(*var_s);
  params[0] = call5508;
  partcv[0] = 1;
  Object opresult5510 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5510 (depth = 6)
  *var_s = opresult5510;
  if (opresult5510 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_5514__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5516 == NULL) {
    strlit5516 = alloc_String(" ");
    gc_root(strlit5516);
  }
// compiled string node returning strlit5516 (depth = 7)
  int op_slot_right_5515 = gc_frame_newslot(strlit5516);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5515 = gc_frame_newslot(*var_s);
  params[0] = strlit5516;
  partcv[0] = 1;
  Object opresult5518 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5518 (depth = 6)
  *var_s = opresult5518;
  if (opresult5518 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_5451_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5452 == NULL) {
    strlit5452 = alloc_String("");
    gc_root(strlit5452);
  }
// compiled string node returning strlit5452 (depth = 4)
  *var_s = strlit5452;
  if (strlit5452 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5454 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5455 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5456 = gc_frame_new();
// call case 4: self request
  Object call5457 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5456);
// compiled member node returning call5457 (depth = 6)
  Object call5458 = callmethodflags(call5457, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe5455);
// compiled member node returning call5458 (depth = 5)
  Object call5459 = callmethodflags(call5458, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5454);
// compiled member node returning call5459 (depth = 4)
  Object if5453 = done;
  if (istrue(call5459)) {
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5461 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5462 = gc_frame_new();
// call case 4: self request
  Object call5463 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5462);
// compiled member node returning call5463 (depth = 6)
  Object call5464 = callmethodflags(call5463, "isSimple", 0, partcv, params, 0);
  gc_frame_end(callframe5461);
// compiled member node returning call5464 (depth = 5)
  Object if5460 = done;
  if (istrue(call5464)) {
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5466 == NULL) {
    strlit5466 = alloc_String(".");
    gc_root(strlit5466);
  }
// compiled string node returning strlit5466 (depth = 7)
  int op_slot_right_5465 = gc_frame_newslot(strlit5466);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5469 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5471 = alloc_Float64(1);
// compiled num node returning num5471 (depth = 10)
  int op_slot_right_5470 = gc_frame_newslot(num5471);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5470 = gc_frame_newslot(*var_depth);
  params[0] = num5471;
  partcv[0] = 1;
  Object sum5473 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5473 (depth = 9)
  gc_frame_newslot(sum5473);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5474 = gc_frame_new();
// call case 4: self request
  Object call5475 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5474);
// compiled member node returning call5475 (depth = 9)
  params[0] = sum5473;
  partcv[0] = 1;
  Object call5476 = callmethodflags(call5475, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5469);
// compiled call node returning call5476 (depth = 8)
  int op_slot_right_5468 = gc_frame_newslot(call5476);
// starting to compile string node (depth = 8)
  if (strlit5478 == NULL) {
    strlit5478 = alloc_String("");
    gc_root(strlit5478);
  }
// compiled string node returning strlit5478 (depth = 8)
  int op_slot_left_5468 = gc_frame_newslot(strlit5478);
  params[0] = call5476;
  partcv[0] = 1;
  Object opresult5479 = callmethod(strlit5478, "++(1)", 1, partcv, params);
// compiled op node returning opresult5479 (depth = 7)
  int op_slot_left_5465 = gc_frame_newslot(opresult5479);
  params[0] = strlit5466;
  partcv[0] = 1;
  Object opresult5480 = callmethod(opresult5479, "++(1)", 1, partcv, params);
// compiled op node returning opresult5480 (depth = 6)
  *var_s = opresult5480;
  if (opresult5480 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5460 = done;
  } else {
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5483 == NULL) {
    strlit5483 = alloc_String(").");
    gc_root(strlit5483);
  }
// compiled string node returning strlit5483 (depth = 7)
  int op_slot_right_5482 = gc_frame_newslot(strlit5483);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5486 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5488 = alloc_Float64(1);
// compiled num node returning num5488 (depth = 10)
  int op_slot_right_5487 = gc_frame_newslot(num5488);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5487 = gc_frame_newslot(*var_depth);
  params[0] = num5488;
  partcv[0] = 1;
  Object sum5490 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5490 (depth = 9)
  gc_frame_newslot(sum5490);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5491 = gc_frame_new();
// call case 4: self request
  Object call5492 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5491);
// compiled member node returning call5492 (depth = 9)
  params[0] = sum5490;
  partcv[0] = 1;
  Object call5493 = callmethodflags(call5492, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5486);
// compiled call node returning call5493 (depth = 8)
  int op_slot_right_5485 = gc_frame_newslot(call5493);
// starting to compile string node (depth = 8)
  if (strlit5495 == NULL) {
    strlit5495 = alloc_String("(");
    gc_root(strlit5495);
  }
// compiled string node returning strlit5495 (depth = 8)
  int op_slot_left_5485 = gc_frame_newslot(strlit5495);
  params[0] = call5493;
  partcv[0] = 1;
  Object opresult5496 = callmethod(strlit5495, "++(1)", 1, partcv, params);
// compiled op node returning opresult5496 (depth = 7)
  int op_slot_left_5482 = gc_frame_newslot(opresult5496);
  params[0] = strlit5483;
  partcv[0] = 1;
  Object opresult5497 = callmethod(opresult5496, "++(1)", 1, partcv, params);
// compiled op node returning opresult5497 (depth = 6)
  *var_s = opresult5497;
  if (opresult5497 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5460 = done;
  }
// compiled if node returning if5460 (depth = 4)
    gc_frame_newslot(if5460);
    if5453 = if5460;
  } else {
  }
// compiled if node returning if5453 (depth = 3)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5499 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5500 = alloc_Block(NULL, NULL, "ast", 1315);
  gc_frame_newslot(block5500);
// method "_apply(_)"
  block_savedest(block5500);
  Object closure5501 = createclosure(3, "_apply(1)");
  setclosureframe(closure5501, stackframe);
  addtoclosure(closure5501, var_depth);
  addtoclosure(closure5501, var_s);
  addtoclosure(closure5501, selfslot);
  struct UserObject *uo5501 = (struct UserObject*)block5500;
  uo5501->data[0] = (Object)closure5501;
  Method *meth_meth_ast_5501__apply_40_1_41_ = addmethod2pos(block5500, "_apply(1)", &meth_ast_5501__apply_40_1_41_, 0);
  int argcv_meth_ast_5501__apply_40_1_41_[] = {1};
  meth_meth_ast_5501__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5501__apply_40_1_41_);
  meth_meth_ast_5501__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5501__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5500 (depth = 4)
  gc_frame_newslot(block5500);
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block5513 = alloc_Block(NULL, NULL, "ast", 1316);
  gc_frame_newslot(block5513);
// method "_apply"
  block_savedest(block5513);
  Object closure5514 = createclosure(2, "_apply");
  setclosureframe(closure5514, stackframe);
  addtoclosure(closure5514, var_s);
  addtoclosure(closure5514, selfslot);
  struct UserObject *uo5514 = (struct UserObject*)block5513;
  uo5514->data[0] = (Object)closure5514;
  Method *meth_meth_ast_5514__apply = addmethod2pos(block5513, "_apply", &meth_ast_5514__apply, 0);
  int argcv_meth_ast_5514__apply[] = {0};
  meth_meth_ast_5514__apply->type = alloc_MethodType(1, argcv_meth_ast_5514__apply);
  meth_meth_ast_5514__apply->definitionModule = modulename;
  meth_meth_ast_5514__apply->definitionLine = 3216;
// compiled block node returning block5513 (depth = 4)
  gc_frame_newslot(block5513);
// call case 6: other requests
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5521 = gc_frame_new();
// call case 4: self request
  Object call5522 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5521);
// compiled member node returning call5522 (depth = 4)
  params[0] = block5500;
  params[1] = block5513;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5523 = callmethodflags(call5522, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5499);
// compiled call node returning call5523 (depth = 3)
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_5524_asIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5527 = gc_frame_new();
// call case 4: self request
  Object call5528 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5527);
// compiled member node returning call5528 (depth = 5)
  int op_slot_right_5526 = gc_frame_newslot(call5528);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_5526 = gc_frame_newslot(*var_uninitialized);
  params[0] = call5528;
  partcv[0] = 1;
  Object opresult5530 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult5530 (depth = 4)
  Object if5525 = done;
  if (istrue(opresult5530)) {
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5533 = gc_frame_new();
// call case 4: self request
  Object call5534 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5533);
// compiled member node returning call5534 (depth = 6)
  int op_slot_right_5532 = gc_frame_newslot(call5534);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_fakeSymbolTable (depth = 6)
  int op_slot_left_5532 = gc_frame_newslot(*var_fakeSymbolTable);
  params[0] = call5534;
  partcv[0] = 1;
  Object opresult5536 = callmethod(*var_fakeSymbolTable, "==(1)", 1, partcv, params);
// compiled op node returning opresult5536 (depth = 5)
  Object if5531 = done;
  if (istrue(opresult5536)) {
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5537 = gc_frame_new();
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5539 == NULL) {
    strlit5539 = alloc_String(" when scope was fake");
    gc_root(strlit5539);
  }
// compiled string node returning strlit5539 (depth = 7)
  int op_slot_right_5538 = gc_frame_newslot(strlit5539);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5542 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num5543 = alloc_Float64(0);
// compiled num node returning num5543 (depth = 9)
  gc_frame_newslot(num5543);
// call case 4: self request
  params[0] = num5543;
  partcv[0] = 1;
  Object call5544 = callmethodflags(self, "pretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5542);
// compiled call node returning call5544 (depth = 8)
  int op_slot_right_5541 = gc_frame_newslot(call5544);
// starting to compile string node (depth = 8)
  if (strlit5546 == NULL) {
    strlit5546 = alloc_String("asIdentifier requested on ");
    gc_root(strlit5546);
  }
// compiled string node returning strlit5546 (depth = 8)
  int op_slot_left_5541 = gc_frame_newslot(strlit5546);
  params[0] = call5544;
  partcv[0] = 1;
  Object opresult5547 = callmethod(strlit5546, "++(1)", 1, partcv, params);
// compiled op node returning opresult5547 (depth = 7)
  int op_slot_left_5538 = gc_frame_newslot(opresult5547);
  params[0] = strlit5539;
  partcv[0] = 1;
  Object opresult5548 = callmethod(opresult5547, "++(1)", 1, partcv, params);
// compiled op node returning opresult5548 (depth = 6)
  gc_frame_newslot(opresult5548);
// call case 6: other requests
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5549 = gc_frame_new();
// call case 5: prelude request
  Object call5550 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5549);
// compiled member node returning call5550 (depth = 6)
  params[0] = opresult5548;
  partcv[0] = 1;
  Object call5551 = callmethodflags(call5550, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5537);
// compiled call node returning call5551 (depth = 5)
    gc_frame_newslot(call5551);
    if5531 = call5551;
  } else {
  }
// compiled if node returning if5531 (depth = 4)
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5552 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe5553 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5554 = gc_frame_new();
// call case 4: self request
  Object call5555 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5554);
// compiled member node returning call5555 (depth = 6)
  gc_frame_newslot(call5555);
// starting to compile identifier node (depth = 6)
  Object bool5556 = alloc_Boolean(0);
// compiled identifier node returning bool5556 (depth = 6)
  gc_frame_newslot(bool5556);
// starting to compile member node (depth = 6)
  int callframe5557 = gc_frame_new();
// call case 4: self request
  Object call5558 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5557);
// compiled member node returning call5558 (depth = 6)
  gc_frame_newslot(call5558);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call5555;
  params[1] = bool5556;
  params[2] = call5558;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5559 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5553);
// compiled call node returning call5559 (depth = 5)
  gc_frame_newslot(call5559);
// call case 4: self request
  params[0] = call5559;
  partcv[0] = 1;
  Object call5560 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5552);
// compiled call node returning call5560 (depth = 4)
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5561 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool5562 = alloc_Boolean(1);
// compiled identifier node returning bool5562 (depth = 5)
  gc_frame_newslot(bool5562);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5563 = gc_frame_new();
// call case 4: self request
  Object call5564 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5563);
// compiled member node returning call5564 (depth = 5)
  params[0] = bool5562;
  partcv[0] = 1;
  Object call5565 = callmethodflags(call5564, "inRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5561);
// compiled call node returning call5565 (depth = 4)
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5566 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5567 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5568 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5569 = gc_frame_new();
// call case 4: self request
  Object call5570 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5569);
// compiled member node returning call5570 (depth = 7)
  Object call5571 = callmethodflags(call5570, "first", 0, partcv, params, 0);
  gc_frame_end(callframe5568);
// compiled member node returning call5571 (depth = 6)
  Object call5572 = callmethodflags(call5571, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5567);
// compiled member node returning call5572 (depth = 5)
  gc_frame_newslot(call5572);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5573 = gc_frame_new();
// call case 4: self request
  Object call5574 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5573);
// compiled member node returning call5574 (depth = 5)
  params[0] = call5572;
  partcv[0] = 1;
  Object call5575 = callmethodflags(call5574, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5566);
// compiled call node returning call5575 (depth = 4)
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5576 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5577 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5578 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5579 = gc_frame_new();
// call case 4: self request
  Object call5580 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5579);
// compiled member node returning call5580 (depth = 7)
  Object call5581 = callmethodflags(call5580, "first", 0, partcv, params, 0);
  gc_frame_end(callframe5578);
// compiled member node returning call5581 (depth = 6)
  Object call5582 = callmethodflags(call5581, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5577);
// compiled member node returning call5582 (depth = 5)
  gc_frame_newslot(call5582);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5583 = gc_frame_new();
// call case 4: self request
  Object call5584 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5583);
// compiled member node returning call5584 (depth = 5)
  params[0] = call5582;
  partcv[0] = 1;
  Object call5585 = callmethodflags(call5584, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5576);
// compiled call node returning call5585 (depth = 4)
    gc_frame_newslot(call5585);
    if5525 = call5585;
  } else {
  }
// compiled if node returning if5525 (depth = 3)
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5586 = gc_frame_new();
// call case 4: self request
  Object call5587 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5586);
// compiled member node returning call5587 (depth = 3)
  gc_frame_end(frame);
  return call5587;
}
Object meth_ast_5588_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5590 == NULL) {
    strlit5590 = alloc_String("");
    gc_root(strlit5590);
  }
// compiled string node returning strlit5590 (depth = 4)
  int op_slot_right_5589 = gc_frame_newslot(strlit5590);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5593 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num5594 = alloc_Float64(0);
// compiled num node returning num5594 (depth = 6)
  gc_frame_newslot(num5594);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5595 = gc_frame_new();
// call case 4: self request
  Object call5596 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5595);
// compiled member node returning call5596 (depth = 6)
  params[0] = num5594;
  partcv[0] = 1;
  Object call5597 = callmethodflags(call5596, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5593);
// compiled call node returning call5597 (depth = 5)
  int op_slot_right_5592 = gc_frame_newslot(call5597);
// starting to compile string node (depth = 5)
  if (strlit5599 == NULL) {
    strlit5599 = alloc_String("call ");
    gc_root(strlit5599);
  }
// compiled string node returning strlit5599 (depth = 5)
  int op_slot_left_5592 = gc_frame_newslot(strlit5599);
  params[0] = call5597;
  partcv[0] = 1;
  Object opresult5600 = callmethod(strlit5599, "++(1)", 1, partcv, params);
// compiled op node returning opresult5600 (depth = 4)
  int op_slot_left_5589 = gc_frame_newslot(opresult5600);
  params[0] = strlit5590;
  partcv[0] = 1;
  Object opresult5601 = callmethod(opresult5600, "++(1)", 1, partcv, params);
// compiled op node returning opresult5601 (depth = 3)
  gc_frame_end(frame);
  return opresult5601;
}
Object meth_ast_5602_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5603 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5604 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5605 = gc_frame_new();
// call case 4: self request
  Object call5606 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5605);
// compiled member node returning call5606 (depth = 5)
  gc_frame_newslot(call5606);
// starting to compile member node (depth = 5)
  int callframe5607 = gc_frame_new();
// call case 4: self request
  Object call5608 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5607);
// compiled member node returning call5608 (depth = 5)
  gc_frame_newslot(call5608);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_callNode (depth = 5)
  params[0] = call5606;
  params[1] = call5608;
  partcv[0] = 2;
  Object call5609 = callmethodflags(*var_callNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5604);
// compiled call node returning call5609 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5610 = callmethodflags(call5609, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5603);
// compiled call node returning call5610 (depth = 3)
  gc_frame_end(frame);
  return call5610;
}
Object meth_ast_5611_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5612 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5613 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5614 = callmethodflags(*var_other, "isPattern", 0, partcv, params, 0);
  gc_frame_end(callframe5613);
// compiled member node returning call5614 (depth = 4)
  gc_frame_newslot(call5614);
// call case 4: self request
  params[0] = call5614;
  partcv[0] = 1;
  Object call5615 = callmethodflags(self, "isPattern:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5612);
// compiled call node returning call5615 (depth = 3)
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5616 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5617 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5618 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe5617);
// compiled member node returning call5618 (depth = 4)
  gc_frame_newslot(call5618);
// call case 4: self request
  params[0] = call5618;
  partcv[0] = 1;
  Object call5619 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5616);
// compiled call node returning call5619 (depth = 3)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5620 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5621 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5622 = callmethodflags(*var_other, "isTailCall", 0, partcv, params, 0);
  gc_frame_end(callframe5621);
// compiled member node returning call5622 (depth = 4)
  gc_frame_newslot(call5622);
// call case 4: self request
  params[0] = call5622;
  partcv[0] = 1;
  Object call5623 = callmethodflags(self, "isTailCall:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5620);
// compiled call node returning call5623 (depth = 3)
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5624 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5625 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5626 = callmethodflags(*var_other, "isFresh", 0, partcv, params, 0);
  gc_frame_end(callframe5625);
// compiled member node returning call5626 (depth = 4)
  gc_frame_newslot(call5626);
// call case 4: self request
  params[0] = call5626;
  partcv[0] = 1;
  Object call5627 = callmethodflags(self, "isFresh:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5624);
// compiled call node returning call5627 (depth = 3)
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_5628_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5629 == NULL) {
    strlit5629 = alloc_String("request");
    gc_root(strlit5629);
  }
// compiled string node returning strlit5629 (depth = 3)
  gc_frame_end(frame);
  return strlit5629;
}
Object meth_ast_5076_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_callNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_receiver_39_ = &(stackframe->slots[0]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5077 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5077 = alloc_userobj2(39,32, objclass5077);
  gc_frame_newslot(obj5077);
  if (objclass5077 == NULL) {
    glfree(obj5077->class->name);
    obj5077->class->name = "callNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5077, self, 0);
  addmethodreal(obj5077,"outer", &reader_ast_outer_5078);
  Object oldself5077 = self;
  struct StackFrameObject *oldstackframe5077 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5077);
  gc_frame_newslot((Object)stackframe);
  self = obj5077;
  Object *oldselfslot5077 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5077 = (*(struct UserObject *)self).data[0], lowerouter5077 = thisouter5077;
  if (inheritingObject5077) {
    struct UserObject *inho5077 = (struct UserObject *)inheritingObject5077;
    while (inho5077->super != GraceDefaultObject) inho5077 = (struct UserObject *)inho5077->super;
    inho5077->super = obj5077;
    self = inheritingObject5077;
    *selfslot = self;
    lowerouter5077 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5077;
  }
  if (objclass5077 == NULL) {
  Method *reader5079 = addmethodrealflags(obj5077, "kind",&reader_ast_kind_5079, MFLAG_DEF);
  reader5079->definitionModule = modulename;
  reader5079->definitionLine = 1194;
  }
  adddatum2(obj5077, alloc_Undefined(), 1);
  if (objclass5077 == NULL) {
    Method *reader5080 = addmethodrealflags(obj5077, "with", &reader_ast_with_5080, 0);
    Method *writer5080 = addmethodrealflags(obj5077, "with:=(1)", &writer_ast_with_5080, 0);
    reader5080->definitionModule = modulename;
    writer5080->definitionModule = modulename;
    reader5080->definitionLine = 1195;
    writer5080->definitionLine = 1195;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 2);
  if (objclass5077 == NULL) {
    Method *reader5081 = addmethodrealflags(obj5077, "generics", &reader_ast_generics_5081, 0);
    Method *writer5081 = addmethodrealflags(obj5077, "generics:=(1)", &writer_ast_generics_5081, 0);
    reader5081->definitionModule = modulename;
    writer5081->definitionModule = modulename;
    reader5081->definitionLine = 1196;
    writer5081->definitionLine = 1196;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 3);
  if (objclass5077 == NULL) {
    Method *reader5082 = addmethodrealflags(obj5077, "isPattern", &reader_ast_isPattern_5082, 0);
    Method *writer5082 = addmethodrealflags(obj5077, "isPattern:=(1)", &writer_ast_isPattern_5082, 0);
    reader5082->definitionModule = modulename;
    writer5082->definitionModule = modulename;
    reader5082->definitionLine = 1197;
    writer5082->definitionLine = 1197;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 4);
  if (objclass5077 == NULL) {
    Method *reader5083 = addmethodrealflags(obj5077, "receiver", &reader_ast_receiver_5083, 0);
    Method *writer5083 = addmethodrealflags(obj5077, "receiver:=(1)", &writer_ast_receiver_5083, 0);
    reader5083->definitionModule = modulename;
    writer5083->definitionModule = modulename;
    reader5083->definitionLine = 1198;
    writer5083->definitionLine = 1198;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 5);
  if (objclass5077 == NULL) {
    Method *reader5084 = addmethodrealflags(obj5077, "isSelfRequest", &reader_ast_isSelfRequest_5084, 0);
    Method *writer5084 = addmethodrealflags(obj5077, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_5084, 0);
    reader5084->definitionModule = modulename;
    writer5084->definitionModule = modulename;
    reader5084->definitionLine = 1199;
    writer5084->definitionLine = 1199;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 6);
  if (objclass5077 == NULL) {
    Method *reader5085 = addmethodrealflags(obj5077, "isTailCall", &reader_ast_isTailCall_5085, 0);
    Method *writer5085 = addmethodrealflags(obj5077, "isTailCall:=(1)", &writer_ast_isTailCall_5085, 0);
    reader5085->definitionModule = modulename;
    writer5085->definitionModule = modulename;
    reader5085->definitionLine = 1200;
    writer5085->definitionLine = 1200;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 7);
  if (objclass5077 == NULL) {
    Method *reader5086 = addmethodrealflags(obj5077, "isFresh", &reader_ast_isFresh_5086, 0);
    Method *writer5086 = addmethodrealflags(obj5077, "isFresh:=(1)", &writer_ast_isFresh_5086, 0);
    reader5086->definitionModule = modulename;
    writer5086->definitionModule = modulename;
    reader5086->definitionLine = 1201;
    writer5086->definitionLine = 1201;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 8);
  if (objclass5077 == NULL) {
    Method *reader5087 = addmethodrealflags(obj5077, "cachedIdentifier", &reader_ast_cachedIdentifier_5087, MFLAG_CONFIDENTIAL);
    Method *writer5087 = addmethodrealflags(obj5077, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_5087, MFLAG_CONFIDENTIAL);
    reader5087->definitionModule = modulename;
    writer5087->definitionModule = modulename;
    reader5087->definitionLine = 1202;
    writer5087->definitionLine = 1202;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 9);
// method "end"
  struct UserObject *uo5088 = (struct UserObject*)obj5077;
  uo5088->data[10] = emptyclosure;
  Method *meth_meth_ast_5088_end = addmethod2pos(obj5077, "end", &meth_ast_5088_end, 10);
  int argcv_meth_ast_5088_end[] = {0};
  meth_meth_ast_5088_end->type = alloc_MethodType(1, argcv_meth_ast_5088_end);
  meth_meth_ast_5088_end->definitionModule = modulename;
  meth_meth_ast_5088_end->definitionLine = 1204;
// method "onSelf"
  struct UserObject *uo5095 = (struct UserObject*)obj5077;
  uo5095->data[11] = emptyclosure;
  Method *meth_meth_ast_5095_onSelf = addmethod2pos(obj5077, "onSelf", &meth_ast_5095_onSelf, 11);
  int argcv_meth_ast_5095_onSelf[] = {0};
  meth_meth_ast_5095_onSelf->type = alloc_MethodType(1, argcv_meth_ast_5095_onSelf);
  meth_meth_ast_5095_onSelf->definitionModule = modulename;
  meth_meth_ast_5095_onSelf->definitionLine = 1205;
// method "nameString"
  struct UserObject *uo5099 = (struct UserObject*)obj5077;
  uo5099->data[12] = emptyclosure;
  Method *meth_meth_ast_5099_nameString = addmethod2pos(obj5077, "nameString", &meth_ast_5099_nameString, 12);
  int argcv_meth_ast_5099_nameString[] = {0};
  meth_meth_ast_5099_nameString->type = alloc_MethodType(1, argcv_meth_ast_5099_nameString);
  meth_meth_ast_5099_nameString->definitionModule = modulename;
  meth_meth_ast_5099_nameString->definitionLine = 1211;
// method "canonicalName"
  struct UserObject *uo5113 = (struct UserObject*)obj5077;
  uo5113->data[13] = emptyclosure;
  Method *meth_meth_ast_5113_canonicalName = addmethod2pos(obj5077, "canonicalName", &meth_ast_5113_canonicalName, 13);
  int argcv_meth_ast_5113_canonicalName[] = {0};
  meth_meth_ast_5113_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_5113_canonicalName);
  meth_meth_ast_5113_canonicalName->definitionModule = modulename;
  meth_meth_ast_5113_canonicalName->definitionLine = 1216;
// method "isCall"
  struct UserObject *uo5127 = (struct UserObject*)obj5077;
  uo5127->data[14] = emptyclosure;
  Method *meth_meth_ast_5127_isCall = addmethod2pos(obj5077, "isCall", &meth_ast_5127_isCall, 14);
  int argcv_meth_ast_5127_isCall[] = {0};
  meth_meth_ast_5127_isCall->type = alloc_MethodType(1, argcv_meth_ast_5127_isCall);
  meth_meth_ast_5127_isCall->definitionModule = modulename;
  meth_meth_ast_5127_isCall->definitionLine = 1222;
// method "returnsObject"
  struct UserObject *uo5129 = (struct UserObject*)obj5077;
  uo5129->data[15] = emptyclosure;
  Method *meth_meth_ast_5129_returnsObject = addmethod2pos(obj5077, "returnsObject", &meth_ast_5129_returnsObject, 15);
  int argcv_meth_ast_5129_returnsObject[] = {0};
  meth_meth_ast_5129_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_5129_returnsObject);
  meth_meth_ast_5129_returnsObject->definitionModule = modulename;
  meth_meth_ast_5129_returnsObject->definitionLine = 1223;
// method "isCopy"
  struct UserObject *uo5140 = (struct UserObject*)obj5077;
  uo5140->data[16] = emptyclosure;
  Method *meth_meth_ast_5140_isCopy = addmethod2pos(obj5077, "isCopy", &meth_ast_5140_isCopy, 16);
  int argcv_meth_ast_5140_isCopy[] = {0};
  meth_meth_ast_5140_isCopy->type = alloc_MethodType(1, argcv_meth_ast_5140_isCopy);
  meth_meth_ast_5140_isCopy->definitionModule = modulename;
  meth_meth_ast_5140_isCopy->definitionLine = 1230;
// method "isClone"
  struct UserObject *uo5161 = (struct UserObject*)obj5077;
  uo5161->data[17] = emptyclosure;
  Method *meth_meth_ast_5161_isClone = addmethod2pos(obj5077, "isClone", &meth_ast_5161_isClone, 17);
  int argcv_meth_ast_5161_isClone[] = {0};
  meth_meth_ast_5161_isClone->type = alloc_MethodType(1, argcv_meth_ast_5161_isClone);
  meth_meth_ast_5161_isClone->definitionModule = modulename;
  meth_meth_ast_5161_isClone->definitionLine = 1234;
// method "returnedObjectScope"
  struct UserObject *uo5182 = (struct UserObject*)obj5077;
  uo5182->data[18] = emptyclosure;
  Method *meth_meth_ast_5182_returnedObjectScope = addmethod2pos(obj5077, "returnedObjectScope", &meth_ast_5182_returnedObjectScope, 18);
  int argcv_meth_ast_5182_returnedObjectScope[] = {0};
  meth_meth_ast_5182_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_5182_returnedObjectScope);
  meth_meth_ast_5182_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_5182_returnedObjectScope->definitionLine = 1238;
// method "arguments"
  struct UserObject *uo5185 = (struct UserObject*)obj5077;
  uo5185->data[19] = emptyclosure;
  Method *meth_meth_ast_5185_arguments = addmethod2pos(obj5077, "arguments", &meth_ast_5185_arguments, 19);
  int argcv_meth_ast_5185_arguments[] = {0};
  meth_meth_ast_5185_arguments->type = alloc_MethodType(1, argcv_meth_ast_5185_arguments);
  meth_meth_ast_5185_arguments->definitionModule = modulename;
  meth_meth_ast_5185_arguments->definitionLine = 1242;
// method "argumentsDo(_)"
  struct UserObject *uo5203 = (struct UserObject*)obj5077;
  uo5203->data[20] = emptyclosure;
  Method *meth_meth_ast_5203_argumentsDo_40_1_41_ = addmethod2pos(obj5077, "argumentsDo(1)", &meth_ast_5203_argumentsDo_40_1_41_, 20);
  int argcv_meth_ast_5203_argumentsDo_40_1_41_[] = {1};
  meth_meth_ast_5203_argumentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5203_argumentsDo_40_1_41_);
  meth_meth_ast_5203_argumentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5203_argumentsDo_40_1_41_->definitionLine = 1250;
// method "numArgs"
  struct UserObject *uo5220 = (struct UserObject*)obj5077;
  uo5220->data[21] = emptyclosure;
  Method *meth_meth_ast_5220_numArgs = addmethod2pos(obj5077, "numArgs", &meth_ast_5220_numArgs, 21);
  int argcv_meth_ast_5220_numArgs[] = {0};
  meth_meth_ast_5220_numArgs->type = alloc_MethodType(1, argcv_meth_ast_5220_numArgs);
  meth_meth_ast_5220_numArgs->definitionModule = modulename;
  meth_meth_ast_5220_numArgs->definitionLine = 1256;
// method "numTypeArgs"
  struct UserObject *uo5236 = (struct UserObject*)obj5077;
  uo5236->data[22] = emptyclosure;
  Method *meth_meth_ast_5236_numTypeArgs = addmethod2pos(obj5077, "numTypeArgs", &meth_ast_5236_numTypeArgs, 22);
  int argcv_meth_ast_5236_numTypeArgs[] = {0};
  meth_meth_ast_5236_numTypeArgs->type = alloc_MethodType(1, argcv_meth_ast_5236_numTypeArgs);
  meth_meth_ast_5236_numTypeArgs->definitionModule = modulename;
  meth_meth_ast_5236_numTypeArgs->definitionLine = 1260;
// method "accept(_)from(_)"
  struct UserObject *uo5249 = (struct UserObject*)obj5077;
  uo5249->data[23] = emptyclosure;
  Method *meth_meth_ast_5249_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj5077, "accept(1)from(1)", &meth_ast_5249_accept_40_1_41_from_40_1_41_, 23);
  int argcv_meth_ast_5249_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_5249_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5249_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_5249_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5249_accept_40_1_41_from_40_1_41_->definitionLine = 1264;
// method "map(_)ancestors(_)"
  struct UserObject *uo5291 = (struct UserObject*)obj5077;
  uo5291->data[24] = emptyclosure;
  Method *meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj5077, "map(1)ancestors(1)", &meth_ast_5291_map_40_1_41_ancestors_40_1_41_, 24);
  int argcv_meth_ast_5291_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5291_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_->definitionLine = 1280;
// method "pretty(_)"
  struct UserObject *uo5316 = (struct UserObject*)obj5077;
  uo5316->data[25] = emptyclosure;
  Method *meth_meth_ast_5316_pretty_40_1_41_ = addmethod2pos(obj5077, "pretty(1)", &meth_ast_5316_pretty_40_1_41_, 25);
  int argcv_meth_ast_5316_pretty_40_1_41_[] = {1};
  meth_meth_ast_5316_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5316_pretty_40_1_41_);
  meth_meth_ast_5316_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5316_pretty_40_1_41_->definitionLine = 1288;
// method "toGrace(_)"
  struct UserObject *uo5451 = (struct UserObject*)obj5077;
  uo5451->data[26] = emptyclosure;
  Method *meth_meth_ast_5451_toGrace_40_1_41_ = addmethod2pos(obj5077, "toGrace(1)", &meth_ast_5451_toGrace_40_1_41_, 26);
  int argcv_meth_ast_5451_toGrace_40_1_41_[] = {1};
  meth_meth_ast_5451_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5451_toGrace_40_1_41_);
meth_meth_ast_5451_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_5451_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_5451_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5451_toGrace_40_1_41_->definitionLine = 1306;
// method "asIdentifier"
  block_savedest(obj5077);
  Object closure5524 = createclosure(3, "asIdentifier");
  setclosureframe(closure5524, stackframe);
  addtoclosure(closure5524, var_uninitialized);
  addtoclosure(closure5524, var_fakeSymbolTable);
  addtoclosure(closure5524, var_identifierNode);
  struct UserObject *uo5524 = (struct UserObject*)obj5077;
  uo5524->data[27] = (Object)closure5524;
  Method *meth_meth_ast_5524_asIdentifier = addmethod2pos(obj5077, "asIdentifier", &meth_ast_5524_asIdentifier, 27);
  int argcv_meth_ast_5524_asIdentifier[] = {0};
  meth_meth_ast_5524_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_5524_asIdentifier);
  meth_meth_ast_5524_asIdentifier->definitionModule = modulename;
  meth_meth_ast_5524_asIdentifier->definitionLine = 1319;
// method "asString"
  struct UserObject *uo5588 = (struct UserObject*)obj5077;
  uo5588->data[28] = emptyclosure;
  Method *meth_meth_ast_5588_asString = addmethod2pos(obj5077, "asString", &meth_ast_5588_asString, 28);
  int argcv_meth_ast_5588_asString[] = {0};
  meth_meth_ast_5588_asString->type = alloc_MethodType(1, argcv_meth_ast_5588_asString);
  meth_meth_ast_5588_asString->definitionModule = modulename;
  meth_meth_ast_5588_asString->definitionLine = 1334;
// method "shallowCopy"
  block_savedest(obj5077);
  Object closure5602 = createclosure(1, "shallowCopy");
  setclosureframe(closure5602, stackframe);
  addtoclosure(closure5602, var_callNode);
  struct UserObject *uo5602 = (struct UserObject*)obj5077;
  uo5602->data[29] = (Object)closure5602;
  Method *meth_meth_ast_5602_shallowCopy = addmethod2pos(obj5077, "shallowCopy", &meth_ast_5602_shallowCopy, 29);
  int argcv_meth_ast_5602_shallowCopy[] = {0};
  meth_meth_ast_5602_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_5602_shallowCopy);
  meth_meth_ast_5602_shallowCopy->definitionModule = modulename;
  meth_meth_ast_5602_shallowCopy->definitionLine = 1335;
// method "postCopy(_)"
  struct UserObject *uo5611 = (struct UserObject*)obj5077;
  uo5611->data[30] = emptyclosure;
  Method *meth_meth_ast_5611_postCopy_40_1_41_ = addmethod2pos(obj5077, "postCopy(1)", &meth_ast_5611_postCopy_40_1_41_, 30);
  int argcv_meth_ast_5611_postCopy_40_1_41_[] = {1};
  meth_meth_ast_5611_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5611_postCopy_40_1_41_);
  meth_meth_ast_5611_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5611_postCopy_40_1_41_->definitionLine = 1338;
// method "statementName"
  struct UserObject *uo5628 = (struct UserObject*)obj5077;
  uo5628->data[31] = emptyclosure;
  Method *meth_meth_ast_5628_statementName = addmethod2pos(obj5077, "statementName", &meth_ast_5628_statementName, 31);
  int argcv_meth_ast_5628_statementName[] = {0};
  meth_meth_ast_5628_statementName->type = alloc_MethodType(1, argcv_meth_ast_5628_statementName);
  meth_meth_ast_5628_statementName->definitionModule = modulename;
  meth_meth_ast_5628_statementName->definitionLine = 1345;
  sourceObject = obj5077;
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5630 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5631 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5630);
// compiled call node returning call5631 (depth = 3)
  struct UserObject *obj5077_uo = (struct UserObject *)obj5077;
  obj5077_uo->super = call5631;
  sourceObject = obj5077;
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5632 == NULL) {
    strlit5632 = alloc_String("call");
    gc_root(strlit5632);
  }
// compiled string node returning strlit5632 (depth = 3)
  adddatum2(obj5077, strlit5632, 1);
  sourceObject = obj5077;
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_parts (depth = 3)
  adddatum2(obj5077, *var_parts, 2);
  sourceObject = obj5077;
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5633 = alloc_Boolean(0);
// compiled identifier node returning bool5633 (depth = 3)
  adddatum2(obj5077, bool5633, 3);
  sourceObject = obj5077;
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5634 = alloc_Boolean(0);
// compiled identifier node returning bool5634 (depth = 3)
  adddatum2(obj5077, bool5634, 4);
  sourceObject = obj5077;
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj5077, *var_receiver_39_, 5);
  sourceObject = obj5077;
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5635 = alloc_Boolean(0);
// compiled identifier node returning bool5635 (depth = 3)
  adddatum2(obj5077, bool5635, 6);
  sourceObject = obj5077;
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5636 = alloc_Boolean(0);
// compiled identifier node returning bool5636 (depth = 3)
  adddatum2(obj5077, bool5636, 7);
  sourceObject = obj5077;
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5637 = alloc_Boolean(0);
// compiled identifier node returning bool5637 (depth = 3)
  adddatum2(obj5077, bool5637, 8);
  sourceObject = obj5077;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj5077, *var_uninitialized, 9);
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  objclass5077 = obj5077->class;
  objclass5077->definitionModule = modulename;
  objclass5077->definitionLine = 1188;
  (*(struct UserObject *)self).data[0] = lowerouter5077;
  self = oldself5077;
  selfslot = oldselfslot5077;
  stackframe = oldstackframe5077;
  gc_frame_end(frame);
  return obj5077;
}
Object meth_ast_5076_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_callNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_receiver_39_ = &(stackframe->slots[0]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5077 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5077 = alloc_userobj2(39,32, objclass5077);
  gc_frame_newslot(obj5077);
  if (objclass5077 == NULL) {
    glfree(obj5077->class->name);
    obj5077->class->name = "callNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5077, self, 0);
  addmethodreal(obj5077,"outer", &reader_ast_outer_5078);
  Object oldself5077 = self;
  struct StackFrameObject *oldstackframe5077 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5077);
  gc_frame_newslot((Object)stackframe);
  self = obj5077;
  Object *oldselfslot5077 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5077 = (*(struct UserObject *)self).data[0], lowerouter5077 = thisouter5077;
  if (inheritingObject5077) {
    struct UserObject *inho5077 = (struct UserObject *)inheritingObject5077;
    while (inho5077->super != GraceDefaultObject) inho5077 = (struct UserObject *)inho5077->super;
    inho5077->super = obj5077;
    self = inheritingObject5077;
    *selfslot = self;
    lowerouter5077 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5077;
  }
  if (objclass5077 == NULL) {
  Method *reader5079 = addmethodrealflags(obj5077, "kind",&reader_ast_kind_5079, MFLAG_DEF);
  reader5079->definitionModule = modulename;
  reader5079->definitionLine = 1194;
  }
  adddatum2(obj5077, alloc_Undefined(), 1);
  if (objclass5077 == NULL) {
    Method *reader5080 = addmethodrealflags(obj5077, "with", &reader_ast_with_5080, 0);
    Method *writer5080 = addmethodrealflags(obj5077, "with:=(1)", &writer_ast_with_5080, 0);
    reader5080->definitionModule = modulename;
    writer5080->definitionModule = modulename;
    reader5080->definitionLine = 1195;
    writer5080->definitionLine = 1195;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 2);
  if (objclass5077 == NULL) {
    Method *reader5081 = addmethodrealflags(obj5077, "generics", &reader_ast_generics_5081, 0);
    Method *writer5081 = addmethodrealflags(obj5077, "generics:=(1)", &writer_ast_generics_5081, 0);
    reader5081->definitionModule = modulename;
    writer5081->definitionModule = modulename;
    reader5081->definitionLine = 1196;
    writer5081->definitionLine = 1196;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 3);
  if (objclass5077 == NULL) {
    Method *reader5082 = addmethodrealflags(obj5077, "isPattern", &reader_ast_isPattern_5082, 0);
    Method *writer5082 = addmethodrealflags(obj5077, "isPattern:=(1)", &writer_ast_isPattern_5082, 0);
    reader5082->definitionModule = modulename;
    writer5082->definitionModule = modulename;
    reader5082->definitionLine = 1197;
    writer5082->definitionLine = 1197;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 4);
  if (objclass5077 == NULL) {
    Method *reader5083 = addmethodrealflags(obj5077, "receiver", &reader_ast_receiver_5083, 0);
    Method *writer5083 = addmethodrealflags(obj5077, "receiver:=(1)", &writer_ast_receiver_5083, 0);
    reader5083->definitionModule = modulename;
    writer5083->definitionModule = modulename;
    reader5083->definitionLine = 1198;
    writer5083->definitionLine = 1198;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 5);
  if (objclass5077 == NULL) {
    Method *reader5084 = addmethodrealflags(obj5077, "isSelfRequest", &reader_ast_isSelfRequest_5084, 0);
    Method *writer5084 = addmethodrealflags(obj5077, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_5084, 0);
    reader5084->definitionModule = modulename;
    writer5084->definitionModule = modulename;
    reader5084->definitionLine = 1199;
    writer5084->definitionLine = 1199;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 6);
  if (objclass5077 == NULL) {
    Method *reader5085 = addmethodrealflags(obj5077, "isTailCall", &reader_ast_isTailCall_5085, 0);
    Method *writer5085 = addmethodrealflags(obj5077, "isTailCall:=(1)", &writer_ast_isTailCall_5085, 0);
    reader5085->definitionModule = modulename;
    writer5085->definitionModule = modulename;
    reader5085->definitionLine = 1200;
    writer5085->definitionLine = 1200;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 7);
  if (objclass5077 == NULL) {
    Method *reader5086 = addmethodrealflags(obj5077, "isFresh", &reader_ast_isFresh_5086, 0);
    Method *writer5086 = addmethodrealflags(obj5077, "isFresh:=(1)", &writer_ast_isFresh_5086, 0);
    reader5086->definitionModule = modulename;
    writer5086->definitionModule = modulename;
    reader5086->definitionLine = 1201;
    writer5086->definitionLine = 1201;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 8);
  if (objclass5077 == NULL) {
    Method *reader5087 = addmethodrealflags(obj5077, "cachedIdentifier", &reader_ast_cachedIdentifier_5087, MFLAG_CONFIDENTIAL);
    Method *writer5087 = addmethodrealflags(obj5077, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_5087, MFLAG_CONFIDENTIAL);
    reader5087->definitionModule = modulename;
    writer5087->definitionModule = modulename;
    reader5087->definitionLine = 1202;
    writer5087->definitionLine = 1202;
  }
  obj5077->flags |= OFLAG_MUTABLE;
  adddatum2(obj5077, alloc_Undefined(), 9);
// method "end"
  struct UserObject *uo5088 = (struct UserObject*)obj5077;
  uo5088->data[10] = emptyclosure;
  Method *meth_meth_ast_5088_end = addmethod2pos(obj5077, "end", &meth_ast_5088_end, 10);
  int argcv_meth_ast_5088_end[] = {0};
  meth_meth_ast_5088_end->type = alloc_MethodType(1, argcv_meth_ast_5088_end);
  meth_meth_ast_5088_end->definitionModule = modulename;
  meth_meth_ast_5088_end->definitionLine = 1204;
// method "onSelf"
  struct UserObject *uo5095 = (struct UserObject*)obj5077;
  uo5095->data[11] = emptyclosure;
  Method *meth_meth_ast_5095_onSelf = addmethod2pos(obj5077, "onSelf", &meth_ast_5095_onSelf, 11);
  int argcv_meth_ast_5095_onSelf[] = {0};
  meth_meth_ast_5095_onSelf->type = alloc_MethodType(1, argcv_meth_ast_5095_onSelf);
  meth_meth_ast_5095_onSelf->definitionModule = modulename;
  meth_meth_ast_5095_onSelf->definitionLine = 1205;
// method "nameString"
  struct UserObject *uo5099 = (struct UserObject*)obj5077;
  uo5099->data[12] = emptyclosure;
  Method *meth_meth_ast_5099_nameString = addmethod2pos(obj5077, "nameString", &meth_ast_5099_nameString, 12);
  int argcv_meth_ast_5099_nameString[] = {0};
  meth_meth_ast_5099_nameString->type = alloc_MethodType(1, argcv_meth_ast_5099_nameString);
  meth_meth_ast_5099_nameString->definitionModule = modulename;
  meth_meth_ast_5099_nameString->definitionLine = 1211;
// method "canonicalName"
  struct UserObject *uo5113 = (struct UserObject*)obj5077;
  uo5113->data[13] = emptyclosure;
  Method *meth_meth_ast_5113_canonicalName = addmethod2pos(obj5077, "canonicalName", &meth_ast_5113_canonicalName, 13);
  int argcv_meth_ast_5113_canonicalName[] = {0};
  meth_meth_ast_5113_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_5113_canonicalName);
  meth_meth_ast_5113_canonicalName->definitionModule = modulename;
  meth_meth_ast_5113_canonicalName->definitionLine = 1216;
// method "isCall"
  struct UserObject *uo5127 = (struct UserObject*)obj5077;
  uo5127->data[14] = emptyclosure;
  Method *meth_meth_ast_5127_isCall = addmethod2pos(obj5077, "isCall", &meth_ast_5127_isCall, 14);
  int argcv_meth_ast_5127_isCall[] = {0};
  meth_meth_ast_5127_isCall->type = alloc_MethodType(1, argcv_meth_ast_5127_isCall);
  meth_meth_ast_5127_isCall->definitionModule = modulename;
  meth_meth_ast_5127_isCall->definitionLine = 1222;
// method "returnsObject"
  struct UserObject *uo5129 = (struct UserObject*)obj5077;
  uo5129->data[15] = emptyclosure;
  Method *meth_meth_ast_5129_returnsObject = addmethod2pos(obj5077, "returnsObject", &meth_ast_5129_returnsObject, 15);
  int argcv_meth_ast_5129_returnsObject[] = {0};
  meth_meth_ast_5129_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_5129_returnsObject);
  meth_meth_ast_5129_returnsObject->definitionModule = modulename;
  meth_meth_ast_5129_returnsObject->definitionLine = 1223;
// method "isCopy"
  struct UserObject *uo5140 = (struct UserObject*)obj5077;
  uo5140->data[16] = emptyclosure;
  Method *meth_meth_ast_5140_isCopy = addmethod2pos(obj5077, "isCopy", &meth_ast_5140_isCopy, 16);
  int argcv_meth_ast_5140_isCopy[] = {0};
  meth_meth_ast_5140_isCopy->type = alloc_MethodType(1, argcv_meth_ast_5140_isCopy);
  meth_meth_ast_5140_isCopy->definitionModule = modulename;
  meth_meth_ast_5140_isCopy->definitionLine = 1230;
// method "isClone"
  struct UserObject *uo5161 = (struct UserObject*)obj5077;
  uo5161->data[17] = emptyclosure;
  Method *meth_meth_ast_5161_isClone = addmethod2pos(obj5077, "isClone", &meth_ast_5161_isClone, 17);
  int argcv_meth_ast_5161_isClone[] = {0};
  meth_meth_ast_5161_isClone->type = alloc_MethodType(1, argcv_meth_ast_5161_isClone);
  meth_meth_ast_5161_isClone->definitionModule = modulename;
  meth_meth_ast_5161_isClone->definitionLine = 1234;
// method "returnedObjectScope"
  struct UserObject *uo5182 = (struct UserObject*)obj5077;
  uo5182->data[18] = emptyclosure;
  Method *meth_meth_ast_5182_returnedObjectScope = addmethod2pos(obj5077, "returnedObjectScope", &meth_ast_5182_returnedObjectScope, 18);
  int argcv_meth_ast_5182_returnedObjectScope[] = {0};
  meth_meth_ast_5182_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_5182_returnedObjectScope);
  meth_meth_ast_5182_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_5182_returnedObjectScope->definitionLine = 1238;
// method "arguments"
  struct UserObject *uo5185 = (struct UserObject*)obj5077;
  uo5185->data[19] = emptyclosure;
  Method *meth_meth_ast_5185_arguments = addmethod2pos(obj5077, "arguments", &meth_ast_5185_arguments, 19);
  int argcv_meth_ast_5185_arguments[] = {0};
  meth_meth_ast_5185_arguments->type = alloc_MethodType(1, argcv_meth_ast_5185_arguments);
  meth_meth_ast_5185_arguments->definitionModule = modulename;
  meth_meth_ast_5185_arguments->definitionLine = 1242;
// method "argumentsDo(_)"
  struct UserObject *uo5203 = (struct UserObject*)obj5077;
  uo5203->data[20] = emptyclosure;
  Method *meth_meth_ast_5203_argumentsDo_40_1_41_ = addmethod2pos(obj5077, "argumentsDo(1)", &meth_ast_5203_argumentsDo_40_1_41_, 20);
  int argcv_meth_ast_5203_argumentsDo_40_1_41_[] = {1};
  meth_meth_ast_5203_argumentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5203_argumentsDo_40_1_41_);
  meth_meth_ast_5203_argumentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5203_argumentsDo_40_1_41_->definitionLine = 1250;
// method "numArgs"
  struct UserObject *uo5220 = (struct UserObject*)obj5077;
  uo5220->data[21] = emptyclosure;
  Method *meth_meth_ast_5220_numArgs = addmethod2pos(obj5077, "numArgs", &meth_ast_5220_numArgs, 21);
  int argcv_meth_ast_5220_numArgs[] = {0};
  meth_meth_ast_5220_numArgs->type = alloc_MethodType(1, argcv_meth_ast_5220_numArgs);
  meth_meth_ast_5220_numArgs->definitionModule = modulename;
  meth_meth_ast_5220_numArgs->definitionLine = 1256;
// method "numTypeArgs"
  struct UserObject *uo5236 = (struct UserObject*)obj5077;
  uo5236->data[22] = emptyclosure;
  Method *meth_meth_ast_5236_numTypeArgs = addmethod2pos(obj5077, "numTypeArgs", &meth_ast_5236_numTypeArgs, 22);
  int argcv_meth_ast_5236_numTypeArgs[] = {0};
  meth_meth_ast_5236_numTypeArgs->type = alloc_MethodType(1, argcv_meth_ast_5236_numTypeArgs);
  meth_meth_ast_5236_numTypeArgs->definitionModule = modulename;
  meth_meth_ast_5236_numTypeArgs->definitionLine = 1260;
// method "accept(_)from(_)"
  struct UserObject *uo5249 = (struct UserObject*)obj5077;
  uo5249->data[23] = emptyclosure;
  Method *meth_meth_ast_5249_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj5077, "accept(1)from(1)", &meth_ast_5249_accept_40_1_41_from_40_1_41_, 23);
  int argcv_meth_ast_5249_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_5249_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5249_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_5249_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5249_accept_40_1_41_from_40_1_41_->definitionLine = 1264;
// method "map(_)ancestors(_)"
  struct UserObject *uo5291 = (struct UserObject*)obj5077;
  uo5291->data[24] = emptyclosure;
  Method *meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj5077, "map(1)ancestors(1)", &meth_ast_5291_map_40_1_41_ancestors_40_1_41_, 24);
  int argcv_meth_ast_5291_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5291_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5291_map_40_1_41_ancestors_40_1_41_->definitionLine = 1280;
// method "pretty(_)"
  struct UserObject *uo5316 = (struct UserObject*)obj5077;
  uo5316->data[25] = emptyclosure;
  Method *meth_meth_ast_5316_pretty_40_1_41_ = addmethod2pos(obj5077, "pretty(1)", &meth_ast_5316_pretty_40_1_41_, 25);
  int argcv_meth_ast_5316_pretty_40_1_41_[] = {1};
  meth_meth_ast_5316_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5316_pretty_40_1_41_);
  meth_meth_ast_5316_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5316_pretty_40_1_41_->definitionLine = 1288;
// method "toGrace(_)"
  struct UserObject *uo5451 = (struct UserObject*)obj5077;
  uo5451->data[26] = emptyclosure;
  Method *meth_meth_ast_5451_toGrace_40_1_41_ = addmethod2pos(obj5077, "toGrace(1)", &meth_ast_5451_toGrace_40_1_41_, 26);
  int argcv_meth_ast_5451_toGrace_40_1_41_[] = {1};
  meth_meth_ast_5451_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5451_toGrace_40_1_41_);
meth_meth_ast_5451_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_5451_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_5451_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5451_toGrace_40_1_41_->definitionLine = 1306;
// method "asIdentifier"
  block_savedest(obj5077);
  Object closure5524 = createclosure(3, "asIdentifier");
  setclosureframe(closure5524, stackframe);
  addtoclosure(closure5524, var_uninitialized);
  addtoclosure(closure5524, var_fakeSymbolTable);
  addtoclosure(closure5524, var_identifierNode);
  struct UserObject *uo5524 = (struct UserObject*)obj5077;
  uo5524->data[27] = (Object)closure5524;
  Method *meth_meth_ast_5524_asIdentifier = addmethod2pos(obj5077, "asIdentifier", &meth_ast_5524_asIdentifier, 27);
  int argcv_meth_ast_5524_asIdentifier[] = {0};
  meth_meth_ast_5524_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_5524_asIdentifier);
  meth_meth_ast_5524_asIdentifier->definitionModule = modulename;
  meth_meth_ast_5524_asIdentifier->definitionLine = 1319;
// method "asString"
  struct UserObject *uo5588 = (struct UserObject*)obj5077;
  uo5588->data[28] = emptyclosure;
  Method *meth_meth_ast_5588_asString = addmethod2pos(obj5077, "asString", &meth_ast_5588_asString, 28);
  int argcv_meth_ast_5588_asString[] = {0};
  meth_meth_ast_5588_asString->type = alloc_MethodType(1, argcv_meth_ast_5588_asString);
  meth_meth_ast_5588_asString->definitionModule = modulename;
  meth_meth_ast_5588_asString->definitionLine = 1334;
// method "shallowCopy"
  block_savedest(obj5077);
  Object closure5602 = createclosure(1, "shallowCopy");
  setclosureframe(closure5602, stackframe);
  addtoclosure(closure5602, var_callNode);
  struct UserObject *uo5602 = (struct UserObject*)obj5077;
  uo5602->data[29] = (Object)closure5602;
  Method *meth_meth_ast_5602_shallowCopy = addmethod2pos(obj5077, "shallowCopy", &meth_ast_5602_shallowCopy, 29);
  int argcv_meth_ast_5602_shallowCopy[] = {0};
  meth_meth_ast_5602_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_5602_shallowCopy);
  meth_meth_ast_5602_shallowCopy->definitionModule = modulename;
  meth_meth_ast_5602_shallowCopy->definitionLine = 1335;
// method "postCopy(_)"
  struct UserObject *uo5611 = (struct UserObject*)obj5077;
  uo5611->data[30] = emptyclosure;
  Method *meth_meth_ast_5611_postCopy_40_1_41_ = addmethod2pos(obj5077, "postCopy(1)", &meth_ast_5611_postCopy_40_1_41_, 30);
  int argcv_meth_ast_5611_postCopy_40_1_41_[] = {1};
  meth_meth_ast_5611_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5611_postCopy_40_1_41_);
  meth_meth_ast_5611_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5611_postCopy_40_1_41_->definitionLine = 1338;
// method "statementName"
  struct UserObject *uo5628 = (struct UserObject*)obj5077;
  uo5628->data[31] = emptyclosure;
  Method *meth_meth_ast_5628_statementName = addmethod2pos(obj5077, "statementName", &meth_ast_5628_statementName, 31);
  int argcv_meth_ast_5628_statementName[] = {0};
  meth_meth_ast_5628_statementName->type = alloc_MethodType(1, argcv_meth_ast_5628_statementName);
  meth_meth_ast_5628_statementName->definitionModule = modulename;
  meth_meth_ast_5628_statementName->definitionLine = 1345;
  sourceObject = obj5077;
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5630 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5631 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5630);
// compiled call node returning call5631 (depth = 3)
  struct UserObject *obj5077_uo = (struct UserObject *)obj5077;
  obj5077_uo->super = call5631;
  sourceObject = obj5077;
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5632 == NULL) {
    strlit5632 = alloc_String("call");
    gc_root(strlit5632);
  }
// compiled string node returning strlit5632 (depth = 3)
  adddatum2(obj5077, strlit5632, 1);
  sourceObject = obj5077;
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_parts (depth = 3)
  adddatum2(obj5077, *var_parts, 2);
  sourceObject = obj5077;
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5633 = alloc_Boolean(0);
// compiled identifier node returning bool5633 (depth = 3)
  adddatum2(obj5077, bool5633, 3);
  sourceObject = obj5077;
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5634 = alloc_Boolean(0);
// compiled identifier node returning bool5634 (depth = 3)
  adddatum2(obj5077, bool5634, 4);
  sourceObject = obj5077;
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj5077, *var_receiver_39_, 5);
  sourceObject = obj5077;
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5635 = alloc_Boolean(0);
// compiled identifier node returning bool5635 (depth = 3)
  adddatum2(obj5077, bool5635, 6);
  sourceObject = obj5077;
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5636 = alloc_Boolean(0);
// compiled identifier node returning bool5636 (depth = 3)
  adddatum2(obj5077, bool5636, 7);
  sourceObject = obj5077;
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5637 = alloc_Boolean(0);
// compiled identifier node returning bool5637 (depth = 3)
  adddatum2(obj5077, bool5637, 8);
  sourceObject = obj5077;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj5077, *var_uninitialized, 9);
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  sourceObject = obj5077;
  objclass5077 = obj5077->class;
  objclass5077->definitionModule = modulename;
  objclass5077->definitionLine = 1188;
  (*(struct UserObject *)self).data[0] = lowerouter5077;
  self = oldself5077;
  selfslot = oldselfslot5077;
  stackframe = oldstackframe5077;
  gc_frame_end(frame);
  return obj5077;
}
Object meth_ast_5639_callNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_callNode (depth = 3)
  gc_frame_end(frame);
  return *var_callNode;
}
Object meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5643 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call5644 = callmethodflags(self, "body(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5643);
// compiled call node returning call5644 (depth = 4)
  *var_result = call5644;
  if (call5644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5645 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5646 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5645);
// compiled call node returning call5646 (depth = 3)
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5647 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5648 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5647);
// compiled call node returning call5648 (depth = 3)
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_5649_body_40_1_41_named_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5650 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call5651 = callmethodflags(self, "body(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5650);
// compiled call node returning call5651 (depth = 4)
  *var_result = call5651;
  if (call5651 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5652 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5653 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5652);
// compiled call node returning call5653 (depth = 3)
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_5661_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5662 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5663 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5664 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call5665 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5664);
// compiled member node returning call5665 (depth = 5)
  Object call5666 = callmethodflags(call5665, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5663);
// compiled member node returning call5666 (depth = 4)
  gc_frame_newslot(call5666);
// starting to compile member node (depth = 4)
  int callframe5667 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5668 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5669 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call5670 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5669);
// compiled member node returning call5670 (depth = 6)
  Object call5671 = callmethodflags(call5670, "last", 0, partcv, params, 0);
  gc_frame_end(callframe5668);
// compiled member node returning call5671 (depth = 5)
  Object call5672 = callmethodflags(call5671, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5667);
// compiled member node returning call5672 (depth = 4)
  gc_frame_newslot(call5672);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call5666;
  params[1] = call5672;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5673 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5662);
// compiled call node returning call5673 (depth = 3)
  gc_frame_end(frame);
  return call5673;
}
Object meth_ast_5674_isModule(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isModule");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5675 = alloc_Boolean(1);
// compiled identifier node returning bool5675 (depth = 3)
  gc_frame_end(frame);
  return bool5675;
}
Object meth_ast_5676_isTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5677 = alloc_Boolean(0);
// compiled identifier node returning bool5677 (depth = 3)
  gc_frame_end(frame);
  return bool5677;
}
Object meth_ast_5678_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5679 = alloc_Boolean(0);
// compiled identifier node returning bool5679 (depth = 3)
  gc_frame_end(frame);
  return bool5679;
}
Object meth_ast_5683__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5685 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5686 = callmethodflags(*var_o, "isExternal", 0, partcv, params, 0);
  gc_frame_end(callframe5685);
// compiled member node returning call5686 (depth = 6)
  Object if5684 = done;
  if (istrue(call5686)) {
// starting to compile call node (depth = 6)
  int callframe5687 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5688 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5687);
// compiled call node returning call5688 (depth = 6)
    gc_frame_newslot(call5688);
    if5684 = call5688;
  } else {
  }
// compiled if node returning if5684 (depth = 5)
  gc_frame_end(frame);
  return if5684;
}
Object meth_ast_5680_importsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "importsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method importsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for importsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part importsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5681 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5682 = alloc_Block(NULL, NULL, "ast", 1376);
  gc_frame_newslot(block5682);
// method "_apply(_)"
  block_savedest(block5682);
  Object closure5683 = createclosure(2, "_apply(1)");
  setclosureframe(closure5683, stackframe);
  addtoclosure(closure5683, var_action);
  addtoclosure(closure5683, selfslot);
  struct UserObject *uo5683 = (struct UserObject*)block5682;
  uo5683->data[0] = (Object)closure5683;
  Method *meth_meth_ast_5683__apply_40_1_41_ = addmethod2pos(block5682, "_apply(1)", &meth_ast_5683__apply_40_1_41_, 0);
  int argcv_meth_ast_5683__apply_40_1_41_[] = {1};
  meth_meth_ast_5683__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5683__apply_40_1_41_);
  meth_meth_ast_5683__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5683__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5682 (depth = 4)
  gc_frame_newslot(block5682);
// call case 6: other requests
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5690 = gc_frame_new();
// call case 4: self request
  Object call5691 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5690);
// compiled member node returning call5691 (depth = 4)
  params[0] = block5682;
  partcv[0] = 1;
  Object call5692 = callmethodflags(call5691, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5681);
// compiled call node returning call5692 (depth = 3)
  gc_frame_end(frame);
  return call5692;
}
Object meth_ast_5709__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5711 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5712 = callmethodflags(*var_o, "isExternal", 0, partcv, params, 0);
  gc_frame_end(callframe5711);
// compiled member node returning call5712 (depth = 6)
  Object if5710 = done;
  if (istrue(call5712)) {
// starting to compile call node (depth = 6)
  int callframe5713 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5714 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5713);
// compiled call node returning call5714 (depth = 6)
    gc_frame_newslot(call5714);
    if5710 = call5714;
  } else {
  }
// compiled if node returning if5710 (depth = 5)
  gc_frame_end(frame);
  return if5710;
}
Object meth_ast_5693_externalsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "externalsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method externalsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for externalsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part externalsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5696 == NULL) {
    strlit5696 = alloc_String("none");
    gc_root(strlit5696);
  }
// compiled string node returning strlit5696 (depth = 5)
  int op_slot_right_5695 = gc_frame_newslot(strlit5696);
// starting to compile member node (depth = 5)
  int callframe5698 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5699 = gc_frame_new();
// call case 4: self request
  Object call5700 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5699);
// compiled member node returning call5700 (depth = 6)
  Object call5701 = callmethodflags(call5700, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5698);
// compiled member node returning call5701 (depth = 5)
  int op_slot_left_5695 = gc_frame_newslot(call5701);
  params[0] = strlit5696;
  partcv[0] = 1;
  Object opresult5702 = callmethod(call5701, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5702 (depth = 4)
  Object if5694 = done;
  if (istrue(opresult5702)) {
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5703 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5704 = gc_frame_new();
// call case 4: self request
  Object call5705 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5704);
// compiled member node returning call5705 (depth = 5)
  gc_frame_newslot(call5705);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_action (depth = 5)
  params[0] = call5705;
  partcv[0] = 1;
  Object call5706 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5703);
// compiled call node returning call5706 (depth = 4)
    gc_frame_newslot(call5706);
    if5694 = call5706;
  } else {
  }
// compiled if node returning if5694 (depth = 3)
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5707 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5708 = alloc_Block(NULL, NULL, "ast", 1384);
  gc_frame_newslot(block5708);
// method "_apply(_)"
  block_savedest(block5708);
  Object closure5709 = createclosure(2, "_apply(1)");
  setclosureframe(closure5709, stackframe);
  addtoclosure(closure5709, var_action);
  addtoclosure(closure5709, selfslot);
  struct UserObject *uo5709 = (struct UserObject*)block5708;
  uo5709->data[0] = (Object)closure5709;
  Method *meth_meth_ast_5709__apply_40_1_41_ = addmethod2pos(block5708, "_apply(1)", &meth_ast_5709__apply_40_1_41_, 0);
  int argcv_meth_ast_5709__apply_40_1_41_[] = {1};
  meth_meth_ast_5709__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5709__apply_40_1_41_);
  meth_meth_ast_5709__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5709__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5708 (depth = 4)
  gc_frame_newslot(block5708);
// call case 6: other requests
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5716 = gc_frame_new();
// call case 4: self request
  Object call5717 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5716);
// compiled member node returning call5717 (depth = 4)
  params[0] = block5708;
  partcv[0] = 1;
  Object call5718 = callmethodflags(call5717, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5707);
// compiled call node returning call5718 (depth = 3)
  gc_frame_end(frame);
  return call5718;
}
Object meth_ast_5744__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5745 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5746 = callmethodflags(*var_x, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5745);
// compiled call node returning call5746 (depth = 6)
  gc_frame_end(frame);
  return call5746;
}
Object meth_ast_5719_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5721 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5722 = callmethodflags(*var_visitor, "visitModule(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5721);
// compiled call node returning call5722 (depth = 4)
  Object if5720 = done;
  if (istrue(call5722)) {
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5723 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5724 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5723);
// compiled call node returning call5724 (depth = 5)
  *var_newChain = call5724;
  if (call5724 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5725 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5726 = gc_frame_new();
// call case 4: self request
  Object call5727 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5726);
// compiled member node returning call5727 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5728 = callmethodflags(call5727, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5725);
// compiled call node returning call5728 (depth = 4)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5731 = gc_frame_new();
// call case 4: self request
  Object call5732 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5731);
// compiled member node returning call5732 (depth = 6)
  int op_slot_right_5730 = gc_frame_newslot(call5732);
// starting to compile identifier node (depth = 6)
  Object bool5734 = alloc_Boolean(0);
// compiled identifier node returning bool5734 (depth = 6)
  int op_slot_left_5730 = gc_frame_newslot(bool5734);
  params[0] = call5732;
  partcv[0] = 1;
  Object opresult5735 = callmethod(bool5734, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5735 (depth = 5)
  Object if5729 = done;
  if (istrue(opresult5735)) {
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5736 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5737 = gc_frame_new();
// call case 4: self request
  Object call5738 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5737);
// compiled member node returning call5738 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5739 = callmethodflags(call5738, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5736);
// compiled call node returning call5739 (depth = 5)
    gc_frame_newslot(call5739);
    if5729 = call5739;
  } else {
  }
// compiled if node returning if5729 (depth = 4)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5740 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5741 = gc_frame_new();
// call case 4: self request
  Object call5742 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5741);
// compiled member node returning call5742 (depth = 5)
  gc_frame_newslot(call5742);
// starting to compile block node (depth = 5)
  Object block5743 = alloc_Block(NULL, NULL, "ast", 1395);
  gc_frame_newslot(block5743);
// method "_apply(_)"
  block_savedest(block5743);
  Object closure5744 = createclosure(3, "_apply(1)");
  setclosureframe(closure5744, stackframe);
  addtoclosure(closure5744, var_visitor);
  addtoclosure(closure5744, var_newChain);
  addtoclosure(closure5744, selfslot);
  struct UserObject *uo5744 = (struct UserObject*)block5743;
  uo5744->data[0] = (Object)closure5744;
  Method *meth_meth_ast_5744__apply_40_1_41_ = addmethod2pos(block5743, "_apply(1)", &meth_ast_5744__apply_40_1_41_, 0);
  int argcv_meth_ast_5744__apply_40_1_41_[] = {1};
  meth_meth_ast_5744__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5744__apply_40_1_41_);
  meth_meth_ast_5744__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5744__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5743 (depth = 5)
  gc_frame_newslot(block5743);
// call case 5: prelude request
  params[0] = call5742;
  params[1] = block5743;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5748 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5740);
// compiled call node returning call5748 (depth = 4)
    gc_frame_newslot(call5748);
    if5720 = call5748;
  } else {
  }
// compiled if node returning if5720 (depth = 3)
  gc_frame_end(frame);
  return if5720;
}
Object meth_ast_5749_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5750 = gc_frame_new();
// call case 4: self request
  Object call5751 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5750);
// compiled member node returning call5751 (depth = 4)
  *var_n = call5751;
  if (call5751 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5752 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5753 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5752);
// compiled call node returning call5753 (depth = 4)
  *var_newChain = call5753;
  if (call5753 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5754 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5755 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5756 = gc_frame_new();
// call case 4: self request
  Object call5757 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5756);
// compiled member node returning call5757 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5758 = callmethodflags(call5757, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5755);
// compiled call node returning call5758 (depth = 4)
  gc_frame_newslot(call5758);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5758;
  partcv[0] = 1;
  Object call5759 = callmethodflags(*var_n, "theDialect:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5754);
// compiled call node returning call5759 (depth = 3)
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5760 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5761 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5762 = gc_frame_new();
// call case 4: self request
  Object call5763 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5762);
// compiled member node returning call5763 (depth = 5)
  gc_frame_newslot(call5763);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call5763;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5764 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5761);
// compiled call node returning call5764 (depth = 4)
  gc_frame_newslot(call5764);
// call case 6: other requests
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5764;
  partcv[0] = 1;
  Object call5765 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5760);
// compiled call node returning call5765 (depth = 3)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5766 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5767 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5768 = gc_frame_new();
// call case 4: self request
  Object call5769 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5768);
// compiled member node returning call5769 (depth = 5)
  gc_frame_newslot(call5769);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call5769;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5770 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5767);
// compiled call node returning call5770 (depth = 4)
  gc_frame_newslot(call5770);
// call case 6: other requests
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5770;
  partcv[0] = 1;
  Object call5771 = callmethodflags(*var_n, "superclass:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5766);
// compiled call node returning call5771 (depth = 3)
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5772 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5773 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5774 = gc_frame_new();
// call case 4: self request
  Object call5775 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5774);
// compiled member node returning call5775 (depth = 5)
  gc_frame_newslot(call5775);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call5775;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5776 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5773);
// compiled call node returning call5776 (depth = 4)
  gc_frame_newslot(call5776);
// call case 6: other requests
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5776;
  partcv[0] = 1;
  Object call5777 = callmethodflags(*var_n, "usedTraits:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5772);
// compiled call node returning call5777 (depth = 3)
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5778 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call5779 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5778);
// compiled call node returning call5779 (depth = 3)
  gc_frame_end(frame);
  return call5779;
}
Object meth_ast_5780_basePretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "basePretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method basePretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for basePretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part basePretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5783 = alloc_Float64(1);
// compiled num node returning num5783 (depth = 6)
  int op_slot_right_5782 = gc_frame_newslot(num5783);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_5782 = gc_frame_newslot(*var_depth);
  params[0] = num5783;
  partcv[0] = 1;
  Object sum5785 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5785 (depth = 5)
  int op_slot_right_5781 = gc_frame_newslot(sum5785);
// starting to compile string node (depth = 5)
  if (strlit5787 == NULL) {
    strlit5787 = alloc_String("  ");
    gc_root(strlit5787);
  }
// compiled string node returning strlit5787 (depth = 5)
  int op_slot_left_5781 = gc_frame_newslot(strlit5787);
  params[0] = sum5785;
  partcv[0] = 1;
  Object prod5788 = callmethod(strlit5787, "*(1)", 1, partcv, params);
// compiled op node returning prod5788 (depth = 4)
  *var_spc = prod5788;
  if (prod5788 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5791 == NULL) {
    strlit5791 = alloc_String("");
    gc_root(strlit5791);
  }
// compiled string node returning strlit5791 (depth = 5)
  int op_slot_right_5790 = gc_frame_newslot(strlit5791);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5794 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num5795 = alloc_Float64(0);
// compiled num node returning num5795 (depth = 7)
  gc_frame_newslot(num5795);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5796 = gc_frame_new();
// call case 4: self request
  Object call5797 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5796);
// compiled member node returning call5797 (depth = 7)
  params[0] = num5795;
  partcv[0] = 1;
  Object call5798 = callmethodflags(call5797, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5794);
// compiled call node returning call5798 (depth = 6)
  int op_slot_right_5793 = gc_frame_newslot(call5798);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5801 == NULL) {
    strlit5801 = alloc_String("");
    gc_root(strlit5801);
  }
// compiled string node returning strlit5801 (depth = 7)
  int op_slot_right_5800 = gc_frame_newslot(strlit5801);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5803 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit5805 == NULL) {
    strlit5805 = alloc_String("");
    gc_root(strlit5805);
  }
// compiled string node returning strlit5805 (depth = 8)
  int op_slot_left_5803 = gc_frame_newslot(strlit5805);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5806 = callmethod(strlit5805, "++(1)", 1, partcv, params);
// compiled op node returning opresult5806 (depth = 7)
  int op_slot_left_5800 = gc_frame_newslot(opresult5806);
  params[0] = strlit5801;
  partcv[0] = 1;
  Object opresult5807 = callmethod(opresult5806, "++(1)", 1, partcv, params);
// compiled op node returning opresult5807 (depth = 6)
  int op_slot_left_5793 = gc_frame_newslot(opresult5807);
  params[0] = call5798;
  partcv[0] = 1;
  Object opresult5808 = callmethod(opresult5807, "++(1)", 1, partcv, params);
// compiled op node returning opresult5808 (depth = 5)
  int op_slot_left_5790 = gc_frame_newslot(opresult5808);
  params[0] = strlit5791;
  partcv[0] = 1;
  Object opresult5809 = callmethod(opresult5808, "++(1)", 1, partcv, params);
// compiled op node returning opresult5809 (depth = 4)
  int op_slot_right_5789 = gc_frame_newslot(opresult5809);
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5812 == NULL) {
    strlit5812 = alloc_String("""\x0a""");
    gc_root(strlit5812);
  }
// compiled string node returning strlit5812 (depth = 5)
  int op_slot_right_5811 = gc_frame_newslot(strlit5812);
// starting to compile call node (depth = 5)
  int callframe5814 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5815 = callmethodflags(self, "prettyPrefix(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5814);
// compiled call node returning call5815 (depth = 5)
  int op_slot_left_5811 = gc_frame_newslot(call5815);
  params[0] = strlit5812;
  partcv[0] = 1;
  Object opresult5816 = callmethod(call5815, "++(1)", 1, partcv, params);
// compiled op node returning opresult5816 (depth = 4)
  int op_slot_left_5789 = gc_frame_newslot(opresult5816);
  params[0] = opresult5809;
  partcv[0] = 1;
  Object opresult5817 = callmethod(opresult5816, "++(1)", 1, partcv, params);
// compiled op node returning opresult5817 (depth = 3)
  gc_frame_end(frame);
  return opresult5817;
}
Object meth_ast_5818_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5819 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5820 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call5821 = callmethodflags(*var_moduleNode, "body(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5820);
// compiled call node returning call5821 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5822 = callmethodflags(call5821, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5819);
// compiled call node returning call5822 (depth = 3)
  gc_frame_end(frame);
  return call5822;
}
Object meth_ast_5823_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5824 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5825 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5826 = callmethodflags(*var_other, "imports", 0, partcv, params, 0);
  gc_frame_end(callframe5825);
// compiled member node returning call5826 (depth = 4)
  gc_frame_newslot(call5826);
// call case 4: self request
  params[0] = call5826;
  partcv[0] = 1;
  Object call5827 = callmethodflags(self, "imports:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5824);
// compiled call node returning call5827 (depth = 3)
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5828 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5829 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5830 = callmethodflags(*var_other, "theDialect", 0, partcv, params, 0);
  gc_frame_end(callframe5829);
// compiled member node returning call5830 (depth = 4)
  gc_frame_newslot(call5830);
// call case 4: self request
  params[0] = call5830;
  partcv[0] = 1;
  Object call5831 = callmethodflags(self, "theDialect:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5828);
// compiled call node returning call5831 (depth = 3)
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5832 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5833 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5834 = callmethodflags(*var_other, "name", 0, partcv, params, 0);
  gc_frame_end(callframe5833);
// compiled member node returning call5834 (depth = 4)
  gc_frame_newslot(call5834);
// call case 4: self request
  params[0] = call5834;
  partcv[0] = 1;
  Object call5835 = callmethodflags(self, "name:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5832);
// compiled call node returning call5835 (depth = 3)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5836 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5837 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5838 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5837);
// compiled member node returning call5838 (depth = 4)
  gc_frame_newslot(call5838);
// call case 4: self request
  params[0] = call5838;
  partcv[0] = 1;
  Object call5839 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5836);
// compiled call node returning call5839 (depth = 3)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5840 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5841 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5842 = callmethodflags(*var_other, "superclass", 0, partcv, params, 0);
  gc_frame_end(callframe5841);
// compiled member node returning call5842 (depth = 4)
  gc_frame_newslot(call5842);
// call case 4: self request
  params[0] = call5842;
  partcv[0] = 1;
  Object call5843 = callmethodflags(self, "superclass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5840);
// compiled call node returning call5843 (depth = 3)
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5844 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5845 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5846 = callmethodflags(*var_other, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe5845);
// compiled member node returning call5846 (depth = 4)
  gc_frame_newslot(call5846);
// call case 4: self request
  params[0] = call5846;
  partcv[0] = 1;
  Object call5847 = callmethodflags(self, "usedTraits:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5844);
// compiled call node returning call5847 (depth = 3)
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5848 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5849 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5850 = callmethodflags(*var_other, "inClass", 0, partcv, params, 0);
  gc_frame_end(callframe5849);
// compiled member node returning call5850 (depth = 4)
  gc_frame_newslot(call5850);
// call case 4: self request
  params[0] = call5850;
  partcv[0] = 1;
  Object call5851 = callmethodflags(self, "inClass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5848);
// compiled call node returning call5851 (depth = 3)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5852 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5853 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5854 = callmethodflags(*var_other, "inTrait", 0, partcv, params, 0);
  gc_frame_end(callframe5853);
// compiled member node returning call5854 (depth = 4)
  gc_frame_newslot(call5854);
// call case 4: self request
  params[0] = call5854;
  partcv[0] = 1;
  Object call5855 = callmethodflags(self, "inTrait:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5852);
// compiled call node returning call5855 (depth = 3)
// Begin line 1428
  setline(1428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5856 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5857 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5858 = callmethodflags(*var_other, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe5857);
// compiled member node returning call5858 (depth = 4)
  gc_frame_newslot(call5858);
// call case 4: self request
  params[0] = call5858;
  partcv[0] = 1;
  Object call5859 = callmethodflags(self, "annotations:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5856);
// compiled call node returning call5859 (depth = 3)
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_5654_body_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)");
  Object params[3];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_moduleNode = getfromclosure(closure, 2);
  Object *var_objectNode = getfromclosure(closure, 3);
  Object *var_dialectNode = getfromclosure(closure, 4);
  Object *var_noPosition = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for body(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5655 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5655 = alloc_userobj2(19,18, objclass5655);
  gc_frame_newslot(obj5655);
  if (objclass5655 == NULL) {
    glfree(obj5655->class->name);
    obj5655->class->name = "moduleNode.body(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5655, self, 0);
  addmethodreal(obj5655,"outer", &reader_ast_outer_5656);
  Object oldself5655 = self;
  struct StackFrameObject *oldstackframe5655 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5655);
  gc_frame_newslot((Object)stackframe);
  self = obj5655;
  Object *oldselfslot5655 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5655 = (*(struct UserObject *)self).data[0], lowerouter5655 = thisouter5655;
  if (inheritingObject5655) {
    struct UserObject *inho5655 = (struct UserObject *)inheritingObject5655;
    while (inho5655->super != GraceDefaultObject) inho5655 = (struct UserObject *)inho5655->super;
    inho5655->super = obj5655;
    self = inheritingObject5655;
    *selfslot = self;
    lowerouter5655 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5655;
  }
  if (objclass5655 == NULL) {
  Method *reader5657 = addmethodrealflags(obj5655, "kind",&reader_ast_kind_5657, MFLAG_DEF);
  reader5657->definitionModule = modulename;
  reader5657->definitionLine = 1362;
  }
  adddatum2(obj5655, alloc_Undefined(), 1);
  if (objclass5655 == NULL) {
  Method *reader5658 = addmethodrealflags(obj5655, "sourceLines",&reader_ast_sourceLines_5658, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5658->definitionModule = modulename;
  reader5658->definitionLine = 1363;
  }
  adddatum2(obj5655, alloc_Undefined(), 2);
  if (objclass5655 == NULL) {
    Method *reader5659 = addmethodrealflags(obj5655, "theDialect", &reader_ast_theDialect_5659, 0);
    Method *writer5659 = addmethodrealflags(obj5655, "theDialect:=(1)", &writer_ast_theDialect_5659, 0);
    reader5659->definitionModule = modulename;
    writer5659->definitionModule = modulename;
    reader5659->definitionLine = 1364;
    writer5659->definitionLine = 1364;
  }
  obj5655->flags |= OFLAG_MUTABLE;
  adddatum2(obj5655, alloc_Undefined(), 3);
  if (objclass5655 == NULL) {
    Method *reader5660 = addmethodrealflags(obj5655, "imports", &reader_ast_imports_5660, 0);
    Method *writer5660 = addmethodrealflags(obj5655, "imports:=(1)", &writer_ast_imports_5660, 0);
    reader5660->definitionModule = modulename;
    writer5660->definitionModule = modulename;
    reader5660->definitionLine = 1367;
    writer5660->definitionLine = 1367;
  }
  obj5655->flags |= OFLAG_MUTABLE;
  adddatum2(obj5655, alloc_Undefined(), 4);
// method "end"
  block_savedest(obj5655);
  Object closure5661 = createclosure(1, "end");
  setclosureframe(closure5661, stackframe);
  addtoclosure(closure5661, var_util);
  struct UserObject *uo5661 = (struct UserObject*)obj5655;
  uo5661->data[5] = (Object)closure5661;
  Method *meth_meth_ast_5661_end = addmethod2pos(obj5655, "end", &meth_ast_5661_end, 5);
  int argcv_meth_ast_5661_end[] = {0};
  meth_meth_ast_5661_end->type = alloc_MethodType(1, argcv_meth_ast_5661_end);
  meth_meth_ast_5661_end->definitionModule = modulename;
  meth_meth_ast_5661_end->definitionLine = 1369;
// method "isModule"
  struct UserObject *uo5674 = (struct UserObject*)obj5655;
  uo5674->data[6] = emptyclosure;
  Method *meth_meth_ast_5674_isModule = addmethod2pos(obj5655, "isModule", &meth_ast_5674_isModule, 6);
  int argcv_meth_ast_5674_isModule[] = {0};
  meth_meth_ast_5674_isModule->type = alloc_MethodType(1, argcv_meth_ast_5674_isModule);
  meth_meth_ast_5674_isModule->definitionModule = modulename;
  meth_meth_ast_5674_isModule->definitionLine = 1372;
// method "isTrait"
  struct UserObject *uo5676 = (struct UserObject*)obj5655;
  uo5676->data[7] = emptyclosure;
  Method *meth_meth_ast_5676_isTrait = addmethod2pos(obj5655, "isTrait", &meth_ast_5676_isTrait, 7);
  int argcv_meth_ast_5676_isTrait[] = {0};
  meth_meth_ast_5676_isTrait->type = alloc_MethodType(1, argcv_meth_ast_5676_isTrait);
  meth_meth_ast_5676_isTrait->definitionModule = modulename;
  meth_meth_ast_5676_isTrait->definitionLine = 1373;
// method "returnsObject"
  struct UserObject *uo5678 = (struct UserObject*)obj5655;
  uo5678->data[8] = emptyclosure;
  Method *meth_meth_ast_5678_returnsObject = addmethod2pos(obj5655, "returnsObject", &meth_ast_5678_returnsObject, 8);
  int argcv_meth_ast_5678_returnsObject[] = {0};
  meth_meth_ast_5678_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_5678_returnsObject);
  meth_meth_ast_5678_returnsObject->definitionModule = modulename;
  meth_meth_ast_5678_returnsObject->definitionLine = 1374;
// method "importsDo(_)"
  struct UserObject *uo5680 = (struct UserObject*)obj5655;
  uo5680->data[9] = emptyclosure;
  Method *meth_meth_ast_5680_importsDo_40_1_41_ = addmethod2pos(obj5655, "importsDo(1)", &meth_ast_5680_importsDo_40_1_41_, 9);
  int argcv_meth_ast_5680_importsDo_40_1_41_[] = {1};
  meth_meth_ast_5680_importsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5680_importsDo_40_1_41_);
  meth_meth_ast_5680_importsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5680_importsDo_40_1_41_->definitionLine = 1375;
// method "externalsDo(_)"
  struct UserObject *uo5693 = (struct UserObject*)obj5655;
  uo5693->data[10] = emptyclosure;
  Method *meth_meth_ast_5693_externalsDo_40_1_41_ = addmethod2pos(obj5655, "externalsDo(1)", &meth_ast_5693_externalsDo_40_1_41_, 10);
  int argcv_meth_ast_5693_externalsDo_40_1_41_[] = {1};
  meth_meth_ast_5693_externalsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5693_externalsDo_40_1_41_);
  meth_meth_ast_5693_externalsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5693_externalsDo_40_1_41_->definitionLine = 1380;
// method "accept(_)from(_)"
  struct UserObject *uo5719 = (struct UserObject*)obj5655;
  uo5719->data[11] = emptyclosure;
  Method *meth_meth_ast_5719_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj5655, "accept(1)from(1)", &meth_ast_5719_accept_40_1_41_from_40_1_41_, 11);
  int argcv_meth_ast_5719_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_5719_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5719_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_5719_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5719_accept_40_1_41_from_40_1_41_->definitionLine = 1388;
// method "map(_)ancestors(_)"
  struct UserObject *uo5749 = (struct UserObject*)obj5655;
  uo5749->data[12] = emptyclosure;
  Method *meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj5655, "map(1)ancestors(1)", &meth_ast_5749_map_40_1_41_ancestors_40_1_41_, 12);
  int argcv_meth_ast_5749_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5749_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_->definitionLine = 1400;
// method "basePretty(_)"
  struct UserObject *uo5780 = (struct UserObject*)obj5655;
  uo5780->data[13] = emptyclosure;
  Method *meth_meth_ast_5780_basePretty_40_1_41_ = addmethod2pos(obj5655, "basePretty(1)", &meth_ast_5780_basePretty_40_1_41_, 13);
  int argcv_meth_ast_5780_basePretty_40_1_41_[] = {1};
  meth_meth_ast_5780_basePretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5780_basePretty_40_1_41_);
  meth_meth_ast_5780_basePretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5780_basePretty_40_1_41_->definitionLine = 1409;
// method "shallowCopy"
  block_savedest(obj5655);
  Object closure5818 = createclosure(2, "shallowCopy");
  setclosureframe(closure5818, stackframe);
  addtoclosure(closure5818, var_emptySeq);
  addtoclosure(closure5818, var_moduleNode);
  struct UserObject *uo5818 = (struct UserObject*)obj5655;
  uo5818->data[14] = (Object)closure5818;
  Method *meth_meth_ast_5818_shallowCopy = addmethod2pos(obj5655, "shallowCopy", &meth_ast_5818_shallowCopy, 14);
  int argcv_meth_ast_5818_shallowCopy[] = {0};
  meth_meth_ast_5818_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_5818_shallowCopy);
  meth_meth_ast_5818_shallowCopy->definitionModule = modulename;
  meth_meth_ast_5818_shallowCopy->definitionLine = 1414;
// method "postCopy(_)"
  struct UserObject *uo5823 = (struct UserObject*)obj5655;
  uo5823->data[15] = emptyclosure;
  Method *meth_meth_ast_5823_postCopy_40_1_41_ = addmethod2pos(obj5655, "postCopy(1)", &meth_ast_5823_postCopy_40_1_41_, 15);
  int argcv_meth_ast_5823_postCopy_40_1_41_[] = {1};
  meth_meth_ast_5823_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5823_postCopy_40_1_41_);
  meth_meth_ast_5823_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5823_postCopy_40_1_41_->definitionLine = 1417;
  sourceObject = obj5655;
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5860 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
  Object bool5861 = alloc_Boolean(0);
// compiled identifier node returning bool5861 (depth = 4)
  gc_frame_newslot(bool5861);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objectNode (depth = 4)
  params[0] = *var_b;
  params[1] = bool5861;
  params[2] = self;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5862 = callmethodflags(*var_objectNode, "new(2)$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5860);
// compiled call node returning call5862 (depth = 3)
  struct UserObject *obj5655_uo = (struct UserObject *)obj5655;
  obj5655_uo->super = call5862;
  sourceObject = obj5655;
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5863 == NULL) {
    strlit5863 = alloc_String("module");
    gc_root(strlit5863);
  }
// compiled string node returning strlit5863 (depth = 3)
  adddatum2(obj5655, strlit5863, 1);
  sourceObject = obj5655;
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call5865 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5864);
// compiled member node returning call5865 (depth = 3)
  adddatum2(obj5655, call5865, 2);
  sourceObject = obj5655;
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5866 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5867 == NULL) {
    strlit5867 = alloc_String("standardGrace");
    gc_root(strlit5867);
  }
// compiled string node returning strlit5867 (depth = 4)
  gc_frame_newslot(strlit5867);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dialectNode (depth = 4)
  params[0] = strlit5867;
  partcv[0] = 1;
  Object call5868 = callmethodflags(*var_dialectNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5866);
// compiled call node returning call5868 (depth = 3)
  adddatum2(obj5655, call5868, 3);
  sourceObject = obj5655;
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5869 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noPosition (depth = 4)
  gc_frame_newslot(*var_noPosition);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5870 = gc_frame_new();
// call case 4: self request
  Object call5871 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5870);
// compiled member node returning call5871 (depth = 4)
  params[0] = *var_noPosition;
  partcv[0] = 1;
  Object call5872 = callmethodflags(call5871, "setStart(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5869);
// compiled call node returning call5872 (depth = 3)
  sourceObject = obj5655;
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5873 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noPosition (depth = 4)
  gc_frame_newslot(*var_noPosition);
// call case 4: self request
  params[0] = *var_noPosition;
  partcv[0] = 1;
  Object call5874 = callmethodflags(self, "setStart(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5873);
// compiled call node returning call5874 (depth = 3)
  sourceObject = obj5655;
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5875 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5875 (depth = 3)
  adddatum2(obj5655, array5875, 4);
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  objclass5655 = obj5655->class;
  objclass5655->definitionModule = modulename;
  objclass5655->definitionLine = 1360;
  (*(struct UserObject *)self).data[0] = lowerouter5655;
  self = oldself5655;
  selfslot = oldselfslot5655;
  stackframe = oldstackframe5655;
  gc_frame_end(frame);
  return obj5655;
}
Object meth_ast_5654_body_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method body(_)");
  Object params[3];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_moduleNode = getfromclosure(closure, 2);
  Object *var_objectNode = getfromclosure(closure, 3);
  Object *var_dialectNode = getfromclosure(closure, 4);
  Object *var_noPosition = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for body(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5655 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5655 = alloc_userobj2(19,18, objclass5655);
  gc_frame_newslot(obj5655);
  if (objclass5655 == NULL) {
    glfree(obj5655->class->name);
    obj5655->class->name = "moduleNode.body(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5655, self, 0);
  addmethodreal(obj5655,"outer", &reader_ast_outer_5656);
  Object oldself5655 = self;
  struct StackFrameObject *oldstackframe5655 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5655);
  gc_frame_newslot((Object)stackframe);
  self = obj5655;
  Object *oldselfslot5655 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5655 = (*(struct UserObject *)self).data[0], lowerouter5655 = thisouter5655;
  if (inheritingObject5655) {
    struct UserObject *inho5655 = (struct UserObject *)inheritingObject5655;
    while (inho5655->super != GraceDefaultObject) inho5655 = (struct UserObject *)inho5655->super;
    inho5655->super = obj5655;
    self = inheritingObject5655;
    *selfslot = self;
    lowerouter5655 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5655;
  }
  if (objclass5655 == NULL) {
  Method *reader5657 = addmethodrealflags(obj5655, "kind",&reader_ast_kind_5657, MFLAG_DEF);
  reader5657->definitionModule = modulename;
  reader5657->definitionLine = 1362;
  }
  adddatum2(obj5655, alloc_Undefined(), 1);
  if (objclass5655 == NULL) {
  Method *reader5658 = addmethodrealflags(obj5655, "sourceLines",&reader_ast_sourceLines_5658, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5658->definitionModule = modulename;
  reader5658->definitionLine = 1363;
  }
  adddatum2(obj5655, alloc_Undefined(), 2);
  if (objclass5655 == NULL) {
    Method *reader5659 = addmethodrealflags(obj5655, "theDialect", &reader_ast_theDialect_5659, 0);
    Method *writer5659 = addmethodrealflags(obj5655, "theDialect:=(1)", &writer_ast_theDialect_5659, 0);
    reader5659->definitionModule = modulename;
    writer5659->definitionModule = modulename;
    reader5659->definitionLine = 1364;
    writer5659->definitionLine = 1364;
  }
  obj5655->flags |= OFLAG_MUTABLE;
  adddatum2(obj5655, alloc_Undefined(), 3);
  if (objclass5655 == NULL) {
    Method *reader5660 = addmethodrealflags(obj5655, "imports", &reader_ast_imports_5660, 0);
    Method *writer5660 = addmethodrealflags(obj5655, "imports:=(1)", &writer_ast_imports_5660, 0);
    reader5660->definitionModule = modulename;
    writer5660->definitionModule = modulename;
    reader5660->definitionLine = 1367;
    writer5660->definitionLine = 1367;
  }
  obj5655->flags |= OFLAG_MUTABLE;
  adddatum2(obj5655, alloc_Undefined(), 4);
// method "end"
  block_savedest(obj5655);
  Object closure5661 = createclosure(1, "end");
  setclosureframe(closure5661, stackframe);
  addtoclosure(closure5661, var_util);
  struct UserObject *uo5661 = (struct UserObject*)obj5655;
  uo5661->data[5] = (Object)closure5661;
  Method *meth_meth_ast_5661_end = addmethod2pos(obj5655, "end", &meth_ast_5661_end, 5);
  int argcv_meth_ast_5661_end[] = {0};
  meth_meth_ast_5661_end->type = alloc_MethodType(1, argcv_meth_ast_5661_end);
  meth_meth_ast_5661_end->definitionModule = modulename;
  meth_meth_ast_5661_end->definitionLine = 1369;
// method "isModule"
  struct UserObject *uo5674 = (struct UserObject*)obj5655;
  uo5674->data[6] = emptyclosure;
  Method *meth_meth_ast_5674_isModule = addmethod2pos(obj5655, "isModule", &meth_ast_5674_isModule, 6);
  int argcv_meth_ast_5674_isModule[] = {0};
  meth_meth_ast_5674_isModule->type = alloc_MethodType(1, argcv_meth_ast_5674_isModule);
  meth_meth_ast_5674_isModule->definitionModule = modulename;
  meth_meth_ast_5674_isModule->definitionLine = 1372;
// method "isTrait"
  struct UserObject *uo5676 = (struct UserObject*)obj5655;
  uo5676->data[7] = emptyclosure;
  Method *meth_meth_ast_5676_isTrait = addmethod2pos(obj5655, "isTrait", &meth_ast_5676_isTrait, 7);
  int argcv_meth_ast_5676_isTrait[] = {0};
  meth_meth_ast_5676_isTrait->type = alloc_MethodType(1, argcv_meth_ast_5676_isTrait);
  meth_meth_ast_5676_isTrait->definitionModule = modulename;
  meth_meth_ast_5676_isTrait->definitionLine = 1373;
// method "returnsObject"
  struct UserObject *uo5678 = (struct UserObject*)obj5655;
  uo5678->data[8] = emptyclosure;
  Method *meth_meth_ast_5678_returnsObject = addmethod2pos(obj5655, "returnsObject", &meth_ast_5678_returnsObject, 8);
  int argcv_meth_ast_5678_returnsObject[] = {0};
  meth_meth_ast_5678_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_5678_returnsObject);
  meth_meth_ast_5678_returnsObject->definitionModule = modulename;
  meth_meth_ast_5678_returnsObject->definitionLine = 1374;
// method "importsDo(_)"
  struct UserObject *uo5680 = (struct UserObject*)obj5655;
  uo5680->data[9] = emptyclosure;
  Method *meth_meth_ast_5680_importsDo_40_1_41_ = addmethod2pos(obj5655, "importsDo(1)", &meth_ast_5680_importsDo_40_1_41_, 9);
  int argcv_meth_ast_5680_importsDo_40_1_41_[] = {1};
  meth_meth_ast_5680_importsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5680_importsDo_40_1_41_);
  meth_meth_ast_5680_importsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5680_importsDo_40_1_41_->definitionLine = 1375;
// method "externalsDo(_)"
  struct UserObject *uo5693 = (struct UserObject*)obj5655;
  uo5693->data[10] = emptyclosure;
  Method *meth_meth_ast_5693_externalsDo_40_1_41_ = addmethod2pos(obj5655, "externalsDo(1)", &meth_ast_5693_externalsDo_40_1_41_, 10);
  int argcv_meth_ast_5693_externalsDo_40_1_41_[] = {1};
  meth_meth_ast_5693_externalsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5693_externalsDo_40_1_41_);
  meth_meth_ast_5693_externalsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5693_externalsDo_40_1_41_->definitionLine = 1380;
// method "accept(_)from(_)"
  struct UserObject *uo5719 = (struct UserObject*)obj5655;
  uo5719->data[11] = emptyclosure;
  Method *meth_meth_ast_5719_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj5655, "accept(1)from(1)", &meth_ast_5719_accept_40_1_41_from_40_1_41_, 11);
  int argcv_meth_ast_5719_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_5719_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5719_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_5719_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5719_accept_40_1_41_from_40_1_41_->definitionLine = 1388;
// method "map(_)ancestors(_)"
  struct UserObject *uo5749 = (struct UserObject*)obj5655;
  uo5749->data[12] = emptyclosure;
  Method *meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj5655, "map(1)ancestors(1)", &meth_ast_5749_map_40_1_41_ancestors_40_1_41_, 12);
  int argcv_meth_ast_5749_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5749_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5749_map_40_1_41_ancestors_40_1_41_->definitionLine = 1400;
// method "basePretty(_)"
  struct UserObject *uo5780 = (struct UserObject*)obj5655;
  uo5780->data[13] = emptyclosure;
  Method *meth_meth_ast_5780_basePretty_40_1_41_ = addmethod2pos(obj5655, "basePretty(1)", &meth_ast_5780_basePretty_40_1_41_, 13);
  int argcv_meth_ast_5780_basePretty_40_1_41_[] = {1};
  meth_meth_ast_5780_basePretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5780_basePretty_40_1_41_);
  meth_meth_ast_5780_basePretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5780_basePretty_40_1_41_->definitionLine = 1409;
// method "shallowCopy"
  block_savedest(obj5655);
  Object closure5818 = createclosure(2, "shallowCopy");
  setclosureframe(closure5818, stackframe);
  addtoclosure(closure5818, var_emptySeq);
  addtoclosure(closure5818, var_moduleNode);
  struct UserObject *uo5818 = (struct UserObject*)obj5655;
  uo5818->data[14] = (Object)closure5818;
  Method *meth_meth_ast_5818_shallowCopy = addmethod2pos(obj5655, "shallowCopy", &meth_ast_5818_shallowCopy, 14);
  int argcv_meth_ast_5818_shallowCopy[] = {0};
  meth_meth_ast_5818_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_5818_shallowCopy);
  meth_meth_ast_5818_shallowCopy->definitionModule = modulename;
  meth_meth_ast_5818_shallowCopy->definitionLine = 1414;
// method "postCopy(_)"
  struct UserObject *uo5823 = (struct UserObject*)obj5655;
  uo5823->data[15] = emptyclosure;
  Method *meth_meth_ast_5823_postCopy_40_1_41_ = addmethod2pos(obj5655, "postCopy(1)", &meth_ast_5823_postCopy_40_1_41_, 15);
  int argcv_meth_ast_5823_postCopy_40_1_41_[] = {1};
  meth_meth_ast_5823_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5823_postCopy_40_1_41_);
  meth_meth_ast_5823_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5823_postCopy_40_1_41_->definitionLine = 1417;
  sourceObject = obj5655;
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5860 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
  Object bool5861 = alloc_Boolean(0);
// compiled identifier node returning bool5861 (depth = 4)
  gc_frame_newslot(bool5861);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objectNode (depth = 4)
  params[0] = *var_b;
  params[1] = bool5861;
  params[2] = self;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5862 = callmethodflags(*var_objectNode, "new(2)$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5860);
// compiled call node returning call5862 (depth = 3)
  struct UserObject *obj5655_uo = (struct UserObject *)obj5655;
  obj5655_uo->super = call5862;
  sourceObject = obj5655;
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5863 == NULL) {
    strlit5863 = alloc_String("module");
    gc_root(strlit5863);
  }
// compiled string node returning strlit5863 (depth = 3)
  adddatum2(obj5655, strlit5863, 1);
  sourceObject = obj5655;
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call5865 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5864);
// compiled member node returning call5865 (depth = 3)
  adddatum2(obj5655, call5865, 2);
  sourceObject = obj5655;
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5866 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5867 == NULL) {
    strlit5867 = alloc_String("standardGrace");
    gc_root(strlit5867);
  }
// compiled string node returning strlit5867 (depth = 4)
  gc_frame_newslot(strlit5867);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dialectNode (depth = 4)
  params[0] = strlit5867;
  partcv[0] = 1;
  Object call5868 = callmethodflags(*var_dialectNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5866);
// compiled call node returning call5868 (depth = 3)
  adddatum2(obj5655, call5868, 3);
  sourceObject = obj5655;
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5869 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noPosition (depth = 4)
  gc_frame_newslot(*var_noPosition);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5870 = gc_frame_new();
// call case 4: self request
  Object call5871 = callmethodflags(self, "theDialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5870);
// compiled member node returning call5871 (depth = 4)
  params[0] = *var_noPosition;
  partcv[0] = 1;
  Object call5872 = callmethodflags(call5871, "setStart(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5869);
// compiled call node returning call5872 (depth = 3)
  sourceObject = obj5655;
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5873 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noPosition (depth = 4)
  gc_frame_newslot(*var_noPosition);
// call case 4: self request
  params[0] = *var_noPosition;
  partcv[0] = 1;
  Object call5874 = callmethodflags(self, "setStart(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5873);
// compiled call node returning call5874 (depth = 3)
  sourceObject = obj5655;
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5875 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5875 (depth = 3)
  adddatum2(obj5655, array5875, 4);
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  sourceObject = obj5655;
  objclass5655 = obj5655->class;
  objclass5655->definitionModule = modulename;
  objclass5655->definitionLine = 1360;
  (*(struct UserObject *)self).data[0] = lowerouter5655;
  self = oldself5655;
  selfslot = oldselfslot5655;
  stackframe = oldstackframe5655;
  gc_frame_end(frame);
  return obj5655;
}
Object meth_ast_5877_moduleNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "moduleNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleNode (depth = 3)
  gc_frame_end(frame);
  return *var_moduleNode;
}
Object meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5881 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 5)
  Object bool5882 = alloc_Boolean(0);
// compiled identifier node returning bool5882 (depth = 5)
  gc_frame_newslot(bool5882);
// call case 4: self request
  params[0] = *var_b;
  params[1] = bool5882;
  partcv[0] = 2;
  Object call5883 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5881);
// compiled call node returning call5883 (depth = 4)
  *var_result = call5883;
  if (call5883 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5884 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5885 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5884);
// compiled call node returning call5885 (depth = 3)
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5886 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5887 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5886);
// compiled call node returning call5887 (depth = 3)
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_5888_body_40_1_41_named_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)named(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  Object params[3];
  int partcv[3];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5889 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_fakeSymbolTable (depth = 4)
  gc_frame_newslot(*var_fakeSymbolTable);
// call case 4: self request
  params[0] = *var_b;
  params[1] = *var_n;
  params[2] = *var_fakeSymbolTable;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5890 = callmethodflags(self, "body(1)named(1)scope(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5889);
// compiled call node returning call5890 (depth = 3)
  gc_frame_end(frame);
  return call5890;
}
Object meth_ast_5903_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_iEnd = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "iEnd");
  Object *var_tEnd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tEnd");
// definebindings:
// definebindings:
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5905 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5906 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5907 = gc_frame_new();
// call case 4: self request
  Object call5908 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5907);
// compiled member node returning call5908 (depth = 6)
  Object call5909 = callmethodflags(call5908, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe5906);
// compiled member node returning call5909 (depth = 5)
  Object call5910 = callmethodflags(call5909, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5905);
// compiled member node returning call5910 (depth = 4)
  Object if5904 = done;
  if (istrue(call5910)) {
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5911 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5912 == NULL) {
    strlit5912 = alloc_String("}");
    gc_root(strlit5912);
  }
// compiled string node returning strlit5912 (depth = 6)
  gc_frame_newslot(strlit5912);
// starting to compile member node (depth = 6)
  int callframe5913 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5914 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5915 = gc_frame_new();
// call case 4: self request
  Object call5916 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5915);
// compiled member node returning call5916 (depth = 8)
  Object call5917 = callmethodflags(call5916, "last", 0, partcv, params, 0);
  gc_frame_end(callframe5914);
// compiled member node returning call5917 (depth = 7)
  Object call5918 = callmethodflags(call5917, "end", 0, partcv, params, 0);
  gc_frame_end(callframe5913);
// compiled member node returning call5918 (depth = 6)
  gc_frame_newslot(call5918);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = strlit5912;
  params[1] = call5918;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5919 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5911);
// compiled call node returning call5919 (depth = 5)
  return call5919;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5904 = undefined;
  } else {
  }
// compiled if node returning if5904 (depth = 3)
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5922 = gc_frame_new();
// call case 4: self request
  Object call5923 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5922);
// compiled member node returning call5923 (depth = 6)
  int op_slot_right_5921 = gc_frame_newslot(call5923);
// starting to compile identifier node (depth = 6)
  Object bool5925 = alloc_Boolean(0);
// compiled identifier node returning bool5925 (depth = 6)
  int op_slot_left_5921 = gc_frame_newslot(bool5925);
  params[0] = call5923;
  partcv[0] = 1;
  Object opresult5926 = callmethod(bool5925, "==(1)", 1, partcv, params);
// compiled op node returning opresult5926 (depth = 5)
  Object if5920 = done;
struct StackFrameObject *iftmpstackframe5920 = stackframe;
  if (istrue(opresult5926)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5920);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noPosition (depth = 5)
    gc_frame_newslot(*var_noPosition);
    if5920 = *var_noPosition;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe5920);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile member node (depth = 5)
  int callframe5927 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5928 = gc_frame_new();
// call case 4: self request
  Object call5929 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5928);
// compiled member node returning call5929 (depth = 6)
  Object call5930 = callmethodflags(call5929, "end", 0, partcv, params, 0);
  gc_frame_end(callframe5927);
// compiled member node returning call5930 (depth = 5)
    gc_frame_newslot(call5930);
    if5920 = call5930;
  }
stackframe = iftmpstackframe5920;
// compiled if node returning if5920 (depth = 4)
  *var_iEnd = if5920;
  if (if5920 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5932 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5933 = gc_frame_new();
// call case 4: self request
  Object call5934 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5933);
// compiled member node returning call5934 (depth = 6)
  Object call5935 = callmethodflags(call5934, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe5932);
// compiled member node returning call5935 (depth = 5)
  Object if5931 = done;
struct StackFrameObject *iftmpstackframe5931 = stackframe;
  if (istrue(call5935)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5931);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noPosition (depth = 5)
    gc_frame_newslot(*var_noPosition);
    if5931 = *var_noPosition;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe5931);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile member node (depth = 5)
  int callframe5936 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5937 = gc_frame_new();
// call case 4: self request
  Object call5938 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5937);
// compiled member node returning call5938 (depth = 6)
  Object call5939 = callmethodflags(call5938, "end", 0, partcv, params, 0);
  gc_frame_end(callframe5936);
// compiled member node returning call5939 (depth = 5)
    gc_frame_newslot(call5939);
    if5931 = call5939;
  }
stackframe = iftmpstackframe5931;
// compiled if node returning if5931 (depth = 4)
  *var_tEnd = if5931;
  if (if5931 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tEnd (depth = 5)
  int op_slot_right_5941 = gc_frame_newslot(*var_tEnd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_iEnd (depth = 5)
  int op_slot_left_5941 = gc_frame_newslot(*var_iEnd);
  params[0] = *var_tEnd;
  partcv[0] = 1;
  Object opresult5943 = callmethod(*var_iEnd, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5943 (depth = 4)
  Object if5940 = done;
  if (istrue(opresult5943)) {
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5944 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5945 == NULL) {
    strlit5945 = alloc_String("}");
    gc_root(strlit5945);
  }
// compiled string node returning strlit5945 (depth = 5)
  gc_frame_newslot(strlit5945);
// starting to compile call node (depth = 5)
  int callframe5946 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_iEnd (depth = 6)
  gc_frame_newslot(*var_iEnd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tEnd (depth = 6)
  gc_frame_newslot(*var_tEnd);
// call case 5: prelude request
  params[0] = *var_iEnd;
  params[1] = *var_tEnd;
  partcv[0] = 2;
  Object call5947 = callmethodflags(prelude, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5946);
// compiled call node returning call5947 (depth = 5)
  gc_frame_newslot(call5947);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit5945;
  params[1] = call5947;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5948 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5944);
// compiled call node returning call5948 (depth = 4)
    gc_frame_newslot(call5948);
    if5940 = call5948;
  } else {
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5949 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5950 == NULL) {
    strlit5950 = alloc_String("}");
    gc_root(strlit5950);
  }
// compiled string node returning strlit5950 (depth = 5)
  gc_frame_newslot(strlit5950);
// starting to compile member node (depth = 5)
  int callframe5951 = gc_frame_new();
// call case 4: self request
  Object call5952 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5951);
// compiled member node returning call5952 (depth = 5)
  gc_frame_newslot(call5952);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit5950;
  params[1] = call5952;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5953 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5949);
// compiled call node returning call5953 (depth = 4)
    gc_frame_newslot(call5953);
    if5940 = call5953;
  }
// compiled if node returning if5940 (depth = 3)
  gc_frame_end(frame);
  return if5940;
}
Object meth_ast_5954_description(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "description");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5956 = gc_frame_new();
// call case 4: self request
  Object call5957 = callmethodflags(self, "isTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5956);
// compiled member node returning call5957 (depth = 4)
  Object if5955 = done;
  if (istrue(call5957)) {
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5959 == NULL) {
    strlit5959 = alloc_String(" (trait)");
    gc_root(strlit5959);
  }
// compiled string node returning strlit5959 (depth = 5)
  int op_slot_right_5958 = gc_frame_newslot(strlit5959);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5962 = gc_frame_new();
// call case 4: self request
  Object call5963 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5962);
// compiled member node returning call5963 (depth = 6)
  int op_slot_right_5961 = gc_frame_newslot(call5963);
// starting to compile string node (depth = 6)
  if (strlit5965 == NULL) {
    strlit5965 = alloc_String("");
    gc_root(strlit5965);
  }
// compiled string node returning strlit5965 (depth = 6)
  int op_slot_left_5961 = gc_frame_newslot(strlit5965);
  params[0] = call5963;
  partcv[0] = 1;
  Object opresult5966 = callmethod(strlit5965, "++(1)", 1, partcv, params);
// compiled op node returning opresult5966 (depth = 5)
  int op_slot_left_5958 = gc_frame_newslot(opresult5966);
  params[0] = strlit5959;
  partcv[0] = 1;
  Object opresult5967 = callmethod(opresult5966, "++(1)", 1, partcv, params);
// compiled op node returning opresult5967 (depth = 4)
    gc_frame_newslot(opresult5967);
    if5955 = opresult5967;
  } else {
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5969 = gc_frame_new();
// call case 4: self request
  Object call5970 = callmethodflags(self, "inClass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5969);
// compiled member node returning call5970 (depth = 5)
  Object if5968 = done;
  if (istrue(call5970)) {
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5972 == NULL) {
    strlit5972 = alloc_String(" (class)");
    gc_root(strlit5972);
  }
// compiled string node returning strlit5972 (depth = 6)
  int op_slot_right_5971 = gc_frame_newslot(strlit5972);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5975 = gc_frame_new();
// call case 4: self request
  Object call5976 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5975);
// compiled member node returning call5976 (depth = 7)
  int op_slot_right_5974 = gc_frame_newslot(call5976);
// starting to compile string node (depth = 7)
  if (strlit5978 == NULL) {
    strlit5978 = alloc_String("");
    gc_root(strlit5978);
  }
// compiled string node returning strlit5978 (depth = 7)
  int op_slot_left_5974 = gc_frame_newslot(strlit5978);
  params[0] = call5976;
  partcv[0] = 1;
  Object opresult5979 = callmethod(strlit5978, "++(1)", 1, partcv, params);
// compiled op node returning opresult5979 (depth = 6)
  int op_slot_left_5971 = gc_frame_newslot(opresult5979);
  params[0] = strlit5972;
  partcv[0] = 1;
  Object opresult5980 = callmethod(opresult5979, "++(1)", 1, partcv, params);
// compiled op node returning opresult5980 (depth = 5)
    gc_frame_newslot(opresult5980);
    if5968 = opresult5980;
  } else {
// Begin line 1475
  setline(1475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5981 = gc_frame_new();
// call case 4: self request
  Object call5982 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5981);
// compiled member node returning call5982 (depth = 5)
    gc_frame_newslot(call5982);
    if5968 = call5982;
  }
// compiled if node returning if5968 (depth = 4)
    gc_frame_newslot(if5968);
    if5955 = if5968;
  }
// compiled if node returning if5955 (depth = 3)
  gc_frame_end(frame);
  return if5955;
}
Object meth_ast_5983_isFresh(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFresh");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5984 = alloc_Boolean(1);
// compiled identifier node returning bool5984 (depth = 3)
  gc_frame_end(frame);
  return bool5984;
}
Object meth_ast_6000__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6002 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6003 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call6004 = callmethodflags(*var_each, "isLegalInTrait", 0, partcv, params, 0);
  gc_frame_end(callframe6003);
// compiled member node returning call6004 (depth = 7)
  Object call6005 = callmethodflags(call6004, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6002);
// compiled member node returning call6005 (depth = 6)
  Object if6001 = done;
  if (istrue(call6005)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool6006 = alloc_Boolean(0);
// compiled identifier node returning bool6006 (depth = 7)
  block_return(realself, bool6006);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if6001 = undefined;
  } else {
  }
// compiled if node returning if6001 (depth = 5)
  gc_frame_end(frame);
  return if6001;
}
Object meth_ast_5985_isTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5987 = gc_frame_new();
// call case 4: self request
  Object call5988 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5987);
// compiled member node returning call5988 (depth = 4)
  Object if5986 = done;
  if (istrue(call5988)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5989 = alloc_Boolean(1);
// compiled identifier node returning bool5989 (depth = 5)
  return bool5989;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5986 = undefined;
  } else {
  }
// compiled if node returning if5986 (depth = 3)
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5992 = gc_frame_new();
// call case 4: self request
  Object call5993 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5992);
// compiled member node returning call5993 (depth = 5)
  int op_slot_right_5991 = gc_frame_newslot(call5993);
// starting to compile identifier node (depth = 5)
  Object bool5995 = alloc_Boolean(0);
// compiled identifier node returning bool5995 (depth = 5)
  int op_slot_left_5991 = gc_frame_newslot(bool5995);
  params[0] = call5993;
  partcv[0] = 1;
  Object opresult5996 = callmethod(bool5995, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5996 (depth = 4)
  Object if5990 = done;
  if (istrue(opresult5996)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5997 = alloc_Boolean(0);
// compiled identifier node returning bool5997 (depth = 5)
  return bool5997;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5990 = undefined;
  } else {
  }
// compiled if node returning if5990 (depth = 3)
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5998 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5999 = alloc_Block(NULL, NULL, "ast", 1485);
  gc_frame_newslot(block5999);
// method "_apply(_)"
  block_savedest(block5999);
  Object closure6000 = createclosure(1, "_apply(1)");
  setclosureframe(closure6000, stackframe);
  addtoclosure(closure6000, selfslot);
  struct UserObject *uo6000 = (struct UserObject*)block5999;
  uo6000->data[0] = (Object)closure6000;
  Method *meth_meth_ast_6000__apply_40_1_41_ = addmethod2pos(block5999, "_apply(1)", &meth_ast_6000__apply_40_1_41_, 0);
  int argcv_meth_ast_6000__apply_40_1_41_[] = {1};
  meth_meth_ast_6000__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6000__apply_40_1_41_);
  meth_meth_ast_6000__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6000__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block5999 (depth = 4)
  gc_frame_newslot(block5999);
// call case 6: other requests
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6008 = gc_frame_new();
// call case 4: self request
  Object call6009 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6008);
// compiled member node returning call6009 (depth = 4)
  params[0] = block5999;
  partcv[0] = 1;
  Object call6010 = callmethodflags(call6009, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5998);
// compiled call node returning call6010 (depth = 3)
// Begin line 1488
  setline(1488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool6011 = alloc_Boolean(1);
// compiled identifier node returning bool6011 (depth = 4)
  return bool6011;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_6026__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe6029 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call6030 = callmethodflags(*var_node, "isMethod", 0, partcv, params, 0);
  gc_frame_end(callframe6029);
// compiled member node returning call6030 (depth = 8)
  int op_slot_right_6028 = gc_frame_newslot(call6030);
// starting to compile member node (depth = 8)
  int callframe6032 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call6033 = callmethodflags(*var_node, "isFieldDec", 0, partcv, params, 0);
  gc_frame_end(callframe6032);
// compiled member node returning call6033 (depth = 8)
  int op_slot_left_6028 = gc_frame_newslot(call6033);
  params[0] = call6030;
  partcv[0] = 1;
  Object opresult6034 = callmethod(call6033, "||(1)", 1, partcv, params);
// compiled op node returning opresult6034 (depth = 7)
  Object if6027 = done;
  if (istrue(opresult6034)) {
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6035 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe6036 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call6037 = callmethodflags(*var_node, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe6036);
// compiled member node returning call6037 (depth = 8)
  gc_frame_newslot(call6037);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6038 = gc_frame_new();
// call case 4: self request
  Object call6039 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6038);
// compiled member node returning call6039 (depth = 8)
  params[0] = call6037;
  partcv[0] = 1;
  Object call6040 = callmethodflags(call6039, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6035);
// compiled call node returning call6040 (depth = 7)
    gc_frame_newslot(call6040);
    if6027 = call6040;
  } else {
  }
// compiled if node returning if6027 (depth = 6)
  gc_frame_end(frame);
  return if6027;
}
Object meth_ast_6012_localNames(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "localNames");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6015 = gc_frame_new();
// call case 4: self request
  Object call6016 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6015);
// compiled member node returning call6016 (depth = 5)
  int op_slot_right_6014 = gc_frame_newslot(call6016);
// starting to compile identifier node (depth = 5)
  Object bool6018 = alloc_Boolean(0);
// compiled identifier node returning bool6018 (depth = 5)
  int op_slot_left_6014 = gc_frame_newslot(bool6018);
  params[0] = call6016;
  partcv[0] = 1;
  Object opresult6019 = callmethod(bool6018, "==(1)", 1, partcv, params);
// compiled op node returning opresult6019 (depth = 4)
  Object if6013 = done;
  if (istrue(opresult6019)) {
// Begin line 1495
  setline(1495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6020 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6021 = gc_frame_new();
// call case 5: prelude request
  Object call6022 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6021);
// compiled member node returning call6022 (depth = 5)
  gc_frame_newslot(call6022);
// call case 4: self request
  params[0] = call6022;
  partcv[0] = 1;
  Object call6023 = callmethodflags(self, "myLocalNames:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6020);
// compiled call node returning call6023 (depth = 4)
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6024 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6025 = alloc_Block(NULL, NULL, "ast", 1496);
  gc_frame_newslot(block6025);
// method "_apply(_)"
  block_savedest(block6025);
  Object closure6026 = createclosure(1, "_apply(1)");
  setclosureframe(closure6026, stackframe);
  addtoclosure(closure6026, selfslot);
  struct UserObject *uo6026 = (struct UserObject*)block6025;
  uo6026->data[0] = (Object)closure6026;
  Method *meth_meth_ast_6026__apply_40_1_41_ = addmethod2pos(block6025, "_apply(1)", &meth_ast_6026__apply_40_1_41_, 0);
  int argcv_meth_ast_6026__apply_40_1_41_[] = {1};
  meth_meth_ast_6026__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6026__apply_40_1_41_);
  meth_meth_ast_6026__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6026__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6025 (depth = 5)
  gc_frame_newslot(block6025);
// call case 6: other requests
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6042 = gc_frame_new();
// call case 4: self request
  Object call6043 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6042);
// compiled member node returning call6043 (depth = 5)
  params[0] = block6025;
  partcv[0] = 1;
  Object call6044 = callmethodflags(call6043, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6024);
// compiled call node returning call6044 (depth = 4)
    gc_frame_newslot(call6044);
    if6013 = call6044;
  } else {
  }
// compiled if node returning if6013 (depth = 3)
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6045 = gc_frame_new();
// call case 4: self request
  Object call6046 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6045);
// compiled member node returning call6046 (depth = 3)
  gc_frame_end(frame);
  return call6046;
}
Object meth_ast_6061__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 5)
  int callframe6062 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call6063 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6062);
// compiled call node returning call6063 (depth = 5)
  gc_frame_end(frame);
  return call6063;
}
Object meth_ast_6047_parentsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1508
  setline(1508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6050 = gc_frame_new();
// call case 4: self request
  Object call6051 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6050);
// compiled member node returning call6051 (depth = 5)
  int op_slot_right_6049 = gc_frame_newslot(call6051);
// starting to compile identifier node (depth = 5)
  Object bool6053 = alloc_Boolean(0);
// compiled identifier node returning bool6053 (depth = 5)
  int op_slot_left_6049 = gc_frame_newslot(bool6053);
  params[0] = call6051;
  partcv[0] = 1;
  Object opresult6054 = callmethod(bool6053, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6054 (depth = 4)
  Object if6048 = done;
  if (istrue(opresult6054)) {
// starting to compile call node (depth = 4)
  int callframe6055 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6056 = gc_frame_new();
// call case 4: self request
  Object call6057 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6056);
// compiled member node returning call6057 (depth = 5)
  gc_frame_newslot(call6057);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_action (depth = 5)
  params[0] = call6057;
  partcv[0] = 1;
  Object call6058 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6055);
// compiled call node returning call6058 (depth = 4)
    gc_frame_newslot(call6058);
    if6048 = call6058;
  } else {
  }
// compiled if node returning if6048 (depth = 3)
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6059 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6060 = alloc_Block(NULL, NULL, "ast", 1509);
  gc_frame_newslot(block6060);
// method "_apply(_)"
  block_savedest(block6060);
  Object closure6061 = createclosure(2, "_apply(1)");
  setclosureframe(closure6061, stackframe);
  addtoclosure(closure6061, var_action);
  addtoclosure(closure6061, selfslot);
  struct UserObject *uo6061 = (struct UserObject*)block6060;
  uo6061->data[0] = (Object)closure6061;
  Method *meth_meth_ast_6061__apply_40_1_41_ = addmethod2pos(block6060, "_apply(1)", &meth_ast_6061__apply_40_1_41_, 0);
  int argcv_meth_ast_6061__apply_40_1_41_[] = {1};
  meth_meth_ast_6061__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6061__apply_40_1_41_);
  meth_meth_ast_6061__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6061__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6060 (depth = 4)
  gc_frame_newslot(block6060);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6065 = gc_frame_new();
// call case 4: self request
  Object call6066 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6065);
// compiled member node returning call6066 (depth = 4)
  params[0] = block6060;
  partcv[0] = 1;
  Object call6067 = callmethodflags(call6066, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6059);
// compiled call node returning call6067 (depth = 3)
  gc_frame_end(frame);
  return call6067;
}
Object meth_ast_6071__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6073 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call6074 = callmethodflags(*var_o, "isMethod", 0, partcv, params, 0);
  gc_frame_end(callframe6073);
// compiled member node returning call6074 (depth = 6)
  Object if6072 = done;
  if (istrue(call6074)) {
// starting to compile call node (depth = 6)
  int callframe6075 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call6076 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6075);
// compiled call node returning call6076 (depth = 6)
    gc_frame_newslot(call6076);
    if6072 = call6076;
  } else {
  }
// compiled if node returning if6072 (depth = 5)
  gc_frame_end(frame);
  return if6072;
}
Object meth_ast_6068_methodsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "methodsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method methodsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for methodsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part methodsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6069 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6070 = alloc_Block(NULL, NULL, "ast", 1515);
  gc_frame_newslot(block6070);
// method "_apply(_)"
  block_savedest(block6070);
  Object closure6071 = createclosure(2, "_apply(1)");
  setclosureframe(closure6071, stackframe);
  addtoclosure(closure6071, var_action);
  addtoclosure(closure6071, selfslot);
  struct UserObject *uo6071 = (struct UserObject*)block6070;
  uo6071->data[0] = (Object)closure6071;
  Method *meth_meth_ast_6071__apply_40_1_41_ = addmethod2pos(block6070, "_apply(1)", &meth_ast_6071__apply_40_1_41_, 0);
  int argcv_meth_ast_6071__apply_40_1_41_[] = {1};
  meth_meth_ast_6071__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6071__apply_40_1_41_);
  meth_meth_ast_6071__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6071__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6070 (depth = 4)
  gc_frame_newslot(block6070);
// call case 6: other requests
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6078 = gc_frame_new();
// call case 4: self request
  Object call6079 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6078);
// compiled member node returning call6079 (depth = 4)
  params[0] = block6070;
  partcv[0] = 1;
  Object call6080 = callmethodflags(call6079, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6069);
// compiled call node returning call6080 (depth = 3)
  gc_frame_end(frame);
  return call6080;
}
Object meth_ast_6084__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6086 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call6087 = callmethodflags(*var_o, "isExecutable", 0, partcv, params, 0);
  gc_frame_end(callframe6086);
// compiled member node returning call6087 (depth = 6)
  Object if6085 = done;
  if (istrue(call6087)) {
// starting to compile call node (depth = 6)
  int callframe6088 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call6089 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6088);
// compiled call node returning call6089 (depth = 6)
    gc_frame_newslot(call6089);
    if6085 = call6089;
  } else {
  }
// compiled if node returning if6085 (depth = 5)
  gc_frame_end(frame);
  return if6085;
}
Object meth_ast_6081_executableComponentsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "executableComponentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method executableComponentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for executableComponentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part executableComponentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6082 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6083 = alloc_Block(NULL, NULL, "ast", 1523);
  gc_frame_newslot(block6083);
// method "_apply(_)"
  block_savedest(block6083);
  Object closure6084 = createclosure(2, "_apply(1)");
  setclosureframe(closure6084, stackframe);
  addtoclosure(closure6084, var_action);
  addtoclosure(closure6084, selfslot);
  struct UserObject *uo6084 = (struct UserObject*)block6083;
  uo6084->data[0] = (Object)closure6084;
  Method *meth_meth_ast_6084__apply_40_1_41_ = addmethod2pos(block6083, "_apply(1)", &meth_ast_6084__apply_40_1_41_, 0);
  int argcv_meth_ast_6084__apply_40_1_41_[] = {1};
  meth_meth_ast_6084__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6084__apply_40_1_41_);
  meth_meth_ast_6084__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6084__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6083 (depth = 4)
  gc_frame_newslot(block6083);
// call case 6: other requests
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6091 = gc_frame_new();
// call case 4: self request
  Object call6092 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6091);
// compiled member node returning call6092 (depth = 4)
  params[0] = block6083;
  partcv[0] = 1;
  Object call6093 = callmethodflags(call6092, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6082);
// compiled call node returning call6093 (depth = 3)
  gc_frame_end(frame);
  return call6093;
}
Object meth_ast_6094_scope_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6095 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call6096 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6095);
// compiled call node returning call6096 (depth = 3)
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6097 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6098 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6097);
// compiled call node returning call6098 (depth = 3)
  gc_frame_end(frame);
  return call6098;
}
Object meth_ast_6099_body(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6100 = gc_frame_new();
// call case 4: self request
  Object call6101 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6100);
// compiled member node returning call6101 (depth = 3)
  gc_frame_end(frame);
  return call6101;
}
Object meth_ast_6102_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6103 = alloc_Boolean(1);
// compiled identifier node returning bool6103 (depth = 3)
  gc_frame_end(frame);
  return bool6103;
}
Object meth_ast_6104_returnedObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6105 = gc_frame_new();
// call case 4: self request
  Object call6106 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6105);
// compiled member node returning call6106 (depth = 3)
  gc_frame_end(frame);
  return call6106;
}
Object meth_ast_6107_canInherit(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canInherit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6108 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6109 = gc_frame_new();
// call case 4: self request
  Object call6110 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6109);
// compiled member node returning call6110 (depth = 4)
  Object call6111 = callmethodflags(call6110, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6108);
// compiled member node returning call6111 (depth = 3)
  gc_frame_end(frame);
  return call6111;
}
Object meth_ast_6112_canUse(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canUse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6113 = alloc_Boolean(1);
// compiled identifier node returning bool6113 (depth = 3)
  gc_frame_end(frame);
  return bool6113;
}
Object meth_ast_6114_isObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6115 = alloc_Boolean(1);
// compiled identifier node returning bool6115 (depth = 3)
  gc_frame_end(frame);
  return bool6115;
}
Object meth_ast_6135__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 6)
  int callframe6136 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6137 = callmethodflags(*var_t, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6136);
// compiled call node returning call6137 (depth = 6)
  gc_frame_end(frame);
  return call6137;
}
Object meth_ast_6144__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 6)
  int callframe6145 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6146 = callmethodflags(*var_x, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6145);
// compiled call node returning call6146 (depth = 6)
  gc_frame_end(frame);
  return call6146;
}
Object meth_ast_6116_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6118 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6119 = callmethodflags(*var_visitor, "visitObject(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6118);
// compiled call node returning call6119 (depth = 4)
  Object if6117 = done;
  if (istrue(call6119)) {
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6120 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6121 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6120);
// compiled call node returning call6121 (depth = 5)
  *var_newChain = call6121;
  if (call6121 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6124 = gc_frame_new();
// call case 4: self request
  Object call6125 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6124);
// compiled member node returning call6125 (depth = 6)
  int op_slot_right_6123 = gc_frame_newslot(call6125);
// starting to compile identifier node (depth = 6)
  Object bool6127 = alloc_Boolean(0);
// compiled identifier node returning bool6127 (depth = 6)
  int op_slot_left_6123 = gc_frame_newslot(bool6127);
  params[0] = call6125;
  partcv[0] = 1;
  Object opresult6128 = callmethod(bool6127, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6128 (depth = 5)
  Object if6122 = done;
  if (istrue(opresult6128)) {
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6129 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6130 = gc_frame_new();
// call case 4: self request
  Object call6131 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6130);
// compiled member node returning call6131 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6132 = callmethodflags(call6131, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6129);
// compiled call node returning call6132 (depth = 5)
    gc_frame_newslot(call6132);
    if6122 = call6132;
  } else {
  }
// compiled if node returning if6122 (depth = 4)
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6133 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6134 = alloc_Block(NULL, NULL, "ast", 1546);
  gc_frame_newslot(block6134);
// method "_apply(_)"
  block_savedest(block6134);
  Object closure6135 = createclosure(3, "_apply(1)");
  setclosureframe(closure6135, stackframe);
  addtoclosure(closure6135, var_visitor);
  addtoclosure(closure6135, var_newChain);
  addtoclosure(closure6135, selfslot);
  struct UserObject *uo6135 = (struct UserObject*)block6134;
  uo6135->data[0] = (Object)closure6135;
  Method *meth_meth_ast_6135__apply_40_1_41_ = addmethod2pos(block6134, "_apply(1)", &meth_ast_6135__apply_40_1_41_, 0);
  int argcv_meth_ast_6135__apply_40_1_41_[] = {1};
  meth_meth_ast_6135__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6135__apply_40_1_41_);
  meth_meth_ast_6135__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6135__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6134 (depth = 5)
  gc_frame_newslot(block6134);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6139 = gc_frame_new();
// call case 4: self request
  Object call6140 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6139);
// compiled member node returning call6140 (depth = 5)
  params[0] = block6134;
  partcv[0] = 1;
  Object call6141 = callmethodflags(call6140, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6133);
// compiled call node returning call6141 (depth = 4)
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6142 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6143 = alloc_Block(NULL, NULL, "ast", 1547);
  gc_frame_newslot(block6143);
// method "_apply(_)"
  block_savedest(block6143);
  Object closure6144 = createclosure(3, "_apply(1)");
  setclosureframe(closure6144, stackframe);
  addtoclosure(closure6144, var_visitor);
  addtoclosure(closure6144, var_newChain);
  addtoclosure(closure6144, selfslot);
  struct UserObject *uo6144 = (struct UserObject*)block6143;
  uo6144->data[0] = (Object)closure6144;
  Method *meth_meth_ast_6144__apply_40_1_41_ = addmethod2pos(block6143, "_apply(1)", &meth_ast_6144__apply_40_1_41_, 0);
  int argcv_meth_ast_6144__apply_40_1_41_[] = {1};
  meth_meth_ast_6144__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6144__apply_40_1_41_);
  meth_meth_ast_6144__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6144__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6143 (depth = 5)
  gc_frame_newslot(block6143);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6148 = gc_frame_new();
// call case 4: self request
  Object call6149 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6148);
// compiled member node returning call6149 (depth = 5)
  params[0] = block6143;
  partcv[0] = 1;
  Object call6150 = callmethodflags(call6149, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6142);
// compiled call node returning call6150 (depth = 4)
    gc_frame_newslot(call6150);
    if6117 = call6150;
  } else {
  }
// compiled if node returning if6117 (depth = 3)
  gc_frame_end(frame);
  return if6117;
}
Object meth_ast_6151_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6154 == NULL) {
    strlit6154 = alloc_String("object");
    gc_root(strlit6154);
  }
// compiled string node returning strlit6154 (depth = 5)
  int op_slot_right_6153 = gc_frame_newslot(strlit6154);
// starting to compile member node (depth = 5)
  int callframe6156 = gc_frame_new();
// call case 4: self request
  Object call6157 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6156);
// compiled member node returning call6157 (depth = 5)
  int op_slot_left_6153 = gc_frame_newslot(call6157);
  params[0] = strlit6154;
  partcv[0] = 1;
  Object opresult6158 = callmethod(call6157, "==(1)", 1, partcv, params);
// compiled op node returning opresult6158 (depth = 4)
  Object if6152 = done;
  if (istrue(opresult6158)) {
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6160 == NULL) {
    strlit6160 = alloc_String("");
    gc_root(strlit6160);
  }
// compiled string node returning strlit6160 (depth = 5)
  int op_slot_right_6159 = gc_frame_newslot(strlit6160);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6163 = gc_frame_new();
// call case 4: self request
  Object call6164 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6163);
// compiled member node returning call6164 (depth = 6)
  int op_slot_right_6162 = gc_frame_newslot(call6164);
// starting to compile string node (depth = 6)
  if (strlit6166 == NULL) {
    strlit6166 = alloc_String("object_on_line_");
    gc_root(strlit6166);
  }
// compiled string node returning strlit6166 (depth = 6)
  int op_slot_left_6162 = gc_frame_newslot(strlit6166);
  params[0] = call6164;
  partcv[0] = 1;
  Object opresult6167 = callmethod(strlit6166, "++(1)", 1, partcv, params);
// compiled op node returning opresult6167 (depth = 5)
  int op_slot_left_6159 = gc_frame_newslot(opresult6167);
  params[0] = strlit6160;
  partcv[0] = 1;
  Object opresult6168 = callmethod(opresult6167, "++(1)", 1, partcv, params);
// compiled op node returning opresult6168 (depth = 4)
    gc_frame_newslot(opresult6168);
    if6152 = opresult6168;
  } else {
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6169 = gc_frame_new();
// call case 4: self request
  Object call6170 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6169);
// compiled member node returning call6170 (depth = 4)
    gc_frame_newslot(call6170);
    if6152 = call6170;
  }
// compiled if node returning if6152 (depth = 3)
  gc_frame_end(frame);
  return if6152;
}
Object meth_ast_6171_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6172 = gc_frame_new();
// call case 4: self request
  Object call6173 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6172);
// compiled member node returning call6173 (depth = 4)
  *var_n = call6173;
  if (call6173 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1559
  setline(1559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6174 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6175 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6174);
// compiled call node returning call6175 (depth = 4)
  *var_newChain = call6175;
  if (call6175 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6176 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6177 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6178 = gc_frame_new();
// call case 4: self request
  Object call6179 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6178);
// compiled member node returning call6179 (depth = 5)
  gc_frame_newslot(call6179);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call6179;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6180 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6177);
// compiled call node returning call6180 (depth = 4)
  gc_frame_newslot(call6180);
// call case 6: other requests
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6180;
  partcv[0] = 1;
  Object call6181 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6176);
// compiled call node returning call6181 (depth = 3)
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6182 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6183 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6184 = gc_frame_new();
// call case 4: self request
  Object call6185 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6184);
// compiled member node returning call6185 (depth = 5)
  gc_frame_newslot(call6185);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call6185;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6186 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6183);
// compiled call node returning call6186 (depth = 4)
  gc_frame_newslot(call6186);
// call case 6: other requests
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6186;
  partcv[0] = 1;
  Object call6187 = callmethodflags(*var_n, "superclass:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6182);
// compiled call node returning call6187 (depth = 3)
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6188 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6189 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6190 = gc_frame_new();
// call case 4: self request
  Object call6191 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6190);
// compiled member node returning call6191 (depth = 5)
  gc_frame_newslot(call6191);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call6191;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6192 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6189);
// compiled call node returning call6192 (depth = 4)
  gc_frame_newslot(call6192);
// call case 6: other requests
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6192;
  partcv[0] = 1;
  Object call6193 = callmethodflags(*var_n, "usedTraits:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6188);
// compiled call node returning call6193 (depth = 3)
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6194 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6195 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6194);
// compiled call node returning call6195 (depth = 3)
  gc_frame_end(frame);
  return call6195;
}
Object meth_ast_6283__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6285 == NULL) {
    strlit6285 = alloc_String("");
    gc_root(strlit6285);
  }
// compiled string node returning strlit6285 (depth = 8)
  int op_slot_right_6284 = gc_frame_newslot(strlit6285);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6288 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num6290 = alloc_Float64(1);
// compiled num node returning num6290 (depth = 11)
  int op_slot_right_6289 = gc_frame_newslot(num6290);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_6289 = gc_frame_newslot(*var_depth);
  params[0] = num6290;
  partcv[0] = 1;
  Object sum6292 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6292 (depth = 10)
  gc_frame_newslot(sum6292);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  params[0] = sum6292;
  partcv[0] = 1;
  Object call6293 = callmethodflags(*var_t, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6288);
// compiled call node returning call6293 (depth = 9)
  int op_slot_right_6287 = gc_frame_newslot(call6293);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6296 == NULL) {
    strlit6296 = alloc_String("  ");
    gc_root(strlit6296);
  }
// compiled string node returning strlit6296 (depth = 10)
  int op_slot_right_6295 = gc_frame_newslot(strlit6296);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_6298 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit6301 == NULL) {
    strlit6301 = alloc_String("""\x0a""");
    gc_root(strlit6301);
  }
// compiled string node returning strlit6301 (depth = 12)
  int op_slot_right_6300 = gc_frame_newslot(strlit6301);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_6303 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit6305 == NULL) {
    strlit6305 = alloc_String("");
    gc_root(strlit6305);
  }
// compiled string node returning strlit6305 (depth = 13)
  int op_slot_left_6303 = gc_frame_newslot(strlit6305);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult6306 = callmethod(strlit6305, "++(1)", 1, partcv, params);
// compiled op node returning opresult6306 (depth = 12)
  int op_slot_left_6300 = gc_frame_newslot(opresult6306);
  params[0] = strlit6301;
  partcv[0] = 1;
  Object opresult6307 = callmethod(opresult6306, "++(1)", 1, partcv, params);
// compiled op node returning opresult6307 (depth = 11)
  int op_slot_left_6298 = gc_frame_newslot(opresult6307);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6308 = callmethod(opresult6307, "++(1)", 1, partcv, params);
// compiled op node returning opresult6308 (depth = 10)
  int op_slot_left_6295 = gc_frame_newslot(opresult6308);
  params[0] = strlit6296;
  partcv[0] = 1;
  Object opresult6309 = callmethod(opresult6308, "++(1)", 1, partcv, params);
// compiled op node returning opresult6309 (depth = 9)
  int op_slot_left_6287 = gc_frame_newslot(opresult6309);
  params[0] = call6293;
  partcv[0] = 1;
  Object opresult6310 = callmethod(opresult6309, "++(1)", 1, partcv, params);
// compiled op node returning opresult6310 (depth = 8)
  int op_slot_left_6284 = gc_frame_newslot(opresult6310);
  params[0] = strlit6285;
  partcv[0] = 1;
  Object opresult6311 = callmethod(opresult6310, "++(1)", 1, partcv, params);
// compiled op node returning opresult6311 (depth = 7)
  *var_s = opresult6311;
  if (opresult6311 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6319__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1581
  setline(1581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6321 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6323 = alloc_Float64(1);
// compiled num node returning num6323 (depth = 9)
  int op_slot_right_6322 = gc_frame_newslot(num6323);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6322 = gc_frame_newslot(*var_depth);
  params[0] = num6323;
  partcv[0] = 1;
  Object sum6325 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6325 (depth = 8)
  gc_frame_newslot(sum6325);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = sum6325;
  partcv[0] = 1;
  Object call6326 = callmethodflags(*var_x, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6321);
// compiled call node returning call6326 (depth = 7)
  int op_slot_right_6320 = gc_frame_newslot(call6326);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6328 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6331 == NULL) {
    strlit6331 = alloc_String("""\x0a""");
    gc_root(strlit6331);
  }
// compiled string node returning strlit6331 (depth = 9)
  int op_slot_right_6330 = gc_frame_newslot(strlit6331);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6330 = gc_frame_newslot(*var_s);
  params[0] = strlit6331;
  partcv[0] = 1;
  Object opresult6333 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6333 (depth = 8)
  int op_slot_left_6328 = gc_frame_newslot(opresult6333);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6334 = callmethod(opresult6333, "++(1)", 1, partcv, params);
// compiled op node returning opresult6334 (depth = 7)
  int op_slot_left_6320 = gc_frame_newslot(opresult6334);
  params[0] = call6326;
  partcv[0] = 1;
  Object opresult6335 = callmethod(opresult6334, "++(1)", 1, partcv, params);
// compiled op node returning opresult6335 (depth = 6)
  *var_s = opresult6335;
  if (opresult6335 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6196_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth_39_ = &(stackframe->slots[0]);
  *var_depth_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_depth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "depth");
  Object *var_spc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spc");
  Object *var_s = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth_39_ (depth = 4)
  *var_depth = *var_depth_39_;
  if (*var_depth_39_ == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num6199 = alloc_Float64(1);
// compiled num node returning num6199 (depth = 6)
  int op_slot_right_6198 = gc_frame_newslot(num6199);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_6198 = gc_frame_newslot(*var_depth);
  params[0] = num6199;
  partcv[0] = 1;
  Object sum6201 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6201 (depth = 5)
  int op_slot_right_6197 = gc_frame_newslot(sum6201);
// starting to compile string node (depth = 5)
  if (strlit6203 == NULL) {
    strlit6203 = alloc_String("  ");
    gc_root(strlit6203);
  }
// compiled string node returning strlit6203 (depth = 5)
  int op_slot_left_6197 = gc_frame_newslot(strlit6203);
  params[0] = sum6201;
  partcv[0] = 1;
  Object prod6204 = callmethod(strlit6203, "*(1)", 1, partcv, params);
// compiled op node returning prod6204 (depth = 4)
  *var_spc = prod6204;
  if (prod6204 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6205 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6206 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6205);
// compiled call node returning call6206 (depth = 4)
  *var_s = call6206;
  if (call6206 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6208 == NULL) {
    strlit6208 = alloc_String("");
    gc_root(strlit6208);
  }
// compiled string node returning strlit6208 (depth = 5)
  int op_slot_right_6207 = gc_frame_newslot(strlit6208);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6211 = gc_frame_new();
// call case 4: self request
  Object call6212 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6211);
// compiled member node returning call6212 (depth = 6)
  int op_slot_right_6210 = gc_frame_newslot(call6212);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6215 == NULL) {
    strlit6215 = alloc_String("Name: ");
    gc_root(strlit6215);
  }
// compiled string node returning strlit6215 (depth = 7)
  int op_slot_right_6214 = gc_frame_newslot(strlit6215);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6217 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6220 == NULL) {
    strlit6220 = alloc_String("""\x0a""");
    gc_root(strlit6220);
  }
// compiled string node returning strlit6220 (depth = 9)
  int op_slot_right_6219 = gc_frame_newslot(strlit6220);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_6222 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit6224 == NULL) {
    strlit6224 = alloc_String("");
    gc_root(strlit6224);
  }
// compiled string node returning strlit6224 (depth = 10)
  int op_slot_left_6222 = gc_frame_newslot(strlit6224);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult6225 = callmethod(strlit6224, "++(1)", 1, partcv, params);
// compiled op node returning opresult6225 (depth = 9)
  int op_slot_left_6219 = gc_frame_newslot(opresult6225);
  params[0] = strlit6220;
  partcv[0] = 1;
  Object opresult6226 = callmethod(opresult6225, "++(1)", 1, partcv, params);
// compiled op node returning opresult6226 (depth = 8)
  int op_slot_left_6217 = gc_frame_newslot(opresult6226);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6227 = callmethod(opresult6226, "++(1)", 1, partcv, params);
// compiled op node returning opresult6227 (depth = 7)
  int op_slot_left_6214 = gc_frame_newslot(opresult6227);
  params[0] = strlit6215;
  partcv[0] = 1;
  Object opresult6228 = callmethod(opresult6227, "++(1)", 1, partcv, params);
// compiled op node returning opresult6228 (depth = 6)
  int op_slot_left_6210 = gc_frame_newslot(opresult6228);
  params[0] = call6212;
  partcv[0] = 1;
  Object opresult6229 = callmethod(opresult6228, "++(1)", 1, partcv, params);
// compiled op node returning opresult6229 (depth = 5)
  int op_slot_left_6207 = gc_frame_newslot(opresult6229);
  params[0] = strlit6208;
  partcv[0] = 1;
  Object opresult6230 = callmethod(opresult6229, "++(1)", 1, partcv, params);
// compiled op node returning opresult6230 (depth = 4)
  *var_s = opresult6230;
  if (opresult6230 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6234 = gc_frame_new();
// call case 4: self request
  Object call6235 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6234);
// compiled member node returning call6235 (depth = 5)
  int op_slot_right_6233 = gc_frame_newslot(call6235);
// starting to compile identifier node (depth = 5)
  Object bool6237 = alloc_Boolean(0);
// compiled identifier node returning bool6237 (depth = 5)
  int op_slot_left_6233 = gc_frame_newslot(bool6237);
  params[0] = call6235;
  partcv[0] = 1;
  Object opresult6238 = callmethod(bool6237, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6238 (depth = 4)
  Object if6232 = done;
  if (istrue(opresult6238)) {
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6240 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num6242 = alloc_Float64(1);
// compiled num node returning num6242 (depth = 8)
  int op_slot_right_6241 = gc_frame_newslot(num6242);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_6241 = gc_frame_newslot(*var_depth);
  params[0] = num6242;
  partcv[0] = 1;
  Object sum6244 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6244 (depth = 7)
  gc_frame_newslot(sum6244);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6245 = gc_frame_new();
// call case 4: self request
  Object call6246 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6245);
// compiled member node returning call6246 (depth = 7)
  params[0] = sum6244;
  partcv[0] = 1;
  Object call6247 = callmethodflags(call6246, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6240);
// compiled call node returning call6247 (depth = 6)
  int op_slot_right_6239 = gc_frame_newslot(call6247);
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6250 == NULL) {
    strlit6250 = alloc_String("Superclass: ");
    gc_root(strlit6250);
  }
// compiled string node returning strlit6250 (depth = 7)
  int op_slot_right_6249 = gc_frame_newslot(strlit6250);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6252 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6255 == NULL) {
    strlit6255 = alloc_String("""\x0a""");
    gc_root(strlit6255);
  }
// compiled string node returning strlit6255 (depth = 9)
  int op_slot_right_6254 = gc_frame_newslot(strlit6255);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6254 = gc_frame_newslot(*var_s);
  params[0] = strlit6255;
  partcv[0] = 1;
  Object opresult6257 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6257 (depth = 8)
  int op_slot_left_6252 = gc_frame_newslot(opresult6257);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6258 = callmethod(opresult6257, "++(1)", 1, partcv, params);
// compiled op node returning opresult6258 (depth = 7)
  int op_slot_left_6249 = gc_frame_newslot(opresult6258);
  params[0] = strlit6250;
  partcv[0] = 1;
  Object opresult6259 = callmethod(opresult6258, "++(1)", 1, partcv, params);
// compiled op node returning opresult6259 (depth = 6)
  int op_slot_left_6239 = gc_frame_newslot(opresult6259);
  params[0] = call6247;
  partcv[0] = 1;
  Object opresult6260 = callmethod(opresult6259, "++(1)", 1, partcv, params);
// compiled op node returning opresult6260 (depth = 5)
  *var_s = opresult6260;
  if (opresult6260 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6232 = done;
  } else {
  }
// compiled if node returning if6232 (depth = 3)
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6263 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6264 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6265 = gc_frame_new();
// call case 4: self request
  Object call6266 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6265);
// compiled member node returning call6266 (depth = 6)
  Object call6267 = callmethodflags(call6266, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe6264);
// compiled member node returning call6267 (depth = 5)
  Object call6268 = callmethodflags(call6267, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6263);
// compiled member node returning call6268 (depth = 4)
  Object if6262 = done;
  if (istrue(call6268)) {
// Begin line 1575
  setline(1575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6270 == NULL) {
    strlit6270 = alloc_String("Traits:");
    gc_root(strlit6270);
  }
// compiled string node returning strlit6270 (depth = 6)
  int op_slot_right_6269 = gc_frame_newslot(strlit6270);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_6272 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6275 == NULL) {
    strlit6275 = alloc_String("""\x0a""");
    gc_root(strlit6275);
  }
// compiled string node returning strlit6275 (depth = 8)
  int op_slot_right_6274 = gc_frame_newslot(strlit6275);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6274 = gc_frame_newslot(*var_s);
  params[0] = strlit6275;
  partcv[0] = 1;
  Object opresult6277 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6277 (depth = 7)
  int op_slot_left_6272 = gc_frame_newslot(opresult6277);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6278 = callmethod(opresult6277, "++(1)", 1, partcv, params);
// compiled op node returning opresult6278 (depth = 6)
  int op_slot_left_6269 = gc_frame_newslot(opresult6278);
  params[0] = strlit6270;
  partcv[0] = 1;
  Object opresult6279 = callmethod(opresult6278, "++(1)", 1, partcv, params);
// compiled op node returning opresult6279 (depth = 5)
  *var_s = opresult6279;
  if (opresult6279 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6281 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6282 = alloc_Block(NULL, NULL, "ast", 1576);
  gc_frame_newslot(block6282);
// method "_apply(_)"
  block_savedest(block6282);
  Object closure6283 = createclosure(4, "_apply(1)");
  setclosureframe(closure6283, stackframe);
  addtoclosure(closure6283, var_depth);
  addtoclosure(closure6283, var_spc);
  addtoclosure(closure6283, var_s);
  addtoclosure(closure6283, selfslot);
  struct UserObject *uo6283 = (struct UserObject*)block6282;
  uo6283->data[0] = (Object)closure6283;
  Method *meth_meth_ast_6283__apply_40_1_41_ = addmethod2pos(block6282, "_apply(1)", &meth_ast_6283__apply_40_1_41_, 0);
  int argcv_meth_ast_6283__apply_40_1_41_[] = {1};
  meth_meth_ast_6283__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6283__apply_40_1_41_);
  meth_meth_ast_6283__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6283__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6282 (depth = 5)
  gc_frame_newslot(block6282);
// call case 6: other requests
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6314 = gc_frame_new();
// call case 4: self request
  Object call6315 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6314);
// compiled member node returning call6315 (depth = 5)
  params[0] = block6282;
  partcv[0] = 1;
  Object call6316 = callmethodflags(call6315, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6281);
// compiled call node returning call6316 (depth = 4)
    gc_frame_newslot(call6316);
    if6262 = call6316;
  } else {
  }
// compiled if node returning if6262 (depth = 3)
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6317 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6318 = alloc_Block(NULL, NULL, "ast", 1580);
  gc_frame_newslot(block6318);
// method "_apply(_)"
  block_savedest(block6318);
  Object closure6319 = createclosure(4, "_apply(1)");
  setclosureframe(closure6319, stackframe);
  addtoclosure(closure6319, var_depth);
  addtoclosure(closure6319, var_spc);
  addtoclosure(closure6319, var_s);
  addtoclosure(closure6319, selfslot);
  struct UserObject *uo6319 = (struct UserObject*)block6318;
  uo6319->data[0] = (Object)closure6319;
  Method *meth_meth_ast_6319__apply_40_1_41_ = addmethod2pos(block6318, "_apply(1)", &meth_ast_6319__apply_40_1_41_, 0);
  int argcv_meth_ast_6319__apply_40_1_41_[] = {1};
  meth_meth_ast_6319__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6319__apply_40_1_41_);
  meth_meth_ast_6319__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6319__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6318 (depth = 4)
  gc_frame_newslot(block6318);
// call case 6: other requests
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6338 = gc_frame_new();
// call case 4: self request
  Object call6339 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6338);
// compiled member node returning call6339 (depth = 4)
  params[0] = block6318;
  partcv[0] = 1;
  Object call6340 = callmethodflags(call6339, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6317);
// compiled call node returning call6340 (depth = 3)
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_6388__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6390 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6392 = alloc_Float64(1);
// compiled num node returning num6392 (depth = 9)
  int op_slot_right_6391 = gc_frame_newslot(num6392);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6391 = gc_frame_newslot(*var_depth);
  params[0] = num6392;
  partcv[0] = 1;
  Object sum6394 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6394 (depth = 8)
  gc_frame_newslot(sum6394);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  params[0] = sum6394;
  partcv[0] = 1;
  Object call6395 = callmethodflags(*var_t, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6390);
// compiled call node returning call6395 (depth = 7)
  int op_slot_right_6389 = gc_frame_newslot(call6395);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6398 == NULL) {
    strlit6398 = alloc_String("""\x0a""");
    gc_root(strlit6398);
  }
// compiled string node returning strlit6398 (depth = 8)
  int op_slot_right_6397 = gc_frame_newslot(strlit6398);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6397 = gc_frame_newslot(*var_s);
  params[0] = strlit6398;
  partcv[0] = 1;
  Object opresult6400 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6400 (depth = 7)
  int op_slot_left_6389 = gc_frame_newslot(opresult6400);
  params[0] = call6395;
  partcv[0] = 1;
  Object opresult6401 = callmethod(opresult6400, "++(1)", 1, partcv, params);
// compiled op node returning opresult6401 (depth = 6)
  *var_s = opresult6401;
  if (opresult6401 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6409__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6411 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6413 = alloc_Float64(1);
// compiled num node returning num6413 (depth = 9)
  int op_slot_right_6412 = gc_frame_newslot(num6413);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6412 = gc_frame_newslot(*var_depth);
  params[0] = num6413;
  partcv[0] = 1;
  Object sum6415 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6415 (depth = 8)
  gc_frame_newslot(sum6415);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = sum6415;
  partcv[0] = 1;
  Object call6416 = callmethodflags(*var_x, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6411);
// compiled call node returning call6416 (depth = 7)
  int op_slot_right_6410 = gc_frame_newslot(call6416);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6419 == NULL) {
    strlit6419 = alloc_String("    ");
    gc_root(strlit6419);
  }
// compiled string node returning strlit6419 (depth = 8)
  int op_slot_right_6418 = gc_frame_newslot(strlit6419);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_6421 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6424 == NULL) {
    strlit6424 = alloc_String("""\x0a""");
    gc_root(strlit6424);
  }
// compiled string node returning strlit6424 (depth = 10)
  int op_slot_right_6423 = gc_frame_newslot(strlit6424);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_6423 = gc_frame_newslot(*var_s);
  params[0] = strlit6424;
  partcv[0] = 1;
  Object opresult6426 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6426 (depth = 9)
  int op_slot_left_6421 = gc_frame_newslot(opresult6426);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6427 = callmethod(opresult6426, "++(1)", 1, partcv, params);
// compiled op node returning opresult6427 (depth = 8)
  int op_slot_left_6418 = gc_frame_newslot(opresult6427);
  params[0] = strlit6419;
  partcv[0] = 1;
  Object opresult6428 = callmethod(opresult6427, "++(1)", 1, partcv, params);
// compiled op node returning opresult6428 (depth = 7)
  int op_slot_left_6410 = gc_frame_newslot(opresult6428);
  params[0] = call6416;
  partcv[0] = 1;
  Object opresult6429 = callmethod(opresult6428, "++(1)", 1, partcv, params);
// compiled op node returning opresult6429 (depth = 6)
  *var_s = opresult6429;
  if (opresult6429 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6341_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6342 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit6344 == NULL) {
    strlit6344 = alloc_String("    ");
    gc_root(strlit6344);
  }
// compiled string node returning strlit6344 (depth = 5)
  int op_slot_left_6342 = gc_frame_newslot(strlit6344);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod6345 = callmethod(strlit6344, "*(1)", 1, partcv, params);
// compiled op node returning prod6345 (depth = 4)
  *var_spc = prod6345;
  if (prod6345 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6346 == NULL) {
    strlit6346 = alloc_String("object {");
    gc_root(strlit6346);
  }
// compiled string node returning strlit6346 (depth = 4)
  *var_s = strlit6346;
  if (strlit6346 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6348 = gc_frame_new();
// call case 4: self request
  Object call6349 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6348);
// compiled member node returning call6349 (depth = 4)
  Object if6347 = done;
  if (istrue(call6349)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6351 == NULL) {
    strlit6351 = alloc_String("   // trait");
    gc_root(strlit6351);
  }
// compiled string node returning strlit6351 (depth = 6)
  int op_slot_right_6350 = gc_frame_newslot(strlit6351);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6350 = gc_frame_newslot(*var_s);
  params[0] = strlit6351;
  partcv[0] = 1;
  Object opresult6353 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6353 (depth = 5)
  *var_s = opresult6353;
  if (opresult6353 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6347 = done;
  } else {
  }
// compiled if node returning if6347 (depth = 3)
// Begin line 1589
  setline(1589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6356 = gc_frame_new();
// call case 4: self request
  Object call6357 = callmethodflags(self, "inClass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6356);
// compiled member node returning call6357 (depth = 4)
  Object if6355 = done;
  if (istrue(call6357)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6359 == NULL) {
    strlit6359 = alloc_String("   // class");
    gc_root(strlit6359);
  }
// compiled string node returning strlit6359 (depth = 6)
  int op_slot_right_6358 = gc_frame_newslot(strlit6359);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6358 = gc_frame_newslot(*var_s);
  params[0] = strlit6359;
  partcv[0] = 1;
  Object opresult6361 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6361 (depth = 5)
  *var_s = opresult6361;
  if (opresult6361 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6355 = done;
  } else {
  }
// compiled if node returning if6355 (depth = 3)
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6365 = gc_frame_new();
// call case 4: self request
  Object call6366 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6365);
// compiled member node returning call6366 (depth = 5)
  int op_slot_right_6364 = gc_frame_newslot(call6366);
// starting to compile identifier node (depth = 5)
  Object bool6368 = alloc_Boolean(0);
// compiled identifier node returning bool6368 (depth = 5)
  int op_slot_left_6364 = gc_frame_newslot(bool6368);
  params[0] = call6366;
  partcv[0] = 1;
  Object opresult6369 = callmethod(bool6368, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6369 (depth = 4)
  Object if6363 = done;
  if (istrue(opresult6369)) {
// Begin line 1591
  setline(1591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6371 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num6373 = alloc_Float64(1);
// compiled num node returning num6373 (depth = 8)
  int op_slot_right_6372 = gc_frame_newslot(num6373);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_6372 = gc_frame_newslot(*var_depth);
  params[0] = num6373;
  partcv[0] = 1;
  Object sum6375 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6375 (depth = 7)
  gc_frame_newslot(sum6375);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6376 = gc_frame_new();
// call case 4: self request
  Object call6377 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6376);
// compiled member node returning call6377 (depth = 7)
  params[0] = sum6375;
  partcv[0] = 1;
  Object call6378 = callmethodflags(call6377, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6371);
// compiled call node returning call6378 (depth = 6)
  int op_slot_right_6370 = gc_frame_newslot(call6378);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6381 == NULL) {
    strlit6381 = alloc_String("""\x0a""");
    gc_root(strlit6381);
  }
// compiled string node returning strlit6381 (depth = 7)
  int op_slot_right_6380 = gc_frame_newslot(strlit6381);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6380 = gc_frame_newslot(*var_s);
  params[0] = strlit6381;
  partcv[0] = 1;
  Object opresult6383 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6383 (depth = 6)
  int op_slot_left_6370 = gc_frame_newslot(opresult6383);
  params[0] = call6378;
  partcv[0] = 1;
  Object opresult6384 = callmethod(opresult6383, "++(1)", 1, partcv, params);
// compiled op node returning opresult6384 (depth = 5)
  *var_s = opresult6384;
  if (opresult6384 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6363 = done;
  } else {
  }
// compiled if node returning if6363 (depth = 3)
// Begin line 1593
  setline(1593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6386 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6387 = alloc_Block(NULL, NULL, "ast", 1593);
  gc_frame_newslot(block6387);
// method "_apply(_)"
  block_savedest(block6387);
  Object closure6388 = createclosure(3, "_apply(1)");
  setclosureframe(closure6388, stackframe);
  addtoclosure(closure6388, var_depth);
  addtoclosure(closure6388, var_s);
  addtoclosure(closure6388, selfslot);
  struct UserObject *uo6388 = (struct UserObject*)block6387;
  uo6388->data[0] = (Object)closure6388;
  Method *meth_meth_ast_6388__apply_40_1_41_ = addmethod2pos(block6387, "_apply(1)", &meth_ast_6388__apply_40_1_41_, 0);
  int argcv_meth_ast_6388__apply_40_1_41_[] = {1};
  meth_meth_ast_6388__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6388__apply_40_1_41_);
  meth_meth_ast_6388__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6388__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6387 (depth = 4)
  gc_frame_newslot(block6387);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6404 = gc_frame_new();
// call case 4: self request
  Object call6405 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6404);
// compiled member node returning call6405 (depth = 4)
  params[0] = block6387;
  partcv[0] = 1;
  Object call6406 = callmethodflags(call6405, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6386);
// compiled call node returning call6406 (depth = 3)
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6407 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6408 = alloc_Block(NULL, NULL, "ast", 1594);
  gc_frame_newslot(block6408);
// method "_apply(_)"
  block_savedest(block6408);
  Object closure6409 = createclosure(4, "_apply(1)");
  setclosureframe(closure6409, stackframe);
  addtoclosure(closure6409, var_depth);
  addtoclosure(closure6409, var_spc);
  addtoclosure(closure6409, var_s);
  addtoclosure(closure6409, selfslot);
  struct UserObject *uo6409 = (struct UserObject*)block6408;
  uo6409->data[0] = (Object)closure6409;
  Method *meth_meth_ast_6409__apply_40_1_41_ = addmethod2pos(block6408, "_apply(1)", &meth_ast_6409__apply_40_1_41_, 0);
  int argcv_meth_ast_6409__apply_40_1_41_[] = {1};
  meth_meth_ast_6409__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6409__apply_40_1_41_);
  meth_meth_ast_6409__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6409__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6408 (depth = 4)
  gc_frame_newslot(block6408);
// call case 6: other requests
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6432 = gc_frame_new();
// call case 4: self request
  Object call6433 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6432);
// compiled member node returning call6433 (depth = 4)
  params[0] = block6408;
  partcv[0] = 1;
  Object call6434 = callmethodflags(call6433, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6407);
// compiled call node returning call6434 (depth = 3)
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6436 == NULL) {
    strlit6436 = alloc_String("}");
    gc_root(strlit6436);
  }
// compiled string node returning strlit6436 (depth = 5)
  int op_slot_right_6435 = gc_frame_newslot(strlit6436);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_6438 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6441 == NULL) {
    strlit6441 = alloc_String("""\x0a""");
    gc_root(strlit6441);
  }
// compiled string node returning strlit6441 (depth = 7)
  int op_slot_right_6440 = gc_frame_newslot(strlit6441);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6440 = gc_frame_newslot(*var_s);
  params[0] = strlit6441;
  partcv[0] = 1;
  Object opresult6443 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6443 (depth = 6)
  int op_slot_left_6438 = gc_frame_newslot(opresult6443);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6444 = callmethod(opresult6443, "++(1)", 1, partcv, params);
// compiled op node returning opresult6444 (depth = 5)
  int op_slot_left_6435 = gc_frame_newslot(opresult6444);
  params[0] = strlit6436;
  partcv[0] = 1;
  Object opresult6445 = callmethod(opresult6444, "++(1)", 1, partcv, params);
// compiled op node returning opresult6445 (depth = 4)
  *var_s = opresult6445;
  if (opresult6445 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_6447_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6448 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6449 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool6450 = alloc_Boolean(0);
// compiled identifier node returning bool6450 (depth = 5)
  gc_frame_newslot(bool6450);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objectNode (depth = 5)
  params[0] = *var_emptySeq;
  params[1] = bool6450;
  partcv[0] = 2;
  Object call6451 = callmethodflags(*var_objectNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6449);
// compiled call node returning call6451 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6452 = callmethodflags(call6451, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6448);
// compiled call node returning call6452 (depth = 3)
  gc_frame_end(frame);
  return call6452;
}
Object meth_ast_6453_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6454 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6455 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6456 = callmethodflags(*var_other, "name", 0, partcv, params, 0);
  gc_frame_end(callframe6455);
// compiled member node returning call6456 (depth = 4)
  gc_frame_newslot(call6456);
// call case 4: self request
  params[0] = call6456;
  partcv[0] = 1;
  Object call6457 = callmethodflags(self, "name:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6454);
// compiled call node returning call6457 (depth = 3)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6458 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6459 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6460 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6459);
// compiled member node returning call6460 (depth = 4)
  gc_frame_newslot(call6460);
// call case 4: self request
  params[0] = call6460;
  partcv[0] = 1;
  Object call6461 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6458);
// compiled call node returning call6461 (depth = 3)
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6462 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6463 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6464 = callmethodflags(*var_other, "superclass", 0, partcv, params, 0);
  gc_frame_end(callframe6463);
// compiled member node returning call6464 (depth = 4)
  gc_frame_newslot(call6464);
// call case 4: self request
  params[0] = call6464;
  partcv[0] = 1;
  Object call6465 = callmethodflags(self, "superclass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6462);
// compiled call node returning call6465 (depth = 3)
// Begin line 1607
  setline(1607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6466 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6467 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6468 = callmethodflags(*var_other, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe6467);
// compiled member node returning call6468 (depth = 4)
  gc_frame_newslot(call6468);
// call case 4: self request
  params[0] = call6468;
  partcv[0] = 1;
  Object call6469 = callmethodflags(self, "usedTraits:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6466);
// compiled call node returning call6469 (depth = 3)
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6470 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6471 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6472 = callmethodflags(*var_other, "inClass", 0, partcv, params, 0);
  gc_frame_end(callframe6471);
// compiled member node returning call6472 (depth = 4)
  gc_frame_newslot(call6472);
// call case 4: self request
  params[0] = call6472;
  partcv[0] = 1;
  Object call6473 = callmethodflags(self, "inClass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6470);
// compiled call node returning call6473 (depth = 3)
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6474 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6475 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6476 = callmethodflags(*var_other, "inTrait", 0, partcv, params, 0);
  gc_frame_end(callframe6475);
// compiled member node returning call6476 (depth = 4)
  gc_frame_newslot(call6476);
// call case 4: self request
  params[0] = call6476;
  partcv[0] = 1;
  Object call6477 = callmethodflags(self, "inTrait:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6474);
// compiled call node returning call6477 (depth = 3)
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6478 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6479 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6480 = callmethodflags(*var_other, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe6479);
// compiled member node returning call6480 (depth = 4)
  gc_frame_newslot(call6480);
// call case 4: self request
  params[0] = call6480;
  partcv[0] = 1;
  Object call6481 = callmethodflags(self, "annotations:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6478);
// compiled call node returning call6481 (depth = 3)
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_6482_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6484 = gc_frame_new();
// call case 4: self request
  Object call6485 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6484);
// compiled member node returning call6485 (depth = 4)
  int op_slot_right_6483 = gc_frame_newslot(call6485);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6488 == NULL) {
    strlit6488 = alloc_String(" ");
    gc_root(strlit6488);
  }
// compiled string node returning strlit6488 (depth = 5)
  int op_slot_right_6487 = gc_frame_newslot(strlit6488);
// starting to compile member node (depth = 5)
  int callframe6490 = gc_frame_new();
// call case 4: self request
  Object call6491 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6490);
// compiled member node returning call6491 (depth = 5)
  int op_slot_left_6487 = gc_frame_newslot(call6491);
  params[0] = strlit6488;
  partcv[0] = 1;
  Object opresult6492 = callmethod(call6491, "++(1)", 1, partcv, params);
// compiled op node returning opresult6492 (depth = 4)
  int op_slot_left_6483 = gc_frame_newslot(opresult6492);
  params[0] = call6485;
  partcv[0] = 1;
  Object opresult6493 = callmethod(opresult6492, "++(1)", 1, partcv, params);
// compiled op node returning opresult6493 (depth = 3)
  gc_frame_end(frame);
  return opresult6493;
}
Object meth_ast_5891_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_objectNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5892 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5892 = alloc_userobj2(40,33, objclass5892);
  gc_frame_newslot(obj5892);
  if (objclass5892 == NULL) {
    glfree(obj5892->class->name);
    obj5892->class->name = "objectNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5892, self, 0);
  addmethodreal(obj5892,"outer", &reader_ast_outer_5893);
  Object oldself5892 = self;
  struct StackFrameObject *oldstackframe5892 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5892);
  gc_frame_newslot((Object)stackframe);
  self = obj5892;
  Object *oldselfslot5892 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5892 = (*(struct UserObject *)self).data[0], lowerouter5892 = thisouter5892;
  if (inheritingObject5892) {
    struct UserObject *inho5892 = (struct UserObject *)inheritingObject5892;
    while (inho5892->super != GraceDefaultObject) inho5892 = (struct UserObject *)inho5892->super;
    inho5892->super = obj5892;
    self = inheritingObject5892;
    *selfslot = self;
    lowerouter5892 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5892;
  }
  if (objclass5892 == NULL) {
  Method *reader5894 = addmethodrealflags(obj5892, "kind",&reader_ast_kind_5894, MFLAG_DEF);
  reader5894->definitionModule = modulename;
  reader5894->definitionLine = 1447;
  }
  adddatum2(obj5892, alloc_Undefined(), 1);
  if (objclass5892 == NULL) {
    Method *reader5895 = addmethodrealflags(obj5892, "value", &reader_ast_value_5895, 0);
    Method *writer5895 = addmethodrealflags(obj5892, "value:=(1)", &writer_ast_value_5895, 0);
    reader5895->definitionModule = modulename;
    writer5895->definitionModule = modulename;
    reader5895->definitionLine = 1448;
    writer5895->definitionLine = 1448;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 2);
  if (objclass5892 == NULL) {
    Method *reader5896 = addmethodrealflags(obj5892, "superclass", &reader_ast_superclass_5896, 0);
    Method *writer5896 = addmethodrealflags(obj5892, "superclass:=(1)", &writer_ast_superclass_5896, 0);
    reader5896->definitionModule = modulename;
    writer5896->definitionModule = modulename;
    reader5896->definitionLine = 1449;
    writer5896->definitionLine = 1449;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 3);
  if (objclass5892 == NULL) {
    Method *reader5897 = addmethodrealflags(obj5892, "usedTraits", &reader_ast_usedTraits_5897, 0);
    Method *writer5897 = addmethodrealflags(obj5892, "usedTraits:=(1)", &writer_ast_usedTraits_5897, 0);
    reader5897->definitionModule = modulename;
    writer5897->definitionModule = modulename;
    reader5897->definitionLine = 1450;
    writer5897->definitionLine = 1450;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 4);
  if (objclass5892 == NULL) {
    Method *reader5898 = addmethodrealflags(obj5892, "name", &reader_ast_name_5898, 0);
    Method *writer5898 = addmethodrealflags(obj5892, "name:=(1)", &writer_ast_name_5898, 0);
    reader5898->definitionModule = modulename;
    writer5898->definitionModule = modulename;
    reader5898->definitionLine = 1451;
    writer5898->definitionLine = 1451;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 5);
  if (objclass5892 == NULL) {
    Method *reader5899 = addmethodrealflags(obj5892, "inClass", &reader_ast_inClass_5899, 0);
    Method *writer5899 = addmethodrealflags(obj5892, "inClass:=(1)", &writer_ast_inClass_5899, 0);
    reader5899->definitionModule = modulename;
    writer5899->definitionModule = modulename;
    reader5899->definitionLine = 1452;
    writer5899->definitionLine = 1452;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 6);
  if (objclass5892 == NULL) {
    Method *reader5900 = addmethodrealflags(obj5892, "inTrait", &reader_ast_inTrait_5900, 0);
    Method *writer5900 = addmethodrealflags(obj5892, "inTrait:=(1)", &writer_ast_inTrait_5900, 0);
    reader5900->definitionModule = modulename;
    writer5900->definitionModule = modulename;
    reader5900->definitionLine = 1453;
    writer5900->definitionLine = 1453;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 7);
  if (objclass5892 == NULL) {
    Method *reader5901 = addmethodrealflags(obj5892, "myLocalNames", &reader_ast_myLocalNames_5901, MFLAG_CONFIDENTIAL);
    Method *writer5901 = addmethodrealflags(obj5892, "myLocalNames:=(1)", &writer_ast_myLocalNames_5901, MFLAG_CONFIDENTIAL);
    reader5901->definitionModule = modulename;
    writer5901->definitionModule = modulename;
    reader5901->definitionLine = 1454;
    writer5901->definitionLine = 1454;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 8);
  if (objclass5892 == NULL) {
    Method *reader5902 = addmethodrealflags(obj5892, "annotations", &reader_ast_annotations_5902, 0);
    Method *writer5902 = addmethodrealflags(obj5892, "annotations:=(1)", &writer_ast_annotations_5902, 0);
    reader5902->definitionModule = modulename;
    writer5902->definitionModule = modulename;
    reader5902->definitionLine = 1455;
    writer5902->definitionLine = 1455;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 9);
// method "end"
  block_savedest(obj5892);
  Object closure5903 = createclosure(1, "end");
  setclosureframe(closure5903, stackframe);
  addtoclosure(closure5903, var_noPosition);
  struct UserObject *uo5903 = (struct UserObject*)obj5892;
  uo5903->data[10] = (Object)closure5903;
  Method *meth_meth_ast_5903_end = addmethod2pos(obj5892, "end", &meth_ast_5903_end, 10);
  int argcv_meth_ast_5903_end[] = {0};
  meth_meth_ast_5903_end->type = alloc_MethodType(1, argcv_meth_ast_5903_end);
  meth_meth_ast_5903_end->definitionModule = modulename;
  meth_meth_ast_5903_end->definitionLine = 1457;
// method "description"
  struct UserObject *uo5954 = (struct UserObject*)obj5892;
  uo5954->data[11] = emptyclosure;
  Method *meth_meth_ast_5954_description = addmethod2pos(obj5892, "description", &meth_ast_5954_description, 11);
  int argcv_meth_ast_5954_description[] = {0};
  meth_meth_ast_5954_description->type = alloc_MethodType(1, argcv_meth_ast_5954_description);
  meth_meth_ast_5954_description->definitionModule = modulename;
  meth_meth_ast_5954_description->definitionLine = 1469;
// method "isFresh"
  struct UserObject *uo5983 = (struct UserObject*)obj5892;
  uo5983->data[12] = emptyclosure;
  Method *meth_meth_ast_5983_isFresh = addmethod2pos(obj5892, "isFresh", &meth_ast_5983_isFresh, 12);
  int argcv_meth_ast_5983_isFresh[] = {0};
  meth_meth_ast_5983_isFresh->type = alloc_MethodType(1, argcv_meth_ast_5983_isFresh);
  meth_meth_ast_5983_isFresh->definitionModule = modulename;
  meth_meth_ast_5983_isFresh->definitionLine = 1478;
// method "isTrait"
  struct UserObject *uo5985 = (struct UserObject*)obj5892;
  uo5985->data[13] = emptyclosure;
  Method *meth_meth_ast_5985_isTrait = addmethod2pos(obj5892, "isTrait", &meth_ast_5985_isTrait, 13);
  int argcv_meth_ast_5985_isTrait[] = {0};
  meth_meth_ast_5985_isTrait->type = alloc_MethodType(1, argcv_meth_ast_5985_isTrait);
  meth_meth_ast_5985_isTrait->definitionModule = modulename;
  meth_meth_ast_5985_isTrait->definitionLine = 1479;
// method "localNames"
  struct UserObject *uo6012 = (struct UserObject*)obj5892;
  uo6012->data[14] = emptyclosure;
  Method *meth_meth_ast_6012_localNames = addmethod2pos(obj5892, "localNames", &meth_ast_6012_localNames, 14);
  int argcv_meth_ast_6012_localNames[] = {0};
  meth_meth_ast_6012_localNames->type = alloc_MethodType(1, argcv_meth_ast_6012_localNames);
  meth_meth_ast_6012_localNames->definitionModule = modulename;
  meth_meth_ast_6012_localNames->definitionLine = 1491;
// method "parentsDo(_)"
  struct UserObject *uo6047 = (struct UserObject*)obj5892;
  uo6047->data[15] = emptyclosure;
  Method *meth_meth_ast_6047_parentsDo_40_1_41_ = addmethod2pos(obj5892, "parentsDo(1)", &meth_ast_6047_parentsDo_40_1_41_, 15);
  int argcv_meth_ast_6047_parentsDo_40_1_41_[] = {1};
  meth_meth_ast_6047_parentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6047_parentsDo_40_1_41_);
  meth_meth_ast_6047_parentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6047_parentsDo_40_1_41_->definitionLine = 1505;
// method "methodsDo(_)"
  struct UserObject *uo6068 = (struct UserObject*)obj5892;
  uo6068->data[16] = emptyclosure;
  Method *meth_meth_ast_6068_methodsDo_40_1_41_ = addmethod2pos(obj5892, "methodsDo(1)", &meth_ast_6068_methodsDo_40_1_41_, 16);
  int argcv_meth_ast_6068_methodsDo_40_1_41_[] = {1};
  meth_meth_ast_6068_methodsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6068_methodsDo_40_1_41_);
  meth_meth_ast_6068_methodsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6068_methodsDo_40_1_41_->definitionLine = 1512;
// method "executableComponentsDo(_)"
  struct UserObject *uo6081 = (struct UserObject*)obj5892;
  uo6081->data[17] = emptyclosure;
  Method *meth_meth_ast_6081_executableComponentsDo_40_1_41_ = addmethod2pos(obj5892, "executableComponentsDo(1)", &meth_ast_6081_executableComponentsDo_40_1_41_, 17);
  int argcv_meth_ast_6081_executableComponentsDo_40_1_41_[] = {1};
  meth_meth_ast_6081_executableComponentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6081_executableComponentsDo_40_1_41_);
  meth_meth_ast_6081_executableComponentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6081_executableComponentsDo_40_1_41_->definitionLine = 1520;
// method "scope:=(_)"
  struct UserObject *uo6094 = (struct UserObject*)obj5892;
  uo6094->data[18] = emptyclosure;
  Method *meth_meth_ast_6094_scope_58__61__40_1_41_ = addmethod2pos(obj5892, "scope:=(1)", &meth_ast_6094_scope_58__61__40_1_41_, 18);
  int argcv_meth_ast_6094_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_6094_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6094_scope_58__61__40_1_41_);
  meth_meth_ast_6094_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_6094_scope_58__61__40_1_41_->definitionLine = 1528;
// method "body"
  struct UserObject *uo6099 = (struct UserObject*)obj5892;
  uo6099->data[19] = emptyclosure;
  Method *meth_meth_ast_6099_body = addmethod2pos(obj5892, "body", &meth_ast_6099_body, 19);
  int argcv_meth_ast_6099_body[] = {0};
  meth_meth_ast_6099_body->type = alloc_MethodType(1, argcv_meth_ast_6099_body);
  meth_meth_ast_6099_body->definitionModule = modulename;
  meth_meth_ast_6099_body->definitionLine = 1534;
// method "returnsObject"
  struct UserObject *uo6102 = (struct UserObject*)obj5892;
  uo6102->data[20] = emptyclosure;
  Method *meth_meth_ast_6102_returnsObject = addmethod2pos(obj5892, "returnsObject", &meth_ast_6102_returnsObject, 20);
  int argcv_meth_ast_6102_returnsObject[] = {0};
  meth_meth_ast_6102_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_6102_returnsObject);
  meth_meth_ast_6102_returnsObject->definitionModule = modulename;
  meth_meth_ast_6102_returnsObject->definitionLine = 1535;
// method "returnedObjectScope"
  struct UserObject *uo6104 = (struct UserObject*)obj5892;
  uo6104->data[21] = emptyclosure;
  Method *meth_meth_ast_6104_returnedObjectScope = addmethod2pos(obj5892, "returnedObjectScope", &meth_ast_6104_returnedObjectScope, 21);
  int argcv_meth_ast_6104_returnedObjectScope[] = {0};
  meth_meth_ast_6104_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_6104_returnedObjectScope);
  meth_meth_ast_6104_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_6104_returnedObjectScope->definitionLine = 1536;
// method "canInherit"
  struct UserObject *uo6107 = (struct UserObject*)obj5892;
  uo6107->data[22] = emptyclosure;
  Method *meth_meth_ast_6107_canInherit = addmethod2pos(obj5892, "canInherit", &meth_ast_6107_canInherit, 22);
  int argcv_meth_ast_6107_canInherit[] = {0};
  meth_meth_ast_6107_canInherit->type = alloc_MethodType(1, argcv_meth_ast_6107_canInherit);
  meth_meth_ast_6107_canInherit->definitionModule = modulename;
  meth_meth_ast_6107_canInherit->definitionLine = 1537;
// method "canUse"
  struct UserObject *uo6112 = (struct UserObject*)obj5892;
  uo6112->data[23] = emptyclosure;
  Method *meth_meth_ast_6112_canUse = addmethod2pos(obj5892, "canUse", &meth_ast_6112_canUse, 23);
  int argcv_meth_ast_6112_canUse[] = {0};
  meth_meth_ast_6112_canUse->type = alloc_MethodType(1, argcv_meth_ast_6112_canUse);
  meth_meth_ast_6112_canUse->definitionModule = modulename;
  meth_meth_ast_6112_canUse->definitionLine = 1538;
// method "isObject"
  struct UserObject *uo6114 = (struct UserObject*)obj5892;
  uo6114->data[24] = emptyclosure;
  Method *meth_meth_ast_6114_isObject = addmethod2pos(obj5892, "isObject", &meth_ast_6114_isObject, 24);
  int argcv_meth_ast_6114_isObject[] = {0};
  meth_meth_ast_6114_isObject->type = alloc_MethodType(1, argcv_meth_ast_6114_isObject);
  meth_meth_ast_6114_isObject->definitionModule = modulename;
  meth_meth_ast_6114_isObject->definitionLine = 1539;
// method "accept(_)from(_)"
  struct UserObject *uo6116 = (struct UserObject*)obj5892;
  uo6116->data[25] = emptyclosure;
  Method *meth_meth_ast_6116_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj5892, "accept(1)from(1)", &meth_ast_6116_accept_40_1_41_from_40_1_41_, 25);
  int argcv_meth_ast_6116_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_6116_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6116_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_6116_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6116_accept_40_1_41_from_40_1_41_->definitionLine = 1540;
// method "nameString"
  struct UserObject *uo6151 = (struct UserObject*)obj5892;
  uo6151->data[26] = emptyclosure;
  Method *meth_meth_ast_6151_nameString = addmethod2pos(obj5892, "nameString", &meth_ast_6151_nameString, 26);
  int argcv_meth_ast_6151_nameString[] = {0};
  meth_meth_ast_6151_nameString->type = alloc_MethodType(1, argcv_meth_ast_6151_nameString);
  meth_meth_ast_6151_nameString->definitionModule = modulename;
  meth_meth_ast_6151_nameString->definitionLine = 1550;
// method "map(_)ancestors(_)"
  struct UserObject *uo6171 = (struct UserObject*)obj5892;
  uo6171->data[27] = emptyclosure;
  Method *meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj5892, "map(1)ancestors(1)", &meth_ast_6171_map_40_1_41_ancestors_40_1_41_, 27);
  int argcv_meth_ast_6171_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6171_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_->definitionLine = 1557;
// method "pretty(_)"
  struct UserObject *uo6196 = (struct UserObject*)obj5892;
  uo6196->data[28] = emptyclosure;
  Method *meth_meth_ast_6196_pretty_40_1_41_ = addmethod2pos(obj5892, "pretty(1)", &meth_ast_6196_pretty_40_1_41_, 28);
  int argcv_meth_ast_6196_pretty_40_1_41_[] = {1};
  meth_meth_ast_6196_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6196_pretty_40_1_41_);
  meth_meth_ast_6196_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6196_pretty_40_1_41_->definitionLine = 1565;
// method "toGrace(_)"
  struct UserObject *uo6341 = (struct UserObject*)obj5892;
  uo6341->data[29] = emptyclosure;
  Method *meth_meth_ast_6341_toGrace_40_1_41_ = addmethod2pos(obj5892, "toGrace(1)", &meth_ast_6341_toGrace_40_1_41_, 29);
  int argcv_meth_ast_6341_toGrace_40_1_41_[] = {1};
  meth_meth_ast_6341_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6341_toGrace_40_1_41_);
meth_meth_ast_6341_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_6341_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_6341_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6341_toGrace_40_1_41_->definitionLine = 1585;
// method "shallowCopy"
  block_savedest(obj5892);
  Object closure6447 = createclosure(2, "shallowCopy");
  setclosureframe(closure6447, stackframe);
  addtoclosure(closure6447, var_emptySeq);
  addtoclosure(closure6447, var_objectNode);
  struct UserObject *uo6447 = (struct UserObject*)obj5892;
  uo6447->data[30] = (Object)closure6447;
  Method *meth_meth_ast_6447_shallowCopy = addmethod2pos(obj5892, "shallowCopy", &meth_ast_6447_shallowCopy, 30);
  int argcv_meth_ast_6447_shallowCopy[] = {0};
  meth_meth_ast_6447_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_6447_shallowCopy);
  meth_meth_ast_6447_shallowCopy->definitionModule = modulename;
  meth_meth_ast_6447_shallowCopy->definitionLine = 1600;
// method "postCopy(_)"
  struct UserObject *uo6453 = (struct UserObject*)obj5892;
  uo6453->data[31] = emptyclosure;
  Method *meth_meth_ast_6453_postCopy_40_1_41_ = addmethod2pos(obj5892, "postCopy(1)", &meth_ast_6453_postCopy_40_1_41_, 31);
  int argcv_meth_ast_6453_postCopy_40_1_41_[] = {1};
  meth_meth_ast_6453_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6453_postCopy_40_1_41_);
  meth_meth_ast_6453_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6453_postCopy_40_1_41_->definitionLine = 1603;
// method "asString"
  struct UserObject *uo6482 = (struct UserObject*)obj5892;
  uo6482->data[32] = emptyclosure;
  Method *meth_meth_ast_6482_asString = addmethod2pos(obj5892, "asString", &meth_ast_6482_asString, 32);
  int argcv_meth_ast_6482_asString[] = {0};
  meth_meth_ast_6482_asString->type = alloc_MethodType(1, argcv_meth_ast_6482_asString);
  meth_meth_ast_6482_asString->definitionModule = modulename;
  meth_meth_ast_6482_asString->definitionLine = 1613;
  sourceObject = obj5892;
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6494 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6495 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6494);
// compiled call node returning call6495 (depth = 3)
  struct UserObject *obj5892_uo = (struct UserObject *)obj5892;
  obj5892_uo->super = call6495;
  sourceObject = obj5892;
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6496 == NULL) {
    strlit6496 = alloc_String("object");
    gc_root(strlit6496);
  }
// compiled string node returning strlit6496 (depth = 3)
  adddatum2(obj5892, strlit6496, 1);
  sourceObject = obj5892;
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  adddatum2(obj5892, *var_b, 2);
  sourceObject = obj5892;
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_superclass_39_ (depth = 3)
  adddatum2(obj5892, *var_superclass_39_, 3);
  sourceObject = obj5892;
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6497 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6497 (depth = 3)
  adddatum2(obj5892, array6497, 4);
  sourceObject = obj5892;
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6498 == NULL) {
    strlit6498 = alloc_String("object");
    gc_root(strlit6498);
  }
// compiled string node returning strlit6498 (depth = 3)
  adddatum2(obj5892, strlit6498, 5);
  sourceObject = obj5892;
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6499 = alloc_Boolean(0);
// compiled identifier node returning bool6499 (depth = 3)
  adddatum2(obj5892, bool6499, 6);
  sourceObject = obj5892;
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6500 = alloc_Boolean(0);
// compiled identifier node returning bool6500 (depth = 3)
  adddatum2(obj5892, bool6500, 7);
  sourceObject = obj5892;
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6501 = alloc_Boolean(0);
// compiled identifier node returning bool6501 (depth = 3)
  adddatum2(obj5892, bool6501, 8);
  sourceObject = obj5892;
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6502 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6502 (depth = 3)
  adddatum2(obj5892, array6502, 9);
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  objclass5892 = obj5892->class;
  objclass5892->definitionModule = modulename;
  objclass5892->definitionLine = 1445;
  (*(struct UserObject *)self).data[0] = lowerouter5892;
  self = oldself5892;
  selfslot = oldselfslot5892;
  stackframe = oldstackframe5892;
  gc_frame_end(frame);
  return obj5892;
}
Object meth_ast_5891_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_objectNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5892 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5892 = alloc_userobj2(40,33, objclass5892);
  gc_frame_newslot(obj5892);
  if (objclass5892 == NULL) {
    glfree(obj5892->class->name);
    obj5892->class->name = "objectNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5892, self, 0);
  addmethodreal(obj5892,"outer", &reader_ast_outer_5893);
  Object oldself5892 = self;
  struct StackFrameObject *oldstackframe5892 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5892);
  gc_frame_newslot((Object)stackframe);
  self = obj5892;
  Object *oldselfslot5892 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5892 = (*(struct UserObject *)self).data[0], lowerouter5892 = thisouter5892;
  if (inheritingObject5892) {
    struct UserObject *inho5892 = (struct UserObject *)inheritingObject5892;
    while (inho5892->super != GraceDefaultObject) inho5892 = (struct UserObject *)inho5892->super;
    inho5892->super = obj5892;
    self = inheritingObject5892;
    *selfslot = self;
    lowerouter5892 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5892;
  }
  if (objclass5892 == NULL) {
  Method *reader5894 = addmethodrealflags(obj5892, "kind",&reader_ast_kind_5894, MFLAG_DEF);
  reader5894->definitionModule = modulename;
  reader5894->definitionLine = 1447;
  }
  adddatum2(obj5892, alloc_Undefined(), 1);
  if (objclass5892 == NULL) {
    Method *reader5895 = addmethodrealflags(obj5892, "value", &reader_ast_value_5895, 0);
    Method *writer5895 = addmethodrealflags(obj5892, "value:=(1)", &writer_ast_value_5895, 0);
    reader5895->definitionModule = modulename;
    writer5895->definitionModule = modulename;
    reader5895->definitionLine = 1448;
    writer5895->definitionLine = 1448;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 2);
  if (objclass5892 == NULL) {
    Method *reader5896 = addmethodrealflags(obj5892, "superclass", &reader_ast_superclass_5896, 0);
    Method *writer5896 = addmethodrealflags(obj5892, "superclass:=(1)", &writer_ast_superclass_5896, 0);
    reader5896->definitionModule = modulename;
    writer5896->definitionModule = modulename;
    reader5896->definitionLine = 1449;
    writer5896->definitionLine = 1449;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 3);
  if (objclass5892 == NULL) {
    Method *reader5897 = addmethodrealflags(obj5892, "usedTraits", &reader_ast_usedTraits_5897, 0);
    Method *writer5897 = addmethodrealflags(obj5892, "usedTraits:=(1)", &writer_ast_usedTraits_5897, 0);
    reader5897->definitionModule = modulename;
    writer5897->definitionModule = modulename;
    reader5897->definitionLine = 1450;
    writer5897->definitionLine = 1450;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 4);
  if (objclass5892 == NULL) {
    Method *reader5898 = addmethodrealflags(obj5892, "name", &reader_ast_name_5898, 0);
    Method *writer5898 = addmethodrealflags(obj5892, "name:=(1)", &writer_ast_name_5898, 0);
    reader5898->definitionModule = modulename;
    writer5898->definitionModule = modulename;
    reader5898->definitionLine = 1451;
    writer5898->definitionLine = 1451;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 5);
  if (objclass5892 == NULL) {
    Method *reader5899 = addmethodrealflags(obj5892, "inClass", &reader_ast_inClass_5899, 0);
    Method *writer5899 = addmethodrealflags(obj5892, "inClass:=(1)", &writer_ast_inClass_5899, 0);
    reader5899->definitionModule = modulename;
    writer5899->definitionModule = modulename;
    reader5899->definitionLine = 1452;
    writer5899->definitionLine = 1452;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 6);
  if (objclass5892 == NULL) {
    Method *reader5900 = addmethodrealflags(obj5892, "inTrait", &reader_ast_inTrait_5900, 0);
    Method *writer5900 = addmethodrealflags(obj5892, "inTrait:=(1)", &writer_ast_inTrait_5900, 0);
    reader5900->definitionModule = modulename;
    writer5900->definitionModule = modulename;
    reader5900->definitionLine = 1453;
    writer5900->definitionLine = 1453;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 7);
  if (objclass5892 == NULL) {
    Method *reader5901 = addmethodrealflags(obj5892, "myLocalNames", &reader_ast_myLocalNames_5901, MFLAG_CONFIDENTIAL);
    Method *writer5901 = addmethodrealflags(obj5892, "myLocalNames:=(1)", &writer_ast_myLocalNames_5901, MFLAG_CONFIDENTIAL);
    reader5901->definitionModule = modulename;
    writer5901->definitionModule = modulename;
    reader5901->definitionLine = 1454;
    writer5901->definitionLine = 1454;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 8);
  if (objclass5892 == NULL) {
    Method *reader5902 = addmethodrealflags(obj5892, "annotations", &reader_ast_annotations_5902, 0);
    Method *writer5902 = addmethodrealflags(obj5892, "annotations:=(1)", &writer_ast_annotations_5902, 0);
    reader5902->definitionModule = modulename;
    writer5902->definitionModule = modulename;
    reader5902->definitionLine = 1455;
    writer5902->definitionLine = 1455;
  }
  obj5892->flags |= OFLAG_MUTABLE;
  adddatum2(obj5892, alloc_Undefined(), 9);
// method "end"
  block_savedest(obj5892);
  Object closure5903 = createclosure(1, "end");
  setclosureframe(closure5903, stackframe);
  addtoclosure(closure5903, var_noPosition);
  struct UserObject *uo5903 = (struct UserObject*)obj5892;
  uo5903->data[10] = (Object)closure5903;
  Method *meth_meth_ast_5903_end = addmethod2pos(obj5892, "end", &meth_ast_5903_end, 10);
  int argcv_meth_ast_5903_end[] = {0};
  meth_meth_ast_5903_end->type = alloc_MethodType(1, argcv_meth_ast_5903_end);
  meth_meth_ast_5903_end->definitionModule = modulename;
  meth_meth_ast_5903_end->definitionLine = 1457;
// method "description"
  struct UserObject *uo5954 = (struct UserObject*)obj5892;
  uo5954->data[11] = emptyclosure;
  Method *meth_meth_ast_5954_description = addmethod2pos(obj5892, "description", &meth_ast_5954_description, 11);
  int argcv_meth_ast_5954_description[] = {0};
  meth_meth_ast_5954_description->type = alloc_MethodType(1, argcv_meth_ast_5954_description);
  meth_meth_ast_5954_description->definitionModule = modulename;
  meth_meth_ast_5954_description->definitionLine = 1469;
// method "isFresh"
  struct UserObject *uo5983 = (struct UserObject*)obj5892;
  uo5983->data[12] = emptyclosure;
  Method *meth_meth_ast_5983_isFresh = addmethod2pos(obj5892, "isFresh", &meth_ast_5983_isFresh, 12);
  int argcv_meth_ast_5983_isFresh[] = {0};
  meth_meth_ast_5983_isFresh->type = alloc_MethodType(1, argcv_meth_ast_5983_isFresh);
  meth_meth_ast_5983_isFresh->definitionModule = modulename;
  meth_meth_ast_5983_isFresh->definitionLine = 1478;
// method "isTrait"
  struct UserObject *uo5985 = (struct UserObject*)obj5892;
  uo5985->data[13] = emptyclosure;
  Method *meth_meth_ast_5985_isTrait = addmethod2pos(obj5892, "isTrait", &meth_ast_5985_isTrait, 13);
  int argcv_meth_ast_5985_isTrait[] = {0};
  meth_meth_ast_5985_isTrait->type = alloc_MethodType(1, argcv_meth_ast_5985_isTrait);
  meth_meth_ast_5985_isTrait->definitionModule = modulename;
  meth_meth_ast_5985_isTrait->definitionLine = 1479;
// method "localNames"
  struct UserObject *uo6012 = (struct UserObject*)obj5892;
  uo6012->data[14] = emptyclosure;
  Method *meth_meth_ast_6012_localNames = addmethod2pos(obj5892, "localNames", &meth_ast_6012_localNames, 14);
  int argcv_meth_ast_6012_localNames[] = {0};
  meth_meth_ast_6012_localNames->type = alloc_MethodType(1, argcv_meth_ast_6012_localNames);
  meth_meth_ast_6012_localNames->definitionModule = modulename;
  meth_meth_ast_6012_localNames->definitionLine = 1491;
// method "parentsDo(_)"
  struct UserObject *uo6047 = (struct UserObject*)obj5892;
  uo6047->data[15] = emptyclosure;
  Method *meth_meth_ast_6047_parentsDo_40_1_41_ = addmethod2pos(obj5892, "parentsDo(1)", &meth_ast_6047_parentsDo_40_1_41_, 15);
  int argcv_meth_ast_6047_parentsDo_40_1_41_[] = {1};
  meth_meth_ast_6047_parentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6047_parentsDo_40_1_41_);
  meth_meth_ast_6047_parentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6047_parentsDo_40_1_41_->definitionLine = 1505;
// method "methodsDo(_)"
  struct UserObject *uo6068 = (struct UserObject*)obj5892;
  uo6068->data[16] = emptyclosure;
  Method *meth_meth_ast_6068_methodsDo_40_1_41_ = addmethod2pos(obj5892, "methodsDo(1)", &meth_ast_6068_methodsDo_40_1_41_, 16);
  int argcv_meth_ast_6068_methodsDo_40_1_41_[] = {1};
  meth_meth_ast_6068_methodsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6068_methodsDo_40_1_41_);
  meth_meth_ast_6068_methodsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6068_methodsDo_40_1_41_->definitionLine = 1512;
// method "executableComponentsDo(_)"
  struct UserObject *uo6081 = (struct UserObject*)obj5892;
  uo6081->data[17] = emptyclosure;
  Method *meth_meth_ast_6081_executableComponentsDo_40_1_41_ = addmethod2pos(obj5892, "executableComponentsDo(1)", &meth_ast_6081_executableComponentsDo_40_1_41_, 17);
  int argcv_meth_ast_6081_executableComponentsDo_40_1_41_[] = {1};
  meth_meth_ast_6081_executableComponentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6081_executableComponentsDo_40_1_41_);
  meth_meth_ast_6081_executableComponentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6081_executableComponentsDo_40_1_41_->definitionLine = 1520;
// method "scope:=(_)"
  struct UserObject *uo6094 = (struct UserObject*)obj5892;
  uo6094->data[18] = emptyclosure;
  Method *meth_meth_ast_6094_scope_58__61__40_1_41_ = addmethod2pos(obj5892, "scope:=(1)", &meth_ast_6094_scope_58__61__40_1_41_, 18);
  int argcv_meth_ast_6094_scope_58__61__40_1_41_[] = {1};
  meth_meth_ast_6094_scope_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6094_scope_58__61__40_1_41_);
  meth_meth_ast_6094_scope_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_6094_scope_58__61__40_1_41_->definitionLine = 1528;
// method "body"
  struct UserObject *uo6099 = (struct UserObject*)obj5892;
  uo6099->data[19] = emptyclosure;
  Method *meth_meth_ast_6099_body = addmethod2pos(obj5892, "body", &meth_ast_6099_body, 19);
  int argcv_meth_ast_6099_body[] = {0};
  meth_meth_ast_6099_body->type = alloc_MethodType(1, argcv_meth_ast_6099_body);
  meth_meth_ast_6099_body->definitionModule = modulename;
  meth_meth_ast_6099_body->definitionLine = 1534;
// method "returnsObject"
  struct UserObject *uo6102 = (struct UserObject*)obj5892;
  uo6102->data[20] = emptyclosure;
  Method *meth_meth_ast_6102_returnsObject = addmethod2pos(obj5892, "returnsObject", &meth_ast_6102_returnsObject, 20);
  int argcv_meth_ast_6102_returnsObject[] = {0};
  meth_meth_ast_6102_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_6102_returnsObject);
  meth_meth_ast_6102_returnsObject->definitionModule = modulename;
  meth_meth_ast_6102_returnsObject->definitionLine = 1535;
// method "returnedObjectScope"
  struct UserObject *uo6104 = (struct UserObject*)obj5892;
  uo6104->data[21] = emptyclosure;
  Method *meth_meth_ast_6104_returnedObjectScope = addmethod2pos(obj5892, "returnedObjectScope", &meth_ast_6104_returnedObjectScope, 21);
  int argcv_meth_ast_6104_returnedObjectScope[] = {0};
  meth_meth_ast_6104_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_6104_returnedObjectScope);
  meth_meth_ast_6104_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_6104_returnedObjectScope->definitionLine = 1536;
// method "canInherit"
  struct UserObject *uo6107 = (struct UserObject*)obj5892;
  uo6107->data[22] = emptyclosure;
  Method *meth_meth_ast_6107_canInherit = addmethod2pos(obj5892, "canInherit", &meth_ast_6107_canInherit, 22);
  int argcv_meth_ast_6107_canInherit[] = {0};
  meth_meth_ast_6107_canInherit->type = alloc_MethodType(1, argcv_meth_ast_6107_canInherit);
  meth_meth_ast_6107_canInherit->definitionModule = modulename;
  meth_meth_ast_6107_canInherit->definitionLine = 1537;
// method "canUse"
  struct UserObject *uo6112 = (struct UserObject*)obj5892;
  uo6112->data[23] = emptyclosure;
  Method *meth_meth_ast_6112_canUse = addmethod2pos(obj5892, "canUse", &meth_ast_6112_canUse, 23);
  int argcv_meth_ast_6112_canUse[] = {0};
  meth_meth_ast_6112_canUse->type = alloc_MethodType(1, argcv_meth_ast_6112_canUse);
  meth_meth_ast_6112_canUse->definitionModule = modulename;
  meth_meth_ast_6112_canUse->definitionLine = 1538;
// method "isObject"
  struct UserObject *uo6114 = (struct UserObject*)obj5892;
  uo6114->data[24] = emptyclosure;
  Method *meth_meth_ast_6114_isObject = addmethod2pos(obj5892, "isObject", &meth_ast_6114_isObject, 24);
  int argcv_meth_ast_6114_isObject[] = {0};
  meth_meth_ast_6114_isObject->type = alloc_MethodType(1, argcv_meth_ast_6114_isObject);
  meth_meth_ast_6114_isObject->definitionModule = modulename;
  meth_meth_ast_6114_isObject->definitionLine = 1539;
// method "accept(_)from(_)"
  struct UserObject *uo6116 = (struct UserObject*)obj5892;
  uo6116->data[25] = emptyclosure;
  Method *meth_meth_ast_6116_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj5892, "accept(1)from(1)", &meth_ast_6116_accept_40_1_41_from_40_1_41_, 25);
  int argcv_meth_ast_6116_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_6116_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6116_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_6116_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6116_accept_40_1_41_from_40_1_41_->definitionLine = 1540;
// method "nameString"
  struct UserObject *uo6151 = (struct UserObject*)obj5892;
  uo6151->data[26] = emptyclosure;
  Method *meth_meth_ast_6151_nameString = addmethod2pos(obj5892, "nameString", &meth_ast_6151_nameString, 26);
  int argcv_meth_ast_6151_nameString[] = {0};
  meth_meth_ast_6151_nameString->type = alloc_MethodType(1, argcv_meth_ast_6151_nameString);
  meth_meth_ast_6151_nameString->definitionModule = modulename;
  meth_meth_ast_6151_nameString->definitionLine = 1550;
// method "map(_)ancestors(_)"
  struct UserObject *uo6171 = (struct UserObject*)obj5892;
  uo6171->data[27] = emptyclosure;
  Method *meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj5892, "map(1)ancestors(1)", &meth_ast_6171_map_40_1_41_ancestors_40_1_41_, 27);
  int argcv_meth_ast_6171_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6171_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6171_map_40_1_41_ancestors_40_1_41_->definitionLine = 1557;
// method "pretty(_)"
  struct UserObject *uo6196 = (struct UserObject*)obj5892;
  uo6196->data[28] = emptyclosure;
  Method *meth_meth_ast_6196_pretty_40_1_41_ = addmethod2pos(obj5892, "pretty(1)", &meth_ast_6196_pretty_40_1_41_, 28);
  int argcv_meth_ast_6196_pretty_40_1_41_[] = {1};
  meth_meth_ast_6196_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6196_pretty_40_1_41_);
  meth_meth_ast_6196_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6196_pretty_40_1_41_->definitionLine = 1565;
// method "toGrace(_)"
  struct UserObject *uo6341 = (struct UserObject*)obj5892;
  uo6341->data[29] = emptyclosure;
  Method *meth_meth_ast_6341_toGrace_40_1_41_ = addmethod2pos(obj5892, "toGrace(1)", &meth_ast_6341_toGrace_40_1_41_, 29);
  int argcv_meth_ast_6341_toGrace_40_1_41_[] = {1};
  meth_meth_ast_6341_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6341_toGrace_40_1_41_);
meth_meth_ast_6341_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_6341_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_6341_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6341_toGrace_40_1_41_->definitionLine = 1585;
// method "shallowCopy"
  block_savedest(obj5892);
  Object closure6447 = createclosure(2, "shallowCopy");
  setclosureframe(closure6447, stackframe);
  addtoclosure(closure6447, var_emptySeq);
  addtoclosure(closure6447, var_objectNode);
  struct UserObject *uo6447 = (struct UserObject*)obj5892;
  uo6447->data[30] = (Object)closure6447;
  Method *meth_meth_ast_6447_shallowCopy = addmethod2pos(obj5892, "shallowCopy", &meth_ast_6447_shallowCopy, 30);
  int argcv_meth_ast_6447_shallowCopy[] = {0};
  meth_meth_ast_6447_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_6447_shallowCopy);
  meth_meth_ast_6447_shallowCopy->definitionModule = modulename;
  meth_meth_ast_6447_shallowCopy->definitionLine = 1600;
// method "postCopy(_)"
  struct UserObject *uo6453 = (struct UserObject*)obj5892;
  uo6453->data[31] = emptyclosure;
  Method *meth_meth_ast_6453_postCopy_40_1_41_ = addmethod2pos(obj5892, "postCopy(1)", &meth_ast_6453_postCopy_40_1_41_, 31);
  int argcv_meth_ast_6453_postCopy_40_1_41_[] = {1};
  meth_meth_ast_6453_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6453_postCopy_40_1_41_);
  meth_meth_ast_6453_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6453_postCopy_40_1_41_->definitionLine = 1603;
// method "asString"
  struct UserObject *uo6482 = (struct UserObject*)obj5892;
  uo6482->data[32] = emptyclosure;
  Method *meth_meth_ast_6482_asString = addmethod2pos(obj5892, "asString", &meth_ast_6482_asString, 32);
  int argcv_meth_ast_6482_asString[] = {0};
  meth_meth_ast_6482_asString->type = alloc_MethodType(1, argcv_meth_ast_6482_asString);
  meth_meth_ast_6482_asString->definitionModule = modulename;
  meth_meth_ast_6482_asString->definitionLine = 1613;
  sourceObject = obj5892;
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6494 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6495 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6494);
// compiled call node returning call6495 (depth = 3)
  struct UserObject *obj5892_uo = (struct UserObject *)obj5892;
  obj5892_uo->super = call6495;
  sourceObject = obj5892;
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6496 == NULL) {
    strlit6496 = alloc_String("object");
    gc_root(strlit6496);
  }
// compiled string node returning strlit6496 (depth = 3)
  adddatum2(obj5892, strlit6496, 1);
  sourceObject = obj5892;
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  adddatum2(obj5892, *var_b, 2);
  sourceObject = obj5892;
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_superclass_39_ (depth = 3)
  adddatum2(obj5892, *var_superclass_39_, 3);
  sourceObject = obj5892;
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6497 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6497 (depth = 3)
  adddatum2(obj5892, array6497, 4);
  sourceObject = obj5892;
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6498 == NULL) {
    strlit6498 = alloc_String("object");
    gc_root(strlit6498);
  }
// compiled string node returning strlit6498 (depth = 3)
  adddatum2(obj5892, strlit6498, 5);
  sourceObject = obj5892;
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6499 = alloc_Boolean(0);
// compiled identifier node returning bool6499 (depth = 3)
  adddatum2(obj5892, bool6499, 6);
  sourceObject = obj5892;
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6500 = alloc_Boolean(0);
// compiled identifier node returning bool6500 (depth = 3)
  adddatum2(obj5892, bool6500, 7);
  sourceObject = obj5892;
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6501 = alloc_Boolean(0);
// compiled identifier node returning bool6501 (depth = 3)
  adddatum2(obj5892, bool6501, 8);
  sourceObject = obj5892;
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6502 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6502 (depth = 3)
  adddatum2(obj5892, array6502, 9);
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  sourceObject = obj5892;
  objclass5892 = obj5892->class;
  objclass5892->definitionModule = modulename;
  objclass5892->definitionLine = 1445;
  (*(struct UserObject *)self).data[0] = lowerouter5892;
  self = oldself5892;
  selfslot = oldselfslot5892;
  stackframe = oldstackframe5892;
  gc_frame_end(frame);
  return obj5892;
}
Object meth_ast_6504_objectNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "objectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_objectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_objectNode (depth = 3)
  gc_frame_end(frame);
  return *var_objectNode;
}
Object meth_ast_6512_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6514 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6515 = gc_frame_new();
// call case 4: self request
  Object call6516 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6515);
// compiled member node returning call6516 (depth = 5)
  Object call6517 = callmethodflags(call6516, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe6514);
// compiled member node returning call6517 (depth = 4)
  Object if6513 = done;
  if (istrue(call6517)) {
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6518 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit6519 == NULL) {
    strlit6519 = alloc_String("]");
    gc_root(strlit6519);
  }
// compiled string node returning strlit6519 (depth = 5)
  gc_frame_newslot(strlit6519);
// starting to compile member node (depth = 5)
  int callframe6520 = gc_frame_new();
// call case 4: self request
  Object call6521 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6520);
// compiled member node returning call6521 (depth = 5)
  gc_frame_newslot(call6521);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit6519;
  params[1] = call6521;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6522 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6518);
// compiled call node returning call6522 (depth = 4)
    gc_frame_newslot(call6522);
    if6513 = call6522;
  } else {
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6523 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit6524 == NULL) {
    strlit6524 = alloc_String("]");
    gc_root(strlit6524);
  }
// compiled string node returning strlit6524 (depth = 5)
  gc_frame_newslot(strlit6524);
// starting to compile member node (depth = 5)
  int callframe6525 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6526 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6527 = gc_frame_new();
// call case 4: self request
  Object call6528 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6527);
// compiled member node returning call6528 (depth = 7)
  Object call6529 = callmethodflags(call6528, "last", 0, partcv, params, 0);
  gc_frame_end(callframe6526);
// compiled member node returning call6529 (depth = 6)
  Object call6530 = callmethodflags(call6529, "end", 0, partcv, params, 0);
  gc_frame_end(callframe6525);
// compiled member node returning call6530 (depth = 5)
  gc_frame_newslot(call6530);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = strlit6524;
  params[1] = call6530;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6531 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6523);
// compiled call node returning call6531 (depth = 4)
    gc_frame_newslot(call6531);
    if6513 = call6531;
  }
// compiled if node returning if6513 (depth = 3)
  gc_frame_end(frame);
  return if6513;
}
Object meth_ast_6542__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6543 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ax (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6544 = callmethodflags(*var_ax, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6543);
// compiled call node returning call6544 (depth = 6)
  gc_frame_end(frame);
  return call6544;
}
Object meth_ast_6532_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6534 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6535 = callmethodflags(*var_visitor, "visitArray(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6534);
// compiled call node returning call6535 (depth = 4)
  Object if6533 = done;
  if (istrue(call6535)) {
// Begin line 1632
  setline(1632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6536 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6537 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6536);
// compiled call node returning call6537 (depth = 5)
  *var_newChain = call6537;
  if (call6537 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6538 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6539 = gc_frame_new();
// call case 4: self request
  Object call6540 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6539);
// compiled member node returning call6540 (depth = 5)
  gc_frame_newslot(call6540);
// starting to compile block node (depth = 5)
  Object block6541 = alloc_Block(NULL, NULL, "ast", 1633);
  gc_frame_newslot(block6541);
// method "_apply(_)"
  block_savedest(block6541);
  Object closure6542 = createclosure(3, "_apply(1)");
  setclosureframe(closure6542, stackframe);
  addtoclosure(closure6542, var_visitor);
  addtoclosure(closure6542, var_newChain);
  addtoclosure(closure6542, selfslot);
  struct UserObject *uo6542 = (struct UserObject*)block6541;
  uo6542->data[0] = (Object)closure6542;
  Method *meth_meth_ast_6542__apply_40_1_41_ = addmethod2pos(block6541, "_apply(1)", &meth_ast_6542__apply_40_1_41_, 0);
  int argcv_meth_ast_6542__apply_40_1_41_[] = {1};
  meth_meth_ast_6542__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6542__apply_40_1_41_);
  meth_meth_ast_6542__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6542__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6541 (depth = 5)
  gc_frame_newslot(block6541);
// call case 5: prelude request
  params[0] = call6540;
  params[1] = block6541;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6546 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6538);
// compiled call node returning call6546 (depth = 4)
    gc_frame_newslot(call6546);
    if6533 = call6546;
  } else {
  }
// compiled if node returning if6533 (depth = 3)
  gc_frame_end(frame);
  return if6533;
}
Object meth_ast_6547_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6548 = gc_frame_new();
// call case 4: self request
  Object call6549 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6548);
// compiled member node returning call6549 (depth = 4)
  *var_n = call6549;
  if (call6549 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6550 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6551 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6550);
// compiled call node returning call6551 (depth = 4)
  *var_newChain = call6551;
  if (call6551 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6552 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6553 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6554 = gc_frame_new();
// call case 4: self request
  Object call6555 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6554);
// compiled member node returning call6555 (depth = 5)
  gc_frame_newslot(call6555);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call6555;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6556 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6553);
// compiled call node returning call6556 (depth = 4)
  gc_frame_newslot(call6556);
// call case 6: other requests
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6556;
  partcv[0] = 1;
  Object call6557 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6552);
// compiled call node returning call6557 (depth = 3)
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6558 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6559 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6558);
// compiled call node returning call6559 (depth = 3)
  gc_frame_end(frame);
  return call6559;
}
Object meth_ast_6575__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6577 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6579 = alloc_Float64(1);
// compiled num node returning num6579 (depth = 9)
  int op_slot_right_6578 = gc_frame_newslot(num6579);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6578 = gc_frame_newslot(*var_depth);
  params[0] = num6579;
  partcv[0] = 1;
  Object sum6581 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6581 (depth = 8)
  gc_frame_newslot(sum6581);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ax (depth = 8)
  params[0] = sum6581;
  partcv[0] = 1;
  Object call6582 = callmethodflags(*var_ax, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6577);
// compiled call node returning call6582 (depth = 7)
  int op_slot_right_6576 = gc_frame_newslot(call6582);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6584 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6587 == NULL) {
    strlit6587 = alloc_String("""\x0a""");
    gc_root(strlit6587);
  }
// compiled string node returning strlit6587 (depth = 9)
  int op_slot_right_6586 = gc_frame_newslot(strlit6587);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6586 = gc_frame_newslot(*var_s);
  params[0] = strlit6587;
  partcv[0] = 1;
  Object opresult6589 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6589 (depth = 8)
  int op_slot_left_6584 = gc_frame_newslot(opresult6589);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6590 = callmethod(opresult6589, "++(1)", 1, partcv, params);
// compiled op node returning opresult6590 (depth = 7)
  int op_slot_left_6576 = gc_frame_newslot(opresult6590);
  params[0] = call6582;
  partcv[0] = 1;
  Object opresult6591 = callmethod(opresult6590, "++(1)", 1, partcv, params);
// compiled op node returning opresult6591 (depth = 6)
  *var_s = opresult6591;
  if (opresult6591 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6560_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num6563 = alloc_Float64(1);
// compiled num node returning num6563 (depth = 6)
  int op_slot_right_6562 = gc_frame_newslot(num6563);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_6562 = gc_frame_newslot(*var_depth);
  params[0] = num6563;
  partcv[0] = 1;
  Object sum6565 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6565 (depth = 5)
  int op_slot_right_6561 = gc_frame_newslot(sum6565);
// starting to compile string node (depth = 5)
  if (strlit6567 == NULL) {
    strlit6567 = alloc_String("  ");
    gc_root(strlit6567);
  }
// compiled string node returning strlit6567 (depth = 5)
  int op_slot_left_6561 = gc_frame_newslot(strlit6567);
  params[0] = sum6565;
  partcv[0] = 1;
  Object prod6568 = callmethod(strlit6567, "*(1)", 1, partcv, params);
// compiled op node returning prod6568 (depth = 4)
  *var_spc = prod6568;
  if (prod6568 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6569 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6570 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6569);
// compiled call node returning call6570 (depth = 4)
  *var_s = call6570;
  if (call6570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6571 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6572 = gc_frame_new();
// call case 4: self request
  Object call6573 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6572);
// compiled member node returning call6573 (depth = 4)
  gc_frame_newslot(call6573);
// starting to compile block node (depth = 4)
  Object block6574 = alloc_Block(NULL, NULL, "ast", 1647);
  gc_frame_newslot(block6574);
// method "_apply(_)"
  block_savedest(block6574);
  Object closure6575 = createclosure(4, "_apply(1)");
  setclosureframe(closure6575, stackframe);
  addtoclosure(closure6575, var_depth);
  addtoclosure(closure6575, var_spc);
  addtoclosure(closure6575, var_s);
  addtoclosure(closure6575, selfslot);
  struct UserObject *uo6575 = (struct UserObject*)block6574;
  uo6575->data[0] = (Object)closure6575;
  Method *meth_meth_ast_6575__apply_40_1_41_ = addmethod2pos(block6574, "_apply(1)", &meth_ast_6575__apply_40_1_41_, 0);
  int argcv_meth_ast_6575__apply_40_1_41_[] = {1};
  meth_meth_ast_6575__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6575__apply_40_1_41_);
  meth_meth_ast_6575__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6575__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6574 (depth = 4)
  gc_frame_newslot(block6574);
// call case 5: prelude request
  params[0] = call6573;
  params[1] = block6574;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6594 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6571);
// compiled call node returning call6594 (depth = 3)
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_6603__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6605 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6606 = alloc_Float64(0);
// compiled num node returning num6606 (depth = 8)
  gc_frame_newslot(num6606);
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe6607 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6608 = gc_frame_new();
// call case 4: self request
  Object call6609 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6608);
// compiled member node returning call6609 (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call6610 = callmethodflags(call6609, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6607);
// compiled call node returning call6610 (depth = 8)
  params[0] = num6606;
  partcv[0] = 1;
  Object call6611 = callmethodflags(call6610, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6605);
// compiled call node returning call6611 (depth = 7)
  int op_slot_right_6604 = gc_frame_newslot(call6611);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6604 = gc_frame_newslot(*var_s);
  params[0] = call6611;
  partcv[0] = 1;
  Object opresult6613 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6613 (depth = 6)
  *var_s = opresult6613;
  if (opresult6613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6617 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6618 = gc_frame_new();
// call case 4: self request
  Object call6619 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6618);
// compiled member node returning call6619 (depth = 8)
  Object call6620 = callmethodflags(call6619, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6617);
// compiled member node returning call6620 (depth = 7)
  int op_slot_right_6616 = gc_frame_newslot(call6620);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_6616 = gc_frame_newslot(*var_i);
  params[0] = call6620;
  partcv[0] = 1;
  Object opresult6622 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult6622 (depth = 6)
  Object if6615 = done;
  if (istrue(opresult6622)) {
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6624 == NULL) {
    strlit6624 = alloc_String(", ");
    gc_root(strlit6624);
  }
// compiled string node returning strlit6624 (depth = 8)
  int op_slot_right_6623 = gc_frame_newslot(strlit6624);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6623 = gc_frame_newslot(*var_s);
  params[0] = strlit6624;
  partcv[0] = 1;
  Object opresult6626 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6626 (depth = 7)
  *var_s = opresult6626;
  if (opresult6626 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if6615 = done;
  } else {
  }
// compiled if node returning if6615 (depth = 5)
  gc_frame_end(frame);
  return if6615;
}
Object meth_ast_6595_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6596 == NULL) {
    strlit6596 = alloc_String("[");
    gc_root(strlit6596);
  }
// compiled string node returning strlit6596 (depth = 4)
  *var_s = strlit6596;
  if (strlit6596 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6597 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6598 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6599 = gc_frame_new();
// call case 4: self request
  Object call6600 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6599);
// compiled member node returning call6600 (depth = 5)
  Object call6601 = callmethodflags(call6600, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe6598);
// compiled member node returning call6601 (depth = 4)
  gc_frame_newslot(call6601);
// starting to compile block node (depth = 4)
  Object block6602 = alloc_Block(NULL, NULL, "ast", 1654);
  gc_frame_newslot(block6602);
// method "_apply(_)"
  block_savedest(block6602);
  Object closure6603 = createclosure(2, "_apply(1)");
  setclosureframe(closure6603, stackframe);
  addtoclosure(closure6603, var_s);
  addtoclosure(closure6603, selfslot);
  struct UserObject *uo6603 = (struct UserObject*)block6602;
  uo6603->data[0] = (Object)closure6603;
  Method *meth_meth_ast_6603__apply_40_1_41_ = addmethod2pos(block6602, "_apply(1)", &meth_ast_6603__apply_40_1_41_, 0);
  int argcv_meth_ast_6603__apply_40_1_41_[] = {1};
  meth_meth_ast_6603__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6603__apply_40_1_41_);
  meth_meth_ast_6603__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6603__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6602 (depth = 4)
  gc_frame_newslot(block6602);
// call case 5: prelude request
  params[0] = call6601;
  params[1] = block6602;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6629 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6597);
// compiled call node returning call6629 (depth = 3)
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6631 == NULL) {
    strlit6631 = alloc_String("]");
    gc_root(strlit6631);
  }
// compiled string node returning strlit6631 (depth = 5)
  int op_slot_right_6630 = gc_frame_newslot(strlit6631);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6630 = gc_frame_newslot(*var_s);
  params[0] = strlit6631;
  partcv[0] = 1;
  Object opresult6633 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6633 (depth = 4)
  *var_s = opresult6633;
  if (opresult6633 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_6635_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6636 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6637 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_arrayNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call6638 = callmethodflags(*var_arrayNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6637);
// compiled call node returning call6638 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6639 = callmethodflags(call6638, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6636);
// compiled call node returning call6639 (depth = 3)
  gc_frame_end(frame);
  return call6639;
}
Object meth_ast_6507_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6508 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6508 = alloc_userobj2(9,9, objclass6508);
  gc_frame_newslot(obj6508);
  if (objclass6508 == NULL) {
    glfree(obj6508->class->name);
    obj6508->class->name = "arrayNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj6508, self, 0);
  addmethodreal(obj6508,"outer", &reader_ast_outer_6509);
  Object oldself6508 = self;
  struct StackFrameObject *oldstackframe6508 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6508);
  gc_frame_newslot((Object)stackframe);
  self = obj6508;
  Object *oldselfslot6508 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6508 = (*(struct UserObject *)self).data[0], lowerouter6508 = thisouter6508;
  if (inheritingObject6508) {
    struct UserObject *inho6508 = (struct UserObject *)inheritingObject6508;
    while (inho6508->super != GraceDefaultObject) inho6508 = (struct UserObject *)inho6508->super;
    inho6508->super = obj6508;
    self = inheritingObject6508;
    *selfslot = self;
    lowerouter6508 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6508;
  }
  if (objclass6508 == NULL) {
  Method *reader6510 = addmethodrealflags(obj6508, "kind",&reader_ast_kind_6510, MFLAG_DEF);
  reader6510->definitionModule = modulename;
  reader6510->definitionLine = 1621;
  }
  adddatum2(obj6508, alloc_Undefined(), 1);
  if (objclass6508 == NULL) {
    Method *reader6511 = addmethodrealflags(obj6508, "value", &reader_ast_value_6511, 0);
    Method *writer6511 = addmethodrealflags(obj6508, "value:=(1)", &writer_ast_value_6511, 0);
    reader6511->definitionModule = modulename;
    writer6511->definitionModule = modulename;
    reader6511->definitionLine = 1622;
    writer6511->definitionLine = 1622;
  }
  obj6508->flags |= OFLAG_MUTABLE;
  adddatum2(obj6508, alloc_Undefined(), 2);
// method "end"
  struct UserObject *uo6512 = (struct UserObject*)obj6508;
  uo6512->data[3] = emptyclosure;
  Method *meth_meth_ast_6512_end = addmethod2pos(obj6508, "end", &meth_ast_6512_end, 3);
  int argcv_meth_ast_6512_end[] = {0};
  meth_meth_ast_6512_end->type = alloc_MethodType(1, argcv_meth_ast_6512_end);
  meth_meth_ast_6512_end->definitionModule = modulename;
  meth_meth_ast_6512_end->definitionLine = 1623;
// method "accept(_)from(_)"
  struct UserObject *uo6532 = (struct UserObject*)obj6508;
  uo6532->data[4] = emptyclosure;
  Method *meth_meth_ast_6532_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj6508, "accept(1)from(1)", &meth_ast_6532_accept_40_1_41_from_40_1_41_, 4);
  int argcv_meth_ast_6532_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_6532_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6532_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_6532_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6532_accept_40_1_41_from_40_1_41_->definitionLine = 1630;
// method "map(_)ancestors(_)"
  struct UserObject *uo6547 = (struct UserObject*)obj6508;
  uo6547->data[5] = emptyclosure;
  Method *meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj6508, "map(1)ancestors(1)", &meth_ast_6547_map_40_1_41_ancestors_40_1_41_, 5);
  int argcv_meth_ast_6547_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6547_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_->definitionLine = 1638;
// method "pretty(_)"
  struct UserObject *uo6560 = (struct UserObject*)obj6508;
  uo6560->data[6] = emptyclosure;
  Method *meth_meth_ast_6560_pretty_40_1_41_ = addmethod2pos(obj6508, "pretty(1)", &meth_ast_6560_pretty_40_1_41_, 6);
  int argcv_meth_ast_6560_pretty_40_1_41_[] = {1};
  meth_meth_ast_6560_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6560_pretty_40_1_41_);
  meth_meth_ast_6560_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6560_pretty_40_1_41_->definitionLine = 1644;
// method "toGrace(_)"
  struct UserObject *uo6595 = (struct UserObject*)obj6508;
  uo6595->data[7] = emptyclosure;
  Method *meth_meth_ast_6595_toGrace_40_1_41_ = addmethod2pos(obj6508, "toGrace(1)", &meth_ast_6595_toGrace_40_1_41_, 7);
  int argcv_meth_ast_6595_toGrace_40_1_41_[] = {1};
  meth_meth_ast_6595_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6595_toGrace_40_1_41_);
meth_meth_ast_6595_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_6595_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_6595_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6595_toGrace_40_1_41_->definitionLine = 1652;
// method "shallowCopy"
  block_savedest(obj6508);
  Object closure6635 = createclosure(2, "shallowCopy");
  setclosureframe(closure6635, stackframe);
  addtoclosure(closure6635, var_emptySeq);
  addtoclosure(closure6635, var_arrayNode);
  struct UserObject *uo6635 = (struct UserObject*)obj6508;
  uo6635->data[8] = (Object)closure6635;
  Method *meth_meth_ast_6635_shallowCopy = addmethod2pos(obj6508, "shallowCopy", &meth_ast_6635_shallowCopy, 8);
  int argcv_meth_ast_6635_shallowCopy[] = {0};
  meth_meth_ast_6635_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_6635_shallowCopy);
  meth_meth_ast_6635_shallowCopy->definitionModule = modulename;
  meth_meth_ast_6635_shallowCopy->definitionLine = 1663;
  sourceObject = obj6508;
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6640 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6641 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6640);
// compiled call node returning call6641 (depth = 3)
  struct UserObject *obj6508_uo = (struct UserObject *)obj6508;
  obj6508_uo->super = call6641;
  sourceObject = obj6508;
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6642 == NULL) {
    strlit6642 = alloc_String("array");
    gc_root(strlit6642);
  }
// compiled string node returning strlit6642 (depth = 3)
  adddatum2(obj6508, strlit6642, 1);
  sourceObject = obj6508;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  adddatum2(obj6508, *var_values, 2);
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  objclass6508 = obj6508->class;
  objclass6508->definitionModule = modulename;
  objclass6508->definitionLine = 1619;
  (*(struct UserObject *)self).data[0] = lowerouter6508;
  self = oldself6508;
  selfslot = oldselfslot6508;
  stackframe = oldstackframe6508;
  gc_frame_end(frame);
  return obj6508;
}
Object meth_ast_6507_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6508 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6508 = alloc_userobj2(9,9, objclass6508);
  gc_frame_newslot(obj6508);
  if (objclass6508 == NULL) {
    glfree(obj6508->class->name);
    obj6508->class->name = "arrayNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj6508, self, 0);
  addmethodreal(obj6508,"outer", &reader_ast_outer_6509);
  Object oldself6508 = self;
  struct StackFrameObject *oldstackframe6508 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6508);
  gc_frame_newslot((Object)stackframe);
  self = obj6508;
  Object *oldselfslot6508 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6508 = (*(struct UserObject *)self).data[0], lowerouter6508 = thisouter6508;
  if (inheritingObject6508) {
    struct UserObject *inho6508 = (struct UserObject *)inheritingObject6508;
    while (inho6508->super != GraceDefaultObject) inho6508 = (struct UserObject *)inho6508->super;
    inho6508->super = obj6508;
    self = inheritingObject6508;
    *selfslot = self;
    lowerouter6508 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6508;
  }
  if (objclass6508 == NULL) {
  Method *reader6510 = addmethodrealflags(obj6508, "kind",&reader_ast_kind_6510, MFLAG_DEF);
  reader6510->definitionModule = modulename;
  reader6510->definitionLine = 1621;
  }
  adddatum2(obj6508, alloc_Undefined(), 1);
  if (objclass6508 == NULL) {
    Method *reader6511 = addmethodrealflags(obj6508, "value", &reader_ast_value_6511, 0);
    Method *writer6511 = addmethodrealflags(obj6508, "value:=(1)", &writer_ast_value_6511, 0);
    reader6511->definitionModule = modulename;
    writer6511->definitionModule = modulename;
    reader6511->definitionLine = 1622;
    writer6511->definitionLine = 1622;
  }
  obj6508->flags |= OFLAG_MUTABLE;
  adddatum2(obj6508, alloc_Undefined(), 2);
// method "end"
  struct UserObject *uo6512 = (struct UserObject*)obj6508;
  uo6512->data[3] = emptyclosure;
  Method *meth_meth_ast_6512_end = addmethod2pos(obj6508, "end", &meth_ast_6512_end, 3);
  int argcv_meth_ast_6512_end[] = {0};
  meth_meth_ast_6512_end->type = alloc_MethodType(1, argcv_meth_ast_6512_end);
  meth_meth_ast_6512_end->definitionModule = modulename;
  meth_meth_ast_6512_end->definitionLine = 1623;
// method "accept(_)from(_)"
  struct UserObject *uo6532 = (struct UserObject*)obj6508;
  uo6532->data[4] = emptyclosure;
  Method *meth_meth_ast_6532_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj6508, "accept(1)from(1)", &meth_ast_6532_accept_40_1_41_from_40_1_41_, 4);
  int argcv_meth_ast_6532_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_6532_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6532_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_6532_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6532_accept_40_1_41_from_40_1_41_->definitionLine = 1630;
// method "map(_)ancestors(_)"
  struct UserObject *uo6547 = (struct UserObject*)obj6508;
  uo6547->data[5] = emptyclosure;
  Method *meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj6508, "map(1)ancestors(1)", &meth_ast_6547_map_40_1_41_ancestors_40_1_41_, 5);
  int argcv_meth_ast_6547_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6547_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6547_map_40_1_41_ancestors_40_1_41_->definitionLine = 1638;
// method "pretty(_)"
  struct UserObject *uo6560 = (struct UserObject*)obj6508;
  uo6560->data[6] = emptyclosure;
  Method *meth_meth_ast_6560_pretty_40_1_41_ = addmethod2pos(obj6508, "pretty(1)", &meth_ast_6560_pretty_40_1_41_, 6);
  int argcv_meth_ast_6560_pretty_40_1_41_[] = {1};
  meth_meth_ast_6560_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6560_pretty_40_1_41_);
  meth_meth_ast_6560_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6560_pretty_40_1_41_->definitionLine = 1644;
// method "toGrace(_)"
  struct UserObject *uo6595 = (struct UserObject*)obj6508;
  uo6595->data[7] = emptyclosure;
  Method *meth_meth_ast_6595_toGrace_40_1_41_ = addmethod2pos(obj6508, "toGrace(1)", &meth_ast_6595_toGrace_40_1_41_, 7);
  int argcv_meth_ast_6595_toGrace_40_1_41_[] = {1};
  meth_meth_ast_6595_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6595_toGrace_40_1_41_);
meth_meth_ast_6595_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_6595_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_6595_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6595_toGrace_40_1_41_->definitionLine = 1652;
// method "shallowCopy"
  block_savedest(obj6508);
  Object closure6635 = createclosure(2, "shallowCopy");
  setclosureframe(closure6635, stackframe);
  addtoclosure(closure6635, var_emptySeq);
  addtoclosure(closure6635, var_arrayNode);
  struct UserObject *uo6635 = (struct UserObject*)obj6508;
  uo6635->data[8] = (Object)closure6635;
  Method *meth_meth_ast_6635_shallowCopy = addmethod2pos(obj6508, "shallowCopy", &meth_ast_6635_shallowCopy, 8);
  int argcv_meth_ast_6635_shallowCopy[] = {0};
  meth_meth_ast_6635_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_6635_shallowCopy);
  meth_meth_ast_6635_shallowCopy->definitionModule = modulename;
  meth_meth_ast_6635_shallowCopy->definitionLine = 1663;
  sourceObject = obj6508;
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6640 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6641 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6640);
// compiled call node returning call6641 (depth = 3)
  struct UserObject *obj6508_uo = (struct UserObject *)obj6508;
  obj6508_uo->super = call6641;
  sourceObject = obj6508;
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6642 == NULL) {
    strlit6642 = alloc_String("array");
    gc_root(strlit6642);
  }
// compiled string node returning strlit6642 (depth = 3)
  adddatum2(obj6508, strlit6642, 1);
  sourceObject = obj6508;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  adddatum2(obj6508, *var_values, 2);
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  sourceObject = obj6508;
  objclass6508 = obj6508->class;
  objclass6508->definitionModule = modulename;
  objclass6508->definitionLine = 1619;
  (*(struct UserObject *)self).data[0] = lowerouter6508;
  self = oldself6508;
  selfslot = oldselfslot6508;
  stackframe = oldstackframe6508;
  gc_frame_end(frame);
  return obj6508;
}
Object meth_ast_6644_arrayNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arrayNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arrayNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arrayNode (depth = 3)
  gc_frame_end(frame);
  return *var_arrayNode;
}
Object meth_ast_6647_new_40_2_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver = &(stackframe->slots[1]);
  *var_receiver = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6648 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_request (depth = 5)
  gc_frame_newslot(*var_request);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_receiver (depth = 5)
  gc_frame_newslot(*var_receiver);
// call case 4: self request
  params[0] = *var_request;
  params[1] = *var_receiver;
  partcv[0] = 2;
  Object call6649 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6648);
// compiled call node returning call6649 (depth = 4)
  *var_result = call6649;
  if (call6649 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6650 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call6651 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6650);
// compiled call node returning call6651 (depth = 3)
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_6661_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_request = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_reqPos = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "reqPos");
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6663 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6664 = gc_frame_new();
// call case 4: self request
  Object call6665 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6664);
// compiled member node returning call6665 (depth = 6)
  Object call6666 = callmethodflags(call6665, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe6663);
// compiled member node returning call6666 (depth = 5)
  Object if6662 = done;
struct StackFrameObject *iftmpstackframe6662 = stackframe;
  if (istrue(call6666)) {
stackframe = alloc_StackFrame(0, iftmpstackframe6662);
gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6667 = gc_frame_new();
// call case 4: self request
  Object call6668 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6667);
// compiled member node returning call6668 (depth = 5)
    gc_frame_newslot(call6668);
    if6662 = call6668;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe6662);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6669 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_request (depth = 6)
  gc_frame_newslot(*var_request);
// starting to compile member node (depth = 6)
  int callframe6670 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6671 = gc_frame_new();
// call case 4: self request
  Object call6672 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6671);
// compiled member node returning call6672 (depth = 7)
  Object call6673 = callmethodflags(call6672, "end", 0, partcv, params, 0);
  gc_frame_end(callframe6670);
// compiled member node returning call6673 (depth = 6)
  gc_frame_newslot(call6673);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = *var_request;
  params[1] = call6673;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6674 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6669);
// compiled call node returning call6674 (depth = 5)
    gc_frame_newslot(call6674);
    if6662 = call6674;
  }
stackframe = iftmpstackframe6662;
// compiled if node returning if6662 (depth = 4)
  *var_reqPos = if6662;
  if (if6662 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6675 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6676 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_reqPos (depth = 5)
  Object call6677 = callmethodflags(*var_reqPos, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6676);
// compiled member node returning call6677 (depth = 4)
  gc_frame_newslot(call6677);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num6679 = alloc_Float64(1);
// compiled num node returning num6679 (depth = 5)
  int op_slot_right_6678 = gc_frame_newslot(num6679);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6682 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_request (depth = 7)
  Object call6683 = callmethodflags(*var_request, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6682);
// compiled member node returning call6683 (depth = 6)
  int op_slot_right_6681 = gc_frame_newslot(call6683);
// starting to compile member node (depth = 6)
  int callframe6685 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_reqPos (depth = 7)
  Object call6686 = callmethodflags(*var_reqPos, "column", 0, partcv, params, 0);
  gc_frame_end(callframe6685);
// compiled member node returning call6686 (depth = 6)
  int op_slot_left_6681 = gc_frame_newslot(call6686);
  params[0] = call6683;
  partcv[0] = 1;
  Object sum6687 = callmethod(call6686, "+(1)", 1, partcv, params);
// compiled op node returning sum6687 (depth = 5)
  int op_slot_left_6678 = gc_frame_newslot(sum6687);
  params[0] = num6679;
  partcv[0] = 1;
  Object diff6688 = callmethod(sum6687, "-(1)", 1, partcv, params);
// compiled op node returning diff6688 (depth = 4)
  gc_frame_newslot(diff6688);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call6677;
  params[1] = diff6688;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6689 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6675);
// compiled call node returning call6689 (depth = 3)
  gc_frame_end(frame);
  return call6689;
}
Object meth_ast_6690_onSelf(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1723
  setline(1723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6691 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6692 = alloc_Boolean(1);
// compiled identifier node returning bool6692 (depth = 4)
  gc_frame_newslot(bool6692);
// call case 4: self request
  params[0] = bool6692;
  partcv[0] = 1;
  Object call6693 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6691);
// compiled call node returning call6693 (depth = 3)
// Begin line 1724
  setline(1724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_6694_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6695 = gc_frame_new();
// call case 4: self request
  Object call6696 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6695);
// compiled member node returning call6696 (depth = 3)
  gc_frame_end(frame);
  return call6696;
}
Object meth_ast_6697_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6698 = gc_frame_new();
// call case 4: self request
  Object call6699 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6698);
// compiled member node returning call6699 (depth = 3)
  gc_frame_end(frame);
  return call6699;
}
Object meth_ast_6700_isMember(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6701 = alloc_Boolean(1);
// compiled identifier node returning bool6701 (depth = 3)
  gc_frame_end(frame);
  return bool6701;
}
Object meth_ast_6702_isCall(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6703 = alloc_Boolean(1);
// compiled identifier node returning bool6703 (depth = 3)
  gc_frame_end(frame);
  return bool6703;
}
Object meth_ast_6704_with(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_6705_arguments(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_6706_argumentsDo(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6707_numArgs(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num6708 = alloc_Float64(0);
// compiled num node returning num6708 (depth = 3)
  gc_frame_end(frame);
  return num6708;
}
Object meth_ast_6709_numTypeArgs(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numTypeArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6712 = gc_frame_new();
// call case 4: self request
  Object call6713 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6712);
// compiled member node returning call6713 (depth = 5)
  int op_slot_right_6711 = gc_frame_newslot(call6713);
// starting to compile identifier node (depth = 5)
  Object bool6715 = alloc_Boolean(0);
// compiled identifier node returning bool6715 (depth = 5)
  int op_slot_left_6711 = gc_frame_newslot(bool6715);
  params[0] = call6713;
  partcv[0] = 1;
  Object opresult6716 = callmethod(bool6715, "==(1)", 1, partcv, params);
// compiled op node returning opresult6716 (depth = 4)
  Object if6710 = done;
  if (istrue(opresult6716)) {
// starting to compile num node (depth = 4)
  Object num6717 = alloc_Float64(0);
// compiled num node returning num6717 (depth = 4)
    gc_frame_newslot(num6717);
    if6710 = num6717;
  } else {
// starting to compile member node (depth = 4)
  int callframe6718 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6719 = gc_frame_new();
// call case 4: self request
  Object call6720 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6719);
// compiled member node returning call6720 (depth = 5)
  Object call6721 = callmethodflags(call6720, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6718);
// compiled member node returning call6721 (depth = 4)
    gc_frame_newslot(call6721);
    if6710 = call6721;
  }
// compiled if node returning if6710 (depth = 3)
  gc_frame_end(frame);
  return if6710;
}
Object meth_ast_6737__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 7)
  int callframe6738 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newChain (depth = 8)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6739 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6738);
// compiled call node returning call6739 (depth = 7)
  gc_frame_end(frame);
  return call6739;
}
Object meth_ast_6722_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1740
  setline(1740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6724 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6725 = callmethodflags(*var_visitor, "visitMember(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6724);
// compiled call node returning call6725 (depth = 4)
  Object if6723 = done;
  if (istrue(call6725)) {
// Begin line 1741
  setline(1741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6726 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6727 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6726);
// compiled call node returning call6727 (depth = 5)
  *var_newChain = call6727;
  if (call6727 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6730 = gc_frame_new();
// call case 4: self request
  Object call6731 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6730);
// compiled member node returning call6731 (depth = 6)
  int op_slot_right_6729 = gc_frame_newslot(call6731);
// starting to compile identifier node (depth = 6)
  Object bool6733 = alloc_Boolean(0);
// compiled identifier node returning bool6733 (depth = 6)
  int op_slot_left_6729 = gc_frame_newslot(bool6733);
  params[0] = call6731;
  partcv[0] = 1;
  Object opresult6734 = callmethod(bool6733, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6734 (depth = 5)
  Object if6728 = done;
  if (istrue(opresult6734)) {
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6735 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6736 = alloc_Block(NULL, NULL, "ast", 1743);
  gc_frame_newslot(block6736);
// method "_apply(_)"
  block_savedest(block6736);
  Object closure6737 = createclosure(3, "_apply(1)");
  setclosureframe(closure6737, stackframe);
  addtoclosure(closure6737, var_visitor);
  addtoclosure(closure6737, var_newChain);
  addtoclosure(closure6737, selfslot);
  struct UserObject *uo6737 = (struct UserObject*)block6736;
  uo6737->data[0] = (Object)closure6737;
  Method *meth_meth_ast_6737__apply_40_1_41_ = addmethod2pos(block6736, "_apply(1)", &meth_ast_6737__apply_40_1_41_, 0);
  int argcv_meth_ast_6737__apply_40_1_41_[] = {1};
  meth_meth_ast_6737__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6737__apply_40_1_41_);
  meth_meth_ast_6737__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6737__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6736 (depth = 6)
  gc_frame_newslot(block6736);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6741 = gc_frame_new();
// call case 4: self request
  Object call6742 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6741);
// compiled member node returning call6742 (depth = 6)
  params[0] = block6736;
  partcv[0] = 1;
  Object call6743 = callmethodflags(call6742, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6735);
// compiled call node returning call6743 (depth = 5)
    gc_frame_newslot(call6743);
    if6728 = call6743;
  } else {
  }
// compiled if node returning if6728 (depth = 4)
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6744 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6745 = gc_frame_new();
// call case 4: self request
  Object call6746 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6745);
// compiled member node returning call6746 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6747 = callmethodflags(call6746, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6744);
// compiled call node returning call6747 (depth = 4)
    gc_frame_newslot(call6747);
    if6723 = call6747;
  } else {
  }
// compiled if node returning if6723 (depth = 3)
  gc_frame_end(frame);
  return if6723;
}
Object meth_ast_6748_isSelfOrOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6749 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6750 = gc_frame_new();
// call case 4: self request
  Object call6751 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6750);
// compiled member node returning call6751 (depth = 4)
  Object call6752 = callmethodflags(call6751, "isSelfOrOuter", 0, partcv, params, 0);
  gc_frame_end(callframe6749);
// compiled member node returning call6752 (depth = 3)
  gc_frame_end(frame);
  return call6752;
}
Object meth_ast_6753_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1752
  setline(1752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6754 = gc_frame_new();
// call case 4: self request
  Object call6755 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6754);
// compiled member node returning call6755 (depth = 4)
  *var_n = call6755;
  if (call6755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6756 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6757 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6756);
// compiled call node returning call6757 (depth = 4)
  *var_newChain = call6757;
  if (call6757 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1754
  setline(1754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6758 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6759 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6760 = gc_frame_new();
// call case 4: self request
  Object call6761 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6760);
// compiled member node returning call6761 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6762 = callmethodflags(call6761, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6759);
// compiled call node returning call6762 (depth = 4)
  gc_frame_newslot(call6762);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6762;
  partcv[0] = 1;
  Object call6763 = callmethodflags(*var_n, "receiver:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6758);
// compiled call node returning call6763 (depth = 3)
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6764 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6765 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6766 = gc_frame_new();
// call case 4: self request
  Object call6767 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6766);
// compiled member node returning call6767 (depth = 5)
  gc_frame_newslot(call6767);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call6767;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6768 = callmethodflags(module_ast, "maybeListMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6765);
// compiled call node returning call6768 (depth = 4)
  gc_frame_newslot(call6768);
// call case 6: other requests
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6768;
  partcv[0] = 1;
  Object call6769 = callmethodflags(*var_n, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6764);
// compiled call node returning call6769 (depth = 3)
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6770 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6771 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6770);
// compiled call node returning call6771 (depth = 3)
  gc_frame_end(frame);
  return call6771;
}
Object meth_ast_6840__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6842 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num6843 = alloc_Float64(0);
// compiled num node returning num6843 (depth = 9)
  gc_frame_newslot(num6843);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_g (depth = 9)
  params[0] = num6843;
  partcv[0] = 1;
  Object call6844 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6842);
// compiled call node returning call6844 (depth = 8)
  int op_slot_right_6841 = gc_frame_newslot(call6844);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6847 == NULL) {
    strlit6847 = alloc_String("    ");
    gc_root(strlit6847);
  }
// compiled string node returning strlit6847 (depth = 9)
  int op_slot_right_6846 = gc_frame_newslot(strlit6847);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_6849 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit6852 == NULL) {
    strlit6852 = alloc_String("""\x0a""");
    gc_root(strlit6852);
  }
// compiled string node returning strlit6852 (depth = 11)
  int op_slot_right_6851 = gc_frame_newslot(strlit6852);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_6851 = gc_frame_newslot(*var_s);
  params[0] = strlit6852;
  partcv[0] = 1;
  Object opresult6854 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6854 (depth = 10)
  int op_slot_left_6849 = gc_frame_newslot(opresult6854);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6855 = callmethod(opresult6854, "++(1)", 1, partcv, params);
// compiled op node returning opresult6855 (depth = 9)
  int op_slot_left_6846 = gc_frame_newslot(opresult6855);
  params[0] = strlit6847;
  partcv[0] = 1;
  Object opresult6856 = callmethod(opresult6855, "++(1)", 1, partcv, params);
// compiled op node returning opresult6856 (depth = 8)
  int op_slot_left_6841 = gc_frame_newslot(opresult6856);
  params[0] = call6844;
  partcv[0] = 1;
  Object opresult6857 = callmethod(opresult6856, "++(1)", 1, partcv, params);
// compiled op node returning opresult6857 (depth = 7)
  *var_s = opresult6857;
  if (opresult6857 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6772_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num6775 = alloc_Float64(1);
// compiled num node returning num6775 (depth = 6)
  int op_slot_right_6774 = gc_frame_newslot(num6775);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_6774 = gc_frame_newslot(*var_depth);
  params[0] = num6775;
  partcv[0] = 1;
  Object sum6777 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6777 (depth = 5)
  int op_slot_right_6773 = gc_frame_newslot(sum6777);
// starting to compile string node (depth = 5)
  if (strlit6779 == NULL) {
    strlit6779 = alloc_String("  ");
    gc_root(strlit6779);
  }
// compiled string node returning strlit6779 (depth = 5)
  int op_slot_left_6773 = gc_frame_newslot(strlit6779);
  params[0] = sum6777;
  partcv[0] = 1;
  Object prod6780 = callmethod(strlit6779, "*(1)", 1, partcv, params);
// compiled op node returning prod6780 (depth = 4)
  *var_spc = prod6780;
  if (prod6780 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6781 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6782 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6781);
// compiled call node returning call6782 (depth = 4)
  *var_s = call6782;
  if (call6782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6785 = gc_frame_new();
// call case 4: self request
  Object call6786 = callmethodflags(self, "isSelfRequest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6785);
// compiled member node returning call6786 (depth = 6)
  Object if6784 = done;
struct StackFrameObject *iftmpstackframe6784 = stackframe;
  if (istrue(call6786)) {
stackframe = alloc_StackFrame(0, iftmpstackframe6784);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 6)
  if (strlit6787 == NULL) {
    strlit6787 = alloc_String(" on self ");
    gc_root(strlit6787);
  }
// compiled string node returning strlit6787 (depth = 6)
    gc_frame_newslot(strlit6787);
    if6784 = strlit6787;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe6784);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 6)
  if (strlit6788 == NULL) {
    strlit6788 = alloc_String(" ");
    gc_root(strlit6788);
  }
// compiled string node returning strlit6788 (depth = 6)
    gc_frame_newslot(strlit6788);
    if6784 = strlit6788;
  }
stackframe = iftmpstackframe6784;
// compiled if node returning if6784 (depth = 5)
  int op_slot_right_6783 = gc_frame_newslot(if6784);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6783 = gc_frame_newslot(*var_s);
  params[0] = if6784;
  partcv[0] = 1;
  Object opresult6790 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6790 (depth = 4)
  *var_s = opresult6790;
  if (opresult6790 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6793 == NULL) {
    strlit6793 = alloc_String("""\xe2""""\x80""""\xba""""\x0a""");
    gc_root(strlit6793);
  }
// compiled string node returning strlit6793 (depth = 5)
  int op_slot_right_6792 = gc_frame_newslot(strlit6793);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6796 = gc_frame_new();
// call case 4: self request
  Object call6797 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6796);
// compiled member node returning call6797 (depth = 6)
  int op_slot_right_6795 = gc_frame_newslot(call6797);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6800 == NULL) {
    strlit6800 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6800);
  }
// compiled string node returning strlit6800 (depth = 7)
  int op_slot_right_6799 = gc_frame_newslot(strlit6800);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6799 = gc_frame_newslot(*var_s);
  params[0] = strlit6800;
  partcv[0] = 1;
  Object opresult6802 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6802 (depth = 6)
  int op_slot_left_6795 = gc_frame_newslot(opresult6802);
  params[0] = call6797;
  partcv[0] = 1;
  Object opresult6803 = callmethod(opresult6802, "++(1)", 1, partcv, params);
// compiled op node returning opresult6803 (depth = 5)
  int op_slot_left_6792 = gc_frame_newslot(opresult6803);
  params[0] = strlit6793;
  partcv[0] = 1;
  Object opresult6804 = callmethod(opresult6803, "++(1)", 1, partcv, params);
// compiled op node returning opresult6804 (depth = 4)
  *var_s = opresult6804;
  if (opresult6804 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6807 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6808 = gc_frame_new();
// call case 4: self request
  Object call6809 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6808);
// compiled member node returning call6809 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6810 = callmethodflags(call6809, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6807);
// compiled call node returning call6810 (depth = 5)
  int op_slot_right_6806 = gc_frame_newslot(call6810);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_6812 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6812 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6814 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6814 (depth = 5)
  int op_slot_left_6806 = gc_frame_newslot(opresult6814);
  params[0] = call6810;
  partcv[0] = 1;
  Object opresult6815 = callmethod(opresult6814, "++(1)", 1, partcv, params);
// compiled op node returning opresult6815 (depth = 4)
  *var_s = opresult6815;
  if (opresult6815 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6819 = gc_frame_new();
// call case 4: self request
  Object call6820 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6819);
// compiled member node returning call6820 (depth = 5)
  int op_slot_right_6818 = gc_frame_newslot(call6820);
// starting to compile identifier node (depth = 5)
  Object bool6822 = alloc_Boolean(0);
// compiled identifier node returning bool6822 (depth = 5)
  int op_slot_left_6818 = gc_frame_newslot(bool6822);
  params[0] = call6820;
  partcv[0] = 1;
  Object opresult6823 = callmethod(bool6822, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6823 (depth = 4)
  Object if6817 = done;
  if (istrue(opresult6823)) {
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6825 == NULL) {
    strlit6825 = alloc_String("  Generics:");
    gc_root(strlit6825);
  }
// compiled string node returning strlit6825 (depth = 6)
  int op_slot_right_6824 = gc_frame_newslot(strlit6825);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_6827 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6830 == NULL) {
    strlit6830 = alloc_String("""\x0a""");
    gc_root(strlit6830);
  }
// compiled string node returning strlit6830 (depth = 8)
  int op_slot_right_6829 = gc_frame_newslot(strlit6830);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6829 = gc_frame_newslot(*var_s);
  params[0] = strlit6830;
  partcv[0] = 1;
  Object opresult6832 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6832 (depth = 7)
  int op_slot_left_6827 = gc_frame_newslot(opresult6832);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6833 = callmethod(opresult6832, "++(1)", 1, partcv, params);
// compiled op node returning opresult6833 (depth = 6)
  int op_slot_left_6824 = gc_frame_newslot(opresult6833);
  params[0] = strlit6825;
  partcv[0] = 1;
  Object opresult6834 = callmethod(opresult6833, "++(1)", 1, partcv, params);
// compiled op node returning opresult6834 (depth = 5)
  *var_s = opresult6834;
  if (opresult6834 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6836 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6837 = gc_frame_new();
// call case 4: self request
  Object call6838 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6837);
// compiled member node returning call6838 (depth = 5)
  gc_frame_newslot(call6838);
// starting to compile block node (depth = 5)
  Object block6839 = alloc_Block(NULL, NULL, "ast", 1766);
  gc_frame_newslot(block6839);
// method "_apply(_)"
  block_savedest(block6839);
  Object closure6840 = createclosure(3, "_apply(1)");
  setclosureframe(closure6840, stackframe);
  addtoclosure(closure6840, var_spc);
  addtoclosure(closure6840, var_s);
  addtoclosure(closure6840, selfslot);
  struct UserObject *uo6840 = (struct UserObject*)block6839;
  uo6840->data[0] = (Object)closure6840;
  Method *meth_meth_ast_6840__apply_40_1_41_ = addmethod2pos(block6839, "_apply(1)", &meth_ast_6840__apply_40_1_41_, 0);
  int argcv_meth_ast_6840__apply_40_1_41_[] = {1};
  meth_meth_ast_6840__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6840__apply_40_1_41_);
  meth_meth_ast_6840__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6840__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6839 (depth = 5)
  gc_frame_newslot(block6839);
// call case 5: prelude request
  params[0] = call6838;
  params[1] = block6839;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6860 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6836);
// compiled call node returning call6860 (depth = 4)
    gc_frame_newslot(call6860);
    if6817 = call6860;
  } else {
  }
// compiled if node returning if6817 (depth = 3)
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_6937__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6939 == NULL) {
    strlit6939 = alloc_String(", ");
    gc_root(strlit6939);
  }
// compiled string node returning strlit6939 (depth = 8)
  int op_slot_right_6938 = gc_frame_newslot(strlit6939);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6942 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num6944 = alloc_Float64(1);
// compiled num node returning num6944 (depth = 11)
  int op_slot_right_6943 = gc_frame_newslot(num6944);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_6943 = gc_frame_newslot(*var_depth);
  params[0] = num6944;
  partcv[0] = 1;
  Object sum6946 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6946 (depth = 10)
  gc_frame_newslot(sum6946);
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe6947 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ix (depth = 11)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe6948 = gc_frame_new();
// call case 4: self request
  Object call6949 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6948);
// compiled member node returning call6949 (depth = 11)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call6950 = callmethodflags(call6949, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6947);
// compiled call node returning call6950 (depth = 10)
  params[0] = sum6946;
  partcv[0] = 1;
  Object call6951 = callmethodflags(call6950, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6942);
// compiled call node returning call6951 (depth = 9)
  int op_slot_right_6941 = gc_frame_newslot(call6951);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6941 = gc_frame_newslot(*var_s);
  params[0] = call6951;
  partcv[0] = 1;
  Object opresult6953 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6953 (depth = 8)
  int op_slot_left_6938 = gc_frame_newslot(opresult6953);
  params[0] = strlit6939;
  partcv[0] = 1;
  Object opresult6954 = callmethod(opresult6953, "++(1)", 1, partcv, params);
// compiled op node returning opresult6954 (depth = 7)
  *var_s = opresult6954;
  if (opresult6954 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_6861_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6862 == NULL) {
    strlit6862 = alloc_String("");
    gc_root(strlit6862);
  }
// compiled string node returning strlit6862 (depth = 4)
  *var_s = strlit6862;
  if (strlit6862 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6865 == NULL) {
    strlit6865 = alloc_String("prefix");
    gc_root(strlit6865);
  }
// compiled string node returning strlit6865 (depth = 5)
  int op_slot_right_6864 = gc_frame_newslot(strlit6865);
// starting to compile call node (depth = 5)
  int callframe6867 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num6868 = alloc_Float64(1);
// compiled num node returning num6868 (depth = 6)
  gc_frame_newslot(num6868);
// starting to compile num node (depth = 6)
  Object num6869 = alloc_Float64(6);
// compiled num node returning num6869 (depth = 6)
  gc_frame_newslot(num6869);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6870 = gc_frame_new();
// call case 4: self request
  Object call6871 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6870);
// compiled member node returning call6871 (depth = 6)
  params[0] = num6868;
  params[1] = num6869;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6872 = callmethodflags(call6871, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6867);
// compiled call node returning call6872 (depth = 5)
  int op_slot_left_6864 = gc_frame_newslot(call6872);
  params[0] = strlit6865;
  partcv[0] = 1;
  Object opresult6873 = callmethod(call6872, "==(1)", 1, partcv, params);
// compiled op node returning opresult6873 (depth = 4)
  Object if6863 = done;
  if (istrue(opresult6873)) {
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6874 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num6875 = alloc_Float64(7);
// compiled num node returning num6875 (depth = 6)
  gc_frame_newslot(num6875);
// starting to compile member node (depth = 6)
  int callframe6876 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6877 = gc_frame_new();
// call case 4: self request
  Object call6878 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6877);
// compiled member node returning call6878 (depth = 7)
  Object call6879 = callmethodflags(call6878, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6876);
// compiled member node returning call6879 (depth = 6)
  gc_frame_newslot(call6879);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6880 = gc_frame_new();
// call case 4: self request
  Object call6881 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6880);
// compiled member node returning call6881 (depth = 6)
  params[0] = num6875;
  params[1] = call6879;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6882 = callmethodflags(call6881, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6874);
// compiled call node returning call6882 (depth = 5)
  *var_s = call6882;
  if (call6882 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6885 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num6886 = alloc_Float64(0);
// compiled num node returning num6886 (depth = 7)
  gc_frame_newslot(num6886);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6887 = gc_frame_new();
// call case 4: self request
  Object call6888 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6887);
// compiled member node returning call6888 (depth = 7)
  params[0] = num6886;
  partcv[0] = 1;
  Object call6889 = callmethodflags(call6888, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6885);
// compiled call node returning call6889 (depth = 6)
  int op_slot_right_6884 = gc_frame_newslot(call6889);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6892 == NULL) {
    strlit6892 = alloc_String(" ");
    gc_root(strlit6892);
  }
// compiled string node returning strlit6892 (depth = 7)
  int op_slot_right_6891 = gc_frame_newslot(strlit6892);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6891 = gc_frame_newslot(*var_s);
  params[0] = strlit6892;
  partcv[0] = 1;
  Object opresult6894 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6894 (depth = 6)
  int op_slot_left_6884 = gc_frame_newslot(opresult6894);
  params[0] = call6889;
  partcv[0] = 1;
  Object opresult6895 = callmethod(opresult6894, "++(1)", 1, partcv, params);
// compiled op node returning opresult6895 (depth = 5)
  *var_s = opresult6895;
  if (opresult6895 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6863 = done;
  } else {
// Begin line 1778
  setline(1778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6898 = gc_frame_new();
// call case 4: self request
  Object call6899 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6898);
// compiled member node returning call6899 (depth = 6)
  int op_slot_right_6897 = gc_frame_newslot(call6899);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6902 == NULL) {
    strlit6902 = alloc_String(".");
    gc_root(strlit6902);
  }
// compiled string node returning strlit6902 (depth = 7)
  int op_slot_right_6901 = gc_frame_newslot(strlit6902);
// starting to compile call node (depth = 7)
  int callframe6904 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6905 = gc_frame_new();
// call case 4: self request
  Object call6906 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6905);
// compiled member node returning call6906 (depth = 8)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6907 = callmethodflags(call6906, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6904);
// compiled call node returning call6907 (depth = 7)
  int op_slot_left_6901 = gc_frame_newslot(call6907);
  params[0] = strlit6902;
  partcv[0] = 1;
  Object opresult6908 = callmethod(call6907, "++(1)", 1, partcv, params);
// compiled op node returning opresult6908 (depth = 6)
  int op_slot_left_6897 = gc_frame_newslot(opresult6908);
  params[0] = call6899;
  partcv[0] = 1;
  Object opresult6909 = callmethod(opresult6908, "++(1)", 1, partcv, params);
// compiled op node returning opresult6909 (depth = 5)
  *var_s = opresult6909;
  if (opresult6909 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6863 = done;
  }
// compiled if node returning if6863 (depth = 3)
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6913 = gc_frame_new();
// call case 4: self request
  Object call6914 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6913);
// compiled member node returning call6914 (depth = 5)
  int op_slot_right_6912 = gc_frame_newslot(call6914);
// starting to compile identifier node (depth = 5)
  Object bool6916 = alloc_Boolean(0);
// compiled identifier node returning bool6916 (depth = 5)
  int op_slot_left_6912 = gc_frame_newslot(bool6916);
  params[0] = call6914;
  partcv[0] = 1;
  Object opresult6917 = callmethod(bool6916, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6917 (depth = 4)
  Object if6911 = done;
  if (istrue(opresult6917)) {
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6919 == NULL) {
    strlit6919 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit6919);
  }
// compiled string node returning strlit6919 (depth = 6)
  int op_slot_right_6918 = gc_frame_newslot(strlit6919);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6918 = gc_frame_newslot(*var_s);
  params[0] = strlit6919;
  partcv[0] = 1;
  Object opresult6921 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6921 (depth = 5)
  *var_s = opresult6921;
  if (opresult6921 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6923 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num6926 = alloc_Float64(1);
// compiled num node returning num6926 (depth = 7)
  int op_slot_right_6925 = gc_frame_newslot(num6926);
// starting to compile member node (depth = 7)
  int callframe6928 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6929 = gc_frame_new();
// call case 4: self request
  Object call6930 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6929);
// compiled member node returning call6930 (depth = 8)
  Object call6931 = callmethodflags(call6930, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6928);
// compiled member node returning call6931 (depth = 7)
  int op_slot_left_6925 = gc_frame_newslot(call6931);
  params[0] = num6926;
  partcv[0] = 1;
  Object diff6932 = callmethod(call6931, "-(1)", 1, partcv, params);
// compiled op node returning diff6932 (depth = 6)
  int op_slot_right_6924 = gc_frame_newslot(diff6932);
// starting to compile num node (depth = 6)
  Object num6934 = alloc_Float64(1);
// compiled num node returning num6934 (depth = 6)
  int op_slot_left_6924 = gc_frame_newslot(num6934);
  params[0] = diff6932;
  partcv[0] = 1;
  Object opresult6935 = callmethod(num6934, "..(1)", 1, partcv, params);
// compiled op node returning opresult6935 (depth = 5)
  gc_frame_newslot(opresult6935);
// starting to compile block node (depth = 5)
  Object block6936 = alloc_Block(NULL, NULL, "ast", 1782);
  gc_frame_newslot(block6936);
// method "_apply(_)"
  block_savedest(block6936);
  Object closure6937 = createclosure(3, "_apply(1)");
  setclosureframe(closure6937, stackframe);
  addtoclosure(closure6937, var_depth);
  addtoclosure(closure6937, var_s);
  addtoclosure(closure6937, selfslot);
  struct UserObject *uo6937 = (struct UserObject*)block6936;
  uo6937->data[0] = (Object)closure6937;
  Method *meth_meth_ast_6937__apply_40_1_41_ = addmethod2pos(block6936, "_apply(1)", &meth_ast_6937__apply_40_1_41_, 0);
  int argcv_meth_ast_6937__apply_40_1_41_[] = {1};
  meth_meth_ast_6937__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6937__apply_40_1_41_);
  meth_meth_ast_6937__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6937__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block6936 (depth = 5)
  gc_frame_newslot(block6936);
// call case 5: prelude request
  params[0] = opresult6935;
  params[1] = block6936;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6957 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6923);
// compiled call node returning call6957 (depth = 4)
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6959 == NULL) {
    strlit6959 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit6959);
  }
// compiled string node returning strlit6959 (depth = 6)
  int op_slot_right_6958 = gc_frame_newslot(strlit6959);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6962 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6964 = alloc_Float64(1);
// compiled num node returning num6964 (depth = 9)
  int op_slot_right_6963 = gc_frame_newslot(num6964);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6963 = gc_frame_newslot(*var_depth);
  params[0] = num6964;
  partcv[0] = 1;
  Object sum6966 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6966 (depth = 8)
  gc_frame_newslot(sum6966);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6967 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6968 = gc_frame_new();
// call case 4: self request
  Object call6969 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6968);
// compiled member node returning call6969 (depth = 9)
  Object call6970 = callmethodflags(call6969, "last", 0, partcv, params, 0);
  gc_frame_end(callframe6967);
// compiled member node returning call6970 (depth = 8)
  params[0] = sum6966;
  partcv[0] = 1;
  Object call6971 = callmethodflags(call6970, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6962);
// compiled call node returning call6971 (depth = 7)
  int op_slot_right_6961 = gc_frame_newslot(call6971);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6961 = gc_frame_newslot(*var_s);
  params[0] = call6971;
  partcv[0] = 1;
  Object opresult6973 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6973 (depth = 6)
  int op_slot_left_6958 = gc_frame_newslot(opresult6973);
  params[0] = strlit6959;
  partcv[0] = 1;
  Object opresult6974 = callmethod(opresult6973, "++(1)", 1, partcv, params);
// compiled op node returning opresult6974 (depth = 5)
  *var_s = opresult6974;
  if (opresult6974 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6911 = done;
  } else {
  }
// compiled if node returning if6911 (depth = 3)
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_6976_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6977 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num6978 = alloc_Float64(0);
// compiled num node returning num6978 (depth = 4)
  gc_frame_newslot(num6978);
// call case 4: self request
  params[0] = num6978;
  partcv[0] = 1;
  Object call6979 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6977);
// compiled call node returning call6979 (depth = 3)
  gc_frame_end(frame);
  return call6979;
}
Object meth_ast_6980_asIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6983 = gc_frame_new();
// call case 4: self request
  Object call6984 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6983);
// compiled member node returning call6984 (depth = 5)
  int op_slot_right_6982 = gc_frame_newslot(call6984);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_fakeSymbolTable (depth = 5)
  int op_slot_left_6982 = gc_frame_newslot(*var_fakeSymbolTable);
  params[0] = call6984;
  partcv[0] = 1;
  Object opresult6986 = callmethod(*var_fakeSymbolTable, "==(1)", 1, partcv, params);
// compiled op node returning opresult6986 (depth = 4)
  Object if6981 = done;
  if (istrue(opresult6986)) {
// Begin line 1793
  setline(1793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6987 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6989 == NULL) {
    strlit6989 = alloc_String(" when scope was fake");
    gc_root(strlit6989);
  }
// compiled string node returning strlit6989 (depth = 6)
  int op_slot_right_6988 = gc_frame_newslot(strlit6989);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6992 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6993 = alloc_Float64(0);
// compiled num node returning num6993 (depth = 8)
  gc_frame_newslot(num6993);
// call case 4: self request
  params[0] = num6993;
  partcv[0] = 1;
  Object call6994 = callmethodflags(self, "pretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6992);
// compiled call node returning call6994 (depth = 7)
  int op_slot_right_6991 = gc_frame_newslot(call6994);
// starting to compile string node (depth = 7)
  if (strlit6996 == NULL) {
    strlit6996 = alloc_String("asIdentifier requested on ");
    gc_root(strlit6996);
  }
// compiled string node returning strlit6996 (depth = 7)
  int op_slot_left_6991 = gc_frame_newslot(strlit6996);
  params[0] = call6994;
  partcv[0] = 1;
  Object opresult6997 = callmethod(strlit6996, "++(1)", 1, partcv, params);
// compiled op node returning opresult6997 (depth = 6)
  int op_slot_left_6988 = gc_frame_newslot(opresult6997);
  params[0] = strlit6989;
  partcv[0] = 1;
  Object opresult6998 = callmethod(opresult6997, "++(1)", 1, partcv, params);
// compiled op node returning opresult6998 (depth = 5)
  gc_frame_newslot(opresult6998);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6999 = gc_frame_new();
// call case 5: prelude request
  Object call7000 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6999);
// compiled member node returning call7000 (depth = 5)
  params[0] = opresult6998;
  partcv[0] = 1;
  Object call7001 = callmethodflags(call7000, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6987);
// compiled call node returning call7001 (depth = 4)
    gc_frame_newslot(call7001);
    if6981 = call7001;
  } else {
  }
// compiled if node returning if6981 (depth = 3)
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7002 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7003 = gc_frame_new();
// call case 4: self request
  Object call7004 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7003);
// compiled member node returning call7004 (depth = 5)
  gc_frame_newslot(call7004);
// starting to compile identifier node (depth = 5)
  Object bool7005 = alloc_Boolean(0);
// compiled identifier node returning bool7005 (depth = 5)
  gc_frame_newslot(bool7005);
// starting to compile member node (depth = 5)
  int callframe7006 = gc_frame_new();
// call case 4: self request
  Object call7007 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7006);
// compiled member node returning call7007 (depth = 5)
  gc_frame_newslot(call7007);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call7004;
  params[1] = bool7005;
  params[2] = call7007;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7008 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7002);
// compiled call node returning call7008 (depth = 4)
  *var_resultNode = call7008;
  if (call7008 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7009 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7010 = alloc_Boolean(1);
// compiled identifier node returning bool7010 (depth = 4)
  gc_frame_newslot(bool7010);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool7010;
  partcv[0] = 1;
  Object call7011 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7009);
// compiled call node returning call7011 (depth = 3)
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7012 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7013 = gc_frame_new();
// call case 4: self request
  Object call7014 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7013);
// compiled member node returning call7014 (depth = 4)
  gc_frame_newslot(call7014);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call7014;
  partcv[0] = 1;
  Object call7015 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7012);
// compiled call node returning call7015 (depth = 3)
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7016 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7017 = gc_frame_new();
// call case 4: self request
  Object call7018 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7017);
// compiled member node returning call7018 (depth = 4)
  gc_frame_newslot(call7018);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call7018;
  partcv[0] = 1;
  Object call7019 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7016);
// compiled call node returning call7019 (depth = 3)
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_7020_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7021 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7022 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7023 = gc_frame_new();
// call case 4: self request
  Object call7024 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7023);
// compiled member node returning call7024 (depth = 5)
  gc_frame_newslot(call7024);
// starting to compile member node (depth = 5)
  int callframe7025 = gc_frame_new();
// call case 4: self request
  Object call7026 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7025);
// compiled member node returning call7026 (depth = 5)
  gc_frame_newslot(call7026);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_memberNode (depth = 5)
  params[0] = call7024;
  params[1] = call7026;
  partcv[0] = 2;
  Object call7027 = callmethodflags(*var_memberNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7022);
// compiled call node returning call7027 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7028 = callmethodflags(call7027, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7021);
// compiled call node returning call7028 (depth = 3)
  gc_frame_end(frame);
  return call7028;
}
Object meth_ast_7029_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7030 == NULL) {
    strlit7030 = alloc_String("expression");
    gc_root(strlit7030);
  }
// compiled string node returning strlit7030 (depth = 3)
  gc_frame_end(frame);
  return strlit7030;
}
Object meth_ast_7031_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7032 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7033 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7034 = callmethodflags(*var_other, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe7033);
// compiled member node returning call7034 (depth = 4)
  gc_frame_newslot(call7034);
// call case 4: self request
  params[0] = call7034;
  partcv[0] = 1;
  Object call7035 = callmethodflags(self, "generics:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7032);
// compiled call node returning call7035 (depth = 3)
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7036 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7037 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7038 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe7037);
// compiled member node returning call7038 (depth = 4)
  gc_frame_newslot(call7038);
// call case 4: self request
  params[0] = call7038;
  partcv[0] = 1;
  Object call7039 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7036);
// compiled call node returning call7039 (depth = 3)
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7040 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7041 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7042 = callmethodflags(*var_other, "isTailCall", 0, partcv, params, 0);
  gc_frame_end(callframe7041);
// compiled member node returning call7042 (depth = 4)
  gc_frame_newslot(call7042);
// call case 4: self request
  params[0] = call7042;
  partcv[0] = 1;
  Object call7043 = callmethodflags(self, "isTailCall:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7040);
// compiled call node returning call7043 (depth = 3)
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_6652_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_memberNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver_39_ = &(stackframe->slots[1]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6653 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6653 = alloc_userobj2(32,28, objclass6653);
  gc_frame_newslot(obj6653);
  if (objclass6653 == NULL) {
    glfree(obj6653->class->name);
    obj6653->class->name = "memberNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj6653, self, 0);
  addmethodreal(obj6653,"outer", &reader_ast_outer_6654);
  Object oldself6653 = self;
  struct StackFrameObject *oldstackframe6653 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6653);
  gc_frame_newslot((Object)stackframe);
  self = obj6653;
  Object *oldselfslot6653 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6653 = (*(struct UserObject *)self).data[0], lowerouter6653 = thisouter6653;
  if (inheritingObject6653) {
    struct UserObject *inho6653 = (struct UserObject *)inheritingObject6653;
    while (inho6653->super != GraceDefaultObject) inho6653 = (struct UserObject *)inho6653->super;
    inho6653->super = obj6653;
    self = inheritingObject6653;
    *selfslot = self;
    lowerouter6653 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6653;
  }
  if (objclass6653 == NULL) {
  Method *reader6655 = addmethodrealflags(obj6653, "kind",&reader_ast_kind_6655, MFLAG_DEF);
  reader6655->definitionModule = modulename;
  reader6655->definitionLine = 1708;
  }
  adddatum2(obj6653, alloc_Undefined(), 1);
  if (objclass6653 == NULL) {
    Method *reader6656 = addmethodrealflags(obj6653, "value", &reader_ast_value_6656, 0);
    Method *writer6656 = addmethodrealflags(obj6653, "value:=(1)", &writer_ast_value_6656, 0);
    reader6656->definitionModule = modulename;
    writer6656->definitionModule = modulename;
    reader6656->definitionLine = 1709;
    writer6656->definitionLine = 1709;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 2);
  if (objclass6653 == NULL) {
    Method *reader6657 = addmethodrealflags(obj6653, "receiver", &reader_ast_receiver_6657, 0);
    Method *writer6657 = addmethodrealflags(obj6653, "receiver:=(1)", &writer_ast_receiver_6657, 0);
    reader6657->definitionModule = modulename;
    writer6657->definitionModule = modulename;
    reader6657->definitionLine = 1710;
    writer6657->definitionLine = 1710;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 3);
  if (objclass6653 == NULL) {
    Method *reader6658 = addmethodrealflags(obj6653, "generics", &reader_ast_generics_6658, 0);
    Method *writer6658 = addmethodrealflags(obj6653, "generics:=(1)", &writer_ast_generics_6658, 0);
    reader6658->definitionModule = modulename;
    writer6658->definitionModule = modulename;
    reader6658->definitionLine = 1711;
    writer6658->definitionLine = 1711;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 4);
  if (objclass6653 == NULL) {
    Method *reader6659 = addmethodrealflags(obj6653, "isSelfRequest", &reader_ast_isSelfRequest_6659, 0);
    Method *writer6659 = addmethodrealflags(obj6653, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_6659, 0);
    reader6659->definitionModule = modulename;
    writer6659->definitionModule = modulename;
    reader6659->definitionLine = 1712;
    writer6659->definitionLine = 1712;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 5);
  if (objclass6653 == NULL) {
    Method *reader6660 = addmethodrealflags(obj6653, "isTailCall", &reader_ast_isTailCall_6660, 0);
    Method *writer6660 = addmethodrealflags(obj6653, "isTailCall:=(1)", &writer_ast_isTailCall_6660, 0);
    reader6660->definitionModule = modulename;
    writer6660->definitionModule = modulename;
    reader6660->definitionLine = 1713;
    writer6660->definitionLine = 1713;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 6);
// method "end"
  block_savedest(obj6653);
  Object closure6661 = createclosure(1, "end");
  setclosureframe(closure6661, stackframe);
  addtoclosure(closure6661, var_request);
  struct UserObject *uo6661 = (struct UserObject*)obj6653;
  uo6661->data[7] = (Object)closure6661;
  Method *meth_meth_ast_6661_end = addmethod2pos(obj6653, "end", &meth_ast_6661_end, 7);
  int argcv_meth_ast_6661_end[] = {0};
  meth_meth_ast_6661_end->type = alloc_MethodType(1, argcv_meth_ast_6661_end);
  meth_meth_ast_6661_end->definitionModule = modulename;
  meth_meth_ast_6661_end->definitionLine = 1714;
// method "onSelf"
  struct UserObject *uo6690 = (struct UserObject*)obj6653;
  uo6690->data[8] = emptyclosure;
  Method *meth_meth_ast_6690_onSelf = addmethod2pos(obj6653, "onSelf", &meth_ast_6690_onSelf, 8);
  int argcv_meth_ast_6690_onSelf[] = {0};
  meth_meth_ast_6690_onSelf->type = alloc_MethodType(1, argcv_meth_ast_6690_onSelf);
  meth_meth_ast_6690_onSelf->definitionModule = modulename;
  meth_meth_ast_6690_onSelf->definitionLine = 1722;
// method "nameString"
  struct UserObject *uo6694 = (struct UserObject*)obj6653;
  uo6694->data[9] = emptyclosure;
  Method *meth_meth_ast_6694_nameString = addmethod2pos(obj6653, "nameString", &meth_ast_6694_nameString, 9);
  int argcv_meth_ast_6694_nameString[] = {0};
  meth_meth_ast_6694_nameString->type = alloc_MethodType(1, argcv_meth_ast_6694_nameString);
  meth_meth_ast_6694_nameString->definitionModule = modulename;
  meth_meth_ast_6694_nameString->definitionLine = 1726;
// method "canonicalName"
  struct UserObject *uo6697 = (struct UserObject*)obj6653;
  uo6697->data[10] = emptyclosure;
  Method *meth_meth_ast_6697_canonicalName = addmethod2pos(obj6653, "canonicalName", &meth_ast_6697_canonicalName, 10);
  int argcv_meth_ast_6697_canonicalName[] = {0};
  meth_meth_ast_6697_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_6697_canonicalName);
  meth_meth_ast_6697_canonicalName->definitionModule = modulename;
  meth_meth_ast_6697_canonicalName->definitionLine = 1727;
// method "isMember"
  struct UserObject *uo6700 = (struct UserObject*)obj6653;
  uo6700->data[11] = emptyclosure;
  Method *meth_meth_ast_6700_isMember = addmethod2pos(obj6653, "isMember", &meth_ast_6700_isMember, 11);
  int argcv_meth_ast_6700_isMember[] = {0};
  meth_meth_ast_6700_isMember->type = alloc_MethodType(1, argcv_meth_ast_6700_isMember);
  meth_meth_ast_6700_isMember->definitionModule = modulename;
  meth_meth_ast_6700_isMember->definitionLine = 1728;
// method "isCall"
  struct UserObject *uo6702 = (struct UserObject*)obj6653;
  uo6702->data[12] = emptyclosure;
  Method *meth_meth_ast_6702_isCall = addmethod2pos(obj6653, "isCall", &meth_ast_6702_isCall, 12);
  int argcv_meth_ast_6702_isCall[] = {0};
  meth_meth_ast_6702_isCall->type = alloc_MethodType(1, argcv_meth_ast_6702_isCall);
  meth_meth_ast_6702_isCall->definitionModule = modulename;
  meth_meth_ast_6702_isCall->definitionLine = 1729;
// method "with"
  block_savedest(obj6653);
  Object closure6704 = createclosure(1, "with");
  setclosureframe(closure6704, stackframe);
  addtoclosure(closure6704, var_emptySeq);
  struct UserObject *uo6704 = (struct UserObject*)obj6653;
  uo6704->data[13] = (Object)closure6704;
  Method *meth_meth_ast_6704_with = addmethod2pos(obj6653, "with", &meth_ast_6704_with, 13);
  int argcv_meth_ast_6704_with[] = {0};
  meth_meth_ast_6704_with->type = alloc_MethodType(1, argcv_meth_ast_6704_with);
  meth_meth_ast_6704_with->definitionModule = modulename;
  meth_meth_ast_6704_with->definitionLine = 1731;
// method "arguments"
  block_savedest(obj6653);
  Object closure6705 = createclosure(1, "arguments");
  setclosureframe(closure6705, stackframe);
  addtoclosure(closure6705, var_emptySeq);
  struct UserObject *uo6705 = (struct UserObject*)obj6653;
  uo6705->data[14] = (Object)closure6705;
  Method *meth_meth_ast_6705_arguments = addmethod2pos(obj6653, "arguments", &meth_ast_6705_arguments, 14);
  int argcv_meth_ast_6705_arguments[] = {0};
  meth_meth_ast_6705_arguments->type = alloc_MethodType(1, argcv_meth_ast_6705_arguments);
  meth_meth_ast_6705_arguments->definitionModule = modulename;
  meth_meth_ast_6705_arguments->definitionLine = 1732;
// method "argumentsDo"
  struct UserObject *uo6706 = (struct UserObject*)obj6653;
  uo6706->data[15] = emptyclosure;
  Method *meth_meth_ast_6706_argumentsDo = addmethod2pos(obj6653, "argumentsDo", &meth_ast_6706_argumentsDo, 15);
  int argcv_meth_ast_6706_argumentsDo[] = {0};
  meth_meth_ast_6706_argumentsDo->type = alloc_MethodType(1, argcv_meth_ast_6706_argumentsDo);
  meth_meth_ast_6706_argumentsDo->definitionModule = modulename;
  meth_meth_ast_6706_argumentsDo->definitionLine = 1733;
// method "numArgs"
  struct UserObject *uo6707 = (struct UserObject*)obj6653;
  uo6707->data[16] = emptyclosure;
  Method *meth_meth_ast_6707_numArgs = addmethod2pos(obj6653, "numArgs", &meth_ast_6707_numArgs, 16);
  int argcv_meth_ast_6707_numArgs[] = {0};
  meth_meth_ast_6707_numArgs->type = alloc_MethodType(1, argcv_meth_ast_6707_numArgs);
  meth_meth_ast_6707_numArgs->definitionModule = modulename;
  meth_meth_ast_6707_numArgs->definitionLine = 1734;
// method "numTypeArgs"
  struct UserObject *uo6709 = (struct UserObject*)obj6653;
  uo6709->data[17] = emptyclosure;
  Method *meth_meth_ast_6709_numTypeArgs = addmethod2pos(obj6653, "numTypeArgs", &meth_ast_6709_numTypeArgs, 17);
  int argcv_meth_ast_6709_numTypeArgs[] = {0};
  meth_meth_ast_6709_numTypeArgs->type = alloc_MethodType(1, argcv_meth_ast_6709_numTypeArgs);
  meth_meth_ast_6709_numTypeArgs->definitionModule = modulename;
  meth_meth_ast_6709_numTypeArgs->definitionLine = 1735;
// method "accept(_)from(_)"
  struct UserObject *uo6722 = (struct UserObject*)obj6653;
  uo6722->data[18] = emptyclosure;
  Method *meth_meth_ast_6722_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj6653, "accept(1)from(1)", &meth_ast_6722_accept_40_1_41_from_40_1_41_, 18);
  int argcv_meth_ast_6722_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_6722_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6722_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_6722_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6722_accept_40_1_41_from_40_1_41_->definitionLine = 1739;
// method "isSelfOrOuter"
  struct UserObject *uo6748 = (struct UserObject*)obj6653;
  uo6748->data[19] = emptyclosure;
  Method *meth_meth_ast_6748_isSelfOrOuter = addmethod2pos(obj6653, "isSelfOrOuter", &meth_ast_6748_isSelfOrOuter, 19);
  int argcv_meth_ast_6748_isSelfOrOuter[] = {0};
  meth_meth_ast_6748_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_6748_isSelfOrOuter);
  meth_meth_ast_6748_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_6748_isSelfOrOuter->definitionLine = 1748;
// method "map(_)ancestors(_)"
  struct UserObject *uo6753 = (struct UserObject*)obj6653;
  uo6753->data[20] = emptyclosure;
  Method *meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj6653, "map(1)ancestors(1)", &meth_ast_6753_map_40_1_41_ancestors_40_1_41_, 20);
  int argcv_meth_ast_6753_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6753_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_->definitionLine = 1751;
// method "pretty(_)"
  struct UserObject *uo6772 = (struct UserObject*)obj6653;
  uo6772->data[21] = emptyclosure;
  Method *meth_meth_ast_6772_pretty_40_1_41_ = addmethod2pos(obj6653, "pretty(1)", &meth_ast_6772_pretty_40_1_41_, 21);
  int argcv_meth_ast_6772_pretty_40_1_41_[] = {1};
  meth_meth_ast_6772_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6772_pretty_40_1_41_);
  meth_meth_ast_6772_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6772_pretty_40_1_41_->definitionLine = 1758;
// method "toGrace(_)"
  struct UserObject *uo6861 = (struct UserObject*)obj6653;
  uo6861->data[22] = emptyclosure;
  Method *meth_meth_ast_6861_toGrace_40_1_41_ = addmethod2pos(obj6653, "toGrace(1)", &meth_ast_6861_toGrace_40_1_41_, 22);
  int argcv_meth_ast_6861_toGrace_40_1_41_[] = {1};
  meth_meth_ast_6861_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6861_toGrace_40_1_41_);
meth_meth_ast_6861_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_6861_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_6861_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6861_toGrace_40_1_41_->definitionLine = 1772;
// method "asString"
  struct UserObject *uo6976 = (struct UserObject*)obj6653;
  uo6976->data[23] = emptyclosure;
  Method *meth_meth_ast_6976_asString = addmethod2pos(obj6653, "asString", &meth_ast_6976_asString, 23);
  int argcv_meth_ast_6976_asString[] = {0};
  meth_meth_ast_6976_asString->type = alloc_MethodType(1, argcv_meth_ast_6976_asString);
  meth_meth_ast_6976_asString->definitionModule = modulename;
  meth_meth_ast_6976_asString->definitionLine = 1789;
// method "asIdentifier"
  block_savedest(obj6653);
  Object closure6980 = createclosure(2, "asIdentifier");
  setclosureframe(closure6980, stackframe);
  addtoclosure(closure6980, var_fakeSymbolTable);
  addtoclosure(closure6980, var_identifierNode);
  struct UserObject *uo6980 = (struct UserObject*)obj6653;
  uo6980->data[24] = (Object)closure6980;
  Method *meth_meth_ast_6980_asIdentifier = addmethod2pos(obj6653, "asIdentifier", &meth_ast_6980_asIdentifier, 24);
  int argcv_meth_ast_6980_asIdentifier[] = {0};
  meth_meth_ast_6980_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_6980_asIdentifier);
  meth_meth_ast_6980_asIdentifier->definitionModule = modulename;
  meth_meth_ast_6980_asIdentifier->definitionLine = 1790;
// method "shallowCopy"
  block_savedest(obj6653);
  Object closure7020 = createclosure(1, "shallowCopy");
  setclosureframe(closure7020, stackframe);
  addtoclosure(closure7020, var_memberNode);
  struct UserObject *uo7020 = (struct UserObject*)obj6653;
  uo7020->data[25] = (Object)closure7020;
  Method *meth_meth_ast_7020_shallowCopy = addmethod2pos(obj6653, "shallowCopy", &meth_ast_7020_shallowCopy, 25);
  int argcv_meth_ast_7020_shallowCopy[] = {0};
  meth_meth_ast_7020_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7020_shallowCopy);
  meth_meth_ast_7020_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7020_shallowCopy->definitionLine = 1801;
// method "statementName"
  struct UserObject *uo7029 = (struct UserObject*)obj6653;
  uo7029->data[26] = emptyclosure;
  Method *meth_meth_ast_7029_statementName = addmethod2pos(obj6653, "statementName", &meth_ast_7029_statementName, 26);
  int argcv_meth_ast_7029_statementName[] = {0};
  meth_meth_ast_7029_statementName->type = alloc_MethodType(1, argcv_meth_ast_7029_statementName);
  meth_meth_ast_7029_statementName->definitionModule = modulename;
  meth_meth_ast_7029_statementName->definitionLine = 1804;
// method "postCopy(_)"
  struct UserObject *uo7031 = (struct UserObject*)obj6653;
  uo7031->data[27] = emptyclosure;
  Method *meth_meth_ast_7031_postCopy_40_1_41_ = addmethod2pos(obj6653, "postCopy(1)", &meth_ast_7031_postCopy_40_1_41_, 27);
  int argcv_meth_ast_7031_postCopy_40_1_41_[] = {1};
  meth_meth_ast_7031_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7031_postCopy_40_1_41_);
  meth_meth_ast_7031_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7031_postCopy_40_1_41_->definitionLine = 1805;
  sourceObject = obj6653;
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7044 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7045 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7044);
// compiled call node returning call7045 (depth = 3)
  struct UserObject *obj6653_uo = (struct UserObject *)obj6653;
  obj6653_uo->super = call7045;
  sourceObject = obj6653;
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7046 == NULL) {
    strlit7046 = alloc_String("member");
    gc_root(strlit7046);
  }
// compiled string node returning strlit7046 (depth = 3)
  adddatum2(obj6653, strlit7046, 1);
  sourceObject = obj6653;
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_request (depth = 3)
  adddatum2(obj6653, *var_request, 2);
  sourceObject = obj6653;
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj6653, *var_receiver_39_, 3);
  sourceObject = obj6653;
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7047 = alloc_Boolean(0);
// compiled identifier node returning bool7047 (depth = 3)
  adddatum2(obj6653, bool7047, 4);
  sourceObject = obj6653;
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7048 = alloc_Boolean(0);
// compiled identifier node returning bool7048 (depth = 3)
  adddatum2(obj6653, bool7048, 5);
  sourceObject = obj6653;
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7049 = alloc_Boolean(0);
// compiled identifier node returning bool7049 (depth = 3)
  adddatum2(obj6653, bool7049, 6);
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  objclass6653 = obj6653->class;
  objclass6653->definitionModule = modulename;
  objclass6653->definitionLine = 1705;
  (*(struct UserObject *)self).data[0] = lowerouter6653;
  self = oldself6653;
  selfslot = oldselfslot6653;
  stackframe = oldstackframe6653;
  gc_frame_end(frame);
  return obj6653;
}
Object meth_ast_6652_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_memberNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver_39_ = &(stackframe->slots[1]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6653 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6653 = alloc_userobj2(32,28, objclass6653);
  gc_frame_newslot(obj6653);
  if (objclass6653 == NULL) {
    glfree(obj6653->class->name);
    obj6653->class->name = "memberNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj6653, self, 0);
  addmethodreal(obj6653,"outer", &reader_ast_outer_6654);
  Object oldself6653 = self;
  struct StackFrameObject *oldstackframe6653 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6653);
  gc_frame_newslot((Object)stackframe);
  self = obj6653;
  Object *oldselfslot6653 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6653 = (*(struct UserObject *)self).data[0], lowerouter6653 = thisouter6653;
  if (inheritingObject6653) {
    struct UserObject *inho6653 = (struct UserObject *)inheritingObject6653;
    while (inho6653->super != GraceDefaultObject) inho6653 = (struct UserObject *)inho6653->super;
    inho6653->super = obj6653;
    self = inheritingObject6653;
    *selfslot = self;
    lowerouter6653 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6653;
  }
  if (objclass6653 == NULL) {
  Method *reader6655 = addmethodrealflags(obj6653, "kind",&reader_ast_kind_6655, MFLAG_DEF);
  reader6655->definitionModule = modulename;
  reader6655->definitionLine = 1708;
  }
  adddatum2(obj6653, alloc_Undefined(), 1);
  if (objclass6653 == NULL) {
    Method *reader6656 = addmethodrealflags(obj6653, "value", &reader_ast_value_6656, 0);
    Method *writer6656 = addmethodrealflags(obj6653, "value:=(1)", &writer_ast_value_6656, 0);
    reader6656->definitionModule = modulename;
    writer6656->definitionModule = modulename;
    reader6656->definitionLine = 1709;
    writer6656->definitionLine = 1709;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 2);
  if (objclass6653 == NULL) {
    Method *reader6657 = addmethodrealflags(obj6653, "receiver", &reader_ast_receiver_6657, 0);
    Method *writer6657 = addmethodrealflags(obj6653, "receiver:=(1)", &writer_ast_receiver_6657, 0);
    reader6657->definitionModule = modulename;
    writer6657->definitionModule = modulename;
    reader6657->definitionLine = 1710;
    writer6657->definitionLine = 1710;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 3);
  if (objclass6653 == NULL) {
    Method *reader6658 = addmethodrealflags(obj6653, "generics", &reader_ast_generics_6658, 0);
    Method *writer6658 = addmethodrealflags(obj6653, "generics:=(1)", &writer_ast_generics_6658, 0);
    reader6658->definitionModule = modulename;
    writer6658->definitionModule = modulename;
    reader6658->definitionLine = 1711;
    writer6658->definitionLine = 1711;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 4);
  if (objclass6653 == NULL) {
    Method *reader6659 = addmethodrealflags(obj6653, "isSelfRequest", &reader_ast_isSelfRequest_6659, 0);
    Method *writer6659 = addmethodrealflags(obj6653, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_6659, 0);
    reader6659->definitionModule = modulename;
    writer6659->definitionModule = modulename;
    reader6659->definitionLine = 1712;
    writer6659->definitionLine = 1712;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 5);
  if (objclass6653 == NULL) {
    Method *reader6660 = addmethodrealflags(obj6653, "isTailCall", &reader_ast_isTailCall_6660, 0);
    Method *writer6660 = addmethodrealflags(obj6653, "isTailCall:=(1)", &writer_ast_isTailCall_6660, 0);
    reader6660->definitionModule = modulename;
    writer6660->definitionModule = modulename;
    reader6660->definitionLine = 1713;
    writer6660->definitionLine = 1713;
  }
  obj6653->flags |= OFLAG_MUTABLE;
  adddatum2(obj6653, alloc_Undefined(), 6);
// method "end"
  block_savedest(obj6653);
  Object closure6661 = createclosure(1, "end");
  setclosureframe(closure6661, stackframe);
  addtoclosure(closure6661, var_request);
  struct UserObject *uo6661 = (struct UserObject*)obj6653;
  uo6661->data[7] = (Object)closure6661;
  Method *meth_meth_ast_6661_end = addmethod2pos(obj6653, "end", &meth_ast_6661_end, 7);
  int argcv_meth_ast_6661_end[] = {0};
  meth_meth_ast_6661_end->type = alloc_MethodType(1, argcv_meth_ast_6661_end);
  meth_meth_ast_6661_end->definitionModule = modulename;
  meth_meth_ast_6661_end->definitionLine = 1714;
// method "onSelf"
  struct UserObject *uo6690 = (struct UserObject*)obj6653;
  uo6690->data[8] = emptyclosure;
  Method *meth_meth_ast_6690_onSelf = addmethod2pos(obj6653, "onSelf", &meth_ast_6690_onSelf, 8);
  int argcv_meth_ast_6690_onSelf[] = {0};
  meth_meth_ast_6690_onSelf->type = alloc_MethodType(1, argcv_meth_ast_6690_onSelf);
  meth_meth_ast_6690_onSelf->definitionModule = modulename;
  meth_meth_ast_6690_onSelf->definitionLine = 1722;
// method "nameString"
  struct UserObject *uo6694 = (struct UserObject*)obj6653;
  uo6694->data[9] = emptyclosure;
  Method *meth_meth_ast_6694_nameString = addmethod2pos(obj6653, "nameString", &meth_ast_6694_nameString, 9);
  int argcv_meth_ast_6694_nameString[] = {0};
  meth_meth_ast_6694_nameString->type = alloc_MethodType(1, argcv_meth_ast_6694_nameString);
  meth_meth_ast_6694_nameString->definitionModule = modulename;
  meth_meth_ast_6694_nameString->definitionLine = 1726;
// method "canonicalName"
  struct UserObject *uo6697 = (struct UserObject*)obj6653;
  uo6697->data[10] = emptyclosure;
  Method *meth_meth_ast_6697_canonicalName = addmethod2pos(obj6653, "canonicalName", &meth_ast_6697_canonicalName, 10);
  int argcv_meth_ast_6697_canonicalName[] = {0};
  meth_meth_ast_6697_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_6697_canonicalName);
  meth_meth_ast_6697_canonicalName->definitionModule = modulename;
  meth_meth_ast_6697_canonicalName->definitionLine = 1727;
// method "isMember"
  struct UserObject *uo6700 = (struct UserObject*)obj6653;
  uo6700->data[11] = emptyclosure;
  Method *meth_meth_ast_6700_isMember = addmethod2pos(obj6653, "isMember", &meth_ast_6700_isMember, 11);
  int argcv_meth_ast_6700_isMember[] = {0};
  meth_meth_ast_6700_isMember->type = alloc_MethodType(1, argcv_meth_ast_6700_isMember);
  meth_meth_ast_6700_isMember->definitionModule = modulename;
  meth_meth_ast_6700_isMember->definitionLine = 1728;
// method "isCall"
  struct UserObject *uo6702 = (struct UserObject*)obj6653;
  uo6702->data[12] = emptyclosure;
  Method *meth_meth_ast_6702_isCall = addmethod2pos(obj6653, "isCall", &meth_ast_6702_isCall, 12);
  int argcv_meth_ast_6702_isCall[] = {0};
  meth_meth_ast_6702_isCall->type = alloc_MethodType(1, argcv_meth_ast_6702_isCall);
  meth_meth_ast_6702_isCall->definitionModule = modulename;
  meth_meth_ast_6702_isCall->definitionLine = 1729;
// method "with"
  block_savedest(obj6653);
  Object closure6704 = createclosure(1, "with");
  setclosureframe(closure6704, stackframe);
  addtoclosure(closure6704, var_emptySeq);
  struct UserObject *uo6704 = (struct UserObject*)obj6653;
  uo6704->data[13] = (Object)closure6704;
  Method *meth_meth_ast_6704_with = addmethod2pos(obj6653, "with", &meth_ast_6704_with, 13);
  int argcv_meth_ast_6704_with[] = {0};
  meth_meth_ast_6704_with->type = alloc_MethodType(1, argcv_meth_ast_6704_with);
  meth_meth_ast_6704_with->definitionModule = modulename;
  meth_meth_ast_6704_with->definitionLine = 1731;
// method "arguments"
  block_savedest(obj6653);
  Object closure6705 = createclosure(1, "arguments");
  setclosureframe(closure6705, stackframe);
  addtoclosure(closure6705, var_emptySeq);
  struct UserObject *uo6705 = (struct UserObject*)obj6653;
  uo6705->data[14] = (Object)closure6705;
  Method *meth_meth_ast_6705_arguments = addmethod2pos(obj6653, "arguments", &meth_ast_6705_arguments, 14);
  int argcv_meth_ast_6705_arguments[] = {0};
  meth_meth_ast_6705_arguments->type = alloc_MethodType(1, argcv_meth_ast_6705_arguments);
  meth_meth_ast_6705_arguments->definitionModule = modulename;
  meth_meth_ast_6705_arguments->definitionLine = 1732;
// method "argumentsDo"
  struct UserObject *uo6706 = (struct UserObject*)obj6653;
  uo6706->data[15] = emptyclosure;
  Method *meth_meth_ast_6706_argumentsDo = addmethod2pos(obj6653, "argumentsDo", &meth_ast_6706_argumentsDo, 15);
  int argcv_meth_ast_6706_argumentsDo[] = {0};
  meth_meth_ast_6706_argumentsDo->type = alloc_MethodType(1, argcv_meth_ast_6706_argumentsDo);
  meth_meth_ast_6706_argumentsDo->definitionModule = modulename;
  meth_meth_ast_6706_argumentsDo->definitionLine = 1733;
// method "numArgs"
  struct UserObject *uo6707 = (struct UserObject*)obj6653;
  uo6707->data[16] = emptyclosure;
  Method *meth_meth_ast_6707_numArgs = addmethod2pos(obj6653, "numArgs", &meth_ast_6707_numArgs, 16);
  int argcv_meth_ast_6707_numArgs[] = {0};
  meth_meth_ast_6707_numArgs->type = alloc_MethodType(1, argcv_meth_ast_6707_numArgs);
  meth_meth_ast_6707_numArgs->definitionModule = modulename;
  meth_meth_ast_6707_numArgs->definitionLine = 1734;
// method "numTypeArgs"
  struct UserObject *uo6709 = (struct UserObject*)obj6653;
  uo6709->data[17] = emptyclosure;
  Method *meth_meth_ast_6709_numTypeArgs = addmethod2pos(obj6653, "numTypeArgs", &meth_ast_6709_numTypeArgs, 17);
  int argcv_meth_ast_6709_numTypeArgs[] = {0};
  meth_meth_ast_6709_numTypeArgs->type = alloc_MethodType(1, argcv_meth_ast_6709_numTypeArgs);
  meth_meth_ast_6709_numTypeArgs->definitionModule = modulename;
  meth_meth_ast_6709_numTypeArgs->definitionLine = 1735;
// method "accept(_)from(_)"
  struct UserObject *uo6722 = (struct UserObject*)obj6653;
  uo6722->data[18] = emptyclosure;
  Method *meth_meth_ast_6722_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj6653, "accept(1)from(1)", &meth_ast_6722_accept_40_1_41_from_40_1_41_, 18);
  int argcv_meth_ast_6722_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_6722_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6722_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_6722_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6722_accept_40_1_41_from_40_1_41_->definitionLine = 1739;
// method "isSelfOrOuter"
  struct UserObject *uo6748 = (struct UserObject*)obj6653;
  uo6748->data[19] = emptyclosure;
  Method *meth_meth_ast_6748_isSelfOrOuter = addmethod2pos(obj6653, "isSelfOrOuter", &meth_ast_6748_isSelfOrOuter, 19);
  int argcv_meth_ast_6748_isSelfOrOuter[] = {0};
  meth_meth_ast_6748_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_6748_isSelfOrOuter);
  meth_meth_ast_6748_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_6748_isSelfOrOuter->definitionLine = 1748;
// method "map(_)ancestors(_)"
  struct UserObject *uo6753 = (struct UserObject*)obj6653;
  uo6753->data[20] = emptyclosure;
  Method *meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj6653, "map(1)ancestors(1)", &meth_ast_6753_map_40_1_41_ancestors_40_1_41_, 20);
  int argcv_meth_ast_6753_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6753_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6753_map_40_1_41_ancestors_40_1_41_->definitionLine = 1751;
// method "pretty(_)"
  struct UserObject *uo6772 = (struct UserObject*)obj6653;
  uo6772->data[21] = emptyclosure;
  Method *meth_meth_ast_6772_pretty_40_1_41_ = addmethod2pos(obj6653, "pretty(1)", &meth_ast_6772_pretty_40_1_41_, 21);
  int argcv_meth_ast_6772_pretty_40_1_41_[] = {1};
  meth_meth_ast_6772_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6772_pretty_40_1_41_);
  meth_meth_ast_6772_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6772_pretty_40_1_41_->definitionLine = 1758;
// method "toGrace(_)"
  struct UserObject *uo6861 = (struct UserObject*)obj6653;
  uo6861->data[22] = emptyclosure;
  Method *meth_meth_ast_6861_toGrace_40_1_41_ = addmethod2pos(obj6653, "toGrace(1)", &meth_ast_6861_toGrace_40_1_41_, 22);
  int argcv_meth_ast_6861_toGrace_40_1_41_[] = {1};
  meth_meth_ast_6861_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6861_toGrace_40_1_41_);
meth_meth_ast_6861_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_6861_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_6861_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6861_toGrace_40_1_41_->definitionLine = 1772;
// method "asString"
  struct UserObject *uo6976 = (struct UserObject*)obj6653;
  uo6976->data[23] = emptyclosure;
  Method *meth_meth_ast_6976_asString = addmethod2pos(obj6653, "asString", &meth_ast_6976_asString, 23);
  int argcv_meth_ast_6976_asString[] = {0};
  meth_meth_ast_6976_asString->type = alloc_MethodType(1, argcv_meth_ast_6976_asString);
  meth_meth_ast_6976_asString->definitionModule = modulename;
  meth_meth_ast_6976_asString->definitionLine = 1789;
// method "asIdentifier"
  block_savedest(obj6653);
  Object closure6980 = createclosure(2, "asIdentifier");
  setclosureframe(closure6980, stackframe);
  addtoclosure(closure6980, var_fakeSymbolTable);
  addtoclosure(closure6980, var_identifierNode);
  struct UserObject *uo6980 = (struct UserObject*)obj6653;
  uo6980->data[24] = (Object)closure6980;
  Method *meth_meth_ast_6980_asIdentifier = addmethod2pos(obj6653, "asIdentifier", &meth_ast_6980_asIdentifier, 24);
  int argcv_meth_ast_6980_asIdentifier[] = {0};
  meth_meth_ast_6980_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_6980_asIdentifier);
  meth_meth_ast_6980_asIdentifier->definitionModule = modulename;
  meth_meth_ast_6980_asIdentifier->definitionLine = 1790;
// method "shallowCopy"
  block_savedest(obj6653);
  Object closure7020 = createclosure(1, "shallowCopy");
  setclosureframe(closure7020, stackframe);
  addtoclosure(closure7020, var_memberNode);
  struct UserObject *uo7020 = (struct UserObject*)obj6653;
  uo7020->data[25] = (Object)closure7020;
  Method *meth_meth_ast_7020_shallowCopy = addmethod2pos(obj6653, "shallowCopy", &meth_ast_7020_shallowCopy, 25);
  int argcv_meth_ast_7020_shallowCopy[] = {0};
  meth_meth_ast_7020_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7020_shallowCopy);
  meth_meth_ast_7020_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7020_shallowCopy->definitionLine = 1801;
// method "statementName"
  struct UserObject *uo7029 = (struct UserObject*)obj6653;
  uo7029->data[26] = emptyclosure;
  Method *meth_meth_ast_7029_statementName = addmethod2pos(obj6653, "statementName", &meth_ast_7029_statementName, 26);
  int argcv_meth_ast_7029_statementName[] = {0};
  meth_meth_ast_7029_statementName->type = alloc_MethodType(1, argcv_meth_ast_7029_statementName);
  meth_meth_ast_7029_statementName->definitionModule = modulename;
  meth_meth_ast_7029_statementName->definitionLine = 1804;
// method "postCopy(_)"
  struct UserObject *uo7031 = (struct UserObject*)obj6653;
  uo7031->data[27] = emptyclosure;
  Method *meth_meth_ast_7031_postCopy_40_1_41_ = addmethod2pos(obj6653, "postCopy(1)", &meth_ast_7031_postCopy_40_1_41_, 27);
  int argcv_meth_ast_7031_postCopy_40_1_41_[] = {1};
  meth_meth_ast_7031_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7031_postCopy_40_1_41_);
  meth_meth_ast_7031_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7031_postCopy_40_1_41_->definitionLine = 1805;
  sourceObject = obj6653;
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7044 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7045 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7044);
// compiled call node returning call7045 (depth = 3)
  struct UserObject *obj6653_uo = (struct UserObject *)obj6653;
  obj6653_uo->super = call7045;
  sourceObject = obj6653;
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7046 == NULL) {
    strlit7046 = alloc_String("member");
    gc_root(strlit7046);
  }
// compiled string node returning strlit7046 (depth = 3)
  adddatum2(obj6653, strlit7046, 1);
  sourceObject = obj6653;
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_request (depth = 3)
  adddatum2(obj6653, *var_request, 2);
  sourceObject = obj6653;
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj6653, *var_receiver_39_, 3);
  sourceObject = obj6653;
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7047 = alloc_Boolean(0);
// compiled identifier node returning bool7047 (depth = 3)
  adddatum2(obj6653, bool7047, 4);
  sourceObject = obj6653;
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7048 = alloc_Boolean(0);
// compiled identifier node returning bool7048 (depth = 3)
  adddatum2(obj6653, bool7048, 5);
  sourceObject = obj6653;
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7049 = alloc_Boolean(0);
// compiled identifier node returning bool7049 (depth = 3)
  adddatum2(obj6653, bool7049, 6);
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  sourceObject = obj6653;
  objclass6653 = obj6653->class;
  objclass6653->definitionModule = modulename;
  objclass6653->definitionLine = 1705;
  (*(struct UserObject *)self).data[0] = lowerouter6653;
  self = oldself6653;
  selfslot = oldselfslot6653;
  stackframe = oldstackframe6653;
  gc_frame_end(frame);
  return obj6653;
}
Object meth_ast_7051_memberNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "memberNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_memberNode (depth = 3)
  gc_frame_end(frame);
  return *var_memberNode;
}
Object meth_ast_7060_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1822
  setline(1822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7061 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7062 == NULL) {
    strlit7062 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit7062);
  }
// compiled string node returning strlit7062 (depth = 4)
  gc_frame_newslot(strlit7062);
// starting to compile member node (depth = 4)
  int callframe7063 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7064 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7065 = gc_frame_new();
// call case 4: self request
  Object call7066 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7065);
// compiled member node returning call7066 (depth = 6)
  Object call7067 = callmethodflags(call7066, "last", 0, partcv, params, 0);
  gc_frame_end(callframe7064);
// compiled member node returning call7067 (depth = 5)
  Object call7068 = callmethodflags(call7067, "end", 0, partcv, params, 0);
  gc_frame_end(callframe7063);
// compiled member node returning call7068 (depth = 4)
  gc_frame_newslot(call7068);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = strlit7062;
  params[1] = call7068;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7069 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7061);
// compiled call node returning call7069 (depth = 3)
  gc_frame_end(frame);
  return call7069;
}
Object meth_ast_7070_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1823
  setline(1823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7071 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7072 = gc_frame_new();
// call case 4: self request
  Object call7073 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7072);
// compiled member node returning call7073 (depth = 4)
  Object call7074 = callmethodflags(call7073, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe7071);
// compiled member node returning call7074 (depth = 3)
  gc_frame_end(frame);
  return call7074;
}
Object meth_ast_7075_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7076 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num7077 = alloc_Float64(0);
// compiled num node returning num7077 (depth = 4)
  gc_frame_newslot(num7077);
// call case 4: self request
  params[0] = num7077;
  partcv[0] = 1;
  Object call7078 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7076);
// compiled call node returning call7078 (depth = 3)
  gc_frame_end(frame);
  return call7078;
}
Object meth_ast_7093__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7094 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7095 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7094);
// compiled call node returning call7095 (depth = 6)
  gc_frame_end(frame);
  return call7095;
}
Object meth_ast_7079_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7081 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7082 = callmethodflags(*var_visitor, "visitGeneric(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7081);
// compiled call node returning call7082 (depth = 4)
  Object if7080 = done;
  if (istrue(call7082)) {
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7083 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7084 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7083);
// compiled call node returning call7084 (depth = 5)
  *var_newChain = call7084;
  if (call7084 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7085 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7086 = gc_frame_new();
// call case 4: self request
  Object call7087 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7086);
// compiled member node returning call7087 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7088 = callmethodflags(call7087, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7085);
// compiled call node returning call7088 (depth = 4)
// Begin line 1829
  setline(1829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7089 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7090 = gc_frame_new();
// call case 4: self request
  Object call7091 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7090);
// compiled member node returning call7091 (depth = 5)
  gc_frame_newslot(call7091);
// starting to compile block node (depth = 5)
  Object block7092 = alloc_Block(NULL, NULL, "ast", 1829);
  gc_frame_newslot(block7092);
// method "_apply(_)"
  block_savedest(block7092);
  Object closure7093 = createclosure(3, "_apply(1)");
  setclosureframe(closure7093, stackframe);
  addtoclosure(closure7093, var_visitor);
  addtoclosure(closure7093, var_newChain);
  addtoclosure(closure7093, selfslot);
  struct UserObject *uo7093 = (struct UserObject*)block7092;
  uo7093->data[0] = (Object)closure7093;
  Method *meth_meth_ast_7093__apply_40_1_41_ = addmethod2pos(block7092, "_apply(1)", &meth_ast_7093__apply_40_1_41_, 0);
  int argcv_meth_ast_7093__apply_40_1_41_[] = {1};
  meth_meth_ast_7093__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7093__apply_40_1_41_);
  meth_meth_ast_7093__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7093__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7092 (depth = 5)
  gc_frame_newslot(block7092);
// call case 5: prelude request
  params[0] = call7091;
  params[1] = block7092;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7097 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7089);
// compiled call node returning call7097 (depth = 4)
    gc_frame_newslot(call7097);
    if7080 = call7097;
  } else {
  }
// compiled if node returning if7080 (depth = 3)
  gc_frame_end(frame);
  return if7080;
}
Object meth_ast_7098_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7099 = gc_frame_new();
// call case 4: self request
  Object call7100 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7099);
// compiled member node returning call7100 (depth = 4)
  *var_n = call7100;
  if (call7100 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7101 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7102 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7101);
// compiled call node returning call7102 (depth = 4)
  *var_newChain = call7102;
  if (call7102 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7103 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7104 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7105 = gc_frame_new();
// call case 4: self request
  Object call7106 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7105);
// compiled member node returning call7106 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7107 = callmethodflags(call7106, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7104);
// compiled call node returning call7107 (depth = 4)
  gc_frame_newslot(call7107);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7107;
  partcv[0] = 1;
  Object call7108 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7103);
// compiled call node returning call7108 (depth = 3)
// Begin line 1838
  setline(1838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7109 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7110 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7111 = gc_frame_new();
// call case 4: self request
  Object call7112 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7111);
// compiled member node returning call7112 (depth = 5)
  gc_frame_newslot(call7112);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call7112;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7113 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7110);
// compiled call node returning call7113 (depth = 4)
  gc_frame_newslot(call7113);
// call case 6: other requests
// Begin line 1838
  setline(1838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7113;
  partcv[0] = 1;
  Object call7114 = callmethodflags(*var_n, "args:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7109);
// compiled call node returning call7114 (depth = 3)
// Begin line 1839
  setline(1839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7115 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7116 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7115);
// compiled call node returning call7116 (depth = 3)
  gc_frame_end(frame);
  return call7116;
}
Object meth_ast_7141__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7143 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7145 = alloc_Float64(2);
// compiled num node returning num7145 (depth = 9)
  int op_slot_right_7144 = gc_frame_newslot(num7145);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_7144 = gc_frame_newslot(*var_depth);
  params[0] = num7145;
  partcv[0] = 1;
  Object sum7147 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7147 (depth = 8)
  gc_frame_newslot(sum7147);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum7147;
  partcv[0] = 1;
  Object call7148 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7143);
// compiled call node returning call7148 (depth = 7)
  int op_slot_right_7142 = gc_frame_newslot(call7148);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7142 = gc_frame_newslot(*var_s);
  params[0] = call7148;
  partcv[0] = 1;
  Object opresult7150 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7150 (depth = 6)
  *var_s = opresult7150;
  if (opresult7150 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7154__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7156 == NULL) {
    strlit7156 = alloc_String(", ");
    gc_root(strlit7156);
  }
// compiled string node returning strlit7156 (depth = 7)
  int op_slot_right_7155 = gc_frame_newslot(strlit7156);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7155 = gc_frame_newslot(*var_s);
  params[0] = strlit7156;
  partcv[0] = 1;
  Object opresult7158 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7158 (depth = 6)
  *var_s = opresult7158;
  if (opresult7158 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7117_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7119 == NULL) {
    strlit7119 = alloc_String(")""\xe2""""\x9f""""\xa6""");
    gc_root(strlit7119);
  }
// compiled string node returning strlit7119 (depth = 5)
  int op_slot_right_7118 = gc_frame_newslot(strlit7119);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7122 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7123 = gc_frame_new();
// call case 4: self request
  Object call7124 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7123);
// compiled member node returning call7124 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7125 = callmethodflags(call7124, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7122);
// compiled call node returning call7125 (depth = 6)
  int op_slot_right_7121 = gc_frame_newslot(call7125);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7128 == NULL) {
    strlit7128 = alloc_String("(");
    gc_root(strlit7128);
  }
// compiled string node returning strlit7128 (depth = 7)
  int op_slot_right_7127 = gc_frame_newslot(strlit7128);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7131 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7132 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7131);
// compiled call node returning call7132 (depth = 8)
  int op_slot_right_7130 = gc_frame_newslot(call7132);
// starting to compile string node (depth = 8)
  if (strlit7134 == NULL) {
    strlit7134 = alloc_String("");
    gc_root(strlit7134);
  }
// compiled string node returning strlit7134 (depth = 8)
  int op_slot_left_7130 = gc_frame_newslot(strlit7134);
  params[0] = call7132;
  partcv[0] = 1;
  Object opresult7135 = callmethod(strlit7134, "++(1)", 1, partcv, params);
// compiled op node returning opresult7135 (depth = 7)
  int op_slot_left_7127 = gc_frame_newslot(opresult7135);
  params[0] = strlit7128;
  partcv[0] = 1;
  Object opresult7136 = callmethod(opresult7135, "++(1)", 1, partcv, params);
// compiled op node returning opresult7136 (depth = 6)
  int op_slot_left_7121 = gc_frame_newslot(opresult7136);
  params[0] = call7125;
  partcv[0] = 1;
  Object opresult7137 = callmethod(opresult7136, "++(1)", 1, partcv, params);
// compiled op node returning opresult7137 (depth = 5)
  int op_slot_left_7118 = gc_frame_newslot(opresult7137);
  params[0] = strlit7119;
  partcv[0] = 1;
  Object opresult7138 = callmethod(opresult7137, "++(1)", 1, partcv, params);
// compiled op node returning opresult7138 (depth = 4)
  *var_s = opresult7138;
  if (opresult7138 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7139 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7140 = alloc_Block(NULL, NULL, "ast", 1843);
  gc_frame_newslot(block7140);
// method "_apply(_)"
  block_savedest(block7140);
  Object closure7141 = createclosure(3, "_apply(1)");
  setclosureframe(closure7141, stackframe);
  addtoclosure(closure7141, var_depth);
  addtoclosure(closure7141, var_s);
  addtoclosure(closure7141, selfslot);
  struct UserObject *uo7141 = (struct UserObject*)block7140;
  uo7141->data[0] = (Object)closure7141;
  Method *meth_meth_ast_7141__apply_40_1_41_ = addmethod2pos(block7140, "_apply(1)", &meth_ast_7141__apply_40_1_41_, 0);
  int argcv_meth_ast_7141__apply_40_1_41_[] = {1};
  meth_meth_ast_7141__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7141__apply_40_1_41_);
  meth_meth_ast_7141__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7141__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7140 (depth = 4)
  gc_frame_newslot(block7140);
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block7153 = alloc_Block(NULL, NULL, "ast", 1844);
  gc_frame_newslot(block7153);
// method "_apply"
  block_savedest(block7153);
  Object closure7154 = createclosure(2, "_apply");
  setclosureframe(closure7154, stackframe);
  addtoclosure(closure7154, var_s);
  addtoclosure(closure7154, selfslot);
  struct UserObject *uo7154 = (struct UserObject*)block7153;
  uo7154->data[0] = (Object)closure7154;
  Method *meth_meth_ast_7154__apply = addmethod2pos(block7153, "_apply", &meth_ast_7154__apply, 0);
  int argcv_meth_ast_7154__apply[] = {0};
  meth_meth_ast_7154__apply->type = alloc_MethodType(1, argcv_meth_ast_7154__apply);
  meth_meth_ast_7154__apply->definitionModule = modulename;
  meth_meth_ast_7154__apply->definitionLine = 3216;
// compiled block node returning block7153 (depth = 4)
  gc_frame_newslot(block7153);
// call case 6: other requests
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7161 = gc_frame_new();
// call case 4: self request
  Object call7162 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7161);
// compiled member node returning call7162 (depth = 4)
  params[0] = block7140;
  params[1] = block7153;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7163 = callmethodflags(call7162, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7139);
// compiled call node returning call7163 (depth = 3)
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7165 == NULL) {
    strlit7165 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit7165);
  }
// compiled string node returning strlit7165 (depth = 4)
  int op_slot_right_7164 = gc_frame_newslot(strlit7165);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_7164 = gc_frame_newslot(*var_s);
  params[0] = strlit7165;
  partcv[0] = 1;
  Object opresult7167 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7167 (depth = 3)
  gc_frame_end(frame);
  return opresult7167;
}
Object meth_ast_7177__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7179 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num7180 = alloc_Float64(0);
// compiled num node returning num7180 (depth = 8)
  gc_frame_newslot(num7180);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = num7180;
  partcv[0] = 1;
  Object call7181 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7179);
// compiled call node returning call7181 (depth = 7)
  int op_slot_right_7178 = gc_frame_newslot(call7181);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7178 = gc_frame_newslot(*var_s);
  params[0] = call7181;
  partcv[0] = 1;
  Object opresult7183 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7183 (depth = 6)
  *var_s = opresult7183;
  if (opresult7183 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7187__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7189 == NULL) {
    strlit7189 = alloc_String(", ");
    gc_root(strlit7189);
  }
// compiled string node returning strlit7189 (depth = 7)
  int op_slot_right_7188 = gc_frame_newslot(strlit7189);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7188 = gc_frame_newslot(*var_s);
  params[0] = strlit7189;
  partcv[0] = 1;
  Object opresult7191 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7191 (depth = 6)
  *var_s = opresult7191;
  if (opresult7191 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7168_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7170 == NULL) {
    strlit7170 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit7170);
  }
// compiled string node returning strlit7170 (depth = 5)
  int op_slot_right_7169 = gc_frame_newslot(strlit7170);
// starting to compile member node (depth = 5)
  int callframe7172 = gc_frame_new();
// call case 4: self request
  Object call7173 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7172);
// compiled member node returning call7173 (depth = 5)
  int op_slot_left_7169 = gc_frame_newslot(call7173);
  params[0] = strlit7170;
  partcv[0] = 1;
  Object opresult7174 = callmethod(call7173, "++(1)", 1, partcv, params);
// compiled op node returning opresult7174 (depth = 4)
  *var_s = opresult7174;
  if (opresult7174 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7175 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7176 = alloc_Block(NULL, NULL, "ast", 1849);
  gc_frame_newslot(block7176);
// method "_apply(_)"
  block_savedest(block7176);
  Object closure7177 = createclosure(2, "_apply(1)");
  setclosureframe(closure7177, stackframe);
  addtoclosure(closure7177, var_s);
  addtoclosure(closure7177, selfslot);
  struct UserObject *uo7177 = (struct UserObject*)block7176;
  uo7177->data[0] = (Object)closure7177;
  Method *meth_meth_ast_7177__apply_40_1_41_ = addmethod2pos(block7176, "_apply(1)", &meth_ast_7177__apply_40_1_41_, 0);
  int argcv_meth_ast_7177__apply_40_1_41_[] = {1};
  meth_meth_ast_7177__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7177__apply_40_1_41_);
  meth_meth_ast_7177__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7177__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7176 (depth = 4)
  gc_frame_newslot(block7176);
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block7186 = alloc_Block(NULL, NULL, "ast", 1850);
  gc_frame_newslot(block7186);
// method "_apply"
  block_savedest(block7186);
  Object closure7187 = createclosure(2, "_apply");
  setclosureframe(closure7187, stackframe);
  addtoclosure(closure7187, var_s);
  addtoclosure(closure7187, selfslot);
  struct UserObject *uo7187 = (struct UserObject*)block7186;
  uo7187->data[0] = (Object)closure7187;
  Method *meth_meth_ast_7187__apply = addmethod2pos(block7186, "_apply", &meth_ast_7187__apply, 0);
  int argcv_meth_ast_7187__apply[] = {0};
  meth_meth_ast_7187__apply->type = alloc_MethodType(1, argcv_meth_ast_7187__apply);
  meth_meth_ast_7187__apply->definitionModule = modulename;
  meth_meth_ast_7187__apply->definitionLine = 3216;
// compiled block node returning block7186 (depth = 4)
  gc_frame_newslot(block7186);
// call case 6: other requests
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7194 = gc_frame_new();
// call case 4: self request
  Object call7195 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7194);
// compiled member node returning call7195 (depth = 4)
  params[0] = block7176;
  params[1] = block7186;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7196 = callmethodflags(call7195, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7175);
// compiled call node returning call7196 (depth = 3)
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7198 == NULL) {
    strlit7198 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit7198);
  }
// compiled string node returning strlit7198 (depth = 4)
  int op_slot_right_7197 = gc_frame_newslot(strlit7198);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_7197 = gc_frame_newslot(*var_s);
  params[0] = strlit7198;
  partcv[0] = 1;
  Object opresult7200 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7200 (depth = 3)
  gc_frame_end(frame);
  return opresult7200;
}
Object meth_ast_7201_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7202 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7203 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7204 = gc_frame_new();
// call case 4: self request
  Object call7205 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7204);
// compiled member node returning call7205 (depth = 5)
  gc_frame_newslot(call7205);
// starting to compile member node (depth = 5)
  int callframe7206 = gc_frame_new();
// call case 4: self request
  Object call7207 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7206);
// compiled member node returning call7207 (depth = 5)
  gc_frame_newslot(call7207);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericNode (depth = 5)
  params[0] = call7205;
  params[1] = call7207;
  partcv[0] = 2;
  Object call7208 = callmethodflags(*var_genericNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7203);
// compiled call node returning call7208 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7209 = callmethodflags(call7208, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7202);
// compiled call node returning call7209 (depth = 3)
  gc_frame_end(frame);
  return call7209;
}
Object meth_ast_7054_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_arguments = &(stackframe->slots[1]);
  *var_arguments = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7055 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7055 = alloc_userobj2(13,12, objclass7055);
  gc_frame_newslot(obj7055);
  if (objclass7055 == NULL) {
    glfree(obj7055->class->name);
    obj7055->class->name = "genericNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7055, self, 0);
  addmethodreal(obj7055,"outer", &reader_ast_outer_7056);
  Object oldself7055 = self;
  struct StackFrameObject *oldstackframe7055 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7055);
  gc_frame_newslot((Object)stackframe);
  self = obj7055;
  Object *oldselfslot7055 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7055 = (*(struct UserObject *)self).data[0], lowerouter7055 = thisouter7055;
  if (inheritingObject7055) {
    struct UserObject *inho7055 = (struct UserObject *)inheritingObject7055;
    while (inho7055->super != GraceDefaultObject) inho7055 = (struct UserObject *)inho7055->super;
    inho7055->super = obj7055;
    self = inheritingObject7055;
    *selfslot = self;
    lowerouter7055 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7055;
  }
  if (objclass7055 == NULL) {
  Method *reader7057 = addmethodrealflags(obj7055, "kind",&reader_ast_kind_7057, MFLAG_DEF);
  reader7057->definitionModule = modulename;
  reader7057->definitionLine = 1817;
  }
  adddatum2(obj7055, alloc_Undefined(), 1);
  if (objclass7055 == NULL) {
    Method *reader7058 = addmethodrealflags(obj7055, "value", &reader_ast_value_7058, 0);
    Method *writer7058 = addmethodrealflags(obj7055, "value:=(1)", &writer_ast_value_7058, 0);
    reader7058->definitionModule = modulename;
    writer7058->definitionModule = modulename;
    reader7058->definitionLine = 1818;
    writer7058->definitionLine = 1818;
  }
  obj7055->flags |= OFLAG_MUTABLE;
  adddatum2(obj7055, alloc_Undefined(), 2);
  if (objclass7055 == NULL) {
    Method *reader7059 = addmethodrealflags(obj7055, "args", &reader_ast_args_7059, 0);
    Method *writer7059 = addmethodrealflags(obj7055, "args:=(1)", &writer_ast_args_7059, 0);
    reader7059->definitionModule = modulename;
    writer7059->definitionModule = modulename;
    reader7059->definitionLine = 1821;
    writer7059->definitionLine = 1821;
  }
  obj7055->flags |= OFLAG_MUTABLE;
  adddatum2(obj7055, alloc_Undefined(), 3);
// method "end"
  struct UserObject *uo7060 = (struct UserObject*)obj7055;
  uo7060->data[4] = emptyclosure;
  Method *meth_meth_ast_7060_end = addmethod2pos(obj7055, "end", &meth_ast_7060_end, 4);
  int argcv_meth_ast_7060_end[] = {0};
  meth_meth_ast_7060_end->type = alloc_MethodType(1, argcv_meth_ast_7060_end);
  meth_meth_ast_7060_end->definitionModule = modulename;
  meth_meth_ast_7060_end->definitionLine = 1822;
// method "nameString"
  struct UserObject *uo7070 = (struct UserObject*)obj7055;
  uo7070->data[5] = emptyclosure;
  Method *meth_meth_ast_7070_nameString = addmethod2pos(obj7055, "nameString", &meth_ast_7070_nameString, 5);
  int argcv_meth_ast_7070_nameString[] = {0};
  meth_meth_ast_7070_nameString->type = alloc_MethodType(1, argcv_meth_ast_7070_nameString);
  meth_meth_ast_7070_nameString->definitionModule = modulename;
  meth_meth_ast_7070_nameString->definitionLine = 1823;
// method "asString"
  struct UserObject *uo7075 = (struct UserObject*)obj7055;
  uo7075->data[6] = emptyclosure;
  Method *meth_meth_ast_7075_asString = addmethod2pos(obj7055, "asString", &meth_ast_7075_asString, 6);
  int argcv_meth_ast_7075_asString[] = {0};
  meth_meth_ast_7075_asString->type = alloc_MethodType(1, argcv_meth_ast_7075_asString);
  meth_meth_ast_7075_asString->definitionModule = modulename;
  meth_meth_ast_7075_asString->definitionLine = 1824;
// method "accept(_)from(_)"
  struct UserObject *uo7079 = (struct UserObject*)obj7055;
  uo7079->data[7] = emptyclosure;
  Method *meth_meth_ast_7079_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7055, "accept(1)from(1)", &meth_ast_7079_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_7079_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7079_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7079_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7079_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7079_accept_40_1_41_from_40_1_41_->definitionLine = 1825;
// method "map(_)ancestors(_)"
  struct UserObject *uo7098 = (struct UserObject*)obj7055;
  uo7098->data[8] = emptyclosure;
  Method *meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7055, "map(1)ancestors(1)", &meth_ast_7098_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_7098_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7098_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_->definitionLine = 1834;
// method "pretty(_)"
  struct UserObject *uo7117 = (struct UserObject*)obj7055;
  uo7117->data[9] = emptyclosure;
  Method *meth_meth_ast_7117_pretty_40_1_41_ = addmethod2pos(obj7055, "pretty(1)", &meth_ast_7117_pretty_40_1_41_, 9);
  int argcv_meth_ast_7117_pretty_40_1_41_[] = {1};
  meth_meth_ast_7117_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7117_pretty_40_1_41_);
  meth_meth_ast_7117_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7117_pretty_40_1_41_->definitionLine = 1841;
// method "toGrace(_)"
  struct UserObject *uo7168 = (struct UserObject*)obj7055;
  uo7168->data[10] = emptyclosure;
  Method *meth_meth_ast_7168_toGrace_40_1_41_ = addmethod2pos(obj7055, "toGrace(1)", &meth_ast_7168_toGrace_40_1_41_, 10);
  int argcv_meth_ast_7168_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7168_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7168_toGrace_40_1_41_);
meth_meth_ast_7168_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7168_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7168_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7168_toGrace_40_1_41_->definitionLine = 1847;
// method "shallowCopy"
  block_savedest(obj7055);
  Object closure7201 = createclosure(1, "shallowCopy");
  setclosureframe(closure7201, stackframe);
  addtoclosure(closure7201, var_genericNode);
  struct UserObject *uo7201 = (struct UserObject*)obj7055;
  uo7201->data[11] = (Object)closure7201;
  Method *meth_meth_ast_7201_shallowCopy = addmethod2pos(obj7055, "shallowCopy", &meth_ast_7201_shallowCopy, 11);
  int argcv_meth_ast_7201_shallowCopy[] = {0};
  meth_meth_ast_7201_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7201_shallowCopy);
  meth_meth_ast_7201_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7201_shallowCopy->definitionLine = 1853;
  sourceObject = obj7055;
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7210 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7211 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7210);
// compiled call node returning call7211 (depth = 3)
  struct UserObject *obj7055_uo = (struct UserObject *)obj7055;
  obj7055_uo->super = call7211;
  sourceObject = obj7055;
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7212 == NULL) {
    strlit7212 = alloc_String("generic");
    gc_root(strlit7212);
  }
// compiled string node returning strlit7212 (depth = 3)
  adddatum2(obj7055, strlit7212, 1);
  sourceObject = obj7055;
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  adddatum2(obj7055, *var_base, 2);
  sourceObject = obj7055;
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arguments (depth = 3)
  adddatum2(obj7055, *var_arguments, 3);
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  objclass7055 = obj7055->class;
  objclass7055->definitionModule = modulename;
  objclass7055->definitionLine = 1814;
  (*(struct UserObject *)self).data[0] = lowerouter7055;
  self = oldself7055;
  selfslot = oldselfslot7055;
  stackframe = oldstackframe7055;
  gc_frame_end(frame);
  return obj7055;
}
Object meth_ast_7054_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_arguments = &(stackframe->slots[1]);
  *var_arguments = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7055 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7055 = alloc_userobj2(13,12, objclass7055);
  gc_frame_newslot(obj7055);
  if (objclass7055 == NULL) {
    glfree(obj7055->class->name);
    obj7055->class->name = "genericNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7055, self, 0);
  addmethodreal(obj7055,"outer", &reader_ast_outer_7056);
  Object oldself7055 = self;
  struct StackFrameObject *oldstackframe7055 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7055);
  gc_frame_newslot((Object)stackframe);
  self = obj7055;
  Object *oldselfslot7055 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7055 = (*(struct UserObject *)self).data[0], lowerouter7055 = thisouter7055;
  if (inheritingObject7055) {
    struct UserObject *inho7055 = (struct UserObject *)inheritingObject7055;
    while (inho7055->super != GraceDefaultObject) inho7055 = (struct UserObject *)inho7055->super;
    inho7055->super = obj7055;
    self = inheritingObject7055;
    *selfslot = self;
    lowerouter7055 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7055;
  }
  if (objclass7055 == NULL) {
  Method *reader7057 = addmethodrealflags(obj7055, "kind",&reader_ast_kind_7057, MFLAG_DEF);
  reader7057->definitionModule = modulename;
  reader7057->definitionLine = 1817;
  }
  adddatum2(obj7055, alloc_Undefined(), 1);
  if (objclass7055 == NULL) {
    Method *reader7058 = addmethodrealflags(obj7055, "value", &reader_ast_value_7058, 0);
    Method *writer7058 = addmethodrealflags(obj7055, "value:=(1)", &writer_ast_value_7058, 0);
    reader7058->definitionModule = modulename;
    writer7058->definitionModule = modulename;
    reader7058->definitionLine = 1818;
    writer7058->definitionLine = 1818;
  }
  obj7055->flags |= OFLAG_MUTABLE;
  adddatum2(obj7055, alloc_Undefined(), 2);
  if (objclass7055 == NULL) {
    Method *reader7059 = addmethodrealflags(obj7055, "args", &reader_ast_args_7059, 0);
    Method *writer7059 = addmethodrealflags(obj7055, "args:=(1)", &writer_ast_args_7059, 0);
    reader7059->definitionModule = modulename;
    writer7059->definitionModule = modulename;
    reader7059->definitionLine = 1821;
    writer7059->definitionLine = 1821;
  }
  obj7055->flags |= OFLAG_MUTABLE;
  adddatum2(obj7055, alloc_Undefined(), 3);
// method "end"
  struct UserObject *uo7060 = (struct UserObject*)obj7055;
  uo7060->data[4] = emptyclosure;
  Method *meth_meth_ast_7060_end = addmethod2pos(obj7055, "end", &meth_ast_7060_end, 4);
  int argcv_meth_ast_7060_end[] = {0};
  meth_meth_ast_7060_end->type = alloc_MethodType(1, argcv_meth_ast_7060_end);
  meth_meth_ast_7060_end->definitionModule = modulename;
  meth_meth_ast_7060_end->definitionLine = 1822;
// method "nameString"
  struct UserObject *uo7070 = (struct UserObject*)obj7055;
  uo7070->data[5] = emptyclosure;
  Method *meth_meth_ast_7070_nameString = addmethod2pos(obj7055, "nameString", &meth_ast_7070_nameString, 5);
  int argcv_meth_ast_7070_nameString[] = {0};
  meth_meth_ast_7070_nameString->type = alloc_MethodType(1, argcv_meth_ast_7070_nameString);
  meth_meth_ast_7070_nameString->definitionModule = modulename;
  meth_meth_ast_7070_nameString->definitionLine = 1823;
// method "asString"
  struct UserObject *uo7075 = (struct UserObject*)obj7055;
  uo7075->data[6] = emptyclosure;
  Method *meth_meth_ast_7075_asString = addmethod2pos(obj7055, "asString", &meth_ast_7075_asString, 6);
  int argcv_meth_ast_7075_asString[] = {0};
  meth_meth_ast_7075_asString->type = alloc_MethodType(1, argcv_meth_ast_7075_asString);
  meth_meth_ast_7075_asString->definitionModule = modulename;
  meth_meth_ast_7075_asString->definitionLine = 1824;
// method "accept(_)from(_)"
  struct UserObject *uo7079 = (struct UserObject*)obj7055;
  uo7079->data[7] = emptyclosure;
  Method *meth_meth_ast_7079_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7055, "accept(1)from(1)", &meth_ast_7079_accept_40_1_41_from_40_1_41_, 7);
  int argcv_meth_ast_7079_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7079_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7079_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7079_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7079_accept_40_1_41_from_40_1_41_->definitionLine = 1825;
// method "map(_)ancestors(_)"
  struct UserObject *uo7098 = (struct UserObject*)obj7055;
  uo7098->data[8] = emptyclosure;
  Method *meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7055, "map(1)ancestors(1)", &meth_ast_7098_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_7098_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7098_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7098_map_40_1_41_ancestors_40_1_41_->definitionLine = 1834;
// method "pretty(_)"
  struct UserObject *uo7117 = (struct UserObject*)obj7055;
  uo7117->data[9] = emptyclosure;
  Method *meth_meth_ast_7117_pretty_40_1_41_ = addmethod2pos(obj7055, "pretty(1)", &meth_ast_7117_pretty_40_1_41_, 9);
  int argcv_meth_ast_7117_pretty_40_1_41_[] = {1};
  meth_meth_ast_7117_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7117_pretty_40_1_41_);
  meth_meth_ast_7117_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7117_pretty_40_1_41_->definitionLine = 1841;
// method "toGrace(_)"
  struct UserObject *uo7168 = (struct UserObject*)obj7055;
  uo7168->data[10] = emptyclosure;
  Method *meth_meth_ast_7168_toGrace_40_1_41_ = addmethod2pos(obj7055, "toGrace(1)", &meth_ast_7168_toGrace_40_1_41_, 10);
  int argcv_meth_ast_7168_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7168_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7168_toGrace_40_1_41_);
meth_meth_ast_7168_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7168_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7168_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7168_toGrace_40_1_41_->definitionLine = 1847;
// method "shallowCopy"
  block_savedest(obj7055);
  Object closure7201 = createclosure(1, "shallowCopy");
  setclosureframe(closure7201, stackframe);
  addtoclosure(closure7201, var_genericNode);
  struct UserObject *uo7201 = (struct UserObject*)obj7055;
  uo7201->data[11] = (Object)closure7201;
  Method *meth_meth_ast_7201_shallowCopy = addmethod2pos(obj7055, "shallowCopy", &meth_ast_7201_shallowCopy, 11);
  int argcv_meth_ast_7201_shallowCopy[] = {0};
  meth_meth_ast_7201_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7201_shallowCopy);
  meth_meth_ast_7201_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7201_shallowCopy->definitionLine = 1853;
  sourceObject = obj7055;
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7210 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7211 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7210);
// compiled call node returning call7211 (depth = 3)
  struct UserObject *obj7055_uo = (struct UserObject *)obj7055;
  obj7055_uo->super = call7211;
  sourceObject = obj7055;
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7212 == NULL) {
    strlit7212 = alloc_String("generic");
    gc_root(strlit7212);
  }
// compiled string node returning strlit7212 (depth = 3)
  adddatum2(obj7055, strlit7212, 1);
  sourceObject = obj7055;
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  adddatum2(obj7055, *var_base, 2);
  sourceObject = obj7055;
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arguments (depth = 3)
  adddatum2(obj7055, *var_arguments, 3);
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  sourceObject = obj7055;
  objclass7055 = obj7055->class;
  objclass7055->definitionModule = modulename;
  objclass7055->definitionLine = 1814;
  (*(struct UserObject *)self).data[0] = lowerouter7055;
  self = oldself7055;
  selfslot = oldselfslot7055;
  stackframe = oldstackframe7055;
  gc_frame_end(frame);
  return obj7055;
}
Object meth_ast_7214_genericNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "genericNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_genericNode (depth = 3)
  gc_frame_end(frame);
  return *var_genericNode;
}
Object meth_ast_7222_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7223 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num7224 = alloc_Float64(0);
// compiled num node returning num7224 (depth = 4)
  gc_frame_newslot(num7224);
// call case 4: self request
  params[0] = num7224;
  partcv[0] = 1;
  Object call7225 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7223);
// compiled call node returning call7225 (depth = 3)
  gc_frame_end(frame);
  return call7225;
}
Object meth_ast_7226_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7227 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call7228 = callmethodflags(*var_k, "typeparam", 0, partcv, params, 0);
  gc_frame_end(callframe7227);
// compiled member node returning call7228 (depth = 3)
  gc_frame_end(frame);
  return call7228;
}
Object meth_ast_7237__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1871
  setline(1871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7238 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7239 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7238);
// compiled call node returning call7239 (depth = 6)
  gc_frame_end(frame);
  return call7239;
}
Object meth_ast_7229_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 1868
  setline(1868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7231 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7232 = callmethodflags(*var_visitor, "visitTypeParameters(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7231);
// compiled call node returning call7232 (depth = 4)
  Object if7230 = done;
  if (istrue(call7232)) {
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7233 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7234 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7233);
// compiled call node returning call7234 (depth = 5)
  *var_newChain = call7234;
  if (call7234 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7235 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block7236 = alloc_Block(NULL, NULL, "ast", 1870);
  gc_frame_newslot(block7236);
// method "_apply(_)"
  block_savedest(block7236);
  Object closure7237 = createclosure(3, "_apply(1)");
  setclosureframe(closure7237, stackframe);
  addtoclosure(closure7237, var_visitor);
  addtoclosure(closure7237, var_newChain);
  addtoclosure(closure7237, selfslot);
  struct UserObject *uo7237 = (struct UserObject*)block7236;
  uo7237->data[0] = (Object)closure7237;
  Method *meth_meth_ast_7237__apply_40_1_41_ = addmethod2pos(block7236, "_apply(1)", &meth_ast_7237__apply_40_1_41_, 0);
  int argcv_meth_ast_7237__apply_40_1_41_[] = {1};
  meth_meth_ast_7237__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7237__apply_40_1_41_);
  meth_meth_ast_7237__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7237__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7236 (depth = 5)
  gc_frame_newslot(block7236);
// call case 6: other requests
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe7241 = gc_frame_new();
// call case 4: self request
  Object call7242 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7241);
// compiled member node returning call7242 (depth = 5)
  params[0] = block7236;
  partcv[0] = 1;
  Object call7243 = callmethodflags(call7242, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7235);
// compiled call node returning call7243 (depth = 4)
    gc_frame_newslot(call7243);
    if7230 = call7243;
  } else {
  }
// compiled if node returning if7230 (depth = 3)
  gc_frame_end(frame);
  return if7230;
}
Object meth_ast_7244_do_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7245 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  gc_frame_newslot(*var_blk);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7246 = gc_frame_new();
// call case 4: self request
  Object call7247 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7246);
// compiled member node returning call7247 (depth = 4)
  params[0] = *var_blk;
  partcv[0] = 1;
  Object call7248 = callmethodflags(call7247, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7245);
// compiled call node returning call7248 (depth = 3)
  gc_frame_end(frame);
  return call7248;
}
Object meth_ast_7249_size(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7250 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7251 = gc_frame_new();
// call case 4: self request
  Object call7252 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7251);
// compiled member node returning call7252 (depth = 4)
  Object call7253 = callmethodflags(call7252, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7250);
// compiled member node returning call7253 (depth = 3)
  gc_frame_end(frame);
  return call7253;
}
Object meth_ast_7254_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7255 = gc_frame_new();
// call case 4: self request
  Object call7256 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7255);
// compiled member node returning call7256 (depth = 4)
  *var_n = call7256;
  if (call7256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7257 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7258 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7257);
// compiled call node returning call7258 (depth = 4)
  *var_newChain = call7258;
  if (call7258 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7259 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7260 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7261 = gc_frame_new();
// call case 4: self request
  Object call7262 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7261);
// compiled member node returning call7262 (depth = 5)
  gc_frame_newslot(call7262);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call7262;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7263 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7260);
// compiled call node returning call7263 (depth = 4)
  gc_frame_newslot(call7263);
// call case 6: other requests
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7263;
  partcv[0] = 1;
  Object call7264 = callmethodflags(*var_n, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7259);
// compiled call node returning call7264 (depth = 3)
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7265 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7266 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7265);
// compiled call node returning call7266 (depth = 3)
  gc_frame_end(frame);
  return call7266;
}
Object meth_ast_7287__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7289 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7291 = alloc_Float64(2);
// compiled num node returning num7291 (depth = 9)
  int op_slot_right_7290 = gc_frame_newslot(num7291);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_7290 = gc_frame_newslot(*var_depth);
  params[0] = num7291;
  partcv[0] = 1;
  Object sum7293 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7293 (depth = 8)
  gc_frame_newslot(sum7293);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum7293;
  partcv[0] = 1;
  Object call7294 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7289);
// compiled call node returning call7294 (depth = 7)
  int op_slot_right_7288 = gc_frame_newslot(call7294);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7288 = gc_frame_newslot(*var_s);
  params[0] = call7294;
  partcv[0] = 1;
  Object opresult7296 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7296 (depth = 6)
  *var_s = opresult7296;
  if (opresult7296 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7300__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7302 == NULL) {
    strlit7302 = alloc_String(", ");
    gc_root(strlit7302);
  }
// compiled string node returning strlit7302 (depth = 7)
  int op_slot_right_7301 = gc_frame_newslot(strlit7302);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7301 = gc_frame_newslot(*var_s);
  params[0] = strlit7302;
  partcv[0] = 1;
  Object opresult7304 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7304 (depth = 6)
  *var_s = opresult7304;
  if (opresult7304 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7267_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7270 = alloc_Float64(1);
// compiled num node returning num7270 (depth = 6)
  int op_slot_right_7269 = gc_frame_newslot(num7270);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_7269 = gc_frame_newslot(*var_depth);
  params[0] = num7270;
  partcv[0] = 1;
  Object sum7272 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7272 (depth = 5)
  int op_slot_right_7268 = gc_frame_newslot(sum7272);
// starting to compile string node (depth = 5)
  if (strlit7274 == NULL) {
    strlit7274 = alloc_String("  ");
    gc_root(strlit7274);
  }
// compiled string node returning strlit7274 (depth = 5)
  int op_slot_left_7268 = gc_frame_newslot(strlit7274);
  params[0] = sum7272;
  partcv[0] = 1;
  Object prod7275 = callmethod(strlit7274, "*(1)", 1, partcv, params);
// compiled op node returning prod7275 (depth = 4)
  *var_spc = prod7275;
  if (prod7275 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7277 == NULL) {
    strlit7277 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit7277);
  }
// compiled string node returning strlit7277 (depth = 5)
  int op_slot_right_7276 = gc_frame_newslot(strlit7277);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7280 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7281 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7280);
// compiled call node returning call7281 (depth = 6)
  int op_slot_right_7279 = gc_frame_newslot(call7281);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_7279 = gc_frame_newslot(*var_spc);
  params[0] = call7281;
  partcv[0] = 1;
  Object opresult7283 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7283 (depth = 5)
  int op_slot_left_7276 = gc_frame_newslot(opresult7283);
  params[0] = strlit7277;
  partcv[0] = 1;
  Object opresult7284 = callmethod(opresult7283, "++(1)", 1, partcv, params);
// compiled op node returning opresult7284 (depth = 4)
  *var_s = opresult7284;
  if (opresult7284 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7285 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7286 = alloc_Block(NULL, NULL, "ast", 1888);
  gc_frame_newslot(block7286);
// method "_apply(_)"
  block_savedest(block7286);
  Object closure7287 = createclosure(3, "_apply(1)");
  setclosureframe(closure7287, stackframe);
  addtoclosure(closure7287, var_depth);
  addtoclosure(closure7287, var_s);
  addtoclosure(closure7287, selfslot);
  struct UserObject *uo7287 = (struct UserObject*)block7286;
  uo7287->data[0] = (Object)closure7287;
  Method *meth_meth_ast_7287__apply_40_1_41_ = addmethod2pos(block7286, "_apply(1)", &meth_ast_7287__apply_40_1_41_, 0);
  int argcv_meth_ast_7287__apply_40_1_41_[] = {1};
  meth_meth_ast_7287__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7287__apply_40_1_41_);
  meth_meth_ast_7287__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7287__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7286 (depth = 4)
  gc_frame_newslot(block7286);
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block7299 = alloc_Block(NULL, NULL, "ast", 1889);
  gc_frame_newslot(block7299);
// method "_apply"
  block_savedest(block7299);
  Object closure7300 = createclosure(2, "_apply");
  setclosureframe(closure7300, stackframe);
  addtoclosure(closure7300, var_s);
  addtoclosure(closure7300, selfslot);
  struct UserObject *uo7300 = (struct UserObject*)block7299;
  uo7300->data[0] = (Object)closure7300;
  Method *meth_meth_ast_7300__apply = addmethod2pos(block7299, "_apply", &meth_ast_7300__apply, 0);
  int argcv_meth_ast_7300__apply[] = {0};
  meth_meth_ast_7300__apply->type = alloc_MethodType(1, argcv_meth_ast_7300__apply);
  meth_meth_ast_7300__apply->definitionModule = modulename;
  meth_meth_ast_7300__apply->definitionLine = 3216;
// compiled block node returning block7299 (depth = 4)
  gc_frame_newslot(block7299);
// call case 6: other requests
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7307 = gc_frame_new();
// call case 4: self request
  Object call7308 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7307);
// compiled member node returning call7308 (depth = 4)
  params[0] = block7286;
  params[1] = block7299;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7309 = callmethodflags(call7308, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7285);
// compiled call node returning call7309 (depth = 3)
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7311 == NULL) {
    strlit7311 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit7311);
  }
// compiled string node returning strlit7311 (depth = 4)
  int op_slot_right_7310 = gc_frame_newslot(strlit7311);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_7310 = gc_frame_newslot(*var_s);
  params[0] = strlit7311;
  partcv[0] = 1;
  Object opresult7313 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7313 (depth = 3)
  gc_frame_end(frame);
  return opresult7313;
}
Object meth_ast_7318__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7320 == NULL) {
    strlit7320 = alloc_String("");
    gc_root(strlit7320);
  }
// compiled string node returning strlit7320 (depth = 7)
  int op_slot_right_7319 = gc_frame_newslot(strlit7320);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7323 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7324 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7323);
// compiled call node returning call7324 (depth = 8)
  int op_slot_right_7322 = gc_frame_newslot(call7324);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7327 == NULL) {
    strlit7327 = alloc_String("");
    gc_root(strlit7327);
  }
// compiled string node returning strlit7327 (depth = 9)
  int op_slot_right_7326 = gc_frame_newslot(strlit7327);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_7329 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit7331 == NULL) {
    strlit7331 = alloc_String("");
    gc_root(strlit7331);
  }
// compiled string node returning strlit7331 (depth = 10)
  int op_slot_left_7329 = gc_frame_newslot(strlit7331);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult7332 = callmethod(strlit7331, "++(1)", 1, partcv, params);
// compiled op node returning opresult7332 (depth = 9)
  int op_slot_left_7326 = gc_frame_newslot(opresult7332);
  params[0] = strlit7327;
  partcv[0] = 1;
  Object opresult7333 = callmethod(opresult7332, "++(1)", 1, partcv, params);
// compiled op node returning opresult7333 (depth = 8)
  int op_slot_left_7322 = gc_frame_newslot(opresult7333);
  params[0] = call7324;
  partcv[0] = 1;
  Object opresult7334 = callmethod(opresult7333, "++(1)", 1, partcv, params);
// compiled op node returning opresult7334 (depth = 7)
  int op_slot_left_7319 = gc_frame_newslot(opresult7334);
  params[0] = strlit7320;
  partcv[0] = 1;
  Object opresult7335 = callmethod(opresult7334, "++(1)", 1, partcv, params);
// compiled op node returning opresult7335 (depth = 6)
  *var_s = opresult7335;
  if (opresult7335 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7339__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7341 == NULL) {
    strlit7341 = alloc_String(", ");
    gc_root(strlit7341);
  }
// compiled string node returning strlit7341 (depth = 7)
  int op_slot_right_7340 = gc_frame_newslot(strlit7341);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7340 = gc_frame_newslot(*var_s);
  params[0] = strlit7341;
  partcv[0] = 1;
  Object opresult7343 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7343 (depth = 6)
  *var_s = opresult7343;
  if (opresult7343 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7314_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7315 == NULL) {
    strlit7315 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit7315);
  }
// compiled string node returning strlit7315 (depth = 4)
  *var_s = strlit7315;
  if (strlit7315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7316 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7317 = alloc_Block(NULL, NULL, "ast", 1894);
  gc_frame_newslot(block7317);
// method "_apply(_)"
  block_savedest(block7317);
  Object closure7318 = createclosure(3, "_apply(1)");
  setclosureframe(closure7318, stackframe);
  addtoclosure(closure7318, var_depth);
  addtoclosure(closure7318, var_s);
  addtoclosure(closure7318, selfslot);
  struct UserObject *uo7318 = (struct UserObject*)block7317;
  uo7318->data[0] = (Object)closure7318;
  Method *meth_meth_ast_7318__apply_40_1_41_ = addmethod2pos(block7317, "_apply(1)", &meth_ast_7318__apply_40_1_41_, 0);
  int argcv_meth_ast_7318__apply_40_1_41_[] = {1};
  meth_meth_ast_7318__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7318__apply_40_1_41_);
  meth_meth_ast_7318__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7318__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7317 (depth = 4)
  gc_frame_newslot(block7317);
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block7338 = alloc_Block(NULL, NULL, "ast", 1895);
  gc_frame_newslot(block7338);
// method "_apply"
  block_savedest(block7338);
  Object closure7339 = createclosure(2, "_apply");
  setclosureframe(closure7339, stackframe);
  addtoclosure(closure7339, var_s);
  addtoclosure(closure7339, selfslot);
  struct UserObject *uo7339 = (struct UserObject*)block7338;
  uo7339->data[0] = (Object)closure7339;
  Method *meth_meth_ast_7339__apply = addmethod2pos(block7338, "_apply", &meth_ast_7339__apply, 0);
  int argcv_meth_ast_7339__apply[] = {0};
  meth_meth_ast_7339__apply->type = alloc_MethodType(1, argcv_meth_ast_7339__apply);
  meth_meth_ast_7339__apply->definitionModule = modulename;
  meth_meth_ast_7339__apply->definitionLine = 3216;
// compiled block node returning block7338 (depth = 4)
  gc_frame_newslot(block7338);
// call case 6: other requests
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7346 = gc_frame_new();
// call case 4: self request
  Object call7347 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7346);
// compiled member node returning call7347 (depth = 4)
  params[0] = block7317;
  params[1] = block7338;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7348 = callmethodflags(call7347, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7316);
// compiled call node returning call7348 (depth = 3)
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7350 == NULL) {
    strlit7350 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit7350);
  }
// compiled string node returning strlit7350 (depth = 4)
  int op_slot_right_7349 = gc_frame_newslot(strlit7350);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_7349 = gc_frame_newslot(*var_s);
  params[0] = strlit7350;
  partcv[0] = 1;
  Object opresult7352 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7352 (depth = 3)
  gc_frame_end(frame);
  return opresult7352;
}
Object meth_ast_7353_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeParametersNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7354 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7355 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeParametersNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call7356 = callmethodflags(*var_typeParametersNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7355);
// compiled call node returning call7356 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7357 = callmethodflags(call7356, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7354);
// compiled call node returning call7357 (depth = 3)
  gc_frame_end(frame);
  return call7357;
}
Object meth_ast_7217_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeParametersNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7218 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7218 = alloc_userobj2(12,12, objclass7218);
  gc_frame_newslot(obj7218);
  if (objclass7218 == NULL) {
    glfree(obj7218->class->name);
    obj7218->class->name = "typeParametersNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7218, self, 0);
  addmethodreal(obj7218,"outer", &reader_ast_outer_7219);
  Object oldself7218 = self;
  struct StackFrameObject *oldstackframe7218 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7218);
  gc_frame_newslot((Object)stackframe);
  self = obj7218;
  Object *oldselfslot7218 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7218 = (*(struct UserObject *)self).data[0], lowerouter7218 = thisouter7218;
  if (inheritingObject7218) {
    struct UserObject *inho7218 = (struct UserObject *)inheritingObject7218;
    while (inho7218->super != GraceDefaultObject) inho7218 = (struct UserObject *)inho7218->super;
    inho7218->super = obj7218;
    self = inheritingObject7218;
    *selfslot = self;
    lowerouter7218 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7218;
  }
  if (objclass7218 == NULL) {
  Method *reader7220 = addmethodrealflags(obj7218, "kind",&reader_ast_kind_7220, MFLAG_DEF);
  reader7220->definitionModule = modulename;
  reader7220->definitionLine = 1862;
  }
  adddatum2(obj7218, alloc_Undefined(), 1);
  if (objclass7218 == NULL) {
    Method *reader7221 = addmethodrealflags(obj7218, "params", &reader_ast_params_7221, 0);
    Method *writer7221 = addmethodrealflags(obj7218, "params:=(1)", &writer_ast_params_7221, 0);
    reader7221->definitionModule = modulename;
    writer7221->definitionModule = modulename;
    reader7221->definitionLine = 1863;
    writer7221->definitionLine = 1863;
  }
  obj7218->flags |= OFLAG_MUTABLE;
  adddatum2(obj7218, alloc_Undefined(), 2);
// method "asString"
  struct UserObject *uo7222 = (struct UserObject*)obj7218;
  uo7222->data[3] = emptyclosure;
  Method *meth_meth_ast_7222_asString = addmethod2pos(obj7218, "asString", &meth_ast_7222_asString, 3);
  int argcv_meth_ast_7222_asString[] = {0};
  meth_meth_ast_7222_asString->type = alloc_MethodType(1, argcv_meth_ast_7222_asString);
  meth_meth_ast_7222_asString->definitionModule = modulename;
  meth_meth_ast_7222_asString->definitionLine = 1864;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj7218);
  Object closure7226 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure7226, stackframe);
  addtoclosure(closure7226, var_k);
  struct UserObject *uo7226 = (struct UserObject*)obj7218;
  uo7226->data[4] = (Object)closure7226;
  Method *meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj7218, "declarationKindWithAncestors(1)", &meth_ast_7226_declarationKindWithAncestors_40_1_41_, 4);
  int argcv_meth_ast_7226_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7226_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_->definitionLine = 1865;
// method "accept(_)from(_)"
  struct UserObject *uo7229 = (struct UserObject*)obj7218;
  uo7229->data[5] = emptyclosure;
  Method *meth_meth_ast_7229_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7218, "accept(1)from(1)", &meth_ast_7229_accept_40_1_41_from_40_1_41_, 5);
  int argcv_meth_ast_7229_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7229_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7229_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7229_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7229_accept_40_1_41_from_40_1_41_->definitionLine = 1867;
// method "do(_)"
  struct UserObject *uo7244 = (struct UserObject*)obj7218;
  uo7244->data[6] = emptyclosure;
  Method *meth_meth_ast_7244_do_40_1_41_ = addmethod2pos(obj7218, "do(1)", &meth_ast_7244_do_40_1_41_, 6);
  int argcv_meth_ast_7244_do_40_1_41_[] = {1};
  meth_meth_ast_7244_do_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7244_do_40_1_41_);
  meth_meth_ast_7244_do_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7244_do_40_1_41_->definitionLine = 1875;
// method "size"
  struct UserObject *uo7249 = (struct UserObject*)obj7218;
  uo7249->data[7] = emptyclosure;
  Method *meth_meth_ast_7249_size = addmethod2pos(obj7218, "size", &meth_ast_7249_size, 7);
  int argcv_meth_ast_7249_size[] = {0};
  meth_meth_ast_7249_size->type = alloc_MethodType(1, argcv_meth_ast_7249_size);
  meth_meth_ast_7249_size->definitionModule = modulename;
  meth_meth_ast_7249_size->definitionLine = 1878;
// method "map(_)ancestors(_)"
  struct UserObject *uo7254 = (struct UserObject*)obj7218;
  uo7254->data[8] = emptyclosure;
  Method *meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7218, "map(1)ancestors(1)", &meth_ast_7254_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_7254_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7254_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_->definitionLine = 1879;
// method "pretty(_)"
  struct UserObject *uo7267 = (struct UserObject*)obj7218;
  uo7267->data[9] = emptyclosure;
  Method *meth_meth_ast_7267_pretty_40_1_41_ = addmethod2pos(obj7218, "pretty(1)", &meth_ast_7267_pretty_40_1_41_, 9);
  int argcv_meth_ast_7267_pretty_40_1_41_[] = {1};
  meth_meth_ast_7267_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7267_pretty_40_1_41_);
  meth_meth_ast_7267_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7267_pretty_40_1_41_->definitionLine = 1885;
// method "toGrace(_)"
  struct UserObject *uo7314 = (struct UserObject*)obj7218;
  uo7314->data[10] = emptyclosure;
  Method *meth_meth_ast_7314_toGrace_40_1_41_ = addmethod2pos(obj7218, "toGrace(1)", &meth_ast_7314_toGrace_40_1_41_, 10);
  int argcv_meth_ast_7314_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7314_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7314_toGrace_40_1_41_);
meth_meth_ast_7314_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7314_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7314_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7314_toGrace_40_1_41_->definitionLine = 1892;
// method "shallowCopy"
  block_savedest(obj7218);
  Object closure7353 = createclosure(2, "shallowCopy");
  setclosureframe(closure7353, stackframe);
  addtoclosure(closure7353, var_emptySeq);
  addtoclosure(closure7353, var_typeParametersNode);
  struct UserObject *uo7353 = (struct UserObject*)obj7218;
  uo7353->data[11] = (Object)closure7353;
  Method *meth_meth_ast_7353_shallowCopy = addmethod2pos(obj7218, "shallowCopy", &meth_ast_7353_shallowCopy, 11);
  int argcv_meth_ast_7353_shallowCopy[] = {0};
  meth_meth_ast_7353_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7353_shallowCopy);
  meth_meth_ast_7353_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7353_shallowCopy->definitionLine = 1898;
  sourceObject = obj7218;
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7358 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7359 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7358);
// compiled call node returning call7359 (depth = 3)
  struct UserObject *obj7218_uo = (struct UserObject *)obj7218;
  obj7218_uo->super = call7359;
  sourceObject = obj7218;
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7360 == NULL) {
    strlit7360 = alloc_String("typeparams");
    gc_root(strlit7360);
  }
// compiled string node returning strlit7360 (depth = 3)
  adddatum2(obj7218, strlit7360, 1);
  sourceObject = obj7218;
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj7218, *var_params_39_, 2);
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  objclass7218 = obj7218->class;
  objclass7218->definitionModule = modulename;
  objclass7218->definitionLine = 1860;
  (*(struct UserObject *)self).data[0] = lowerouter7218;
  self = oldself7218;
  selfslot = oldselfslot7218;
  stackframe = oldstackframe7218;
  gc_frame_end(frame);
  return obj7218;
}
Object meth_ast_7217_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeParametersNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7218 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7218 = alloc_userobj2(12,12, objclass7218);
  gc_frame_newslot(obj7218);
  if (objclass7218 == NULL) {
    glfree(obj7218->class->name);
    obj7218->class->name = "typeParametersNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7218, self, 0);
  addmethodreal(obj7218,"outer", &reader_ast_outer_7219);
  Object oldself7218 = self;
  struct StackFrameObject *oldstackframe7218 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7218);
  gc_frame_newslot((Object)stackframe);
  self = obj7218;
  Object *oldselfslot7218 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7218 = (*(struct UserObject *)self).data[0], lowerouter7218 = thisouter7218;
  if (inheritingObject7218) {
    struct UserObject *inho7218 = (struct UserObject *)inheritingObject7218;
    while (inho7218->super != GraceDefaultObject) inho7218 = (struct UserObject *)inho7218->super;
    inho7218->super = obj7218;
    self = inheritingObject7218;
    *selfslot = self;
    lowerouter7218 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7218;
  }
  if (objclass7218 == NULL) {
  Method *reader7220 = addmethodrealflags(obj7218, "kind",&reader_ast_kind_7220, MFLAG_DEF);
  reader7220->definitionModule = modulename;
  reader7220->definitionLine = 1862;
  }
  adddatum2(obj7218, alloc_Undefined(), 1);
  if (objclass7218 == NULL) {
    Method *reader7221 = addmethodrealflags(obj7218, "params", &reader_ast_params_7221, 0);
    Method *writer7221 = addmethodrealflags(obj7218, "params:=(1)", &writer_ast_params_7221, 0);
    reader7221->definitionModule = modulename;
    writer7221->definitionModule = modulename;
    reader7221->definitionLine = 1863;
    writer7221->definitionLine = 1863;
  }
  obj7218->flags |= OFLAG_MUTABLE;
  adddatum2(obj7218, alloc_Undefined(), 2);
// method "asString"
  struct UserObject *uo7222 = (struct UserObject*)obj7218;
  uo7222->data[3] = emptyclosure;
  Method *meth_meth_ast_7222_asString = addmethod2pos(obj7218, "asString", &meth_ast_7222_asString, 3);
  int argcv_meth_ast_7222_asString[] = {0};
  meth_meth_ast_7222_asString->type = alloc_MethodType(1, argcv_meth_ast_7222_asString);
  meth_meth_ast_7222_asString->definitionModule = modulename;
  meth_meth_ast_7222_asString->definitionLine = 1864;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj7218);
  Object closure7226 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure7226, stackframe);
  addtoclosure(closure7226, var_k);
  struct UserObject *uo7226 = (struct UserObject*)obj7218;
  uo7226->data[4] = (Object)closure7226;
  Method *meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj7218, "declarationKindWithAncestors(1)", &meth_ast_7226_declarationKindWithAncestors_40_1_41_, 4);
  int argcv_meth_ast_7226_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7226_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7226_declarationKindWithAncestors_40_1_41_->definitionLine = 1865;
// method "accept(_)from(_)"
  struct UserObject *uo7229 = (struct UserObject*)obj7218;
  uo7229->data[5] = emptyclosure;
  Method *meth_meth_ast_7229_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7218, "accept(1)from(1)", &meth_ast_7229_accept_40_1_41_from_40_1_41_, 5);
  int argcv_meth_ast_7229_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7229_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7229_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7229_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7229_accept_40_1_41_from_40_1_41_->definitionLine = 1867;
// method "do(_)"
  struct UserObject *uo7244 = (struct UserObject*)obj7218;
  uo7244->data[6] = emptyclosure;
  Method *meth_meth_ast_7244_do_40_1_41_ = addmethod2pos(obj7218, "do(1)", &meth_ast_7244_do_40_1_41_, 6);
  int argcv_meth_ast_7244_do_40_1_41_[] = {1};
  meth_meth_ast_7244_do_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7244_do_40_1_41_);
  meth_meth_ast_7244_do_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7244_do_40_1_41_->definitionLine = 1875;
// method "size"
  struct UserObject *uo7249 = (struct UserObject*)obj7218;
  uo7249->data[7] = emptyclosure;
  Method *meth_meth_ast_7249_size = addmethod2pos(obj7218, "size", &meth_ast_7249_size, 7);
  int argcv_meth_ast_7249_size[] = {0};
  meth_meth_ast_7249_size->type = alloc_MethodType(1, argcv_meth_ast_7249_size);
  meth_meth_ast_7249_size->definitionModule = modulename;
  meth_meth_ast_7249_size->definitionLine = 1878;
// method "map(_)ancestors(_)"
  struct UserObject *uo7254 = (struct UserObject*)obj7218;
  uo7254->data[8] = emptyclosure;
  Method *meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7218, "map(1)ancestors(1)", &meth_ast_7254_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_7254_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7254_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7254_map_40_1_41_ancestors_40_1_41_->definitionLine = 1879;
// method "pretty(_)"
  struct UserObject *uo7267 = (struct UserObject*)obj7218;
  uo7267->data[9] = emptyclosure;
  Method *meth_meth_ast_7267_pretty_40_1_41_ = addmethod2pos(obj7218, "pretty(1)", &meth_ast_7267_pretty_40_1_41_, 9);
  int argcv_meth_ast_7267_pretty_40_1_41_[] = {1};
  meth_meth_ast_7267_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7267_pretty_40_1_41_);
  meth_meth_ast_7267_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7267_pretty_40_1_41_->definitionLine = 1885;
// method "toGrace(_)"
  struct UserObject *uo7314 = (struct UserObject*)obj7218;
  uo7314->data[10] = emptyclosure;
  Method *meth_meth_ast_7314_toGrace_40_1_41_ = addmethod2pos(obj7218, "toGrace(1)", &meth_ast_7314_toGrace_40_1_41_, 10);
  int argcv_meth_ast_7314_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7314_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7314_toGrace_40_1_41_);
meth_meth_ast_7314_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7314_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7314_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7314_toGrace_40_1_41_->definitionLine = 1892;
// method "shallowCopy"
  block_savedest(obj7218);
  Object closure7353 = createclosure(2, "shallowCopy");
  setclosureframe(closure7353, stackframe);
  addtoclosure(closure7353, var_emptySeq);
  addtoclosure(closure7353, var_typeParametersNode);
  struct UserObject *uo7353 = (struct UserObject*)obj7218;
  uo7353->data[11] = (Object)closure7353;
  Method *meth_meth_ast_7353_shallowCopy = addmethod2pos(obj7218, "shallowCopy", &meth_ast_7353_shallowCopy, 11);
  int argcv_meth_ast_7353_shallowCopy[] = {0};
  meth_meth_ast_7353_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7353_shallowCopy);
  meth_meth_ast_7353_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7353_shallowCopy->definitionLine = 1898;
  sourceObject = obj7218;
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7358 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7359 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7358);
// compiled call node returning call7359 (depth = 3)
  struct UserObject *obj7218_uo = (struct UserObject *)obj7218;
  obj7218_uo->super = call7359;
  sourceObject = obj7218;
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7360 == NULL) {
    strlit7360 = alloc_String("typeparams");
    gc_root(strlit7360);
  }
// compiled string node returning strlit7360 (depth = 3)
  adddatum2(obj7218, strlit7360, 1);
  sourceObject = obj7218;
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj7218, *var_params_39_, 2);
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  sourceObject = obj7218;
  objclass7218 = obj7218->class;
  objclass7218->definitionModule = modulename;
  objclass7218->definitionLine = 1860;
  (*(struct UserObject *)self).data[0] = lowerouter7218;
  self = oldself7218;
  selfslot = oldselfslot7218;
  stackframe = oldstackframe7218;
  gc_frame_end(frame);
  return obj7218;
}
Object meth_ast_7362_typeParametersNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeParametersNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeParametersNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeParametersNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeParametersNode;
}
Object meth_ast_7365_new_40_2_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype = &(stackframe->slots[1]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7366 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = *var_name;
  params[1] = *var_dtype;
  partcv[0] = 2;
  Object call7367 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7366);
// compiled call node returning call7367 (depth = 4)
  *var_result = call7367;
  if (call7367 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7368 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call7369 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7368);
// compiled call node returning call7369 (depth = 3)
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_7371_wildcard_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "wildcard(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wildcard(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for wildcard(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dtype = &(stackframe->slots[0]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part wildcard(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_idNode = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "idNode");
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7372 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7374 = alloc_Float64(1);
// compiled num node returning num7374 (depth = 5)
  int op_slot_right_7373 = gc_frame_newslot(num7374);
// starting to compile member node (depth = 5)
  int callframe7376 = gc_frame_new();
// call case 4: self request
  Object call7377 = callmethodflags(self, "wildcardCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7376);
// compiled member node returning call7377 (depth = 5)
  int op_slot_left_7373 = gc_frame_newslot(call7377);
  params[0] = num7374;
  partcv[0] = 1;
  Object sum7378 = callmethod(call7377, "+(1)", 1, partcv, params);
// compiled op node returning sum7378 (depth = 4)
  gc_frame_newslot(sum7378);
// call case 4: self request
  params[0] = sum7378;
  partcv[0] = 1;
  Object call7379 = callmethodflags(self, "wildcardCount:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7372);
// compiled call node returning call7379 (depth = 3)
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7380 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7382 == NULL) {
    strlit7382 = alloc_String("");
    gc_root(strlit7382);
  }
// compiled string node returning strlit7382 (depth = 6)
  int op_slot_right_7381 = gc_frame_newslot(strlit7382);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7385 = gc_frame_new();
// call case 4: self request
  Object call7386 = callmethodflags(self, "wildcardCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7385);
// compiled member node returning call7386 (depth = 7)
  int op_slot_right_7384 = gc_frame_newslot(call7386);
// starting to compile string node (depth = 7)
  if (strlit7388 == NULL) {
    strlit7388 = alloc_String("__");
    gc_root(strlit7388);
  }
// compiled string node returning strlit7388 (depth = 7)
  int op_slot_left_7384 = gc_frame_newslot(strlit7388);
  params[0] = call7386;
  partcv[0] = 1;
  Object opresult7389 = callmethod(strlit7388, "++(1)", 1, partcv, params);
// compiled op node returning opresult7389 (depth = 6)
  int op_slot_left_7381 = gc_frame_newslot(opresult7389);
  params[0] = strlit7382;
  partcv[0] = 1;
  Object opresult7390 = callmethod(opresult7389, "++(1)", 1, partcv, params);
// compiled op node returning opresult7390 (depth = 5)
  gc_frame_newslot(opresult7390);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = opresult7390;
  params[1] = *var_dtype;
  partcv[0] = 2;
  Object call7391 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7380);
// compiled call node returning call7391 (depth = 4)
  *var_idNode = call7391;
  if (call7391 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7392 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7393 = alloc_Boolean(1);
// compiled identifier node returning bool7393 (depth = 4)
  gc_frame_newslot(bool7393);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_idNode (depth = 4)
  params[0] = bool7393;
  partcv[0] = 1;
  Object call7394 = callmethodflags(*var_idNode, "wildcard:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7392);
// compiled call node returning call7394 (depth = 3)
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7395 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7396 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7397 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_idNode (depth = 6)
  Object call7398 = callmethodflags(*var_idNode, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7397);
// compiled member node returning call7398 (depth = 5)
  gc_frame_newslot(call7398);
// starting to compile member node (depth = 5)
  int callframe7399 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_idNode (depth = 6)
  Object call7400 = callmethodflags(*var_idNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7399);
// compiled member node returning call7400 (depth = 5)
  gc_frame_newslot(call7400);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call7398;
  params[1] = call7400;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7401 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7396);
// compiled call node returning call7401 (depth = 4)
  gc_frame_newslot(call7401);
// call case 6: other requests
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_idNode (depth = 4)
  params[0] = call7401;
  partcv[0] = 1;
  Object call7402 = callmethodflags(*var_idNode, "end:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7395);
// compiled call node returning call7402 (depth = 3)
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_idNode (depth = 3)
  gc_frame_end(frame);
  return *var_idNode;
}
Object meth_ast_7416_name(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7417 = gc_frame_new();
// call case 4: self request
  Object call7418 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7417);
// compiled member node returning call7418 (depth = 3)
  gc_frame_end(frame);
  return call7418;
}
Object meth_ast_7419_name_58__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method name:=(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for name:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_nu = &(stackframe->slots[0]);
  *var_nu = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part name:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7420 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nu (depth = 4)
  gc_frame_newslot(*var_nu);
// call case 4: self request
  params[0] = *var_nu;
  partcv[0] = 1;
  Object call7421 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7420);
// compiled call node returning call7421 (depth = 3)
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7422 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7423 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7424 = gc_frame_new();
// call case 4: self request
  Object call7425 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7424);
// compiled member node returning call7425 (depth = 5)
  gc_frame_newslot(call7425);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7427 = alloc_Float64(1);
// compiled num node returning num7427 (depth = 6)
  int op_slot_right_7426 = gc_frame_newslot(num7427);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7430 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nu (depth = 8)
  Object call7431 = callmethodflags(*var_nu, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7430);
// compiled member node returning call7431 (depth = 7)
  int op_slot_right_7429 = gc_frame_newslot(call7431);
// starting to compile member node (depth = 7)
  int callframe7433 = gc_frame_new();
// call case 4: self request
  Object call7434 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7433);
// compiled member node returning call7434 (depth = 7)
  int op_slot_left_7429 = gc_frame_newslot(call7434);
  params[0] = call7431;
  partcv[0] = 1;
  Object sum7435 = callmethod(call7434, "+(1)", 1, partcv, params);
// compiled op node returning sum7435 (depth = 6)
  int op_slot_left_7426 = gc_frame_newslot(sum7435);
  params[0] = num7427;
  partcv[0] = 1;
  Object diff7436 = callmethod(sum7435, "-(1)", 1, partcv, params);
// compiled op node returning diff7436 (depth = 5)
  gc_frame_newslot(diff7436);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call7425;
  params[1] = diff7436;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7437 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7423);
// compiled call node returning call7437 (depth = 4)
  gc_frame_newslot(call7437);
// call case 4: self request
  params[0] = call7437;
  partcv[0] = 1;
  Object call7438 = callmethodflags(self, "end:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7422);
// compiled call node returning call7438 (depth = 3)
  gc_frame_end(frame);
  return call7438;
}
Object meth_ast_7439_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7440 = gc_frame_new();
// call case 4: self request
  Object call7441 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7440);
// compiled member node returning call7441 (depth = 3)
  gc_frame_end(frame);
  return call7441;
}
Object meth_ast_7443_quoted(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "quoted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7444 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7445 = gc_frame_new();
// call case 4: self request
  Object call7446 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7445);
// compiled member node returning call7446 (depth = 4)
  Object call7447 = callmethodflags(call7446, "quoted", 0, partcv, params, 0);
  gc_frame_end(callframe7444);
// compiled member node returning call7447 (depth = 3)
  gc_frame_end(frame);
  return call7447;
}
Object meth_ast_7448_isIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7449 = alloc_Boolean(1);
// compiled identifier node returning bool7449 (depth = 3)
  gc_frame_end(frame);
  return bool7449;
}
Object meth_ast_7450_isSelf(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7452 = gc_frame_new();
// call case 4: self request
  Object call7453 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7452);
// compiled member node returning call7453 (depth = 4)
  int op_slot_right_7451 = gc_frame_newslot(call7453);
// starting to compile string node (depth = 4)
  if (strlit7455 == NULL) {
    strlit7455 = alloc_String("self");
    gc_root(strlit7455);
  }
// compiled string node returning strlit7455 (depth = 4)
  int op_slot_left_7451 = gc_frame_newslot(strlit7455);
  params[0] = call7453;
  partcv[0] = 1;
  Object opresult7456 = callmethod(strlit7455, "==(1)", 1, partcv, params);
// compiled op node returning opresult7456 (depth = 3)
  gc_frame_end(frame);
  return opresult7456;
}
Object meth_ast_7457_isSuper(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuper");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7459 = gc_frame_new();
// call case 4: self request
  Object call7460 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7459);
// compiled member node returning call7460 (depth = 4)
  int op_slot_right_7458 = gc_frame_newslot(call7460);
// starting to compile string node (depth = 4)
  if (strlit7462 == NULL) {
    strlit7462 = alloc_String("super");
    gc_root(strlit7462);
  }
// compiled string node returning strlit7462 (depth = 4)
  int op_slot_left_7458 = gc_frame_newslot(strlit7462);
  params[0] = call7460;
  partcv[0] = 1;
  Object opresult7463 = callmethod(strlit7462, "==(1)", 1, partcv, params);
// compiled op node returning opresult7463 (depth = 3)
  gc_frame_end(frame);
  return opresult7463;
}
Object meth_ast_7464_isPrelude(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPrelude");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7466 = gc_frame_new();
// call case 4: self request
  Object call7467 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7466);
// compiled member node returning call7467 (depth = 4)
  int op_slot_right_7465 = gc_frame_newslot(call7467);
// starting to compile string node (depth = 4)
  if (strlit7469 == NULL) {
    strlit7469 = alloc_String("prelude");
    gc_root(strlit7469);
  }
// compiled string node returning strlit7469 (depth = 4)
  int op_slot_left_7465 = gc_frame_newslot(strlit7469);
  params[0] = call7467;
  partcv[0] = 1;
  Object opresult7470 = callmethod(strlit7469, "==(1)", 1, partcv, params);
// compiled op node returning opresult7470 (depth = 3)
  gc_frame_end(frame);
  return opresult7470;
}
Object meth_ast_7471_isOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7473 = gc_frame_new();
// call case 4: self request
  Object call7474 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7473);
// compiled member node returning call7474 (depth = 4)
  int op_slot_right_7472 = gc_frame_newslot(call7474);
// starting to compile string node (depth = 4)
  if (strlit7476 == NULL) {
    strlit7476 = alloc_String("outer");
    gc_root(strlit7476);
  }
// compiled string node returning strlit7476 (depth = 4)
  int op_slot_left_7472 = gc_frame_newslot(strlit7476);
  params[0] = call7474;
  partcv[0] = 1;
  Object opresult7477 = callmethod(strlit7476, "==(1)", 1, partcv, params);
// compiled op node returning opresult7477 (depth = 3)
  gc_frame_end(frame);
  return opresult7477;
}
Object meth_ast_7478_isSelfOrOuter(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7480 = gc_frame_new();
// call case 4: self request
  Object call7481 = callmethodflags(self, "isSelf", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7480);
// compiled member node returning call7481 (depth = 4)
  Object if7479 = done;
  if (istrue(call7481)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7482 = alloc_Boolean(1);
// compiled identifier node returning bool7482 (depth = 5)
  return bool7482;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if7479 = undefined;
  } else {
  }
// compiled if node returning if7479 (depth = 3)
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7484 = gc_frame_new();
// call case 4: self request
  Object call7485 = callmethodflags(self, "isOuter", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7484);
// compiled member node returning call7485 (depth = 4)
  Object if7483 = done;
  if (istrue(call7485)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7486 = alloc_Boolean(1);
// compiled identifier node returning bool7486 (depth = 5)
  return bool7486;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if7483 = undefined;
  } else {
  }
// compiled if node returning if7483 (depth = 3)
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool7487 = alloc_Boolean(0);
// compiled identifier node returning bool7487 (depth = 4)
  return bool7487;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_7488_isAppliedOccurenceOfIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7490 = gc_frame_new();
// call case 4: self request
  Object call7491 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7490);
// compiled member node returning call7491 (depth = 4)
  Object if7489 = done;
  if (istrue(call7491)) {
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7492 = alloc_Boolean(0);
// compiled identifier node returning bool7492 (depth = 4)
    gc_frame_newslot(bool7492);
    if7489 = bool7492;
  } else {
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7493 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7494 = gc_frame_new();
// call case 4: self request
  Object call7495 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7494);
// compiled member node returning call7495 (depth = 5)
  Object call7496 = callmethodflags(call7495, "not", 0, partcv, params, 0);
  gc_frame_end(callframe7493);
// compiled member node returning call7496 (depth = 4)
    gc_frame_newslot(call7496);
    if7489 = call7496;
  }
// compiled if node returning if7489 (depth = 3)
  gc_frame_end(frame);
  return if7489;
}
Object meth_ast_7497_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7498 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7499 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call7500 = callmethodflags(*var_as, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe7499);
// compiled member node returning call7500 (depth = 4)
  params[0] = *var_as;
  partcv[0] = 1;
  Object call7501 = callmethodflags(call7500, "declarationKindWithAncestors(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7498);
// compiled call node returning call7501 (depth = 3)
  gc_frame_end(frame);
  return call7501;
}
Object meth_ast_7502_inTypePositionWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTypePositionWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method inTypePositionWithAncestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for inTypePositionWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part inTypePositionWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7504 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call7505 = callmethodflags(*var_as, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe7504);
// compiled member node returning call7505 (depth = 4)
  Object if7503 = done;
  if (istrue(call7505)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7506 = alloc_Boolean(0);
// compiled identifier node returning bool7506 (depth = 5)
  return bool7506;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if7503 = undefined;
  } else {
  }
// compiled if node returning if7503 (depth = 3)
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7507 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7508 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call7509 = callmethodflags(*var_as, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe7508);
// compiled member node returning call7509 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7510 = callmethodflags(call7509, "usesAsType(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7507);
// compiled call node returning call7510 (depth = 3)
  gc_frame_end(frame);
  return call7510;
}
Object meth_ast_7511_usesAsType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7513 = gc_frame_new();
// call case 4: self request
  Object call7514 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7513);
// compiled member node returning call7514 (depth = 4)
  int op_slot_right_7512 = gc_frame_newslot(call7514);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_7512 = gc_frame_newslot(*var_aNode);
  params[0] = call7514;
  partcv[0] = 1;
  Object opresult7516 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult7516 (depth = 3)
  gc_frame_end(frame);
  return opresult7516;
}
Object meth_ast_7517_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7519 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7520 = callmethodflags(*var_visitor, "visitIdentifier(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7519);
// compiled call node returning call7520 (depth = 4)
  Object if7518 = done;
  if (istrue(call7520)) {
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7521 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7522 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7521);
// compiled call node returning call7522 (depth = 5)
  *var_newChain = call7522;
  if (call7522 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7525 = gc_frame_new();
// call case 4: self request
  Object call7526 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7525);
// compiled member node returning call7526 (depth = 6)
  int op_slot_right_7524 = gc_frame_newslot(call7526);
// starting to compile identifier node (depth = 6)
  Object bool7528 = alloc_Boolean(0);
// compiled identifier node returning bool7528 (depth = 6)
  int op_slot_left_7524 = gc_frame_newslot(bool7528);
  params[0] = call7526;
  partcv[0] = 1;
  Object opresult7529 = callmethod(bool7528, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7529 (depth = 5)
  Object if7523 = done;
  if (istrue(opresult7529)) {
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7530 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7531 = gc_frame_new();
// call case 4: self request
  Object call7532 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7531);
// compiled member node returning call7532 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7533 = callmethodflags(call7532, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7530);
// compiled call node returning call7533 (depth = 5)
    gc_frame_newslot(call7533);
    if7523 = call7533;
  } else {
  }
// compiled if node returning if7523 (depth = 4)
    gc_frame_newslot(if7523);
    if7518 = if7523;
  } else {
  }
// compiled if node returning if7518 (depth = 3)
  gc_frame_end(frame);
  return if7518;
}
Object meth_ast_7534_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7535 = gc_frame_new();
// call case 4: self request
  Object call7536 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7535);
// compiled member node returning call7536 (depth = 4)
  *var_n = call7536;
  if (call7536 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7537 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7538 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7537);
// compiled call node returning call7538 (depth = 4)
  *var_newChain = call7538;
  if (call7538 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7539 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7540 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7541 = gc_frame_new();
// call case 4: self request
  Object call7542 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7541);
// compiled member node returning call7542 (depth = 5)
  gc_frame_newslot(call7542);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call7542;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7543 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7540);
// compiled call node returning call7543 (depth = 4)
  gc_frame_newslot(call7543);
// call case 6: other requests
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7543;
  partcv[0] = 1;
  Object call7544 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7539);
// compiled call node returning call7544 (depth = 3)
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7545 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7546 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7545);
// compiled call node returning call7546 (depth = 3)
  gc_frame_end(frame);
  return call7546;
}
Object meth_ast_7651__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7653 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7655 = alloc_Float64(2);
// compiled num node returning num7655 (depth = 10)
  int op_slot_right_7654 = gc_frame_newslot(num7655);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_7654 = gc_frame_newslot(*var_depth);
  params[0] = num7655;
  partcv[0] = 1;
  Object sum7657 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7657 (depth = 9)
  gc_frame_newslot(sum7657);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_g (depth = 9)
  params[0] = sum7657;
  partcv[0] = 1;
  Object call7658 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7653);
// compiled call node returning call7658 (depth = 8)
  int op_slot_right_7652 = gc_frame_newslot(call7658);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7661 == NULL) {
    strlit7661 = alloc_String("  ");
    gc_root(strlit7661);
  }
// compiled string node returning strlit7661 (depth = 9)
  int op_slot_right_7660 = gc_frame_newslot(strlit7661);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_7663 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit7666 == NULL) {
    strlit7666 = alloc_String("""\x0a""");
    gc_root(strlit7666);
  }
// compiled string node returning strlit7666 (depth = 11)
  int op_slot_right_7665 = gc_frame_newslot(strlit7666);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_7665 = gc_frame_newslot(*var_s);
  params[0] = strlit7666;
  partcv[0] = 1;
  Object opresult7668 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7668 (depth = 10)
  int op_slot_left_7663 = gc_frame_newslot(opresult7668);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7669 = callmethod(opresult7668, "++(1)", 1, partcv, params);
// compiled op node returning opresult7669 (depth = 9)
  int op_slot_left_7660 = gc_frame_newslot(opresult7669);
  params[0] = strlit7661;
  partcv[0] = 1;
  Object opresult7670 = callmethod(opresult7669, "++(1)", 1, partcv, params);
// compiled op node returning opresult7670 (depth = 8)
  int op_slot_left_7652 = gc_frame_newslot(opresult7670);
  params[0] = call7658;
  partcv[0] = 1;
  Object opresult7671 = callmethod(opresult7670, "++(1)", 1, partcv, params);
// compiled op node returning opresult7671 (depth = 7)
  *var_s = opresult7671;
  if (opresult7671 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7547_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7550 = alloc_Float64(1);
// compiled num node returning num7550 (depth = 6)
  int op_slot_right_7549 = gc_frame_newslot(num7550);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_7549 = gc_frame_newslot(*var_depth);
  params[0] = num7550;
  partcv[0] = 1;
  Object sum7552 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7552 (depth = 5)
  int op_slot_right_7548 = gc_frame_newslot(sum7552);
// starting to compile string node (depth = 5)
  if (strlit7554 == NULL) {
    strlit7554 = alloc_String("  ");
    gc_root(strlit7554);
  }
// compiled string node returning strlit7554 (depth = 5)
  int op_slot_left_7548 = gc_frame_newslot(strlit7554);
  params[0] = sum7552;
  partcv[0] = 1;
  Object prod7555 = callmethod(strlit7554, "*(1)", 1, partcv, params);
// compiled op node returning prod7555 (depth = 4)
  *var_spc = prod7555;
  if (prod7555 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7556 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7557 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7556);
// compiled call node returning call7557 (depth = 4)
  *var_s = call7557;
  if (call7557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7559 = gc_frame_new();
// call case 4: self request
  Object call7560 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7559);
// compiled member node returning call7560 (depth = 4)
  Object if7558 = done;
  if (istrue(call7560)) {
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7562 == NULL) {
    strlit7562 = alloc_String(" Wildcard");
    gc_root(strlit7562);
  }
// compiled string node returning strlit7562 (depth = 6)
  int op_slot_right_7561 = gc_frame_newslot(strlit7562);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7561 = gc_frame_newslot(*var_s);
  params[0] = strlit7562;
  partcv[0] = 1;
  Object opresult7564 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7564 (depth = 5)
  *var_s = opresult7564;
  if (opresult7564 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7558 = done;
  } else {
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe7567 = gc_frame_new();
// call case 4: self request
  Object call7568 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7567);
// compiled member node returning call7568 (depth = 5)
  Object if7566 = done;
  if (istrue(call7568)) {
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7571 == NULL) {
    strlit7571 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7571);
  }
// compiled string node returning strlit7571 (depth = 8)
  int op_slot_right_7570 = gc_frame_newslot(strlit7571);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe7574 = gc_frame_new();
// call case 4: self request
  Object call7575 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7574);
// compiled member node returning call7575 (depth = 9)
  int op_slot_right_7573 = gc_frame_newslot(call7575);
// starting to compile string node (depth = 9)
  if (strlit7577 == NULL) {
    strlit7577 = alloc_String("Binding""\xe2""""\x80""""\xb9""");
    gc_root(strlit7577);
  }
// compiled string node returning strlit7577 (depth = 9)
  int op_slot_left_7573 = gc_frame_newslot(strlit7577);
  params[0] = call7575;
  partcv[0] = 1;
  Object opresult7578 = callmethod(strlit7577, "++(1)", 1, partcv, params);
// compiled op node returning opresult7578 (depth = 8)
  int op_slot_left_7570 = gc_frame_newslot(opresult7578);
  params[0] = strlit7571;
  partcv[0] = 1;
  Object opresult7579 = callmethod(opresult7578, "++(1)", 1, partcv, params);
// compiled op node returning opresult7579 (depth = 7)
  int op_slot_right_7569 = gc_frame_newslot(opresult7579);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7569 = gc_frame_newslot(*var_s);
  params[0] = opresult7579;
  partcv[0] = 1;
  Object opresult7581 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7581 (depth = 6)
  *var_s = opresult7581;
  if (opresult7581 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7566 = done;
  } else {
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7585 == NULL) {
    strlit7585 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7585);
  }
// compiled string node returning strlit7585 (depth = 8)
  int op_slot_right_7584 = gc_frame_newslot(strlit7585);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe7588 = gc_frame_new();
// call case 4: self request
  Object call7589 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7588);
// compiled member node returning call7589 (depth = 9)
  int op_slot_right_7587 = gc_frame_newslot(call7589);
// starting to compile string node (depth = 9)
  if (strlit7591 == NULL) {
    strlit7591 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit7591);
  }
// compiled string node returning strlit7591 (depth = 9)
  int op_slot_left_7587 = gc_frame_newslot(strlit7591);
  params[0] = call7589;
  partcv[0] = 1;
  Object opresult7592 = callmethod(strlit7591, "++(1)", 1, partcv, params);
// compiled op node returning opresult7592 (depth = 8)
  int op_slot_left_7584 = gc_frame_newslot(opresult7592);
  params[0] = strlit7585;
  partcv[0] = 1;
  Object opresult7593 = callmethod(opresult7592, "++(1)", 1, partcv, params);
// compiled op node returning opresult7593 (depth = 7)
  int op_slot_right_7583 = gc_frame_newslot(opresult7593);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7583 = gc_frame_newslot(*var_s);
  params[0] = opresult7593;
  partcv[0] = 1;
  Object opresult7595 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7595 (depth = 6)
  *var_s = opresult7595;
  if (opresult7595 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7566 = done;
  }
// compiled if node returning if7566 (depth = 4)
    gc_frame_newslot(if7566);
    if7558 = if7566;
  }
// compiled if node returning if7558 (depth = 3)
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7599 = gc_frame_new();
// call case 4: self request
  Object call7600 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7599);
// compiled member node returning call7600 (depth = 5)
  int op_slot_right_7598 = gc_frame_newslot(call7600);
// starting to compile identifier node (depth = 5)
  Object bool7602 = alloc_Boolean(0);
// compiled identifier node returning bool7602 (depth = 5)
  int op_slot_left_7598 = gc_frame_newslot(bool7602);
  params[0] = call7600;
  partcv[0] = 1;
  Object opresult7603 = callmethod(bool7602, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7603 (depth = 4)
  Object if7597 = done;
  if (istrue(opresult7603)) {
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7605 == NULL) {
    strlit7605 = alloc_String("  Type: ");
    gc_root(strlit7605);
  }
// compiled string node returning strlit7605 (depth = 6)
  int op_slot_right_7604 = gc_frame_newslot(strlit7605);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7607 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7610 == NULL) {
    strlit7610 = alloc_String("""\x0a""");
    gc_root(strlit7610);
  }
// compiled string node returning strlit7610 (depth = 8)
  int op_slot_right_7609 = gc_frame_newslot(strlit7610);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7609 = gc_frame_newslot(*var_s);
  params[0] = strlit7610;
  partcv[0] = 1;
  Object opresult7612 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7612 (depth = 7)
  int op_slot_left_7607 = gc_frame_newslot(opresult7612);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7613 = callmethod(opresult7612, "++(1)", 1, partcv, params);
// compiled op node returning opresult7613 (depth = 6)
  int op_slot_left_7604 = gc_frame_newslot(opresult7613);
  params[0] = strlit7605;
  partcv[0] = 1;
  Object opresult7614 = callmethod(opresult7613, "++(1)", 1, partcv, params);
// compiled op node returning opresult7614 (depth = 5)
  *var_s = opresult7614;
  if (opresult7614 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7617 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7619 = alloc_Float64(2);
// compiled num node returning num7619 (depth = 8)
  int op_slot_right_7618 = gc_frame_newslot(num7619);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7618 = gc_frame_newslot(*var_depth);
  params[0] = num7619;
  partcv[0] = 1;
  Object sum7621 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7621 (depth = 7)
  gc_frame_newslot(sum7621);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7622 = gc_frame_new();
// call case 4: self request
  Object call7623 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7622);
// compiled member node returning call7623 (depth = 7)
  params[0] = sum7621;
  partcv[0] = 1;
  Object call7624 = callmethodflags(call7623, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7617);
// compiled call node returning call7624 (depth = 6)
  int op_slot_right_7616 = gc_frame_newslot(call7624);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7616 = gc_frame_newslot(*var_s);
  params[0] = call7624;
  partcv[0] = 1;
  Object opresult7626 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7626 (depth = 5)
  *var_s = opresult7626;
  if (opresult7626 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7597 = done;
  } else {
  }
// compiled if node returning if7597 (depth = 3)
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7630 = gc_frame_new();
// call case 4: self request
  Object call7631 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7630);
// compiled member node returning call7631 (depth = 5)
  int op_slot_right_7629 = gc_frame_newslot(call7631);
// starting to compile identifier node (depth = 5)
  Object bool7633 = alloc_Boolean(0);
// compiled identifier node returning bool7633 (depth = 5)
  int op_slot_left_7629 = gc_frame_newslot(bool7633);
  params[0] = call7631;
  partcv[0] = 1;
  Object opresult7634 = callmethod(bool7633, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7634 (depth = 4)
  Object if7628 = done;
  if (istrue(opresult7634)) {
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7636 == NULL) {
    strlit7636 = alloc_String("Generics:");
    gc_root(strlit7636);
  }
// compiled string node returning strlit7636 (depth = 6)
  int op_slot_right_7635 = gc_frame_newslot(strlit7636);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7638 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7641 == NULL) {
    strlit7641 = alloc_String("""\x0a""");
    gc_root(strlit7641);
  }
// compiled string node returning strlit7641 (depth = 8)
  int op_slot_right_7640 = gc_frame_newslot(strlit7641);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7640 = gc_frame_newslot(*var_s);
  params[0] = strlit7641;
  partcv[0] = 1;
  Object opresult7643 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7643 (depth = 7)
  int op_slot_left_7638 = gc_frame_newslot(opresult7643);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7644 = callmethod(opresult7643, "++(1)", 1, partcv, params);
// compiled op node returning opresult7644 (depth = 6)
  int op_slot_left_7635 = gc_frame_newslot(opresult7644);
  params[0] = strlit7636;
  partcv[0] = 1;
  Object opresult7645 = callmethod(opresult7644, "++(1)", 1, partcv, params);
// compiled op node returning opresult7645 (depth = 5)
  *var_s = opresult7645;
  if (opresult7645 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7647 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7648 = gc_frame_new();
// call case 4: self request
  Object call7649 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7648);
// compiled member node returning call7649 (depth = 5)
  gc_frame_newslot(call7649);
// starting to compile block node (depth = 5)
  Object block7650 = alloc_Block(NULL, NULL, "ast", 2002);
  gc_frame_newslot(block7650);
// method "_apply(_)"
  block_savedest(block7650);
  Object closure7651 = createclosure(4, "_apply(1)");
  setclosureframe(closure7651, stackframe);
  addtoclosure(closure7651, var_depth);
  addtoclosure(closure7651, var_spc);
  addtoclosure(closure7651, var_s);
  addtoclosure(closure7651, selfslot);
  struct UserObject *uo7651 = (struct UserObject*)block7650;
  uo7651->data[0] = (Object)closure7651;
  Method *meth_meth_ast_7651__apply_40_1_41_ = addmethod2pos(block7650, "_apply(1)", &meth_ast_7651__apply_40_1_41_, 0);
  int argcv_meth_ast_7651__apply_40_1_41_[] = {1};
  meth_meth_ast_7651__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7651__apply_40_1_41_);
  meth_meth_ast_7651__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7651__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7650 (depth = 5)
  gc_frame_newslot(block7650);
// call case 5: prelude request
  params[0] = call7649;
  params[1] = block7650;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7674 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7647);
// compiled call node returning call7674 (depth = 4)
    gc_frame_newslot(call7674);
    if7628 = call7674;
  } else {
  }
// compiled if node returning if7628 (depth = 3)
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_7733__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7735 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7737 = alloc_Float64(1);
// compiled num node returning num7737 (depth = 10)
  int op_slot_right_7736 = gc_frame_newslot(num7737);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_7736 = gc_frame_newslot(*var_depth);
  params[0] = num7737;
  partcv[0] = 1;
  Object sum7739 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7739 (depth = 9)
  gc_frame_newslot(sum7739);
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe7740 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe7741 = gc_frame_new();
// call case 4: self request
  Object call7742 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7741);
// compiled member node returning call7742 (depth = 10)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call7743 = callmethodflags(call7742, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7740);
// compiled call node returning call7743 (depth = 9)
  params[0] = sum7739;
  partcv[0] = 1;
  Object call7744 = callmethodflags(call7743, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7735);
// compiled call node returning call7744 (depth = 8)
  int op_slot_right_7734 = gc_frame_newslot(call7744);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7734 = gc_frame_newslot(*var_s);
  params[0] = call7744;
  partcv[0] = 1;
  Object opresult7746 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7746 (depth = 7)
  *var_s = opresult7746;
  if (opresult7746 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_7675_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_s = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7677 = gc_frame_new();
// call case 4: self request
  Object call7678 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7677);
// compiled member node returning call7678 (depth = 4)
  Object if7676 = done;
  if (istrue(call7678)) {
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7679 == NULL) {
    strlit7679 = alloc_String("_");
    gc_root(strlit7679);
  }
// compiled string node returning strlit7679 (depth = 5)
  *var_s = strlit7679;
  if (strlit7679 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7676 = done;
  } else {
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7681 = gc_frame_new();
// call case 4: self request
  Object call7682 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7681);
// compiled member node returning call7682 (depth = 5)
  *var_s = call7682;
  if (call7682 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7676 = done;
  }
// compiled if node returning if7676 (depth = 3)
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7686 = gc_frame_new();
// call case 4: self request
  Object call7687 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7686);
// compiled member node returning call7687 (depth = 5)
  int op_slot_right_7685 = gc_frame_newslot(call7687);
// starting to compile identifier node (depth = 5)
  Object bool7689 = alloc_Boolean(0);
// compiled identifier node returning bool7689 (depth = 5)
  int op_slot_left_7685 = gc_frame_newslot(bool7689);
  params[0] = call7687;
  partcv[0] = 1;
  Object opresult7690 = callmethod(bool7689, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7690 (depth = 4)
  Object if7684 = done;
  if (istrue(opresult7690)) {
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7692 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7694 = alloc_Float64(1);
// compiled num node returning num7694 (depth = 8)
  int op_slot_right_7693 = gc_frame_newslot(num7694);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7693 = gc_frame_newslot(*var_depth);
  params[0] = num7694;
  partcv[0] = 1;
  Object sum7696 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7696 (depth = 7)
  gc_frame_newslot(sum7696);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7697 = gc_frame_new();
// call case 4: self request
  Object call7698 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7697);
// compiled member node returning call7698 (depth = 7)
  params[0] = sum7696;
  partcv[0] = 1;
  Object call7699 = callmethodflags(call7698, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7692);
// compiled call node returning call7699 (depth = 6)
  int op_slot_right_7691 = gc_frame_newslot(call7699);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7702 == NULL) {
    strlit7702 = alloc_String(" : ");
    gc_root(strlit7702);
  }
// compiled string node returning strlit7702 (depth = 7)
  int op_slot_right_7701 = gc_frame_newslot(strlit7702);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7701 = gc_frame_newslot(*var_s);
  params[0] = strlit7702;
  partcv[0] = 1;
  Object opresult7704 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7704 (depth = 6)
  int op_slot_left_7691 = gc_frame_newslot(opresult7704);
  params[0] = call7699;
  partcv[0] = 1;
  Object opresult7705 = callmethod(opresult7704, "++(1)", 1, partcv, params);
// compiled op node returning opresult7705 (depth = 5)
  *var_s = opresult7705;
  if (opresult7705 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7684 = done;
  } else {
  }
// compiled if node returning if7684 (depth = 3)
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7709 = gc_frame_new();
// call case 4: self request
  Object call7710 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7709);
// compiled member node returning call7710 (depth = 5)
  int op_slot_right_7708 = gc_frame_newslot(call7710);
// starting to compile identifier node (depth = 5)
  Object bool7712 = alloc_Boolean(0);
// compiled identifier node returning bool7712 (depth = 5)
  int op_slot_left_7708 = gc_frame_newslot(bool7712);
  params[0] = call7710;
  partcv[0] = 1;
  Object opresult7713 = callmethod(bool7712, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7713 (depth = 4)
  Object if7707 = done;
  if (istrue(opresult7713)) {
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7715 == NULL) {
    strlit7715 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit7715);
  }
// compiled string node returning strlit7715 (depth = 6)
  int op_slot_right_7714 = gc_frame_newslot(strlit7715);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7714 = gc_frame_newslot(*var_s);
  params[0] = strlit7715;
  partcv[0] = 1;
  Object opresult7717 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7717 (depth = 5)
  *var_s = opresult7717;
  if (opresult7717 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7719 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7722 = alloc_Float64(1);
// compiled num node returning num7722 (depth = 7)
  int op_slot_right_7721 = gc_frame_newslot(num7722);
// starting to compile member node (depth = 7)
  int callframe7724 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7725 = gc_frame_new();
// call case 4: self request
  Object call7726 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7725);
// compiled member node returning call7726 (depth = 8)
  Object call7727 = callmethodflags(call7726, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7724);
// compiled member node returning call7727 (depth = 7)
  int op_slot_left_7721 = gc_frame_newslot(call7727);
  params[0] = num7722;
  partcv[0] = 1;
  Object diff7728 = callmethod(call7727, "-(1)", 1, partcv, params);
// compiled op node returning diff7728 (depth = 6)
  int op_slot_right_7720 = gc_frame_newslot(diff7728);
// starting to compile num node (depth = 6)
  Object num7730 = alloc_Float64(1);
// compiled num node returning num7730 (depth = 6)
  int op_slot_left_7720 = gc_frame_newslot(num7730);
  params[0] = diff7728;
  partcv[0] = 1;
  Object opresult7731 = callmethod(num7730, "..(1)", 1, partcv, params);
// compiled op node returning opresult7731 (depth = 5)
  gc_frame_newslot(opresult7731);
// starting to compile block node (depth = 5)
  Object block7732 = alloc_Block(NULL, NULL, "ast", 2020);
  gc_frame_newslot(block7732);
// method "_apply(_)"
  block_savedest(block7732);
  Object closure7733 = createclosure(3, "_apply(1)");
  setclosureframe(closure7733, stackframe);
  addtoclosure(closure7733, var_depth);
  addtoclosure(closure7733, var_s);
  addtoclosure(closure7733, selfslot);
  struct UserObject *uo7733 = (struct UserObject*)block7732;
  uo7733->data[0] = (Object)closure7733;
  Method *meth_meth_ast_7733__apply_40_1_41_ = addmethod2pos(block7732, "_apply(1)", &meth_ast_7733__apply_40_1_41_, 0);
  int argcv_meth_ast_7733__apply_40_1_41_[] = {1};
  meth_meth_ast_7733__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7733__apply_40_1_41_);
  meth_meth_ast_7733__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7733__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block7732 (depth = 5)
  gc_frame_newslot(block7732);
// call case 5: prelude request
  params[0] = opresult7731;
  params[1] = block7732;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7749 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7719);
// compiled call node returning call7749 (depth = 4)
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7751 == NULL) {
    strlit7751 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit7751);
  }
// compiled string node returning strlit7751 (depth = 6)
  int op_slot_right_7750 = gc_frame_newslot(strlit7751);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7754 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7756 = alloc_Float64(1);
// compiled num node returning num7756 (depth = 9)
  int op_slot_right_7755 = gc_frame_newslot(num7756);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_7755 = gc_frame_newslot(*var_depth);
  params[0] = num7756;
  partcv[0] = 1;
  Object sum7758 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7758 (depth = 8)
  gc_frame_newslot(sum7758);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7759 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe7760 = gc_frame_new();
// call case 4: self request
  Object call7761 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7760);
// compiled member node returning call7761 (depth = 9)
  Object call7762 = callmethodflags(call7761, "last", 0, partcv, params, 0);
  gc_frame_end(callframe7759);
// compiled member node returning call7762 (depth = 8)
  params[0] = sum7758;
  partcv[0] = 1;
  Object call7763 = callmethodflags(call7762, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7754);
// compiled call node returning call7763 (depth = 7)
  int op_slot_right_7753 = gc_frame_newslot(call7763);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7753 = gc_frame_newslot(*var_s);
  params[0] = call7763;
  partcv[0] = 1;
  Object opresult7765 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7765 (depth = 6)
  int op_slot_left_7750 = gc_frame_newslot(opresult7765);
  params[0] = strlit7751;
  partcv[0] = 1;
  Object opresult7766 = callmethod(opresult7765, "++(1)", 1, partcv, params);
// compiled op node returning opresult7766 (depth = 5)
  *var_s = opresult7766;
  if (opresult7766 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7707 = done;
  } else {
  }
// compiled if node returning if7707 (depth = 3)
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_7768_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7770 = gc_frame_new();
// call case 4: self request
  Object call7771 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7770);
// compiled member node returning call7771 (depth = 4)
  Object if7769 = done;
  if (istrue(call7771)) {
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7773 == NULL) {
    strlit7773 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7773);
  }
// compiled string node returning strlit7773 (depth = 5)
  int op_slot_right_7772 = gc_frame_newslot(strlit7773);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7776 = gc_frame_new();
// call case 4: self request
  Object call7777 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7776);
// compiled member node returning call7777 (depth = 6)
  int op_slot_right_7775 = gc_frame_newslot(call7777);
// starting to compile string node (depth = 6)
  if (strlit7779 == NULL) {
    strlit7779 = alloc_String("identifierBinding""\xe2""""\x80""""\xb9""");
    gc_root(strlit7779);
  }
// compiled string node returning strlit7779 (depth = 6)
  int op_slot_left_7775 = gc_frame_newslot(strlit7779);
  params[0] = call7777;
  partcv[0] = 1;
  Object opresult7780 = callmethod(strlit7779, "++(1)", 1, partcv, params);
// compiled op node returning opresult7780 (depth = 5)
  int op_slot_left_7772 = gc_frame_newslot(opresult7780);
  params[0] = strlit7773;
  partcv[0] = 1;
  Object opresult7781 = callmethod(opresult7780, "++(1)", 1, partcv, params);
// compiled op node returning opresult7781 (depth = 4)
    gc_frame_newslot(opresult7781);
    if7769 = opresult7781;
  } else {
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7783 == NULL) {
    strlit7783 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7783);
  }
// compiled string node returning strlit7783 (depth = 5)
  int op_slot_right_7782 = gc_frame_newslot(strlit7783);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7786 = gc_frame_new();
// call case 4: self request
  Object call7787 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7786);
// compiled member node returning call7787 (depth = 6)
  int op_slot_right_7785 = gc_frame_newslot(call7787);
// starting to compile string node (depth = 6)
  if (strlit7789 == NULL) {
    strlit7789 = alloc_String("identifier""\xe2""""\x80""""\xb9""");
    gc_root(strlit7789);
  }
// compiled string node returning strlit7789 (depth = 6)
  int op_slot_left_7785 = gc_frame_newslot(strlit7789);
  params[0] = call7787;
  partcv[0] = 1;
  Object opresult7790 = callmethod(strlit7789, "++(1)", 1, partcv, params);
// compiled op node returning opresult7790 (depth = 5)
  int op_slot_left_7782 = gc_frame_newslot(opresult7790);
  params[0] = strlit7783;
  partcv[0] = 1;
  Object opresult7791 = callmethod(opresult7790, "++(1)", 1, partcv, params);
// compiled op node returning opresult7791 (depth = 4)
    gc_frame_newslot(opresult7791);
    if7769 = opresult7791;
  }
// compiled if node returning if7769 (depth = 3)
  gc_frame_end(frame);
  return if7769;
}
Object meth_ast_7792_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2036
  setline(2036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7793 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7794 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7795 = gc_frame_new();
// call case 4: self request
  Object call7796 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7795);
// compiled member node returning call7796 (depth = 5)
  gc_frame_newslot(call7796);
// starting to compile member node (depth = 5)
  int callframe7797 = gc_frame_new();
// call case 4: self request
  Object call7798 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7797);
// compiled member node returning call7798 (depth = 5)
  gc_frame_newslot(call7798);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call7796;
  params[1] = call7798;
  partcv[0] = 2;
  Object call7799 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7794);
// compiled call node returning call7799 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7800 = callmethodflags(call7799, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7793);
// compiled call node returning call7800 (depth = 3)
  gc_frame_end(frame);
  return call7800;
}
Object meth_ast_7801_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7802 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7803 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7804 = callmethodflags(*var_other, "wildcard", 0, partcv, params, 0);
  gc_frame_end(callframe7803);
// compiled member node returning call7804 (depth = 4)
  gc_frame_newslot(call7804);
// call case 4: self request
  params[0] = call7804;
  partcv[0] = 1;
  Object call7805 = callmethodflags(self, "wildcard:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7802);
// compiled call node returning call7805 (depth = 3)
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7806 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7807 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7808 = callmethodflags(*var_other, "isBindingOccurrence", 0, partcv, params, 0);
  gc_frame_end(callframe7807);
// compiled member node returning call7808 (depth = 4)
  gc_frame_newslot(call7808);
// call case 4: self request
  params[0] = call7808;
  partcv[0] = 1;
  Object call7809 = callmethodflags(self, "isBindingOccurrence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7806);
// compiled call node returning call7809 (depth = 3)
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7810 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7811 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7812 = callmethodflags(*var_other, "isDeclaredByParent", 0, partcv, params, 0);
  gc_frame_end(callframe7811);
// compiled member node returning call7812 (depth = 4)
  gc_frame_newslot(call7812);
// call case 4: self request
  params[0] = call7812;
  partcv[0] = 1;
  Object call7813 = callmethodflags(self, "isDeclaredByParent:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7810);
// compiled call node returning call7813 (depth = 3)
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7814 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7815 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7816 = callmethodflags(*var_other, "isAssigned", 0, partcv, params, 0);
  gc_frame_end(callframe7815);
// compiled member node returning call7816 (depth = 4)
  gc_frame_newslot(call7816);
// call case 4: self request
  params[0] = call7816;
  partcv[0] = 1;
  Object call7817 = callmethodflags(self, "isAssigned:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7814);
// compiled call node returning call7817 (depth = 3)
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7818 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7819 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7820 = callmethodflags(*var_other, "inRequest", 0, partcv, params, 0);
  gc_frame_end(callframe7819);
// compiled member node returning call7820 (depth = 4)
  gc_frame_newslot(call7820);
// call case 4: self request
  params[0] = call7820;
  partcv[0] = 1;
  Object call7821 = callmethodflags(self, "inRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7818);
// compiled call node returning call7821 (depth = 3)
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7822 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7823 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7824 = callmethodflags(*var_other, "end", 0, partcv, params, 0);
  gc_frame_end(callframe7823);
// compiled member node returning call7824 (depth = 4)
  gc_frame_newslot(call7824);
// call case 4: self request
  params[0] = call7824;
  partcv[0] = 1;
  Object call7825 = callmethodflags(self, "end:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7822);
// compiled call node returning call7825 (depth = 3)
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7826 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7827 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7828 = callmethodflags(*var_other, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe7827);
// compiled member node returning call7828 (depth = 4)
  gc_frame_newslot(call7828);
// call case 4: self request
  params[0] = call7828;
  partcv[0] = 1;
  Object call7829 = callmethodflags(self, "canonicalName:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7826);
// compiled call node returning call7829 (depth = 3)
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_7830_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7831 == NULL) {
    strlit7831 = alloc_String("expression");
    gc_root(strlit7831);
  }
// compiled string node returning strlit7831 (depth = 3)
  gc_frame_end(frame);
  return strlit7831;
}
Object meth_ast_7403_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7404 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7404 = alloc_userobj2(43,34, objclass7404);
  gc_frame_newslot(obj7404);
  if (objclass7404 == NULL) {
    glfree(obj7404->class->name);
    obj7404->class->name = "identifierNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7404, self, 0);
  addmethodreal(obj7404,"outer", &reader_ast_outer_7405);
  Object oldself7404 = self;
  struct StackFrameObject *oldstackframe7404 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7404);
  gc_frame_newslot((Object)stackframe);
  self = obj7404;
  Object *oldselfslot7404 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7404 = (*(struct UserObject *)self).data[0], lowerouter7404 = thisouter7404;
  if (inheritingObject7404) {
    struct UserObject *inho7404 = (struct UserObject *)inheritingObject7404;
    while (inho7404->super != GraceDefaultObject) inho7404 = (struct UserObject *)inho7404->super;
    inho7404->super = obj7404;
    self = inheritingObject7404;
    *selfslot = self;
    lowerouter7404 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7404;
  }
  if (objclass7404 == NULL) {
  Method *reader7406 = addmethodrealflags(obj7404, "kind",&reader_ast_kind_7406, MFLAG_DEF);
  reader7406->definitionModule = modulename;
  reader7406->definitionLine = 1922;
  }
  adddatum2(obj7404, alloc_Undefined(), 1);
  if (objclass7404 == NULL) {
    Method *reader7407 = addmethodrealflags(obj7404, "value", &reader_ast_value_7407, 0);
    Method *writer7407 = addmethodrealflags(obj7404, "value:=(1)", &writer_ast_value_7407, 0);
    reader7407->definitionModule = modulename;
    writer7407->definitionModule = modulename;
    reader7407->definitionLine = 1923;
    writer7407->definitionLine = 1923;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 2);
  if (objclass7404 == NULL) {
    Method *reader7408 = addmethodrealflags(obj7404, "wildcard", &reader_ast_wildcard_7408, 0);
    Method *writer7408 = addmethodrealflags(obj7404, "wildcard:=(1)", &writer_ast_wildcard_7408, 0);
    reader7408->definitionModule = modulename;
    writer7408->definitionModule = modulename;
    reader7408->definitionLine = 1924;
    writer7408->definitionLine = 1924;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 3);
  if (objclass7404 == NULL) {
    Method *reader7409 = addmethodrealflags(obj7404, "dtype", &reader_ast_dtype_7409, 0);
    Method *writer7409 = addmethodrealflags(obj7404, "dtype:=(1)", &writer_ast_dtype_7409, 0);
    reader7409->definitionModule = modulename;
    writer7409->definitionModule = modulename;
    reader7409->definitionLine = 1925;
    writer7409->definitionLine = 1925;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 4);
  if (objclass7404 == NULL) {
    Method *reader7410 = addmethodrealflags(obj7404, "isBindingOccurrence", &reader_ast_isBindingOccurrence_7410, 0);
    Method *writer7410 = addmethodrealflags(obj7404, "isBindingOccurrence:=(1)", &writer_ast_isBindingOccurrence_7410, 0);
    reader7410->definitionModule = modulename;
    writer7410->definitionModule = modulename;
    reader7410->definitionLine = 1926;
    writer7410->definitionLine = 1926;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 5);
  if (objclass7404 == NULL) {
    Method *reader7411 = addmethodrealflags(obj7404, "isAssigned", &reader_ast_isAssigned_7411, 0);
    Method *writer7411 = addmethodrealflags(obj7404, "isAssigned:=(1)", &writer_ast_isAssigned_7411, 0);
    reader7411->definitionModule = modulename;
    writer7411->definitionModule = modulename;
    reader7411->definitionLine = 1927;
    writer7411->definitionLine = 1927;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 6);
  if (objclass7404 == NULL) {
    Method *reader7412 = addmethodrealflags(obj7404, "inRequest", &reader_ast_inRequest_7412, 0);
    Method *writer7412 = addmethodrealflags(obj7404, "inRequest:=(1)", &writer_ast_inRequest_7412, 0);
    reader7412->definitionModule = modulename;
    writer7412->definitionModule = modulename;
    reader7412->definitionLine = 1928;
    writer7412->definitionLine = 1928;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 7);
  if (objclass7404 == NULL) {
    Method *reader7413 = addmethodrealflags(obj7404, "generics", &reader_ast_generics_7413, 0);
    Method *writer7413 = addmethodrealflags(obj7404, "generics:=(1)", &writer_ast_generics_7413, 0);
    reader7413->definitionModule = modulename;
    writer7413->definitionModule = modulename;
    reader7413->definitionLine = 1929;
    writer7413->definitionLine = 1929;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 8);
  if (objclass7404 == NULL) {
    Method *reader7414 = addmethodrealflags(obj7404, "isDeclaredByParent", &reader_ast_isDeclaredByParent_7414, 0);
    Method *writer7414 = addmethodrealflags(obj7404, "isDeclaredByParent:=(1)", &writer_ast_isDeclaredByParent_7414, 0);
    reader7414->definitionModule = modulename;
    writer7414->definitionModule = modulename;
    reader7414->definitionLine = 1930;
    writer7414->definitionLine = 1930;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 9);
  if (objclass7404 == NULL) {
    Method *reader7415 = addmethodrealflags(obj7404, "end", &reader_ast_end_7415, 0);
    Method *writer7415 = addmethodrealflags(obj7404, "end:=(1)", &writer_ast_end_7415, 0);
    reader7415->definitionModule = modulename;
    writer7415->definitionModule = modulename;
    reader7415->definitionLine = 1931;
    writer7415->definitionLine = 1931;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 10);
// method "name"
  struct UserObject *uo7416 = (struct UserObject*)obj7404;
  uo7416->data[11] = emptyclosure;
  Method *meth_meth_ast_7416_name = addmethod2pos(obj7404, "name", &meth_ast_7416_name, 11);
  int argcv_meth_ast_7416_name[] = {0};
  meth_meth_ast_7416_name->type = alloc_MethodType(1, argcv_meth_ast_7416_name);
  meth_meth_ast_7416_name->definitionModule = modulename;
  meth_meth_ast_7416_name->definitionLine = 1933;
// method "name:=(_)"
  struct UserObject *uo7419 = (struct UserObject*)obj7404;
  uo7419->data[12] = emptyclosure;
  Method *meth_meth_ast_7419_name_58__61__40_1_41_ = addmethod2pos(obj7404, "name:=(1)", &meth_ast_7419_name_58__61__40_1_41_, 12);
  int argcv_meth_ast_7419_name_58__61__40_1_41_[] = {1};
  meth_meth_ast_7419_name_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7419_name_58__61__40_1_41_);
  meth_meth_ast_7419_name_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_7419_name_58__61__40_1_41_->definitionLine = 1934;
// method "nameString"
  struct UserObject *uo7439 = (struct UserObject*)obj7404;
  uo7439->data[13] = emptyclosure;
  Method *meth_meth_ast_7439_nameString = addmethod2pos(obj7404, "nameString", &meth_ast_7439_nameString, 13);
  int argcv_meth_ast_7439_nameString[] = {0};
  meth_meth_ast_7439_nameString->type = alloc_MethodType(1, argcv_meth_ast_7439_nameString);
  meth_meth_ast_7439_nameString->definitionModule = modulename;
  meth_meth_ast_7439_nameString->definitionLine = 1938;
  if (objclass7404 == NULL) {
    Method *reader7442 = addmethodrealflags(obj7404, "canonicalName", &reader_ast_canonicalName_7442, 0);
    Method *writer7442 = addmethodrealflags(obj7404, "canonicalName:=(1)", &writer_ast_canonicalName_7442, 0);
    reader7442->definitionModule = modulename;
    writer7442->definitionModule = modulename;
    reader7442->definitionLine = 1939;
    writer7442->definitionLine = 1939;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 14);
// method "quoted"
  struct UserObject *uo7443 = (struct UserObject*)obj7404;
  uo7443->data[15] = emptyclosure;
  Method *meth_meth_ast_7443_quoted = addmethod2pos(obj7404, "quoted", &meth_ast_7443_quoted, 15);
  int argcv_meth_ast_7443_quoted[] = {0};
  meth_meth_ast_7443_quoted->type = alloc_MethodType(1, argcv_meth_ast_7443_quoted);
  meth_meth_ast_7443_quoted->definitionModule = modulename;
  meth_meth_ast_7443_quoted->definitionLine = 1940;
// method "isIdentifier"
  struct UserObject *uo7448 = (struct UserObject*)obj7404;
  uo7448->data[16] = emptyclosure;
  Method *meth_meth_ast_7448_isIdentifier = addmethod2pos(obj7404, "isIdentifier", &meth_ast_7448_isIdentifier, 16);
  int argcv_meth_ast_7448_isIdentifier[] = {0};
  meth_meth_ast_7448_isIdentifier->type = alloc_MethodType(1, argcv_meth_ast_7448_isIdentifier);
  meth_meth_ast_7448_isIdentifier->definitionModule = modulename;
  meth_meth_ast_7448_isIdentifier->definitionLine = 1941;
// method "isSelf"
  struct UserObject *uo7450 = (struct UserObject*)obj7404;
  uo7450->data[17] = emptyclosure;
  Method *meth_meth_ast_7450_isSelf = addmethod2pos(obj7404, "isSelf", &meth_ast_7450_isSelf, 17);
  int argcv_meth_ast_7450_isSelf[] = {0};
  meth_meth_ast_7450_isSelf->type = alloc_MethodType(1, argcv_meth_ast_7450_isSelf);
  meth_meth_ast_7450_isSelf->definitionModule = modulename;
  meth_meth_ast_7450_isSelf->definitionLine = 1943;
// method "isSuper"
  struct UserObject *uo7457 = (struct UserObject*)obj7404;
  uo7457->data[18] = emptyclosure;
  Method *meth_meth_ast_7457_isSuper = addmethod2pos(obj7404, "isSuper", &meth_ast_7457_isSuper, 18);
  int argcv_meth_ast_7457_isSuper[] = {0};
  meth_meth_ast_7457_isSuper->type = alloc_MethodType(1, argcv_meth_ast_7457_isSuper);
  meth_meth_ast_7457_isSuper->definitionModule = modulename;
  meth_meth_ast_7457_isSuper->definitionLine = 1944;
// method "isPrelude"
  struct UserObject *uo7464 = (struct UserObject*)obj7404;
  uo7464->data[19] = emptyclosure;
  Method *meth_meth_ast_7464_isPrelude = addmethod2pos(obj7404, "isPrelude", &meth_ast_7464_isPrelude, 19);
  int argcv_meth_ast_7464_isPrelude[] = {0};
  meth_meth_ast_7464_isPrelude->type = alloc_MethodType(1, argcv_meth_ast_7464_isPrelude);
  meth_meth_ast_7464_isPrelude->definitionModule = modulename;
  meth_meth_ast_7464_isPrelude->definitionLine = 1945;
// method "isOuter"
  struct UserObject *uo7471 = (struct UserObject*)obj7404;
  uo7471->data[20] = emptyclosure;
  Method *meth_meth_ast_7471_isOuter = addmethod2pos(obj7404, "isOuter", &meth_ast_7471_isOuter, 20);
  int argcv_meth_ast_7471_isOuter[] = {0};
  meth_meth_ast_7471_isOuter->type = alloc_MethodType(1, argcv_meth_ast_7471_isOuter);
  meth_meth_ast_7471_isOuter->definitionModule = modulename;
  meth_meth_ast_7471_isOuter->definitionLine = 1946;
// method "isSelfOrOuter"
  struct UserObject *uo7478 = (struct UserObject*)obj7404;
  uo7478->data[21] = emptyclosure;
  Method *meth_meth_ast_7478_isSelfOrOuter = addmethod2pos(obj7404, "isSelfOrOuter", &meth_ast_7478_isSelfOrOuter, 21);
  int argcv_meth_ast_7478_isSelfOrOuter[] = {0};
  meth_meth_ast_7478_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_7478_isSelfOrOuter);
  meth_meth_ast_7478_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_7478_isSelfOrOuter->definitionLine = 1947;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo7488 = (struct UserObject*)obj7404;
  uo7488->data[22] = emptyclosure;
  Method *meth_meth_ast_7488_isAppliedOccurenceOfIdentifier = addmethod2pos(obj7404, "isAppliedOccurenceOfIdentifier", &meth_ast_7488_isAppliedOccurenceOfIdentifier, 22);
  int argcv_meth_ast_7488_isAppliedOccurenceOfIdentifier[] = {0};
  meth_meth_ast_7488_isAppliedOccurenceOfIdentifier->type = alloc_MethodType(1, argcv_meth_ast_7488_isAppliedOccurenceOfIdentifier);
  meth_meth_ast_7488_isAppliedOccurenceOfIdentifier->definitionModule = modulename;
  meth_meth_ast_7488_isAppliedOccurenceOfIdentifier->definitionLine = 1952;
// method "declarationKindWithAncestors(_)"
  struct UserObject *uo7497 = (struct UserObject*)obj7404;
  uo7497->data[23] = emptyclosure;
  Method *meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj7404, "declarationKindWithAncestors(1)", &meth_ast_7497_declarationKindWithAncestors_40_1_41_, 23);
  int argcv_meth_ast_7497_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7497_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_->definitionLine = 1959;
// method "inTypePositionWithAncestors(_)"
  struct UserObject *uo7502 = (struct UserObject*)obj7404;
  uo7502->data[24] = emptyclosure;
  Method *meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_ = addmethod2pos(obj7404, "inTypePositionWithAncestors(1)", &meth_ast_7502_inTypePositionWithAncestors_40_1_41_, 24);
  int argcv_meth_ast_7502_inTypePositionWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7502_inTypePositionWithAncestors_40_1_41_);
  meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_->definitionLine = 1962;
// method "usesAsType(_)"
  struct UserObject *uo7511 = (struct UserObject*)obj7404;
  uo7511->data[25] = emptyclosure;
  Method *meth_meth_ast_7511_usesAsType_40_1_41_ = addmethod2pos(obj7404, "usesAsType(1)", &meth_ast_7511_usesAsType_40_1_41_, 25);
  int argcv_meth_ast_7511_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_7511_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7511_usesAsType_40_1_41_);
  meth_meth_ast_7511_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7511_usesAsType_40_1_41_->definitionLine = 1969;
// method "accept(_)from(_)"
  struct UserObject *uo7517 = (struct UserObject*)obj7404;
  uo7517->data[26] = emptyclosure;
  Method *meth_meth_ast_7517_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7404, "accept(1)from(1)", &meth_ast_7517_accept_40_1_41_from_40_1_41_, 26);
  int argcv_meth_ast_7517_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7517_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7517_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7517_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7517_accept_40_1_41_from_40_1_41_->definitionLine = 1972;
// method "map(_)ancestors(_)"
  struct UserObject *uo7534 = (struct UserObject*)obj7404;
  uo7534->data[27] = emptyclosure;
  Method *meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7404, "map(1)ancestors(1)", &meth_ast_7534_map_40_1_41_ancestors_40_1_41_, 27);
  int argcv_meth_ast_7534_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7534_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_->definitionLine = 1980;
// method "pretty(_)"
  struct UserObject *uo7547 = (struct UserObject*)obj7404;
  uo7547->data[28] = emptyclosure;
  Method *meth_meth_ast_7547_pretty_40_1_41_ = addmethod2pos(obj7404, "pretty(1)", &meth_ast_7547_pretty_40_1_41_, 28);
  int argcv_meth_ast_7547_pretty_40_1_41_[] = {1};
  meth_meth_ast_7547_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7547_pretty_40_1_41_);
  meth_meth_ast_7547_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7547_pretty_40_1_41_->definitionLine = 1986;
// method "toGrace(_)"
  struct UserObject *uo7675 = (struct UserObject*)obj7404;
  uo7675->data[29] = emptyclosure;
  Method *meth_meth_ast_7675_toGrace_40_1_41_ = addmethod2pos(obj7404, "toGrace(1)", &meth_ast_7675_toGrace_40_1_41_, 29);
  int argcv_meth_ast_7675_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7675_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7675_toGrace_40_1_41_);
meth_meth_ast_7675_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7675_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7675_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7675_toGrace_40_1_41_->definitionLine = 2008;
// method "asString"
  struct UserObject *uo7768 = (struct UserObject*)obj7404;
  uo7768->data[30] = emptyclosure;
  Method *meth_meth_ast_7768_asString = addmethod2pos(obj7404, "asString", &meth_ast_7768_asString, 30);
  int argcv_meth_ast_7768_asString[] = {0};
  meth_meth_ast_7768_asString->type = alloc_MethodType(1, argcv_meth_ast_7768_asString);
  meth_meth_ast_7768_asString->definitionModule = modulename;
  meth_meth_ast_7768_asString->definitionLine = 2028;
// method "shallowCopy"
  block_savedest(obj7404);
  Object closure7792 = createclosure(1, "shallowCopy");
  setclosureframe(closure7792, stackframe);
  addtoclosure(closure7792, var_identifierNode);
  struct UserObject *uo7792 = (struct UserObject*)obj7404;
  uo7792->data[31] = (Object)closure7792;
  Method *meth_meth_ast_7792_shallowCopy = addmethod2pos(obj7404, "shallowCopy", &meth_ast_7792_shallowCopy, 31);
  int argcv_meth_ast_7792_shallowCopy[] = {0};
  meth_meth_ast_7792_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7792_shallowCopy);
  meth_meth_ast_7792_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7792_shallowCopy->definitionLine = 2035;
// method "postCopy(_)"
  struct UserObject *uo7801 = (struct UserObject*)obj7404;
  uo7801->data[32] = emptyclosure;
  Method *meth_meth_ast_7801_postCopy_40_1_41_ = addmethod2pos(obj7404, "postCopy(1)", &meth_ast_7801_postCopy_40_1_41_, 32);
  int argcv_meth_ast_7801_postCopy_40_1_41_[] = {1};
  meth_meth_ast_7801_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7801_postCopy_40_1_41_);
  meth_meth_ast_7801_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7801_postCopy_40_1_41_->definitionLine = 2038;
// method "statementName"
  struct UserObject *uo7830 = (struct UserObject*)obj7404;
  uo7830->data[33] = emptyclosure;
  Method *meth_meth_ast_7830_statementName = addmethod2pos(obj7404, "statementName", &meth_ast_7830_statementName, 33);
  int argcv_meth_ast_7830_statementName[] = {0};
  meth_meth_ast_7830_statementName->type = alloc_MethodType(1, argcv_meth_ast_7830_statementName);
  meth_meth_ast_7830_statementName->definitionModule = modulename;
  meth_meth_ast_7830_statementName->definitionLine = 2048;
  sourceObject = obj7404;
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7832 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7833 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7832);
// compiled call node returning call7833 (depth = 3)
  struct UserObject *obj7404_uo = (struct UserObject *)obj7404;
  obj7404_uo->super = call7833;
  sourceObject = obj7404;
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7834 == NULL) {
    strlit7834 = alloc_String("identifier");
    gc_root(strlit7834);
  }
// compiled string node returning strlit7834 (depth = 3)
  adddatum2(obj7404, strlit7834, 1);
  sourceObject = obj7404;
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj7404, *var_name_39_, 2);
  sourceObject = obj7404;
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7835 = alloc_Boolean(0);
// compiled identifier node returning bool7835 (depth = 3)
  adddatum2(obj7404, bool7835, 3);
  sourceObject = obj7404;
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj7404, *var_dtype_39_, 4);
  sourceObject = obj7404;
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7836 = alloc_Boolean(0);
// compiled identifier node returning bool7836 (depth = 3)
  adddatum2(obj7404, bool7836, 5);
  sourceObject = obj7404;
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7837 = alloc_Boolean(0);
// compiled identifier node returning bool7837 (depth = 3)
  adddatum2(obj7404, bool7837, 6);
  sourceObject = obj7404;
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7838 = alloc_Boolean(0);
// compiled identifier node returning bool7838 (depth = 3)
  adddatum2(obj7404, bool7838, 7);
  sourceObject = obj7404;
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7839 = alloc_Boolean(0);
// compiled identifier node returning bool7839 (depth = 3)
  adddatum2(obj7404, bool7839, 8);
  sourceObject = obj7404;
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7840 = alloc_Boolean(0);
// compiled identifier node returning bool7840 (depth = 3)
  adddatum2(obj7404, bool7840, 9);
  sourceObject = obj7404;
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7841 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7842 = gc_frame_new();
// call case 4: self request
  Object call7843 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7842);
// compiled member node returning call7843 (depth = 4)
  gc_frame_newslot(call7843);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7845 = alloc_Float64(1);
// compiled num node returning num7845 (depth = 5)
  int op_slot_right_7844 = gc_frame_newslot(num7845);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7848 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7849 = gc_frame_new();
// call case 4: self request
  Object call7850 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7849);
// compiled member node returning call7850 (depth = 7)
  Object call7851 = callmethodflags(call7850, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7848);
// compiled member node returning call7851 (depth = 6)
  int op_slot_right_7847 = gc_frame_newslot(call7851);
// starting to compile member node (depth = 6)
  int callframe7853 = gc_frame_new();
// call case 4: self request
  Object call7854 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7853);
// compiled member node returning call7854 (depth = 6)
  int op_slot_left_7847 = gc_frame_newslot(call7854);
  params[0] = call7851;
  partcv[0] = 1;
  Object sum7855 = callmethod(call7854, "+(1)", 1, partcv, params);
// compiled op node returning sum7855 (depth = 5)
  int op_slot_left_7844 = gc_frame_newslot(sum7855);
  params[0] = num7845;
  partcv[0] = 1;
  Object diff7856 = callmethod(sum7855, "-(1)", 1, partcv, params);
// compiled op node returning diff7856 (depth = 4)
  gc_frame_newslot(diff7856);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call7843;
  params[1] = diff7856;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7857 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7841);
// compiled call node returning call7857 (depth = 3)
  adddatum2(obj7404, call7857, 10);
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7858 = gc_frame_new();
// call case 4: self request
  Object call7859 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7858);
// compiled member node returning call7859 (depth = 3)
  adddatum2(obj7404, call7859, 14);
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  objclass7404 = obj7404->class;
  objclass7404->definitionModule = modulename;
  objclass7404->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter7404;
  self = oldself7404;
  selfslot = oldselfslot7404;
  stackframe = oldstackframe7404;
  gc_frame_end(frame);
  return obj7404;
}
Object meth_ast_7403_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7404 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7404 = alloc_userobj2(43,34, objclass7404);
  gc_frame_newslot(obj7404);
  if (objclass7404 == NULL) {
    glfree(obj7404->class->name);
    obj7404->class->name = "identifierNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7404, self, 0);
  addmethodreal(obj7404,"outer", &reader_ast_outer_7405);
  Object oldself7404 = self;
  struct StackFrameObject *oldstackframe7404 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7404);
  gc_frame_newslot((Object)stackframe);
  self = obj7404;
  Object *oldselfslot7404 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7404 = (*(struct UserObject *)self).data[0], lowerouter7404 = thisouter7404;
  if (inheritingObject7404) {
    struct UserObject *inho7404 = (struct UserObject *)inheritingObject7404;
    while (inho7404->super != GraceDefaultObject) inho7404 = (struct UserObject *)inho7404->super;
    inho7404->super = obj7404;
    self = inheritingObject7404;
    *selfslot = self;
    lowerouter7404 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7404;
  }
  if (objclass7404 == NULL) {
  Method *reader7406 = addmethodrealflags(obj7404, "kind",&reader_ast_kind_7406, MFLAG_DEF);
  reader7406->definitionModule = modulename;
  reader7406->definitionLine = 1922;
  }
  adddatum2(obj7404, alloc_Undefined(), 1);
  if (objclass7404 == NULL) {
    Method *reader7407 = addmethodrealflags(obj7404, "value", &reader_ast_value_7407, 0);
    Method *writer7407 = addmethodrealflags(obj7404, "value:=(1)", &writer_ast_value_7407, 0);
    reader7407->definitionModule = modulename;
    writer7407->definitionModule = modulename;
    reader7407->definitionLine = 1923;
    writer7407->definitionLine = 1923;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 2);
  if (objclass7404 == NULL) {
    Method *reader7408 = addmethodrealflags(obj7404, "wildcard", &reader_ast_wildcard_7408, 0);
    Method *writer7408 = addmethodrealflags(obj7404, "wildcard:=(1)", &writer_ast_wildcard_7408, 0);
    reader7408->definitionModule = modulename;
    writer7408->definitionModule = modulename;
    reader7408->definitionLine = 1924;
    writer7408->definitionLine = 1924;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 3);
  if (objclass7404 == NULL) {
    Method *reader7409 = addmethodrealflags(obj7404, "dtype", &reader_ast_dtype_7409, 0);
    Method *writer7409 = addmethodrealflags(obj7404, "dtype:=(1)", &writer_ast_dtype_7409, 0);
    reader7409->definitionModule = modulename;
    writer7409->definitionModule = modulename;
    reader7409->definitionLine = 1925;
    writer7409->definitionLine = 1925;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 4);
  if (objclass7404 == NULL) {
    Method *reader7410 = addmethodrealflags(obj7404, "isBindingOccurrence", &reader_ast_isBindingOccurrence_7410, 0);
    Method *writer7410 = addmethodrealflags(obj7404, "isBindingOccurrence:=(1)", &writer_ast_isBindingOccurrence_7410, 0);
    reader7410->definitionModule = modulename;
    writer7410->definitionModule = modulename;
    reader7410->definitionLine = 1926;
    writer7410->definitionLine = 1926;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 5);
  if (objclass7404 == NULL) {
    Method *reader7411 = addmethodrealflags(obj7404, "isAssigned", &reader_ast_isAssigned_7411, 0);
    Method *writer7411 = addmethodrealflags(obj7404, "isAssigned:=(1)", &writer_ast_isAssigned_7411, 0);
    reader7411->definitionModule = modulename;
    writer7411->definitionModule = modulename;
    reader7411->definitionLine = 1927;
    writer7411->definitionLine = 1927;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 6);
  if (objclass7404 == NULL) {
    Method *reader7412 = addmethodrealflags(obj7404, "inRequest", &reader_ast_inRequest_7412, 0);
    Method *writer7412 = addmethodrealflags(obj7404, "inRequest:=(1)", &writer_ast_inRequest_7412, 0);
    reader7412->definitionModule = modulename;
    writer7412->definitionModule = modulename;
    reader7412->definitionLine = 1928;
    writer7412->definitionLine = 1928;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 7);
  if (objclass7404 == NULL) {
    Method *reader7413 = addmethodrealflags(obj7404, "generics", &reader_ast_generics_7413, 0);
    Method *writer7413 = addmethodrealflags(obj7404, "generics:=(1)", &writer_ast_generics_7413, 0);
    reader7413->definitionModule = modulename;
    writer7413->definitionModule = modulename;
    reader7413->definitionLine = 1929;
    writer7413->definitionLine = 1929;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 8);
  if (objclass7404 == NULL) {
    Method *reader7414 = addmethodrealflags(obj7404, "isDeclaredByParent", &reader_ast_isDeclaredByParent_7414, 0);
    Method *writer7414 = addmethodrealflags(obj7404, "isDeclaredByParent:=(1)", &writer_ast_isDeclaredByParent_7414, 0);
    reader7414->definitionModule = modulename;
    writer7414->definitionModule = modulename;
    reader7414->definitionLine = 1930;
    writer7414->definitionLine = 1930;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 9);
  if (objclass7404 == NULL) {
    Method *reader7415 = addmethodrealflags(obj7404, "end", &reader_ast_end_7415, 0);
    Method *writer7415 = addmethodrealflags(obj7404, "end:=(1)", &writer_ast_end_7415, 0);
    reader7415->definitionModule = modulename;
    writer7415->definitionModule = modulename;
    reader7415->definitionLine = 1931;
    writer7415->definitionLine = 1931;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 10);
// method "name"
  struct UserObject *uo7416 = (struct UserObject*)obj7404;
  uo7416->data[11] = emptyclosure;
  Method *meth_meth_ast_7416_name = addmethod2pos(obj7404, "name", &meth_ast_7416_name, 11);
  int argcv_meth_ast_7416_name[] = {0};
  meth_meth_ast_7416_name->type = alloc_MethodType(1, argcv_meth_ast_7416_name);
  meth_meth_ast_7416_name->definitionModule = modulename;
  meth_meth_ast_7416_name->definitionLine = 1933;
// method "name:=(_)"
  struct UserObject *uo7419 = (struct UserObject*)obj7404;
  uo7419->data[12] = emptyclosure;
  Method *meth_meth_ast_7419_name_58__61__40_1_41_ = addmethod2pos(obj7404, "name:=(1)", &meth_ast_7419_name_58__61__40_1_41_, 12);
  int argcv_meth_ast_7419_name_58__61__40_1_41_[] = {1};
  meth_meth_ast_7419_name_58__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7419_name_58__61__40_1_41_);
  meth_meth_ast_7419_name_58__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_7419_name_58__61__40_1_41_->definitionLine = 1934;
// method "nameString"
  struct UserObject *uo7439 = (struct UserObject*)obj7404;
  uo7439->data[13] = emptyclosure;
  Method *meth_meth_ast_7439_nameString = addmethod2pos(obj7404, "nameString", &meth_ast_7439_nameString, 13);
  int argcv_meth_ast_7439_nameString[] = {0};
  meth_meth_ast_7439_nameString->type = alloc_MethodType(1, argcv_meth_ast_7439_nameString);
  meth_meth_ast_7439_nameString->definitionModule = modulename;
  meth_meth_ast_7439_nameString->definitionLine = 1938;
  if (objclass7404 == NULL) {
    Method *reader7442 = addmethodrealflags(obj7404, "canonicalName", &reader_ast_canonicalName_7442, 0);
    Method *writer7442 = addmethodrealflags(obj7404, "canonicalName:=(1)", &writer_ast_canonicalName_7442, 0);
    reader7442->definitionModule = modulename;
    writer7442->definitionModule = modulename;
    reader7442->definitionLine = 1939;
    writer7442->definitionLine = 1939;
  }
  obj7404->flags |= OFLAG_MUTABLE;
  adddatum2(obj7404, alloc_Undefined(), 14);
// method "quoted"
  struct UserObject *uo7443 = (struct UserObject*)obj7404;
  uo7443->data[15] = emptyclosure;
  Method *meth_meth_ast_7443_quoted = addmethod2pos(obj7404, "quoted", &meth_ast_7443_quoted, 15);
  int argcv_meth_ast_7443_quoted[] = {0};
  meth_meth_ast_7443_quoted->type = alloc_MethodType(1, argcv_meth_ast_7443_quoted);
  meth_meth_ast_7443_quoted->definitionModule = modulename;
  meth_meth_ast_7443_quoted->definitionLine = 1940;
// method "isIdentifier"
  struct UserObject *uo7448 = (struct UserObject*)obj7404;
  uo7448->data[16] = emptyclosure;
  Method *meth_meth_ast_7448_isIdentifier = addmethod2pos(obj7404, "isIdentifier", &meth_ast_7448_isIdentifier, 16);
  int argcv_meth_ast_7448_isIdentifier[] = {0};
  meth_meth_ast_7448_isIdentifier->type = alloc_MethodType(1, argcv_meth_ast_7448_isIdentifier);
  meth_meth_ast_7448_isIdentifier->definitionModule = modulename;
  meth_meth_ast_7448_isIdentifier->definitionLine = 1941;
// method "isSelf"
  struct UserObject *uo7450 = (struct UserObject*)obj7404;
  uo7450->data[17] = emptyclosure;
  Method *meth_meth_ast_7450_isSelf = addmethod2pos(obj7404, "isSelf", &meth_ast_7450_isSelf, 17);
  int argcv_meth_ast_7450_isSelf[] = {0};
  meth_meth_ast_7450_isSelf->type = alloc_MethodType(1, argcv_meth_ast_7450_isSelf);
  meth_meth_ast_7450_isSelf->definitionModule = modulename;
  meth_meth_ast_7450_isSelf->definitionLine = 1943;
// method "isSuper"
  struct UserObject *uo7457 = (struct UserObject*)obj7404;
  uo7457->data[18] = emptyclosure;
  Method *meth_meth_ast_7457_isSuper = addmethod2pos(obj7404, "isSuper", &meth_ast_7457_isSuper, 18);
  int argcv_meth_ast_7457_isSuper[] = {0};
  meth_meth_ast_7457_isSuper->type = alloc_MethodType(1, argcv_meth_ast_7457_isSuper);
  meth_meth_ast_7457_isSuper->definitionModule = modulename;
  meth_meth_ast_7457_isSuper->definitionLine = 1944;
// method "isPrelude"
  struct UserObject *uo7464 = (struct UserObject*)obj7404;
  uo7464->data[19] = emptyclosure;
  Method *meth_meth_ast_7464_isPrelude = addmethod2pos(obj7404, "isPrelude", &meth_ast_7464_isPrelude, 19);
  int argcv_meth_ast_7464_isPrelude[] = {0};
  meth_meth_ast_7464_isPrelude->type = alloc_MethodType(1, argcv_meth_ast_7464_isPrelude);
  meth_meth_ast_7464_isPrelude->definitionModule = modulename;
  meth_meth_ast_7464_isPrelude->definitionLine = 1945;
// method "isOuter"
  struct UserObject *uo7471 = (struct UserObject*)obj7404;
  uo7471->data[20] = emptyclosure;
  Method *meth_meth_ast_7471_isOuter = addmethod2pos(obj7404, "isOuter", &meth_ast_7471_isOuter, 20);
  int argcv_meth_ast_7471_isOuter[] = {0};
  meth_meth_ast_7471_isOuter->type = alloc_MethodType(1, argcv_meth_ast_7471_isOuter);
  meth_meth_ast_7471_isOuter->definitionModule = modulename;
  meth_meth_ast_7471_isOuter->definitionLine = 1946;
// method "isSelfOrOuter"
  struct UserObject *uo7478 = (struct UserObject*)obj7404;
  uo7478->data[21] = emptyclosure;
  Method *meth_meth_ast_7478_isSelfOrOuter = addmethod2pos(obj7404, "isSelfOrOuter", &meth_ast_7478_isSelfOrOuter, 21);
  int argcv_meth_ast_7478_isSelfOrOuter[] = {0};
  meth_meth_ast_7478_isSelfOrOuter->type = alloc_MethodType(1, argcv_meth_ast_7478_isSelfOrOuter);
  meth_meth_ast_7478_isSelfOrOuter->definitionModule = modulename;
  meth_meth_ast_7478_isSelfOrOuter->definitionLine = 1947;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo7488 = (struct UserObject*)obj7404;
  uo7488->data[22] = emptyclosure;
  Method *meth_meth_ast_7488_isAppliedOccurenceOfIdentifier = addmethod2pos(obj7404, "isAppliedOccurenceOfIdentifier", &meth_ast_7488_isAppliedOccurenceOfIdentifier, 22);
  int argcv_meth_ast_7488_isAppliedOccurenceOfIdentifier[] = {0};
  meth_meth_ast_7488_isAppliedOccurenceOfIdentifier->type = alloc_MethodType(1, argcv_meth_ast_7488_isAppliedOccurenceOfIdentifier);
  meth_meth_ast_7488_isAppliedOccurenceOfIdentifier->definitionModule = modulename;
  meth_meth_ast_7488_isAppliedOccurenceOfIdentifier->definitionLine = 1952;
// method "declarationKindWithAncestors(_)"
  struct UserObject *uo7497 = (struct UserObject*)obj7404;
  uo7497->data[23] = emptyclosure;
  Method *meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj7404, "declarationKindWithAncestors(1)", &meth_ast_7497_declarationKindWithAncestors_40_1_41_, 23);
  int argcv_meth_ast_7497_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7497_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7497_declarationKindWithAncestors_40_1_41_->definitionLine = 1959;
// method "inTypePositionWithAncestors(_)"
  struct UserObject *uo7502 = (struct UserObject*)obj7404;
  uo7502->data[24] = emptyclosure;
  Method *meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_ = addmethod2pos(obj7404, "inTypePositionWithAncestors(1)", &meth_ast_7502_inTypePositionWithAncestors_40_1_41_, 24);
  int argcv_meth_ast_7502_inTypePositionWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7502_inTypePositionWithAncestors_40_1_41_);
  meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7502_inTypePositionWithAncestors_40_1_41_->definitionLine = 1962;
// method "usesAsType(_)"
  struct UserObject *uo7511 = (struct UserObject*)obj7404;
  uo7511->data[25] = emptyclosure;
  Method *meth_meth_ast_7511_usesAsType_40_1_41_ = addmethod2pos(obj7404, "usesAsType(1)", &meth_ast_7511_usesAsType_40_1_41_, 25);
  int argcv_meth_ast_7511_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_7511_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7511_usesAsType_40_1_41_);
  meth_meth_ast_7511_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7511_usesAsType_40_1_41_->definitionLine = 1969;
// method "accept(_)from(_)"
  struct UserObject *uo7517 = (struct UserObject*)obj7404;
  uo7517->data[26] = emptyclosure;
  Method *meth_meth_ast_7517_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7404, "accept(1)from(1)", &meth_ast_7517_accept_40_1_41_from_40_1_41_, 26);
  int argcv_meth_ast_7517_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7517_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7517_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7517_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7517_accept_40_1_41_from_40_1_41_->definitionLine = 1972;
// method "map(_)ancestors(_)"
  struct UserObject *uo7534 = (struct UserObject*)obj7404;
  uo7534->data[27] = emptyclosure;
  Method *meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7404, "map(1)ancestors(1)", &meth_ast_7534_map_40_1_41_ancestors_40_1_41_, 27);
  int argcv_meth_ast_7534_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7534_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7534_map_40_1_41_ancestors_40_1_41_->definitionLine = 1980;
// method "pretty(_)"
  struct UserObject *uo7547 = (struct UserObject*)obj7404;
  uo7547->data[28] = emptyclosure;
  Method *meth_meth_ast_7547_pretty_40_1_41_ = addmethod2pos(obj7404, "pretty(1)", &meth_ast_7547_pretty_40_1_41_, 28);
  int argcv_meth_ast_7547_pretty_40_1_41_[] = {1};
  meth_meth_ast_7547_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7547_pretty_40_1_41_);
  meth_meth_ast_7547_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7547_pretty_40_1_41_->definitionLine = 1986;
// method "toGrace(_)"
  struct UserObject *uo7675 = (struct UserObject*)obj7404;
  uo7675->data[29] = emptyclosure;
  Method *meth_meth_ast_7675_toGrace_40_1_41_ = addmethod2pos(obj7404, "toGrace(1)", &meth_ast_7675_toGrace_40_1_41_, 29);
  int argcv_meth_ast_7675_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7675_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7675_toGrace_40_1_41_);
meth_meth_ast_7675_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7675_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7675_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7675_toGrace_40_1_41_->definitionLine = 2008;
// method "asString"
  struct UserObject *uo7768 = (struct UserObject*)obj7404;
  uo7768->data[30] = emptyclosure;
  Method *meth_meth_ast_7768_asString = addmethod2pos(obj7404, "asString", &meth_ast_7768_asString, 30);
  int argcv_meth_ast_7768_asString[] = {0};
  meth_meth_ast_7768_asString->type = alloc_MethodType(1, argcv_meth_ast_7768_asString);
  meth_meth_ast_7768_asString->definitionModule = modulename;
  meth_meth_ast_7768_asString->definitionLine = 2028;
// method "shallowCopy"
  block_savedest(obj7404);
  Object closure7792 = createclosure(1, "shallowCopy");
  setclosureframe(closure7792, stackframe);
  addtoclosure(closure7792, var_identifierNode);
  struct UserObject *uo7792 = (struct UserObject*)obj7404;
  uo7792->data[31] = (Object)closure7792;
  Method *meth_meth_ast_7792_shallowCopy = addmethod2pos(obj7404, "shallowCopy", &meth_ast_7792_shallowCopy, 31);
  int argcv_meth_ast_7792_shallowCopy[] = {0};
  meth_meth_ast_7792_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7792_shallowCopy);
  meth_meth_ast_7792_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7792_shallowCopy->definitionLine = 2035;
// method "postCopy(_)"
  struct UserObject *uo7801 = (struct UserObject*)obj7404;
  uo7801->data[32] = emptyclosure;
  Method *meth_meth_ast_7801_postCopy_40_1_41_ = addmethod2pos(obj7404, "postCopy(1)", &meth_ast_7801_postCopy_40_1_41_, 32);
  int argcv_meth_ast_7801_postCopy_40_1_41_[] = {1};
  meth_meth_ast_7801_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7801_postCopy_40_1_41_);
  meth_meth_ast_7801_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7801_postCopy_40_1_41_->definitionLine = 2038;
// method "statementName"
  struct UserObject *uo7830 = (struct UserObject*)obj7404;
  uo7830->data[33] = emptyclosure;
  Method *meth_meth_ast_7830_statementName = addmethod2pos(obj7404, "statementName", &meth_ast_7830_statementName, 33);
  int argcv_meth_ast_7830_statementName[] = {0};
  meth_meth_ast_7830_statementName->type = alloc_MethodType(1, argcv_meth_ast_7830_statementName);
  meth_meth_ast_7830_statementName->definitionModule = modulename;
  meth_meth_ast_7830_statementName->definitionLine = 2048;
  sourceObject = obj7404;
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7832 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7833 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7832);
// compiled call node returning call7833 (depth = 3)
  struct UserObject *obj7404_uo = (struct UserObject *)obj7404;
  obj7404_uo->super = call7833;
  sourceObject = obj7404;
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7834 == NULL) {
    strlit7834 = alloc_String("identifier");
    gc_root(strlit7834);
  }
// compiled string node returning strlit7834 (depth = 3)
  adddatum2(obj7404, strlit7834, 1);
  sourceObject = obj7404;
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj7404, *var_name_39_, 2);
  sourceObject = obj7404;
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7835 = alloc_Boolean(0);
// compiled identifier node returning bool7835 (depth = 3)
  adddatum2(obj7404, bool7835, 3);
  sourceObject = obj7404;
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj7404, *var_dtype_39_, 4);
  sourceObject = obj7404;
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7836 = alloc_Boolean(0);
// compiled identifier node returning bool7836 (depth = 3)
  adddatum2(obj7404, bool7836, 5);
  sourceObject = obj7404;
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7837 = alloc_Boolean(0);
// compiled identifier node returning bool7837 (depth = 3)
  adddatum2(obj7404, bool7837, 6);
  sourceObject = obj7404;
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7838 = alloc_Boolean(0);
// compiled identifier node returning bool7838 (depth = 3)
  adddatum2(obj7404, bool7838, 7);
  sourceObject = obj7404;
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7839 = alloc_Boolean(0);
// compiled identifier node returning bool7839 (depth = 3)
  adddatum2(obj7404, bool7839, 8);
  sourceObject = obj7404;
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7840 = alloc_Boolean(0);
// compiled identifier node returning bool7840 (depth = 3)
  adddatum2(obj7404, bool7840, 9);
  sourceObject = obj7404;
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7841 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7842 = gc_frame_new();
// call case 4: self request
  Object call7843 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7842);
// compiled member node returning call7843 (depth = 4)
  gc_frame_newslot(call7843);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7845 = alloc_Float64(1);
// compiled num node returning num7845 (depth = 5)
  int op_slot_right_7844 = gc_frame_newslot(num7845);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7848 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7849 = gc_frame_new();
// call case 4: self request
  Object call7850 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7849);
// compiled member node returning call7850 (depth = 7)
  Object call7851 = callmethodflags(call7850, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7848);
// compiled member node returning call7851 (depth = 6)
  int op_slot_right_7847 = gc_frame_newslot(call7851);
// starting to compile member node (depth = 6)
  int callframe7853 = gc_frame_new();
// call case 4: self request
  Object call7854 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7853);
// compiled member node returning call7854 (depth = 6)
  int op_slot_left_7847 = gc_frame_newslot(call7854);
  params[0] = call7851;
  partcv[0] = 1;
  Object sum7855 = callmethod(call7854, "+(1)", 1, partcv, params);
// compiled op node returning sum7855 (depth = 5)
  int op_slot_left_7844 = gc_frame_newslot(sum7855);
  params[0] = num7845;
  partcv[0] = 1;
  Object diff7856 = callmethod(sum7855, "-(1)", 1, partcv, params);
// compiled op node returning diff7856 (depth = 4)
  gc_frame_newslot(diff7856);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call7843;
  params[1] = diff7856;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7857 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7841);
// compiled call node returning call7857 (depth = 3)
  adddatum2(obj7404, call7857, 10);
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7858 = gc_frame_new();
// call case 4: self request
  Object call7859 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7858);
// compiled member node returning call7859 (depth = 3)
  adddatum2(obj7404, call7859, 14);
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  sourceObject = obj7404;
  objclass7404 = obj7404->class;
  objclass7404->definitionModule = modulename;
  objclass7404->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter7404;
  self = oldself7404;
  selfslot = oldselfslot7404;
  stackframe = oldstackframe7404;
  gc_frame_end(frame);
  return obj7404;
}
Object meth_ast_7862_identifierNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifierNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  gc_frame_end(frame);
  return *var_identifierNode;
}
Object meth_ast_7867_typeType(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_end(frame);
  return *var_typeType;
}
Object meth_ast_7871_unknownType(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "unknownType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_unknownType (depth = 3)
  gc_frame_end(frame);
  return *var_unknownType;
}
Object meth_ast_7874_new_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7875 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_v;
  partcv[0] = 1;
  Object call7876 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7875);
// compiled call node returning call7876 (depth = 4)
  *var_result = call7876;
  if (call7876 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7877 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call7878 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7877);
// compiled call node returning call7878 (depth = 3)
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_7885_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7886 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7887 = callmethodflags(*var_visitor, "visitString(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7886);
// compiled call node returning call7887 (depth = 3)
  gc_frame_end(frame);
  return call7887;
}
Object meth_ast_7888_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7889 = gc_frame_new();
// call case 4: self request
  Object call7890 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7889);
// compiled member node returning call7890 (depth = 4)
  *var_n = call7890;
  if (call7890 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7891 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7892 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7891);
// compiled call node returning call7892 (depth = 4)
  *var_newChain = call7892;
  if (call7892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2075
  setline(2075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7893 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7894 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7893);
// compiled call node returning call7894 (depth = 3)
  gc_frame_end(frame);
  return call7894;
}
Object meth_ast_7895_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7897 == NULL) {
    strlit7897 = alloc_String(")");
    gc_root(strlit7897);
  }
// compiled string node returning strlit7897 (depth = 4)
  int op_slot_right_7896 = gc_frame_newslot(strlit7897);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7900 = gc_frame_new();
// call case 4: self request
  Object call7901 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7900);
// compiled member node returning call7901 (depth = 5)
  int op_slot_right_7899 = gc_frame_newslot(call7901);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7904 == NULL) {
    strlit7904 = alloc_String("(");
    gc_root(strlit7904);
  }
// compiled string node returning strlit7904 (depth = 6)
  int op_slot_right_7903 = gc_frame_newslot(strlit7904);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7907 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7908 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7907);
// compiled call node returning call7908 (depth = 7)
  int op_slot_right_7906 = gc_frame_newslot(call7908);
// starting to compile string node (depth = 7)
  if (strlit7910 == NULL) {
    strlit7910 = alloc_String("");
    gc_root(strlit7910);
  }
// compiled string node returning strlit7910 (depth = 7)
  int op_slot_left_7906 = gc_frame_newslot(strlit7910);
  params[0] = call7908;
  partcv[0] = 1;
  Object opresult7911 = callmethod(strlit7910, "++(1)", 1, partcv, params);
// compiled op node returning opresult7911 (depth = 6)
  int op_slot_left_7903 = gc_frame_newslot(opresult7911);
  params[0] = strlit7904;
  partcv[0] = 1;
  Object opresult7912 = callmethod(opresult7911, "++(1)", 1, partcv, params);
// compiled op node returning opresult7912 (depth = 5)
  int op_slot_left_7899 = gc_frame_newslot(opresult7912);
  params[0] = call7901;
  partcv[0] = 1;
  Object opresult7913 = callmethod(opresult7912, "++(1)", 1, partcv, params);
// compiled op node returning opresult7913 (depth = 4)
  int op_slot_left_7896 = gc_frame_newslot(opresult7913);
  params[0] = strlit7897;
  partcv[0] = 1;
  Object opresult7914 = callmethod(opresult7913, "++(1)", 1, partcv, params);
// compiled op node returning opresult7914 (depth = 3)
  gc_frame_end(frame);
  return opresult7914;
}
Object meth_ast_7915_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_q = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "q");
// Begin line 2081
  setline(2081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7916 == NULL) {
    strlit7916 = alloc_String("""\x22""");
    gc_root(strlit7916);
  }
// compiled string node returning strlit7916 (depth = 4)
  *var_q = strlit7916;
  if (strlit7916 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_q (depth = 4)
  int op_slot_right_7917 = gc_frame_newslot(*var_q);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7920 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7921 = gc_frame_new();
// call case 4: self request
  Object call7922 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7921);
// compiled member node returning call7922 (depth = 6)
  Object call7923 = callmethodflags(call7922, "quoted", 0, partcv, params, 0);
  gc_frame_end(callframe7920);
// compiled member node returning call7923 (depth = 5)
  int op_slot_right_7919 = gc_frame_newslot(call7923);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_q (depth = 5)
  int op_slot_left_7919 = gc_frame_newslot(*var_q);
  params[0] = call7923;
  partcv[0] = 1;
  Object opresult7925 = callmethod(*var_q, "++(1)", 1, partcv, params);
// compiled op node returning opresult7925 (depth = 4)
  int op_slot_left_7917 = gc_frame_newslot(opresult7925);
  params[0] = *var_q;
  partcv[0] = 1;
  Object opresult7926 = callmethod(opresult7925, "++(1)", 1, partcv, params);
// compiled op node returning opresult7926 (depth = 3)
  gc_frame_end(frame);
  return opresult7926;
}
Object meth_ast_7927_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7929 == NULL) {
    strlit7929 = alloc_String("");
    gc_root(strlit7929);
  }
// compiled string node returning strlit7929 (depth = 4)
  int op_slot_right_7928 = gc_frame_newslot(strlit7929);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7932 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num7933 = alloc_Float64(0);
// compiled num node returning num7933 (depth = 6)
  gc_frame_newslot(num7933);
// call case 4: self request
  params[0] = num7933;
  partcv[0] = 1;
  Object call7934 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7932);
// compiled call node returning call7934 (depth = 5)
  int op_slot_right_7931 = gc_frame_newslot(call7934);
// starting to compile string node (depth = 5)
  if (strlit7936 == NULL) {
    strlit7936 = alloc_String("string ");
    gc_root(strlit7936);
  }
// compiled string node returning strlit7936 (depth = 5)
  int op_slot_left_7931 = gc_frame_newslot(strlit7936);
  params[0] = call7934;
  partcv[0] = 1;
  Object opresult7937 = callmethod(strlit7936, "++(1)", 1, partcv, params);
// compiled op node returning opresult7937 (depth = 4)
  int op_slot_left_7928 = gc_frame_newslot(opresult7937);
  params[0] = strlit7929;
  partcv[0] = 1;
  Object opresult7938 = callmethod(opresult7937, "++(1)", 1, partcv, params);
// compiled op node returning opresult7938 (depth = 3)
  gc_frame_end(frame);
  return opresult7938;
}
Object meth_ast_7939_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7940 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7941 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7942 = gc_frame_new();
// call case 4: self request
  Object call7943 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7942);
// compiled member node returning call7943 (depth = 5)
  gc_frame_newslot(call7943);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_stringNode (depth = 5)
  params[0] = call7943;
  partcv[0] = 1;
  Object call7944 = callmethodflags(*var_stringNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7941);
// compiled call node returning call7944 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7945 = callmethodflags(call7944, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7940);
// compiled call node returning call7945 (depth = 3)
  gc_frame_end(frame);
  return call7945;
}
Object meth_ast_7946_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7947 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7948 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7949 = callmethodflags(*var_other, "end", 0, partcv, params, 0);
  gc_frame_end(callframe7948);
// compiled member node returning call7949 (depth = 4)
  gc_frame_newslot(call7949);
// call case 4: self request
  params[0] = call7949;
  partcv[0] = 1;
  Object call7950 = callmethodflags(self, "end:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7947);
// compiled call node returning call7950 (depth = 3)
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_7951_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7952 == NULL) {
    strlit7952 = alloc_String("expression");
    gc_root(strlit7952);
  }
// compiled string node returning strlit7952 (depth = 3)
  gc_frame_end(frame);
  return strlit7952;
}
Object meth_ast_7953_isDelimited(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2093
  setline(2093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7954 = alloc_Boolean(1);
// compiled identifier node returning bool7954 (depth = 3)
  gc_frame_end(frame);
  return bool7954;
}
Object meth_ast_7955_isConstant(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConstant");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7956 = alloc_Boolean(1);
// compiled identifier node returning bool7956 (depth = 3)
  gc_frame_end(frame);
  return bool7956;
}
Object meth_ast_7879_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[2];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7880 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7880 = alloc_userobj2(15,14, objclass7880);
  gc_frame_newslot(obj7880);
  if (objclass7880 == NULL) {
    glfree(obj7880->class->name);
    obj7880->class->name = "stringNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7880, self, 0);
  addmethodreal(obj7880,"outer", &reader_ast_outer_7881);
  Object oldself7880 = self;
  struct StackFrameObject *oldstackframe7880 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7880);
  gc_frame_newslot((Object)stackframe);
  self = obj7880;
  Object *oldselfslot7880 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7880 = (*(struct UserObject *)self).data[0], lowerouter7880 = thisouter7880;
  if (inheritingObject7880) {
    struct UserObject *inho7880 = (struct UserObject *)inheritingObject7880;
    while (inho7880->super != GraceDefaultObject) inho7880 = (struct UserObject *)inho7880->super;
    inho7880->super = obj7880;
    self = inheritingObject7880;
    *selfslot = self;
    lowerouter7880 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7880;
  }
  if (objclass7880 == NULL) {
  Method *reader7882 = addmethodrealflags(obj7880, "kind",&reader_ast_kind_7882, MFLAG_DEF);
  reader7882->definitionModule = modulename;
  reader7882->definitionLine = 2064;
  }
  adddatum2(obj7880, alloc_Undefined(), 1);
  if (objclass7880 == NULL) {
    Method *reader7883 = addmethodrealflags(obj7880, "value", &reader_ast_value_7883, 0);
    Method *writer7883 = addmethodrealflags(obj7880, "value:=(1)", &writer_ast_value_7883, 0);
    reader7883->definitionModule = modulename;
    writer7883->definitionModule = modulename;
    reader7883->definitionLine = 2065;
    writer7883->definitionLine = 2065;
  }
  obj7880->flags |= OFLAG_MUTABLE;
  adddatum2(obj7880, alloc_Undefined(), 2);
  if (objclass7880 == NULL) {
    Method *reader7884 = addmethodrealflags(obj7880, "end", &reader_ast_end_7884, 0);
    Method *writer7884 = addmethodrealflags(obj7880, "end:=(1)", &writer_ast_end_7884, 0);
    reader7884->definitionModule = modulename;
    writer7884->definitionModule = modulename;
    reader7884->definitionLine = 2066;
    writer7884->definitionLine = 2066;
  }
  obj7880->flags |= OFLAG_MUTABLE;
  adddatum2(obj7880, alloc_Undefined(), 3);
// method "accept(_)from(_)"
  struct UserObject *uo7885 = (struct UserObject*)obj7880;
  uo7885->data[4] = emptyclosure;
  Method *meth_meth_ast_7885_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7880, "accept(1)from(1)", &meth_ast_7885_accept_40_1_41_from_40_1_41_, 4);
  int argcv_meth_ast_7885_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7885_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7885_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7885_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7885_accept_40_1_41_from_40_1_41_->definitionLine = 2069;
// method "map(_)ancestors(_)"
  struct UserObject *uo7888 = (struct UserObject*)obj7880;
  uo7888->data[5] = emptyclosure;
  Method *meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7880, "map(1)ancestors(1)", &meth_ast_7888_map_40_1_41_ancestors_40_1_41_, 5);
  int argcv_meth_ast_7888_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7888_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_->definitionLine = 2072;
// method "pretty(_)"
  struct UserObject *uo7895 = (struct UserObject*)obj7880;
  uo7895->data[6] = emptyclosure;
  Method *meth_meth_ast_7895_pretty_40_1_41_ = addmethod2pos(obj7880, "pretty(1)", &meth_ast_7895_pretty_40_1_41_, 6);
  int argcv_meth_ast_7895_pretty_40_1_41_[] = {1};
  meth_meth_ast_7895_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7895_pretty_40_1_41_);
  meth_meth_ast_7895_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7895_pretty_40_1_41_->definitionLine = 2077;
// method "toGrace(_)"
  struct UserObject *uo7915 = (struct UserObject*)obj7880;
  uo7915->data[7] = emptyclosure;
  Method *meth_meth_ast_7915_toGrace_40_1_41_ = addmethod2pos(obj7880, "toGrace(1)", &meth_ast_7915_toGrace_40_1_41_, 7);
  int argcv_meth_ast_7915_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7915_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7915_toGrace_40_1_41_);
meth_meth_ast_7915_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7915_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7915_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7915_toGrace_40_1_41_->definitionLine = 2080;
// method "asString"
  struct UserObject *uo7927 = (struct UserObject*)obj7880;
  uo7927->data[8] = emptyclosure;
  Method *meth_meth_ast_7927_asString = addmethod2pos(obj7880, "asString", &meth_ast_7927_asString, 8);
  int argcv_meth_ast_7927_asString[] = {0};
  meth_meth_ast_7927_asString->type = alloc_MethodType(1, argcv_meth_ast_7927_asString);
  meth_meth_ast_7927_asString->definitionModule = modulename;
  meth_meth_ast_7927_asString->definitionLine = 2084;
// method "shallowCopy"
  block_savedest(obj7880);
  Object closure7939 = createclosure(1, "shallowCopy");
  setclosureframe(closure7939, stackframe);
  addtoclosure(closure7939, var_stringNode);
  struct UserObject *uo7939 = (struct UserObject*)obj7880;
  uo7939->data[9] = (Object)closure7939;
  Method *meth_meth_ast_7939_shallowCopy = addmethod2pos(obj7880, "shallowCopy", &meth_ast_7939_shallowCopy, 9);
  int argcv_meth_ast_7939_shallowCopy[] = {0};
  meth_meth_ast_7939_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7939_shallowCopy);
  meth_meth_ast_7939_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7939_shallowCopy->definitionLine = 2085;
// method "postCopy(_)"
  struct UserObject *uo7946 = (struct UserObject*)obj7880;
  uo7946->data[10] = emptyclosure;
  Method *meth_meth_ast_7946_postCopy_40_1_41_ = addmethod2pos(obj7880, "postCopy(1)", &meth_ast_7946_postCopy_40_1_41_, 10);
  int argcv_meth_ast_7946_postCopy_40_1_41_[] = {1};
  meth_meth_ast_7946_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7946_postCopy_40_1_41_);
  meth_meth_ast_7946_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7946_postCopy_40_1_41_->definitionLine = 2088;
// method "statementName"
  struct UserObject *uo7951 = (struct UserObject*)obj7880;
  uo7951->data[11] = emptyclosure;
  Method *meth_meth_ast_7951_statementName = addmethod2pos(obj7880, "statementName", &meth_ast_7951_statementName, 11);
  int argcv_meth_ast_7951_statementName[] = {0};
  meth_meth_ast_7951_statementName->type = alloc_MethodType(1, argcv_meth_ast_7951_statementName);
  meth_meth_ast_7951_statementName->definitionModule = modulename;
  meth_meth_ast_7951_statementName->definitionLine = 2092;
// method "isDelimited"
  struct UserObject *uo7953 = (struct UserObject*)obj7880;
  uo7953->data[12] = emptyclosure;
  Method *meth_meth_ast_7953_isDelimited = addmethod2pos(obj7880, "isDelimited", &meth_ast_7953_isDelimited, 12);
  int argcv_meth_ast_7953_isDelimited[] = {0};
  meth_meth_ast_7953_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_7953_isDelimited);
  meth_meth_ast_7953_isDelimited->definitionModule = modulename;
  meth_meth_ast_7953_isDelimited->definitionLine = 2093;
// method "isConstant"
  struct UserObject *uo7955 = (struct UserObject*)obj7880;
  uo7955->data[13] = emptyclosure;
  Method *meth_meth_ast_7955_isConstant = addmethod2pos(obj7880, "isConstant", &meth_ast_7955_isConstant, 13);
  int argcv_meth_ast_7955_isConstant[] = {0};
  meth_meth_ast_7955_isConstant->type = alloc_MethodType(1, argcv_meth_ast_7955_isConstant);
  meth_meth_ast_7955_isConstant->definitionModule = modulename;
  meth_meth_ast_7955_isConstant->definitionLine = 2094;
  sourceObject = obj7880;
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7957 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7958 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7957);
// compiled call node returning call7958 (depth = 3)
  struct UserObject *obj7880_uo = (struct UserObject *)obj7880;
  obj7880_uo->super = call7958;
  sourceObject = obj7880;
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7959 == NULL) {
    strlit7959 = alloc_String("string");
    gc_root(strlit7959);
  }
// compiled string node returning strlit7959 (depth = 3)
  adddatum2(obj7880, strlit7959, 1);
  sourceObject = obj7880;
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  adddatum2(obj7880, *var_v, 2);
  sourceObject = obj7880;
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7960 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7961 = gc_frame_new();
// call case 4: self request
  Object call7962 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7961);
// compiled member node returning call7962 (depth = 4)
  gc_frame_newslot(call7962);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7964 = alloc_Float64(1);
// compiled num node returning num7964 (depth = 5)
  int op_slot_right_7963 = gc_frame_newslot(num7964);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7967 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  Object call7968 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7967);
// compiled member node returning call7968 (depth = 6)
  int op_slot_right_7966 = gc_frame_newslot(call7968);
// starting to compile member node (depth = 6)
  int callframe7970 = gc_frame_new();
// call case 4: self request
  Object call7971 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7970);
// compiled member node returning call7971 (depth = 6)
  int op_slot_left_7966 = gc_frame_newslot(call7971);
  params[0] = call7968;
  partcv[0] = 1;
  Object sum7972 = callmethod(call7971, "+(1)", 1, partcv, params);
// compiled op node returning sum7972 (depth = 5)
  int op_slot_left_7963 = gc_frame_newslot(sum7972);
  params[0] = num7964;
  partcv[0] = 1;
  Object sum7973 = callmethod(sum7972, "+(1)", 1, partcv, params);
// compiled op node returning sum7973 (depth = 4)
  gc_frame_newslot(sum7973);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call7962;
  params[1] = sum7973;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7974 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7960);
// compiled call node returning call7974 (depth = 3)
  adddatum2(obj7880, call7974, 3);
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  objclass7880 = obj7880->class;
  objclass7880->definitionModule = modulename;
  objclass7880->definitionLine = 2062;
  (*(struct UserObject *)self).data[0] = lowerouter7880;
  self = oldself7880;
  selfslot = oldselfslot7880;
  stackframe = oldstackframe7880;
  gc_frame_end(frame);
  return obj7880;
}
Object meth_ast_7879_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[2];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7880 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7880 = alloc_userobj2(15,14, objclass7880);
  gc_frame_newslot(obj7880);
  if (objclass7880 == NULL) {
    glfree(obj7880->class->name);
    obj7880->class->name = "stringNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7880, self, 0);
  addmethodreal(obj7880,"outer", &reader_ast_outer_7881);
  Object oldself7880 = self;
  struct StackFrameObject *oldstackframe7880 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7880);
  gc_frame_newslot((Object)stackframe);
  self = obj7880;
  Object *oldselfslot7880 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7880 = (*(struct UserObject *)self).data[0], lowerouter7880 = thisouter7880;
  if (inheritingObject7880) {
    struct UserObject *inho7880 = (struct UserObject *)inheritingObject7880;
    while (inho7880->super != GraceDefaultObject) inho7880 = (struct UserObject *)inho7880->super;
    inho7880->super = obj7880;
    self = inheritingObject7880;
    *selfslot = self;
    lowerouter7880 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7880;
  }
  if (objclass7880 == NULL) {
  Method *reader7882 = addmethodrealflags(obj7880, "kind",&reader_ast_kind_7882, MFLAG_DEF);
  reader7882->definitionModule = modulename;
  reader7882->definitionLine = 2064;
  }
  adddatum2(obj7880, alloc_Undefined(), 1);
  if (objclass7880 == NULL) {
    Method *reader7883 = addmethodrealflags(obj7880, "value", &reader_ast_value_7883, 0);
    Method *writer7883 = addmethodrealflags(obj7880, "value:=(1)", &writer_ast_value_7883, 0);
    reader7883->definitionModule = modulename;
    writer7883->definitionModule = modulename;
    reader7883->definitionLine = 2065;
    writer7883->definitionLine = 2065;
  }
  obj7880->flags |= OFLAG_MUTABLE;
  adddatum2(obj7880, alloc_Undefined(), 2);
  if (objclass7880 == NULL) {
    Method *reader7884 = addmethodrealflags(obj7880, "end", &reader_ast_end_7884, 0);
    Method *writer7884 = addmethodrealflags(obj7880, "end:=(1)", &writer_ast_end_7884, 0);
    reader7884->definitionModule = modulename;
    writer7884->definitionModule = modulename;
    reader7884->definitionLine = 2066;
    writer7884->definitionLine = 2066;
  }
  obj7880->flags |= OFLAG_MUTABLE;
  adddatum2(obj7880, alloc_Undefined(), 3);
// method "accept(_)from(_)"
  struct UserObject *uo7885 = (struct UserObject*)obj7880;
  uo7885->data[4] = emptyclosure;
  Method *meth_meth_ast_7885_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7880, "accept(1)from(1)", &meth_ast_7885_accept_40_1_41_from_40_1_41_, 4);
  int argcv_meth_ast_7885_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7885_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7885_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7885_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7885_accept_40_1_41_from_40_1_41_->definitionLine = 2069;
// method "map(_)ancestors(_)"
  struct UserObject *uo7888 = (struct UserObject*)obj7880;
  uo7888->data[5] = emptyclosure;
  Method *meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7880, "map(1)ancestors(1)", &meth_ast_7888_map_40_1_41_ancestors_40_1_41_, 5);
  int argcv_meth_ast_7888_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7888_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7888_map_40_1_41_ancestors_40_1_41_->definitionLine = 2072;
// method "pretty(_)"
  struct UserObject *uo7895 = (struct UserObject*)obj7880;
  uo7895->data[6] = emptyclosure;
  Method *meth_meth_ast_7895_pretty_40_1_41_ = addmethod2pos(obj7880, "pretty(1)", &meth_ast_7895_pretty_40_1_41_, 6);
  int argcv_meth_ast_7895_pretty_40_1_41_[] = {1};
  meth_meth_ast_7895_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7895_pretty_40_1_41_);
  meth_meth_ast_7895_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7895_pretty_40_1_41_->definitionLine = 2077;
// method "toGrace(_)"
  struct UserObject *uo7915 = (struct UserObject*)obj7880;
  uo7915->data[7] = emptyclosure;
  Method *meth_meth_ast_7915_toGrace_40_1_41_ = addmethod2pos(obj7880, "toGrace(1)", &meth_ast_7915_toGrace_40_1_41_, 7);
  int argcv_meth_ast_7915_toGrace_40_1_41_[] = {1};
  meth_meth_ast_7915_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7915_toGrace_40_1_41_);
meth_meth_ast_7915_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_7915_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_7915_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7915_toGrace_40_1_41_->definitionLine = 2080;
// method "asString"
  struct UserObject *uo7927 = (struct UserObject*)obj7880;
  uo7927->data[8] = emptyclosure;
  Method *meth_meth_ast_7927_asString = addmethod2pos(obj7880, "asString", &meth_ast_7927_asString, 8);
  int argcv_meth_ast_7927_asString[] = {0};
  meth_meth_ast_7927_asString->type = alloc_MethodType(1, argcv_meth_ast_7927_asString);
  meth_meth_ast_7927_asString->definitionModule = modulename;
  meth_meth_ast_7927_asString->definitionLine = 2084;
// method "shallowCopy"
  block_savedest(obj7880);
  Object closure7939 = createclosure(1, "shallowCopy");
  setclosureframe(closure7939, stackframe);
  addtoclosure(closure7939, var_stringNode);
  struct UserObject *uo7939 = (struct UserObject*)obj7880;
  uo7939->data[9] = (Object)closure7939;
  Method *meth_meth_ast_7939_shallowCopy = addmethod2pos(obj7880, "shallowCopy", &meth_ast_7939_shallowCopy, 9);
  int argcv_meth_ast_7939_shallowCopy[] = {0};
  meth_meth_ast_7939_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_7939_shallowCopy);
  meth_meth_ast_7939_shallowCopy->definitionModule = modulename;
  meth_meth_ast_7939_shallowCopy->definitionLine = 2085;
// method "postCopy(_)"
  struct UserObject *uo7946 = (struct UserObject*)obj7880;
  uo7946->data[10] = emptyclosure;
  Method *meth_meth_ast_7946_postCopy_40_1_41_ = addmethod2pos(obj7880, "postCopy(1)", &meth_ast_7946_postCopy_40_1_41_, 10);
  int argcv_meth_ast_7946_postCopy_40_1_41_[] = {1};
  meth_meth_ast_7946_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7946_postCopy_40_1_41_);
  meth_meth_ast_7946_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7946_postCopy_40_1_41_->definitionLine = 2088;
// method "statementName"
  struct UserObject *uo7951 = (struct UserObject*)obj7880;
  uo7951->data[11] = emptyclosure;
  Method *meth_meth_ast_7951_statementName = addmethod2pos(obj7880, "statementName", &meth_ast_7951_statementName, 11);
  int argcv_meth_ast_7951_statementName[] = {0};
  meth_meth_ast_7951_statementName->type = alloc_MethodType(1, argcv_meth_ast_7951_statementName);
  meth_meth_ast_7951_statementName->definitionModule = modulename;
  meth_meth_ast_7951_statementName->definitionLine = 2092;
// method "isDelimited"
  struct UserObject *uo7953 = (struct UserObject*)obj7880;
  uo7953->data[12] = emptyclosure;
  Method *meth_meth_ast_7953_isDelimited = addmethod2pos(obj7880, "isDelimited", &meth_ast_7953_isDelimited, 12);
  int argcv_meth_ast_7953_isDelimited[] = {0};
  meth_meth_ast_7953_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_7953_isDelimited);
  meth_meth_ast_7953_isDelimited->definitionModule = modulename;
  meth_meth_ast_7953_isDelimited->definitionLine = 2093;
// method "isConstant"
  struct UserObject *uo7955 = (struct UserObject*)obj7880;
  uo7955->data[13] = emptyclosure;
  Method *meth_meth_ast_7955_isConstant = addmethod2pos(obj7880, "isConstant", &meth_ast_7955_isConstant, 13);
  int argcv_meth_ast_7955_isConstant[] = {0};
  meth_meth_ast_7955_isConstant->type = alloc_MethodType(1, argcv_meth_ast_7955_isConstant);
  meth_meth_ast_7955_isConstant->definitionModule = modulename;
  meth_meth_ast_7955_isConstant->definitionLine = 2094;
  sourceObject = obj7880;
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7957 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7958 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7957);
// compiled call node returning call7958 (depth = 3)
  struct UserObject *obj7880_uo = (struct UserObject *)obj7880;
  obj7880_uo->super = call7958;
  sourceObject = obj7880;
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7959 == NULL) {
    strlit7959 = alloc_String("string");
    gc_root(strlit7959);
  }
// compiled string node returning strlit7959 (depth = 3)
  adddatum2(obj7880, strlit7959, 1);
  sourceObject = obj7880;
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  adddatum2(obj7880, *var_v, 2);
  sourceObject = obj7880;
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7960 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7961 = gc_frame_new();
// call case 4: self request
  Object call7962 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7961);
// compiled member node returning call7962 (depth = 4)
  gc_frame_newslot(call7962);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7964 = alloc_Float64(1);
// compiled num node returning num7964 (depth = 5)
  int op_slot_right_7963 = gc_frame_newslot(num7964);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7967 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  Object call7968 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7967);
// compiled member node returning call7968 (depth = 6)
  int op_slot_right_7966 = gc_frame_newslot(call7968);
// starting to compile member node (depth = 6)
  int callframe7970 = gc_frame_new();
// call case 4: self request
  Object call7971 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7970);
// compiled member node returning call7971 (depth = 6)
  int op_slot_left_7966 = gc_frame_newslot(call7971);
  params[0] = call7968;
  partcv[0] = 1;
  Object sum7972 = callmethod(call7971, "+(1)", 1, partcv, params);
// compiled op node returning sum7972 (depth = 5)
  int op_slot_left_7963 = gc_frame_newslot(sum7972);
  params[0] = num7964;
  partcv[0] = 1;
  Object sum7973 = callmethod(sum7972, "+(1)", 1, partcv, params);
// compiled op node returning sum7973 (depth = 4)
  gc_frame_newslot(sum7973);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call7962;
  params[1] = sum7973;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7974 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7960);
// compiled call node returning call7974 (depth = 3)
  adddatum2(obj7880, call7974, 3);
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  sourceObject = obj7880;
  objclass7880 = obj7880->class;
  objclass7880->definitionModule = modulename;
  objclass7880->definitionLine = 2062;
  (*(struct UserObject *)self).data[0] = lowerouter7880;
  self = oldself7880;
  selfslot = oldselfslot7880;
  stackframe = oldstackframe7880;
  gc_frame_end(frame);
  return obj7880;
}
Object meth_ast_7976_stringNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "stringNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_stringNode (depth = 3)
  gc_frame_end(frame);
  return *var_stringNode;
}
Object meth_ast_7984_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7985 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7986 = callmethodflags(*var_visitor, "visitNum(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7985);
// compiled call node returning call7986 (depth = 3)
  gc_frame_end(frame);
  return call7986;
}
Object meth_ast_7987_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7988 = gc_frame_new();
// call case 4: self request
  Object call7989 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7988);
// compiled member node returning call7989 (depth = 4)
  *var_n = call7989;
  if (call7989 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7990 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7991 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7990);
// compiled call node returning call7991 (depth = 4)
  *var_newChain = call7991;
  if (call7991 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7992 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7993 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7992);
// compiled call node returning call7993 (depth = 3)
  gc_frame_end(frame);
  return call7993;
}
Object meth_ast_7994_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7996 == NULL) {
    strlit7996 = alloc_String(")");
    gc_root(strlit7996);
  }
// compiled string node returning strlit7996 (depth = 4)
  int op_slot_right_7995 = gc_frame_newslot(strlit7996);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7999 = gc_frame_new();
// call case 4: self request
  Object call8000 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7999);
// compiled member node returning call8000 (depth = 5)
  int op_slot_right_7998 = gc_frame_newslot(call8000);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8003 == NULL) {
    strlit8003 = alloc_String("(");
    gc_root(strlit8003);
  }
// compiled string node returning strlit8003 (depth = 6)
  int op_slot_right_8002 = gc_frame_newslot(strlit8003);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8006 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8007 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8006);
// compiled call node returning call8007 (depth = 7)
  int op_slot_right_8005 = gc_frame_newslot(call8007);
// starting to compile string node (depth = 7)
  if (strlit8009 == NULL) {
    strlit8009 = alloc_String("");
    gc_root(strlit8009);
  }
// compiled string node returning strlit8009 (depth = 7)
  int op_slot_left_8005 = gc_frame_newslot(strlit8009);
  params[0] = call8007;
  partcv[0] = 1;
  Object opresult8010 = callmethod(strlit8009, "++(1)", 1, partcv, params);
// compiled op node returning opresult8010 (depth = 6)
  int op_slot_left_8002 = gc_frame_newslot(opresult8010);
  params[0] = strlit8003;
  partcv[0] = 1;
  Object opresult8011 = callmethod(opresult8010, "++(1)", 1, partcv, params);
// compiled op node returning opresult8011 (depth = 5)
  int op_slot_left_7998 = gc_frame_newslot(opresult8011);
  params[0] = call8000;
  partcv[0] = 1;
  Object opresult8012 = callmethod(opresult8011, "++(1)", 1, partcv, params);
// compiled op node returning opresult8012 (depth = 4)
  int op_slot_left_7995 = gc_frame_newslot(opresult8012);
  params[0] = strlit7996;
  partcv[0] = 1;
  Object opresult8013 = callmethod(opresult8012, "++(1)", 1, partcv, params);
// compiled op node returning opresult8013 (depth = 3)
  gc_frame_end(frame);
  return opresult8013;
}
Object meth_ast_8014_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8016 = gc_frame_new();
// call case 4: self request
  Object call8017 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8016);
// compiled member node returning call8017 (depth = 4)
  Object call8018 = callmethodflags(call8017, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe8015);
// compiled member node returning call8018 (depth = 3)
  gc_frame_end(frame);
  return call8018;
}
Object meth_ast_8019_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8021 == NULL) {
    strlit8021 = alloc_String("");
    gc_root(strlit8021);
  }
// compiled string node returning strlit8021 (depth = 4)
  int op_slot_right_8020 = gc_frame_newslot(strlit8021);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8024 = gc_frame_new();
// call case 4: self request
  Object call8025 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8024);
// compiled member node returning call8025 (depth = 5)
  int op_slot_right_8023 = gc_frame_newslot(call8025);
// starting to compile string node (depth = 5)
  if (strlit8027 == NULL) {
    strlit8027 = alloc_String("num ");
    gc_root(strlit8027);
  }
// compiled string node returning strlit8027 (depth = 5)
  int op_slot_left_8023 = gc_frame_newslot(strlit8027);
  params[0] = call8025;
  partcv[0] = 1;
  Object opresult8028 = callmethod(strlit8027, "++(1)", 1, partcv, params);
// compiled op node returning opresult8028 (depth = 4)
  int op_slot_left_8020 = gc_frame_newslot(opresult8028);
  params[0] = strlit8021;
  partcv[0] = 1;
  Object opresult8029 = callmethod(opresult8028, "++(1)", 1, partcv, params);
// compiled op node returning opresult8029 (depth = 3)
  gc_frame_end(frame);
  return opresult8029;
}
Object meth_ast_8030_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8031 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8032 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8033 = gc_frame_new();
// call case 4: self request
  Object call8034 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8033);
// compiled member node returning call8034 (depth = 5)
  gc_frame_newslot(call8034);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_numNode (depth = 5)
  params[0] = call8034;
  partcv[0] = 1;
  Object call8035 = callmethodflags(*var_numNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8032);
// compiled call node returning call8035 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8036 = callmethodflags(call8035, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8031);
// compiled call node returning call8036 (depth = 3)
  gc_frame_end(frame);
  return call8036;
}
Object meth_ast_8037_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8038 == NULL) {
    strlit8038 = alloc_String("expression");
    gc_root(strlit8038);
  }
// compiled string node returning strlit8038 (depth = 3)
  gc_frame_end(frame);
  return strlit8038;
}
Object meth_ast_8039_isDelimited(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8040 = alloc_Boolean(1);
// compiled identifier node returning bool8040 (depth = 3)
  gc_frame_end(frame);
  return bool8040;
}
Object meth_ast_8041_isConstant(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConstant");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8042 = alloc_Boolean(1);
// compiled identifier node returning bool8042 (depth = 3)
  gc_frame_end(frame);
  return bool8042;
}
Object meth_ast_7979_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7980 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7980 = alloc_userobj2(12,12, objclass7980);
  gc_frame_newslot(obj7980);
  if (objclass7980 == NULL) {
    glfree(obj7980->class->name);
    obj7980->class->name = "numNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7980, self, 0);
  addmethodreal(obj7980,"outer", &reader_ast_outer_7981);
  Object oldself7980 = self;
  struct StackFrameObject *oldstackframe7980 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7980);
  gc_frame_newslot((Object)stackframe);
  self = obj7980;
  Object *oldselfslot7980 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7980 = (*(struct UserObject *)self).data[0], lowerouter7980 = thisouter7980;
  if (inheritingObject7980) {
    struct UserObject *inho7980 = (struct UserObject *)inheritingObject7980;
    while (inho7980->super != GraceDefaultObject) inho7980 = (struct UserObject *)inho7980->super;
    inho7980->super = obj7980;
    self = inheritingObject7980;
    *selfslot = self;
    lowerouter7980 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7980;
  }
  if (objclass7980 == NULL) {
  Method *reader7982 = addmethodrealflags(obj7980, "kind",&reader_ast_kind_7982, MFLAG_DEF);
  reader7982->definitionModule = modulename;
  reader7982->definitionLine = 2100;
  }
  adddatum2(obj7980, alloc_Undefined(), 1);
  if (objclass7980 == NULL) {
    Method *reader7983 = addmethodrealflags(obj7980, "value", &reader_ast_value_7983, 0);
    Method *writer7983 = addmethodrealflags(obj7980, "value:=(1)", &writer_ast_value_7983, 0);
    reader7983->definitionModule = modulename;
    writer7983->definitionModule = modulename;
    reader7983->definitionLine = 2101;
    writer7983->definitionLine = 2101;
  }
  obj7980->flags |= OFLAG_MUTABLE;
  adddatum2(obj7980, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7984 = (struct UserObject*)obj7980;
  uo7984->data[3] = emptyclosure;
  Method *meth_meth_ast_7984_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7980, "accept(1)from(1)", &meth_ast_7984_accept_40_1_41_from_40_1_41_, 3);
  int argcv_meth_ast_7984_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7984_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7984_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7984_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7984_accept_40_1_41_from_40_1_41_->definitionLine = 2102;
// method "map(_)ancestors(_)"
  struct UserObject *uo7987 = (struct UserObject*)obj7980;
  uo7987->data[4] = emptyclosure;
  Method *meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7980, "map(1)ancestors(1)", &meth_ast_7987_map_40_1_41_ancestors_40_1_41_, 4);
  int argcv_meth_ast_7987_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7987_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_->definitionLine = 2105;
// method "pretty(_)"
  struct UserObject *uo7994 = (struct UserObject*)obj7980;
  uo7994->data[5] = emptyclosure;
  Method *meth_meth_ast_7994_pretty_40_1_41_ = addmethod2pos(obj7980, "pretty(1)", &meth_ast_7994_pretty_40_1_41_, 5);
  int argcv_meth_ast_7994_pretty_40_1_41_[] = {1};
  meth_meth_ast_7994_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7994_pretty_40_1_41_);
  meth_meth_ast_7994_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7994_pretty_40_1_41_->definitionLine = 2110;
// method "toGrace(_)"
  struct UserObject *uo8014 = (struct UserObject*)obj7980;
  uo8014->data[6] = emptyclosure;
  Method *meth_meth_ast_8014_toGrace_40_1_41_ = addmethod2pos(obj7980, "toGrace(1)", &meth_ast_8014_toGrace_40_1_41_, 6);
  int argcv_meth_ast_8014_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8014_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8014_toGrace_40_1_41_);
meth_meth_ast_8014_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8014_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8014_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8014_toGrace_40_1_41_->definitionLine = 2113;
// method "asString"
  struct UserObject *uo8019 = (struct UserObject*)obj7980;
  uo8019->data[7] = emptyclosure;
  Method *meth_meth_ast_8019_asString = addmethod2pos(obj7980, "asString", &meth_ast_8019_asString, 7);
  int argcv_meth_ast_8019_asString[] = {0};
  meth_meth_ast_8019_asString->type = alloc_MethodType(1, argcv_meth_ast_8019_asString);
  meth_meth_ast_8019_asString->definitionModule = modulename;
  meth_meth_ast_8019_asString->definitionLine = 2116;
// method "shallowCopy"
  block_savedest(obj7980);
  Object closure8030 = createclosure(1, "shallowCopy");
  setclosureframe(closure8030, stackframe);
  addtoclosure(closure8030, var_numNode);
  struct UserObject *uo8030 = (struct UserObject*)obj7980;
  uo8030->data[8] = (Object)closure8030;
  Method *meth_meth_ast_8030_shallowCopy = addmethod2pos(obj7980, "shallowCopy", &meth_ast_8030_shallowCopy, 8);
  int argcv_meth_ast_8030_shallowCopy[] = {0};
  meth_meth_ast_8030_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8030_shallowCopy);
  meth_meth_ast_8030_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8030_shallowCopy->definitionLine = 2117;
// method "statementName"
  struct UserObject *uo8037 = (struct UserObject*)obj7980;
  uo8037->data[9] = emptyclosure;
  Method *meth_meth_ast_8037_statementName = addmethod2pos(obj7980, "statementName", &meth_ast_8037_statementName, 9);
  int argcv_meth_ast_8037_statementName[] = {0};
  meth_meth_ast_8037_statementName->type = alloc_MethodType(1, argcv_meth_ast_8037_statementName);
  meth_meth_ast_8037_statementName->definitionModule = modulename;
  meth_meth_ast_8037_statementName->definitionLine = 2120;
// method "isDelimited"
  struct UserObject *uo8039 = (struct UserObject*)obj7980;
  uo8039->data[10] = emptyclosure;
  Method *meth_meth_ast_8039_isDelimited = addmethod2pos(obj7980, "isDelimited", &meth_ast_8039_isDelimited, 10);
  int argcv_meth_ast_8039_isDelimited[] = {0};
  meth_meth_ast_8039_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_8039_isDelimited);
  meth_meth_ast_8039_isDelimited->definitionModule = modulename;
  meth_meth_ast_8039_isDelimited->definitionLine = 2121;
// method "isConstant"
  struct UserObject *uo8041 = (struct UserObject*)obj7980;
  uo8041->data[11] = emptyclosure;
  Method *meth_meth_ast_8041_isConstant = addmethod2pos(obj7980, "isConstant", &meth_ast_8041_isConstant, 11);
  int argcv_meth_ast_8041_isConstant[] = {0};
  meth_meth_ast_8041_isConstant->type = alloc_MethodType(1, argcv_meth_ast_8041_isConstant);
  meth_meth_ast_8041_isConstant->definitionModule = modulename;
  meth_meth_ast_8041_isConstant->definitionLine = 2122;
  sourceObject = obj7980;
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8043 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8044 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8043);
// compiled call node returning call8044 (depth = 3)
  struct UserObject *obj7980_uo = (struct UserObject *)obj7980;
  obj7980_uo->super = call8044;
  sourceObject = obj7980;
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8045 == NULL) {
    strlit8045 = alloc_String("num");
    gc_root(strlit8045);
  }
// compiled string node returning strlit8045 (depth = 3)
  adddatum2(obj7980, strlit8045, 1);
  sourceObject = obj7980;
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7980, *var_val, 2);
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  objclass7980 = obj7980->class;
  objclass7980->definitionModule = modulename;
  objclass7980->definitionLine = 2098;
  (*(struct UserObject *)self).data[0] = lowerouter7980;
  self = oldself7980;
  selfslot = oldselfslot7980;
  stackframe = oldstackframe7980;
  gc_frame_end(frame);
  return obj7980;
}
Object meth_ast_7979_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7980 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7980 = alloc_userobj2(12,12, objclass7980);
  gc_frame_newslot(obj7980);
  if (objclass7980 == NULL) {
    glfree(obj7980->class->name);
    obj7980->class->name = "numNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7980, self, 0);
  addmethodreal(obj7980,"outer", &reader_ast_outer_7981);
  Object oldself7980 = self;
  struct StackFrameObject *oldstackframe7980 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7980);
  gc_frame_newslot((Object)stackframe);
  self = obj7980;
  Object *oldselfslot7980 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7980 = (*(struct UserObject *)self).data[0], lowerouter7980 = thisouter7980;
  if (inheritingObject7980) {
    struct UserObject *inho7980 = (struct UserObject *)inheritingObject7980;
    while (inho7980->super != GraceDefaultObject) inho7980 = (struct UserObject *)inho7980->super;
    inho7980->super = obj7980;
    self = inheritingObject7980;
    *selfslot = self;
    lowerouter7980 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7980;
  }
  if (objclass7980 == NULL) {
  Method *reader7982 = addmethodrealflags(obj7980, "kind",&reader_ast_kind_7982, MFLAG_DEF);
  reader7982->definitionModule = modulename;
  reader7982->definitionLine = 2100;
  }
  adddatum2(obj7980, alloc_Undefined(), 1);
  if (objclass7980 == NULL) {
    Method *reader7983 = addmethodrealflags(obj7980, "value", &reader_ast_value_7983, 0);
    Method *writer7983 = addmethodrealflags(obj7980, "value:=(1)", &writer_ast_value_7983, 0);
    reader7983->definitionModule = modulename;
    writer7983->definitionModule = modulename;
    reader7983->definitionLine = 2101;
    writer7983->definitionLine = 2101;
  }
  obj7980->flags |= OFLAG_MUTABLE;
  adddatum2(obj7980, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7984 = (struct UserObject*)obj7980;
  uo7984->data[3] = emptyclosure;
  Method *meth_meth_ast_7984_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj7980, "accept(1)from(1)", &meth_ast_7984_accept_40_1_41_from_40_1_41_, 3);
  int argcv_meth_ast_7984_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_7984_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7984_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_7984_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7984_accept_40_1_41_from_40_1_41_->definitionLine = 2102;
// method "map(_)ancestors(_)"
  struct UserObject *uo7987 = (struct UserObject*)obj7980;
  uo7987->data[4] = emptyclosure;
  Method *meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj7980, "map(1)ancestors(1)", &meth_ast_7987_map_40_1_41_ancestors_40_1_41_, 4);
  int argcv_meth_ast_7987_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7987_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7987_map_40_1_41_ancestors_40_1_41_->definitionLine = 2105;
// method "pretty(_)"
  struct UserObject *uo7994 = (struct UserObject*)obj7980;
  uo7994->data[5] = emptyclosure;
  Method *meth_meth_ast_7994_pretty_40_1_41_ = addmethod2pos(obj7980, "pretty(1)", &meth_ast_7994_pretty_40_1_41_, 5);
  int argcv_meth_ast_7994_pretty_40_1_41_[] = {1};
  meth_meth_ast_7994_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7994_pretty_40_1_41_);
  meth_meth_ast_7994_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7994_pretty_40_1_41_->definitionLine = 2110;
// method "toGrace(_)"
  struct UserObject *uo8014 = (struct UserObject*)obj7980;
  uo8014->data[6] = emptyclosure;
  Method *meth_meth_ast_8014_toGrace_40_1_41_ = addmethod2pos(obj7980, "toGrace(1)", &meth_ast_8014_toGrace_40_1_41_, 6);
  int argcv_meth_ast_8014_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8014_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8014_toGrace_40_1_41_);
meth_meth_ast_8014_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8014_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8014_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8014_toGrace_40_1_41_->definitionLine = 2113;
// method "asString"
  struct UserObject *uo8019 = (struct UserObject*)obj7980;
  uo8019->data[7] = emptyclosure;
  Method *meth_meth_ast_8019_asString = addmethod2pos(obj7980, "asString", &meth_ast_8019_asString, 7);
  int argcv_meth_ast_8019_asString[] = {0};
  meth_meth_ast_8019_asString->type = alloc_MethodType(1, argcv_meth_ast_8019_asString);
  meth_meth_ast_8019_asString->definitionModule = modulename;
  meth_meth_ast_8019_asString->definitionLine = 2116;
// method "shallowCopy"
  block_savedest(obj7980);
  Object closure8030 = createclosure(1, "shallowCopy");
  setclosureframe(closure8030, stackframe);
  addtoclosure(closure8030, var_numNode);
  struct UserObject *uo8030 = (struct UserObject*)obj7980;
  uo8030->data[8] = (Object)closure8030;
  Method *meth_meth_ast_8030_shallowCopy = addmethod2pos(obj7980, "shallowCopy", &meth_ast_8030_shallowCopy, 8);
  int argcv_meth_ast_8030_shallowCopy[] = {0};
  meth_meth_ast_8030_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8030_shallowCopy);
  meth_meth_ast_8030_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8030_shallowCopy->definitionLine = 2117;
// method "statementName"
  struct UserObject *uo8037 = (struct UserObject*)obj7980;
  uo8037->data[9] = emptyclosure;
  Method *meth_meth_ast_8037_statementName = addmethod2pos(obj7980, "statementName", &meth_ast_8037_statementName, 9);
  int argcv_meth_ast_8037_statementName[] = {0};
  meth_meth_ast_8037_statementName->type = alloc_MethodType(1, argcv_meth_ast_8037_statementName);
  meth_meth_ast_8037_statementName->definitionModule = modulename;
  meth_meth_ast_8037_statementName->definitionLine = 2120;
// method "isDelimited"
  struct UserObject *uo8039 = (struct UserObject*)obj7980;
  uo8039->data[10] = emptyclosure;
  Method *meth_meth_ast_8039_isDelimited = addmethod2pos(obj7980, "isDelimited", &meth_ast_8039_isDelimited, 10);
  int argcv_meth_ast_8039_isDelimited[] = {0};
  meth_meth_ast_8039_isDelimited->type = alloc_MethodType(1, argcv_meth_ast_8039_isDelimited);
  meth_meth_ast_8039_isDelimited->definitionModule = modulename;
  meth_meth_ast_8039_isDelimited->definitionLine = 2121;
// method "isConstant"
  struct UserObject *uo8041 = (struct UserObject*)obj7980;
  uo8041->data[11] = emptyclosure;
  Method *meth_meth_ast_8041_isConstant = addmethod2pos(obj7980, "isConstant", &meth_ast_8041_isConstant, 11);
  int argcv_meth_ast_8041_isConstant[] = {0};
  meth_meth_ast_8041_isConstant->type = alloc_MethodType(1, argcv_meth_ast_8041_isConstant);
  meth_meth_ast_8041_isConstant->definitionModule = modulename;
  meth_meth_ast_8041_isConstant->definitionLine = 2122;
  sourceObject = obj7980;
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8043 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8044 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8043);
// compiled call node returning call8044 (depth = 3)
  struct UserObject *obj7980_uo = (struct UserObject *)obj7980;
  obj7980_uo->super = call8044;
  sourceObject = obj7980;
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8045 == NULL) {
    strlit8045 = alloc_String("num");
    gc_root(strlit8045);
  }
// compiled string node returning strlit8045 (depth = 3)
  adddatum2(obj7980, strlit8045, 1);
  sourceObject = obj7980;
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7980, *var_val, 2);
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  objclass7980 = obj7980->class;
  objclass7980->definitionModule = modulename;
  objclass7980->definitionLine = 2098;
  (*(struct UserObject *)self).data[0] = lowerouter7980;
  self = oldself7980;
  selfslot = oldselfslot7980;
  stackframe = oldstackframe7980;
  gc_frame_end(frame);
  return obj7980;
}
Object meth_ast_8047_numNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "numNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_numNode (depth = 3)
  gc_frame_end(frame);
  return *var_numNode;
}
Object meth_ast_8059_start(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "start");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8060 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8061 = gc_frame_new();
// call case 4: self request
  Object call8062 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8061);
// compiled member node returning call8062 (depth = 4)
  Object call8063 = callmethodflags(call8062, "start", 0, partcv, params, 0);
  gc_frame_end(callframe8060);
// compiled member node returning call8063 (depth = 3)
  gc_frame_end(frame);
  return call8063;
}
Object meth_ast_8064_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8065 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8066 = gc_frame_new();
// call case 4: self request
  Object call8067 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8066);
// compiled member node returning call8067 (depth = 4)
  Object call8068 = callmethodflags(call8067, "end", 0, partcv, params, 0);
  gc_frame_end(callframe8065);
// compiled member node returning call8068 (depth = 3)
  gc_frame_end(frame);
  return call8068;
}
Object meth_ast_8069_onSelf(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8070 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool8071 = alloc_Boolean(1);
// compiled identifier node returning bool8071 (depth = 4)
  gc_frame_newslot(bool8071);
// call case 4: self request
  params[0] = bool8071;
  partcv[0] = 1;
  Object call8072 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8070);
// compiled call node returning call8072 (depth = 3)
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_8073_isSimple(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2141
  setline(2141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8074 = alloc_Boolean(0);
// compiled identifier node returning bool8074 (depth = 3)
  gc_frame_end(frame);
  return bool8074;
}
Object meth_ast_8075_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8077 == NULL) {
    strlit8077 = alloc_String("(1)");
    gc_root(strlit8077);
  }
// compiled string node returning strlit8077 (depth = 4)
  int op_slot_right_8076 = gc_frame_newslot(strlit8077);
// starting to compile member node (depth = 4)
  int callframe8079 = gc_frame_new();
// call case 4: self request
  Object call8080 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8079);
// compiled member node returning call8080 (depth = 4)
  int op_slot_left_8076 = gc_frame_newslot(call8080);
  params[0] = strlit8077;
  partcv[0] = 1;
  Object opresult8081 = callmethod(call8080, "++(1)", 1, partcv, params);
// compiled op node returning opresult8081 (depth = 3)
  gc_frame_end(frame);
  return opresult8081;
}
Object meth_ast_8082_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8084 == NULL) {
    strlit8084 = alloc_String("(_)");
    gc_root(strlit8084);
  }
// compiled string node returning strlit8084 (depth = 4)
  int op_slot_right_8083 = gc_frame_newslot(strlit8084);
// starting to compile member node (depth = 4)
  int callframe8086 = gc_frame_new();
// call case 4: self request
  Object call8087 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8086);
// compiled member node returning call8087 (depth = 4)
  int op_slot_left_8083 = gc_frame_newslot(call8087);
  params[0] = strlit8084;
  partcv[0] = 1;
  Object opresult8088 = callmethod(call8087, "++(1)", 1, partcv, params);
// compiled op node returning opresult8088 (depth = 3)
  gc_frame_end(frame);
  return opresult8088;
}
Object meth_ast_8089_receiver(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "receiver");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8090 = gc_frame_new();
// call case 4: self request
  Object call8091 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8090);
// compiled member node returning call8091 (depth = 3)
  gc_frame_end(frame);
  return call8091;
}
Object meth_ast_8092_isCall(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8093 = alloc_Boolean(1);
// compiled identifier node returning bool8093 (depth = 3)
  gc_frame_end(frame);
  return bool8093;
}
Object meth_ast_8094_arguments(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8095 = alloc_BuiltinList();
  gc_pause();
// starting to compile member node (depth = 4)
  int callframe8096 = gc_frame_new();
// call case 4: self request
  Object call8097 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8096);
// compiled member node returning call8097 (depth = 4)
  params[0] = call8097;
  partcv[0] = 1;
  callmethodflags(array8095, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array8095 (depth = 3)
  gc_frame_end(frame);
  return array8095;
}
Object meth_ast_8098_argumentsDo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method argumentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for argumentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part argumentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8099 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8100 = gc_frame_new();
// call case 4: self request
  Object call8101 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8100);
// compiled member node returning call8101 (depth = 4)
  gc_frame_newslot(call8101);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_action (depth = 4)
  params[0] = call8101;
  partcv[0] = 1;
  Object call8102 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8099);
// compiled call node returning call8102 (depth = 3)
  gc_frame_end(frame);
  return call8102;
}
Object meth_ast_8103_numArgs(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num8104 = alloc_Float64(1);
// compiled num node returning num8104 (depth = 3)
  gc_frame_end(frame);
  return num8104;
}
Object meth_ast_8105_numTypeArgs(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numTypeArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num8106 = alloc_Float64(0);
// compiled num node returning num8106 (depth = 3)
  gc_frame_end(frame);
  return num8106;
}
Object meth_ast_8107_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8109 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8110 = callmethodflags(*var_visitor, "visitOp(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8109);
// compiled call node returning call8110 (depth = 4)
  Object if8108 = done;
  if (istrue(call8110)) {
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8111 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8112 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8111);
// compiled call node returning call8112 (depth = 5)
  *var_newChain = call8112;
  if (call8112 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8113 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8114 = gc_frame_new();
// call case 4: self request
  Object call8115 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8114);
// compiled member node returning call8115 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8116 = callmethodflags(call8115, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8113);
// compiled call node returning call8116 (depth = 4)
// Begin line 2155
  setline(2155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8117 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8118 = gc_frame_new();
// call case 4: self request
  Object call8119 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8118);
// compiled member node returning call8119 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8120 = callmethodflags(call8119, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8117);
// compiled call node returning call8120 (depth = 4)
    gc_frame_newslot(call8120);
    if8108 = call8120;
  } else {
  }
// compiled if node returning if8108 (depth = 3)
  gc_frame_end(frame);
  return if8108;
}
Object meth_ast_8121_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8122 = gc_frame_new();
// call case 4: self request
  Object call8123 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8122);
// compiled member node returning call8123 (depth = 4)
  *var_n = call8123;
  if (call8123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8124 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8125 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8124);
// compiled call node returning call8125 (depth = 4)
  *var_newChain = call8125;
  if (call8125 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8126 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8127 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8128 = gc_frame_new();
// call case 4: self request
  Object call8129 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8128);
// compiled member node returning call8129 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8130 = callmethodflags(call8129, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8127);
// compiled call node returning call8130 (depth = 4)
  gc_frame_newslot(call8130);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8130;
  partcv[0] = 1;
  Object call8131 = callmethodflags(*var_n, "left:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8126);
// compiled call node returning call8131 (depth = 3)
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8132 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8133 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8134 = gc_frame_new();
// call case 4: self request
  Object call8135 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8134);
// compiled member node returning call8135 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8136 = callmethodflags(call8135, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8133);
// compiled call node returning call8136 (depth = 4)
  gc_frame_newslot(call8136);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8136;
  partcv[0] = 1;
  Object call8137 = callmethodflags(*var_n, "right:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8132);
// compiled call node returning call8137 (depth = 3)
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8138 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8139 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8138);
// compiled call node returning call8139 (depth = 3)
  gc_frame_end(frame);
  return call8139;
}
Object meth_ast_8140_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2166
  setline(2166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8143 = alloc_Float64(1);
// compiled num node returning num8143 (depth = 6)
  int op_slot_right_8142 = gc_frame_newslot(num8143);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_8142 = gc_frame_newslot(*var_depth);
  params[0] = num8143;
  partcv[0] = 1;
  Object sum8145 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8145 (depth = 5)
  int op_slot_right_8141 = gc_frame_newslot(sum8145);
// starting to compile string node (depth = 5)
  if (strlit8147 == NULL) {
    strlit8147 = alloc_String("  ");
    gc_root(strlit8147);
  }
// compiled string node returning strlit8147 (depth = 5)
  int op_slot_left_8141 = gc_frame_newslot(strlit8147);
  params[0] = sum8145;
  partcv[0] = 1;
  Object prod8148 = callmethod(strlit8147, "*(1)", 1, partcv, params);
// compiled op node returning prod8148 (depth = 4)
  *var_spc = prod8148;
  if (prod8148 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8150 == NULL) {
    strlit8150 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit8150);
  }
// compiled string node returning strlit8150 (depth = 5)
  int op_slot_right_8149 = gc_frame_newslot(strlit8150);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8153 = gc_frame_new();
// call case 4: self request
  Object call8154 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8153);
// compiled member node returning call8154 (depth = 6)
  int op_slot_right_8152 = gc_frame_newslot(call8154);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8157 == NULL) {
    strlit8157 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit8157);
  }
// compiled string node returning strlit8157 (depth = 7)
  int op_slot_right_8156 = gc_frame_newslot(strlit8157);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8160 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8161 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8160);
// compiled call node returning call8161 (depth = 8)
  int op_slot_right_8159 = gc_frame_newslot(call8161);
// starting to compile string node (depth = 8)
  if (strlit8163 == NULL) {
    strlit8163 = alloc_String("");
    gc_root(strlit8163);
  }
// compiled string node returning strlit8163 (depth = 8)
  int op_slot_left_8159 = gc_frame_newslot(strlit8163);
  params[0] = call8161;
  partcv[0] = 1;
  Object opresult8164 = callmethod(strlit8163, "++(1)", 1, partcv, params);
// compiled op node returning opresult8164 (depth = 7)
  int op_slot_left_8156 = gc_frame_newslot(opresult8164);
  params[0] = strlit8157;
  partcv[0] = 1;
  Object opresult8165 = callmethod(opresult8164, "++(1)", 1, partcv, params);
// compiled op node returning opresult8165 (depth = 6)
  int op_slot_left_8152 = gc_frame_newslot(opresult8165);
  params[0] = call8154;
  partcv[0] = 1;
  Object opresult8166 = callmethod(opresult8165, "++(1)", 1, partcv, params);
// compiled op node returning opresult8166 (depth = 5)
  int op_slot_left_8149 = gc_frame_newslot(opresult8166);
  params[0] = strlit8150;
  partcv[0] = 1;
  Object opresult8167 = callmethod(opresult8166, "++(1)", 1, partcv, params);
// compiled op node returning opresult8167 (depth = 4)
  *var_s = opresult8167;
  if (opresult8167 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8169 == NULL) {
    strlit8169 = alloc_String("""\x0a""");
    gc_root(strlit8169);
  }
// compiled string node returning strlit8169 (depth = 5)
  int op_slot_right_8168 = gc_frame_newslot(strlit8169);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_8168 = gc_frame_newslot(*var_s);
  params[0] = strlit8169;
  partcv[0] = 1;
  Object opresult8171 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8171 (depth = 4)
  *var_s = opresult8171;
  if (opresult8171 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8174 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8176 = alloc_Float64(1);
// compiled num node returning num8176 (depth = 7)
  int op_slot_right_8175 = gc_frame_newslot(num8176);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8175 = gc_frame_newslot(*var_depth);
  params[0] = num8176;
  partcv[0] = 1;
  Object sum8178 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8178 (depth = 6)
  gc_frame_newslot(sum8178);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8179 = gc_frame_new();
// call case 4: self request
  Object call8180 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8179);
// compiled member node returning call8180 (depth = 6)
  params[0] = sum8178;
  partcv[0] = 1;
  Object call8181 = callmethodflags(call8180, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8174);
// compiled call node returning call8181 (depth = 5)
  int op_slot_right_8173 = gc_frame_newslot(call8181);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8183 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8183 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8185 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8185 (depth = 5)
  int op_slot_left_8173 = gc_frame_newslot(opresult8185);
  params[0] = call8181;
  partcv[0] = 1;
  Object opresult8186 = callmethod(opresult8185, "++(1)", 1, partcv, params);
// compiled op node returning opresult8186 (depth = 4)
  *var_s = opresult8186;
  if (opresult8186 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8189 == NULL) {
    strlit8189 = alloc_String("""\x0a""");
    gc_root(strlit8189);
  }
// compiled string node returning strlit8189 (depth = 5)
  int op_slot_right_8188 = gc_frame_newslot(strlit8189);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_8188 = gc_frame_newslot(*var_s);
  params[0] = strlit8189;
  partcv[0] = 1;
  Object opresult8191 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8191 (depth = 4)
  *var_s = opresult8191;
  if (opresult8191 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8194 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8196 = alloc_Float64(1);
// compiled num node returning num8196 (depth = 7)
  int op_slot_right_8195 = gc_frame_newslot(num8196);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8195 = gc_frame_newslot(*var_depth);
  params[0] = num8196;
  partcv[0] = 1;
  Object sum8198 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8198 (depth = 6)
  gc_frame_newslot(sum8198);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8199 = gc_frame_new();
// call case 4: self request
  Object call8200 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8199);
// compiled member node returning call8200 (depth = 6)
  params[0] = sum8198;
  partcv[0] = 1;
  Object call8201 = callmethodflags(call8200, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8194);
// compiled call node returning call8201 (depth = 5)
  int op_slot_right_8193 = gc_frame_newslot(call8201);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8203 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8203 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8205 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8205 (depth = 5)
  int op_slot_left_8193 = gc_frame_newslot(opresult8205);
  params[0] = call8201;
  partcv[0] = 1;
  Object opresult8206 = callmethod(opresult8205, "++(1)", 1, partcv, params);
// compiled op node returning opresult8206 (depth = 4)
  *var_s = opresult8206;
  if (opresult8206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_8213__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8215 = gc_frame_new();
// call case 4: self request
  Object call8216 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8215);
// compiled member node returning call8216 (depth = 7)
  int op_slot_right_8214 = gc_frame_newslot(call8216);
// starting to compile member node (depth = 7)
  int callframe8218 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8219 = gc_frame_new();
// call case 4: self request
  Object call8220 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8219);
// compiled member node returning call8220 (depth = 8)
  Object call8221 = callmethodflags(call8220, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8218);
// compiled member node returning call8221 (depth = 7)
  int op_slot_left_8214 = gc_frame_newslot(call8221);
  params[0] = call8216;
  partcv[0] = 1;
  Object opresult8222 = callmethod(call8221, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8222 (depth = 6)
  gc_frame_end(frame);
  return opresult8222;
}
Object meth_ast_8284__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8286 = gc_frame_new();
// call case 4: self request
  Object call8287 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8286);
// compiled member node returning call8287 (depth = 7)
  int op_slot_right_8285 = gc_frame_newslot(call8287);
// starting to compile member node (depth = 7)
  int callframe8289 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8290 = gc_frame_new();
// call case 4: self request
  Object call8291 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8290);
// compiled member node returning call8291 (depth = 8)
  Object call8292 = callmethodflags(call8291, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8289);
// compiled member node returning call8292 (depth = 7)
  int op_slot_left_8285 = gc_frame_newslot(call8292);
  params[0] = call8287;
  partcv[0] = 1;
  Object opresult8293 = callmethod(call8292, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8293 (depth = 6)
  gc_frame_end(frame);
  return opresult8293;
}
Object meth_ast_8208_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8209 == NULL) {
    strlit8209 = alloc_String("");
    gc_root(strlit8209);
  }
// compiled string node returning strlit8209 (depth = 4)
  *var_s = strlit8209;
  if (strlit8209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8212 = alloc_Block(NULL, NULL, "ast", 2176);
  gc_frame_newslot(block8212);
// method "_apply"
  block_savedest(block8212);
  Object closure8213 = createclosure(1, "_apply");
  setclosureframe(closure8213, stackframe);
  addtoclosure(closure8213, selfslot);
  struct UserObject *uo8213 = (struct UserObject*)block8212;
  uo8213->data[0] = (Object)closure8213;
  Method *meth_meth_ast_8213__apply = addmethod2pos(block8212, "_apply", &meth_ast_8213__apply, 0);
  int argcv_meth_ast_8213__apply[] = {0};
  meth_meth_ast_8213__apply->type = alloc_MethodType(1, argcv_meth_ast_8213__apply);
  meth_meth_ast_8213__apply->definitionModule = modulename;
  meth_meth_ast_8213__apply->definitionLine = 3216;
// compiled block node returning block8212 (depth = 5)
  int op_slot_right_8211 = gc_frame_newslot(block8212);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8226 == NULL) {
    strlit8226 = alloc_String("op");
    gc_root(strlit8226);
  }
// compiled string node returning strlit8226 (depth = 6)
  int op_slot_right_8225 = gc_frame_newslot(strlit8226);
// starting to compile member node (depth = 6)
  int callframe8228 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8229 = gc_frame_new();
// call case 4: self request
  Object call8230 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8229);
// compiled member node returning call8230 (depth = 7)
  Object call8231 = callmethodflags(call8230, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8228);
// compiled member node returning call8231 (depth = 6)
  int op_slot_left_8225 = gc_frame_newslot(call8231);
  params[0] = strlit8226;
  partcv[0] = 1;
  Object opresult8232 = callmethod(call8231, "==(1)", 1, partcv, params);
// compiled op node returning opresult8232 (depth = 5)
  int op_slot_left_8211 = gc_frame_newslot(opresult8232);
  params[0] = block8212;
  partcv[0] = 1;
  Object opresult8233 = callmethod(opresult8232, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8233 (depth = 4)
  Object if8210 = done;
  if (istrue(opresult8233)) {
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8235 == NULL) {
    strlit8235 = alloc_String(")");
    gc_root(strlit8235);
  }
// compiled string node returning strlit8235 (depth = 6)
  int op_slot_right_8234 = gc_frame_newslot(strlit8235);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8238 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num8239 = alloc_Float64(0);
// compiled num node returning num8239 (depth = 8)
  gc_frame_newslot(num8239);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8240 = gc_frame_new();
// call case 4: self request
  Object call8241 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8240);
// compiled member node returning call8241 (depth = 8)
  params[0] = num8239;
  partcv[0] = 1;
  Object call8242 = callmethodflags(call8241, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8238);
// compiled call node returning call8242 (depth = 7)
  int op_slot_right_8237 = gc_frame_newslot(call8242);
// starting to compile string node (depth = 7)
  if (strlit8244 == NULL) {
    strlit8244 = alloc_String("(");
    gc_root(strlit8244);
  }
// compiled string node returning strlit8244 (depth = 7)
  int op_slot_left_8237 = gc_frame_newslot(strlit8244);
  params[0] = call8242;
  partcv[0] = 1;
  Object opresult8245 = callmethod(strlit8244, "++(1)", 1, partcv, params);
// compiled op node returning opresult8245 (depth = 6)
  int op_slot_left_8234 = gc_frame_newslot(opresult8245);
  params[0] = strlit8235;
  partcv[0] = 1;
  Object opresult8246 = callmethod(opresult8245, "++(1)", 1, partcv, params);
// compiled op node returning opresult8246 (depth = 5)
  *var_s = opresult8246;
  if (opresult8246 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8210 = done;
  } else {
// Begin line 2179
  setline(2179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8248 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num8249 = alloc_Float64(0);
// compiled num node returning num8249 (depth = 6)
  gc_frame_newslot(num8249);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8250 = gc_frame_new();
// call case 4: self request
  Object call8251 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8250);
// compiled member node returning call8251 (depth = 6)
  params[0] = num8249;
  partcv[0] = 1;
  Object call8252 = callmethodflags(call8251, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8248);
// compiled call node returning call8252 (depth = 5)
  *var_s = call8252;
  if (call8252 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8210 = done;
  }
// compiled if node returning if8210 (depth = 3)
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8256 == NULL) {
    strlit8256 = alloc_String("..");
    gc_root(strlit8256);
  }
// compiled string node returning strlit8256 (depth = 5)
  int op_slot_right_8255 = gc_frame_newslot(strlit8256);
// starting to compile member node (depth = 5)
  int callframe8258 = gc_frame_new();
// call case 4: self request
  Object call8259 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8258);
// compiled member node returning call8259 (depth = 5)
  int op_slot_left_8255 = gc_frame_newslot(call8259);
  params[0] = strlit8256;
  partcv[0] = 1;
  Object opresult8260 = callmethod(call8259, "==(1)", 1, partcv, params);
// compiled op node returning opresult8260 (depth = 4)
  Object if8254 = done;
  if (istrue(opresult8260)) {
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8262 = gc_frame_new();
// call case 4: self request
  Object call8263 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8262);
// compiled member node returning call8263 (depth = 6)
  int op_slot_right_8261 = gc_frame_newslot(call8263);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8261 = gc_frame_newslot(*var_s);
  params[0] = call8263;
  partcv[0] = 1;
  Object opresult8265 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8265 (depth = 5)
  *var_s = opresult8265;
  if (opresult8265 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8254 = done;
  } else {
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8268 == NULL) {
    strlit8268 = alloc_String(" ");
    gc_root(strlit8268);
  }
// compiled string node returning strlit8268 (depth = 6)
  int op_slot_right_8267 = gc_frame_newslot(strlit8268);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8271 = gc_frame_new();
// call case 4: self request
  Object call8272 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8271);
// compiled member node returning call8272 (depth = 7)
  int op_slot_right_8270 = gc_frame_newslot(call8272);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8275 == NULL) {
    strlit8275 = alloc_String(" ");
    gc_root(strlit8275);
  }
// compiled string node returning strlit8275 (depth = 8)
  int op_slot_right_8274 = gc_frame_newslot(strlit8275);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8274 = gc_frame_newslot(*var_s);
  params[0] = strlit8275;
  partcv[0] = 1;
  Object opresult8277 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8277 (depth = 7)
  int op_slot_left_8270 = gc_frame_newslot(opresult8277);
  params[0] = call8272;
  partcv[0] = 1;
  Object opresult8278 = callmethod(opresult8277, "++(1)", 1, partcv, params);
// compiled op node returning opresult8278 (depth = 6)
  int op_slot_left_8267 = gc_frame_newslot(opresult8278);
  params[0] = strlit8268;
  partcv[0] = 1;
  Object opresult8279 = callmethod(opresult8278, "++(1)", 1, partcv, params);
// compiled op node returning opresult8279 (depth = 5)
  *var_s = opresult8279;
  if (opresult8279 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8254 = done;
  }
// compiled if node returning if8254 (depth = 3)
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8283 = alloc_Block(NULL, NULL, "ast", 2186);
  gc_frame_newslot(block8283);
// method "_apply"
  block_savedest(block8283);
  Object closure8284 = createclosure(1, "_apply");
  setclosureframe(closure8284, stackframe);
  addtoclosure(closure8284, selfslot);
  struct UserObject *uo8284 = (struct UserObject*)block8283;
  uo8284->data[0] = (Object)closure8284;
  Method *meth_meth_ast_8284__apply = addmethod2pos(block8283, "_apply", &meth_ast_8284__apply, 0);
  int argcv_meth_ast_8284__apply[] = {0};
  meth_meth_ast_8284__apply->type = alloc_MethodType(1, argcv_meth_ast_8284__apply);
  meth_meth_ast_8284__apply->definitionModule = modulename;
  meth_meth_ast_8284__apply->definitionLine = 3216;
// compiled block node returning block8283 (depth = 5)
  int op_slot_right_8282 = gc_frame_newslot(block8283);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8297 == NULL) {
    strlit8297 = alloc_String("op");
    gc_root(strlit8297);
  }
// compiled string node returning strlit8297 (depth = 6)
  int op_slot_right_8296 = gc_frame_newslot(strlit8297);
// starting to compile member node (depth = 6)
  int callframe8299 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8300 = gc_frame_new();
// call case 4: self request
  Object call8301 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8300);
// compiled member node returning call8301 (depth = 7)
  Object call8302 = callmethodflags(call8301, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8299);
// compiled member node returning call8302 (depth = 6)
  int op_slot_left_8296 = gc_frame_newslot(call8302);
  params[0] = strlit8297;
  partcv[0] = 1;
  Object opresult8303 = callmethod(call8302, "==(1)", 1, partcv, params);
// compiled op node returning opresult8303 (depth = 5)
  int op_slot_left_8282 = gc_frame_newslot(opresult8303);
  params[0] = block8283;
  partcv[0] = 1;
  Object opresult8304 = callmethod(opresult8303, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8304 (depth = 4)
  Object if8281 = done;
  if (istrue(opresult8304)) {
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8306 == NULL) {
    strlit8306 = alloc_String(")");
    gc_root(strlit8306);
  }
// compiled string node returning strlit8306 (depth = 6)
  int op_slot_right_8305 = gc_frame_newslot(strlit8306);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8309 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num8310 = alloc_Float64(0);
// compiled num node returning num8310 (depth = 8)
  gc_frame_newslot(num8310);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8311 = gc_frame_new();
// call case 4: self request
  Object call8312 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8311);
// compiled member node returning call8312 (depth = 8)
  params[0] = num8310;
  partcv[0] = 1;
  Object call8313 = callmethodflags(call8312, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8309);
// compiled call node returning call8313 (depth = 7)
  int op_slot_right_8308 = gc_frame_newslot(call8313);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8316 == NULL) {
    strlit8316 = alloc_String("(");
    gc_root(strlit8316);
  }
// compiled string node returning strlit8316 (depth = 8)
  int op_slot_right_8315 = gc_frame_newslot(strlit8316);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8315 = gc_frame_newslot(*var_s);
  params[0] = strlit8316;
  partcv[0] = 1;
  Object opresult8318 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8318 (depth = 7)
  int op_slot_left_8308 = gc_frame_newslot(opresult8318);
  params[0] = call8313;
  partcv[0] = 1;
  Object opresult8319 = callmethod(opresult8318, "++(1)", 1, partcv, params);
// compiled op node returning opresult8319 (depth = 6)
  int op_slot_left_8305 = gc_frame_newslot(opresult8319);
  params[0] = strlit8306;
  partcv[0] = 1;
  Object opresult8320 = callmethod(opresult8319, "++(1)", 1, partcv, params);
// compiled op node returning opresult8320 (depth = 5)
  *var_s = opresult8320;
  if (opresult8320 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8281 = done;
  } else {
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8323 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8324 = alloc_Float64(0);
// compiled num node returning num8324 (depth = 7)
  gc_frame_newslot(num8324);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8325 = gc_frame_new();
// call case 4: self request
  Object call8326 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8325);
// compiled member node returning call8326 (depth = 7)
  params[0] = num8324;
  partcv[0] = 1;
  Object call8327 = callmethodflags(call8326, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8323);
// compiled call node returning call8327 (depth = 6)
  int op_slot_right_8322 = gc_frame_newslot(call8327);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8322 = gc_frame_newslot(*var_s);
  params[0] = call8327;
  partcv[0] = 1;
  Object opresult8329 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8329 (depth = 5)
  *var_s = opresult8329;
  if (opresult8329 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8281 = done;
  }
// compiled if node returning if8281 (depth = 3)
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_8331_asIdentifier(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8332 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8333 = gc_frame_new();
// call case 4: self request
  Object call8334 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8333);
// compiled member node returning call8334 (depth = 5)
  gc_frame_newslot(call8334);
// starting to compile identifier node (depth = 5)
  Object bool8335 = alloc_Boolean(0);
// compiled identifier node returning bool8335 (depth = 5)
  gc_frame_newslot(bool8335);
// starting to compile member node (depth = 5)
  int callframe8336 = gc_frame_new();
// call case 4: self request
  Object call8337 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8336);
// compiled member node returning call8337 (depth = 5)
  gc_frame_newslot(call8337);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call8334;
  params[1] = bool8335;
  params[2] = call8337;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8338 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8332);
// compiled call node returning call8338 (depth = 4)
  *var_resultNode = call8338;
  if (call8338 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8339 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool8340 = alloc_Boolean(1);
// compiled identifier node returning bool8340 (depth = 4)
  gc_frame_newslot(bool8340);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool8340;
  partcv[0] = 1;
  Object call8341 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8339);
// compiled call node returning call8341 (depth = 3)
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8342 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8343 = gc_frame_new();
// call case 4: self request
  Object call8344 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8343);
// compiled member node returning call8344 (depth = 4)
  gc_frame_newslot(call8344);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call8344;
  partcv[0] = 1;
  Object call8345 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8342);
// compiled call node returning call8345 (depth = 3)
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8346 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8347 = gc_frame_new();
// call case 4: self request
  Object call8348 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8347);
// compiled member node returning call8348 (depth = 4)
  gc_frame_newslot(call8348);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call8348;
  partcv[0] = 1;
  Object call8349 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8346);
// compiled call node returning call8349 (depth = 3)
// Begin line 2199
  setline(2199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_8350_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_opNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8351 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8352 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8353 = gc_frame_new();
// call case 4: self request
  Object call8354 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8353);
// compiled member node returning call8354 (depth = 5)
  gc_frame_newslot(call8354);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_opNode (depth = 5)
  params[0] = call8354;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call8355 = callmethodflags(*var_opNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8352);
// compiled call node returning call8355 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8356 = callmethodflags(call8355, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8351);
// compiled call node returning call8356 (depth = 3)
  gc_frame_end(frame);
  return call8356;
}
Object meth_ast_8357_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2205
  setline(2205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8358 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8359 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call8360 = callmethodflags(*var_other, "isTailCall", 0, partcv, params, 0);
  gc_frame_end(callframe8359);
// compiled member node returning call8360 (depth = 4)
  gc_frame_newslot(call8360);
// call case 4: self request
  params[0] = call8360;
  partcv[0] = 1;
  Object call8361 = callmethodflags(self, "isTailCall:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8358);
// compiled call node returning call8361 (depth = 3)
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8362 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8363 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call8364 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe8363);
// compiled member node returning call8364 (depth = 4)
  gc_frame_newslot(call8364);
// call case 4: self request
  params[0] = call8364;
  partcv[0] = 1;
  Object call8365 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8362);
// compiled call node returning call8365 (depth = 3)
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_8050_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8051 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8051 = alloc_userobj2(29,26, objclass8051);
  gc_frame_newslot(obj8051);
  if (objclass8051 == NULL) {
    glfree(obj8051->class->name);
    obj8051->class->name = "opNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8051, self, 0);
  addmethodreal(obj8051,"outer", &reader_ast_outer_8052);
  Object oldself8051 = self;
  struct StackFrameObject *oldstackframe8051 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8051);
  gc_frame_newslot((Object)stackframe);
  self = obj8051;
  Object *oldselfslot8051 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8051 = (*(struct UserObject *)self).data[0], lowerouter8051 = thisouter8051;
  if (inheritingObject8051) {
    struct UserObject *inho8051 = (struct UserObject *)inheritingObject8051;
    while (inho8051->super != GraceDefaultObject) inho8051 = (struct UserObject *)inho8051->super;
    inho8051->super = obj8051;
    self = inheritingObject8051;
    *selfslot = self;
    lowerouter8051 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8051;
  }
  if (objclass8051 == NULL) {
  Method *reader8053 = addmethodrealflags(obj8051, "kind",&reader_ast_kind_8053, MFLAG_DEF);
  reader8053->definitionModule = modulename;
  reader8053->definitionLine = 2128;
  }
  adddatum2(obj8051, alloc_Undefined(), 1);
  if (objclass8051 == NULL) {
  Method *reader8054 = addmethodrealflags(obj8051, "value",&reader_ast_value_8054, MFLAG_DEF);
  reader8054->definitionModule = modulename;
  reader8054->definitionLine = 2129;
  }
  adddatum2(obj8051, alloc_Undefined(), 2);
  if (objclass8051 == NULL) {
    Method *reader8055 = addmethodrealflags(obj8051, "left", &reader_ast_left_8055, 0);
    Method *writer8055 = addmethodrealflags(obj8051, "left:=(1)", &writer_ast_left_8055, 0);
    reader8055->definitionModule = modulename;
    writer8055->definitionModule = modulename;
    reader8055->definitionLine = 2130;
    writer8055->definitionLine = 2130;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 3);
  if (objclass8051 == NULL) {
    Method *reader8056 = addmethodrealflags(obj8051, "right", &reader_ast_right_8056, 0);
    Method *writer8056 = addmethodrealflags(obj8051, "right:=(1)", &writer_ast_right_8056, 0);
    reader8056->definitionModule = modulename;
    writer8056->definitionModule = modulename;
    reader8056->definitionLine = 2131;
    writer8056->definitionLine = 2131;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 4);
  if (objclass8051 == NULL) {
    Method *reader8057 = addmethodrealflags(obj8051, "isTailCall", &reader_ast_isTailCall_8057, 0);
    Method *writer8057 = addmethodrealflags(obj8051, "isTailCall:=(1)", &writer_ast_isTailCall_8057, 0);
    reader8057->definitionModule = modulename;
    writer8057->definitionModule = modulename;
    reader8057->definitionLine = 2132;
    writer8057->definitionLine = 2132;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 5);
  if (objclass8051 == NULL) {
    Method *reader8058 = addmethodrealflags(obj8051, "isSelfRequest", &reader_ast_isSelfRequest_8058, 0);
    Method *writer8058 = addmethodrealflags(obj8051, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_8058, 0);
    reader8058->definitionModule = modulename;
    writer8058->definitionModule = modulename;
    reader8058->definitionLine = 2133;
    writer8058->definitionLine = 2133;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 6);
// method "start"
  struct UserObject *uo8059 = (struct UserObject*)obj8051;
  uo8059->data[7] = emptyclosure;
  Method *meth_meth_ast_8059_start = addmethod2pos(obj8051, "start", &meth_ast_8059_start, 7);
  int argcv_meth_ast_8059_start[] = {0};
  meth_meth_ast_8059_start->type = alloc_MethodType(1, argcv_meth_ast_8059_start);
  meth_meth_ast_8059_start->definitionModule = modulename;
  meth_meth_ast_8059_start->definitionLine = 2135;
// method "end"
  struct UserObject *uo8064 = (struct UserObject*)obj8051;
  uo8064->data[8] = emptyclosure;
  Method *meth_meth_ast_8064_end = addmethod2pos(obj8051, "end", &meth_ast_8064_end, 8);
  int argcv_meth_ast_8064_end[] = {0};
  meth_meth_ast_8064_end->type = alloc_MethodType(1, argcv_meth_ast_8064_end);
  meth_meth_ast_8064_end->definitionModule = modulename;
  meth_meth_ast_8064_end->definitionLine = 2136;
// method "onSelf"
  struct UserObject *uo8069 = (struct UserObject*)obj8051;
  uo8069->data[9] = emptyclosure;
  Method *meth_meth_ast_8069_onSelf = addmethod2pos(obj8051, "onSelf", &meth_ast_8069_onSelf, 9);
  int argcv_meth_ast_8069_onSelf[] = {0};
  meth_meth_ast_8069_onSelf->type = alloc_MethodType(1, argcv_meth_ast_8069_onSelf);
  meth_meth_ast_8069_onSelf->definitionModule = modulename;
  meth_meth_ast_8069_onSelf->definitionLine = 2137;
// method "isSimple"
  struct UserObject *uo8073 = (struct UserObject*)obj8051;
  uo8073->data[10] = emptyclosure;
  Method *meth_meth_ast_8073_isSimple = addmethod2pos(obj8051, "isSimple", &meth_ast_8073_isSimple, 10);
  int argcv_meth_ast_8073_isSimple[] = {0};
  meth_meth_ast_8073_isSimple->type = alloc_MethodType(1, argcv_meth_ast_8073_isSimple);
  meth_meth_ast_8073_isSimple->definitionModule = modulename;
  meth_meth_ast_8073_isSimple->definitionLine = 2141;
// method "nameString"
  struct UserObject *uo8075 = (struct UserObject*)obj8051;
  uo8075->data[11] = emptyclosure;
  Method *meth_meth_ast_8075_nameString = addmethod2pos(obj8051, "nameString", &meth_ast_8075_nameString, 11);
  int argcv_meth_ast_8075_nameString[] = {0};
  meth_meth_ast_8075_nameString->type = alloc_MethodType(1, argcv_meth_ast_8075_nameString);
  meth_meth_ast_8075_nameString->definitionModule = modulename;
  meth_meth_ast_8075_nameString->definitionLine = 2142;
// method "canonicalName"
  struct UserObject *uo8082 = (struct UserObject*)obj8051;
  uo8082->data[12] = emptyclosure;
  Method *meth_meth_ast_8082_canonicalName = addmethod2pos(obj8051, "canonicalName", &meth_ast_8082_canonicalName, 12);
  int argcv_meth_ast_8082_canonicalName[] = {0};
  meth_meth_ast_8082_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_8082_canonicalName);
  meth_meth_ast_8082_canonicalName->definitionModule = modulename;
  meth_meth_ast_8082_canonicalName->definitionLine = 2143;
// method "receiver"
  struct UserObject *uo8089 = (struct UserObject*)obj8051;
  uo8089->data[13] = emptyclosure;
  Method *meth_meth_ast_8089_receiver = addmethod2pos(obj8051, "receiver", &meth_ast_8089_receiver, 13);
  int argcv_meth_ast_8089_receiver[] = {0};
  meth_meth_ast_8089_receiver->type = alloc_MethodType(1, argcv_meth_ast_8089_receiver);
  meth_meth_ast_8089_receiver->definitionModule = modulename;
  meth_meth_ast_8089_receiver->definitionLine = 2144;
// method "isCall"
  struct UserObject *uo8092 = (struct UserObject*)obj8051;
  uo8092->data[14] = emptyclosure;
  Method *meth_meth_ast_8092_isCall = addmethod2pos(obj8051, "isCall", &meth_ast_8092_isCall, 14);
  int argcv_meth_ast_8092_isCall[] = {0};
  meth_meth_ast_8092_isCall->type = alloc_MethodType(1, argcv_meth_ast_8092_isCall);
  meth_meth_ast_8092_isCall->definitionModule = modulename;
  meth_meth_ast_8092_isCall->definitionLine = 2145;
// method "arguments"
  struct UserObject *uo8094 = (struct UserObject*)obj8051;
  uo8094->data[15] = emptyclosure;
  Method *meth_meth_ast_8094_arguments = addmethod2pos(obj8051, "arguments", &meth_ast_8094_arguments, 15);
  int argcv_meth_ast_8094_arguments[] = {0};
  meth_meth_ast_8094_arguments->type = alloc_MethodType(1, argcv_meth_ast_8094_arguments);
  meth_meth_ast_8094_arguments->definitionModule = modulename;
  meth_meth_ast_8094_arguments->definitionLine = 2146;
// method "argumentsDo(_)"
  struct UserObject *uo8098 = (struct UserObject*)obj8051;
  uo8098->data[16] = emptyclosure;
  Method *meth_meth_ast_8098_argumentsDo_40_1_41_ = addmethod2pos(obj8051, "argumentsDo(1)", &meth_ast_8098_argumentsDo_40_1_41_, 16);
  int argcv_meth_ast_8098_argumentsDo_40_1_41_[] = {1};
  meth_meth_ast_8098_argumentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8098_argumentsDo_40_1_41_);
  meth_meth_ast_8098_argumentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8098_argumentsDo_40_1_41_->definitionLine = 2147;
// method "numArgs"
  struct UserObject *uo8103 = (struct UserObject*)obj8051;
  uo8103->data[17] = emptyclosure;
  Method *meth_meth_ast_8103_numArgs = addmethod2pos(obj8051, "numArgs", &meth_ast_8103_numArgs, 17);
  int argcv_meth_ast_8103_numArgs[] = {0};
  meth_meth_ast_8103_numArgs->type = alloc_MethodType(1, argcv_meth_ast_8103_numArgs);
  meth_meth_ast_8103_numArgs->definitionModule = modulename;
  meth_meth_ast_8103_numArgs->definitionLine = 2148;
// method "numTypeArgs"
  struct UserObject *uo8105 = (struct UserObject*)obj8051;
  uo8105->data[18] = emptyclosure;
  Method *meth_meth_ast_8105_numTypeArgs = addmethod2pos(obj8051, "numTypeArgs", &meth_ast_8105_numTypeArgs, 18);
  int argcv_meth_ast_8105_numTypeArgs[] = {0};
  meth_meth_ast_8105_numTypeArgs->type = alloc_MethodType(1, argcv_meth_ast_8105_numTypeArgs);
  meth_meth_ast_8105_numTypeArgs->definitionModule = modulename;
  meth_meth_ast_8105_numTypeArgs->definitionLine = 2149;
// method "accept(_)from(_)"
  struct UserObject *uo8107 = (struct UserObject*)obj8051;
  uo8107->data[19] = emptyclosure;
  Method *meth_meth_ast_8107_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8051, "accept(1)from(1)", &meth_ast_8107_accept_40_1_41_from_40_1_41_, 19);
  int argcv_meth_ast_8107_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_8107_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8107_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_8107_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8107_accept_40_1_41_from_40_1_41_->definitionLine = 2151;
// method "map(_)ancestors(_)"
  struct UserObject *uo8121 = (struct UserObject*)obj8051;
  uo8121->data[20] = emptyclosure;
  Method *meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8051, "map(1)ancestors(1)", &meth_ast_8121_map_40_1_41_ancestors_40_1_41_, 20);
  int argcv_meth_ast_8121_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8121_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_->definitionLine = 2158;
// method "pretty(_)"
  struct UserObject *uo8140 = (struct UserObject*)obj8051;
  uo8140->data[21] = emptyclosure;
  Method *meth_meth_ast_8140_pretty_40_1_41_ = addmethod2pos(obj8051, "pretty(1)", &meth_ast_8140_pretty_40_1_41_, 21);
  int argcv_meth_ast_8140_pretty_40_1_41_[] = {1};
  meth_meth_ast_8140_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8140_pretty_40_1_41_);
  meth_meth_ast_8140_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8140_pretty_40_1_41_->definitionLine = 2165;
// method "toGrace(_)"
  struct UserObject *uo8208 = (struct UserObject*)obj8051;
  uo8208->data[22] = emptyclosure;
  Method *meth_meth_ast_8208_toGrace_40_1_41_ = addmethod2pos(obj8051, "toGrace(1)", &meth_ast_8208_toGrace_40_1_41_, 22);
  int argcv_meth_ast_8208_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8208_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8208_toGrace_40_1_41_);
meth_meth_ast_8208_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8208_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8208_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8208_toGrace_40_1_41_->definitionLine = 2174;
// method "asIdentifier"
  block_savedest(obj8051);
  Object closure8331 = createclosure(1, "asIdentifier");
  setclosureframe(closure8331, stackframe);
  addtoclosure(closure8331, var_identifierNode);
  struct UserObject *uo8331 = (struct UserObject*)obj8051;
  uo8331->data[23] = (Object)closure8331;
  Method *meth_meth_ast_8331_asIdentifier = addmethod2pos(obj8051, "asIdentifier", &meth_ast_8331_asIdentifier, 23);
  int argcv_meth_ast_8331_asIdentifier[] = {0};
  meth_meth_ast_8331_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_8331_asIdentifier);
  meth_meth_ast_8331_asIdentifier->definitionModule = modulename;
  meth_meth_ast_8331_asIdentifier->definitionLine = 2193;
// method "shallowCopy"
  block_savedest(obj8051);
  Object closure8350 = createclosure(2, "shallowCopy");
  setclosureframe(closure8350, stackframe);
  addtoclosure(closure8350, var_nullNode);
  addtoclosure(closure8350, var_opNode);
  struct UserObject *uo8350 = (struct UserObject*)obj8051;
  uo8350->data[24] = (Object)closure8350;
  Method *meth_meth_ast_8350_shallowCopy = addmethod2pos(obj8051, "shallowCopy", &meth_ast_8350_shallowCopy, 24);
  int argcv_meth_ast_8350_shallowCopy[] = {0};
  meth_meth_ast_8350_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8350_shallowCopy);
  meth_meth_ast_8350_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8350_shallowCopy->definitionLine = 2201;
// method "postCopy(_)"
  struct UserObject *uo8357 = (struct UserObject*)obj8051;
  uo8357->data[25] = emptyclosure;
  Method *meth_meth_ast_8357_postCopy_40_1_41_ = addmethod2pos(obj8051, "postCopy(1)", &meth_ast_8357_postCopy_40_1_41_, 25);
  int argcv_meth_ast_8357_postCopy_40_1_41_[] = {1};
  meth_meth_ast_8357_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8357_postCopy_40_1_41_);
  meth_meth_ast_8357_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8357_postCopy_40_1_41_->definitionLine = 2204;
  sourceObject = obj8051;
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8366 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8367 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8366);
// compiled call node returning call8367 (depth = 3)
  struct UserObject *obj8051_uo = (struct UserObject *)obj8051;
  obj8051_uo->super = call8367;
  sourceObject = obj8051;
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8368 == NULL) {
    strlit8368 = alloc_String("op");
    gc_root(strlit8368);
  }
// compiled string node returning strlit8368 (depth = 3)
  adddatum2(obj8051, strlit8368, 1);
  sourceObject = obj8051;
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_op (depth = 3)
  adddatum2(obj8051, *var_op, 2);
  sourceObject = obj8051;
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  adddatum2(obj8051, *var_l, 3);
  sourceObject = obj8051;
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_r (depth = 3)
  adddatum2(obj8051, *var_r, 4);
  sourceObject = obj8051;
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8369 = alloc_Boolean(0);
// compiled identifier node returning bool8369 (depth = 3)
  adddatum2(obj8051, bool8369, 5);
  sourceObject = obj8051;
// Begin line 2133
  setline(2133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8370 = alloc_Boolean(0);
// compiled identifier node returning bool8370 (depth = 3)
  adddatum2(obj8051, bool8370, 6);
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  objclass8051 = obj8051->class;
  objclass8051->definitionModule = modulename;
  objclass8051->definitionLine = 2126;
  (*(struct UserObject *)self).data[0] = lowerouter8051;
  self = oldself8051;
  selfslot = oldselfslot8051;
  stackframe = oldstackframe8051;
  gc_frame_end(frame);
  return obj8051;
}
Object meth_ast_8050_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8051 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8051 = alloc_userobj2(29,26, objclass8051);
  gc_frame_newslot(obj8051);
  if (objclass8051 == NULL) {
    glfree(obj8051->class->name);
    obj8051->class->name = "opNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8051, self, 0);
  addmethodreal(obj8051,"outer", &reader_ast_outer_8052);
  Object oldself8051 = self;
  struct StackFrameObject *oldstackframe8051 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8051);
  gc_frame_newslot((Object)stackframe);
  self = obj8051;
  Object *oldselfslot8051 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8051 = (*(struct UserObject *)self).data[0], lowerouter8051 = thisouter8051;
  if (inheritingObject8051) {
    struct UserObject *inho8051 = (struct UserObject *)inheritingObject8051;
    while (inho8051->super != GraceDefaultObject) inho8051 = (struct UserObject *)inho8051->super;
    inho8051->super = obj8051;
    self = inheritingObject8051;
    *selfslot = self;
    lowerouter8051 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8051;
  }
  if (objclass8051 == NULL) {
  Method *reader8053 = addmethodrealflags(obj8051, "kind",&reader_ast_kind_8053, MFLAG_DEF);
  reader8053->definitionModule = modulename;
  reader8053->definitionLine = 2128;
  }
  adddatum2(obj8051, alloc_Undefined(), 1);
  if (objclass8051 == NULL) {
  Method *reader8054 = addmethodrealflags(obj8051, "value",&reader_ast_value_8054, MFLAG_DEF);
  reader8054->definitionModule = modulename;
  reader8054->definitionLine = 2129;
  }
  adddatum2(obj8051, alloc_Undefined(), 2);
  if (objclass8051 == NULL) {
    Method *reader8055 = addmethodrealflags(obj8051, "left", &reader_ast_left_8055, 0);
    Method *writer8055 = addmethodrealflags(obj8051, "left:=(1)", &writer_ast_left_8055, 0);
    reader8055->definitionModule = modulename;
    writer8055->definitionModule = modulename;
    reader8055->definitionLine = 2130;
    writer8055->definitionLine = 2130;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 3);
  if (objclass8051 == NULL) {
    Method *reader8056 = addmethodrealflags(obj8051, "right", &reader_ast_right_8056, 0);
    Method *writer8056 = addmethodrealflags(obj8051, "right:=(1)", &writer_ast_right_8056, 0);
    reader8056->definitionModule = modulename;
    writer8056->definitionModule = modulename;
    reader8056->definitionLine = 2131;
    writer8056->definitionLine = 2131;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 4);
  if (objclass8051 == NULL) {
    Method *reader8057 = addmethodrealflags(obj8051, "isTailCall", &reader_ast_isTailCall_8057, 0);
    Method *writer8057 = addmethodrealflags(obj8051, "isTailCall:=(1)", &writer_ast_isTailCall_8057, 0);
    reader8057->definitionModule = modulename;
    writer8057->definitionModule = modulename;
    reader8057->definitionLine = 2132;
    writer8057->definitionLine = 2132;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 5);
  if (objclass8051 == NULL) {
    Method *reader8058 = addmethodrealflags(obj8051, "isSelfRequest", &reader_ast_isSelfRequest_8058, 0);
    Method *writer8058 = addmethodrealflags(obj8051, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_8058, 0);
    reader8058->definitionModule = modulename;
    writer8058->definitionModule = modulename;
    reader8058->definitionLine = 2133;
    writer8058->definitionLine = 2133;
  }
  obj8051->flags |= OFLAG_MUTABLE;
  adddatum2(obj8051, alloc_Undefined(), 6);
// method "start"
  struct UserObject *uo8059 = (struct UserObject*)obj8051;
  uo8059->data[7] = emptyclosure;
  Method *meth_meth_ast_8059_start = addmethod2pos(obj8051, "start", &meth_ast_8059_start, 7);
  int argcv_meth_ast_8059_start[] = {0};
  meth_meth_ast_8059_start->type = alloc_MethodType(1, argcv_meth_ast_8059_start);
  meth_meth_ast_8059_start->definitionModule = modulename;
  meth_meth_ast_8059_start->definitionLine = 2135;
// method "end"
  struct UserObject *uo8064 = (struct UserObject*)obj8051;
  uo8064->data[8] = emptyclosure;
  Method *meth_meth_ast_8064_end = addmethod2pos(obj8051, "end", &meth_ast_8064_end, 8);
  int argcv_meth_ast_8064_end[] = {0};
  meth_meth_ast_8064_end->type = alloc_MethodType(1, argcv_meth_ast_8064_end);
  meth_meth_ast_8064_end->definitionModule = modulename;
  meth_meth_ast_8064_end->definitionLine = 2136;
// method "onSelf"
  struct UserObject *uo8069 = (struct UserObject*)obj8051;
  uo8069->data[9] = emptyclosure;
  Method *meth_meth_ast_8069_onSelf = addmethod2pos(obj8051, "onSelf", &meth_ast_8069_onSelf, 9);
  int argcv_meth_ast_8069_onSelf[] = {0};
  meth_meth_ast_8069_onSelf->type = alloc_MethodType(1, argcv_meth_ast_8069_onSelf);
  meth_meth_ast_8069_onSelf->definitionModule = modulename;
  meth_meth_ast_8069_onSelf->definitionLine = 2137;
// method "isSimple"
  struct UserObject *uo8073 = (struct UserObject*)obj8051;
  uo8073->data[10] = emptyclosure;
  Method *meth_meth_ast_8073_isSimple = addmethod2pos(obj8051, "isSimple", &meth_ast_8073_isSimple, 10);
  int argcv_meth_ast_8073_isSimple[] = {0};
  meth_meth_ast_8073_isSimple->type = alloc_MethodType(1, argcv_meth_ast_8073_isSimple);
  meth_meth_ast_8073_isSimple->definitionModule = modulename;
  meth_meth_ast_8073_isSimple->definitionLine = 2141;
// method "nameString"
  struct UserObject *uo8075 = (struct UserObject*)obj8051;
  uo8075->data[11] = emptyclosure;
  Method *meth_meth_ast_8075_nameString = addmethod2pos(obj8051, "nameString", &meth_ast_8075_nameString, 11);
  int argcv_meth_ast_8075_nameString[] = {0};
  meth_meth_ast_8075_nameString->type = alloc_MethodType(1, argcv_meth_ast_8075_nameString);
  meth_meth_ast_8075_nameString->definitionModule = modulename;
  meth_meth_ast_8075_nameString->definitionLine = 2142;
// method "canonicalName"
  struct UserObject *uo8082 = (struct UserObject*)obj8051;
  uo8082->data[12] = emptyclosure;
  Method *meth_meth_ast_8082_canonicalName = addmethod2pos(obj8051, "canonicalName", &meth_ast_8082_canonicalName, 12);
  int argcv_meth_ast_8082_canonicalName[] = {0};
  meth_meth_ast_8082_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_8082_canonicalName);
  meth_meth_ast_8082_canonicalName->definitionModule = modulename;
  meth_meth_ast_8082_canonicalName->definitionLine = 2143;
// method "receiver"
  struct UserObject *uo8089 = (struct UserObject*)obj8051;
  uo8089->data[13] = emptyclosure;
  Method *meth_meth_ast_8089_receiver = addmethod2pos(obj8051, "receiver", &meth_ast_8089_receiver, 13);
  int argcv_meth_ast_8089_receiver[] = {0};
  meth_meth_ast_8089_receiver->type = alloc_MethodType(1, argcv_meth_ast_8089_receiver);
  meth_meth_ast_8089_receiver->definitionModule = modulename;
  meth_meth_ast_8089_receiver->definitionLine = 2144;
// method "isCall"
  struct UserObject *uo8092 = (struct UserObject*)obj8051;
  uo8092->data[14] = emptyclosure;
  Method *meth_meth_ast_8092_isCall = addmethod2pos(obj8051, "isCall", &meth_ast_8092_isCall, 14);
  int argcv_meth_ast_8092_isCall[] = {0};
  meth_meth_ast_8092_isCall->type = alloc_MethodType(1, argcv_meth_ast_8092_isCall);
  meth_meth_ast_8092_isCall->definitionModule = modulename;
  meth_meth_ast_8092_isCall->definitionLine = 2145;
// method "arguments"
  struct UserObject *uo8094 = (struct UserObject*)obj8051;
  uo8094->data[15] = emptyclosure;
  Method *meth_meth_ast_8094_arguments = addmethod2pos(obj8051, "arguments", &meth_ast_8094_arguments, 15);
  int argcv_meth_ast_8094_arguments[] = {0};
  meth_meth_ast_8094_arguments->type = alloc_MethodType(1, argcv_meth_ast_8094_arguments);
  meth_meth_ast_8094_arguments->definitionModule = modulename;
  meth_meth_ast_8094_arguments->definitionLine = 2146;
// method "argumentsDo(_)"
  struct UserObject *uo8098 = (struct UserObject*)obj8051;
  uo8098->data[16] = emptyclosure;
  Method *meth_meth_ast_8098_argumentsDo_40_1_41_ = addmethod2pos(obj8051, "argumentsDo(1)", &meth_ast_8098_argumentsDo_40_1_41_, 16);
  int argcv_meth_ast_8098_argumentsDo_40_1_41_[] = {1};
  meth_meth_ast_8098_argumentsDo_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8098_argumentsDo_40_1_41_);
  meth_meth_ast_8098_argumentsDo_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8098_argumentsDo_40_1_41_->definitionLine = 2147;
// method "numArgs"
  struct UserObject *uo8103 = (struct UserObject*)obj8051;
  uo8103->data[17] = emptyclosure;
  Method *meth_meth_ast_8103_numArgs = addmethod2pos(obj8051, "numArgs", &meth_ast_8103_numArgs, 17);
  int argcv_meth_ast_8103_numArgs[] = {0};
  meth_meth_ast_8103_numArgs->type = alloc_MethodType(1, argcv_meth_ast_8103_numArgs);
  meth_meth_ast_8103_numArgs->definitionModule = modulename;
  meth_meth_ast_8103_numArgs->definitionLine = 2148;
// method "numTypeArgs"
  struct UserObject *uo8105 = (struct UserObject*)obj8051;
  uo8105->data[18] = emptyclosure;
  Method *meth_meth_ast_8105_numTypeArgs = addmethod2pos(obj8051, "numTypeArgs", &meth_ast_8105_numTypeArgs, 18);
  int argcv_meth_ast_8105_numTypeArgs[] = {0};
  meth_meth_ast_8105_numTypeArgs->type = alloc_MethodType(1, argcv_meth_ast_8105_numTypeArgs);
  meth_meth_ast_8105_numTypeArgs->definitionModule = modulename;
  meth_meth_ast_8105_numTypeArgs->definitionLine = 2149;
// method "accept(_)from(_)"
  struct UserObject *uo8107 = (struct UserObject*)obj8051;
  uo8107->data[19] = emptyclosure;
  Method *meth_meth_ast_8107_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8051, "accept(1)from(1)", &meth_ast_8107_accept_40_1_41_from_40_1_41_, 19);
  int argcv_meth_ast_8107_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_8107_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8107_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_8107_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8107_accept_40_1_41_from_40_1_41_->definitionLine = 2151;
// method "map(_)ancestors(_)"
  struct UserObject *uo8121 = (struct UserObject*)obj8051;
  uo8121->data[20] = emptyclosure;
  Method *meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8051, "map(1)ancestors(1)", &meth_ast_8121_map_40_1_41_ancestors_40_1_41_, 20);
  int argcv_meth_ast_8121_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8121_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8121_map_40_1_41_ancestors_40_1_41_->definitionLine = 2158;
// method "pretty(_)"
  struct UserObject *uo8140 = (struct UserObject*)obj8051;
  uo8140->data[21] = emptyclosure;
  Method *meth_meth_ast_8140_pretty_40_1_41_ = addmethod2pos(obj8051, "pretty(1)", &meth_ast_8140_pretty_40_1_41_, 21);
  int argcv_meth_ast_8140_pretty_40_1_41_[] = {1};
  meth_meth_ast_8140_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8140_pretty_40_1_41_);
  meth_meth_ast_8140_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8140_pretty_40_1_41_->definitionLine = 2165;
// method "toGrace(_)"
  struct UserObject *uo8208 = (struct UserObject*)obj8051;
  uo8208->data[22] = emptyclosure;
  Method *meth_meth_ast_8208_toGrace_40_1_41_ = addmethod2pos(obj8051, "toGrace(1)", &meth_ast_8208_toGrace_40_1_41_, 22);
  int argcv_meth_ast_8208_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8208_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8208_toGrace_40_1_41_);
meth_meth_ast_8208_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8208_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8208_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8208_toGrace_40_1_41_->definitionLine = 2174;
// method "asIdentifier"
  block_savedest(obj8051);
  Object closure8331 = createclosure(1, "asIdentifier");
  setclosureframe(closure8331, stackframe);
  addtoclosure(closure8331, var_identifierNode);
  struct UserObject *uo8331 = (struct UserObject*)obj8051;
  uo8331->data[23] = (Object)closure8331;
  Method *meth_meth_ast_8331_asIdentifier = addmethod2pos(obj8051, "asIdentifier", &meth_ast_8331_asIdentifier, 23);
  int argcv_meth_ast_8331_asIdentifier[] = {0};
  meth_meth_ast_8331_asIdentifier->type = alloc_MethodType(1, argcv_meth_ast_8331_asIdentifier);
  meth_meth_ast_8331_asIdentifier->definitionModule = modulename;
  meth_meth_ast_8331_asIdentifier->definitionLine = 2193;
// method "shallowCopy"
  block_savedest(obj8051);
  Object closure8350 = createclosure(2, "shallowCopy");
  setclosureframe(closure8350, stackframe);
  addtoclosure(closure8350, var_nullNode);
  addtoclosure(closure8350, var_opNode);
  struct UserObject *uo8350 = (struct UserObject*)obj8051;
  uo8350->data[24] = (Object)closure8350;
  Method *meth_meth_ast_8350_shallowCopy = addmethod2pos(obj8051, "shallowCopy", &meth_ast_8350_shallowCopy, 24);
  int argcv_meth_ast_8350_shallowCopy[] = {0};
  meth_meth_ast_8350_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8350_shallowCopy);
  meth_meth_ast_8350_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8350_shallowCopy->definitionLine = 2201;
// method "postCopy(_)"
  struct UserObject *uo8357 = (struct UserObject*)obj8051;
  uo8357->data[25] = emptyclosure;
  Method *meth_meth_ast_8357_postCopy_40_1_41_ = addmethod2pos(obj8051, "postCopy(1)", &meth_ast_8357_postCopy_40_1_41_, 25);
  int argcv_meth_ast_8357_postCopy_40_1_41_[] = {1};
  meth_meth_ast_8357_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8357_postCopy_40_1_41_);
  meth_meth_ast_8357_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8357_postCopy_40_1_41_->definitionLine = 2204;
  sourceObject = obj8051;
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8366 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8367 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8366);
// compiled call node returning call8367 (depth = 3)
  struct UserObject *obj8051_uo = (struct UserObject *)obj8051;
  obj8051_uo->super = call8367;
  sourceObject = obj8051;
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8368 == NULL) {
    strlit8368 = alloc_String("op");
    gc_root(strlit8368);
  }
// compiled string node returning strlit8368 (depth = 3)
  adddatum2(obj8051, strlit8368, 1);
  sourceObject = obj8051;
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_op (depth = 3)
  adddatum2(obj8051, *var_op, 2);
  sourceObject = obj8051;
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  adddatum2(obj8051, *var_l, 3);
  sourceObject = obj8051;
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_r (depth = 3)
  adddatum2(obj8051, *var_r, 4);
  sourceObject = obj8051;
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8369 = alloc_Boolean(0);
// compiled identifier node returning bool8369 (depth = 3)
  adddatum2(obj8051, bool8369, 5);
  sourceObject = obj8051;
// Begin line 2133
  setline(2133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8370 = alloc_Boolean(0);
// compiled identifier node returning bool8370 (depth = 3)
  adddatum2(obj8051, bool8370, 6);
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  sourceObject = obj8051;
  objclass8051 = obj8051->class;
  objclass8051->definitionModule = modulename;
  objclass8051->definitionLine = 2126;
  (*(struct UserObject *)self).data[0] = lowerouter8051;
  self = oldself8051;
  selfslot = oldselfslot8051;
  stackframe = oldstackframe8051;
  gc_frame_end(frame);
  return obj8051;
}
Object meth_ast_8372_opNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "opNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_opNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_opNode (depth = 3)
  gc_frame_end(frame);
  return *var_opNode;
}
Object meth_ast_8381_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8382 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8383 = gc_frame_new();
// call case 4: self request
  Object call8384 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8383);
// compiled member node returning call8384 (depth = 4)
  Object call8385 = callmethodflags(call8384, "end", 0, partcv, params, 0);
  gc_frame_end(callframe8382);
// compiled member node returning call8385 (depth = 3)
  gc_frame_end(frame);
  return call8385;
}
Object meth_ast_8386_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8388 == NULL) {
    strlit8388 = alloc_String(":=(1)");
    gc_root(strlit8388);
  }
// compiled string node returning strlit8388 (depth = 4)
  int op_slot_right_8387 = gc_frame_newslot(strlit8388);
// starting to compile member node (depth = 4)
  int callframe8390 = gc_frame_new();
// call case 4: self request
  Object call8391 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8390);
// compiled member node returning call8391 (depth = 4)
  int op_slot_left_8387 = gc_frame_newslot(call8391);
  params[0] = strlit8388;
  partcv[0] = 1;
  Object opresult8392 = callmethod(call8391, "++(1)", 1, partcv, params);
// compiled op node returning opresult8392 (depth = 3)
  gc_frame_end(frame);
  return opresult8392;
}
Object meth_ast_8393_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8395 == NULL) {
    strlit8395 = alloc_String(":=(_)");
    gc_root(strlit8395);
  }
// compiled string node returning strlit8395 (depth = 4)
  int op_slot_right_8394 = gc_frame_newslot(strlit8395);
// starting to compile member node (depth = 4)
  int callframe8397 = gc_frame_new();
// call case 4: self request
  Object call8398 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8397);
// compiled member node returning call8398 (depth = 4)
  int op_slot_left_8394 = gc_frame_newslot(call8398);
  params[0] = strlit8395;
  partcv[0] = 1;
  Object opresult8399 = callmethod(call8398, "++(1)", 1, partcv, params);
// compiled op node returning opresult8399 (depth = 3)
  gc_frame_end(frame);
  return opresult8399;
}
Object meth_ast_8400_isBind(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8401 = alloc_Boolean(1);
// compiled identifier node returning bool8401 (depth = 3)
  gc_frame_end(frame);
  return bool8401;
}
Object meth_ast_8402_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8404 == NULL) {
    strlit8404 = alloc_String("");
    gc_root(strlit8404);
  }
// compiled string node returning strlit8404 (depth = 4)
  int op_slot_right_8403 = gc_frame_newslot(strlit8404);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8407 = gc_frame_new();
// call case 4: self request
  Object call8408 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8407);
// compiled member node returning call8408 (depth = 5)
  int op_slot_right_8406 = gc_frame_newslot(call8408);
// starting to compile string node (depth = 5)
  if (strlit8410 == NULL) {
    strlit8410 = alloc_String("bind ");
    gc_root(strlit8410);
  }
// compiled string node returning strlit8410 (depth = 5)
  int op_slot_left_8406 = gc_frame_newslot(strlit8410);
  params[0] = call8408;
  partcv[0] = 1;
  Object opresult8411 = callmethod(strlit8410, "++(1)", 1, partcv, params);
// compiled op node returning opresult8411 (depth = 4)
  int op_slot_left_8403 = gc_frame_newslot(opresult8411);
  params[0] = strlit8404;
  partcv[0] = 1;
  Object opresult8412 = callmethod(opresult8411, "++(1)", 1, partcv, params);
// compiled op node returning opresult8412 (depth = 3)
  gc_frame_end(frame);
  return opresult8412;
}
Object meth_ast_8413_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8415 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8416 = callmethodflags(*var_visitor, "visitBind(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8415);
// compiled call node returning call8416 (depth = 4)
  Object if8414 = done;
  if (istrue(call8416)) {
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8417 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8418 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8417);
// compiled call node returning call8418 (depth = 5)
  *var_newChain = call8418;
  if (call8418 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2227
  setline(2227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8419 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8420 = gc_frame_new();
// call case 4: self request
  Object call8421 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8420);
// compiled member node returning call8421 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8422 = callmethodflags(call8421, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8419);
// compiled call node returning call8422 (depth = 4)
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8423 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8424 = gc_frame_new();
// call case 4: self request
  Object call8425 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8424);
// compiled member node returning call8425 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8426 = callmethodflags(call8425, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8423);
// compiled call node returning call8426 (depth = 4)
    gc_frame_newslot(call8426);
    if8414 = call8426;
  } else {
  }
// compiled if node returning if8414 (depth = 3)
  gc_frame_end(frame);
  return if8414;
}
Object meth_ast_8427_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8428 = gc_frame_new();
// call case 4: self request
  Object call8429 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8428);
// compiled member node returning call8429 (depth = 4)
  *var_n = call8429;
  if (call8429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8430 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8431 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8430);
// compiled call node returning call8431 (depth = 4)
  *var_newChain = call8431;
  if (call8431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2234
  setline(2234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8432 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8433 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8434 = gc_frame_new();
// call case 4: self request
  Object call8435 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8434);
// compiled member node returning call8435 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8436 = callmethodflags(call8435, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8433);
// compiled call node returning call8436 (depth = 4)
  gc_frame_newslot(call8436);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8436;
  partcv[0] = 1;
  Object call8437 = callmethodflags(*var_n, "dest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8432);
// compiled call node returning call8437 (depth = 3)
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8438 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8439 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8440 = gc_frame_new();
// call case 4: self request
  Object call8441 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8440);
// compiled member node returning call8441 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8442 = callmethodflags(call8441, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8439);
// compiled call node returning call8442 (depth = 4)
  gc_frame_newslot(call8442);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8442;
  partcv[0] = 1;
  Object call8443 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8438);
// compiled call node returning call8443 (depth = 3)
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8444 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8445 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8444);
// compiled call node returning call8445 (depth = 3)
  gc_frame_end(frame);
  return call8445;
}
Object meth_ast_8446_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8449 = alloc_Float64(1);
// compiled num node returning num8449 (depth = 6)
  int op_slot_right_8448 = gc_frame_newslot(num8449);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_8448 = gc_frame_newslot(*var_depth);
  params[0] = num8449;
  partcv[0] = 1;
  Object sum8451 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8451 (depth = 5)
  int op_slot_right_8447 = gc_frame_newslot(sum8451);
// starting to compile string node (depth = 5)
  if (strlit8453 == NULL) {
    strlit8453 = alloc_String("  ");
    gc_root(strlit8453);
  }
// compiled string node returning strlit8453 (depth = 5)
  int op_slot_left_8447 = gc_frame_newslot(strlit8453);
  params[0] = sum8451;
  partcv[0] = 1;
  Object prod8454 = callmethod(strlit8453, "*(1)", 1, partcv, params);
// compiled op node returning prod8454 (depth = 4)
  *var_spc = prod8454;
  if (prod8454 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8456 == NULL) {
    strlit8456 = alloc_String("""\x0a""");
    gc_root(strlit8456);
  }
// compiled string node returning strlit8456 (depth = 5)
  int op_slot_right_8455 = gc_frame_newslot(strlit8456);
// starting to compile call node (depth = 5)
  int callframe8458 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8459 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8458);
// compiled call node returning call8459 (depth = 5)
  int op_slot_left_8455 = gc_frame_newslot(call8459);
  params[0] = strlit8456;
  partcv[0] = 1;
  Object opresult8460 = callmethod(call8459, "++(1)", 1, partcv, params);
// compiled op node returning opresult8460 (depth = 4)
  *var_s = opresult8460;
  if (opresult8460 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8462 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8464 = alloc_Float64(1);
// compiled num node returning num8464 (depth = 7)
  int op_slot_right_8463 = gc_frame_newslot(num8464);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8463 = gc_frame_newslot(*var_depth);
  params[0] = num8464;
  partcv[0] = 1;
  Object sum8466 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8466 (depth = 6)
  gc_frame_newslot(sum8466);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8467 = gc_frame_new();
// call case 4: self request
  Object call8468 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8467);
// compiled member node returning call8468 (depth = 6)
  params[0] = sum8466;
  partcv[0] = 1;
  Object call8469 = callmethodflags(call8468, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8462);
// compiled call node returning call8469 (depth = 5)
  int op_slot_right_8461 = gc_frame_newslot(call8469);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8471 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8471 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8473 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8473 (depth = 5)
  int op_slot_left_8461 = gc_frame_newslot(opresult8473);
  params[0] = call8469;
  partcv[0] = 1;
  Object opresult8474 = callmethod(opresult8473, "++(1)", 1, partcv, params);
// compiled op node returning opresult8474 (depth = 4)
  *var_s = opresult8474;
  if (opresult8474 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8477 == NULL) {
    strlit8477 = alloc_String("""\x0a""");
    gc_root(strlit8477);
  }
// compiled string node returning strlit8477 (depth = 5)
  int op_slot_right_8476 = gc_frame_newslot(strlit8477);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_8476 = gc_frame_newslot(*var_s);
  params[0] = strlit8477;
  partcv[0] = 1;
  Object opresult8479 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8479 (depth = 4)
  *var_s = opresult8479;
  if (opresult8479 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2243
  setline(2243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8482 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8484 = alloc_Float64(1);
// compiled num node returning num8484 (depth = 7)
  int op_slot_right_8483 = gc_frame_newslot(num8484);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8483 = gc_frame_newslot(*var_depth);
  params[0] = num8484;
  partcv[0] = 1;
  Object sum8486 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8486 (depth = 6)
  gc_frame_newslot(sum8486);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8487 = gc_frame_new();
// call case 4: self request
  Object call8488 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8487);
// compiled member node returning call8488 (depth = 6)
  params[0] = sum8486;
  partcv[0] = 1;
  Object call8489 = callmethodflags(call8488, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8482);
// compiled call node returning call8489 (depth = 5)
  int op_slot_right_8481 = gc_frame_newslot(call8489);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8491 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8491 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8493 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8493 (depth = 5)
  int op_slot_left_8481 = gc_frame_newslot(opresult8493);
  params[0] = call8489;
  partcv[0] = 1;
  Object opresult8494 = callmethod(opresult8493, "++(1)", 1, partcv, params);
// compiled op node returning opresult8494 (depth = 4)
  *var_s = opresult8494;
  if (opresult8494 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_8496_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2247
  setline(2247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_8497 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit8499 == NULL) {
    strlit8499 = alloc_String("    ");
    gc_root(strlit8499);
  }
// compiled string node returning strlit8499 (depth = 5)
  int op_slot_left_8497 = gc_frame_newslot(strlit8499);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod8500 = callmethod(strlit8499, "*(1)", 1, partcv, params);
// compiled op node returning prod8500 (depth = 4)
  *var_spc = prod8500;
  if (prod8500 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2248
  setline(2248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8501 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8503 = alloc_Float64(1);
// compiled num node returning num8503 (depth = 6)
  int op_slot_right_8502 = gc_frame_newslot(num8503);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_8502 = gc_frame_newslot(*var_depth);
  params[0] = num8503;
  partcv[0] = 1;
  Object sum8505 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8505 (depth = 5)
  gc_frame_newslot(sum8505);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8506 = gc_frame_new();
// call case 4: self request
  Object call8507 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8506);
// compiled member node returning call8507 (depth = 5)
  params[0] = sum8505;
  partcv[0] = 1;
  Object call8508 = callmethodflags(call8507, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8501);
// compiled call node returning call8508 (depth = 4)
  *var_s = call8508;
  if (call8508 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8510 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8512 = alloc_Float64(1);
// compiled num node returning num8512 (depth = 7)
  int op_slot_right_8511 = gc_frame_newslot(num8512);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8511 = gc_frame_newslot(*var_depth);
  params[0] = num8512;
  partcv[0] = 1;
  Object sum8514 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8514 (depth = 6)
  gc_frame_newslot(sum8514);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8515 = gc_frame_new();
// call case 4: self request
  Object call8516 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8515);
// compiled member node returning call8516 (depth = 6)
  params[0] = sum8514;
  partcv[0] = 1;
  Object call8517 = callmethodflags(call8516, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8510);
// compiled call node returning call8517 (depth = 5)
  int op_slot_right_8509 = gc_frame_newslot(call8517);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8520 == NULL) {
    strlit8520 = alloc_String(" := ");
    gc_root(strlit8520);
  }
// compiled string node returning strlit8520 (depth = 6)
  int op_slot_right_8519 = gc_frame_newslot(strlit8520);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8519 = gc_frame_newslot(*var_s);
  params[0] = strlit8520;
  partcv[0] = 1;
  Object opresult8522 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8522 (depth = 5)
  int op_slot_left_8509 = gc_frame_newslot(opresult8522);
  params[0] = call8517;
  partcv[0] = 1;
  Object opresult8523 = callmethod(opresult8522, "++(1)", 1, partcv, params);
// compiled op node returning opresult8523 (depth = 4)
  *var_s = opresult8523;
  if (opresult8523 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_8525_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8526 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8527 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8528 = gc_frame_new();
// call case 4: self request
  Object call8529 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8528);
// compiled member node returning call8529 (depth = 5)
  gc_frame_newslot(call8529);
// starting to compile member node (depth = 5)
  int callframe8530 = gc_frame_new();
// call case 4: self request
  Object call8531 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8530);
// compiled member node returning call8531 (depth = 5)
  gc_frame_newslot(call8531);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_bindNode (depth = 5)
  params[0] = call8529;
  params[1] = call8531;
  partcv[0] = 2;
  Object call8532 = callmethodflags(*var_bindNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8527);
// compiled call node returning call8532 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8533 = callmethodflags(call8532, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8526);
// compiled call node returning call8533 (depth = 3)
  gc_frame_end(frame);
  return call8533;
}
Object meth_ast_8534_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8535 == NULL) {
    strlit8535 = alloc_String("assignment or assigment request");
    gc_root(strlit8535);
  }
// compiled string node returning strlit8535 (depth = 3)
  gc_frame_end(frame);
  return strlit8535;
}
Object meth_ast_8375_new_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8376 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8376 = alloc_userobj2(16,15, objclass8376);
  gc_frame_newslot(obj8376);
  if (objclass8376 == NULL) {
    glfree(obj8376->class->name);
    obj8376->class->name = "bindNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8376, self, 0);
  addmethodreal(obj8376,"outer", &reader_ast_outer_8377);
  Object oldself8376 = self;
  struct StackFrameObject *oldstackframe8376 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8376);
  gc_frame_newslot((Object)stackframe);
  self = obj8376;
  Object *oldselfslot8376 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8376 = (*(struct UserObject *)self).data[0], lowerouter8376 = thisouter8376;
  if (inheritingObject8376) {
    struct UserObject *inho8376 = (struct UserObject *)inheritingObject8376;
    while (inho8376->super != GraceDefaultObject) inho8376 = (struct UserObject *)inho8376->super;
    inho8376->super = obj8376;
    self = inheritingObject8376;
    *selfslot = self;
    lowerouter8376 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8376;
  }
  if (objclass8376 == NULL) {
  Method *reader8378 = addmethodrealflags(obj8376, "kind",&reader_ast_kind_8378, MFLAG_DEF);
  reader8378->definitionModule = modulename;
  reader8378->definitionLine = 2215;
  }
  adddatum2(obj8376, alloc_Undefined(), 1);
  if (objclass8376 == NULL) {
    Method *reader8379 = addmethodrealflags(obj8376, "dest", &reader_ast_dest_8379, 0);
    Method *writer8379 = addmethodrealflags(obj8376, "dest:=(1)", &writer_ast_dest_8379, 0);
    reader8379->definitionModule = modulename;
    writer8379->definitionModule = modulename;
    reader8379->definitionLine = 2216;
    writer8379->definitionLine = 2216;
  }
  obj8376->flags |= OFLAG_MUTABLE;
  adddatum2(obj8376, alloc_Undefined(), 2);
  if (objclass8376 == NULL) {
    Method *reader8380 = addmethodrealflags(obj8376, "value", &reader_ast_value_8380, 0);
    Method *writer8380 = addmethodrealflags(obj8376, "value:=(1)", &writer_ast_value_8380, 0);
    reader8380->definitionModule = modulename;
    writer8380->definitionModule = modulename;
    reader8380->definitionLine = 2217;
    writer8380->definitionLine = 2217;
  }
  obj8376->flags |= OFLAG_MUTABLE;
  adddatum2(obj8376, alloc_Undefined(), 3);
// method "end"
  struct UserObject *uo8381 = (struct UserObject*)obj8376;
  uo8381->data[4] = emptyclosure;
  Method *meth_meth_ast_8381_end = addmethod2pos(obj8376, "end", &meth_ast_8381_end, 4);
  int argcv_meth_ast_8381_end[] = {0};
  meth_meth_ast_8381_end->type = alloc_MethodType(1, argcv_meth_ast_8381_end);
  meth_meth_ast_8381_end->definitionModule = modulename;
  meth_meth_ast_8381_end->definitionLine = 2219;
// method "nameString"
  struct UserObject *uo8386 = (struct UserObject*)obj8376;
  uo8386->data[5] = emptyclosure;
  Method *meth_meth_ast_8386_nameString = addmethod2pos(obj8376, "nameString", &meth_ast_8386_nameString, 5);
  int argcv_meth_ast_8386_nameString[] = {0};
  meth_meth_ast_8386_nameString->type = alloc_MethodType(1, argcv_meth_ast_8386_nameString);
  meth_meth_ast_8386_nameString->definitionModule = modulename;
  meth_meth_ast_8386_nameString->definitionLine = 2220;
// method "canonicalName"
  struct UserObject *uo8393 = (struct UserObject*)obj8376;
  uo8393->data[6] = emptyclosure;
  Method *meth_meth_ast_8393_canonicalName = addmethod2pos(obj8376, "canonicalName", &meth_ast_8393_canonicalName, 6);
  int argcv_meth_ast_8393_canonicalName[] = {0};
  meth_meth_ast_8393_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_8393_canonicalName);
  meth_meth_ast_8393_canonicalName->definitionModule = modulename;
  meth_meth_ast_8393_canonicalName->definitionLine = 2221;
// method "isBind"
  struct UserObject *uo8400 = (struct UserObject*)obj8376;
  uo8400->data[7] = emptyclosure;
  Method *meth_meth_ast_8400_isBind = addmethod2pos(obj8376, "isBind", &meth_ast_8400_isBind, 7);
  int argcv_meth_ast_8400_isBind[] = {0};
  meth_meth_ast_8400_isBind->type = alloc_MethodType(1, argcv_meth_ast_8400_isBind);
  meth_meth_ast_8400_isBind->definitionModule = modulename;
  meth_meth_ast_8400_isBind->definitionLine = 2222;
// method "asString"
  struct UserObject *uo8402 = (struct UserObject*)obj8376;
  uo8402->data[8] = emptyclosure;
  Method *meth_meth_ast_8402_asString = addmethod2pos(obj8376, "asString", &meth_ast_8402_asString, 8);
  int argcv_meth_ast_8402_asString[] = {0};
  meth_meth_ast_8402_asString->type = alloc_MethodType(1, argcv_meth_ast_8402_asString);
  meth_meth_ast_8402_asString->definitionModule = modulename;
  meth_meth_ast_8402_asString->definitionLine = 2223;
// method "accept(_)from(_)"
  struct UserObject *uo8413 = (struct UserObject*)obj8376;
  uo8413->data[9] = emptyclosure;
  Method *meth_meth_ast_8413_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8376, "accept(1)from(1)", &meth_ast_8413_accept_40_1_41_from_40_1_41_, 9);
  int argcv_meth_ast_8413_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_8413_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8413_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_8413_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8413_accept_40_1_41_from_40_1_41_->definitionLine = 2224;
// method "map(_)ancestors(_)"
  struct UserObject *uo8427 = (struct UserObject*)obj8376;
  uo8427->data[10] = emptyclosure;
  Method *meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8376, "map(1)ancestors(1)", &meth_ast_8427_map_40_1_41_ancestors_40_1_41_, 10);
  int argcv_meth_ast_8427_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8427_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_->definitionLine = 2231;
// method "pretty(_)"
  struct UserObject *uo8446 = (struct UserObject*)obj8376;
  uo8446->data[11] = emptyclosure;
  Method *meth_meth_ast_8446_pretty_40_1_41_ = addmethod2pos(obj8376, "pretty(1)", &meth_ast_8446_pretty_40_1_41_, 11);
  int argcv_meth_ast_8446_pretty_40_1_41_[] = {1};
  meth_meth_ast_8446_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8446_pretty_40_1_41_);
  meth_meth_ast_8446_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8446_pretty_40_1_41_->definitionLine = 2238;
// method "toGrace(_)"
  struct UserObject *uo8496 = (struct UserObject*)obj8376;
  uo8496->data[12] = emptyclosure;
  Method *meth_meth_ast_8496_toGrace_40_1_41_ = addmethod2pos(obj8376, "toGrace(1)", &meth_ast_8496_toGrace_40_1_41_, 12);
  int argcv_meth_ast_8496_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8496_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8496_toGrace_40_1_41_);
meth_meth_ast_8496_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8496_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8496_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8496_toGrace_40_1_41_->definitionLine = 2246;
// method "shallowCopy"
  block_savedest(obj8376);
  Object closure8525 = createclosure(1, "shallowCopy");
  setclosureframe(closure8525, stackframe);
  addtoclosure(closure8525, var_bindNode);
  struct UserObject *uo8525 = (struct UserObject*)obj8376;
  uo8525->data[13] = (Object)closure8525;
  Method *meth_meth_ast_8525_shallowCopy = addmethod2pos(obj8376, "shallowCopy", &meth_ast_8525_shallowCopy, 13);
  int argcv_meth_ast_8525_shallowCopy[] = {0};
  meth_meth_ast_8525_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8525_shallowCopy);
  meth_meth_ast_8525_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8525_shallowCopy->definitionLine = 2252;
// method "statementName"
  struct UserObject *uo8534 = (struct UserObject*)obj8376;
  uo8534->data[14] = emptyclosure;
  Method *meth_meth_ast_8534_statementName = addmethod2pos(obj8376, "statementName", &meth_ast_8534_statementName, 14);
  int argcv_meth_ast_8534_statementName[] = {0};
  meth_meth_ast_8534_statementName->type = alloc_MethodType(1, argcv_meth_ast_8534_statementName);
  meth_meth_ast_8534_statementName->definitionModule = modulename;
  meth_meth_ast_8534_statementName->definitionLine = 2255;
  sourceObject = obj8376;
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8536 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8537 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8536);
// compiled call node returning call8537 (depth = 3)
  struct UserObject *obj8376_uo = (struct UserObject *)obj8376;
  obj8376_uo->super = call8537;
  sourceObject = obj8376;
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8538 == NULL) {
    strlit8538 = alloc_String("bind");
    gc_root(strlit8538);
  }
// compiled string node returning strlit8538 (depth = 3)
  adddatum2(obj8376, strlit8538, 1);
  sourceObject = obj8376;
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dest_39_ (depth = 3)
  adddatum2(obj8376, *var_dest_39_, 2);
  sourceObject = obj8376;
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8376, *var_val_39_, 3);
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  objclass8376 = obj8376->class;
  objclass8376->definitionModule = modulename;
  objclass8376->definitionLine = 2212;
  (*(struct UserObject *)self).data[0] = lowerouter8376;
  self = oldself8376;
  selfslot = oldselfslot8376;
  stackframe = oldstackframe8376;
  gc_frame_end(frame);
  return obj8376;
}
Object meth_ast_8375_new_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8376 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8376 = alloc_userobj2(16,15, objclass8376);
  gc_frame_newslot(obj8376);
  if (objclass8376 == NULL) {
    glfree(obj8376->class->name);
    obj8376->class->name = "bindNode.new(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8376, self, 0);
  addmethodreal(obj8376,"outer", &reader_ast_outer_8377);
  Object oldself8376 = self;
  struct StackFrameObject *oldstackframe8376 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8376);
  gc_frame_newslot((Object)stackframe);
  self = obj8376;
  Object *oldselfslot8376 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8376 = (*(struct UserObject *)self).data[0], lowerouter8376 = thisouter8376;
  if (inheritingObject8376) {
    struct UserObject *inho8376 = (struct UserObject *)inheritingObject8376;
    while (inho8376->super != GraceDefaultObject) inho8376 = (struct UserObject *)inho8376->super;
    inho8376->super = obj8376;
    self = inheritingObject8376;
    *selfslot = self;
    lowerouter8376 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8376;
  }
  if (objclass8376 == NULL) {
  Method *reader8378 = addmethodrealflags(obj8376, "kind",&reader_ast_kind_8378, MFLAG_DEF);
  reader8378->definitionModule = modulename;
  reader8378->definitionLine = 2215;
  }
  adddatum2(obj8376, alloc_Undefined(), 1);
  if (objclass8376 == NULL) {
    Method *reader8379 = addmethodrealflags(obj8376, "dest", &reader_ast_dest_8379, 0);
    Method *writer8379 = addmethodrealflags(obj8376, "dest:=(1)", &writer_ast_dest_8379, 0);
    reader8379->definitionModule = modulename;
    writer8379->definitionModule = modulename;
    reader8379->definitionLine = 2216;
    writer8379->definitionLine = 2216;
  }
  obj8376->flags |= OFLAG_MUTABLE;
  adddatum2(obj8376, alloc_Undefined(), 2);
  if (objclass8376 == NULL) {
    Method *reader8380 = addmethodrealflags(obj8376, "value", &reader_ast_value_8380, 0);
    Method *writer8380 = addmethodrealflags(obj8376, "value:=(1)", &writer_ast_value_8380, 0);
    reader8380->definitionModule = modulename;
    writer8380->definitionModule = modulename;
    reader8380->definitionLine = 2217;
    writer8380->definitionLine = 2217;
  }
  obj8376->flags |= OFLAG_MUTABLE;
  adddatum2(obj8376, alloc_Undefined(), 3);
// method "end"
  struct UserObject *uo8381 = (struct UserObject*)obj8376;
  uo8381->data[4] = emptyclosure;
  Method *meth_meth_ast_8381_end = addmethod2pos(obj8376, "end", &meth_ast_8381_end, 4);
  int argcv_meth_ast_8381_end[] = {0};
  meth_meth_ast_8381_end->type = alloc_MethodType(1, argcv_meth_ast_8381_end);
  meth_meth_ast_8381_end->definitionModule = modulename;
  meth_meth_ast_8381_end->definitionLine = 2219;
// method "nameString"
  struct UserObject *uo8386 = (struct UserObject*)obj8376;
  uo8386->data[5] = emptyclosure;
  Method *meth_meth_ast_8386_nameString = addmethod2pos(obj8376, "nameString", &meth_ast_8386_nameString, 5);
  int argcv_meth_ast_8386_nameString[] = {0};
  meth_meth_ast_8386_nameString->type = alloc_MethodType(1, argcv_meth_ast_8386_nameString);
  meth_meth_ast_8386_nameString->definitionModule = modulename;
  meth_meth_ast_8386_nameString->definitionLine = 2220;
// method "canonicalName"
  struct UserObject *uo8393 = (struct UserObject*)obj8376;
  uo8393->data[6] = emptyclosure;
  Method *meth_meth_ast_8393_canonicalName = addmethod2pos(obj8376, "canonicalName", &meth_ast_8393_canonicalName, 6);
  int argcv_meth_ast_8393_canonicalName[] = {0};
  meth_meth_ast_8393_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_8393_canonicalName);
  meth_meth_ast_8393_canonicalName->definitionModule = modulename;
  meth_meth_ast_8393_canonicalName->definitionLine = 2221;
// method "isBind"
  struct UserObject *uo8400 = (struct UserObject*)obj8376;
  uo8400->data[7] = emptyclosure;
  Method *meth_meth_ast_8400_isBind = addmethod2pos(obj8376, "isBind", &meth_ast_8400_isBind, 7);
  int argcv_meth_ast_8400_isBind[] = {0};
  meth_meth_ast_8400_isBind->type = alloc_MethodType(1, argcv_meth_ast_8400_isBind);
  meth_meth_ast_8400_isBind->definitionModule = modulename;
  meth_meth_ast_8400_isBind->definitionLine = 2222;
// method "asString"
  struct UserObject *uo8402 = (struct UserObject*)obj8376;
  uo8402->data[8] = emptyclosure;
  Method *meth_meth_ast_8402_asString = addmethod2pos(obj8376, "asString", &meth_ast_8402_asString, 8);
  int argcv_meth_ast_8402_asString[] = {0};
  meth_meth_ast_8402_asString->type = alloc_MethodType(1, argcv_meth_ast_8402_asString);
  meth_meth_ast_8402_asString->definitionModule = modulename;
  meth_meth_ast_8402_asString->definitionLine = 2223;
// method "accept(_)from(_)"
  struct UserObject *uo8413 = (struct UserObject*)obj8376;
  uo8413->data[9] = emptyclosure;
  Method *meth_meth_ast_8413_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8376, "accept(1)from(1)", &meth_ast_8413_accept_40_1_41_from_40_1_41_, 9);
  int argcv_meth_ast_8413_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_8413_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8413_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_8413_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8413_accept_40_1_41_from_40_1_41_->definitionLine = 2224;
// method "map(_)ancestors(_)"
  struct UserObject *uo8427 = (struct UserObject*)obj8376;
  uo8427->data[10] = emptyclosure;
  Method *meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8376, "map(1)ancestors(1)", &meth_ast_8427_map_40_1_41_ancestors_40_1_41_, 10);
  int argcv_meth_ast_8427_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8427_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8427_map_40_1_41_ancestors_40_1_41_->definitionLine = 2231;
// method "pretty(_)"
  struct UserObject *uo8446 = (struct UserObject*)obj8376;
  uo8446->data[11] = emptyclosure;
  Method *meth_meth_ast_8446_pretty_40_1_41_ = addmethod2pos(obj8376, "pretty(1)", &meth_ast_8446_pretty_40_1_41_, 11);
  int argcv_meth_ast_8446_pretty_40_1_41_[] = {1};
  meth_meth_ast_8446_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8446_pretty_40_1_41_);
  meth_meth_ast_8446_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8446_pretty_40_1_41_->definitionLine = 2238;
// method "toGrace(_)"
  struct UserObject *uo8496 = (struct UserObject*)obj8376;
  uo8496->data[12] = emptyclosure;
  Method *meth_meth_ast_8496_toGrace_40_1_41_ = addmethod2pos(obj8376, "toGrace(1)", &meth_ast_8496_toGrace_40_1_41_, 12);
  int argcv_meth_ast_8496_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8496_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8496_toGrace_40_1_41_);
meth_meth_ast_8496_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8496_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8496_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8496_toGrace_40_1_41_->definitionLine = 2246;
// method "shallowCopy"
  block_savedest(obj8376);
  Object closure8525 = createclosure(1, "shallowCopy");
  setclosureframe(closure8525, stackframe);
  addtoclosure(closure8525, var_bindNode);
  struct UserObject *uo8525 = (struct UserObject*)obj8376;
  uo8525->data[13] = (Object)closure8525;
  Method *meth_meth_ast_8525_shallowCopy = addmethod2pos(obj8376, "shallowCopy", &meth_ast_8525_shallowCopy, 13);
  int argcv_meth_ast_8525_shallowCopy[] = {0};
  meth_meth_ast_8525_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8525_shallowCopy);
  meth_meth_ast_8525_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8525_shallowCopy->definitionLine = 2252;
// method "statementName"
  struct UserObject *uo8534 = (struct UserObject*)obj8376;
  uo8534->data[14] = emptyclosure;
  Method *meth_meth_ast_8534_statementName = addmethod2pos(obj8376, "statementName", &meth_ast_8534_statementName, 14);
  int argcv_meth_ast_8534_statementName[] = {0};
  meth_meth_ast_8534_statementName->type = alloc_MethodType(1, argcv_meth_ast_8534_statementName);
  meth_meth_ast_8534_statementName->definitionModule = modulename;
  meth_meth_ast_8534_statementName->definitionLine = 2255;
  sourceObject = obj8376;
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8536 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8537 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8536);
// compiled call node returning call8537 (depth = 3)
  struct UserObject *obj8376_uo = (struct UserObject *)obj8376;
  obj8376_uo->super = call8537;
  sourceObject = obj8376;
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8538 == NULL) {
    strlit8538 = alloc_String("bind");
    gc_root(strlit8538);
  }
// compiled string node returning strlit8538 (depth = 3)
  adddatum2(obj8376, strlit8538, 1);
  sourceObject = obj8376;
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dest_39_ (depth = 3)
  adddatum2(obj8376, *var_dest_39_, 2);
  sourceObject = obj8376;
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8376, *var_val_39_, 3);
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  sourceObject = obj8376;
  objclass8376 = obj8376->class;
  objclass8376->definitionModule = modulename;
  objclass8376->definitionLine = 2212;
  (*(struct UserObject *)self).data[0] = lowerouter8376;
  self = oldself8376;
  selfslot = oldselfslot8376;
  stackframe = oldstackframe8376;
  gc_frame_end(frame);
  return obj8376;
}
Object meth_ast_8540_bindNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bindNode (depth = 3)
  gc_frame_end(frame);
  return *var_bindNode;
}
Object meth_ast_8543_new_40_3_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(3)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  Object params[3];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8544 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name_39_ (depth = 5)
  gc_frame_newslot(*var_name_39_);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype_39_ (depth = 5)
  gc_frame_newslot(*var_dtype_39_);
// call case 4: self request
  params[0] = *var_name_39_;
  params[1] = *var_val;
  params[2] = *var_dtype_39_;
  partcv[0] = 3;
  Object call8545 = callmethodflags(self, "new(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8544);
// compiled call node returning call8545 (depth = 4)
  *var_result = call8545;
  if (call8545 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8546 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call8547 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8546);
// compiled call node returning call8547 (depth = 3)
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_8558_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8559 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8560 = gc_frame_new();
// call case 4: self request
  Object call8561 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8560);
// compiled member node returning call8561 (depth = 4)
  Object call8562 = callmethodflags(call8561, "end", 0, partcv, params, 0);
  gc_frame_end(callframe8559);
// compiled member node returning call8562 (depth = 3)
  gc_frame_end(frame);
  return call8562;
}
Object meth_ast_8563_isPublic(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8566 = alloc_Float64(0);
// compiled num node returning num8566 (depth = 5)
  int op_slot_right_8565 = gc_frame_newslot(num8566);
// starting to compile member node (depth = 5)
  int callframe8568 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8569 = gc_frame_new();
// call case 4: self request
  Object call8570 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8569);
// compiled member node returning call8570 (depth = 6)
  Object call8571 = callmethodflags(call8570, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8568);
// compiled member node returning call8571 (depth = 5)
  int op_slot_left_8565 = gc_frame_newslot(call8571);
  params[0] = num8566;
  partcv[0] = 1;
  Object opresult8572 = callmethod(call8571, "==(1)", 1, partcv, params);
// compiled op node returning opresult8572 (depth = 4)
  Object if8564 = done;
  if (istrue(opresult8572)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8573 = alloc_Boolean(0);
// compiled identifier node returning bool8573 (depth = 5)
  return bool8573;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8564 = undefined;
  } else {
  }
// compiled if node returning if8564 (depth = 3)
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8575 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8576 == NULL) {
    strlit8576 = alloc_String("public");
    gc_root(strlit8576);
  }
// compiled string node returning strlit8576 (depth = 5)
  gc_frame_newslot(strlit8576);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit8576;
  partcv[0] = 2;
  Object call8577 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8575);
// compiled call node returning call8577 (depth = 4)
  Object if8574 = done;
  if (istrue(call8577)) {
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8578 = alloc_Boolean(1);
// compiled identifier node returning bool8578 (depth = 5)
  return bool8578;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8574 = undefined;
  } else {
  }
// compiled if node returning if8574 (depth = 3)
// Begin line 2280
  setline(2280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8579 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit8580 == NULL) {
    strlit8580 = alloc_String("readable");
    gc_root(strlit8580);
  }
// compiled string node returning strlit8580 (depth = 4)
  gc_frame_newslot(strlit8580);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  params[1] = strlit8580;
  partcv[0] = 2;
  Object call8581 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8579);
// compiled call node returning call8581 (depth = 3)
  gc_frame_end(frame);
  return call8581;
}
Object meth_ast_8582_isFieldDec(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8583 = alloc_Boolean(1);
// compiled identifier node returning bool8583 (depth = 3)
  gc_frame_end(frame);
  return bool8583;
}
Object meth_ast_8584_isWritable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8585 = alloc_Boolean(0);
// compiled identifier node returning bool8585 (depth = 3)
  gc_frame_end(frame);
  return bool8585;
}
Object meth_ast_8586_isReadable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8587 = gc_frame_new();
// call case 4: self request
  Object call8588 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8587);
// compiled member node returning call8588 (depth = 3)
  gc_frame_end(frame);
  return call8588;
}
Object meth_ast_8589_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8590 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8591 = gc_frame_new();
// call case 4: self request
  Object call8592 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8591);
// compiled member node returning call8592 (depth = 4)
  Object call8593 = callmethodflags(call8592, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe8590);
// compiled member node returning call8593 (depth = 3)
  gc_frame_end(frame);
  return call8593;
}
Object meth_ast_8594_returnedObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8595 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8596 = gc_frame_new();
// call case 4: self request
  Object call8597 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8596);
// compiled member node returning call8597 (depth = 4)
  Object call8598 = callmethodflags(call8597, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe8595);
// compiled member node returning call8598 (depth = 3)
  gc_frame_end(frame);
  return call8598;
}
Object meth_ast_8599_usesAsType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8601 = gc_frame_new();
// call case 4: self request
  Object call8602 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8601);
// compiled member node returning call8602 (depth = 4)
  int op_slot_right_8600 = gc_frame_newslot(call8602);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_8600 = gc_frame_newslot(*var_aNode);
  params[0] = call8602;
  partcv[0] = 1;
  Object opresult8604 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult8604 (depth = 3)
  gc_frame_end(frame);
  return opresult8604;
}
Object meth_ast_8605_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call8607 = callmethodflags(*var_k, "defdec", 0, partcv, params, 0);
  gc_frame_end(callframe8606);
// compiled member node returning call8607 (depth = 3)
  gc_frame_end(frame);
  return call8607;
}
Object meth_ast_8633__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8634 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8635 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8634);
// compiled call node returning call8635 (depth = 6)
  gc_frame_end(frame);
  return call8635;
}
Object meth_ast_8608_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8610 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8611 = callmethodflags(*var_visitor, "visitDefDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8610);
// compiled call node returning call8611 (depth = 4)
  Object if8609 = done;
  if (istrue(call8611)) {
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8612 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8613 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8612);
// compiled call node returning call8613 (depth = 5)
  *var_newChain = call8613;
  if (call8613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8614 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8615 = gc_frame_new();
// call case 4: self request
  Object call8616 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8615);
// compiled member node returning call8616 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8617 = callmethodflags(call8616, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8614);
// compiled call node returning call8617 (depth = 4)
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8620 = gc_frame_new();
// call case 4: self request
  Object call8621 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8620);
// compiled member node returning call8621 (depth = 6)
  int op_slot_right_8619 = gc_frame_newslot(call8621);
// starting to compile identifier node (depth = 6)
  Object bool8623 = alloc_Boolean(0);
// compiled identifier node returning bool8623 (depth = 6)
  int op_slot_left_8619 = gc_frame_newslot(bool8623);
  params[0] = call8621;
  partcv[0] = 1;
  Object opresult8624 = callmethod(bool8623, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8624 (depth = 5)
  Object if8618 = done;
  if (istrue(opresult8624)) {
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8625 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8626 = gc_frame_new();
// call case 4: self request
  Object call8627 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8626);
// compiled member node returning call8627 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8628 = callmethodflags(call8627, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8625);
// compiled call node returning call8628 (depth = 5)
    gc_frame_newslot(call8628);
    if8618 = call8628;
  } else {
  }
// compiled if node returning if8618 (depth = 4)
// Begin line 2305
  setline(2305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8629 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8630 = gc_frame_new();
// call case 4: self request
  Object call8631 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8630);
// compiled member node returning call8631 (depth = 5)
  gc_frame_newslot(call8631);
// starting to compile block node (depth = 5)
  Object block8632 = alloc_Block(NULL, NULL, "ast", 2305);
  gc_frame_newslot(block8632);
// method "_apply(_)"
  block_savedest(block8632);
  Object closure8633 = createclosure(3, "_apply(1)");
  setclosureframe(closure8633, stackframe);
  addtoclosure(closure8633, var_visitor);
  addtoclosure(closure8633, var_newChain);
  addtoclosure(closure8633, selfslot);
  struct UserObject *uo8633 = (struct UserObject*)block8632;
  uo8633->data[0] = (Object)closure8633;
  Method *meth_meth_ast_8633__apply_40_1_41_ = addmethod2pos(block8632, "_apply(1)", &meth_ast_8633__apply_40_1_41_, 0);
  int argcv_meth_ast_8633__apply_40_1_41_[] = {1};
  meth_meth_ast_8633__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8633__apply_40_1_41_);
  meth_meth_ast_8633__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8633__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block8632 (depth = 5)
  gc_frame_newslot(block8632);
// call case 5: prelude request
  params[0] = call8631;
  params[1] = block8632;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8637 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8629);
// compiled call node returning call8637 (depth = 4)
// Begin line 2308
  setline(2308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8638 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8639 = gc_frame_new();
// call case 4: self request
  Object call8640 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8639);
// compiled member node returning call8640 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8641 = callmethodflags(call8640, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8638);
// compiled call node returning call8641 (depth = 4)
    gc_frame_newslot(call8641);
    if8609 = call8641;
  } else {
  }
// compiled if node returning if8609 (depth = 3)
  gc_frame_end(frame);
  return if8609;
}
Object meth_ast_8642_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8643 = gc_frame_new();
// call case 4: self request
  Object call8644 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8643);
// compiled member node returning call8644 (depth = 4)
  *var_n = call8644;
  if (call8644 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2313
  setline(2313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8645 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8646 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8645);
// compiled call node returning call8646 (depth = 4)
  *var_newChain = call8646;
  if (call8646 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8647 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8648 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8649 = gc_frame_new();
// call case 4: self request
  Object call8650 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8649);
// compiled member node returning call8650 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8651 = callmethodflags(call8650, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8648);
// compiled call node returning call8651 (depth = 4)
  gc_frame_newslot(call8651);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8651;
  partcv[0] = 1;
  Object call8652 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8647);
// compiled call node returning call8652 (depth = 3)
// Begin line 2315
  setline(2315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8653 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8654 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8655 = gc_frame_new();
// call case 4: self request
  Object call8656 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8655);
// compiled member node returning call8656 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8657 = callmethodflags(call8656, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8654);
// compiled call node returning call8657 (depth = 4)
  gc_frame_newslot(call8657);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8657;
  partcv[0] = 1;
  Object call8658 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8653);
// compiled call node returning call8658 (depth = 3)
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8659 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8660 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8661 = gc_frame_new();
// call case 4: self request
  Object call8662 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8661);
// compiled member node returning call8662 (depth = 5)
  gc_frame_newslot(call8662);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call8662;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8663 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8660);
// compiled call node returning call8663 (depth = 4)
  gc_frame_newslot(call8663);
// call case 6: other requests
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8663;
  partcv[0] = 1;
  Object call8664 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8659);
// compiled call node returning call8664 (depth = 3)
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8665 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8666 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8667 = gc_frame_new();
// call case 4: self request
  Object call8668 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8667);
// compiled member node returning call8668 (depth = 5)
  gc_frame_newslot(call8668);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call8668;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8669 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8666);
// compiled call node returning call8669 (depth = 4)
  gc_frame_newslot(call8669);
// call case 6: other requests
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8669;
  partcv[0] = 1;
  Object call8670 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8665);
// compiled call node returning call8670 (depth = 3)
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8671 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8672 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8671);
// compiled call node returning call8672 (depth = 3)
  gc_frame_end(frame);
  return call8672;
}
Object meth_ast_8780__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8782 == NULL) {
    strlit8782 = alloc_String("");
    gc_root(strlit8782);
  }
// compiled string node returning strlit8782 (depth = 8)
  int op_slot_right_8781 = gc_frame_newslot(strlit8782);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8785 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num8787 = alloc_Float64(2);
// compiled num node returning num8787 (depth = 11)
  int op_slot_right_8786 = gc_frame_newslot(num8787);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_8786 = gc_frame_newslot(*var_depth);
  params[0] = num8787;
  partcv[0] = 1;
  Object sum8789 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8789 (depth = 10)
  gc_frame_newslot(sum8789);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ann (depth = 10)
  params[0] = sum8789;
  partcv[0] = 1;
  Object call8790 = callmethodflags(*var_ann, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8785);
// compiled call node returning call8790 (depth = 9)
  int op_slot_right_8784 = gc_frame_newslot(call8790);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit8793 == NULL) {
    strlit8793 = alloc_String(" ");
    gc_root(strlit8793);
  }
// compiled string node returning strlit8793 (depth = 10)
  int op_slot_right_8792 = gc_frame_newslot(strlit8793);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_8795 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit8797 == NULL) {
    strlit8797 = alloc_String("");
    gc_root(strlit8797);
  }
// compiled string node returning strlit8797 (depth = 11)
  int op_slot_left_8795 = gc_frame_newslot(strlit8797);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult8798 = callmethod(strlit8797, "++(1)", 1, partcv, params);
// compiled op node returning opresult8798 (depth = 10)
  int op_slot_left_8792 = gc_frame_newslot(opresult8798);
  params[0] = strlit8793;
  partcv[0] = 1;
  Object opresult8799 = callmethod(opresult8798, "++(1)", 1, partcv, params);
// compiled op node returning opresult8799 (depth = 9)
  int op_slot_left_8784 = gc_frame_newslot(opresult8799);
  params[0] = call8790;
  partcv[0] = 1;
  Object opresult8800 = callmethod(opresult8799, "++(1)", 1, partcv, params);
// compiled op node returning opresult8800 (depth = 8)
  int op_slot_left_8781 = gc_frame_newslot(opresult8800);
  params[0] = strlit8782;
  partcv[0] = 1;
  Object opresult8801 = callmethod(opresult8800, "++(1)", 1, partcv, params);
// compiled op node returning opresult8801 (depth = 7)
  *var_s = opresult8801;
  if (opresult8801 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_8673_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8676 = alloc_Float64(1);
// compiled num node returning num8676 (depth = 6)
  int op_slot_right_8675 = gc_frame_newslot(num8676);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_8675 = gc_frame_newslot(*var_depth);
  params[0] = num8676;
  partcv[0] = 1;
  Object sum8678 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8678 (depth = 5)
  int op_slot_right_8674 = gc_frame_newslot(sum8678);
// starting to compile string node (depth = 5)
  if (strlit8680 == NULL) {
    strlit8680 = alloc_String("  ");
    gc_root(strlit8680);
  }
// compiled string node returning strlit8680 (depth = 5)
  int op_slot_left_8674 = gc_frame_newslot(strlit8680);
  params[0] = sum8678;
  partcv[0] = 1;
  Object prod8681 = callmethod(strlit8680, "*(1)", 1, partcv, params);
// compiled op node returning prod8681 (depth = 4)
  *var_spc = prod8681;
  if (prod8681 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8683 == NULL) {
    strlit8683 = alloc_String("""\x0a""");
    gc_root(strlit8683);
  }
// compiled string node returning strlit8683 (depth = 5)
  int op_slot_right_8682 = gc_frame_newslot(strlit8683);
// starting to compile call node (depth = 5)
  int callframe8685 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8686 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8685);
// compiled call node returning call8686 (depth = 5)
  int op_slot_left_8682 = gc_frame_newslot(call8686);
  params[0] = strlit8683;
  partcv[0] = 1;
  Object opresult8687 = callmethod(call8686, "++(1)", 1, partcv, params);
// compiled op node returning opresult8687 (depth = 4)
  *var_s = opresult8687;
  if (opresult8687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8689 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8690 = gc_frame_new();
// call case 4: self request
  Object call8691 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8690);
// compiled member node returning call8691 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8692 = callmethodflags(call8691, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8689);
// compiled call node returning call8692 (depth = 5)
  int op_slot_right_8688 = gc_frame_newslot(call8692);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8694 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8694 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8696 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8696 (depth = 5)
  int op_slot_left_8688 = gc_frame_newslot(opresult8696);
  params[0] = call8692;
  partcv[0] = 1;
  Object opresult8697 = callmethod(opresult8696, "++(1)", 1, partcv, params);
// compiled op node returning opresult8697 (depth = 4)
  *var_s = opresult8697;
  if (opresult8697 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8701 = gc_frame_new();
// call case 4: self request
  Object call8702 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8701);
// compiled member node returning call8702 (depth = 5)
  int op_slot_right_8700 = gc_frame_newslot(call8702);
// starting to compile identifier node (depth = 5)
  Object bool8704 = alloc_Boolean(0);
// compiled identifier node returning bool8704 (depth = 5)
  int op_slot_left_8700 = gc_frame_newslot(bool8704);
  params[0] = call8702;
  partcv[0] = 1;
  Object opresult8705 = callmethod(bool8704, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8705 (depth = 4)
  Object if8699 = done;
  if (istrue(opresult8705)) {
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8707 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8709 = alloc_Float64(2);
// compiled num node returning num8709 (depth = 8)
  int op_slot_right_8708 = gc_frame_newslot(num8709);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8708 = gc_frame_newslot(*var_depth);
  params[0] = num8709;
  partcv[0] = 1;
  Object sum8711 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8711 (depth = 7)
  gc_frame_newslot(sum8711);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8712 = gc_frame_new();
// call case 4: self request
  Object call8713 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8712);
// compiled member node returning call8713 (depth = 7)
  params[0] = sum8711;
  partcv[0] = 1;
  Object call8714 = callmethodflags(call8713, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8707);
// compiled call node returning call8714 (depth = 6)
  int op_slot_right_8706 = gc_frame_newslot(call8714);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8717 == NULL) {
    strlit8717 = alloc_String("Type: ");
    gc_root(strlit8717);
  }
// compiled string node returning strlit8717 (depth = 7)
  int op_slot_right_8716 = gc_frame_newslot(strlit8717);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8719 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8722 == NULL) {
    strlit8722 = alloc_String("""\x0a""");
    gc_root(strlit8722);
  }
// compiled string node returning strlit8722 (depth = 9)
  int op_slot_right_8721 = gc_frame_newslot(strlit8722);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8721 = gc_frame_newslot(*var_s);
  params[0] = strlit8722;
  partcv[0] = 1;
  Object opresult8724 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8724 (depth = 8)
  int op_slot_left_8719 = gc_frame_newslot(opresult8724);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8725 = callmethod(opresult8724, "++(1)", 1, partcv, params);
// compiled op node returning opresult8725 (depth = 7)
  int op_slot_left_8716 = gc_frame_newslot(opresult8725);
  params[0] = strlit8717;
  partcv[0] = 1;
  Object opresult8726 = callmethod(opresult8725, "++(1)", 1, partcv, params);
// compiled op node returning opresult8726 (depth = 6)
  int op_slot_left_8706 = gc_frame_newslot(opresult8726);
  params[0] = call8714;
  partcv[0] = 1;
  Object opresult8727 = callmethod(opresult8726, "++(1)", 1, partcv, params);
// compiled op node returning opresult8727 (depth = 5)
  *var_s = opresult8727;
  if (opresult8727 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8699 = done;
  } else {
  }
// compiled if node returning if8699 (depth = 3)
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8731 = gc_frame_new();
// call case 4: self request
  Object call8732 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8731);
// compiled member node returning call8732 (depth = 5)
  int op_slot_right_8730 = gc_frame_newslot(call8732);
// starting to compile identifier node (depth = 5)
  Object bool8734 = alloc_Boolean(0);
// compiled identifier node returning bool8734 (depth = 5)
  int op_slot_left_8730 = gc_frame_newslot(bool8734);
  params[0] = call8732;
  partcv[0] = 1;
  Object opresult8735 = callmethod(bool8734, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8735 (depth = 4)
  Object if8729 = done;
  if (istrue(opresult8735)) {
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8737 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8739 = alloc_Float64(2);
// compiled num node returning num8739 (depth = 8)
  int op_slot_right_8738 = gc_frame_newslot(num8739);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8738 = gc_frame_newslot(*var_depth);
  params[0] = num8739;
  partcv[0] = 1;
  Object sum8741 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8741 (depth = 7)
  gc_frame_newslot(sum8741);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8742 = gc_frame_new();
// call case 4: self request
  Object call8743 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8742);
// compiled member node returning call8743 (depth = 7)
  params[0] = sum8741;
  partcv[0] = 1;
  Object call8744 = callmethodflags(call8743, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8737);
// compiled call node returning call8744 (depth = 6)
  int op_slot_right_8736 = gc_frame_newslot(call8744);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8747 == NULL) {
    strlit8747 = alloc_String("Value: ");
    gc_root(strlit8747);
  }
// compiled string node returning strlit8747 (depth = 7)
  int op_slot_right_8746 = gc_frame_newslot(strlit8747);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8749 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8752 == NULL) {
    strlit8752 = alloc_String("""\x0a""");
    gc_root(strlit8752);
  }
// compiled string node returning strlit8752 (depth = 9)
  int op_slot_right_8751 = gc_frame_newslot(strlit8752);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8751 = gc_frame_newslot(*var_s);
  params[0] = strlit8752;
  partcv[0] = 1;
  Object opresult8754 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8754 (depth = 8)
  int op_slot_left_8749 = gc_frame_newslot(opresult8754);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8755 = callmethod(opresult8754, "++(1)", 1, partcv, params);
// compiled op node returning opresult8755 (depth = 7)
  int op_slot_left_8746 = gc_frame_newslot(opresult8755);
  params[0] = strlit8747;
  partcv[0] = 1;
  Object opresult8756 = callmethod(opresult8755, "++(1)", 1, partcv, params);
// compiled op node returning opresult8756 (depth = 6)
  int op_slot_left_8736 = gc_frame_newslot(opresult8756);
  params[0] = call8744;
  partcv[0] = 1;
  Object opresult8757 = callmethod(opresult8756, "++(1)", 1, partcv, params);
// compiled op node returning opresult8757 (depth = 5)
  *var_s = opresult8757;
  if (opresult8757 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8729 = done;
  } else {
  }
// compiled if node returning if8729 (depth = 3)
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8760 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8761 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8762 = gc_frame_new();
// call case 4: self request
  Object call8763 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8762);
// compiled member node returning call8763 (depth = 6)
  Object call8764 = callmethodflags(call8763, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe8761);
// compiled member node returning call8764 (depth = 5)
  Object call8765 = callmethodflags(call8764, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8760);
// compiled member node returning call8765 (depth = 4)
  Object if8759 = done;
  if (istrue(call8765)) {
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8768 == NULL) {
    strlit8768 = alloc_String("Annotations:");
    gc_root(strlit8768);
  }
// compiled string node returning strlit8768 (depth = 7)
  int op_slot_right_8767 = gc_frame_newslot(strlit8768);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8770 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit8772 == NULL) {
    strlit8772 = alloc_String("""\x0a""");
    gc_root(strlit8772);
  }
// compiled string node returning strlit8772 (depth = 8)
  int op_slot_left_8770 = gc_frame_newslot(strlit8772);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8773 = callmethod(strlit8772, "++(1)", 1, partcv, params);
// compiled op node returning opresult8773 (depth = 7)
  int op_slot_left_8767 = gc_frame_newslot(opresult8773);
  params[0] = strlit8768;
  partcv[0] = 1;
  Object opresult8774 = callmethod(opresult8773, "++(1)", 1, partcv, params);
// compiled op node returning opresult8774 (depth = 6)
  int op_slot_right_8766 = gc_frame_newslot(opresult8774);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8766 = gc_frame_newslot(*var_s);
  params[0] = opresult8774;
  partcv[0] = 1;
  Object opresult8776 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8776 (depth = 5)
  *var_s = opresult8776;
  if (opresult8776 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8778 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8779 = alloc_Block(NULL, NULL, "ast", 2332);
  gc_frame_newslot(block8779);
// method "_apply(_)"
  block_savedest(block8779);
  Object closure8780 = createclosure(3, "_apply(1)");
  setclosureframe(closure8780, stackframe);
  addtoclosure(closure8780, var_depth);
  addtoclosure(closure8780, var_s);
  addtoclosure(closure8780, selfslot);
  struct UserObject *uo8780 = (struct UserObject*)block8779;
  uo8780->data[0] = (Object)closure8780;
  Method *meth_meth_ast_8780__apply_40_1_41_ = addmethod2pos(block8779, "_apply(1)", &meth_ast_8780__apply_40_1_41_, 0);
  int argcv_meth_ast_8780__apply_40_1_41_[] = {1};
  meth_meth_ast_8780__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8780__apply_40_1_41_);
  meth_meth_ast_8780__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8780__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block8779 (depth = 5)
  gc_frame_newslot(block8779);
// call case 6: other requests
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8804 = gc_frame_new();
// call case 4: self request
  Object call8805 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8804);
// compiled member node returning call8805 (depth = 5)
  params[0] = block8779;
  partcv[0] = 1;
  Object call8806 = callmethodflags(call8805, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8778);
// compiled call node returning call8806 (depth = 4)
    gc_frame_newslot(call8806);
    if8759 = call8806;
  } else {
  }
// compiled if node returning if8759 (depth = 3)
// Begin line 2336
  setline(2336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8809 = gc_frame_new();
// call case 4: self request
  Object call8810 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8809);
// compiled member node returning call8810 (depth = 5)
  int op_slot_right_8808 = gc_frame_newslot(call8810);
// starting to compile identifier node (depth = 5)
  Object bool8812 = alloc_Boolean(0);
// compiled identifier node returning bool8812 (depth = 5)
  int op_slot_left_8808 = gc_frame_newslot(bool8812);
  params[0] = call8810;
  partcv[0] = 1;
  Object opresult8813 = callmethod(bool8812, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8813 (depth = 4)
  Object if8807 = done;
  if (istrue(opresult8813)) {
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8815 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8817 = alloc_Float64(2);
// compiled num node returning num8817 (depth = 8)
  int op_slot_right_8816 = gc_frame_newslot(num8817);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8816 = gc_frame_newslot(*var_depth);
  params[0] = num8817;
  partcv[0] = 1;
  Object sum8819 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8819 (depth = 7)
  gc_frame_newslot(sum8819);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8820 = gc_frame_new();
// call case 4: self request
  Object call8821 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8820);
// compiled member node returning call8821 (depth = 7)
  params[0] = sum8819;
  partcv[0] = 1;
  Object call8822 = callmethodflags(call8821, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8815);
// compiled call node returning call8822 (depth = 6)
  int op_slot_right_8814 = gc_frame_newslot(call8822);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8814 = gc_frame_newslot(*var_s);
  params[0] = call8822;
  partcv[0] = 1;
  Object opresult8824 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8824 (depth = 5)
  *var_s = opresult8824;
  if (opresult8824 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8807 = done;
  } else {
  }
// compiled if node returning if8807 (depth = 3)
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_8847__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8849 == NULL) {
    strlit8849 = alloc_String("Unknown");
    gc_root(strlit8849);
  }
// compiled string node returning strlit8849 (depth = 7)
  int op_slot_right_8848 = gc_frame_newslot(strlit8849);
// starting to compile member node (depth = 7)
  int callframe8851 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8852 = gc_frame_new();
// call case 4: self request
  Object call8853 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8852);
// compiled member node returning call8853 (depth = 8)
  Object call8854 = callmethodflags(call8853, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8851);
// compiled member node returning call8854 (depth = 7)
  int op_slot_left_8848 = gc_frame_newslot(call8854);
  params[0] = strlit8849;
  partcv[0] = 1;
  Object opresult8855 = callmethod(call8854, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8855 (depth = 6)
  gc_frame_end(frame);
  return opresult8855;
}
Object meth_ast_8895__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8897 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num8898 = alloc_Float64(0);
// compiled num node returning num8898 (depth = 10)
  gc_frame_newslot(num8898);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num8898;
  partcv[0] = 1;
  Object call8899 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8897);
// compiled call node returning call8899 (depth = 9)
  int op_slot_right_8896 = gc_frame_newslot(call8899);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8903 == NULL) {
    strlit8903 = alloc_String("");
    gc_root(strlit8903);
  }
// compiled string node returning strlit8903 (depth = 11)
  int op_slot_right_8902 = gc_frame_newslot(strlit8903);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8902 = gc_frame_newslot(*var_a);
  params[0] = strlit8903;
  partcv[0] = 1;
  Object opresult8905 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8905 (depth = 10)
  Object if8901 = done;
struct StackFrameObject *iftmpstackframe8901 = stackframe;
  if (istrue(opresult8905)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8901);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8907 == NULL) {
    strlit8907 = alloc_String(", ");
    gc_root(strlit8907);
  }
// compiled string node returning strlit8907 (depth = 11)
  int op_slot_right_8906 = gc_frame_newslot(strlit8907);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8906 = gc_frame_newslot(*var_a);
  params[0] = strlit8907;
  partcv[0] = 1;
  Object opresult8909 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult8909 (depth = 10)
    gc_frame_newslot(opresult8909);
    if8901 = opresult8909;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8901);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 10)
  if (strlit8910 == NULL) {
    strlit8910 = alloc_String("");
    gc_root(strlit8910);
  }
// compiled string node returning strlit8910 (depth = 10)
    gc_frame_newslot(strlit8910);
    if8901 = strlit8910;
  }
stackframe = iftmpstackframe8901;
// compiled if node returning if8901 (depth = 9)
  int op_slot_left_8896 = gc_frame_newslot(if8901);
  params[0] = call8899;
  partcv[0] = 1;
  Object opresult8911 = callmethod(if8901, "++(1)", 1, partcv, params);
// compiled op node returning opresult8911 (depth = 8)
  gc_frame_end(frame);
  return opresult8911;
}
Object meth_ast_8826_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_8827 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit8829 == NULL) {
    strlit8829 = alloc_String("    ");
    gc_root(strlit8829);
  }
// compiled string node returning strlit8829 (depth = 5)
  int op_slot_left_8827 = gc_frame_newslot(strlit8829);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod8830 = callmethod(strlit8829, "*(1)", 1, partcv, params);
// compiled op node returning prod8830 (depth = 4)
  *var_spc = prod8830;
  if (prod8830 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8832 == NULL) {
    strlit8832 = alloc_String("");
    gc_root(strlit8832);
  }
// compiled string node returning strlit8832 (depth = 5)
  int op_slot_right_8831 = gc_frame_newslot(strlit8832);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8835 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8836 = alloc_Float64(0);
// compiled num node returning num8836 (depth = 7)
  gc_frame_newslot(num8836);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8837 = gc_frame_new();
// call case 4: self request
  Object call8838 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8837);
// compiled member node returning call8838 (depth = 7)
  params[0] = num8836;
  partcv[0] = 1;
  Object call8839 = callmethodflags(call8838, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8835);
// compiled call node returning call8839 (depth = 6)
  int op_slot_right_8834 = gc_frame_newslot(call8839);
// starting to compile string node (depth = 6)
  if (strlit8841 == NULL) {
    strlit8841 = alloc_String("def ");
    gc_root(strlit8841);
  }
// compiled string node returning strlit8841 (depth = 6)
  int op_slot_left_8834 = gc_frame_newslot(strlit8841);
  params[0] = call8839;
  partcv[0] = 1;
  Object opresult8842 = callmethod(strlit8841, "++(1)", 1, partcv, params);
// compiled op node returning opresult8842 (depth = 5)
  int op_slot_left_8831 = gc_frame_newslot(opresult8842);
  params[0] = strlit8832;
  partcv[0] = 1;
  Object opresult8843 = callmethod(opresult8842, "++(1)", 1, partcv, params);
// compiled op node returning opresult8843 (depth = 4)
  *var_s = opresult8843;
  if (opresult8843 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8846 = alloc_Block(NULL, NULL, "ast", 2344);
  gc_frame_newslot(block8846);
// method "_apply"
  block_savedest(block8846);
  Object closure8847 = createclosure(1, "_apply");
  setclosureframe(closure8847, stackframe);
  addtoclosure(closure8847, selfslot);
  struct UserObject *uo8847 = (struct UserObject*)block8846;
  uo8847->data[0] = (Object)closure8847;
  Method *meth_meth_ast_8847__apply = addmethod2pos(block8846, "_apply", &meth_ast_8847__apply, 0);
  int argcv_meth_ast_8847__apply[] = {0};
  meth_meth_ast_8847__apply->type = alloc_MethodType(1, argcv_meth_ast_8847__apply);
  meth_meth_ast_8847__apply->definitionModule = modulename;
  meth_meth_ast_8847__apply->definitionLine = 3216;
// compiled block node returning block8846 (depth = 5)
  int op_slot_right_8845 = gc_frame_newslot(block8846);
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8859 = gc_frame_new();
// call case 4: self request
  Object call8860 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8859);
// compiled member node returning call8860 (depth = 6)
  int op_slot_right_8858 = gc_frame_newslot(call8860);
// starting to compile identifier node (depth = 6)
  Object bool8862 = alloc_Boolean(0);
// compiled identifier node returning bool8862 (depth = 6)
  int op_slot_left_8858 = gc_frame_newslot(bool8862);
  params[0] = call8860;
  partcv[0] = 1;
  Object opresult8863 = callmethod(bool8862, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8863 (depth = 5)
  int op_slot_left_8845 = gc_frame_newslot(opresult8863);
  params[0] = block8846;
  partcv[0] = 1;
  Object opresult8864 = callmethod(opresult8863, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8864 (depth = 4)
  Object if8844 = done;
  if (istrue(opresult8864)) {
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8866 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8867 = alloc_Float64(0);
// compiled num node returning num8867 (depth = 7)
  gc_frame_newslot(num8867);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8868 = gc_frame_new();
// call case 4: self request
  Object call8869 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8868);
// compiled member node returning call8869 (depth = 7)
  params[0] = num8867;
  partcv[0] = 1;
  Object call8870 = callmethodflags(call8869, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8866);
// compiled call node returning call8870 (depth = 6)
  int op_slot_right_8865 = gc_frame_newslot(call8870);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8873 == NULL) {
    strlit8873 = alloc_String(" : ");
    gc_root(strlit8873);
  }
// compiled string node returning strlit8873 (depth = 7)
  int op_slot_right_8872 = gc_frame_newslot(strlit8873);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8872 = gc_frame_newslot(*var_s);
  params[0] = strlit8873;
  partcv[0] = 1;
  Object opresult8875 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8875 (depth = 6)
  int op_slot_left_8865 = gc_frame_newslot(opresult8875);
  params[0] = call8870;
  partcv[0] = 1;
  Object opresult8876 = callmethod(opresult8875, "++(1)", 1, partcv, params);
// compiled op node returning opresult8876 (depth = 5)
  *var_s = opresult8876;
  if (opresult8876 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8844 = done;
  } else {
  }
// compiled if node returning if8844 (depth = 3)
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8880 = alloc_Float64(0);
// compiled num node returning num8880 (depth = 5)
  int op_slot_right_8879 = gc_frame_newslot(num8880);
// starting to compile member node (depth = 5)
  int callframe8882 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8883 = gc_frame_new();
// call case 4: self request
  Object call8884 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8883);
// compiled member node returning call8884 (depth = 6)
  Object call8885 = callmethodflags(call8884, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8882);
// compiled member node returning call8885 (depth = 5)
  int op_slot_left_8879 = gc_frame_newslot(call8885);
  params[0] = num8880;
  partcv[0] = 1;
  Object opresult8886 = callmethod(call8885, ">(1)", 1, partcv, params);
// compiled op node returning opresult8886 (depth = 4)
  Object if8878 = done;
  if (istrue(opresult8886)) {
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8888 == NULL) {
    strlit8888 = alloc_String(" is ");
    gc_root(strlit8888);
  }
// compiled string node returning strlit8888 (depth = 6)
  int op_slot_right_8887 = gc_frame_newslot(strlit8888);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8887 = gc_frame_newslot(*var_s);
  params[0] = strlit8888;
  partcv[0] = 1;
  Object opresult8890 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8890 (depth = 5)
  *var_s = opresult8890;
  if (opresult8890 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8893 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block8894 = alloc_Block(NULL, NULL, "ast", 2350);
  gc_frame_newslot(block8894);
// method "_apply(_,_)"
  block_savedest(block8894);
  Object closure8895 = createclosure(1, "_apply(2)");
  setclosureframe(closure8895, stackframe);
  addtoclosure(closure8895, selfslot);
  struct UserObject *uo8895 = (struct UserObject*)block8894;
  uo8895->data[0] = (Object)closure8895;
  Method *meth_meth_ast_8895__apply_40_2_41_ = addmethod2pos(block8894, "_apply(2)", &meth_ast_8895__apply_40_2_41_, 0);
  int argcv_meth_ast_8895__apply_40_2_41_[] = {2};
  meth_meth_ast_8895__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_8895__apply_40_2_41_);
  meth_meth_ast_8895__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_8895__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block8894 (depth = 7)
  gc_frame_newslot(block8894);
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8913 == NULL) {
    strlit8913 = alloc_String("");
    gc_root(strlit8913);
  }
// compiled string node returning strlit8913 (depth = 7)
  gc_frame_newslot(strlit8913);
// call case 6: other requests
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8914 = gc_frame_new();
// call case 4: self request
  Object call8915 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8914);
// compiled member node returning call8915 (depth = 7)
  params[0] = block8894;
  params[1] = strlit8913;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8916 = callmethodflags(call8915, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8893);
// compiled call node returning call8916 (depth = 6)
  int op_slot_right_8892 = gc_frame_newslot(call8916);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8892 = gc_frame_newslot(*var_s);
  params[0] = call8916;
  partcv[0] = 1;
  Object opresult8918 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8918 (depth = 5)
  *var_s = opresult8918;
  if (opresult8918 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8878 = done;
  } else {
  }
// compiled if node returning if8878 (depth = 3)
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8922 = gc_frame_new();
// call case 4: self request
  Object call8923 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8922);
// compiled member node returning call8923 (depth = 5)
  int op_slot_right_8921 = gc_frame_newslot(call8923);
// starting to compile identifier node (depth = 5)
  Object bool8925 = alloc_Boolean(0);
// compiled identifier node returning bool8925 (depth = 5)
  int op_slot_left_8921 = gc_frame_newslot(bool8925);
  params[0] = call8923;
  partcv[0] = 1;
  Object opresult8926 = callmethod(bool8925, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8926 (depth = 4)
  Object if8920 = done;
  if (istrue(opresult8926)) {
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8928 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8929 = gc_frame_new();
// call case 4: self request
  Object call8930 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8929);
// compiled member node returning call8930 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8931 = callmethodflags(call8930, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8928);
// compiled call node returning call8931 (depth = 6)
  int op_slot_right_8927 = gc_frame_newslot(call8931);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8934 == NULL) {
    strlit8934 = alloc_String(" = ");
    gc_root(strlit8934);
  }
// compiled string node returning strlit8934 (depth = 7)
  int op_slot_right_8933 = gc_frame_newslot(strlit8934);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8933 = gc_frame_newslot(*var_s);
  params[0] = strlit8934;
  partcv[0] = 1;
  Object opresult8936 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8936 (depth = 6)
  int op_slot_left_8927 = gc_frame_newslot(opresult8936);
  params[0] = call8931;
  partcv[0] = 1;
  Object opresult8937 = callmethod(opresult8936, "++(1)", 1, partcv, params);
// compiled op node returning opresult8937 (depth = 5)
  *var_s = opresult8937;
  if (opresult8937 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8920 = done;
  } else {
  }
// compiled if node returning if8920 (depth = 3)
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_8939_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8940 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8941 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8942 = gc_frame_new();
// call case 4: self request
  Object call8943 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8942);
// compiled member node returning call8943 (depth = 5)
  gc_frame_newslot(call8943);
// starting to compile member node (depth = 5)
  int callframe8944 = gc_frame_new();
// call case 4: self request
  Object call8945 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8944);
// compiled member node returning call8945 (depth = 5)
  gc_frame_newslot(call8945);
// starting to compile member node (depth = 5)
  int callframe8946 = gc_frame_new();
// call case 4: self request
  Object call8947 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8946);
// compiled member node returning call8947 (depth = 5)
  gc_frame_newslot(call8947);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defDecNode (depth = 5)
  params[0] = call8943;
  params[1] = call8945;
  params[2] = call8947;
  partcv[0] = 3;
  Object call8948 = callmethodflags(*var_defDecNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8941);
// compiled call node returning call8948 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8949 = callmethodflags(call8948, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8940);
// compiled call node returning call8949 (depth = 3)
  gc_frame_end(frame);
  return call8949;
}
Object meth_ast_8950_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2363
  setline(2363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8951 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8952 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call8953 = callmethodflags(*var_other, "startToken", 0, partcv, params, 0);
  gc_frame_end(callframe8952);
// compiled member node returning call8953 (depth = 4)
  gc_frame_newslot(call8953);
// call case 4: self request
  params[0] = call8953;
  partcv[0] = 1;
  Object call8954 = callmethodflags(self, "startToken:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8951);
// compiled call node returning call8954 (depth = 3)
// Begin line 2364
  setline(2364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_8955_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8956 == NULL) {
    strlit8956 = alloc_String("definition");
    gc_root(strlit8956);
  }
// compiled string node returning strlit8956 (depth = 3)
  gc_frame_end(frame);
  return strlit8956;
}
Object meth_ast_8548_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_defDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8549 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8549 = alloc_userobj2(28,24, objclass8549);
  gc_frame_newslot(obj8549);
  if (objclass8549 == NULL) {
    glfree(obj8549->class->name);
    obj8549->class->name = "defDecNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8549, self, 0);
  addmethodreal(obj8549,"outer", &reader_ast_outer_8550);
  Object oldself8549 = self;
  struct StackFrameObject *oldstackframe8549 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8549);
  gc_frame_newslot((Object)stackframe);
  self = obj8549;
  Object *oldselfslot8549 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8549 = (*(struct UserObject *)self).data[0], lowerouter8549 = thisouter8549;
  if (inheritingObject8549) {
    struct UserObject *inho8549 = (struct UserObject *)inheritingObject8549;
    while (inho8549->super != GraceDefaultObject) inho8549 = (struct UserObject *)inho8549->super;
    inho8549->super = obj8549;
    self = inheritingObject8549;
    *selfslot = self;
    lowerouter8549 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8549;
  }
  if (objclass8549 == NULL) {
  Method *reader8551 = addmethodrealflags(obj8549, "kind",&reader_ast_kind_8551, MFLAG_DEF);
  reader8551->definitionModule = modulename;
  reader8551->definitionLine = 2267;
  }
  adddatum2(obj8549, alloc_Undefined(), 1);
  if (objclass8549 == NULL) {
    Method *reader8552 = addmethodrealflags(obj8549, "name", &reader_ast_name_8552, 0);
    Method *writer8552 = addmethodrealflags(obj8549, "name:=(1)", &writer_ast_name_8552, 0);
    reader8552->definitionModule = modulename;
    writer8552->definitionModule = modulename;
    reader8552->definitionLine = 2268;
    writer8552->definitionLine = 2268;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 2);
  if (objclass8549 == NULL) {
    Method *reader8553 = addmethodrealflags(obj8549, "value", &reader_ast_value_8553, 0);
    Method *writer8553 = addmethodrealflags(obj8549, "value:=(1)", &writer_ast_value_8553, 0);
    reader8553->definitionModule = modulename;
    writer8553->definitionModule = modulename;
    reader8553->definitionLine = 2269;
    writer8553->definitionLine = 2269;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 3);
  if (objclass8549 == NULL) {
    Method *reader8554 = addmethodrealflags(obj8549, "dtype", &reader_ast_dtype_8554, 0);
    Method *writer8554 = addmethodrealflags(obj8549, "dtype:=(1)", &writer_ast_dtype_8554, 0);
    reader8554->definitionModule = modulename;
    writer8554->definitionModule = modulename;
    reader8554->definitionLine = 2270;
    writer8554->definitionLine = 2270;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 4);
  if (objclass8549 == NULL) {
  Method *reader8555 = addmethodrealflags(obj8549, "nameString",&reader_ast_nameString_8555, MFLAG_DEF);
  reader8555->definitionModule = modulename;
  reader8555->definitionLine = 2271;
  }
  adddatum2(obj8549, alloc_Undefined(), 5);
  if (objclass8549 == NULL) {
    Method *reader8556 = addmethodrealflags(obj8549, "annotations", &reader_ast_annotations_8556, 0);
    Method *writer8556 = addmethodrealflags(obj8549, "annotations:=(1)", &writer_ast_annotations_8556, 0);
    reader8556->definitionModule = modulename;
    writer8556->definitionModule = modulename;
    reader8556->definitionLine = 2272;
    writer8556->definitionLine = 2272;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 6);
  if (objclass8549 == NULL) {
    Method *reader8557 = addmethodrealflags(obj8549, "startToken", &reader_ast_startToken_8557, 0);
    Method *writer8557 = addmethodrealflags(obj8549, "startToken:=(1)", &writer_ast_startToken_8557, 0);
    reader8557->definitionModule = modulename;
    writer8557->definitionModule = modulename;
    reader8557->definitionLine = 2273;
    writer8557->definitionLine = 2273;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 7);
// method "end"
  struct UserObject *uo8558 = (struct UserObject*)obj8549;
  uo8558->data[8] = emptyclosure;
  Method *meth_meth_ast_8558_end = addmethod2pos(obj8549, "end", &meth_ast_8558_end, 8);
  int argcv_meth_ast_8558_end[] = {0};
  meth_meth_ast_8558_end->type = alloc_MethodType(1, argcv_meth_ast_8558_end);
  meth_meth_ast_8558_end->definitionModule = modulename;
  meth_meth_ast_8558_end->definitionLine = 2275;
// method "isPublic"
  struct UserObject *uo8563 = (struct UserObject*)obj8549;
  uo8563->data[9] = emptyclosure;
  Method *meth_meth_ast_8563_isPublic = addmethod2pos(obj8549, "isPublic", &meth_ast_8563_isPublic, 9);
  int argcv_meth_ast_8563_isPublic[] = {0};
  meth_meth_ast_8563_isPublic->type = alloc_MethodType(1, argcv_meth_ast_8563_isPublic);
  meth_meth_ast_8563_isPublic->definitionModule = modulename;
  meth_meth_ast_8563_isPublic->definitionLine = 2276;
// method "isFieldDec"
  struct UserObject *uo8582 = (struct UserObject*)obj8549;
  uo8582->data[10] = emptyclosure;
  Method *meth_meth_ast_8582_isFieldDec = addmethod2pos(obj8549, "isFieldDec", &meth_ast_8582_isFieldDec, 10);
  int argcv_meth_ast_8582_isFieldDec[] = {0};
  meth_meth_ast_8582_isFieldDec->type = alloc_MethodType(1, argcv_meth_ast_8582_isFieldDec);
  meth_meth_ast_8582_isFieldDec->definitionModule = modulename;
  meth_meth_ast_8582_isFieldDec->definitionLine = 2282;
// method "isWritable"
  struct UserObject *uo8584 = (struct UserObject*)obj8549;
  uo8584->data[11] = emptyclosure;
  Method *meth_meth_ast_8584_isWritable = addmethod2pos(obj8549, "isWritable", &meth_ast_8584_isWritable, 11);
  int argcv_meth_ast_8584_isWritable[] = {0};
  meth_meth_ast_8584_isWritable->type = alloc_MethodType(1, argcv_meth_ast_8584_isWritable);
  meth_meth_ast_8584_isWritable->definitionModule = modulename;
  meth_meth_ast_8584_isWritable->definitionLine = 2283;
// method "isReadable"
  struct UserObject *uo8586 = (struct UserObject*)obj8549;
  uo8586->data[12] = emptyclosure;
  Method *meth_meth_ast_8586_isReadable = addmethod2pos(obj8549, "isReadable", &meth_ast_8586_isReadable, 12);
  int argcv_meth_ast_8586_isReadable[] = {0};
  meth_meth_ast_8586_isReadable->type = alloc_MethodType(1, argcv_meth_ast_8586_isReadable);
  meth_meth_ast_8586_isReadable->definitionModule = modulename;
  meth_meth_ast_8586_isReadable->definitionLine = 2284;
// method "returnsObject"
  struct UserObject *uo8589 = (struct UserObject*)obj8549;
  uo8589->data[13] = emptyclosure;
  Method *meth_meth_ast_8589_returnsObject = addmethod2pos(obj8549, "returnsObject", &meth_ast_8589_returnsObject, 13);
  int argcv_meth_ast_8589_returnsObject[] = {0};
  meth_meth_ast_8589_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_8589_returnsObject);
  meth_meth_ast_8589_returnsObject->definitionModule = modulename;
  meth_meth_ast_8589_returnsObject->definitionLine = 2286;
// method "returnedObjectScope"
  struct UserObject *uo8594 = (struct UserObject*)obj8549;
  uo8594->data[14] = emptyclosure;
  Method *meth_meth_ast_8594_returnedObjectScope = addmethod2pos(obj8549, "returnedObjectScope", &meth_ast_8594_returnedObjectScope, 14);
  int argcv_meth_ast_8594_returnedObjectScope[] = {0};
  meth_meth_ast_8594_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_8594_returnedObjectScope);
  meth_meth_ast_8594_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_8594_returnedObjectScope->definitionLine = 2289;
// method "usesAsType(_)"
  struct UserObject *uo8599 = (struct UserObject*)obj8549;
  uo8599->data[15] = emptyclosure;
  Method *meth_meth_ast_8599_usesAsType_40_1_41_ = addmethod2pos(obj8549, "usesAsType(1)", &meth_ast_8599_usesAsType_40_1_41_, 15);
  int argcv_meth_ast_8599_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_8599_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8599_usesAsType_40_1_41_);
  meth_meth_ast_8599_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8599_usesAsType_40_1_41_->definitionLine = 2293;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8549);
  Object closure8605 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8605, stackframe);
  addtoclosure(closure8605, var_k);
  struct UserObject *uo8605 = (struct UserObject*)obj8549;
  uo8605->data[16] = (Object)closure8605;
  Method *meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj8549, "declarationKindWithAncestors(1)", &meth_ast_8605_declarationKindWithAncestors_40_1_41_, 16);
  int argcv_meth_ast_8605_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8605_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_->definitionLine = 2296;
// method "accept(_)from(_)"
  struct UserObject *uo8608 = (struct UserObject*)obj8549;
  uo8608->data[17] = emptyclosure;
  Method *meth_meth_ast_8608_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8549, "accept(1)from(1)", &meth_ast_8608_accept_40_1_41_from_40_1_41_, 17);
  int argcv_meth_ast_8608_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_8608_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8608_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_8608_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8608_accept_40_1_41_from_40_1_41_->definitionLine = 2298;
// method "map(_)ancestors(_)"
  struct UserObject *uo8642 = (struct UserObject*)obj8549;
  uo8642->data[18] = emptyclosure;
  Method *meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8549, "map(1)ancestors(1)", &meth_ast_8642_map_40_1_41_ancestors_40_1_41_, 18);
  int argcv_meth_ast_8642_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8642_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_->definitionLine = 2311;
// method "pretty(_)"
  struct UserObject *uo8673 = (struct UserObject*)obj8549;
  uo8673->data[19] = emptyclosure;
  Method *meth_meth_ast_8673_pretty_40_1_41_ = addmethod2pos(obj8549, "pretty(1)", &meth_ast_8673_pretty_40_1_41_, 19);
  int argcv_meth_ast_8673_pretty_40_1_41_[] = {1};
  meth_meth_ast_8673_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8673_pretty_40_1_41_);
  meth_meth_ast_8673_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8673_pretty_40_1_41_->definitionLine = 2320;
// method "toGrace(_)"
  struct UserObject *uo8826 = (struct UserObject*)obj8549;
  uo8826->data[20] = emptyclosure;
  Method *meth_meth_ast_8826_toGrace_40_1_41_ = addmethod2pos(obj8549, "toGrace(1)", &meth_ast_8826_toGrace_40_1_41_, 20);
  int argcv_meth_ast_8826_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8826_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8826_toGrace_40_1_41_);
meth_meth_ast_8826_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8826_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8826_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8826_toGrace_40_1_41_->definitionLine = 2341;
// method "shallowCopy"
  block_savedest(obj8549);
  Object closure8939 = createclosure(1, "shallowCopy");
  setclosureframe(closure8939, stackframe);
  addtoclosure(closure8939, var_defDecNode);
  struct UserObject *uo8939 = (struct UserObject*)obj8549;
  uo8939->data[21] = (Object)closure8939;
  Method *meth_meth_ast_8939_shallowCopy = addmethod2pos(obj8549, "shallowCopy", &meth_ast_8939_shallowCopy, 21);
  int argcv_meth_ast_8939_shallowCopy[] = {0};
  meth_meth_ast_8939_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8939_shallowCopy);
  meth_meth_ast_8939_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8939_shallowCopy->definitionLine = 2359;
// method "postCopy(_)"
  struct UserObject *uo8950 = (struct UserObject*)obj8549;
  uo8950->data[22] = emptyclosure;
  Method *meth_meth_ast_8950_postCopy_40_1_41_ = addmethod2pos(obj8549, "postCopy(1)", &meth_ast_8950_postCopy_40_1_41_, 22);
  int argcv_meth_ast_8950_postCopy_40_1_41_[] = {1};
  meth_meth_ast_8950_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8950_postCopy_40_1_41_);
  meth_meth_ast_8950_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8950_postCopy_40_1_41_->definitionLine = 2362;
// method "statementName"
  struct UserObject *uo8955 = (struct UserObject*)obj8549;
  uo8955->data[23] = emptyclosure;
  Method *meth_meth_ast_8955_statementName = addmethod2pos(obj8549, "statementName", &meth_ast_8955_statementName, 23);
  int argcv_meth_ast_8955_statementName[] = {0};
  meth_meth_ast_8955_statementName->type = alloc_MethodType(1, argcv_meth_ast_8955_statementName);
  meth_meth_ast_8955_statementName->definitionModule = modulename;
  meth_meth_ast_8955_statementName->definitionLine = 2366;
  sourceObject = obj8549;
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8957 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8958 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8957);
// compiled call node returning call8958 (depth = 3)
  struct UserObject *obj8549_uo = (struct UserObject *)obj8549;
  obj8549_uo->super = call8958;
  sourceObject = obj8549;
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8959 == NULL) {
    strlit8959 = alloc_String("defdec");
    gc_root(strlit8959);
  }
// compiled string node returning strlit8959 (depth = 3)
  adddatum2(obj8549, strlit8959, 1);
  sourceObject = obj8549;
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8549, *var_name_39_, 2);
  sourceObject = obj8549;
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj8549, *var_val, 3);
  sourceObject = obj8549;
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8549, *var_dtype_39_, 4);
  sourceObject = obj8549;
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8960 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8961 = gc_frame_new();
// call case 4: self request
  Object call8962 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8961);
// compiled member node returning call8962 (depth = 4)
  Object call8963 = callmethodflags(call8962, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8960);
// compiled member node returning call8963 (depth = 3)
  adddatum2(obj8549, call8963, 5);
  sourceObject = obj8549;
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8964 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8964 (depth = 3)
  adddatum2(obj8549, array8964, 6);
  sourceObject = obj8549;
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8965 = alloc_Boolean(0);
// compiled identifier node returning bool8965 (depth = 3)
  adddatum2(obj8549, bool8965, 7);
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  objclass8549 = obj8549->class;
  objclass8549->definitionModule = modulename;
  objclass8549->definitionLine = 2265;
  (*(struct UserObject *)self).data[0] = lowerouter8549;
  self = oldself8549;
  selfslot = oldselfslot8549;
  stackframe = oldstackframe8549;
  gc_frame_end(frame);
  return obj8549;
}
Object meth_ast_8548_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_defDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8549 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8549 = alloc_userobj2(28,24, objclass8549);
  gc_frame_newslot(obj8549);
  if (objclass8549 == NULL) {
    glfree(obj8549->class->name);
    obj8549->class->name = "defDecNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8549, self, 0);
  addmethodreal(obj8549,"outer", &reader_ast_outer_8550);
  Object oldself8549 = self;
  struct StackFrameObject *oldstackframe8549 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8549);
  gc_frame_newslot((Object)stackframe);
  self = obj8549;
  Object *oldselfslot8549 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8549 = (*(struct UserObject *)self).data[0], lowerouter8549 = thisouter8549;
  if (inheritingObject8549) {
    struct UserObject *inho8549 = (struct UserObject *)inheritingObject8549;
    while (inho8549->super != GraceDefaultObject) inho8549 = (struct UserObject *)inho8549->super;
    inho8549->super = obj8549;
    self = inheritingObject8549;
    *selfslot = self;
    lowerouter8549 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8549;
  }
  if (objclass8549 == NULL) {
  Method *reader8551 = addmethodrealflags(obj8549, "kind",&reader_ast_kind_8551, MFLAG_DEF);
  reader8551->definitionModule = modulename;
  reader8551->definitionLine = 2267;
  }
  adddatum2(obj8549, alloc_Undefined(), 1);
  if (objclass8549 == NULL) {
    Method *reader8552 = addmethodrealflags(obj8549, "name", &reader_ast_name_8552, 0);
    Method *writer8552 = addmethodrealflags(obj8549, "name:=(1)", &writer_ast_name_8552, 0);
    reader8552->definitionModule = modulename;
    writer8552->definitionModule = modulename;
    reader8552->definitionLine = 2268;
    writer8552->definitionLine = 2268;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 2);
  if (objclass8549 == NULL) {
    Method *reader8553 = addmethodrealflags(obj8549, "value", &reader_ast_value_8553, 0);
    Method *writer8553 = addmethodrealflags(obj8549, "value:=(1)", &writer_ast_value_8553, 0);
    reader8553->definitionModule = modulename;
    writer8553->definitionModule = modulename;
    reader8553->definitionLine = 2269;
    writer8553->definitionLine = 2269;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 3);
  if (objclass8549 == NULL) {
    Method *reader8554 = addmethodrealflags(obj8549, "dtype", &reader_ast_dtype_8554, 0);
    Method *writer8554 = addmethodrealflags(obj8549, "dtype:=(1)", &writer_ast_dtype_8554, 0);
    reader8554->definitionModule = modulename;
    writer8554->definitionModule = modulename;
    reader8554->definitionLine = 2270;
    writer8554->definitionLine = 2270;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 4);
  if (objclass8549 == NULL) {
  Method *reader8555 = addmethodrealflags(obj8549, "nameString",&reader_ast_nameString_8555, MFLAG_DEF);
  reader8555->definitionModule = modulename;
  reader8555->definitionLine = 2271;
  }
  adddatum2(obj8549, alloc_Undefined(), 5);
  if (objclass8549 == NULL) {
    Method *reader8556 = addmethodrealflags(obj8549, "annotations", &reader_ast_annotations_8556, 0);
    Method *writer8556 = addmethodrealflags(obj8549, "annotations:=(1)", &writer_ast_annotations_8556, 0);
    reader8556->definitionModule = modulename;
    writer8556->definitionModule = modulename;
    reader8556->definitionLine = 2272;
    writer8556->definitionLine = 2272;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 6);
  if (objclass8549 == NULL) {
    Method *reader8557 = addmethodrealflags(obj8549, "startToken", &reader_ast_startToken_8557, 0);
    Method *writer8557 = addmethodrealflags(obj8549, "startToken:=(1)", &writer_ast_startToken_8557, 0);
    reader8557->definitionModule = modulename;
    writer8557->definitionModule = modulename;
    reader8557->definitionLine = 2273;
    writer8557->definitionLine = 2273;
  }
  obj8549->flags |= OFLAG_MUTABLE;
  adddatum2(obj8549, alloc_Undefined(), 7);
// method "end"
  struct UserObject *uo8558 = (struct UserObject*)obj8549;
  uo8558->data[8] = emptyclosure;
  Method *meth_meth_ast_8558_end = addmethod2pos(obj8549, "end", &meth_ast_8558_end, 8);
  int argcv_meth_ast_8558_end[] = {0};
  meth_meth_ast_8558_end->type = alloc_MethodType(1, argcv_meth_ast_8558_end);
  meth_meth_ast_8558_end->definitionModule = modulename;
  meth_meth_ast_8558_end->definitionLine = 2275;
// method "isPublic"
  struct UserObject *uo8563 = (struct UserObject*)obj8549;
  uo8563->data[9] = emptyclosure;
  Method *meth_meth_ast_8563_isPublic = addmethod2pos(obj8549, "isPublic", &meth_ast_8563_isPublic, 9);
  int argcv_meth_ast_8563_isPublic[] = {0};
  meth_meth_ast_8563_isPublic->type = alloc_MethodType(1, argcv_meth_ast_8563_isPublic);
  meth_meth_ast_8563_isPublic->definitionModule = modulename;
  meth_meth_ast_8563_isPublic->definitionLine = 2276;
// method "isFieldDec"
  struct UserObject *uo8582 = (struct UserObject*)obj8549;
  uo8582->data[10] = emptyclosure;
  Method *meth_meth_ast_8582_isFieldDec = addmethod2pos(obj8549, "isFieldDec", &meth_ast_8582_isFieldDec, 10);
  int argcv_meth_ast_8582_isFieldDec[] = {0};
  meth_meth_ast_8582_isFieldDec->type = alloc_MethodType(1, argcv_meth_ast_8582_isFieldDec);
  meth_meth_ast_8582_isFieldDec->definitionModule = modulename;
  meth_meth_ast_8582_isFieldDec->definitionLine = 2282;
// method "isWritable"
  struct UserObject *uo8584 = (struct UserObject*)obj8549;
  uo8584->data[11] = emptyclosure;
  Method *meth_meth_ast_8584_isWritable = addmethod2pos(obj8549, "isWritable", &meth_ast_8584_isWritable, 11);
  int argcv_meth_ast_8584_isWritable[] = {0};
  meth_meth_ast_8584_isWritable->type = alloc_MethodType(1, argcv_meth_ast_8584_isWritable);
  meth_meth_ast_8584_isWritable->definitionModule = modulename;
  meth_meth_ast_8584_isWritable->definitionLine = 2283;
// method "isReadable"
  struct UserObject *uo8586 = (struct UserObject*)obj8549;
  uo8586->data[12] = emptyclosure;
  Method *meth_meth_ast_8586_isReadable = addmethod2pos(obj8549, "isReadable", &meth_ast_8586_isReadable, 12);
  int argcv_meth_ast_8586_isReadable[] = {0};
  meth_meth_ast_8586_isReadable->type = alloc_MethodType(1, argcv_meth_ast_8586_isReadable);
  meth_meth_ast_8586_isReadable->definitionModule = modulename;
  meth_meth_ast_8586_isReadable->definitionLine = 2284;
// method "returnsObject"
  struct UserObject *uo8589 = (struct UserObject*)obj8549;
  uo8589->data[13] = emptyclosure;
  Method *meth_meth_ast_8589_returnsObject = addmethod2pos(obj8549, "returnsObject", &meth_ast_8589_returnsObject, 13);
  int argcv_meth_ast_8589_returnsObject[] = {0};
  meth_meth_ast_8589_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_8589_returnsObject);
  meth_meth_ast_8589_returnsObject->definitionModule = modulename;
  meth_meth_ast_8589_returnsObject->definitionLine = 2286;
// method "returnedObjectScope"
  struct UserObject *uo8594 = (struct UserObject*)obj8549;
  uo8594->data[14] = emptyclosure;
  Method *meth_meth_ast_8594_returnedObjectScope = addmethod2pos(obj8549, "returnedObjectScope", &meth_ast_8594_returnedObjectScope, 14);
  int argcv_meth_ast_8594_returnedObjectScope[] = {0};
  meth_meth_ast_8594_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_8594_returnedObjectScope);
  meth_meth_ast_8594_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_8594_returnedObjectScope->definitionLine = 2289;
// method "usesAsType(_)"
  struct UserObject *uo8599 = (struct UserObject*)obj8549;
  uo8599->data[15] = emptyclosure;
  Method *meth_meth_ast_8599_usesAsType_40_1_41_ = addmethod2pos(obj8549, "usesAsType(1)", &meth_ast_8599_usesAsType_40_1_41_, 15);
  int argcv_meth_ast_8599_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_8599_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8599_usesAsType_40_1_41_);
  meth_meth_ast_8599_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8599_usesAsType_40_1_41_->definitionLine = 2293;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8549);
  Object closure8605 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8605, stackframe);
  addtoclosure(closure8605, var_k);
  struct UserObject *uo8605 = (struct UserObject*)obj8549;
  uo8605->data[16] = (Object)closure8605;
  Method *meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj8549, "declarationKindWithAncestors(1)", &meth_ast_8605_declarationKindWithAncestors_40_1_41_, 16);
  int argcv_meth_ast_8605_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8605_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8605_declarationKindWithAncestors_40_1_41_->definitionLine = 2296;
// method "accept(_)from(_)"
  struct UserObject *uo8608 = (struct UserObject*)obj8549;
  uo8608->data[17] = emptyclosure;
  Method *meth_meth_ast_8608_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8549, "accept(1)from(1)", &meth_ast_8608_accept_40_1_41_from_40_1_41_, 17);
  int argcv_meth_ast_8608_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_8608_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8608_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_8608_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8608_accept_40_1_41_from_40_1_41_->definitionLine = 2298;
// method "map(_)ancestors(_)"
  struct UserObject *uo8642 = (struct UserObject*)obj8549;
  uo8642->data[18] = emptyclosure;
  Method *meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8549, "map(1)ancestors(1)", &meth_ast_8642_map_40_1_41_ancestors_40_1_41_, 18);
  int argcv_meth_ast_8642_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8642_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8642_map_40_1_41_ancestors_40_1_41_->definitionLine = 2311;
// method "pretty(_)"
  struct UserObject *uo8673 = (struct UserObject*)obj8549;
  uo8673->data[19] = emptyclosure;
  Method *meth_meth_ast_8673_pretty_40_1_41_ = addmethod2pos(obj8549, "pretty(1)", &meth_ast_8673_pretty_40_1_41_, 19);
  int argcv_meth_ast_8673_pretty_40_1_41_[] = {1};
  meth_meth_ast_8673_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8673_pretty_40_1_41_);
  meth_meth_ast_8673_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8673_pretty_40_1_41_->definitionLine = 2320;
// method "toGrace(_)"
  struct UserObject *uo8826 = (struct UserObject*)obj8549;
  uo8826->data[20] = emptyclosure;
  Method *meth_meth_ast_8826_toGrace_40_1_41_ = addmethod2pos(obj8549, "toGrace(1)", &meth_ast_8826_toGrace_40_1_41_, 20);
  int argcv_meth_ast_8826_toGrace_40_1_41_[] = {1};
  meth_meth_ast_8826_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8826_toGrace_40_1_41_);
meth_meth_ast_8826_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_8826_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_8826_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8826_toGrace_40_1_41_->definitionLine = 2341;
// method "shallowCopy"
  block_savedest(obj8549);
  Object closure8939 = createclosure(1, "shallowCopy");
  setclosureframe(closure8939, stackframe);
  addtoclosure(closure8939, var_defDecNode);
  struct UserObject *uo8939 = (struct UserObject*)obj8549;
  uo8939->data[21] = (Object)closure8939;
  Method *meth_meth_ast_8939_shallowCopy = addmethod2pos(obj8549, "shallowCopy", &meth_ast_8939_shallowCopy, 21);
  int argcv_meth_ast_8939_shallowCopy[] = {0};
  meth_meth_ast_8939_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_8939_shallowCopy);
  meth_meth_ast_8939_shallowCopy->definitionModule = modulename;
  meth_meth_ast_8939_shallowCopy->definitionLine = 2359;
// method "postCopy(_)"
  struct UserObject *uo8950 = (struct UserObject*)obj8549;
  uo8950->data[22] = emptyclosure;
  Method *meth_meth_ast_8950_postCopy_40_1_41_ = addmethod2pos(obj8549, "postCopy(1)", &meth_ast_8950_postCopy_40_1_41_, 22);
  int argcv_meth_ast_8950_postCopy_40_1_41_[] = {1};
  meth_meth_ast_8950_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_8950_postCopy_40_1_41_);
  meth_meth_ast_8950_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8950_postCopy_40_1_41_->definitionLine = 2362;
// method "statementName"
  struct UserObject *uo8955 = (struct UserObject*)obj8549;
  uo8955->data[23] = emptyclosure;
  Method *meth_meth_ast_8955_statementName = addmethod2pos(obj8549, "statementName", &meth_ast_8955_statementName, 23);
  int argcv_meth_ast_8955_statementName[] = {0};
  meth_meth_ast_8955_statementName->type = alloc_MethodType(1, argcv_meth_ast_8955_statementName);
  meth_meth_ast_8955_statementName->definitionModule = modulename;
  meth_meth_ast_8955_statementName->definitionLine = 2366;
  sourceObject = obj8549;
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8957 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8958 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8957);
// compiled call node returning call8958 (depth = 3)
  struct UserObject *obj8549_uo = (struct UserObject *)obj8549;
  obj8549_uo->super = call8958;
  sourceObject = obj8549;
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8959 == NULL) {
    strlit8959 = alloc_String("defdec");
    gc_root(strlit8959);
  }
// compiled string node returning strlit8959 (depth = 3)
  adddatum2(obj8549, strlit8959, 1);
  sourceObject = obj8549;
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8549, *var_name_39_, 2);
  sourceObject = obj8549;
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj8549, *var_val, 3);
  sourceObject = obj8549;
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8549, *var_dtype_39_, 4);
  sourceObject = obj8549;
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8960 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8961 = gc_frame_new();
// call case 4: self request
  Object call8962 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8961);
// compiled member node returning call8962 (depth = 4)
  Object call8963 = callmethodflags(call8962, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8960);
// compiled member node returning call8963 (depth = 3)
  adddatum2(obj8549, call8963, 5);
  sourceObject = obj8549;
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8964 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8964 (depth = 3)
  adddatum2(obj8549, array8964, 6);
  sourceObject = obj8549;
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8965 = alloc_Boolean(0);
// compiled identifier node returning bool8965 (depth = 3)
  adddatum2(obj8549, bool8965, 7);
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  sourceObject = obj8549;
  objclass8549 = obj8549->class;
  objclass8549->definitionModule = modulename;
  objclass8549->definitionLine = 2265;
  (*(struct UserObject *)self).data[0] = lowerouter8549;
  self = oldself8549;
  selfslot = oldselfslot8549;
  stackframe = oldstackframe8549;
  gc_frame_end(frame);
  return obj8549;
}
Object meth_ast_8967_defDecNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_defDecNode;
}
Object meth_ast_8979_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8982 = gc_frame_new();
// call case 4: self request
  Object call8983 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8982);
// compiled member node returning call8983 (depth = 5)
  int op_slot_right_8981 = gc_frame_newslot(call8983);
// starting to compile identifier node (depth = 5)
  Object bool8985 = alloc_Boolean(0);
// compiled identifier node returning bool8985 (depth = 5)
  int op_slot_left_8981 = gc_frame_newslot(bool8985);
  params[0] = call8983;
  partcv[0] = 1;
  Object opresult8986 = callmethod(bool8985, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8986 (depth = 4)
  Object if8980 = done;
  if (istrue(opresult8986)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8987 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8988 = gc_frame_new();
// call case 4: self request
  Object call8989 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8988);
// compiled member node returning call8989 (depth = 6)
  Object call8990 = callmethodflags(call8989, "end", 0, partcv, params, 0);
  gc_frame_end(callframe8987);
// compiled member node returning call8990 (depth = 5)
  return call8990;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8980 = undefined;
  } else {
  }
// compiled if node returning if8980 (depth = 3)
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8992 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8993 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8994 = gc_frame_new();
// call case 4: self request
  Object call8995 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8994);
// compiled member node returning call8995 (depth = 6)
  Object call8996 = callmethodflags(call8995, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe8993);
// compiled member node returning call8996 (depth = 5)
  Object call8997 = callmethodflags(call8996, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8992);
// compiled member node returning call8997 (depth = 4)
  Object if8991 = done;
  if (istrue(call8997)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8998 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8999 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9000 = gc_frame_new();
// call case 4: self request
  Object call9001 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9000);
// compiled member node returning call9001 (depth = 7)
  Object call9002 = callmethodflags(call9001, "last", 0, partcv, params, 0);
  gc_frame_end(callframe8999);
// compiled member node returning call9002 (depth = 6)
  Object call9003 = callmethodflags(call9002, "end", 0, partcv, params, 0);
  gc_frame_end(callframe8998);
// compiled member node returning call9003 (depth = 5)
  return call9003;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8991 = undefined;
  } else {
  }
// compiled if node returning if8991 (depth = 3)
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9006 = gc_frame_new();
// call case 4: self request
  Object call9007 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9006);
// compiled member node returning call9007 (depth = 5)
  int op_slot_right_9005 = gc_frame_newslot(call9007);
// starting to compile identifier node (depth = 5)
  Object bool9009 = alloc_Boolean(0);
// compiled identifier node returning bool9009 (depth = 5)
  int op_slot_left_9005 = gc_frame_newslot(bool9009);
  params[0] = call9007;
  partcv[0] = 1;
  Object opresult9010 = callmethod(bool9009, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9010 (depth = 4)
  Object if9004 = done;
  if (istrue(opresult9010)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9011 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9012 = gc_frame_new();
// call case 4: self request
  Object call9013 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9012);
// compiled member node returning call9013 (depth = 6)
  Object call9014 = callmethodflags(call9013, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9011);
// compiled member node returning call9014 (depth = 5)
  return call9014;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9004 = undefined;
  } else {
  }
// compiled if node returning if9004 (depth = 3)
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9016 = gc_frame_new();
// call case 4: self request
  Object call9017 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9016);
// compiled member node returning call9017 (depth = 5)
  Object call9018 = callmethodflags(call9017, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9015);
// compiled member node returning call9018 (depth = 4)
  return call9018;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_9019_isPublic(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2387
  setline(2387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9022 = alloc_Float64(0);
// compiled num node returning num9022 (depth = 5)
  int op_slot_right_9021 = gc_frame_newslot(num9022);
// starting to compile member node (depth = 5)
  int callframe9024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9025 = gc_frame_new();
// call case 4: self request
  Object call9026 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9025);
// compiled member node returning call9026 (depth = 6)
  Object call9027 = callmethodflags(call9026, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9024);
// compiled member node returning call9027 (depth = 5)
  int op_slot_left_9021 = gc_frame_newslot(call9027);
  params[0] = num9022;
  partcv[0] = 1;
  Object opresult9028 = callmethod(call9027, "==(1)", 1, partcv, params);
// compiled op node returning opresult9028 (depth = 4)
  Object if9020 = done;
  if (istrue(opresult9028)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9029 = alloc_Boolean(0);
// compiled identifier node returning bool9029 (depth = 5)
  return bool9029;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9020 = undefined;
  } else {
  }
// compiled if node returning if9020 (depth = 3)
// Begin line 2388
  setline(2388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9031 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit9032 == NULL) {
    strlit9032 = alloc_String("public");
    gc_root(strlit9032);
  }
// compiled string node returning strlit9032 (depth = 5)
  gc_frame_newslot(strlit9032);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit9032;
  partcv[0] = 2;
  Object call9033 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9031);
// compiled call node returning call9033 (depth = 4)
  Object if9030 = done;
  if (istrue(call9033)) {
// Begin line 2388
  setline(2388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9034 = alloc_Boolean(1);
// compiled identifier node returning bool9034 (depth = 5)
  return bool9034;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9030 = undefined;
  } else {
  }
// compiled if node returning if9030 (depth = 3)
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9035 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit9036 == NULL) {
    strlit9036 = alloc_String("readable");
    gc_root(strlit9036);
  }
// compiled string node returning strlit9036 (depth = 4)
  gc_frame_newslot(strlit9036);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  params[1] = strlit9036;
  partcv[0] = 2;
  Object call9037 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9035);
// compiled call node returning call9037 (depth = 3)
  gc_frame_end(frame);
  return call9037;
}
Object meth_ast_9038_isWritable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9041 = alloc_Float64(0);
// compiled num node returning num9041 (depth = 5)
  int op_slot_right_9040 = gc_frame_newslot(num9041);
// starting to compile member node (depth = 5)
  int callframe9043 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9044 = gc_frame_new();
// call case 4: self request
  Object call9045 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9044);
// compiled member node returning call9045 (depth = 6)
  Object call9046 = callmethodflags(call9045, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9043);
// compiled member node returning call9046 (depth = 5)
  int op_slot_left_9040 = gc_frame_newslot(call9046);
  params[0] = num9041;
  partcv[0] = 1;
  Object opresult9047 = callmethod(call9046, "==(1)", 1, partcv, params);
// compiled op node returning opresult9047 (depth = 4)
  Object if9039 = done;
  if (istrue(opresult9047)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9048 = alloc_Boolean(0);
// compiled identifier node returning bool9048 (depth = 5)
  return bool9048;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9039 = undefined;
  } else {
  }
// compiled if node returning if9039 (depth = 3)
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9050 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit9051 == NULL) {
    strlit9051 = alloc_String("public");
    gc_root(strlit9051);
  }
// compiled string node returning strlit9051 (depth = 5)
  gc_frame_newslot(strlit9051);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit9051;
  partcv[0] = 2;
  Object call9052 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9050);
// compiled call node returning call9052 (depth = 4)
  Object if9049 = done;
  if (istrue(call9052)) {
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9053 = alloc_Boolean(1);
// compiled identifier node returning bool9053 (depth = 5)
  return bool9053;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9049 = undefined;
  } else {
  }
// compiled if node returning if9049 (depth = 3)
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9055 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit9056 == NULL) {
    strlit9056 = alloc_String("writable");
    gc_root(strlit9056);
  }
// compiled string node returning strlit9056 (depth = 5)
  gc_frame_newslot(strlit9056);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit9056;
  partcv[0] = 2;
  Object call9057 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9055);
// compiled call node returning call9057 (depth = 4)
  Object if9054 = done;
  if (istrue(call9057)) {
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9058 = alloc_Boolean(1);
// compiled identifier node returning bool9058 (depth = 5)
  return bool9058;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9054 = undefined;
  } else {
  }
// compiled if node returning if9054 (depth = 3)
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9059 = alloc_Boolean(0);
// compiled identifier node returning bool9059 (depth = 3)
  gc_frame_end(frame);
  return bool9059;
}
Object meth_ast_9060_isReadable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9063 = alloc_Float64(0);
// compiled num node returning num9063 (depth = 5)
  int op_slot_right_9062 = gc_frame_newslot(num9063);
// starting to compile member node (depth = 5)
  int callframe9065 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9066 = gc_frame_new();
// call case 4: self request
  Object call9067 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9066);
// compiled member node returning call9067 (depth = 6)
  Object call9068 = callmethodflags(call9067, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9065);
// compiled member node returning call9068 (depth = 5)
  int op_slot_left_9062 = gc_frame_newslot(call9068);
  params[0] = num9063;
  partcv[0] = 1;
  Object opresult9069 = callmethod(call9068, "==(1)", 1, partcv, params);
// compiled op node returning opresult9069 (depth = 4)
  Object if9061 = done;
  if (istrue(opresult9069)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9070 = alloc_Boolean(0);
// compiled identifier node returning bool9070 (depth = 5)
  return bool9070;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9061 = undefined;
  } else {
  }
// compiled if node returning if9061 (depth = 3)
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9072 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit9073 == NULL) {
    strlit9073 = alloc_String("public");
    gc_root(strlit9073);
  }
// compiled string node returning strlit9073 (depth = 5)
  gc_frame_newslot(strlit9073);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit9073;
  partcv[0] = 2;
  Object call9074 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9072);
// compiled call node returning call9074 (depth = 4)
  Object if9071 = done;
  if (istrue(call9074)) {
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9075 = alloc_Boolean(1);
// compiled identifier node returning bool9075 (depth = 5)
  return bool9075;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9071 = undefined;
  } else {
  }
// compiled if node returning if9071 (depth = 3)
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9077 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit9078 == NULL) {
    strlit9078 = alloc_String("readable");
    gc_root(strlit9078);
  }
// compiled string node returning strlit9078 (depth = 5)
  gc_frame_newslot(strlit9078);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit9078;
  partcv[0] = 2;
  Object call9079 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9077);
// compiled call node returning call9079 (depth = 4)
  Object if9076 = done;
  if (istrue(call9079)) {
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9080 = alloc_Boolean(1);
// compiled identifier node returning bool9080 (depth = 5)
  return bool9080;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9076 = undefined;
  } else {
  }
// compiled if node returning if9076 (depth = 3)
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9081 = alloc_Boolean(0);
// compiled identifier node returning bool9081 (depth = 3)
  gc_frame_end(frame);
  return bool9081;
}
Object meth_ast_9082_isFieldDec(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2403
  setline(2403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9083 = alloc_Boolean(1);
// compiled identifier node returning bool9083 (depth = 3)
  gc_frame_end(frame);
  return bool9083;
}
Object meth_ast_9084_usesAsType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9086 = gc_frame_new();
// call case 4: self request
  Object call9087 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9086);
// compiled member node returning call9087 (depth = 4)
  int op_slot_right_9085 = gc_frame_newslot(call9087);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_9085 = gc_frame_newslot(*var_aNode);
  params[0] = call9087;
  partcv[0] = 1;
  Object opresult9089 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult9089 (depth = 3)
  gc_frame_end(frame);
  return opresult9089;
}
Object meth_ast_9090_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9091 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call9092 = callmethodflags(*var_k, "vardec", 0, partcv, params, 0);
  gc_frame_end(callframe9091);
// compiled member node returning call9092 (depth = 3)
  gc_frame_end(frame);
  return call9092;
}
Object meth_ast_9118__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2419
  setline(2419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9119 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9120 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9119);
// compiled call node returning call9120 (depth = 6)
  gc_frame_end(frame);
  return call9120;
}
Object meth_ast_9093_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9095 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9096 = callmethodflags(*var_visitor, "visitVarDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9095);
// compiled call node returning call9096 (depth = 4)
  Object if9094 = done;
  if (istrue(call9096)) {
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9097 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9098 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9097);
// compiled call node returning call9098 (depth = 5)
  *var_newChain = call9098;
  if (call9098 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2414
  setline(2414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9099 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9100 = gc_frame_new();
// call case 4: self request
  Object call9101 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9100);
// compiled member node returning call9101 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9102 = callmethodflags(call9101, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9099);
// compiled call node returning call9102 (depth = 4)
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9105 = gc_frame_new();
// call case 4: self request
  Object call9106 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9105);
// compiled member node returning call9106 (depth = 6)
  int op_slot_right_9104 = gc_frame_newslot(call9106);
// starting to compile identifier node (depth = 6)
  Object bool9108 = alloc_Boolean(0);
// compiled identifier node returning bool9108 (depth = 6)
  int op_slot_left_9104 = gc_frame_newslot(bool9108);
  params[0] = call9106;
  partcv[0] = 1;
  Object opresult9109 = callmethod(bool9108, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9109 (depth = 5)
  Object if9103 = done;
  if (istrue(opresult9109)) {
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9110 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9111 = gc_frame_new();
// call case 4: self request
  Object call9112 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9111);
// compiled member node returning call9112 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9113 = callmethodflags(call9112, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9110);
// compiled call node returning call9113 (depth = 5)
    gc_frame_newslot(call9113);
    if9103 = call9113;
  } else {
  }
// compiled if node returning if9103 (depth = 4)
// Begin line 2418
  setline(2418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9114 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9115 = gc_frame_new();
// call case 4: self request
  Object call9116 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9115);
// compiled member node returning call9116 (depth = 5)
  gc_frame_newslot(call9116);
// starting to compile block node (depth = 5)
  Object block9117 = alloc_Block(NULL, NULL, "ast", 2418);
  gc_frame_newslot(block9117);
// method "_apply(_)"
  block_savedest(block9117);
  Object closure9118 = createclosure(3, "_apply(1)");
  setclosureframe(closure9118, stackframe);
  addtoclosure(closure9118, var_visitor);
  addtoclosure(closure9118, var_newChain);
  addtoclosure(closure9118, selfslot);
  struct UserObject *uo9118 = (struct UserObject*)block9117;
  uo9118->data[0] = (Object)closure9118;
  Method *meth_meth_ast_9118__apply_40_1_41_ = addmethod2pos(block9117, "_apply(1)", &meth_ast_9118__apply_40_1_41_, 0);
  int argcv_meth_ast_9118__apply_40_1_41_[] = {1};
  meth_meth_ast_9118__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9118__apply_40_1_41_);
  meth_meth_ast_9118__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9118__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block9117 (depth = 5)
  gc_frame_newslot(block9117);
// call case 5: prelude request
  params[0] = call9116;
  params[1] = block9117;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9122 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9114);
// compiled call node returning call9122 (depth = 4)
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9125 = gc_frame_new();
// call case 4: self request
  Object call9126 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9125);
// compiled member node returning call9126 (depth = 6)
  int op_slot_right_9124 = gc_frame_newslot(call9126);
// starting to compile identifier node (depth = 6)
  Object bool9128 = alloc_Boolean(0);
// compiled identifier node returning bool9128 (depth = 6)
  int op_slot_left_9124 = gc_frame_newslot(bool9128);
  params[0] = call9126;
  partcv[0] = 1;
  Object opresult9129 = callmethod(bool9128, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9129 (depth = 5)
  Object if9123 = done;
  if (istrue(opresult9129)) {
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9130 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9131 = gc_frame_new();
// call case 4: self request
  Object call9132 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9131);
// compiled member node returning call9132 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9133 = callmethodflags(call9132, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9130);
// compiled call node returning call9133 (depth = 5)
    gc_frame_newslot(call9133);
    if9123 = call9133;
  } else {
  }
// compiled if node returning if9123 (depth = 4)
    gc_frame_newslot(if9123);
    if9094 = if9123;
  } else {
  }
// compiled if node returning if9094 (depth = 3)
  gc_frame_end(frame);
  return if9094;
}
Object meth_ast_9134_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9135 = gc_frame_new();
// call case 4: self request
  Object call9136 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9135);
// compiled member node returning call9136 (depth = 4)
  *var_n = call9136;
  if (call9136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9137 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9138 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9137);
// compiled call node returning call9138 (depth = 4)
  *var_newChain = call9138;
  if (call9138 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2429
  setline(2429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9139 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9140 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9141 = gc_frame_new();
// call case 4: self request
  Object call9142 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9141);
// compiled member node returning call9142 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9143 = callmethodflags(call9142, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9140);
// compiled call node returning call9143 (depth = 4)
  gc_frame_newslot(call9143);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9143;
  partcv[0] = 1;
  Object call9144 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9139);
// compiled call node returning call9144 (depth = 3)
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9145 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9146 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9147 = gc_frame_new();
// call case 4: self request
  Object call9148 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9147);
// compiled member node returning call9148 (depth = 5)
  gc_frame_newslot(call9148);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9148;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9149 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9146);
// compiled call node returning call9149 (depth = 4)
  gc_frame_newslot(call9149);
// call case 6: other requests
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9149;
  partcv[0] = 1;
  Object call9150 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9145);
// compiled call node returning call9150 (depth = 3)
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9151 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9152 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9153 = gc_frame_new();
// call case 4: self request
  Object call9154 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9153);
// compiled member node returning call9154 (depth = 5)
  gc_frame_newslot(call9154);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9154;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9155 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9152);
// compiled call node returning call9155 (depth = 4)
  gc_frame_newslot(call9155);
// call case 6: other requests
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9155;
  partcv[0] = 1;
  Object call9156 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9151);
// compiled call node returning call9156 (depth = 3)
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9157 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9158 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9159 = gc_frame_new();
// call case 4: self request
  Object call9160 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9159);
// compiled member node returning call9160 (depth = 5)
  gc_frame_newslot(call9160);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9160;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9161 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9158);
// compiled call node returning call9161 (depth = 4)
  gc_frame_newslot(call9161);
// call case 6: other requests
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9161;
  partcv[0] = 1;
  Object call9162 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9157);
// compiled call node returning call9162 (depth = 3)
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9163 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9164 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9163);
// compiled call node returning call9164 (depth = 3)
  gc_frame_end(frame);
  return call9164;
}
Object meth_ast_9165_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9168 = alloc_Float64(1);
// compiled num node returning num9168 (depth = 6)
  int op_slot_right_9167 = gc_frame_newslot(num9168);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_9167 = gc_frame_newslot(*var_depth);
  params[0] = num9168;
  partcv[0] = 1;
  Object sum9170 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9170 (depth = 5)
  int op_slot_right_9166 = gc_frame_newslot(sum9170);
// starting to compile string node (depth = 5)
  if (strlit9172 == NULL) {
    strlit9172 = alloc_String("  ");
    gc_root(strlit9172);
  }
// compiled string node returning strlit9172 (depth = 5)
  int op_slot_left_9166 = gc_frame_newslot(strlit9172);
  params[0] = sum9170;
  partcv[0] = 1;
  Object prod9173 = callmethod(strlit9172, "*(1)", 1, partcv, params);
// compiled op node returning prod9173 (depth = 4)
  *var_spc = prod9173;
  if (prod9173 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9175 == NULL) {
    strlit9175 = alloc_String("""\x0a""");
    gc_root(strlit9175);
  }
// compiled string node returning strlit9175 (depth = 5)
  int op_slot_right_9174 = gc_frame_newslot(strlit9175);
// starting to compile call node (depth = 5)
  int callframe9177 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9178 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9177);
// compiled call node returning call9178 (depth = 5)
  int op_slot_left_9174 = gc_frame_newslot(call9178);
  params[0] = strlit9175;
  partcv[0] = 1;
  Object opresult9179 = callmethod(call9178, "++(1)", 1, partcv, params);
// compiled op node returning opresult9179 (depth = 4)
  *var_s = opresult9179;
  if (opresult9179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9181 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9183 = alloc_Float64(1);
// compiled num node returning num9183 (depth = 7)
  int op_slot_right_9182 = gc_frame_newslot(num9183);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_9182 = gc_frame_newslot(*var_depth);
  params[0] = num9183;
  partcv[0] = 1;
  Object sum9185 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9185 (depth = 6)
  gc_frame_newslot(sum9185);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9186 = gc_frame_new();
// call case 4: self request
  Object call9187 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9186);
// compiled member node returning call9187 (depth = 6)
  params[0] = sum9185;
  partcv[0] = 1;
  Object call9188 = callmethodflags(call9187, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9181);
// compiled call node returning call9188 (depth = 5)
  int op_slot_right_9180 = gc_frame_newslot(call9188);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_9190 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9190 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9192 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9192 (depth = 5)
  int op_slot_left_9180 = gc_frame_newslot(opresult9192);
  params[0] = call9188;
  partcv[0] = 1;
  Object opresult9193 = callmethod(opresult9192, "++(1)", 1, partcv, params);
// compiled op node returning opresult9193 (depth = 4)
  *var_s = opresult9193;
  if (opresult9193 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9197 = gc_frame_new();
// call case 4: self request
  Object call9198 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9197);
// compiled member node returning call9198 (depth = 5)
  int op_slot_right_9196 = gc_frame_newslot(call9198);
// starting to compile identifier node (depth = 5)
  Object bool9200 = alloc_Boolean(0);
// compiled identifier node returning bool9200 (depth = 5)
  int op_slot_left_9196 = gc_frame_newslot(bool9200);
  params[0] = call9198;
  partcv[0] = 1;
  Object opresult9201 = callmethod(bool9200, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9201 (depth = 4)
  Object if9195 = done;
  if (istrue(opresult9201)) {
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9203 == NULL) {
    strlit9203 = alloc_String("Type: ");
    gc_root(strlit9203);
  }
// compiled string node returning strlit9203 (depth = 6)
  int op_slot_right_9202 = gc_frame_newslot(strlit9203);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9205 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9208 == NULL) {
    strlit9208 = alloc_String("""\x0a""");
    gc_root(strlit9208);
  }
// compiled string node returning strlit9208 (depth = 8)
  int op_slot_right_9207 = gc_frame_newslot(strlit9208);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_9207 = gc_frame_newslot(*var_s);
  params[0] = strlit9208;
  partcv[0] = 1;
  Object opresult9210 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9210 (depth = 7)
  int op_slot_left_9205 = gc_frame_newslot(opresult9210);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9211 = callmethod(opresult9210, "++(1)", 1, partcv, params);
// compiled op node returning opresult9211 (depth = 6)
  int op_slot_left_9202 = gc_frame_newslot(opresult9211);
  params[0] = strlit9203;
  partcv[0] = 1;
  Object opresult9212 = callmethod(opresult9211, "++(1)", 1, partcv, params);
// compiled op node returning opresult9212 (depth = 5)
  *var_s = opresult9212;
  if (opresult9212 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9215 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num9217 = alloc_Float64(2);
// compiled num node returning num9217 (depth = 8)
  int op_slot_right_9216 = gc_frame_newslot(num9217);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_9216 = gc_frame_newslot(*var_depth);
  params[0] = num9217;
  partcv[0] = 1;
  Object sum9219 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9219 (depth = 7)
  gc_frame_newslot(sum9219);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9220 = gc_frame_new();
// call case 4: self request
  Object call9221 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9220);
// compiled member node returning call9221 (depth = 7)
  params[0] = sum9219;
  partcv[0] = 1;
  Object call9222 = callmethodflags(call9221, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9215);
// compiled call node returning call9222 (depth = 6)
  int op_slot_right_9214 = gc_frame_newslot(call9222);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9214 = gc_frame_newslot(*var_s);
  params[0] = call9222;
  partcv[0] = 1;
  Object opresult9224 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9224 (depth = 5)
  *var_s = opresult9224;
  if (opresult9224 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9195 = done;
  } else {
  }
// compiled if node returning if9195 (depth = 3)
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9228 = gc_frame_new();
// call case 4: self request
  Object call9229 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9228);
// compiled member node returning call9229 (depth = 5)
  int op_slot_right_9227 = gc_frame_newslot(call9229);
// starting to compile identifier node (depth = 5)
  Object bool9231 = alloc_Boolean(0);
// compiled identifier node returning bool9231 (depth = 5)
  int op_slot_left_9227 = gc_frame_newslot(bool9231);
  params[0] = call9229;
  partcv[0] = 1;
  Object opresult9232 = callmethod(bool9231, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9232 (depth = 4)
  Object if9226 = done;
  if (istrue(opresult9232)) {
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9234 == NULL) {
    strlit9234 = alloc_String("Value: ");
    gc_root(strlit9234);
  }
// compiled string node returning strlit9234 (depth = 6)
  int op_slot_right_9233 = gc_frame_newslot(strlit9234);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9236 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9239 == NULL) {
    strlit9239 = alloc_String("""\x0a""");
    gc_root(strlit9239);
  }
// compiled string node returning strlit9239 (depth = 8)
  int op_slot_right_9238 = gc_frame_newslot(strlit9239);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_9238 = gc_frame_newslot(*var_s);
  params[0] = strlit9239;
  partcv[0] = 1;
  Object opresult9241 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9241 (depth = 7)
  int op_slot_left_9236 = gc_frame_newslot(opresult9241);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9242 = callmethod(opresult9241, "++(1)", 1, partcv, params);
// compiled op node returning opresult9242 (depth = 6)
  int op_slot_left_9233 = gc_frame_newslot(opresult9242);
  params[0] = strlit9234;
  partcv[0] = 1;
  Object opresult9243 = callmethod(opresult9242, "++(1)", 1, partcv, params);
// compiled op node returning opresult9243 (depth = 5)
  *var_s = opresult9243;
  if (opresult9243 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9246 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num9248 = alloc_Float64(2);
// compiled num node returning num9248 (depth = 8)
  int op_slot_right_9247 = gc_frame_newslot(num9248);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_9247 = gc_frame_newslot(*var_depth);
  params[0] = num9248;
  partcv[0] = 1;
  Object sum9250 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9250 (depth = 7)
  gc_frame_newslot(sum9250);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9251 = gc_frame_new();
// call case 4: self request
  Object call9252 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9251);
// compiled member node returning call9252 (depth = 7)
  params[0] = sum9250;
  partcv[0] = 1;
  Object call9253 = callmethodflags(call9252, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9246);
// compiled call node returning call9253 (depth = 6)
  int op_slot_right_9245 = gc_frame_newslot(call9253);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9245 = gc_frame_newslot(*var_s);
  params[0] = call9253;
  partcv[0] = 1;
  Object opresult9255 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9255 (depth = 5)
  *var_s = opresult9255;
  if (opresult9255 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9226 = done;
  } else {
  }
// compiled if node returning if9226 (depth = 3)
// Begin line 2447
  setline(2447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9259 = gc_frame_new();
// call case 4: self request
  Object call9260 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9259);
// compiled member node returning call9260 (depth = 5)
  int op_slot_right_9258 = gc_frame_newslot(call9260);
// starting to compile identifier node (depth = 5)
  Object bool9262 = alloc_Boolean(0);
// compiled identifier node returning bool9262 (depth = 5)
  int op_slot_left_9258 = gc_frame_newslot(bool9262);
  params[0] = call9260;
  partcv[0] = 1;
  Object opresult9263 = callmethod(bool9262, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9263 (depth = 4)
  Object if9257 = done;
  if (istrue(opresult9263)) {
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9265 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num9267 = alloc_Float64(2);
// compiled num node returning num9267 (depth = 8)
  int op_slot_right_9266 = gc_frame_newslot(num9267);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_9266 = gc_frame_newslot(*var_depth);
  params[0] = num9267;
  partcv[0] = 1;
  Object sum9269 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9269 (depth = 7)
  gc_frame_newslot(sum9269);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9270 = gc_frame_new();
// call case 4: self request
  Object call9271 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9270);
// compiled member node returning call9271 (depth = 7)
  params[0] = sum9269;
  partcv[0] = 1;
  Object call9272 = callmethodflags(call9271, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9265);
// compiled call node returning call9272 (depth = 6)
  int op_slot_right_9264 = gc_frame_newslot(call9272);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9264 = gc_frame_newslot(*var_s);
  params[0] = call9272;
  partcv[0] = 1;
  Object opresult9274 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9274 (depth = 5)
  *var_s = opresult9274;
  if (opresult9274 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9257 = done;
  } else {
  }
// compiled if node returning if9257 (depth = 3)
// Begin line 2450
  setline(2450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_9297__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9299 == NULL) {
    strlit9299 = alloc_String("Unknown");
    gc_root(strlit9299);
  }
// compiled string node returning strlit9299 (depth = 7)
  int op_slot_right_9298 = gc_frame_newslot(strlit9299);
// starting to compile member node (depth = 7)
  int callframe9301 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe9302 = gc_frame_new();
// call case 4: self request
  Object call9303 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9302);
// compiled member node returning call9303 (depth = 8)
  Object call9304 = callmethodflags(call9303, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9301);
// compiled member node returning call9304 (depth = 7)
  int op_slot_left_9298 = gc_frame_newslot(call9304);
  params[0] = strlit9299;
  partcv[0] = 1;
  Object opresult9305 = callmethod(call9304, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9305 (depth = 6)
  gc_frame_end(frame);
  return opresult9305;
}
Object meth_ast_9345__apply_40_2_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2462
  setline(2462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9347 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num9348 = alloc_Float64(0);
// compiled num node returning num9348 (depth = 10)
  gc_frame_newslot(num9348);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num9348;
  partcv[0] = 1;
  Object call9349 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9347);
// compiled call node returning call9349 (depth = 9)
  int op_slot_right_9346 = gc_frame_newslot(call9349);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit9353 == NULL) {
    strlit9353 = alloc_String("");
    gc_root(strlit9353);
  }
// compiled string node returning strlit9353 (depth = 11)
  int op_slot_right_9352 = gc_frame_newslot(strlit9353);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_9352 = gc_frame_newslot(*var_a);
  params[0] = strlit9353;
  partcv[0] = 1;
  Object opresult9355 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9355 (depth = 10)
  Object if9351 = done;
struct StackFrameObject *iftmpstackframe9351 = stackframe;
  if (istrue(opresult9355)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9351);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit9357 == NULL) {
    strlit9357 = alloc_String(", ");
    gc_root(strlit9357);
  }
// compiled string node returning strlit9357 (depth = 11)
  int op_slot_right_9356 = gc_frame_newslot(strlit9357);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_9356 = gc_frame_newslot(*var_a);
  params[0] = strlit9357;
  partcv[0] = 1;
  Object opresult9359 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult9359 (depth = 10)
    gc_frame_newslot(opresult9359);
    if9351 = opresult9359;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe9351);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 10)
  if (strlit9360 == NULL) {
    strlit9360 = alloc_String("");
    gc_root(strlit9360);
  }
// compiled string node returning strlit9360 (depth = 10)
    gc_frame_newslot(strlit9360);
    if9351 = strlit9360;
  }
stackframe = iftmpstackframe9351;
// compiled if node returning if9351 (depth = 9)
  int op_slot_left_9346 = gc_frame_newslot(if9351);
  params[0] = call9349;
  partcv[0] = 1;
  Object opresult9361 = callmethod(if9351, "++(1)", 1, partcv, params);
// compiled op node returning opresult9361 (depth = 8)
  gc_frame_end(frame);
  return opresult9361;
}
Object meth_ast_9276_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9277 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 5)
  if (strlit9279 == NULL) {
    strlit9279 = alloc_String("    ");
    gc_root(strlit9279);
  }
// compiled string node returning strlit9279 (depth = 5)
  int op_slot_left_9277 = gc_frame_newslot(strlit9279);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod9280 = callmethod(strlit9279, "*(1)", 1, partcv, params);
// compiled op node returning prod9280 (depth = 4)
  *var_spc = prod9280;
  if (prod9280 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9282 == NULL) {
    strlit9282 = alloc_String("");
    gc_root(strlit9282);
  }
// compiled string node returning strlit9282 (depth = 5)
  int op_slot_right_9281 = gc_frame_newslot(strlit9282);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9285 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num9286 = alloc_Float64(0);
// compiled num node returning num9286 (depth = 7)
  gc_frame_newslot(num9286);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9287 = gc_frame_new();
// call case 4: self request
  Object call9288 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9287);
// compiled member node returning call9288 (depth = 7)
  params[0] = num9286;
  partcv[0] = 1;
  Object call9289 = callmethodflags(call9288, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9285);
// compiled call node returning call9289 (depth = 6)
  int op_slot_right_9284 = gc_frame_newslot(call9289);
// starting to compile string node (depth = 6)
  if (strlit9291 == NULL) {
    strlit9291 = alloc_String("var ");
    gc_root(strlit9291);
  }
// compiled string node returning strlit9291 (depth = 6)
  int op_slot_left_9284 = gc_frame_newslot(strlit9291);
  params[0] = call9289;
  partcv[0] = 1;
  Object opresult9292 = callmethod(strlit9291, "++(1)", 1, partcv, params);
// compiled op node returning opresult9292 (depth = 5)
  int op_slot_left_9281 = gc_frame_newslot(opresult9292);
  params[0] = strlit9282;
  partcv[0] = 1;
  Object opresult9293 = callmethod(opresult9292, "++(1)", 1, partcv, params);
// compiled op node returning opresult9293 (depth = 4)
  *var_s = opresult9293;
  if (opresult9293 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block9296 = alloc_Block(NULL, NULL, "ast", 2455);
  gc_frame_newslot(block9296);
// method "_apply"
  block_savedest(block9296);
  Object closure9297 = createclosure(1, "_apply");
  setclosureframe(closure9297, stackframe);
  addtoclosure(closure9297, selfslot);
  struct UserObject *uo9297 = (struct UserObject*)block9296;
  uo9297->data[0] = (Object)closure9297;
  Method *meth_meth_ast_9297__apply = addmethod2pos(block9296, "_apply", &meth_ast_9297__apply, 0);
  int argcv_meth_ast_9297__apply[] = {0};
  meth_meth_ast_9297__apply->type = alloc_MethodType(1, argcv_meth_ast_9297__apply);
  meth_meth_ast_9297__apply->definitionModule = modulename;
  meth_meth_ast_9297__apply->definitionLine = 3216;
// compiled block node returning block9296 (depth = 5)
  int op_slot_right_9295 = gc_frame_newslot(block9296);
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9309 = gc_frame_new();
// call case 4: self request
  Object call9310 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9309);
// compiled member node returning call9310 (depth = 6)
  int op_slot_right_9308 = gc_frame_newslot(call9310);
// starting to compile identifier node (depth = 6)
  Object bool9312 = alloc_Boolean(0);
// compiled identifier node returning bool9312 (depth = 6)
  int op_slot_left_9308 = gc_frame_newslot(bool9312);
  params[0] = call9310;
  partcv[0] = 1;
  Object opresult9313 = callmethod(bool9312, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9313 (depth = 5)
  int op_slot_left_9295 = gc_frame_newslot(opresult9313);
  params[0] = block9296;
  partcv[0] = 1;
  Object opresult9314 = callmethod(opresult9313, "&&(1)", 1, partcv, params);
// compiled op node returning opresult9314 (depth = 4)
  Object if9294 = done;
  if (istrue(opresult9314)) {
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9316 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num9317 = alloc_Float64(0);
// compiled num node returning num9317 (depth = 7)
  gc_frame_newslot(num9317);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9318 = gc_frame_new();
// call case 4: self request
  Object call9319 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9318);
// compiled member node returning call9319 (depth = 7)
  params[0] = num9317;
  partcv[0] = 1;
  Object call9320 = callmethodflags(call9319, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9316);
// compiled call node returning call9320 (depth = 6)
  int op_slot_right_9315 = gc_frame_newslot(call9320);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9323 == NULL) {
    strlit9323 = alloc_String(" : ");
    gc_root(strlit9323);
  }
// compiled string node returning strlit9323 (depth = 7)
  int op_slot_right_9322 = gc_frame_newslot(strlit9323);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9322 = gc_frame_newslot(*var_s);
  params[0] = strlit9323;
  partcv[0] = 1;
  Object opresult9325 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9325 (depth = 6)
  int op_slot_left_9315 = gc_frame_newslot(opresult9325);
  params[0] = call9320;
  partcv[0] = 1;
  Object opresult9326 = callmethod(opresult9325, "++(1)", 1, partcv, params);
// compiled op node returning opresult9326 (depth = 5)
  *var_s = opresult9326;
  if (opresult9326 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9294 = done;
  } else {
  }
// compiled if node returning if9294 (depth = 3)
// Begin line 2459
  setline(2459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9330 = alloc_Float64(0);
// compiled num node returning num9330 (depth = 5)
  int op_slot_right_9329 = gc_frame_newslot(num9330);
// starting to compile member node (depth = 5)
  int callframe9332 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9333 = gc_frame_new();
// call case 4: self request
  Object call9334 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9333);
// compiled member node returning call9334 (depth = 6)
  Object call9335 = callmethodflags(call9334, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9332);
// compiled member node returning call9335 (depth = 5)
  int op_slot_left_9329 = gc_frame_newslot(call9335);
  params[0] = num9330;
  partcv[0] = 1;
  Object opresult9336 = callmethod(call9335, ">(1)", 1, partcv, params);
// compiled op node returning opresult9336 (depth = 4)
  Object if9328 = done;
  if (istrue(opresult9336)) {
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9338 == NULL) {
    strlit9338 = alloc_String(" is ");
    gc_root(strlit9338);
  }
// compiled string node returning strlit9338 (depth = 6)
  int op_slot_right_9337 = gc_frame_newslot(strlit9338);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9337 = gc_frame_newslot(*var_s);
  params[0] = strlit9338;
  partcv[0] = 1;
  Object opresult9340 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9340 (depth = 5)
  *var_s = opresult9340;
  if (opresult9340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9343 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block9344 = alloc_Block(NULL, NULL, "ast", 2461);
  gc_frame_newslot(block9344);
// method "_apply(_,_)"
  block_savedest(block9344);
  Object closure9345 = createclosure(1, "_apply(2)");
  setclosureframe(closure9345, stackframe);
  addtoclosure(closure9345, selfslot);
  struct UserObject *uo9345 = (struct UserObject*)block9344;
  uo9345->data[0] = (Object)closure9345;
  Method *meth_meth_ast_9345__apply_40_2_41_ = addmethod2pos(block9344, "_apply(2)", &meth_ast_9345__apply_40_2_41_, 0);
  int argcv_meth_ast_9345__apply_40_2_41_[] = {2};
  meth_meth_ast_9345__apply_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_9345__apply_40_2_41_);
  meth_meth_ast_9345__apply_40_2_41_->definitionModule = modulename;
  meth_meth_ast_9345__apply_40_2_41_->definitionLine = 3216;
// compiled block node returning block9344 (depth = 7)
  gc_frame_newslot(block9344);
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit9363 == NULL) {
    strlit9363 = alloc_String("");
    gc_root(strlit9363);
  }
// compiled string node returning strlit9363 (depth = 7)
  gc_frame_newslot(strlit9363);
// call case 6: other requests
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe9364 = gc_frame_new();
// call case 4: self request
  Object call9365 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9364);
// compiled member node returning call9365 (depth = 7)
  params[0] = block9344;
  params[1] = strlit9363;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9366 = callmethodflags(call9365, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9343);
// compiled call node returning call9366 (depth = 6)
  int op_slot_right_9342 = gc_frame_newslot(call9366);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9342 = gc_frame_newslot(*var_s);
  params[0] = call9366;
  partcv[0] = 1;
  Object opresult9368 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9368 (depth = 5)
  *var_s = opresult9368;
  if (opresult9368 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9328 = done;
  } else {
  }
// compiled if node returning if9328 (depth = 3)
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9372 = gc_frame_new();
// call case 4: self request
  Object call9373 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9372);
// compiled member node returning call9373 (depth = 5)
  int op_slot_right_9371 = gc_frame_newslot(call9373);
// starting to compile identifier node (depth = 5)
  Object bool9375 = alloc_Boolean(0);
// compiled identifier node returning bool9375 (depth = 5)
  int op_slot_left_9371 = gc_frame_newslot(bool9375);
  params[0] = call9373;
  partcv[0] = 1;
  Object opresult9376 = callmethod(bool9375, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9376 (depth = 4)
  Object if9370 = done;
  if (istrue(opresult9376)) {
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9378 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9379 = gc_frame_new();
// call case 4: self request
  Object call9380 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9379);
// compiled member node returning call9380 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9381 = callmethodflags(call9380, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9378);
// compiled call node returning call9381 (depth = 6)
  int op_slot_right_9377 = gc_frame_newslot(call9381);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9384 == NULL) {
    strlit9384 = alloc_String(" := ");
    gc_root(strlit9384);
  }
// compiled string node returning strlit9384 (depth = 7)
  int op_slot_right_9383 = gc_frame_newslot(strlit9384);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9383 = gc_frame_newslot(*var_s);
  params[0] = strlit9384;
  partcv[0] = 1;
  Object opresult9386 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9386 (depth = 6)
  int op_slot_left_9377 = gc_frame_newslot(opresult9386);
  params[0] = call9381;
  partcv[0] = 1;
  Object opresult9387 = callmethod(opresult9386, "++(1)", 1, partcv, params);
// compiled op node returning opresult9387 (depth = 5)
  *var_s = opresult9387;
  if (opresult9387 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9370 = done;
  } else {
  }
// compiled if node returning if9370 (depth = 3)
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_9389_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9390 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9391 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9392 = gc_frame_new();
// call case 4: self request
  Object call9393 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9392);
// compiled member node returning call9393 (depth = 5)
  gc_frame_newslot(call9393);
// starting to compile member node (depth = 5)
  int callframe9394 = gc_frame_new();
// call case 4: self request
  Object call9395 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9394);
// compiled member node returning call9395 (depth = 5)
  gc_frame_newslot(call9395);
// starting to compile member node (depth = 5)
  int callframe9396 = gc_frame_new();
// call case 4: self request
  Object call9397 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9396);
// compiled member node returning call9397 (depth = 5)
  gc_frame_newslot(call9397);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_varDecNode (depth = 5)
  params[0] = call9393;
  params[1] = call9395;
  params[2] = call9397;
  partcv[0] = 3;
  Object call9398 = callmethodflags(*var_varDecNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe9391);
// compiled call node returning call9398 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9399 = callmethodflags(call9398, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9390);
// compiled call node returning call9399 (depth = 3)
  gc_frame_end(frame);
  return call9399;
}
Object meth_ast_9400_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2473
  setline(2473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9401 == NULL) {
    strlit9401 = alloc_String("variable declaration");
    gc_root(strlit9401);
  }
// compiled string node returning strlit9401 (depth = 3)
  gc_frame_end(frame);
  return strlit9401;
}
Object meth_ast_8970_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_varDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8971 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8971 = alloc_userobj2(23,20, objclass8971);
  gc_frame_newslot(obj8971);
  if (objclass8971 == NULL) {
    glfree(obj8971->class->name);
    obj8971->class->name = "varDecNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8971, self, 0);
  addmethodreal(obj8971,"outer", &reader_ast_outer_8972);
  Object oldself8971 = self;
  struct StackFrameObject *oldstackframe8971 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8971);
  gc_frame_newslot((Object)stackframe);
  self = obj8971;
  Object *oldselfslot8971 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8971 = (*(struct UserObject *)self).data[0], lowerouter8971 = thisouter8971;
  if (inheritingObject8971) {
    struct UserObject *inho8971 = (struct UserObject *)inheritingObject8971;
    while (inho8971->super != GraceDefaultObject) inho8971 = (struct UserObject *)inho8971->super;
    inho8971->super = obj8971;
    self = inheritingObject8971;
    *selfslot = self;
    lowerouter8971 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8971;
  }
  if (objclass8971 == NULL) {
  Method *reader8973 = addmethodrealflags(obj8971, "kind",&reader_ast_kind_8973, MFLAG_DEF);
  reader8973->definitionModule = modulename;
  reader8973->definitionLine = 2372;
  }
  adddatum2(obj8971, alloc_Undefined(), 1);
  if (objclass8971 == NULL) {
    Method *reader8974 = addmethodrealflags(obj8971, "name", &reader_ast_name_8974, 0);
    Method *writer8974 = addmethodrealflags(obj8971, "name:=(1)", &writer_ast_name_8974, 0);
    reader8974->definitionModule = modulename;
    writer8974->definitionModule = modulename;
    reader8974->definitionLine = 2373;
    writer8974->definitionLine = 2373;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 2);
  if (objclass8971 == NULL) {
    Method *reader8975 = addmethodrealflags(obj8971, "value", &reader_ast_value_8975, 0);
    Method *writer8975 = addmethodrealflags(obj8971, "value:=(1)", &writer_ast_value_8975, 0);
    reader8975->definitionModule = modulename;
    writer8975->definitionModule = modulename;
    reader8975->definitionLine = 2374;
    writer8975->definitionLine = 2374;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 3);
  if (objclass8971 == NULL) {
    Method *reader8976 = addmethodrealflags(obj8971, "dtype", &reader_ast_dtype_8976, 0);
    Method *writer8976 = addmethodrealflags(obj8971, "dtype:=(1)", &writer_ast_dtype_8976, 0);
    reader8976->definitionModule = modulename;
    writer8976->definitionModule = modulename;
    reader8976->definitionLine = 2375;
    writer8976->definitionLine = 2375;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 4);
  if (objclass8971 == NULL) {
  Method *reader8977 = addmethodrealflags(obj8971, "nameString",&reader_ast_nameString_8977, MFLAG_DEF);
  reader8977->definitionModule = modulename;
  reader8977->definitionLine = 2376;
  }
  adddatum2(obj8971, alloc_Undefined(), 5);
  if (objclass8971 == NULL) {
    Method *reader8978 = addmethodrealflags(obj8971, "annotations", &reader_ast_annotations_8978, 0);
    Method *writer8978 = addmethodrealflags(obj8971, "annotations:=(1)", &writer_ast_annotations_8978, 0);
    reader8978->definitionModule = modulename;
    writer8978->definitionModule = modulename;
    reader8978->definitionLine = 2377;
    writer8978->definitionLine = 2377;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 6);
// method "end"
  struct UserObject *uo8979 = (struct UserObject*)obj8971;
  uo8979->data[7] = emptyclosure;
  Method *meth_meth_ast_8979_end = addmethod2pos(obj8971, "end", &meth_ast_8979_end, 7);
  int argcv_meth_ast_8979_end[] = {0};
  meth_meth_ast_8979_end->type = alloc_MethodType(1, argcv_meth_ast_8979_end);
  meth_meth_ast_8979_end->definitionModule = modulename;
  meth_meth_ast_8979_end->definitionLine = 2379;
// method "isPublic"
  struct UserObject *uo9019 = (struct UserObject*)obj8971;
  uo9019->data[8] = emptyclosure;
  Method *meth_meth_ast_9019_isPublic = addmethod2pos(obj8971, "isPublic", &meth_ast_9019_isPublic, 8);
  int argcv_meth_ast_9019_isPublic[] = {0};
  meth_meth_ast_9019_isPublic->type = alloc_MethodType(1, argcv_meth_ast_9019_isPublic);
  meth_meth_ast_9019_isPublic->definitionModule = modulename;
  meth_meth_ast_9019_isPublic->definitionLine = 2385;
// method "isWritable"
  struct UserObject *uo9038 = (struct UserObject*)obj8971;
  uo9038->data[9] = emptyclosure;
  Method *meth_meth_ast_9038_isWritable = addmethod2pos(obj8971, "isWritable", &meth_ast_9038_isWritable, 9);
  int argcv_meth_ast_9038_isWritable[] = {0};
  meth_meth_ast_9038_isWritable->type = alloc_MethodType(1, argcv_meth_ast_9038_isWritable);
  meth_meth_ast_9038_isWritable->definitionModule = modulename;
  meth_meth_ast_9038_isWritable->definitionLine = 2391;
// method "isReadable"
  struct UserObject *uo9060 = (struct UserObject*)obj8971;
  uo9060->data[10] = emptyclosure;
  Method *meth_meth_ast_9060_isReadable = addmethod2pos(obj8971, "isReadable", &meth_ast_9060_isReadable, 10);
  int argcv_meth_ast_9060_isReadable[] = {0};
  meth_meth_ast_9060_isReadable->type = alloc_MethodType(1, argcv_meth_ast_9060_isReadable);
  meth_meth_ast_9060_isReadable->definitionModule = modulename;
  meth_meth_ast_9060_isReadable->definitionLine = 2397;
// method "isFieldDec"
  struct UserObject *uo9082 = (struct UserObject*)obj8971;
  uo9082->data[11] = emptyclosure;
  Method *meth_meth_ast_9082_isFieldDec = addmethod2pos(obj8971, "isFieldDec", &meth_ast_9082_isFieldDec, 11);
  int argcv_meth_ast_9082_isFieldDec[] = {0};
  meth_meth_ast_9082_isFieldDec->type = alloc_MethodType(1, argcv_meth_ast_9082_isFieldDec);
  meth_meth_ast_9082_isFieldDec->definitionModule = modulename;
  meth_meth_ast_9082_isFieldDec->definitionLine = 2403;
// method "usesAsType(_)"
  struct UserObject *uo9084 = (struct UserObject*)obj8971;
  uo9084->data[12] = emptyclosure;
  Method *meth_meth_ast_9084_usesAsType_40_1_41_ = addmethod2pos(obj8971, "usesAsType(1)", &meth_ast_9084_usesAsType_40_1_41_, 12);
  int argcv_meth_ast_9084_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_9084_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9084_usesAsType_40_1_41_);
  meth_meth_ast_9084_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9084_usesAsType_40_1_41_->definitionLine = 2405;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8971);
  Object closure9090 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9090, stackframe);
  addtoclosure(closure9090, var_k);
  struct UserObject *uo9090 = (struct UserObject*)obj8971;
  uo9090->data[13] = (Object)closure9090;
  Method *meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj8971, "declarationKindWithAncestors(1)", &meth_ast_9090_declarationKindWithAncestors_40_1_41_, 13);
  int argcv_meth_ast_9090_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9090_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_->definitionLine = 2409;
// method "accept(_)from(_)"
  struct UserObject *uo9093 = (struct UserObject*)obj8971;
  uo9093->data[14] = emptyclosure;
  Method *meth_meth_ast_9093_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8971, "accept(1)from(1)", &meth_ast_9093_accept_40_1_41_from_40_1_41_, 14);
  int argcv_meth_ast_9093_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9093_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9093_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9093_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9093_accept_40_1_41_from_40_1_41_->definitionLine = 2411;
// method "map(_)ancestors(_)"
  struct UserObject *uo9134 = (struct UserObject*)obj8971;
  uo9134->data[15] = emptyclosure;
  Method *meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8971, "map(1)ancestors(1)", &meth_ast_9134_map_40_1_41_ancestors_40_1_41_, 15);
  int argcv_meth_ast_9134_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9134_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_->definitionLine = 2426;
// method "pretty(_)"
  struct UserObject *uo9165 = (struct UserObject*)obj8971;
  uo9165->data[16] = emptyclosure;
  Method *meth_meth_ast_9165_pretty_40_1_41_ = addmethod2pos(obj8971, "pretty(1)", &meth_ast_9165_pretty_40_1_41_, 16);
  int argcv_meth_ast_9165_pretty_40_1_41_[] = {1};
  meth_meth_ast_9165_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9165_pretty_40_1_41_);
  meth_meth_ast_9165_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9165_pretty_40_1_41_->definitionLine = 2435;
// method "toGrace(_)"
  struct UserObject *uo9276 = (struct UserObject*)obj8971;
  uo9276->data[17] = emptyclosure;
  Method *meth_meth_ast_9276_toGrace_40_1_41_ = addmethod2pos(obj8971, "toGrace(1)", &meth_ast_9276_toGrace_40_1_41_, 17);
  int argcv_meth_ast_9276_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9276_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9276_toGrace_40_1_41_);
meth_meth_ast_9276_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9276_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9276_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9276_toGrace_40_1_41_->definitionLine = 2452;
// method "shallowCopy"
  block_savedest(obj8971);
  Object closure9389 = createclosure(1, "shallowCopy");
  setclosureframe(closure9389, stackframe);
  addtoclosure(closure9389, var_varDecNode);
  struct UserObject *uo9389 = (struct UserObject*)obj8971;
  uo9389->data[18] = (Object)closure9389;
  Method *meth_meth_ast_9389_shallowCopy = addmethod2pos(obj8971, "shallowCopy", &meth_ast_9389_shallowCopy, 18);
  int argcv_meth_ast_9389_shallowCopy[] = {0};
  meth_meth_ast_9389_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9389_shallowCopy);
  meth_meth_ast_9389_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9389_shallowCopy->definitionLine = 2470;
// method "statementName"
  struct UserObject *uo9400 = (struct UserObject*)obj8971;
  uo9400->data[19] = emptyclosure;
  Method *meth_meth_ast_9400_statementName = addmethod2pos(obj8971, "statementName", &meth_ast_9400_statementName, 19);
  int argcv_meth_ast_9400_statementName[] = {0};
  meth_meth_ast_9400_statementName->type = alloc_MethodType(1, argcv_meth_ast_9400_statementName);
  meth_meth_ast_9400_statementName->definitionModule = modulename;
  meth_meth_ast_9400_statementName->definitionLine = 2473;
  sourceObject = obj8971;
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9402 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9403 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9402);
// compiled call node returning call9403 (depth = 3)
  struct UserObject *obj8971_uo = (struct UserObject *)obj8971;
  obj8971_uo->super = call9403;
  sourceObject = obj8971;
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9404 == NULL) {
    strlit9404 = alloc_String("vardec");
    gc_root(strlit9404);
  }
// compiled string node returning strlit9404 (depth = 3)
  adddatum2(obj8971, strlit9404, 1);
  sourceObject = obj8971;
// Begin line 2373
  setline(2373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8971, *var_name_39_, 2);
  sourceObject = obj8971;
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8971, *var_val_39_, 3);
  sourceObject = obj8971;
// Begin line 2375
  setline(2375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8971, *var_dtype_39_, 4);
  sourceObject = obj8971;
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9405 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9406 = gc_frame_new();
// call case 4: self request
  Object call9407 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9406);
// compiled member node returning call9407 (depth = 4)
  Object call9408 = callmethodflags(call9407, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9405);
// compiled member node returning call9408 (depth = 3)
  adddatum2(obj8971, call9408, 5);
  sourceObject = obj8971;
// Begin line 2377
  setline(2377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9409 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9409 (depth = 3)
  adddatum2(obj8971, array9409, 6);
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  objclass8971 = obj8971->class;
  objclass8971->definitionModule = modulename;
  objclass8971->definitionLine = 2370;
  (*(struct UserObject *)self).data[0] = lowerouter8971;
  self = oldself8971;
  selfslot = oldselfslot8971;
  stackframe = oldstackframe8971;
  gc_frame_end(frame);
  return obj8971;
}
Object meth_ast_8970_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_varDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8971 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8971 = alloc_userobj2(23,20, objclass8971);
  gc_frame_newslot(obj8971);
  if (objclass8971 == NULL) {
    glfree(obj8971->class->name);
    obj8971->class->name = "varDecNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8971, self, 0);
  addmethodreal(obj8971,"outer", &reader_ast_outer_8972);
  Object oldself8971 = self;
  struct StackFrameObject *oldstackframe8971 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8971);
  gc_frame_newslot((Object)stackframe);
  self = obj8971;
  Object *oldselfslot8971 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8971 = (*(struct UserObject *)self).data[0], lowerouter8971 = thisouter8971;
  if (inheritingObject8971) {
    struct UserObject *inho8971 = (struct UserObject *)inheritingObject8971;
    while (inho8971->super != GraceDefaultObject) inho8971 = (struct UserObject *)inho8971->super;
    inho8971->super = obj8971;
    self = inheritingObject8971;
    *selfslot = self;
    lowerouter8971 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8971;
  }
  if (objclass8971 == NULL) {
  Method *reader8973 = addmethodrealflags(obj8971, "kind",&reader_ast_kind_8973, MFLAG_DEF);
  reader8973->definitionModule = modulename;
  reader8973->definitionLine = 2372;
  }
  adddatum2(obj8971, alloc_Undefined(), 1);
  if (objclass8971 == NULL) {
    Method *reader8974 = addmethodrealflags(obj8971, "name", &reader_ast_name_8974, 0);
    Method *writer8974 = addmethodrealflags(obj8971, "name:=(1)", &writer_ast_name_8974, 0);
    reader8974->definitionModule = modulename;
    writer8974->definitionModule = modulename;
    reader8974->definitionLine = 2373;
    writer8974->definitionLine = 2373;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 2);
  if (objclass8971 == NULL) {
    Method *reader8975 = addmethodrealflags(obj8971, "value", &reader_ast_value_8975, 0);
    Method *writer8975 = addmethodrealflags(obj8971, "value:=(1)", &writer_ast_value_8975, 0);
    reader8975->definitionModule = modulename;
    writer8975->definitionModule = modulename;
    reader8975->definitionLine = 2374;
    writer8975->definitionLine = 2374;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 3);
  if (objclass8971 == NULL) {
    Method *reader8976 = addmethodrealflags(obj8971, "dtype", &reader_ast_dtype_8976, 0);
    Method *writer8976 = addmethodrealflags(obj8971, "dtype:=(1)", &writer_ast_dtype_8976, 0);
    reader8976->definitionModule = modulename;
    writer8976->definitionModule = modulename;
    reader8976->definitionLine = 2375;
    writer8976->definitionLine = 2375;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 4);
  if (objclass8971 == NULL) {
  Method *reader8977 = addmethodrealflags(obj8971, "nameString",&reader_ast_nameString_8977, MFLAG_DEF);
  reader8977->definitionModule = modulename;
  reader8977->definitionLine = 2376;
  }
  adddatum2(obj8971, alloc_Undefined(), 5);
  if (objclass8971 == NULL) {
    Method *reader8978 = addmethodrealflags(obj8971, "annotations", &reader_ast_annotations_8978, 0);
    Method *writer8978 = addmethodrealflags(obj8971, "annotations:=(1)", &writer_ast_annotations_8978, 0);
    reader8978->definitionModule = modulename;
    writer8978->definitionModule = modulename;
    reader8978->definitionLine = 2377;
    writer8978->definitionLine = 2377;
  }
  obj8971->flags |= OFLAG_MUTABLE;
  adddatum2(obj8971, alloc_Undefined(), 6);
// method "end"
  struct UserObject *uo8979 = (struct UserObject*)obj8971;
  uo8979->data[7] = emptyclosure;
  Method *meth_meth_ast_8979_end = addmethod2pos(obj8971, "end", &meth_ast_8979_end, 7);
  int argcv_meth_ast_8979_end[] = {0};
  meth_meth_ast_8979_end->type = alloc_MethodType(1, argcv_meth_ast_8979_end);
  meth_meth_ast_8979_end->definitionModule = modulename;
  meth_meth_ast_8979_end->definitionLine = 2379;
// method "isPublic"
  struct UserObject *uo9019 = (struct UserObject*)obj8971;
  uo9019->data[8] = emptyclosure;
  Method *meth_meth_ast_9019_isPublic = addmethod2pos(obj8971, "isPublic", &meth_ast_9019_isPublic, 8);
  int argcv_meth_ast_9019_isPublic[] = {0};
  meth_meth_ast_9019_isPublic->type = alloc_MethodType(1, argcv_meth_ast_9019_isPublic);
  meth_meth_ast_9019_isPublic->definitionModule = modulename;
  meth_meth_ast_9019_isPublic->definitionLine = 2385;
// method "isWritable"
  struct UserObject *uo9038 = (struct UserObject*)obj8971;
  uo9038->data[9] = emptyclosure;
  Method *meth_meth_ast_9038_isWritable = addmethod2pos(obj8971, "isWritable", &meth_ast_9038_isWritable, 9);
  int argcv_meth_ast_9038_isWritable[] = {0};
  meth_meth_ast_9038_isWritable->type = alloc_MethodType(1, argcv_meth_ast_9038_isWritable);
  meth_meth_ast_9038_isWritable->definitionModule = modulename;
  meth_meth_ast_9038_isWritable->definitionLine = 2391;
// method "isReadable"
  struct UserObject *uo9060 = (struct UserObject*)obj8971;
  uo9060->data[10] = emptyclosure;
  Method *meth_meth_ast_9060_isReadable = addmethod2pos(obj8971, "isReadable", &meth_ast_9060_isReadable, 10);
  int argcv_meth_ast_9060_isReadable[] = {0};
  meth_meth_ast_9060_isReadable->type = alloc_MethodType(1, argcv_meth_ast_9060_isReadable);
  meth_meth_ast_9060_isReadable->definitionModule = modulename;
  meth_meth_ast_9060_isReadable->definitionLine = 2397;
// method "isFieldDec"
  struct UserObject *uo9082 = (struct UserObject*)obj8971;
  uo9082->data[11] = emptyclosure;
  Method *meth_meth_ast_9082_isFieldDec = addmethod2pos(obj8971, "isFieldDec", &meth_ast_9082_isFieldDec, 11);
  int argcv_meth_ast_9082_isFieldDec[] = {0};
  meth_meth_ast_9082_isFieldDec->type = alloc_MethodType(1, argcv_meth_ast_9082_isFieldDec);
  meth_meth_ast_9082_isFieldDec->definitionModule = modulename;
  meth_meth_ast_9082_isFieldDec->definitionLine = 2403;
// method "usesAsType(_)"
  struct UserObject *uo9084 = (struct UserObject*)obj8971;
  uo9084->data[12] = emptyclosure;
  Method *meth_meth_ast_9084_usesAsType_40_1_41_ = addmethod2pos(obj8971, "usesAsType(1)", &meth_ast_9084_usesAsType_40_1_41_, 12);
  int argcv_meth_ast_9084_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_9084_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9084_usesAsType_40_1_41_);
  meth_meth_ast_9084_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9084_usesAsType_40_1_41_->definitionLine = 2405;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8971);
  Object closure9090 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9090, stackframe);
  addtoclosure(closure9090, var_k);
  struct UserObject *uo9090 = (struct UserObject*)obj8971;
  uo9090->data[13] = (Object)closure9090;
  Method *meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj8971, "declarationKindWithAncestors(1)", &meth_ast_9090_declarationKindWithAncestors_40_1_41_, 13);
  int argcv_meth_ast_9090_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9090_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9090_declarationKindWithAncestors_40_1_41_->definitionLine = 2409;
// method "accept(_)from(_)"
  struct UserObject *uo9093 = (struct UserObject*)obj8971;
  uo9093->data[14] = emptyclosure;
  Method *meth_meth_ast_9093_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj8971, "accept(1)from(1)", &meth_ast_9093_accept_40_1_41_from_40_1_41_, 14);
  int argcv_meth_ast_9093_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9093_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9093_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9093_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9093_accept_40_1_41_from_40_1_41_->definitionLine = 2411;
// method "map(_)ancestors(_)"
  struct UserObject *uo9134 = (struct UserObject*)obj8971;
  uo9134->data[15] = emptyclosure;
  Method *meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj8971, "map(1)ancestors(1)", &meth_ast_9134_map_40_1_41_ancestors_40_1_41_, 15);
  int argcv_meth_ast_9134_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9134_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9134_map_40_1_41_ancestors_40_1_41_->definitionLine = 2426;
// method "pretty(_)"
  struct UserObject *uo9165 = (struct UserObject*)obj8971;
  uo9165->data[16] = emptyclosure;
  Method *meth_meth_ast_9165_pretty_40_1_41_ = addmethod2pos(obj8971, "pretty(1)", &meth_ast_9165_pretty_40_1_41_, 16);
  int argcv_meth_ast_9165_pretty_40_1_41_[] = {1};
  meth_meth_ast_9165_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9165_pretty_40_1_41_);
  meth_meth_ast_9165_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9165_pretty_40_1_41_->definitionLine = 2435;
// method "toGrace(_)"
  struct UserObject *uo9276 = (struct UserObject*)obj8971;
  uo9276->data[17] = emptyclosure;
  Method *meth_meth_ast_9276_toGrace_40_1_41_ = addmethod2pos(obj8971, "toGrace(1)", &meth_ast_9276_toGrace_40_1_41_, 17);
  int argcv_meth_ast_9276_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9276_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9276_toGrace_40_1_41_);
meth_meth_ast_9276_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9276_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9276_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9276_toGrace_40_1_41_->definitionLine = 2452;
// method "shallowCopy"
  block_savedest(obj8971);
  Object closure9389 = createclosure(1, "shallowCopy");
  setclosureframe(closure9389, stackframe);
  addtoclosure(closure9389, var_varDecNode);
  struct UserObject *uo9389 = (struct UserObject*)obj8971;
  uo9389->data[18] = (Object)closure9389;
  Method *meth_meth_ast_9389_shallowCopy = addmethod2pos(obj8971, "shallowCopy", &meth_ast_9389_shallowCopy, 18);
  int argcv_meth_ast_9389_shallowCopy[] = {0};
  meth_meth_ast_9389_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9389_shallowCopy);
  meth_meth_ast_9389_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9389_shallowCopy->definitionLine = 2470;
// method "statementName"
  struct UserObject *uo9400 = (struct UserObject*)obj8971;
  uo9400->data[19] = emptyclosure;
  Method *meth_meth_ast_9400_statementName = addmethod2pos(obj8971, "statementName", &meth_ast_9400_statementName, 19);
  int argcv_meth_ast_9400_statementName[] = {0};
  meth_meth_ast_9400_statementName->type = alloc_MethodType(1, argcv_meth_ast_9400_statementName);
  meth_meth_ast_9400_statementName->definitionModule = modulename;
  meth_meth_ast_9400_statementName->definitionLine = 2473;
  sourceObject = obj8971;
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9402 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9403 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9402);
// compiled call node returning call9403 (depth = 3)
  struct UserObject *obj8971_uo = (struct UserObject *)obj8971;
  obj8971_uo->super = call9403;
  sourceObject = obj8971;
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9404 == NULL) {
    strlit9404 = alloc_String("vardec");
    gc_root(strlit9404);
  }
// compiled string node returning strlit9404 (depth = 3)
  adddatum2(obj8971, strlit9404, 1);
  sourceObject = obj8971;
// Begin line 2373
  setline(2373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8971, *var_name_39_, 2);
  sourceObject = obj8971;
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8971, *var_val_39_, 3);
  sourceObject = obj8971;
// Begin line 2375
  setline(2375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8971, *var_dtype_39_, 4);
  sourceObject = obj8971;
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9405 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9406 = gc_frame_new();
// call case 4: self request
  Object call9407 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9406);
// compiled member node returning call9407 (depth = 4)
  Object call9408 = callmethodflags(call9407, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9405);
// compiled member node returning call9408 (depth = 3)
  adddatum2(obj8971, call9408, 5);
  sourceObject = obj8971;
// Begin line 2377
  setline(2377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9409 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9409 (depth = 3)
  adddatum2(obj8971, array9409, 6);
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  sourceObject = obj8971;
  objclass8971 = obj8971->class;
  objclass8971->definitionModule = modulename;
  objclass8971->definitionLine = 2370;
  (*(struct UserObject *)self).data[0] = lowerouter8971;
  self = oldself8971;
  selfslot = oldselfslot8971;
  stackframe = oldstackframe8971;
  gc_frame_end(frame);
  return obj8971;
}
Object meth_ast_9411_varDecNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "varDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2369
  setline(2369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_varDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_varDecNode;
}
Object meth_ast_9422_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9423 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9424 = gc_frame_new();
// call case 4: self request
  Object call9425 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9424);
// compiled member node returning call9425 (depth = 4)
  Object call9426 = callmethodflags(call9425, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9423);
// compiled member node returning call9426 (depth = 3)
  gc_frame_end(frame);
  return call9426;
}
Object meth_ast_9427_isImport(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9428 = alloc_Boolean(1);
// compiled identifier node returning bool9428 (depth = 3)
  gc_frame_end(frame);
  return bool9428;
}
Object meth_ast_9429_isExternal(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9430 = alloc_Boolean(1);
// compiled identifier node returning bool9430 (depth = 3)
  gc_frame_end(frame);
  return bool9430;
}
Object meth_ast_9431_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2488
  setline(2488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9432 = alloc_Boolean(0);
// compiled identifier node returning bool9432 (depth = 3)
  gc_frame_end(frame);
  return bool9432;
}
Object meth_ast_9433_name(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9434 = gc_frame_new();
// call case 4: self request
  Object call9435 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9434);
// compiled member node returning call9435 (depth = 3)
  gc_frame_end(frame);
  return call9435;
}
Object meth_ast_9436_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9437 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9438 = gc_frame_new();
// call case 4: self request
  Object call9439 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9438);
// compiled member node returning call9439 (depth = 4)
  Object call9440 = callmethodflags(call9439, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe9437);
// compiled member node returning call9440 (depth = 3)
  gc_frame_end(frame);
  return call9440;
}
Object meth_ast_9441_isPublic(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9444 = alloc_Float64(0);
// compiled num node returning num9444 (depth = 5)
  int op_slot_right_9443 = gc_frame_newslot(num9444);
// starting to compile member node (depth = 5)
  int callframe9446 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9447 = gc_frame_new();
// call case 4: self request
  Object call9448 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9447);
// compiled member node returning call9448 (depth = 6)
  Object call9449 = callmethodflags(call9448, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9446);
// compiled member node returning call9449 (depth = 5)
  int op_slot_left_9443 = gc_frame_newslot(call9449);
  params[0] = num9444;
  partcv[0] = 1;
  Object opresult9450 = callmethod(call9449, "==(1)", 1, partcv, params);
// compiled op node returning opresult9450 (depth = 4)
  Object if9442 = done;
  if (istrue(opresult9450)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9451 = alloc_Boolean(0);
// compiled identifier node returning bool9451 (depth = 5)
  return bool9451;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9442 = undefined;
  } else {
  }
// compiled if node returning if9442 (depth = 3)
// Begin line 2494
  setline(2494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9453 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit9454 == NULL) {
    strlit9454 = alloc_String("public");
    gc_root(strlit9454);
  }
// compiled string node returning strlit9454 (depth = 5)
  gc_frame_newslot(strlit9454);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = self;
  params[1] = strlit9454;
  partcv[0] = 2;
  Object call9455 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9453);
// compiled call node returning call9455 (depth = 4)
  Object if9452 = done;
  if (istrue(call9455)) {
// Begin line 2494
  setline(2494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool9456 = alloc_Boolean(1);
// compiled identifier node returning bool9456 (depth = 5)
  return bool9456;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9452 = undefined;
  } else {
  }
// compiled if node returning if9452 (depth = 3)
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9457 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit9458 == NULL) {
    strlit9458 = alloc_String("readable");
    gc_root(strlit9458);
  }
// compiled string node returning strlit9458 (depth = 4)
  gc_frame_newslot(strlit9458);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  params[1] = strlit9458;
  partcv[0] = 2;
  Object call9459 = callmethodflags(module_ast, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9457);
// compiled call node returning call9459 (depth = 3)
  gc_frame_end(frame);
  return call9459;
}
Object meth_ast_9466__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9469 == NULL) {
    strlit9469 = alloc_String("/");
    gc_root(strlit9469);
  }
// compiled string node returning strlit9469 (depth = 7)
  int op_slot_right_9468 = gc_frame_newslot(strlit9469);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_9468 = gc_frame_newslot(*var_c);
  params[0] = strlit9469;
  partcv[0] = 1;
  Object opresult9471 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult9471 (depth = 6)
  Object if9467 = done;
  if (istrue(opresult9471)) {
// Begin line 2501
  setline(2501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9472 == NULL) {
    strlit9472 = alloc_String("");
    gc_root(strlit9472);
  }
// compiled string node returning strlit9472 (depth = 7)
  *var_bnm = strlit9472;
  if (strlit9472 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9467 = done;
  } else {
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_9474 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_bnm (depth = 8)
  int op_slot_left_9474 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult9476 = callmethod(*var_bnm, "++(1)", 1, partcv, params);
// compiled op node returning opresult9476 (depth = 7)
  *var_bnm = opresult9476;
  if (opresult9476 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9467 = done;
  }
// compiled if node returning if9467 (depth = 5)
  gc_frame_end(frame);
  return if9467;
}
Object meth_ast_9460_moduleName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9461 == NULL) {
    strlit9461 = alloc_String("");
    gc_root(strlit9461);
  }
// compiled string node returning strlit9461 (depth = 4)
  *var_bnm = strlit9461;
  if (strlit9461 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9462 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9463 = gc_frame_new();
// call case 4: self request
  Object call9464 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9463);
// compiled member node returning call9464 (depth = 4)
  gc_frame_newslot(call9464);
// starting to compile block node (depth = 4)
  Object block9465 = alloc_Block(NULL, NULL, "ast", 2499);
  gc_frame_newslot(block9465);
// method "_apply(_)"
  block_savedest(block9465);
  Object closure9466 = createclosure(2, "_apply(1)");
  setclosureframe(closure9466, stackframe);
  addtoclosure(closure9466, var_bnm);
  addtoclosure(closure9466, selfslot);
  struct UserObject *uo9466 = (struct UserObject*)block9465;
  uo9466->data[0] = (Object)closure9466;
  Method *meth_meth_ast_9466__apply_40_1_41_ = addmethod2pos(block9465, "_apply(1)", &meth_ast_9466__apply_40_1_41_, 0);
  int argcv_meth_ast_9466__apply_40_1_41_[] = {1};
  meth_meth_ast_9466__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9466__apply_40_1_41_);
  meth_meth_ast_9466__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9466__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block9465 (depth = 4)
  gc_frame_newslot(block9465);
// call case 5: prelude request
  params[0] = call9464;
  params[1] = block9465;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9479 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9462);
// compiled call node returning call9479 (depth = 3)
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bnm (depth = 3)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_9480_isWritable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2508
  setline(2508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9481 = alloc_Boolean(0);
// compiled identifier node returning bool9481 (depth = 3)
  gc_frame_end(frame);
  return bool9481;
}
Object meth_ast_9482_isReadable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2509
  setline(2509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9483 = gc_frame_new();
// call case 4: self request
  Object call9484 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9483);
// compiled member node returning call9484 (depth = 3)
  gc_frame_end(frame);
  return call9484;
}
Object meth_ast_9485_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2510
  setline(2510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9486 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call9487 = callmethodflags(*var_k, "defdec", 0, partcv, params, 0);
  gc_frame_end(callframe9486);
// compiled member node returning call9487 (depth = 3)
  gc_frame_end(frame);
  return call9487;
}
Object meth_ast_9488_usesAsType_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2512
  setline(2512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9490 = gc_frame_new();
// call case 4: self request
  Object call9491 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9490);
// compiled member node returning call9491 (depth = 4)
  int op_slot_right_9489 = gc_frame_newslot(call9491);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_9489 = gc_frame_newslot(*var_aNode);
  params[0] = call9491;
  partcv[0] = 1;
  Object opresult9493 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult9493 (depth = 3)
  gc_frame_end(frame);
  return opresult9493;
}
Object meth_ast_9504__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9505 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9506 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9505);
// compiled call node returning call9506 (depth = 6)
  gc_frame_end(frame);
  return call9506;
}
Object meth_ast_9494_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 2515
  setline(2515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9496 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9497 = callmethodflags(*var_visitor, "visitImport(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9496);
// compiled call node returning call9497 (depth = 4)
  Object if9495 = done;
  if (istrue(call9497)) {
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9498 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9499 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9498);
// compiled call node returning call9499 (depth = 5)
  *var_newChain = call9499;
  if (call9499 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9500 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9501 = gc_frame_new();
// call case 4: self request
  Object call9502 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9501);
// compiled member node returning call9502 (depth = 5)
  gc_frame_newslot(call9502);
// starting to compile block node (depth = 5)
  Object block9503 = alloc_Block(NULL, NULL, "ast", 2517);
  gc_frame_newslot(block9503);
// method "_apply(_)"
  block_savedest(block9503);
  Object closure9504 = createclosure(3, "_apply(1)");
  setclosureframe(closure9504, stackframe);
  addtoclosure(closure9504, var_visitor);
  addtoclosure(closure9504, var_newChain);
  addtoclosure(closure9504, selfslot);
  struct UserObject *uo9504 = (struct UserObject*)block9503;
  uo9504->data[0] = (Object)closure9504;
  Method *meth_meth_ast_9504__apply_40_1_41_ = addmethod2pos(block9503, "_apply(1)", &meth_ast_9504__apply_40_1_41_, 0);
  int argcv_meth_ast_9504__apply_40_1_41_[] = {1};
  meth_meth_ast_9504__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9504__apply_40_1_41_);
  meth_meth_ast_9504__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9504__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block9503 (depth = 5)
  gc_frame_newslot(block9503);
// call case 5: prelude request
  params[0] = call9502;
  params[1] = block9503;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9508 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9500);
// compiled call node returning call9508 (depth = 4)
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9509 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9510 = gc_frame_new();
// call case 4: self request
  Object call9511 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9510);
// compiled member node returning call9511 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9512 = callmethodflags(call9511, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9509);
// compiled call node returning call9512 (depth = 4)
// Begin line 2521
  setline(2521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9515 = gc_frame_new();
// call case 4: self request
  Object call9516 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9515);
// compiled member node returning call9516 (depth = 6)
  int op_slot_right_9514 = gc_frame_newslot(call9516);
// starting to compile identifier node (depth = 6)
  Object bool9518 = alloc_Boolean(0);
// compiled identifier node returning bool9518 (depth = 6)
  int op_slot_left_9514 = gc_frame_newslot(bool9518);
  params[0] = call9516;
  partcv[0] = 1;
  Object opresult9519 = callmethod(bool9518, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9519 (depth = 5)
  Object if9513 = done;
  if (istrue(opresult9519)) {
// Begin line 2522
  setline(2522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9520 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9521 = gc_frame_new();
// call case 4: self request
  Object call9522 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9521);
// compiled member node returning call9522 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9523 = callmethodflags(call9522, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9520);
// compiled call node returning call9523 (depth = 5)
    gc_frame_newslot(call9523);
    if9513 = call9523;
  } else {
  }
// compiled if node returning if9513 (depth = 4)
    gc_frame_newslot(if9513);
    if9495 = if9513;
  } else {
  }
// compiled if node returning if9495 (depth = 3)
  gc_frame_end(frame);
  return if9495;
}
Object meth_ast_9524_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2527
  setline(2527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9525 = gc_frame_new();
// call case 4: self request
  Object call9526 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9525);
// compiled member node returning call9526 (depth = 4)
  *var_n = call9526;
  if (call9526 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2528
  setline(2528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9527 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9528 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9527);
// compiled call node returning call9528 (depth = 4)
  *var_newChain = call9528;
  if (call9528 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9529 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9530 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9531 = gc_frame_new();
// call case 4: self request
  Object call9532 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9531);
// compiled member node returning call9532 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9533 = callmethodflags(call9532, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9530);
// compiled call node returning call9533 (depth = 4)
  gc_frame_newslot(call9533);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9533;
  partcv[0] = 1;
  Object call9534 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9529);
// compiled call node returning call9534 (depth = 3)
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9535 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9536 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9537 = gc_frame_new();
// call case 4: self request
  Object call9538 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9537);
// compiled member node returning call9538 (depth = 5)
  gc_frame_newslot(call9538);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9538;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9539 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9536);
// compiled call node returning call9539 (depth = 4)
  gc_frame_newslot(call9539);
// call case 6: other requests
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9539;
  partcv[0] = 1;
  Object call9540 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9535);
// compiled call node returning call9540 (depth = 3)
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9541 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9542 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9543 = gc_frame_new();
// call case 4: self request
  Object call9544 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9543);
// compiled member node returning call9544 (depth = 5)
  gc_frame_newslot(call9544);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9544;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9545 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9542);
// compiled call node returning call9545 (depth = 4)
  gc_frame_newslot(call9545);
// call case 6: other requests
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9545;
  partcv[0] = 1;
  Object call9546 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9541);
// compiled call node returning call9546 (depth = 3)
// Begin line 2532
  setline(2532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9547 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9548 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9547);
// compiled call node returning call9548 (depth = 3)
  gc_frame_end(frame);
  return call9548;
}
Object meth_ast_9549_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9552 = alloc_Float64(1);
// compiled num node returning num9552 (depth = 6)
  int op_slot_right_9551 = gc_frame_newslot(num9552);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_9551 = gc_frame_newslot(*var_depth);
  params[0] = num9552;
  partcv[0] = 1;
  Object sum9554 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9554 (depth = 5)
  int op_slot_right_9550 = gc_frame_newslot(sum9554);
// starting to compile string node (depth = 5)
  if (strlit9556 == NULL) {
    strlit9556 = alloc_String("  ");
    gc_root(strlit9556);
  }
// compiled string node returning strlit9556 (depth = 5)
  int op_slot_left_9550 = gc_frame_newslot(strlit9556);
  params[0] = sum9554;
  partcv[0] = 1;
  Object prod9557 = callmethod(strlit9556, "*(1)", 1, partcv, params);
// compiled op node returning prod9557 (depth = 4)
  *var_spc = prod9557;
  if (prod9557 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9559 == NULL) {
    strlit9559 = alloc_String("""\x0a""");
    gc_root(strlit9559);
  }
// compiled string node returning strlit9559 (depth = 5)
  int op_slot_right_9558 = gc_frame_newslot(strlit9559);
// starting to compile call node (depth = 5)
  int callframe9561 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9562 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9561);
// compiled call node returning call9562 (depth = 5)
  int op_slot_left_9558 = gc_frame_newslot(call9562);
  params[0] = strlit9559;
  partcv[0] = 1;
  Object opresult9563 = callmethod(call9562, "++(1)", 1, partcv, params);
// compiled op node returning opresult9563 (depth = 4)
  *var_s = opresult9563;
  if (opresult9563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2537
  setline(2537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9566 == NULL) {
    strlit9566 = alloc_String("""\x0a""");
    gc_root(strlit9566);
  }
// compiled string node returning strlit9566 (depth = 6)
  int op_slot_right_9565 = gc_frame_newslot(strlit9566);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9569 = gc_frame_new();
// call case 4: self request
  Object call9570 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9569);
// compiled member node returning call9570 (depth = 7)
  int op_slot_right_9568 = gc_frame_newslot(call9570);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9573 == NULL) {
    strlit9573 = alloc_String("Path: ");
    gc_root(strlit9573);
  }
// compiled string node returning strlit9573 (depth = 8)
  int op_slot_right_9572 = gc_frame_newslot(strlit9573);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9575 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9577 == NULL) {
    strlit9577 = alloc_String("");
    gc_root(strlit9577);
  }
// compiled string node returning strlit9577 (depth = 9)
  int op_slot_left_9575 = gc_frame_newslot(strlit9577);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9578 = callmethod(strlit9577, "++(1)", 1, partcv, params);
// compiled op node returning opresult9578 (depth = 8)
  int op_slot_left_9572 = gc_frame_newslot(opresult9578);
  params[0] = strlit9573;
  partcv[0] = 1;
  Object opresult9579 = callmethod(opresult9578, "++(1)", 1, partcv, params);
// compiled op node returning opresult9579 (depth = 7)
  int op_slot_left_9568 = gc_frame_newslot(opresult9579);
  params[0] = call9570;
  partcv[0] = 1;
  Object opresult9580 = callmethod(opresult9579, "++(1)", 1, partcv, params);
// compiled op node returning opresult9580 (depth = 6)
  int op_slot_left_9565 = gc_frame_newslot(opresult9580);
  params[0] = strlit9566;
  partcv[0] = 1;
  Object opresult9581 = callmethod(opresult9580, "++(1)", 1, partcv, params);
// compiled op node returning opresult9581 (depth = 5)
  int op_slot_right_9564 = gc_frame_newslot(opresult9581);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9564 = gc_frame_newslot(*var_s);
  params[0] = opresult9581;
  partcv[0] = 1;
  Object opresult9583 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9583 (depth = 4)
  *var_s = opresult9583;
  if (opresult9583 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2538
  setline(2538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9587 == NULL) {
    strlit9587 = alloc_String("""\x0a""");
    gc_root(strlit9587);
  }
// compiled string node returning strlit9587 (depth = 6)
  int op_slot_right_9586 = gc_frame_newslot(strlit9587);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9590 = gc_frame_new();
// call case 4: self request
  Object call9591 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9590);
// compiled member node returning call9591 (depth = 7)
  int op_slot_right_9589 = gc_frame_newslot(call9591);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9594 == NULL) {
    strlit9594 = alloc_String("Identifier: ");
    gc_root(strlit9594);
  }
// compiled string node returning strlit9594 (depth = 8)
  int op_slot_right_9593 = gc_frame_newslot(strlit9594);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9596 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9598 == NULL) {
    strlit9598 = alloc_String("");
    gc_root(strlit9598);
  }
// compiled string node returning strlit9598 (depth = 9)
  int op_slot_left_9596 = gc_frame_newslot(strlit9598);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9599 = callmethod(strlit9598, "++(1)", 1, partcv, params);
// compiled op node returning opresult9599 (depth = 8)
  int op_slot_left_9593 = gc_frame_newslot(opresult9599);
  params[0] = strlit9594;
  partcv[0] = 1;
  Object opresult9600 = callmethod(opresult9599, "++(1)", 1, partcv, params);
// compiled op node returning opresult9600 (depth = 7)
  int op_slot_left_9589 = gc_frame_newslot(opresult9600);
  params[0] = call9591;
  partcv[0] = 1;
  Object opresult9601 = callmethod(opresult9600, "++(1)", 1, partcv, params);
// compiled op node returning opresult9601 (depth = 6)
  int op_slot_left_9586 = gc_frame_newslot(opresult9601);
  params[0] = strlit9587;
  partcv[0] = 1;
  Object opresult9602 = callmethod(opresult9601, "++(1)", 1, partcv, params);
// compiled op node returning opresult9602 (depth = 5)
  int op_slot_right_9585 = gc_frame_newslot(opresult9602);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9585 = gc_frame_newslot(*var_s);
  params[0] = opresult9602;
  partcv[0] = 1;
  Object opresult9604 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9604 (depth = 4)
  *var_s = opresult9604;
  if (opresult9604 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9608 = alloc_Float64(0);
// compiled num node returning num9608 (depth = 5)
  int op_slot_right_9607 = gc_frame_newslot(num9608);
// starting to compile member node (depth = 5)
  int callframe9610 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9611 = gc_frame_new();
// call case 4: self request
  Object call9612 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9611);
// compiled member node returning call9612 (depth = 6)
  Object call9613 = callmethodflags(call9612, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9610);
// compiled member node returning call9613 (depth = 5)
  int op_slot_left_9607 = gc_frame_newslot(call9613);
  params[0] = num9608;
  partcv[0] = 1;
  Object opresult9614 = callmethod(call9613, ">(1)", 1, partcv, params);
// compiled op node returning opresult9614 (depth = 4)
  Object if9606 = done;
  if (istrue(opresult9614)) {
// Begin line 2540
  setline(2540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9617 == NULL) {
    strlit9617 = alloc_String("""\x0a""");
    gc_root(strlit9617);
  }
// compiled string node returning strlit9617 (depth = 7)
  int op_slot_right_9616 = gc_frame_newslot(strlit9617);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9620 = gc_frame_new();
// call case 4: self request
  Object call9621 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9620);
// compiled member node returning call9621 (depth = 8)
  int op_slot_right_9619 = gc_frame_newslot(call9621);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9624 == NULL) {
    strlit9624 = alloc_String("Anotations: ");
    gc_root(strlit9624);
  }
// compiled string node returning strlit9624 (depth = 9)
  int op_slot_right_9623 = gc_frame_newslot(strlit9624);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9626 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit9628 == NULL) {
    strlit9628 = alloc_String("");
    gc_root(strlit9628);
  }
// compiled string node returning strlit9628 (depth = 10)
  int op_slot_left_9626 = gc_frame_newslot(strlit9628);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9629 = callmethod(strlit9628, "++(1)", 1, partcv, params);
// compiled op node returning opresult9629 (depth = 9)
  int op_slot_left_9623 = gc_frame_newslot(opresult9629);
  params[0] = strlit9624;
  partcv[0] = 1;
  Object opresult9630 = callmethod(opresult9629, "++(1)", 1, partcv, params);
// compiled op node returning opresult9630 (depth = 8)
  int op_slot_left_9619 = gc_frame_newslot(opresult9630);
  params[0] = call9621;
  partcv[0] = 1;
  Object opresult9631 = callmethod(opresult9630, "++(1)", 1, partcv, params);
// compiled op node returning opresult9631 (depth = 7)
  int op_slot_left_9616 = gc_frame_newslot(opresult9631);
  params[0] = strlit9617;
  partcv[0] = 1;
  Object opresult9632 = callmethod(opresult9631, "++(1)", 1, partcv, params);
// compiled op node returning opresult9632 (depth = 6)
  int op_slot_right_9615 = gc_frame_newslot(opresult9632);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9615 = gc_frame_newslot(*var_s);
  params[0] = opresult9632;
  partcv[0] = 1;
  Object opresult9634 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9634 (depth = 5)
  *var_s = opresult9634;
  if (opresult9634 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9606 = done;
  } else {
  }
// compiled if node returning if9606 (depth = 3)
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_9636_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9638 == NULL) {
    strlit9638 = alloc_String("");
    gc_root(strlit9638);
  }
// compiled string node returning strlit9638 (depth = 4)
  int op_slot_right_9637 = gc_frame_newslot(strlit9638);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9641 = gc_frame_new();
// call case 4: self request
  Object call9642 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9641);
// compiled member node returning call9642 (depth = 5)
  int op_slot_right_9640 = gc_frame_newslot(call9642);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9645 == NULL) {
    strlit9645 = alloc_String("""\x22"" as ");
    gc_root(strlit9645);
  }
// compiled string node returning strlit9645 (depth = 6)
  int op_slot_right_9644 = gc_frame_newslot(strlit9645);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9648 = gc_frame_new();
// call case 4: self request
  Object call9649 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9648);
// compiled member node returning call9649 (depth = 7)
  int op_slot_right_9647 = gc_frame_newslot(call9649);
// starting to compile string node (depth = 7)
  if (strlit9651 == NULL) {
    strlit9651 = alloc_String("import ""\x22""");
    gc_root(strlit9651);
  }
// compiled string node returning strlit9651 (depth = 7)
  int op_slot_left_9647 = gc_frame_newslot(strlit9651);
  params[0] = call9649;
  partcv[0] = 1;
  Object opresult9652 = callmethod(strlit9651, "++(1)", 1, partcv, params);
// compiled op node returning opresult9652 (depth = 6)
  int op_slot_left_9644 = gc_frame_newslot(opresult9652);
  params[0] = strlit9645;
  partcv[0] = 1;
  Object opresult9653 = callmethod(opresult9652, "++(1)", 1, partcv, params);
// compiled op node returning opresult9653 (depth = 5)
  int op_slot_left_9640 = gc_frame_newslot(opresult9653);
  params[0] = call9642;
  partcv[0] = 1;
  Object opresult9654 = callmethod(opresult9653, "++(1)", 1, partcv, params);
// compiled op node returning opresult9654 (depth = 4)
  int op_slot_left_9637 = gc_frame_newslot(opresult9654);
  params[0] = strlit9638;
  partcv[0] = 1;
  Object opresult9655 = callmethod(opresult9654, "++(1)", 1, partcv, params);
// compiled op node returning opresult9655 (depth = 3)
  gc_frame_end(frame);
  return opresult9655;
}
Object meth_ast_9656_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_importNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2548
  setline(2548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9657 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9658 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9659 = gc_frame_new();
// call case 4: self request
  Object call9660 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9659);
// compiled member node returning call9660 (depth = 5)
  gc_frame_newslot(call9660);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
  Object bool9661 = alloc_Boolean(0);
// compiled identifier node returning bool9661 (depth = 5)
  gc_frame_newslot(bool9661);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_importNode (depth = 5)
  params[0] = call9660;
  params[1] = *var_nullNode;
  params[2] = bool9661;
  partcv[0] = 3;
  Object call9662 = callmethodflags(*var_importNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe9658);
// compiled call node returning call9662 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9663 = callmethodflags(call9662, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9657);
// compiled call node returning call9663 (depth = 3)
  gc_frame_end(frame);
  return call9663;
}
Object meth_ast_9414_new_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_importNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9415 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9415 = alloc_userobj2(26,23, objclass9415);
  gc_frame_newslot(obj9415);
  if (objclass9415 == NULL) {
    glfree(obj9415->class->name);
    obj9415->class->name = "importNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9415, self, 0);
  addmethodreal(obj9415,"outer", &reader_ast_outer_9416);
  Object oldself9415 = self;
  struct StackFrameObject *oldstackframe9415 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9415);
  gc_frame_newslot((Object)stackframe);
  self = obj9415;
  Object *oldselfslot9415 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9415 = (*(struct UserObject *)self).data[0], lowerouter9415 = thisouter9415;
  if (inheritingObject9415) {
    struct UserObject *inho9415 = (struct UserObject *)inheritingObject9415;
    while (inho9415->super != GraceDefaultObject) inho9415 = (struct UserObject *)inho9415->super;
    inho9415->super = obj9415;
    self = inheritingObject9415;
    *selfslot = self;
    lowerouter9415 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9415;
  }
  if (objclass9415 == NULL) {
  Method *reader9417 = addmethodrealflags(obj9415, "kind",&reader_ast_kind_9417, MFLAG_DEF);
  reader9417->definitionModule = modulename;
  reader9417->definitionLine = 2480;
  }
  adddatum2(obj9415, alloc_Undefined(), 1);
  if (objclass9415 == NULL) {
    Method *reader9418 = addmethodrealflags(obj9415, "value", &reader_ast_value_9418, 0);
    Method *writer9418 = addmethodrealflags(obj9415, "value:=(1)", &writer_ast_value_9418, 0);
    reader9418->definitionModule = modulename;
    writer9418->definitionModule = modulename;
    reader9418->definitionLine = 2481;
    writer9418->definitionLine = 2481;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 2);
  if (objclass9415 == NULL) {
    Method *reader9419 = addmethodrealflags(obj9415, "path", &reader_ast_path_9419, 0);
    Method *writer9419 = addmethodrealflags(obj9415, "path:=(1)", &writer_ast_path_9419, 0);
    reader9419->definitionModule = modulename;
    writer9419->definitionModule = modulename;
    reader9419->definitionLine = 2482;
    writer9419->definitionLine = 2482;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 3);
  if (objclass9415 == NULL) {
    Method *reader9420 = addmethodrealflags(obj9415, "annotations", &reader_ast_annotations_9420, 0);
    Method *writer9420 = addmethodrealflags(obj9415, "annotations:=(1)", &writer_ast_annotations_9420, 0);
    reader9420->definitionModule = modulename;
    writer9420->definitionModule = modulename;
    reader9420->definitionLine = 2483;
    writer9420->definitionLine = 2483;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 4);
  if (objclass9415 == NULL) {
    Method *reader9421 = addmethodrealflags(obj9415, "dtype", &reader_ast_dtype_9421, 0);
    Method *writer9421 = addmethodrealflags(obj9415, "dtype:=(1)", &writer_ast_dtype_9421, 0);
    reader9421->definitionModule = modulename;
    writer9421->definitionModule = modulename;
    reader9421->definitionLine = 2484;
    writer9421->definitionLine = 2484;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo9422 = (struct UserObject*)obj9415;
  uo9422->data[6] = emptyclosure;
  Method *meth_meth_ast_9422_end = addmethod2pos(obj9415, "end", &meth_ast_9422_end, 6);
  int argcv_meth_ast_9422_end[] = {0};
  meth_meth_ast_9422_end->type = alloc_MethodType(1, argcv_meth_ast_9422_end);
  meth_meth_ast_9422_end->definitionModule = modulename;
  meth_meth_ast_9422_end->definitionLine = 2485;
// method "isImport"
  struct UserObject *uo9427 = (struct UserObject*)obj9415;
  uo9427->data[7] = emptyclosure;
  Method *meth_meth_ast_9427_isImport = addmethod2pos(obj9415, "isImport", &meth_ast_9427_isImport, 7);
  int argcv_meth_ast_9427_isImport[] = {0};
  meth_meth_ast_9427_isImport->type = alloc_MethodType(1, argcv_meth_ast_9427_isImport);
  meth_meth_ast_9427_isImport->definitionModule = modulename;
  meth_meth_ast_9427_isImport->definitionLine = 2486;
// method "isExternal"
  struct UserObject *uo9429 = (struct UserObject*)obj9415;
  uo9429->data[8] = emptyclosure;
  Method *meth_meth_ast_9429_isExternal = addmethod2pos(obj9415, "isExternal", &meth_ast_9429_isExternal, 8);
  int argcv_meth_ast_9429_isExternal[] = {0};
  meth_meth_ast_9429_isExternal->type = alloc_MethodType(1, argcv_meth_ast_9429_isExternal);
  meth_meth_ast_9429_isExternal->definitionModule = modulename;
  meth_meth_ast_9429_isExternal->definitionLine = 2487;
// method "isExecutable"
  struct UserObject *uo9431 = (struct UserObject*)obj9415;
  uo9431->data[9] = emptyclosure;
  Method *meth_meth_ast_9431_isExecutable = addmethod2pos(obj9415, "isExecutable", &meth_ast_9431_isExecutable, 9);
  int argcv_meth_ast_9431_isExecutable[] = {0};
  meth_meth_ast_9431_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_9431_isExecutable);
  meth_meth_ast_9431_isExecutable->definitionModule = modulename;
  meth_meth_ast_9431_isExecutable->definitionLine = 2488;
// method "name"
  struct UserObject *uo9433 = (struct UserObject*)obj9415;
  uo9433->data[10] = emptyclosure;
  Method *meth_meth_ast_9433_name = addmethod2pos(obj9415, "name", &meth_ast_9433_name, 10);
  int argcv_meth_ast_9433_name[] = {0};
  meth_meth_ast_9433_name->type = alloc_MethodType(1, argcv_meth_ast_9433_name);
  meth_meth_ast_9433_name->definitionModule = modulename;
  meth_meth_ast_9433_name->definitionLine = 2489;
// method "nameString"
  struct UserObject *uo9436 = (struct UserObject*)obj9415;
  uo9436->data[11] = emptyclosure;
  Method *meth_meth_ast_9436_nameString = addmethod2pos(obj9415, "nameString", &meth_ast_9436_nameString, 11);
  int argcv_meth_ast_9436_nameString[] = {0};
  meth_meth_ast_9436_nameString->type = alloc_MethodType(1, argcv_meth_ast_9436_nameString);
  meth_meth_ast_9436_nameString->definitionModule = modulename;
  meth_meth_ast_9436_nameString->definitionLine = 2490;
// method "isPublic"
  struct UserObject *uo9441 = (struct UserObject*)obj9415;
  uo9441->data[12] = emptyclosure;
  Method *meth_meth_ast_9441_isPublic = addmethod2pos(obj9415, "isPublic", &meth_ast_9441_isPublic, 12);
  int argcv_meth_ast_9441_isPublic[] = {0};
  meth_meth_ast_9441_isPublic->type = alloc_MethodType(1, argcv_meth_ast_9441_isPublic);
  meth_meth_ast_9441_isPublic->definitionModule = modulename;
  meth_meth_ast_9441_isPublic->definitionLine = 2491;
// method "moduleName"
  struct UserObject *uo9460 = (struct UserObject*)obj9415;
  uo9460->data[13] = emptyclosure;
  Method *meth_meth_ast_9460_moduleName = addmethod2pos(obj9415, "moduleName", &meth_ast_9460_moduleName, 13);
  int argcv_meth_ast_9460_moduleName[] = {0};
  meth_meth_ast_9460_moduleName->type = alloc_MethodType(1, argcv_meth_ast_9460_moduleName);
  meth_meth_ast_9460_moduleName->definitionModule = modulename;
  meth_meth_ast_9460_moduleName->definitionLine = 2497;
// method "isWritable"
  struct UserObject *uo9480 = (struct UserObject*)obj9415;
  uo9480->data[14] = emptyclosure;
  Method *meth_meth_ast_9480_isWritable = addmethod2pos(obj9415, "isWritable", &meth_ast_9480_isWritable, 14);
  int argcv_meth_ast_9480_isWritable[] = {0};
  meth_meth_ast_9480_isWritable->type = alloc_MethodType(1, argcv_meth_ast_9480_isWritable);
  meth_meth_ast_9480_isWritable->definitionModule = modulename;
  meth_meth_ast_9480_isWritable->definitionLine = 2508;
// method "isReadable"
  struct UserObject *uo9482 = (struct UserObject*)obj9415;
  uo9482->data[15] = emptyclosure;
  Method *meth_meth_ast_9482_isReadable = addmethod2pos(obj9415, "isReadable", &meth_ast_9482_isReadable, 15);
  int argcv_meth_ast_9482_isReadable[] = {0};
  meth_meth_ast_9482_isReadable->type = alloc_MethodType(1, argcv_meth_ast_9482_isReadable);
  meth_meth_ast_9482_isReadable->definitionModule = modulename;
  meth_meth_ast_9482_isReadable->definitionLine = 2509;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9415);
  Object closure9485 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9485, stackframe);
  addtoclosure(closure9485, var_k);
  struct UserObject *uo9485 = (struct UserObject*)obj9415;
  uo9485->data[16] = (Object)closure9485;
  Method *meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj9415, "declarationKindWithAncestors(1)", &meth_ast_9485_declarationKindWithAncestors_40_1_41_, 16);
  int argcv_meth_ast_9485_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9485_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_->definitionLine = 2510;
// method "usesAsType(_)"
  struct UserObject *uo9488 = (struct UserObject*)obj9415;
  uo9488->data[17] = emptyclosure;
  Method *meth_meth_ast_9488_usesAsType_40_1_41_ = addmethod2pos(obj9415, "usesAsType(1)", &meth_ast_9488_usesAsType_40_1_41_, 17);
  int argcv_meth_ast_9488_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_9488_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9488_usesAsType_40_1_41_);
  meth_meth_ast_9488_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9488_usesAsType_40_1_41_->definitionLine = 2511;
// method "accept(_)from(_)"
  struct UserObject *uo9494 = (struct UserObject*)obj9415;
  uo9494->data[18] = emptyclosure;
  Method *meth_meth_ast_9494_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9415, "accept(1)from(1)", &meth_ast_9494_accept_40_1_41_from_40_1_41_, 18);
  int argcv_meth_ast_9494_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9494_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9494_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9494_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9494_accept_40_1_41_from_40_1_41_->definitionLine = 2514;
// method "map(_)ancestors(_)"
  struct UserObject *uo9524 = (struct UserObject*)obj9415;
  uo9524->data[19] = emptyclosure;
  Method *meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9415, "map(1)ancestors(1)", &meth_ast_9524_map_40_1_41_ancestors_40_1_41_, 19);
  int argcv_meth_ast_9524_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9524_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_->definitionLine = 2526;
// method "pretty(_)"
  struct UserObject *uo9549 = (struct UserObject*)obj9415;
  uo9549->data[20] = emptyclosure;
  Method *meth_meth_ast_9549_pretty_40_1_41_ = addmethod2pos(obj9415, "pretty(1)", &meth_ast_9549_pretty_40_1_41_, 20);
  int argcv_meth_ast_9549_pretty_40_1_41_[] = {1};
  meth_meth_ast_9549_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9549_pretty_40_1_41_);
  meth_meth_ast_9549_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9549_pretty_40_1_41_->definitionLine = 2534;
// method "toGrace(_)"
  struct UserObject *uo9636 = (struct UserObject*)obj9415;
  uo9636->data[21] = emptyclosure;
  Method *meth_meth_ast_9636_toGrace_40_1_41_ = addmethod2pos(obj9415, "toGrace(1)", &meth_ast_9636_toGrace_40_1_41_, 21);
  int argcv_meth_ast_9636_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9636_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9636_toGrace_40_1_41_);
meth_meth_ast_9636_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9636_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9636_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9636_toGrace_40_1_41_->definitionLine = 2544;
// method "shallowCopy"
  block_savedest(obj9415);
  Object closure9656 = createclosure(2, "shallowCopy");
  setclosureframe(closure9656, stackframe);
  addtoclosure(closure9656, var_nullNode);
  addtoclosure(closure9656, var_importNode);
  struct UserObject *uo9656 = (struct UserObject*)obj9415;
  uo9656->data[22] = (Object)closure9656;
  Method *meth_meth_ast_9656_shallowCopy = addmethod2pos(obj9415, "shallowCopy", &meth_ast_9656_shallowCopy, 22);
  int argcv_meth_ast_9656_shallowCopy[] = {0};
  meth_meth_ast_9656_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9656_shallowCopy);
  meth_meth_ast_9656_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9656_shallowCopy->definitionLine = 2547;
  sourceObject = obj9415;
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9664 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9665 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9664);
// compiled call node returning call9665 (depth = 3)
  struct UserObject *obj9415_uo = (struct UserObject *)obj9415;
  obj9415_uo->super = call9665;
  sourceObject = obj9415;
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9666 == NULL) {
    strlit9666 = alloc_String("import");
    gc_root(strlit9666);
  }
// compiled string node returning strlit9666 (depth = 3)
  adddatum2(obj9415, strlit9666, 1);
  sourceObject = obj9415;
// Begin line 2481
  setline(2481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj9415, *var_name_39_, 2);
  sourceObject = obj9415;
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj9415, *var_path_39_, 3);
  sourceObject = obj9415;
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9667 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9667 (depth = 3)
  adddatum2(obj9415, array9667, 4);
  sourceObject = obj9415;
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj9415, *var_dtype_39_, 5);
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  objclass9415 = obj9415->class;
  objclass9415->definitionModule = modulename;
  objclass9415->definitionLine = 2478;
  (*(struct UserObject *)self).data[0] = lowerouter9415;
  self = oldself9415;
  selfslot = oldselfslot9415;
  stackframe = oldstackframe9415;
  gc_frame_end(frame);
  return obj9415;
}
Object meth_ast_9414_new_40_3_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_importNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9415 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9415 = alloc_userobj2(26,23, objclass9415);
  gc_frame_newslot(obj9415);
  if (objclass9415 == NULL) {
    glfree(obj9415->class->name);
    obj9415->class->name = "importNode.new(_,_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9415, self, 0);
  addmethodreal(obj9415,"outer", &reader_ast_outer_9416);
  Object oldself9415 = self;
  struct StackFrameObject *oldstackframe9415 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9415);
  gc_frame_newslot((Object)stackframe);
  self = obj9415;
  Object *oldselfslot9415 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9415 = (*(struct UserObject *)self).data[0], lowerouter9415 = thisouter9415;
  if (inheritingObject9415) {
    struct UserObject *inho9415 = (struct UserObject *)inheritingObject9415;
    while (inho9415->super != GraceDefaultObject) inho9415 = (struct UserObject *)inho9415->super;
    inho9415->super = obj9415;
    self = inheritingObject9415;
    *selfslot = self;
    lowerouter9415 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9415;
  }
  if (objclass9415 == NULL) {
  Method *reader9417 = addmethodrealflags(obj9415, "kind",&reader_ast_kind_9417, MFLAG_DEF);
  reader9417->definitionModule = modulename;
  reader9417->definitionLine = 2480;
  }
  adddatum2(obj9415, alloc_Undefined(), 1);
  if (objclass9415 == NULL) {
    Method *reader9418 = addmethodrealflags(obj9415, "value", &reader_ast_value_9418, 0);
    Method *writer9418 = addmethodrealflags(obj9415, "value:=(1)", &writer_ast_value_9418, 0);
    reader9418->definitionModule = modulename;
    writer9418->definitionModule = modulename;
    reader9418->definitionLine = 2481;
    writer9418->definitionLine = 2481;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 2);
  if (objclass9415 == NULL) {
    Method *reader9419 = addmethodrealflags(obj9415, "path", &reader_ast_path_9419, 0);
    Method *writer9419 = addmethodrealflags(obj9415, "path:=(1)", &writer_ast_path_9419, 0);
    reader9419->definitionModule = modulename;
    writer9419->definitionModule = modulename;
    reader9419->definitionLine = 2482;
    writer9419->definitionLine = 2482;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 3);
  if (objclass9415 == NULL) {
    Method *reader9420 = addmethodrealflags(obj9415, "annotations", &reader_ast_annotations_9420, 0);
    Method *writer9420 = addmethodrealflags(obj9415, "annotations:=(1)", &writer_ast_annotations_9420, 0);
    reader9420->definitionModule = modulename;
    writer9420->definitionModule = modulename;
    reader9420->definitionLine = 2483;
    writer9420->definitionLine = 2483;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 4);
  if (objclass9415 == NULL) {
    Method *reader9421 = addmethodrealflags(obj9415, "dtype", &reader_ast_dtype_9421, 0);
    Method *writer9421 = addmethodrealflags(obj9415, "dtype:=(1)", &writer_ast_dtype_9421, 0);
    reader9421->definitionModule = modulename;
    writer9421->definitionModule = modulename;
    reader9421->definitionLine = 2484;
    writer9421->definitionLine = 2484;
  }
  obj9415->flags |= OFLAG_MUTABLE;
  adddatum2(obj9415, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo9422 = (struct UserObject*)obj9415;
  uo9422->data[6] = emptyclosure;
  Method *meth_meth_ast_9422_end = addmethod2pos(obj9415, "end", &meth_ast_9422_end, 6);
  int argcv_meth_ast_9422_end[] = {0};
  meth_meth_ast_9422_end->type = alloc_MethodType(1, argcv_meth_ast_9422_end);
  meth_meth_ast_9422_end->definitionModule = modulename;
  meth_meth_ast_9422_end->definitionLine = 2485;
// method "isImport"
  struct UserObject *uo9427 = (struct UserObject*)obj9415;
  uo9427->data[7] = emptyclosure;
  Method *meth_meth_ast_9427_isImport = addmethod2pos(obj9415, "isImport", &meth_ast_9427_isImport, 7);
  int argcv_meth_ast_9427_isImport[] = {0};
  meth_meth_ast_9427_isImport->type = alloc_MethodType(1, argcv_meth_ast_9427_isImport);
  meth_meth_ast_9427_isImport->definitionModule = modulename;
  meth_meth_ast_9427_isImport->definitionLine = 2486;
// method "isExternal"
  struct UserObject *uo9429 = (struct UserObject*)obj9415;
  uo9429->data[8] = emptyclosure;
  Method *meth_meth_ast_9429_isExternal = addmethod2pos(obj9415, "isExternal", &meth_ast_9429_isExternal, 8);
  int argcv_meth_ast_9429_isExternal[] = {0};
  meth_meth_ast_9429_isExternal->type = alloc_MethodType(1, argcv_meth_ast_9429_isExternal);
  meth_meth_ast_9429_isExternal->definitionModule = modulename;
  meth_meth_ast_9429_isExternal->definitionLine = 2487;
// method "isExecutable"
  struct UserObject *uo9431 = (struct UserObject*)obj9415;
  uo9431->data[9] = emptyclosure;
  Method *meth_meth_ast_9431_isExecutable = addmethod2pos(obj9415, "isExecutable", &meth_ast_9431_isExecutable, 9);
  int argcv_meth_ast_9431_isExecutable[] = {0};
  meth_meth_ast_9431_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_9431_isExecutable);
  meth_meth_ast_9431_isExecutable->definitionModule = modulename;
  meth_meth_ast_9431_isExecutable->definitionLine = 2488;
// method "name"
  struct UserObject *uo9433 = (struct UserObject*)obj9415;
  uo9433->data[10] = emptyclosure;
  Method *meth_meth_ast_9433_name = addmethod2pos(obj9415, "name", &meth_ast_9433_name, 10);
  int argcv_meth_ast_9433_name[] = {0};
  meth_meth_ast_9433_name->type = alloc_MethodType(1, argcv_meth_ast_9433_name);
  meth_meth_ast_9433_name->definitionModule = modulename;
  meth_meth_ast_9433_name->definitionLine = 2489;
// method "nameString"
  struct UserObject *uo9436 = (struct UserObject*)obj9415;
  uo9436->data[11] = emptyclosure;
  Method *meth_meth_ast_9436_nameString = addmethod2pos(obj9415, "nameString", &meth_ast_9436_nameString, 11);
  int argcv_meth_ast_9436_nameString[] = {0};
  meth_meth_ast_9436_nameString->type = alloc_MethodType(1, argcv_meth_ast_9436_nameString);
  meth_meth_ast_9436_nameString->definitionModule = modulename;
  meth_meth_ast_9436_nameString->definitionLine = 2490;
// method "isPublic"
  struct UserObject *uo9441 = (struct UserObject*)obj9415;
  uo9441->data[12] = emptyclosure;
  Method *meth_meth_ast_9441_isPublic = addmethod2pos(obj9415, "isPublic", &meth_ast_9441_isPublic, 12);
  int argcv_meth_ast_9441_isPublic[] = {0};
  meth_meth_ast_9441_isPublic->type = alloc_MethodType(1, argcv_meth_ast_9441_isPublic);
  meth_meth_ast_9441_isPublic->definitionModule = modulename;
  meth_meth_ast_9441_isPublic->definitionLine = 2491;
// method "moduleName"
  struct UserObject *uo9460 = (struct UserObject*)obj9415;
  uo9460->data[13] = emptyclosure;
  Method *meth_meth_ast_9460_moduleName = addmethod2pos(obj9415, "moduleName", &meth_ast_9460_moduleName, 13);
  int argcv_meth_ast_9460_moduleName[] = {0};
  meth_meth_ast_9460_moduleName->type = alloc_MethodType(1, argcv_meth_ast_9460_moduleName);
  meth_meth_ast_9460_moduleName->definitionModule = modulename;
  meth_meth_ast_9460_moduleName->definitionLine = 2497;
// method "isWritable"
  struct UserObject *uo9480 = (struct UserObject*)obj9415;
  uo9480->data[14] = emptyclosure;
  Method *meth_meth_ast_9480_isWritable = addmethod2pos(obj9415, "isWritable", &meth_ast_9480_isWritable, 14);
  int argcv_meth_ast_9480_isWritable[] = {0};
  meth_meth_ast_9480_isWritable->type = alloc_MethodType(1, argcv_meth_ast_9480_isWritable);
  meth_meth_ast_9480_isWritable->definitionModule = modulename;
  meth_meth_ast_9480_isWritable->definitionLine = 2508;
// method "isReadable"
  struct UserObject *uo9482 = (struct UserObject*)obj9415;
  uo9482->data[15] = emptyclosure;
  Method *meth_meth_ast_9482_isReadable = addmethod2pos(obj9415, "isReadable", &meth_ast_9482_isReadable, 15);
  int argcv_meth_ast_9482_isReadable[] = {0};
  meth_meth_ast_9482_isReadable->type = alloc_MethodType(1, argcv_meth_ast_9482_isReadable);
  meth_meth_ast_9482_isReadable->definitionModule = modulename;
  meth_meth_ast_9482_isReadable->definitionLine = 2509;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9415);
  Object closure9485 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9485, stackframe);
  addtoclosure(closure9485, var_k);
  struct UserObject *uo9485 = (struct UserObject*)obj9415;
  uo9485->data[16] = (Object)closure9485;
  Method *meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj9415, "declarationKindWithAncestors(1)", &meth_ast_9485_declarationKindWithAncestors_40_1_41_, 16);
  int argcv_meth_ast_9485_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9485_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9485_declarationKindWithAncestors_40_1_41_->definitionLine = 2510;
// method "usesAsType(_)"
  struct UserObject *uo9488 = (struct UserObject*)obj9415;
  uo9488->data[17] = emptyclosure;
  Method *meth_meth_ast_9488_usesAsType_40_1_41_ = addmethod2pos(obj9415, "usesAsType(1)", &meth_ast_9488_usesAsType_40_1_41_, 17);
  int argcv_meth_ast_9488_usesAsType_40_1_41_[] = {1};
  meth_meth_ast_9488_usesAsType_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9488_usesAsType_40_1_41_);
  meth_meth_ast_9488_usesAsType_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9488_usesAsType_40_1_41_->definitionLine = 2511;
// method "accept(_)from(_)"
  struct UserObject *uo9494 = (struct UserObject*)obj9415;
  uo9494->data[18] = emptyclosure;
  Method *meth_meth_ast_9494_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9415, "accept(1)from(1)", &meth_ast_9494_accept_40_1_41_from_40_1_41_, 18);
  int argcv_meth_ast_9494_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9494_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9494_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9494_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9494_accept_40_1_41_from_40_1_41_->definitionLine = 2514;
// method "map(_)ancestors(_)"
  struct UserObject *uo9524 = (struct UserObject*)obj9415;
  uo9524->data[19] = emptyclosure;
  Method *meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9415, "map(1)ancestors(1)", &meth_ast_9524_map_40_1_41_ancestors_40_1_41_, 19);
  int argcv_meth_ast_9524_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9524_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9524_map_40_1_41_ancestors_40_1_41_->definitionLine = 2526;
// method "pretty(_)"
  struct UserObject *uo9549 = (struct UserObject*)obj9415;
  uo9549->data[20] = emptyclosure;
  Method *meth_meth_ast_9549_pretty_40_1_41_ = addmethod2pos(obj9415, "pretty(1)", &meth_ast_9549_pretty_40_1_41_, 20);
  int argcv_meth_ast_9549_pretty_40_1_41_[] = {1};
  meth_meth_ast_9549_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9549_pretty_40_1_41_);
  meth_meth_ast_9549_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9549_pretty_40_1_41_->definitionLine = 2534;
// method "toGrace(_)"
  struct UserObject *uo9636 = (struct UserObject*)obj9415;
  uo9636->data[21] = emptyclosure;
  Method *meth_meth_ast_9636_toGrace_40_1_41_ = addmethod2pos(obj9415, "toGrace(1)", &meth_ast_9636_toGrace_40_1_41_, 21);
  int argcv_meth_ast_9636_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9636_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9636_toGrace_40_1_41_);
meth_meth_ast_9636_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9636_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9636_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9636_toGrace_40_1_41_->definitionLine = 2544;
// method "shallowCopy"
  block_savedest(obj9415);
  Object closure9656 = createclosure(2, "shallowCopy");
  setclosureframe(closure9656, stackframe);
  addtoclosure(closure9656, var_nullNode);
  addtoclosure(closure9656, var_importNode);
  struct UserObject *uo9656 = (struct UserObject*)obj9415;
  uo9656->data[22] = (Object)closure9656;
  Method *meth_meth_ast_9656_shallowCopy = addmethod2pos(obj9415, "shallowCopy", &meth_ast_9656_shallowCopy, 22);
  int argcv_meth_ast_9656_shallowCopy[] = {0};
  meth_meth_ast_9656_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9656_shallowCopy);
  meth_meth_ast_9656_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9656_shallowCopy->definitionLine = 2547;
  sourceObject = obj9415;
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9664 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9665 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9664);
// compiled call node returning call9665 (depth = 3)
  struct UserObject *obj9415_uo = (struct UserObject *)obj9415;
  obj9415_uo->super = call9665;
  sourceObject = obj9415;
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9666 == NULL) {
    strlit9666 = alloc_String("import");
    gc_root(strlit9666);
  }
// compiled string node returning strlit9666 (depth = 3)
  adddatum2(obj9415, strlit9666, 1);
  sourceObject = obj9415;
// Begin line 2481
  setline(2481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj9415, *var_name_39_, 2);
  sourceObject = obj9415;
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj9415, *var_path_39_, 3);
  sourceObject = obj9415;
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9667 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9667 (depth = 3)
  adddatum2(obj9415, array9667, 4);
  sourceObject = obj9415;
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj9415, *var_dtype_39_, 5);
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  sourceObject = obj9415;
  objclass9415 = obj9415->class;
  objclass9415->definitionModule = modulename;
  objclass9415->definitionLine = 2478;
  (*(struct UserObject *)self).data[0] = lowerouter9415;
  self = oldself9415;
  selfslot = oldselfslot9415;
  stackframe = oldstackframe9415;
  gc_frame_end(frame);
  return obj9415;
}
Object meth_ast_9669_importNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "importNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_importNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_importNode (depth = 3)
  gc_frame_end(frame);
  return *var_importNode;
}
Object meth_ast_9672_fromToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fromToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fromToken(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_stringTok = &(stackframe->slots[0]);
  *var_stringTok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part fromToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "result");
// Begin line 2554
  setline(2554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9673 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9674 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_stringTok (depth = 6)
  Object call9675 = callmethodflags(*var_stringTok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9674);
// compiled member node returning call9675 (depth = 5)
  gc_frame_newslot(call9675);
// call case 4: self request
  params[0] = call9675;
  partcv[0] = 1;
  Object call9676 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9673);
// compiled call node returning call9676 (depth = 4)
  *var_result = call9676;
  if (call9676 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2555
  setline(2555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9677 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9678 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9679 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_stringTok (depth = 6)
  Object call9680 = callmethodflags(*var_stringTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9679);
// compiled member node returning call9680 (depth = 5)
  gc_frame_newslot(call9680);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9682 = alloc_Float64(1);
// compiled num node returning num9682 (depth = 6)
  int op_slot_right_9681 = gc_frame_newslot(num9682);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9685 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_stringTok (depth = 8)
  Object call9686 = callmethodflags(*var_stringTok, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9685);
// compiled member node returning call9686 (depth = 7)
  int op_slot_right_9684 = gc_frame_newslot(call9686);
// starting to compile member node (depth = 7)
  int callframe9688 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_stringTok (depth = 8)
  Object call9689 = callmethodflags(*var_stringTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9688);
// compiled member node returning call9689 (depth = 7)
  int op_slot_left_9684 = gc_frame_newslot(call9689);
  params[0] = call9686;
  partcv[0] = 1;
  Object sum9690 = callmethod(call9689, "+(1)", 1, partcv, params);
// compiled op node returning sum9690 (depth = 6)
  int op_slot_left_9681 = gc_frame_newslot(sum9690);
  params[0] = num9682;
  partcv[0] = 1;
  Object diff9691 = callmethod(sum9690, "-(1)", 1, partcv, params);
// compiled op node returning diff9691 (depth = 5)
  gc_frame_newslot(diff9691);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9680;
  params[1] = diff9691;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9692 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9678);
// compiled call node returning call9692 (depth = 4)
  gc_frame_newslot(call9692);
// call case 6: other requests
// Begin line 2555
  setline(2555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = call9692;
  partcv[0] = 1;
  Object call9693 = callmethodflags(*var_result, "end:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9677);
// compiled call node returning call9693 (depth = 3)
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_9700_isDialect(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9701 = alloc_Boolean(1);
// compiled identifier node returning bool9701 (depth = 3)
  gc_frame_end(frame);
  return bool9701;
}
Object meth_ast_9702_isExternal(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9703 = alloc_Boolean(1);
// compiled identifier node returning bool9703 (depth = 3)
  gc_frame_end(frame);
  return bool9703;
}
Object meth_ast_9704_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2566
  setline(2566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9705 = alloc_Boolean(0);
// compiled identifier node returning bool9705 (depth = 3)
  gc_frame_end(frame);
  return bool9705;
}
Object meth_ast_9712__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9715 == NULL) {
    strlit9715 = alloc_String("/");
    gc_root(strlit9715);
  }
// compiled string node returning strlit9715 (depth = 7)
  int op_slot_right_9714 = gc_frame_newslot(strlit9715);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_9714 = gc_frame_newslot(*var_c);
  params[0] = strlit9715;
  partcv[0] = 1;
  Object opresult9717 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult9717 (depth = 6)
  Object if9713 = done;
  if (istrue(opresult9717)) {
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9718 == NULL) {
    strlit9718 = alloc_String("");
    gc_root(strlit9718);
  }
// compiled string node returning strlit9718 (depth = 7)
  *var_bnm = strlit9718;
  if (strlit9718 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9713 = done;
  } else {
// Begin line 2573
  setline(2573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_9720 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_bnm (depth = 8)
  int op_slot_left_9720 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult9722 = callmethod(*var_bnm, "++(1)", 1, partcv, params);
// compiled op node returning opresult9722 (depth = 7)
  *var_bnm = opresult9722;
  if (opresult9722 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9713 = done;
  }
// compiled if node returning if9713 (depth = 5)
  gc_frame_end(frame);
  return if9713;
}
Object meth_ast_9706_moduleName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2568
  setline(2568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9707 == NULL) {
    strlit9707 = alloc_String("");
    gc_root(strlit9707);
  }
// compiled string node returning strlit9707 (depth = 4)
  *var_bnm = strlit9707;
  if (strlit9707 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2569
  setline(2569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9708 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9709 = gc_frame_new();
// call case 4: self request
  Object call9710 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9709);
// compiled member node returning call9710 (depth = 4)
  gc_frame_newslot(call9710);
// starting to compile block node (depth = 4)
  Object block9711 = alloc_Block(NULL, NULL, "ast", 2569);
  gc_frame_newslot(block9711);
// method "_apply(_)"
  block_savedest(block9711);
  Object closure9712 = createclosure(2, "_apply(1)");
  setclosureframe(closure9712, stackframe);
  addtoclosure(closure9712, var_bnm);
  addtoclosure(closure9712, selfslot);
  struct UserObject *uo9712 = (struct UserObject*)block9711;
  uo9712->data[0] = (Object)closure9712;
  Method *meth_meth_ast_9712__apply_40_1_41_ = addmethod2pos(block9711, "_apply(1)", &meth_ast_9712__apply_40_1_41_, 0);
  int argcv_meth_ast_9712__apply_40_1_41_[] = {1};
  meth_meth_ast_9712__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9712__apply_40_1_41_);
  meth_meth_ast_9712__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9712__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block9711 (depth = 4)
  gc_frame_newslot(block9711);
// call case 5: prelude request
  params[0] = call9710;
  params[1] = block9711;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9725 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9708);
// compiled call node returning call9725 (depth = 3)
// Begin line 2576
  setline(2576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bnm (depth = 3)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_9726_path(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "path");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2579
  setline(2579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9727 = gc_frame_new();
// call case 4: self request
  Object call9728 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9727);
// compiled member node returning call9728 (depth = 3)
  gc_frame_end(frame);
  return call9728;
}
Object meth_ast_9729_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9730 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9731 = callmethodflags(*var_visitor, "visitDialect(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9730);
// compiled call node returning call9731 (depth = 3)
  gc_frame_end(frame);
  return call9731;
}
Object meth_ast_9732_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9733 = gc_frame_new();
// call case 4: self request
  Object call9734 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9733);
// compiled member node returning call9734 (depth = 4)
  *var_n = call9734;
  if (call9734 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9735 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9736 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9735);
// compiled call node returning call9736 (depth = 4)
  *var_newChain = call9736;
  if (call9736 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2587
  setline(2587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9737 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9738 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9737);
// compiled call node returning call9738 (depth = 3)
  gc_frame_end(frame);
  return call9738;
}
Object meth_ast_9739_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2590
  setline(2590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9742 = alloc_Float64(1);
// compiled num node returning num9742 (depth = 6)
  int op_slot_right_9741 = gc_frame_newslot(num9742);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_9741 = gc_frame_newslot(*var_depth);
  params[0] = num9742;
  partcv[0] = 1;
  Object sum9744 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9744 (depth = 5)
  int op_slot_right_9740 = gc_frame_newslot(sum9744);
// starting to compile string node (depth = 5)
  if (strlit9746 == NULL) {
    strlit9746 = alloc_String("  ");
    gc_root(strlit9746);
  }
// compiled string node returning strlit9746 (depth = 5)
  int op_slot_left_9740 = gc_frame_newslot(strlit9746);
  params[0] = sum9744;
  partcv[0] = 1;
  Object prod9747 = callmethod(strlit9746, "*(1)", 1, partcv, params);
// compiled op node returning prod9747 (depth = 4)
  *var_spc = prod9747;
  if (prod9747 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9749 == NULL) {
    strlit9749 = alloc_String("""\x0a""");
    gc_root(strlit9749);
  }
// compiled string node returning strlit9749 (depth = 5)
  int op_slot_right_9748 = gc_frame_newslot(strlit9749);
// starting to compile call node (depth = 5)
  int callframe9751 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9752 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9751);
// compiled call node returning call9752 (depth = 5)
  int op_slot_left_9748 = gc_frame_newslot(call9752);
  params[0] = strlit9749;
  partcv[0] = 1;
  Object opresult9753 = callmethod(call9752, "++(1)", 1, partcv, params);
// compiled op node returning opresult9753 (depth = 4)
  *var_s = opresult9753;
  if (opresult9753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2592
  setline(2592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9756 == NULL) {
    strlit9756 = alloc_String("""\x0a""");
    gc_root(strlit9756);
  }
// compiled string node returning strlit9756 (depth = 6)
  int op_slot_right_9755 = gc_frame_newslot(strlit9756);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9759 = gc_frame_new();
// call case 4: self request
  Object call9760 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9759);
// compiled member node returning call9760 (depth = 7)
  int op_slot_right_9758 = gc_frame_newslot(call9760);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9763 == NULL) {
    strlit9763 = alloc_String("Path: ");
    gc_root(strlit9763);
  }
// compiled string node returning strlit9763 (depth = 8)
  int op_slot_right_9762 = gc_frame_newslot(strlit9763);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9765 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9767 == NULL) {
    strlit9767 = alloc_String("");
    gc_root(strlit9767);
  }
// compiled string node returning strlit9767 (depth = 9)
  int op_slot_left_9765 = gc_frame_newslot(strlit9767);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9768 = callmethod(strlit9767, "++(1)", 1, partcv, params);
// compiled op node returning opresult9768 (depth = 8)
  int op_slot_left_9762 = gc_frame_newslot(opresult9768);
  params[0] = strlit9763;
  partcv[0] = 1;
  Object opresult9769 = callmethod(opresult9768, "++(1)", 1, partcv, params);
// compiled op node returning opresult9769 (depth = 7)
  int op_slot_left_9758 = gc_frame_newslot(opresult9769);
  params[0] = call9760;
  partcv[0] = 1;
  Object opresult9770 = callmethod(opresult9769, "++(1)", 1, partcv, params);
// compiled op node returning opresult9770 (depth = 6)
  int op_slot_left_9755 = gc_frame_newslot(opresult9770);
  params[0] = strlit9756;
  partcv[0] = 1;
  Object opresult9771 = callmethod(opresult9770, "++(1)", 1, partcv, params);
// compiled op node returning opresult9771 (depth = 5)
  int op_slot_right_9754 = gc_frame_newslot(opresult9771);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9754 = gc_frame_newslot(*var_s);
  params[0] = opresult9771;
  partcv[0] = 1;
  Object opresult9773 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9773 (depth = 4)
  *var_s = opresult9773;
  if (opresult9773 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_9775_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9777 == NULL) {
    strlit9777 = alloc_String("""\x22""");
    gc_root(strlit9777);
  }
// compiled string node returning strlit9777 (depth = 4)
  int op_slot_right_9776 = gc_frame_newslot(strlit9777);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9780 = gc_frame_new();
// call case 4: self request
  Object call9781 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9780);
// compiled member node returning call9781 (depth = 5)
  int op_slot_right_9779 = gc_frame_newslot(call9781);
// starting to compile string node (depth = 5)
  if (strlit9783 == NULL) {
    strlit9783 = alloc_String("dialect ""\x22""");
    gc_root(strlit9783);
  }
// compiled string node returning strlit9783 (depth = 5)
  int op_slot_left_9779 = gc_frame_newslot(strlit9783);
  params[0] = call9781;
  partcv[0] = 1;
  Object opresult9784 = callmethod(strlit9783, "++(1)", 1, partcv, params);
// compiled op node returning opresult9784 (depth = 4)
  int op_slot_left_9776 = gc_frame_newslot(opresult9784);
  params[0] = strlit9777;
  partcv[0] = 1;
  Object opresult9785 = callmethod(opresult9784, "++(1)", 1, partcv, params);
// compiled op node returning opresult9785 (depth = 3)
  gc_frame_end(frame);
  return opresult9785;
}
Object meth_ast_9786_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9787 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9788 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9789 = gc_frame_new();
// call case 4: self request
  Object call9790 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9789);
// compiled member node returning call9790 (depth = 5)
  gc_frame_newslot(call9790);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dialectNode (depth = 5)
  params[0] = call9790;
  partcv[0] = 1;
  Object call9791 = callmethodflags(*var_dialectNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9788);
// compiled call node returning call9791 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9792 = callmethodflags(call9791, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9787);
// compiled call node returning call9792 (depth = 3)
  gc_frame_end(frame);
  return call9792;
}
Object meth_ast_9793_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9794 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9795 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9796 = callmethodflags(*var_other, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9795);
// compiled member node returning call9796 (depth = 4)
  gc_frame_newslot(call9796);
// call case 4: self request
  params[0] = call9796;
  partcv[0] = 1;
  Object call9797 = callmethodflags(self, "end:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9794);
// compiled call node returning call9797 (depth = 3)
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_9694_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  Object *var_noPosition = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pathString = &(stackframe->slots[0]);
  *var_pathString = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9695 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9695 = alloc_userobj2(16,15, objclass9695);
  gc_frame_newslot(obj9695);
  if (objclass9695 == NULL) {
    glfree(obj9695->class->name);
    obj9695->class->name = "dialectNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9695, self, 0);
  addmethodreal(obj9695,"outer", &reader_ast_outer_9696);
  Object oldself9695 = self;
  struct StackFrameObject *oldstackframe9695 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9695);
  gc_frame_newslot((Object)stackframe);
  self = obj9695;
  Object *oldselfslot9695 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9695 = (*(struct UserObject *)self).data[0], lowerouter9695 = thisouter9695;
  if (inheritingObject9695) {
    struct UserObject *inho9695 = (struct UserObject *)inheritingObject9695;
    while (inho9695->super != GraceDefaultObject) inho9695 = (struct UserObject *)inho9695->super;
    inho9695->super = obj9695;
    self = inheritingObject9695;
    *selfslot = self;
    lowerouter9695 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9695;
  }
  if (objclass9695 == NULL) {
  Method *reader9697 = addmethodrealflags(obj9695, "kind",&reader_ast_kind_9697, MFLAG_DEF);
  reader9697->definitionModule = modulename;
  reader9697->definitionLine = 2560;
  }
  adddatum2(obj9695, alloc_Undefined(), 1);
  if (objclass9695 == NULL) {
    Method *reader9698 = addmethodrealflags(obj9695, "value", &reader_ast_value_9698, 0);
    Method *writer9698 = addmethodrealflags(obj9695, "value:=(1)", &writer_ast_value_9698, 0);
    reader9698->definitionModule = modulename;
    writer9698->definitionModule = modulename;
    reader9698->definitionLine = 2561;
    writer9698->definitionLine = 2561;
  }
  obj9695->flags |= OFLAG_MUTABLE;
  adddatum2(obj9695, alloc_Undefined(), 2);
  if (objclass9695 == NULL) {
    Method *reader9699 = addmethodrealflags(obj9695, "end", &reader_ast_end_9699, 0);
    Method *writer9699 = addmethodrealflags(obj9695, "end:=(1)", &writer_ast_end_9699, 0);
    reader9699->definitionModule = modulename;
    writer9699->definitionModule = modulename;
    reader9699->definitionLine = 2562;
    writer9699->definitionLine = 2562;
  }
  obj9695->flags |= OFLAG_MUTABLE;
  adddatum2(obj9695, alloc_Undefined(), 3);
// method "isDialect"
  struct UserObject *uo9700 = (struct UserObject*)obj9695;
  uo9700->data[4] = emptyclosure;
  Method *meth_meth_ast_9700_isDialect = addmethod2pos(obj9695, "isDialect", &meth_ast_9700_isDialect, 4);
  int argcv_meth_ast_9700_isDialect[] = {0};
  meth_meth_ast_9700_isDialect->type = alloc_MethodType(1, argcv_meth_ast_9700_isDialect);
  meth_meth_ast_9700_isDialect->definitionModule = modulename;
  meth_meth_ast_9700_isDialect->definitionLine = 2564;
// method "isExternal"
  struct UserObject *uo9702 = (struct UserObject*)obj9695;
  uo9702->data[5] = emptyclosure;
  Method *meth_meth_ast_9702_isExternal = addmethod2pos(obj9695, "isExternal", &meth_ast_9702_isExternal, 5);
  int argcv_meth_ast_9702_isExternal[] = {0};
  meth_meth_ast_9702_isExternal->type = alloc_MethodType(1, argcv_meth_ast_9702_isExternal);
  meth_meth_ast_9702_isExternal->definitionModule = modulename;
  meth_meth_ast_9702_isExternal->definitionLine = 2565;
// method "isExecutable"
  struct UserObject *uo9704 = (struct UserObject*)obj9695;
  uo9704->data[6] = emptyclosure;
  Method *meth_meth_ast_9704_isExecutable = addmethod2pos(obj9695, "isExecutable", &meth_ast_9704_isExecutable, 6);
  int argcv_meth_ast_9704_isExecutable[] = {0};
  meth_meth_ast_9704_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_9704_isExecutable);
  meth_meth_ast_9704_isExecutable->definitionModule = modulename;
  meth_meth_ast_9704_isExecutable->definitionLine = 2566;
// method "moduleName"
  struct UserObject *uo9706 = (struct UserObject*)obj9695;
  uo9706->data[7] = emptyclosure;
  Method *meth_meth_ast_9706_moduleName = addmethod2pos(obj9695, "moduleName", &meth_ast_9706_moduleName, 7);
  int argcv_meth_ast_9706_moduleName[] = {0};
  meth_meth_ast_9706_moduleName->type = alloc_MethodType(1, argcv_meth_ast_9706_moduleName);
  meth_meth_ast_9706_moduleName->definitionModule = modulename;
  meth_meth_ast_9706_moduleName->definitionLine = 2567;
// method "path"
  struct UserObject *uo9726 = (struct UserObject*)obj9695;
  uo9726->data[8] = emptyclosure;
  Method *meth_meth_ast_9726_path = addmethod2pos(obj9695, "path", &meth_ast_9726_path, 8);
  int argcv_meth_ast_9726_path[] = {0};
  meth_meth_ast_9726_path->type = alloc_MethodType(1, argcv_meth_ast_9726_path);
  meth_meth_ast_9726_path->definitionModule = modulename;
  meth_meth_ast_9726_path->definitionLine = 2578;
// method "accept(_)from(_)"
  struct UserObject *uo9729 = (struct UserObject*)obj9695;
  uo9729->data[9] = emptyclosure;
  Method *meth_meth_ast_9729_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9695, "accept(1)from(1)", &meth_ast_9729_accept_40_1_41_from_40_1_41_, 9);
  int argcv_meth_ast_9729_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9729_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9729_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9729_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9729_accept_40_1_41_from_40_1_41_->definitionLine = 2581;
// method "map(_)ancestors(_)"
  struct UserObject *uo9732 = (struct UserObject*)obj9695;
  uo9732->data[10] = emptyclosure;
  Method *meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9695, "map(1)ancestors(1)", &meth_ast_9732_map_40_1_41_ancestors_40_1_41_, 10);
  int argcv_meth_ast_9732_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9732_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_->definitionLine = 2584;
// method "pretty(_)"
  struct UserObject *uo9739 = (struct UserObject*)obj9695;
  uo9739->data[11] = emptyclosure;
  Method *meth_meth_ast_9739_pretty_40_1_41_ = addmethod2pos(obj9695, "pretty(1)", &meth_ast_9739_pretty_40_1_41_, 11);
  int argcv_meth_ast_9739_pretty_40_1_41_[] = {1};
  meth_meth_ast_9739_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9739_pretty_40_1_41_);
  meth_meth_ast_9739_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9739_pretty_40_1_41_->definitionLine = 2589;
// method "toGrace(_)"
  struct UserObject *uo9775 = (struct UserObject*)obj9695;
  uo9775->data[12] = emptyclosure;
  Method *meth_meth_ast_9775_toGrace_40_1_41_ = addmethod2pos(obj9695, "toGrace(1)", &meth_ast_9775_toGrace_40_1_41_, 12);
  int argcv_meth_ast_9775_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9775_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9775_toGrace_40_1_41_);
meth_meth_ast_9775_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9775_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9775_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9775_toGrace_40_1_41_->definitionLine = 2595;
// method "shallowCopy"
  block_savedest(obj9695);
  Object closure9786 = createclosure(1, "shallowCopy");
  setclosureframe(closure9786, stackframe);
  addtoclosure(closure9786, var_dialectNode);
  struct UserObject *uo9786 = (struct UserObject*)obj9695;
  uo9786->data[13] = (Object)closure9786;
  Method *meth_meth_ast_9786_shallowCopy = addmethod2pos(obj9695, "shallowCopy", &meth_ast_9786_shallowCopy, 13);
  int argcv_meth_ast_9786_shallowCopy[] = {0};
  meth_meth_ast_9786_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9786_shallowCopy);
  meth_meth_ast_9786_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9786_shallowCopy->definitionLine = 2598;
// method "postCopy(_)"
  struct UserObject *uo9793 = (struct UserObject*)obj9695;
  uo9793->data[14] = emptyclosure;
  Method *meth_meth_ast_9793_postCopy_40_1_41_ = addmethod2pos(obj9695, "postCopy(1)", &meth_ast_9793_postCopy_40_1_41_, 14);
  int argcv_meth_ast_9793_postCopy_40_1_41_[] = {1};
  meth_meth_ast_9793_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9793_postCopy_40_1_41_);
  meth_meth_ast_9793_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9793_postCopy_40_1_41_->definitionLine = 2601;
  sourceObject = obj9695;
// Begin line 2559
  setline(2559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9798 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9799 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9798);
// compiled call node returning call9799 (depth = 3)
  struct UserObject *obj9695_uo = (struct UserObject *)obj9695;
  obj9695_uo->super = call9799;
  sourceObject = obj9695;
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9800 == NULL) {
    strlit9800 = alloc_String("dialect");
    gc_root(strlit9800);
  }
// compiled string node returning strlit9800 (depth = 3)
  adddatum2(obj9695, strlit9800, 1);
  sourceObject = obj9695;
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_pathString (depth = 3)
  adddatum2(obj9695, *var_pathString, 2);
  sourceObject = obj9695;
// Begin line 2562
  setline(2562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
  adddatum2(obj9695, *var_noPosition, 3);
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  objclass9695 = obj9695->class;
  objclass9695->definitionModule = modulename;
  objclass9695->definitionLine = 2558;
  (*(struct UserObject *)self).data[0] = lowerouter9695;
  self = oldself9695;
  selfslot = oldselfslot9695;
  stackframe = oldstackframe9695;
  gc_frame_end(frame);
  return obj9695;
}
Object meth_ast_9694_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  Object *var_noPosition = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pathString = &(stackframe->slots[0]);
  *var_pathString = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9695 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9695 = alloc_userobj2(16,15, objclass9695);
  gc_frame_newslot(obj9695);
  if (objclass9695 == NULL) {
    glfree(obj9695->class->name);
    obj9695->class->name = "dialectNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9695, self, 0);
  addmethodreal(obj9695,"outer", &reader_ast_outer_9696);
  Object oldself9695 = self;
  struct StackFrameObject *oldstackframe9695 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9695);
  gc_frame_newslot((Object)stackframe);
  self = obj9695;
  Object *oldselfslot9695 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9695 = (*(struct UserObject *)self).data[0], lowerouter9695 = thisouter9695;
  if (inheritingObject9695) {
    struct UserObject *inho9695 = (struct UserObject *)inheritingObject9695;
    while (inho9695->super != GraceDefaultObject) inho9695 = (struct UserObject *)inho9695->super;
    inho9695->super = obj9695;
    self = inheritingObject9695;
    *selfslot = self;
    lowerouter9695 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9695;
  }
  if (objclass9695 == NULL) {
  Method *reader9697 = addmethodrealflags(obj9695, "kind",&reader_ast_kind_9697, MFLAG_DEF);
  reader9697->definitionModule = modulename;
  reader9697->definitionLine = 2560;
  }
  adddatum2(obj9695, alloc_Undefined(), 1);
  if (objclass9695 == NULL) {
    Method *reader9698 = addmethodrealflags(obj9695, "value", &reader_ast_value_9698, 0);
    Method *writer9698 = addmethodrealflags(obj9695, "value:=(1)", &writer_ast_value_9698, 0);
    reader9698->definitionModule = modulename;
    writer9698->definitionModule = modulename;
    reader9698->definitionLine = 2561;
    writer9698->definitionLine = 2561;
  }
  obj9695->flags |= OFLAG_MUTABLE;
  adddatum2(obj9695, alloc_Undefined(), 2);
  if (objclass9695 == NULL) {
    Method *reader9699 = addmethodrealflags(obj9695, "end", &reader_ast_end_9699, 0);
    Method *writer9699 = addmethodrealflags(obj9695, "end:=(1)", &writer_ast_end_9699, 0);
    reader9699->definitionModule = modulename;
    writer9699->definitionModule = modulename;
    reader9699->definitionLine = 2562;
    writer9699->definitionLine = 2562;
  }
  obj9695->flags |= OFLAG_MUTABLE;
  adddatum2(obj9695, alloc_Undefined(), 3);
// method "isDialect"
  struct UserObject *uo9700 = (struct UserObject*)obj9695;
  uo9700->data[4] = emptyclosure;
  Method *meth_meth_ast_9700_isDialect = addmethod2pos(obj9695, "isDialect", &meth_ast_9700_isDialect, 4);
  int argcv_meth_ast_9700_isDialect[] = {0};
  meth_meth_ast_9700_isDialect->type = alloc_MethodType(1, argcv_meth_ast_9700_isDialect);
  meth_meth_ast_9700_isDialect->definitionModule = modulename;
  meth_meth_ast_9700_isDialect->definitionLine = 2564;
// method "isExternal"
  struct UserObject *uo9702 = (struct UserObject*)obj9695;
  uo9702->data[5] = emptyclosure;
  Method *meth_meth_ast_9702_isExternal = addmethod2pos(obj9695, "isExternal", &meth_ast_9702_isExternal, 5);
  int argcv_meth_ast_9702_isExternal[] = {0};
  meth_meth_ast_9702_isExternal->type = alloc_MethodType(1, argcv_meth_ast_9702_isExternal);
  meth_meth_ast_9702_isExternal->definitionModule = modulename;
  meth_meth_ast_9702_isExternal->definitionLine = 2565;
// method "isExecutable"
  struct UserObject *uo9704 = (struct UserObject*)obj9695;
  uo9704->data[6] = emptyclosure;
  Method *meth_meth_ast_9704_isExecutable = addmethod2pos(obj9695, "isExecutable", &meth_ast_9704_isExecutable, 6);
  int argcv_meth_ast_9704_isExecutable[] = {0};
  meth_meth_ast_9704_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_9704_isExecutable);
  meth_meth_ast_9704_isExecutable->definitionModule = modulename;
  meth_meth_ast_9704_isExecutable->definitionLine = 2566;
// method "moduleName"
  struct UserObject *uo9706 = (struct UserObject*)obj9695;
  uo9706->data[7] = emptyclosure;
  Method *meth_meth_ast_9706_moduleName = addmethod2pos(obj9695, "moduleName", &meth_ast_9706_moduleName, 7);
  int argcv_meth_ast_9706_moduleName[] = {0};
  meth_meth_ast_9706_moduleName->type = alloc_MethodType(1, argcv_meth_ast_9706_moduleName);
  meth_meth_ast_9706_moduleName->definitionModule = modulename;
  meth_meth_ast_9706_moduleName->definitionLine = 2567;
// method "path"
  struct UserObject *uo9726 = (struct UserObject*)obj9695;
  uo9726->data[8] = emptyclosure;
  Method *meth_meth_ast_9726_path = addmethod2pos(obj9695, "path", &meth_ast_9726_path, 8);
  int argcv_meth_ast_9726_path[] = {0};
  meth_meth_ast_9726_path->type = alloc_MethodType(1, argcv_meth_ast_9726_path);
  meth_meth_ast_9726_path->definitionModule = modulename;
  meth_meth_ast_9726_path->definitionLine = 2578;
// method "accept(_)from(_)"
  struct UserObject *uo9729 = (struct UserObject*)obj9695;
  uo9729->data[9] = emptyclosure;
  Method *meth_meth_ast_9729_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9695, "accept(1)from(1)", &meth_ast_9729_accept_40_1_41_from_40_1_41_, 9);
  int argcv_meth_ast_9729_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9729_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9729_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9729_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9729_accept_40_1_41_from_40_1_41_->definitionLine = 2581;
// method "map(_)ancestors(_)"
  struct UserObject *uo9732 = (struct UserObject*)obj9695;
  uo9732->data[10] = emptyclosure;
  Method *meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9695, "map(1)ancestors(1)", &meth_ast_9732_map_40_1_41_ancestors_40_1_41_, 10);
  int argcv_meth_ast_9732_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9732_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9732_map_40_1_41_ancestors_40_1_41_->definitionLine = 2584;
// method "pretty(_)"
  struct UserObject *uo9739 = (struct UserObject*)obj9695;
  uo9739->data[11] = emptyclosure;
  Method *meth_meth_ast_9739_pretty_40_1_41_ = addmethod2pos(obj9695, "pretty(1)", &meth_ast_9739_pretty_40_1_41_, 11);
  int argcv_meth_ast_9739_pretty_40_1_41_[] = {1};
  meth_meth_ast_9739_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9739_pretty_40_1_41_);
  meth_meth_ast_9739_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9739_pretty_40_1_41_->definitionLine = 2589;
// method "toGrace(_)"
  struct UserObject *uo9775 = (struct UserObject*)obj9695;
  uo9775->data[12] = emptyclosure;
  Method *meth_meth_ast_9775_toGrace_40_1_41_ = addmethod2pos(obj9695, "toGrace(1)", &meth_ast_9775_toGrace_40_1_41_, 12);
  int argcv_meth_ast_9775_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9775_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9775_toGrace_40_1_41_);
meth_meth_ast_9775_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9775_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9775_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9775_toGrace_40_1_41_->definitionLine = 2595;
// method "shallowCopy"
  block_savedest(obj9695);
  Object closure9786 = createclosure(1, "shallowCopy");
  setclosureframe(closure9786, stackframe);
  addtoclosure(closure9786, var_dialectNode);
  struct UserObject *uo9786 = (struct UserObject*)obj9695;
  uo9786->data[13] = (Object)closure9786;
  Method *meth_meth_ast_9786_shallowCopy = addmethod2pos(obj9695, "shallowCopy", &meth_ast_9786_shallowCopy, 13);
  int argcv_meth_ast_9786_shallowCopy[] = {0};
  meth_meth_ast_9786_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9786_shallowCopy);
  meth_meth_ast_9786_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9786_shallowCopy->definitionLine = 2598;
// method "postCopy(_)"
  struct UserObject *uo9793 = (struct UserObject*)obj9695;
  uo9793->data[14] = emptyclosure;
  Method *meth_meth_ast_9793_postCopy_40_1_41_ = addmethod2pos(obj9695, "postCopy(1)", &meth_ast_9793_postCopy_40_1_41_, 14);
  int argcv_meth_ast_9793_postCopy_40_1_41_[] = {1};
  meth_meth_ast_9793_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9793_postCopy_40_1_41_);
  meth_meth_ast_9793_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9793_postCopy_40_1_41_->definitionLine = 2601;
  sourceObject = obj9695;
// Begin line 2559
  setline(2559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9798 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9799 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9798);
// compiled call node returning call9799 (depth = 3)
  struct UserObject *obj9695_uo = (struct UserObject *)obj9695;
  obj9695_uo->super = call9799;
  sourceObject = obj9695;
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9800 == NULL) {
    strlit9800 = alloc_String("dialect");
    gc_root(strlit9800);
  }
// compiled string node returning strlit9800 (depth = 3)
  adddatum2(obj9695, strlit9800, 1);
  sourceObject = obj9695;
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_pathString (depth = 3)
  adddatum2(obj9695, *var_pathString, 2);
  sourceObject = obj9695;
// Begin line 2562
  setline(2562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
  adddatum2(obj9695, *var_noPosition, 3);
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  sourceObject = obj9695;
  objclass9695 = obj9695->class;
  objclass9695->definitionModule = modulename;
  objclass9695->definitionLine = 2558;
  (*(struct UserObject *)self).data[0] = lowerouter9695;
  self = oldself9695;
  selfslot = oldselfslot9695;
  stackframe = oldstackframe9695;
  gc_frame_end(frame);
  return obj9695;
}
Object meth_ast_9802_dialectNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dialectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2552
  setline(2552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dialectNode (depth = 3)
  gc_frame_end(frame);
  return *var_dialectNode;
}
Object meth_ast_9811_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2615
  setline(2615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9814 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9815 = gc_frame_new();
// call case 4: self request
  Object call9816 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9815);
// compiled member node returning call9816 (depth = 6)
  Object call9817 = callmethodflags(call9816, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9814);
// compiled member node returning call9817 (depth = 5)
  int op_slot_right_9813 = gc_frame_newslot(call9817);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noPosition (depth = 5)
  int op_slot_left_9813 = gc_frame_newslot(*var_noPosition);
  params[0] = call9817;
  partcv[0] = 1;
  Object opresult9819 = callmethod(*var_noPosition, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9819 (depth = 4)
  Object if9812 = done;
  if (istrue(opresult9819)) {
// Begin line 2616
  setline(2616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9820 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9821 = gc_frame_new();
// call case 4: self request
  Object call9822 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9821);
// compiled member node returning call9822 (depth = 5)
  Object call9823 = callmethodflags(call9822, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9820);
// compiled member node returning call9823 (depth = 4)
    gc_frame_newslot(call9823);
    if9812 = call9823;
  } else {
// Begin line 2618
  setline(2618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9824 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9825 = gc_frame_new();
// call case 4: self request
  Object call9826 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9825);
// compiled member node returning call9826 (depth = 5)
  gc_frame_newslot(call9826);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9828 = alloc_Float64(5);
// compiled num node returning num9828 (depth = 6)
  int op_slot_right_9827 = gc_frame_newslot(num9828);
// starting to compile member node (depth = 6)
  int callframe9830 = gc_frame_new();
// call case 4: self request
  Object call9831 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9830);
// compiled member node returning call9831 (depth = 6)
  int op_slot_left_9827 = gc_frame_newslot(call9831);
  params[0] = num9828;
  partcv[0] = 1;
  Object sum9832 = callmethod(call9831, "+(1)", 1, partcv, params);
// compiled op node returning sum9832 (depth = 5)
  gc_frame_newslot(sum9832);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9826;
  params[1] = sum9832;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9833 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9824);
// compiled call node returning call9833 (depth = 4)
    gc_frame_newslot(call9833);
    if9812 = call9833;
  }
// compiled if node returning if9812 (depth = 3)
  gc_frame_end(frame);
  return if9812;
}
Object meth_ast_9834_isReturn(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2621
  setline(2621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9835 = alloc_Boolean(1);
// compiled identifier node returning bool9835 (depth = 3)
  gc_frame_end(frame);
  return bool9835;
}
Object meth_ast_9836_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 2623
  setline(2623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9838 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9839 = callmethodflags(*var_visitor, "visitReturn(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9838);
// compiled call node returning call9839 (depth = 4)
  Object if9837 = done;
  if (istrue(call9839)) {
// Begin line 2624
  setline(2624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9840 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9841 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9840);
// compiled call node returning call9841 (depth = 5)
  *var_newChain = call9841;
  if (call9841 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9842 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9843 = gc_frame_new();
// call case 4: self request
  Object call9844 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9843);
// compiled member node returning call9844 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9845 = callmethodflags(call9844, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9842);
// compiled call node returning call9845 (depth = 4)
    gc_frame_newslot(call9845);
    if9837 = call9845;
  } else {
  }
// compiled if node returning if9837 (depth = 3)
  gc_frame_end(frame);
  return if9837;
}
Object meth_ast_9846_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9847 = gc_frame_new();
// call case 4: self request
  Object call9848 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9847);
// compiled member node returning call9848 (depth = 4)
  *var_n = call9848;
  if (call9848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9849 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9850 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9849);
// compiled call node returning call9850 (depth = 4)
  *var_newChain = call9850;
  if (call9850 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2631
  setline(2631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9851 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9852 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9853 = gc_frame_new();
// call case 4: self request
  Object call9854 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9853);
// compiled member node returning call9854 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9855 = callmethodflags(call9854, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9852);
// compiled call node returning call9855 (depth = 4)
  gc_frame_newslot(call9855);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9855;
  partcv[0] = 1;
  Object call9856 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9851);
// compiled call node returning call9856 (depth = 3)
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9857 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9858 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9859 = gc_frame_new();
// call case 4: self request
  Object call9860 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9859);
// compiled member node returning call9860 (depth = 5)
  gc_frame_newslot(call9860);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call9860;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9861 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9858);
// compiled call node returning call9861 (depth = 4)
  gc_frame_newslot(call9861);
// call case 6: other requests
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9861;
  partcv[0] = 1;
  Object call9862 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9857);
// compiled call node returning call9862 (depth = 3)
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9863 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9864 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9863);
// compiled call node returning call9864 (depth = 3)
  gc_frame_end(frame);
  return call9864;
}
Object meth_ast_9865_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9868 = alloc_Float64(1);
// compiled num node returning num9868 (depth = 6)
  int op_slot_right_9867 = gc_frame_newslot(num9868);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_9867 = gc_frame_newslot(*var_depth);
  params[0] = num9868;
  partcv[0] = 1;
  Object sum9870 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9870 (depth = 5)
  int op_slot_right_9866 = gc_frame_newslot(sum9870);
// starting to compile string node (depth = 5)
  if (strlit9872 == NULL) {
    strlit9872 = alloc_String("  ");
    gc_root(strlit9872);
  }
// compiled string node returning strlit9872 (depth = 5)
  int op_slot_left_9866 = gc_frame_newslot(strlit9872);
  params[0] = sum9870;
  partcv[0] = 1;
  Object prod9873 = callmethod(strlit9872, "*(1)", 1, partcv, params);
// compiled op node returning prod9873 (depth = 4)
  *var_spc = prod9873;
  if (prod9873 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9875 == NULL) {
    strlit9875 = alloc_String("""\x0a""");
    gc_root(strlit9875);
  }
// compiled string node returning strlit9875 (depth = 5)
  int op_slot_right_9874 = gc_frame_newslot(strlit9875);
// starting to compile call node (depth = 5)
  int callframe9877 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9878 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9877);
// compiled call node returning call9878 (depth = 5)
  int op_slot_left_9874 = gc_frame_newslot(call9878);
  params[0] = strlit9875;
  partcv[0] = 1;
  Object opresult9879 = callmethod(call9878, "++(1)", 1, partcv, params);
// compiled op node returning opresult9879 (depth = 4)
  *var_s = opresult9879;
  if (opresult9879 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2638
  setline(2638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9881 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9883 = alloc_Float64(1);
// compiled num node returning num9883 (depth = 7)
  int op_slot_right_9882 = gc_frame_newslot(num9883);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_9882 = gc_frame_newslot(*var_depth);
  params[0] = num9883;
  partcv[0] = 1;
  Object sum9885 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9885 (depth = 6)
  gc_frame_newslot(sum9885);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9886 = gc_frame_new();
// call case 4: self request
  Object call9887 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9886);
// compiled member node returning call9887 (depth = 6)
  params[0] = sum9885;
  partcv[0] = 1;
  Object call9888 = callmethodflags(call9887, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9881);
// compiled call node returning call9888 (depth = 5)
  int op_slot_right_9880 = gc_frame_newslot(call9888);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_9890 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9890 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9892 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9892 (depth = 5)
  int op_slot_left_9880 = gc_frame_newslot(opresult9892);
  params[0] = call9888;
  partcv[0] = 1;
  Object opresult9893 = callmethod(opresult9892, "++(1)", 1, partcv, params);
// compiled op node returning opresult9893 (depth = 4)
  *var_s = opresult9893;
  if (opresult9893 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2639
  setline(2639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9897 = gc_frame_new();
// call case 4: self request
  Object call9898 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9897);
// compiled member node returning call9898 (depth = 5)
  int op_slot_right_9896 = gc_frame_newslot(call9898);
// starting to compile identifier node (depth = 5)
  Object bool9900 = alloc_Boolean(0);
// compiled identifier node returning bool9900 (depth = 5)
  int op_slot_left_9896 = gc_frame_newslot(bool9900);
  params[0] = call9898;
  partcv[0] = 1;
  Object opresult9901 = callmethod(bool9900, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9901 (depth = 4)
  Object if9895 = done;
  if (istrue(opresult9901)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9903 == NULL) {
    strlit9903 = alloc_String(")");
    gc_root(strlit9903);
  }
// compiled string node returning strlit9903 (depth = 6)
  int op_slot_right_9902 = gc_frame_newslot(strlit9903);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9906 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num9907 = alloc_Float64(0);
// compiled num node returning num9907 (depth = 8)
  gc_frame_newslot(num9907);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe9908 = gc_frame_new();
// call case 4: self request
  Object call9909 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9908);
// compiled member node returning call9909 (depth = 8)
  params[0] = num9907;
  partcv[0] = 1;
  Object call9910 = callmethodflags(call9909, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9906);
// compiled call node returning call9910 (depth = 7)
  int op_slot_right_9905 = gc_frame_newslot(call9910);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9913 == NULL) {
    strlit9913 = alloc_String(" (type ");
    gc_root(strlit9913);
  }
// compiled string node returning strlit9913 (depth = 8)
  int op_slot_right_9912 = gc_frame_newslot(strlit9913);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_9915 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit9917 == NULL) {
    strlit9917 = alloc_String("");
    gc_root(strlit9917);
  }
// compiled string node returning strlit9917 (depth = 9)
  int op_slot_left_9915 = gc_frame_newslot(strlit9917);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9918 = callmethod(strlit9917, "++(1)", 1, partcv, params);
// compiled op node returning opresult9918 (depth = 8)
  int op_slot_left_9912 = gc_frame_newslot(opresult9918);
  params[0] = strlit9913;
  partcv[0] = 1;
  Object opresult9919 = callmethod(opresult9918, "++(1)", 1, partcv, params);
// compiled op node returning opresult9919 (depth = 7)
  int op_slot_left_9905 = gc_frame_newslot(opresult9919);
  params[0] = call9910;
  partcv[0] = 1;
  Object opresult9920 = callmethod(opresult9919, "++(1)", 1, partcv, params);
// compiled op node returning opresult9920 (depth = 6)
  int op_slot_left_9902 = gc_frame_newslot(opresult9920);
  params[0] = strlit9903;
  partcv[0] = 1;
  Object opresult9921 = callmethod(opresult9920, "++(1)", 1, partcv, params);
// compiled op node returning opresult9921 (depth = 5)
  *var_s = opresult9921;
  if (opresult9921 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9895 = done;
  } else {
  }
// compiled if node returning if9895 (depth = 3)
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_9923_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9925 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9926 = gc_frame_new();
// call case 4: self request
  Object call9927 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9926);
// compiled member node returning call9927 (depth = 5)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9928 = callmethodflags(call9927, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9925);
// compiled call node returning call9928 (depth = 4)
  int op_slot_right_9924 = gc_frame_newslot(call9928);
// starting to compile string node (depth = 4)
  if (strlit9930 == NULL) {
    strlit9930 = alloc_String("return ");
    gc_root(strlit9930);
  }
// compiled string node returning strlit9930 (depth = 4)
  int op_slot_left_9924 = gc_frame_newslot(strlit9930);
  params[0] = call9928;
  partcv[0] = 1;
  Object opresult9931 = callmethod(strlit9930, "++(1)", 1, partcv, params);
// compiled op node returning opresult9931 (depth = 3)
  gc_frame_end(frame);
  return opresult9931;
}
Object meth_ast_9932_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2646
  setline(2646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9933 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9934 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9935 = gc_frame_new();
// call case 4: self request
  Object call9936 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9935);
// compiled member node returning call9936 (depth = 5)
  gc_frame_newslot(call9936);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_returnNode (depth = 5)
  params[0] = call9936;
  partcv[0] = 1;
  Object call9937 = callmethodflags(*var_returnNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9934);
// compiled call node returning call9937 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9938 = callmethodflags(call9937, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9933);
// compiled call node returning call9938 (depth = 3)
  gc_frame_end(frame);
  return call9938;
}
Object meth_ast_9939_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2649
  setline(2649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9940 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9941 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9942 = callmethodflags(*var_other, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe9941);
// compiled member node returning call9942 (depth = 4)
  gc_frame_newslot(call9942);
// call case 4: self request
  params[0] = call9942;
  partcv[0] = 1;
  Object call9943 = callmethodflags(self, "dtype:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9940);
// compiled call node returning call9943 (depth = 3)
// Begin line 2650
  setline(2650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_9944_returnsObject(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2652
  setline(2652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9945 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9946 = gc_frame_new();
// call case 4: self request
  Object call9947 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9946);
// compiled member node returning call9947 (depth = 4)
  Object call9948 = callmethodflags(call9947, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe9945);
// compiled member node returning call9948 (depth = 3)
  gc_frame_end(frame);
  return call9948;
}
Object meth_ast_9949_returnedObjectScope(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9950 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9951 = gc_frame_new();
// call case 4: self request
  Object call9952 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9951);
// compiled member node returning call9952 (depth = 4)
  Object call9953 = callmethodflags(call9952, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe9950);
// compiled member node returning call9953 (depth = 3)
  gc_frame_end(frame);
  return call9953;
}
Object meth_ast_9954_resultExpression(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "resultExpression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9955 = gc_frame_new();
// call case 4: self request
  Object call9956 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9955);
// compiled member node returning call9956 (depth = 3)
  gc_frame_end(frame);
  return call9956;
}
Object meth_ast_9805_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9806 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9806 = alloc_userobj2(16,15, objclass9806);
  gc_frame_newslot(obj9806);
  if (objclass9806 == NULL) {
    glfree(obj9806->class->name);
    obj9806->class->name = "returnNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9806, self, 0);
  addmethodreal(obj9806,"outer", &reader_ast_outer_9807);
  Object oldself9806 = self;
  struct StackFrameObject *oldstackframe9806 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9806);
  gc_frame_newslot((Object)stackframe);
  self = obj9806;
  Object *oldselfslot9806 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9806 = (*(struct UserObject *)self).data[0], lowerouter9806 = thisouter9806;
  if (inheritingObject9806) {
    struct UserObject *inho9806 = (struct UserObject *)inheritingObject9806;
    while (inho9806->super != GraceDefaultObject) inho9806 = (struct UserObject *)inho9806->super;
    inho9806->super = obj9806;
    self = inheritingObject9806;
    *selfslot = self;
    lowerouter9806 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9806;
  }
  if (objclass9806 == NULL) {
  Method *reader9808 = addmethodrealflags(obj9806, "kind",&reader_ast_kind_9808, MFLAG_DEF);
  reader9808->definitionModule = modulename;
  reader9808->definitionLine = 2610;
  }
  adddatum2(obj9806, alloc_Undefined(), 1);
  if (objclass9806 == NULL) {
    Method *reader9809 = addmethodrealflags(obj9806, "value", &reader_ast_value_9809, 0);
    Method *writer9809 = addmethodrealflags(obj9806, "value:=(1)", &writer_ast_value_9809, 0);
    reader9809->definitionModule = modulename;
    writer9809->definitionModule = modulename;
    reader9809->definitionLine = 2611;
    writer9809->definitionLine = 2611;
  }
  obj9806->flags |= OFLAG_MUTABLE;
  adddatum2(obj9806, alloc_Undefined(), 2);
  if (objclass9806 == NULL) {
    Method *reader9810 = addmethodrealflags(obj9806, "dtype", &reader_ast_dtype_9810, 0);
    Method *writer9810 = addmethodrealflags(obj9806, "dtype:=(1)", &writer_ast_dtype_9810, 0);
    reader9810->definitionModule = modulename;
    writer9810->definitionModule = modulename;
    reader9810->definitionLine = 2612;
    writer9810->definitionLine = 2612;
  }
  obj9806->flags |= OFLAG_MUTABLE;
  adddatum2(obj9806, alloc_Undefined(), 3);
// method "end"
  block_savedest(obj9806);
  Object closure9811 = createclosure(1, "end");
  setclosureframe(closure9811, stackframe);
  addtoclosure(closure9811, var_noPosition);
  struct UserObject *uo9811 = (struct UserObject*)obj9806;
  uo9811->data[4] = (Object)closure9811;
  Method *meth_meth_ast_9811_end = addmethod2pos(obj9806, "end", &meth_ast_9811_end, 4);
  int argcv_meth_ast_9811_end[] = {0};
  meth_meth_ast_9811_end->type = alloc_MethodType(1, argcv_meth_ast_9811_end);
  meth_meth_ast_9811_end->definitionModule = modulename;
  meth_meth_ast_9811_end->definitionLine = 2614;
// method "isReturn"
  struct UserObject *uo9834 = (struct UserObject*)obj9806;
  uo9834->data[5] = emptyclosure;
  Method *meth_meth_ast_9834_isReturn = addmethod2pos(obj9806, "isReturn", &meth_ast_9834_isReturn, 5);
  int argcv_meth_ast_9834_isReturn[] = {0};
  meth_meth_ast_9834_isReturn->type = alloc_MethodType(1, argcv_meth_ast_9834_isReturn);
  meth_meth_ast_9834_isReturn->definitionModule = modulename;
  meth_meth_ast_9834_isReturn->definitionLine = 2621;
// method "accept(_)from(_)"
  struct UserObject *uo9836 = (struct UserObject*)obj9806;
  uo9836->data[6] = emptyclosure;
  Method *meth_meth_ast_9836_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9806, "accept(1)from(1)", &meth_ast_9836_accept_40_1_41_from_40_1_41_, 6);
  int argcv_meth_ast_9836_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9836_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9836_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9836_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9836_accept_40_1_41_from_40_1_41_->definitionLine = 2622;
// method "map(_)ancestors(_)"
  struct UserObject *uo9846 = (struct UserObject*)obj9806;
  uo9846->data[7] = emptyclosure;
  Method *meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9806, "map(1)ancestors(1)", &meth_ast_9846_map_40_1_41_ancestors_40_1_41_, 7);
  int argcv_meth_ast_9846_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9846_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_->definitionLine = 2628;
// method "pretty(_)"
  struct UserObject *uo9865 = (struct UserObject*)obj9806;
  uo9865->data[8] = emptyclosure;
  Method *meth_meth_ast_9865_pretty_40_1_41_ = addmethod2pos(obj9806, "pretty(1)", &meth_ast_9865_pretty_40_1_41_, 8);
  int argcv_meth_ast_9865_pretty_40_1_41_[] = {1};
  meth_meth_ast_9865_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9865_pretty_40_1_41_);
  meth_meth_ast_9865_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9865_pretty_40_1_41_->definitionLine = 2635;
// method "toGrace(_)"
  struct UserObject *uo9923 = (struct UserObject*)obj9806;
  uo9923->data[9] = emptyclosure;
  Method *meth_meth_ast_9923_toGrace_40_1_41_ = addmethod2pos(obj9806, "toGrace(1)", &meth_ast_9923_toGrace_40_1_41_, 9);
  int argcv_meth_ast_9923_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9923_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9923_toGrace_40_1_41_);
meth_meth_ast_9923_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9923_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9923_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9923_toGrace_40_1_41_->definitionLine = 2642;
// method "shallowCopy"
  block_savedest(obj9806);
  Object closure9932 = createclosure(1, "shallowCopy");
  setclosureframe(closure9932, stackframe);
  addtoclosure(closure9932, var_returnNode);
  struct UserObject *uo9932 = (struct UserObject*)obj9806;
  uo9932->data[10] = (Object)closure9932;
  Method *meth_meth_ast_9932_shallowCopy = addmethod2pos(obj9806, "shallowCopy", &meth_ast_9932_shallowCopy, 10);
  int argcv_meth_ast_9932_shallowCopy[] = {0};
  meth_meth_ast_9932_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9932_shallowCopy);
  meth_meth_ast_9932_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9932_shallowCopy->definitionLine = 2645;
// method "postCopy(_)"
  struct UserObject *uo9939 = (struct UserObject*)obj9806;
  uo9939->data[11] = emptyclosure;
  Method *meth_meth_ast_9939_postCopy_40_1_41_ = addmethod2pos(obj9806, "postCopy(1)", &meth_ast_9939_postCopy_40_1_41_, 11);
  int argcv_meth_ast_9939_postCopy_40_1_41_[] = {1};
  meth_meth_ast_9939_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9939_postCopy_40_1_41_);
  meth_meth_ast_9939_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9939_postCopy_40_1_41_->definitionLine = 2648;
// method "returnsObject"
  struct UserObject *uo9944 = (struct UserObject*)obj9806;
  uo9944->data[12] = emptyclosure;
  Method *meth_meth_ast_9944_returnsObject = addmethod2pos(obj9806, "returnsObject", &meth_ast_9944_returnsObject, 12);
  int argcv_meth_ast_9944_returnsObject[] = {0};
  meth_meth_ast_9944_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_9944_returnsObject);
  meth_meth_ast_9944_returnsObject->definitionModule = modulename;
  meth_meth_ast_9944_returnsObject->definitionLine = 2652;
// method "returnedObjectScope"
  struct UserObject *uo9949 = (struct UserObject*)obj9806;
  uo9949->data[13] = emptyclosure;
  Method *meth_meth_ast_9949_returnedObjectScope = addmethod2pos(obj9806, "returnedObjectScope", &meth_ast_9949_returnedObjectScope, 13);
  int argcv_meth_ast_9949_returnedObjectScope[] = {0};
  meth_meth_ast_9949_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_9949_returnedObjectScope);
  meth_meth_ast_9949_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_9949_returnedObjectScope->definitionLine = 2653;
// method "resultExpression"
  struct UserObject *uo9954 = (struct UserObject*)obj9806;
  uo9954->data[14] = emptyclosure;
  Method *meth_meth_ast_9954_resultExpression = addmethod2pos(obj9806, "resultExpression", &meth_ast_9954_resultExpression, 14);
  int argcv_meth_ast_9954_resultExpression[] = {0};
  meth_meth_ast_9954_resultExpression->type = alloc_MethodType(1, argcv_meth_ast_9954_resultExpression);
  meth_meth_ast_9954_resultExpression->definitionModule = modulename;
  meth_meth_ast_9954_resultExpression->definitionLine = 2657;
  sourceObject = obj9806;
// Begin line 2609
  setline(2609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9957 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9958 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9957);
// compiled call node returning call9958 (depth = 3)
  struct UserObject *obj9806_uo = (struct UserObject *)obj9806;
  obj9806_uo->super = call9958;
  sourceObject = obj9806;
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9959 == NULL) {
    strlit9959 = alloc_String("return");
    gc_root(strlit9959);
  }
// compiled string node returning strlit9959 (depth = 3)
  adddatum2(obj9806, strlit9959, 1);
  sourceObject = obj9806;
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9806, *var_expr, 2);
  sourceObject = obj9806;
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9960 = alloc_Boolean(0);
// compiled identifier node returning bool9960 (depth = 3)
  adddatum2(obj9806, bool9960, 3);
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  objclass9806 = obj9806->class;
  objclass9806->definitionModule = modulename;
  objclass9806->definitionLine = 2608;
  (*(struct UserObject *)self).data[0] = lowerouter9806;
  self = oldself9806;
  selfslot = oldselfslot9806;
  stackframe = oldstackframe9806;
  gc_frame_end(frame);
  return obj9806;
}
Object meth_ast_9805_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_noPosition = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9806 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9806 = alloc_userobj2(16,15, objclass9806);
  gc_frame_newslot(obj9806);
  if (objclass9806 == NULL) {
    glfree(obj9806->class->name);
    obj9806->class->name = "returnNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9806, self, 0);
  addmethodreal(obj9806,"outer", &reader_ast_outer_9807);
  Object oldself9806 = self;
  struct StackFrameObject *oldstackframe9806 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9806);
  gc_frame_newslot((Object)stackframe);
  self = obj9806;
  Object *oldselfslot9806 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9806 = (*(struct UserObject *)self).data[0], lowerouter9806 = thisouter9806;
  if (inheritingObject9806) {
    struct UserObject *inho9806 = (struct UserObject *)inheritingObject9806;
    while (inho9806->super != GraceDefaultObject) inho9806 = (struct UserObject *)inho9806->super;
    inho9806->super = obj9806;
    self = inheritingObject9806;
    *selfslot = self;
    lowerouter9806 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9806;
  }
  if (objclass9806 == NULL) {
  Method *reader9808 = addmethodrealflags(obj9806, "kind",&reader_ast_kind_9808, MFLAG_DEF);
  reader9808->definitionModule = modulename;
  reader9808->definitionLine = 2610;
  }
  adddatum2(obj9806, alloc_Undefined(), 1);
  if (objclass9806 == NULL) {
    Method *reader9809 = addmethodrealflags(obj9806, "value", &reader_ast_value_9809, 0);
    Method *writer9809 = addmethodrealflags(obj9806, "value:=(1)", &writer_ast_value_9809, 0);
    reader9809->definitionModule = modulename;
    writer9809->definitionModule = modulename;
    reader9809->definitionLine = 2611;
    writer9809->definitionLine = 2611;
  }
  obj9806->flags |= OFLAG_MUTABLE;
  adddatum2(obj9806, alloc_Undefined(), 2);
  if (objclass9806 == NULL) {
    Method *reader9810 = addmethodrealflags(obj9806, "dtype", &reader_ast_dtype_9810, 0);
    Method *writer9810 = addmethodrealflags(obj9806, "dtype:=(1)", &writer_ast_dtype_9810, 0);
    reader9810->definitionModule = modulename;
    writer9810->definitionModule = modulename;
    reader9810->definitionLine = 2612;
    writer9810->definitionLine = 2612;
  }
  obj9806->flags |= OFLAG_MUTABLE;
  adddatum2(obj9806, alloc_Undefined(), 3);
// method "end"
  block_savedest(obj9806);
  Object closure9811 = createclosure(1, "end");
  setclosureframe(closure9811, stackframe);
  addtoclosure(closure9811, var_noPosition);
  struct UserObject *uo9811 = (struct UserObject*)obj9806;
  uo9811->data[4] = (Object)closure9811;
  Method *meth_meth_ast_9811_end = addmethod2pos(obj9806, "end", &meth_ast_9811_end, 4);
  int argcv_meth_ast_9811_end[] = {0};
  meth_meth_ast_9811_end->type = alloc_MethodType(1, argcv_meth_ast_9811_end);
  meth_meth_ast_9811_end->definitionModule = modulename;
  meth_meth_ast_9811_end->definitionLine = 2614;
// method "isReturn"
  struct UserObject *uo9834 = (struct UserObject*)obj9806;
  uo9834->data[5] = emptyclosure;
  Method *meth_meth_ast_9834_isReturn = addmethod2pos(obj9806, "isReturn", &meth_ast_9834_isReturn, 5);
  int argcv_meth_ast_9834_isReturn[] = {0};
  meth_meth_ast_9834_isReturn->type = alloc_MethodType(1, argcv_meth_ast_9834_isReturn);
  meth_meth_ast_9834_isReturn->definitionModule = modulename;
  meth_meth_ast_9834_isReturn->definitionLine = 2621;
// method "accept(_)from(_)"
  struct UserObject *uo9836 = (struct UserObject*)obj9806;
  uo9836->data[6] = emptyclosure;
  Method *meth_meth_ast_9836_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9806, "accept(1)from(1)", &meth_ast_9836_accept_40_1_41_from_40_1_41_, 6);
  int argcv_meth_ast_9836_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_9836_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9836_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_9836_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9836_accept_40_1_41_from_40_1_41_->definitionLine = 2622;
// method "map(_)ancestors(_)"
  struct UserObject *uo9846 = (struct UserObject*)obj9806;
  uo9846->data[7] = emptyclosure;
  Method *meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9806, "map(1)ancestors(1)", &meth_ast_9846_map_40_1_41_ancestors_40_1_41_, 7);
  int argcv_meth_ast_9846_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9846_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9846_map_40_1_41_ancestors_40_1_41_->definitionLine = 2628;
// method "pretty(_)"
  struct UserObject *uo9865 = (struct UserObject*)obj9806;
  uo9865->data[8] = emptyclosure;
  Method *meth_meth_ast_9865_pretty_40_1_41_ = addmethod2pos(obj9806, "pretty(1)", &meth_ast_9865_pretty_40_1_41_, 8);
  int argcv_meth_ast_9865_pretty_40_1_41_[] = {1};
  meth_meth_ast_9865_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9865_pretty_40_1_41_);
  meth_meth_ast_9865_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9865_pretty_40_1_41_->definitionLine = 2635;
// method "toGrace(_)"
  struct UserObject *uo9923 = (struct UserObject*)obj9806;
  uo9923->data[9] = emptyclosure;
  Method *meth_meth_ast_9923_toGrace_40_1_41_ = addmethod2pos(obj9806, "toGrace(1)", &meth_ast_9923_toGrace_40_1_41_, 9);
  int argcv_meth_ast_9923_toGrace_40_1_41_[] = {1};
  meth_meth_ast_9923_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9923_toGrace_40_1_41_);
meth_meth_ast_9923_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_9923_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_9923_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9923_toGrace_40_1_41_->definitionLine = 2642;
// method "shallowCopy"
  block_savedest(obj9806);
  Object closure9932 = createclosure(1, "shallowCopy");
  setclosureframe(closure9932, stackframe);
  addtoclosure(closure9932, var_returnNode);
  struct UserObject *uo9932 = (struct UserObject*)obj9806;
  uo9932->data[10] = (Object)closure9932;
  Method *meth_meth_ast_9932_shallowCopy = addmethod2pos(obj9806, "shallowCopy", &meth_ast_9932_shallowCopy, 10);
  int argcv_meth_ast_9932_shallowCopy[] = {0};
  meth_meth_ast_9932_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_9932_shallowCopy);
  meth_meth_ast_9932_shallowCopy->definitionModule = modulename;
  meth_meth_ast_9932_shallowCopy->definitionLine = 2645;
// method "postCopy(_)"
  struct UserObject *uo9939 = (struct UserObject*)obj9806;
  uo9939->data[11] = emptyclosure;
  Method *meth_meth_ast_9939_postCopy_40_1_41_ = addmethod2pos(obj9806, "postCopy(1)", &meth_ast_9939_postCopy_40_1_41_, 11);
  int argcv_meth_ast_9939_postCopy_40_1_41_[] = {1};
  meth_meth_ast_9939_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9939_postCopy_40_1_41_);
  meth_meth_ast_9939_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9939_postCopy_40_1_41_->definitionLine = 2648;
// method "returnsObject"
  struct UserObject *uo9944 = (struct UserObject*)obj9806;
  uo9944->data[12] = emptyclosure;
  Method *meth_meth_ast_9944_returnsObject = addmethod2pos(obj9806, "returnsObject", &meth_ast_9944_returnsObject, 12);
  int argcv_meth_ast_9944_returnsObject[] = {0};
  meth_meth_ast_9944_returnsObject->type = alloc_MethodType(1, argcv_meth_ast_9944_returnsObject);
  meth_meth_ast_9944_returnsObject->definitionModule = modulename;
  meth_meth_ast_9944_returnsObject->definitionLine = 2652;
// method "returnedObjectScope"
  struct UserObject *uo9949 = (struct UserObject*)obj9806;
  uo9949->data[13] = emptyclosure;
  Method *meth_meth_ast_9949_returnedObjectScope = addmethod2pos(obj9806, "returnedObjectScope", &meth_ast_9949_returnedObjectScope, 13);
  int argcv_meth_ast_9949_returnedObjectScope[] = {0};
  meth_meth_ast_9949_returnedObjectScope->type = alloc_MethodType(1, argcv_meth_ast_9949_returnedObjectScope);
  meth_meth_ast_9949_returnedObjectScope->definitionModule = modulename;
  meth_meth_ast_9949_returnedObjectScope->definitionLine = 2653;
// method "resultExpression"
  struct UserObject *uo9954 = (struct UserObject*)obj9806;
  uo9954->data[14] = emptyclosure;
  Method *meth_meth_ast_9954_resultExpression = addmethod2pos(obj9806, "resultExpression", &meth_ast_9954_resultExpression, 14);
  int argcv_meth_ast_9954_resultExpression[] = {0};
  meth_meth_ast_9954_resultExpression->type = alloc_MethodType(1, argcv_meth_ast_9954_resultExpression);
  meth_meth_ast_9954_resultExpression->definitionModule = modulename;
  meth_meth_ast_9954_resultExpression->definitionLine = 2657;
  sourceObject = obj9806;
// Begin line 2609
  setline(2609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9957 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9958 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9957);
// compiled call node returning call9958 (depth = 3)
  struct UserObject *obj9806_uo = (struct UserObject *)obj9806;
  obj9806_uo->super = call9958;
  sourceObject = obj9806;
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9959 == NULL) {
    strlit9959 = alloc_String("return");
    gc_root(strlit9959);
  }
// compiled string node returning strlit9959 (depth = 3)
  adddatum2(obj9806, strlit9959, 1);
  sourceObject = obj9806;
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9806, *var_expr, 2);
  sourceObject = obj9806;
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9960 = alloc_Boolean(0);
// compiled identifier node returning bool9960 (depth = 3)
  adddatum2(obj9806, bool9960, 3);
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  sourceObject = obj9806;
  objclass9806 = obj9806->class;
  objclass9806->definitionModule = modulename;
  objclass9806->definitionLine = 2608;
  (*(struct UserObject *)self).data[0] = lowerouter9806;
  self = oldself9806;
  selfslot = oldselfslot9806;
  stackframe = oldstackframe9806;
  gc_frame_end(frame);
  return obj9806;
}
Object meth_ast_9962_returnNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "returnNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_returnNode (depth = 3)
  gc_frame_end(frame);
  return *var_returnNode;
}
Object meth_ast_9965_new_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9966 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_expr (depth = 5)
  gc_frame_newslot(*var_expr);
// call case 4: self request
  params[0] = *var_expr;
  partcv[0] = 1;
  Object call9967 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9966);
// compiled call node returning call9967 (depth = 4)
  *var_result = call9967;
  if (call9967 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9968 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9969 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9968);
// compiled call node returning call9969 (depth = 3)
// Begin line 2664
  setline(2664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_9979_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9980 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9981 = gc_frame_new();
// call case 4: self request
  Object call9982 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9981);
// compiled member node returning call9982 (depth = 4)
  Object call9983 = callmethodflags(call9982, "end", 0, partcv, params, 0);
  gc_frame_end(callframe9980);
// compiled member node returning call9983 (depth = 3)
  gc_frame_end(frame);
  return call9983;
}
Object meth_ast_9984_isLegalInTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9985 = gc_frame_new();
// call case 4: self request
  Object call9986 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9985);
// compiled member node returning call9986 (depth = 3)
  gc_frame_end(frame);
  return call9986;
}
Object meth_ast_9987_isInherits(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9988 = alloc_Boolean(1);
// compiled identifier node returning bool9988 (depth = 3)
  gc_frame_end(frame);
  return bool9988;
}
Object meth_ast_9989_inheritFromMember(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritFromMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2678
  setline(2678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9990 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9991 = gc_frame_new();
// call case 4: self request
  Object call9992 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9991);
// compiled member node returning call9992 (depth = 4)
  Object call9993 = callmethodflags(call9992, "isMember", 0, partcv, params, 0);
  gc_frame_end(callframe9990);
// compiled member node returning call9993 (depth = 3)
  gc_frame_end(frame);
  return call9993;
}
Object meth_ast_9994_inheritFromCall(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritFromCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9995 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9996 = gc_frame_new();
// call case 4: self request
  Object call9997 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9996);
// compiled member node returning call9997 (depth = 4)
  Object call9998 = callmethodflags(call9997, "isCall", 0, partcv, params, 0);
  gc_frame_end(callframe9995);
// compiled member node returning call9998 (depth = 3)
  gc_frame_end(frame);
  return call9998;
}
Object meth_ast_9999_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10000 = alloc_Boolean(0);
// compiled identifier node returning bool10000 (depth = 3)
  gc_frame_end(frame);
  return bool10000;
}
Object meth_ast_10013__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2686
  setline(2686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10014 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10015 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call10016 = callmethodflags(*var_a, "newName", 0, partcv, params, 0);
  gc_frame_end(callframe10015);
// compiled member node returning call10016 (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10017 = callmethodflags(call10016, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10014);
// compiled call node returning call10017 (depth = 6)
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10018 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10019 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call10020 = callmethodflags(*var_a, "oldName", 0, partcv, params, 0);
  gc_frame_end(callframe10019);
// compiled member node returning call10020 (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10021 = callmethodflags(call10020, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10018);
// compiled call node returning call10021 (depth = 6)
  gc_frame_end(frame);
  return call10021;
}
Object meth_ast_10028__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 6)
  int callframe10029 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_e (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10030 = callmethodflags(*var_e, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10029);
// compiled call node returning call10030 (depth = 6)
  gc_frame_end(frame);
  return call10030;
}
Object meth_ast_10001_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// Begin line 2682
  setline(2682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10003 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10004 = callmethodflags(*var_visitor, "visitInherits(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10003);
// compiled call node returning call10004 (depth = 4)
  Object if10002 = done;
  if (istrue(call10004)) {
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10005 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call10006 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10005);
// compiled call node returning call10006 (depth = 5)
  *var_newChain = call10006;
  if (call10006 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10007 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10008 = gc_frame_new();
// call case 4: self request
  Object call10009 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10008);
// compiled member node returning call10009 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10010 = callmethodflags(call10009, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10007);
// compiled call node returning call10010 (depth = 4)
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10011 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10012 = alloc_Block(NULL, NULL, "ast", 2685);
  gc_frame_newslot(block10012);
// method "_apply(_)"
  block_savedest(block10012);
  Object closure10013 = createclosure(3, "_apply(1)");
  setclosureframe(closure10013, stackframe);
  addtoclosure(closure10013, var_visitor);
  addtoclosure(closure10013, var_newChain);
  addtoclosure(closure10013, selfslot);
  struct UserObject *uo10013 = (struct UserObject*)block10012;
  uo10013->data[0] = (Object)closure10013;
  Method *meth_meth_ast_10013__apply_40_1_41_ = addmethod2pos(block10012, "_apply(1)", &meth_ast_10013__apply_40_1_41_, 0);
  int argcv_meth_ast_10013__apply_40_1_41_[] = {1};
  meth_meth_ast_10013__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10013__apply_40_1_41_);
  meth_meth_ast_10013__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10013__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10012 (depth = 5)
  gc_frame_newslot(block10012);
// call case 6: other requests
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10023 = gc_frame_new();
// call case 4: self request
  Object call10024 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10023);
// compiled member node returning call10024 (depth = 5)
  params[0] = block10012;
  partcv[0] = 1;
  Object call10025 = callmethodflags(call10024, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10011);
// compiled call node returning call10025 (depth = 4)
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10026 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10027 = alloc_Block(NULL, NULL, "ast", 2689);
  gc_frame_newslot(block10027);
// method "_apply(_)"
  block_savedest(block10027);
  Object closure10028 = createclosure(3, "_apply(1)");
  setclosureframe(closure10028, stackframe);
  addtoclosure(closure10028, var_visitor);
  addtoclosure(closure10028, var_newChain);
  addtoclosure(closure10028, selfslot);
  struct UserObject *uo10028 = (struct UserObject*)block10027;
  uo10028->data[0] = (Object)closure10028;
  Method *meth_meth_ast_10028__apply_40_1_41_ = addmethod2pos(block10027, "_apply(1)", &meth_ast_10028__apply_40_1_41_, 0);
  int argcv_meth_ast_10028__apply_40_1_41_[] = {1};
  meth_meth_ast_10028__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10028__apply_40_1_41_);
  meth_meth_ast_10028__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10028__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10027 (depth = 5)
  gc_frame_newslot(block10027);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10032 = gc_frame_new();
// call case 4: self request
  Object call10033 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10032);
// compiled member node returning call10033 (depth = 5)
  params[0] = block10027;
  partcv[0] = 1;
  Object call10034 = callmethodflags(call10033, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10026);
// compiled call node returning call10034 (depth = 4)
    gc_frame_newslot(call10034);
    if10002 = call10034;
  } else {
  }
// compiled if node returning if10002 (depth = 3)
  gc_frame_end(frame);
  return if10002;
}
Object meth_ast_10035_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2696
  setline(2696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10036 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call10037 = callmethodflags(*var_k, "methdec", 0, partcv, params, 0);
  gc_frame_end(callframe10036);
// compiled member node returning call10037 (depth = 3)
  gc_frame_end(frame);
  return call10037;
}
Object meth_ast_10038_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2699
  setline(2699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10039 = gc_frame_new();
// call case 4: self request
  Object call10040 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10039);
// compiled member node returning call10040 (depth = 4)
  *var_n = call10040;
  if (call10040 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2700
  setline(2700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10041 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call10042 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10041);
// compiled call node returning call10042 (depth = 4)
  *var_newChain = call10042;
  if (call10042 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10043 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10044 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10045 = gc_frame_new();
// call case 4: self request
  Object call10046 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10045);
// compiled member node returning call10046 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10047 = callmethodflags(call10046, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10044);
// compiled call node returning call10047 (depth = 4)
  gc_frame_newslot(call10047);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call10047;
  partcv[0] = 1;
  Object call10048 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10043);
// compiled call node returning call10048 (depth = 3)
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10049 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10050 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10049);
// compiled call node returning call10050 (depth = 3)
  gc_frame_end(frame);
  return call10050;
}
Object meth_ast_10095__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10097 == NULL) {
    strlit10097 = alloc_String("");
    gc_root(strlit10097);
  }
// compiled string node returning strlit10097 (depth = 7)
  int op_slot_right_10096 = gc_frame_newslot(strlit10097);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10100 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10101 = callmethodflags(*var_a, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10100);
// compiled call node returning call10101 (depth = 8)
  int op_slot_right_10099 = gc_frame_newslot(call10101);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10104 == NULL) {
    strlit10104 = alloc_String("""\x0a""");
    gc_root(strlit10104);
  }
// compiled string node returning strlit10104 (depth = 9)
  int op_slot_right_10103 = gc_frame_newslot(strlit10104);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_10106 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit10108 == NULL) {
    strlit10108 = alloc_String("");
    gc_root(strlit10108);
  }
// compiled string node returning strlit10108 (depth = 10)
  int op_slot_left_10106 = gc_frame_newslot(strlit10108);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10109 = callmethod(strlit10108, "++(1)", 1, partcv, params);
// compiled op node returning opresult10109 (depth = 9)
  int op_slot_left_10103 = gc_frame_newslot(opresult10109);
  params[0] = strlit10104;
  partcv[0] = 1;
  Object opresult10110 = callmethod(opresult10109, "++(1)", 1, partcv, params);
// compiled op node returning opresult10110 (depth = 8)
  int op_slot_left_10099 = gc_frame_newslot(opresult10110);
  params[0] = call10101;
  partcv[0] = 1;
  Object opresult10111 = callmethod(opresult10110, "++(1)", 1, partcv, params);
// compiled op node returning opresult10111 (depth = 7)
  int op_slot_left_10096 = gc_frame_newslot(opresult10111);
  params[0] = strlit10097;
  partcv[0] = 1;
  Object opresult10112 = callmethod(opresult10111, "++(1)", 1, partcv, params);
// compiled op node returning opresult10112 (depth = 6)
  *var_s = opresult10112;
  if (opresult10112 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10143__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2714
  setline(2714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10145 == NULL) {
    strlit10145 = alloc_String(" ");
    gc_root(strlit10145);
  }
// compiled string node returning strlit10145 (depth = 7)
  int op_slot_right_10144 = gc_frame_newslot(strlit10145);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_e (depth = 8)
  int op_slot_right_10147 = gc_frame_newslot(*var_e);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10150 == NULL) {
    strlit10150 = alloc_String(" exclude ");
    gc_root(strlit10150);
  }
// compiled string node returning strlit10150 (depth = 9)
  int op_slot_right_10149 = gc_frame_newslot(strlit10150);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_10152 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit10154 == NULL) {
    strlit10154 = alloc_String("");
    gc_root(strlit10154);
  }
// compiled string node returning strlit10154 (depth = 10)
  int op_slot_left_10152 = gc_frame_newslot(strlit10154);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10155 = callmethod(strlit10154, "++(1)", 1, partcv, params);
// compiled op node returning opresult10155 (depth = 9)
  int op_slot_left_10149 = gc_frame_newslot(opresult10155);
  params[0] = strlit10150;
  partcv[0] = 1;
  Object opresult10156 = callmethod(opresult10155, "++(1)", 1, partcv, params);
// compiled op node returning opresult10156 (depth = 8)
  int op_slot_left_10147 = gc_frame_newslot(opresult10156);
  params[0] = *var_e;
  partcv[0] = 1;
  Object opresult10157 = callmethod(opresult10156, "++(1)", 1, partcv, params);
// compiled op node returning opresult10157 (depth = 7)
  int op_slot_left_10144 = gc_frame_newslot(opresult10157);
  params[0] = strlit10145;
  partcv[0] = 1;
  Object opresult10158 = callmethod(opresult10157, "++(1)", 1, partcv, params);
// compiled op node returning opresult10158 (depth = 6)
  *var_s = opresult10158;
  if (opresult10158 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10051_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10054 = alloc_Float64(1);
// compiled num node returning num10054 (depth = 6)
  int op_slot_right_10053 = gc_frame_newslot(num10054);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_10053 = gc_frame_newslot(*var_depth);
  params[0] = num10054;
  partcv[0] = 1;
  Object sum10056 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10056 (depth = 5)
  int op_slot_right_10052 = gc_frame_newslot(sum10056);
// starting to compile string node (depth = 5)
  if (strlit10058 == NULL) {
    strlit10058 = alloc_String("  ");
    gc_root(strlit10058);
  }
// compiled string node returning strlit10058 (depth = 5)
  int op_slot_left_10052 = gc_frame_newslot(strlit10058);
  params[0] = sum10056;
  partcv[0] = 1;
  Object prod10059 = callmethod(strlit10058, "*(1)", 1, partcv, params);
// compiled op node returning prod10059 (depth = 4)
  *var_spc = prod10059;
  if (prod10059 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10060 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10061 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10060);
// compiled call node returning call10061 (depth = 4)
  *var_s = call10061;
  if (call10061 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10063 = gc_frame_new();
// call case 4: self request
  Object call10064 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10063);
// compiled member node returning call10064 (depth = 4)
  Object if10062 = done;
  if (istrue(call10064)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10066 == NULL) {
    strlit10066 = alloc_String(" (use)");
    gc_root(strlit10066);
  }
// compiled string node returning strlit10066 (depth = 6)
  int op_slot_right_10065 = gc_frame_newslot(strlit10066);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_10068 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 7)
  if (strlit10070 == NULL) {
    strlit10070 = alloc_String("");
    gc_root(strlit10070);
  }
// compiled string node returning strlit10070 (depth = 7)
  int op_slot_left_10068 = gc_frame_newslot(strlit10070);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10071 = callmethod(strlit10070, "++(1)", 1, partcv, params);
// compiled op node returning opresult10071 (depth = 6)
  int op_slot_left_10065 = gc_frame_newslot(opresult10071);
  params[0] = strlit10066;
  partcv[0] = 1;
  Object opresult10072 = callmethod(opresult10071, "++(1)", 1, partcv, params);
// compiled op node returning opresult10072 (depth = 5)
  *var_s = opresult10072;
  if (opresult10072 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10062 = done;
  } else {
  }
// compiled if node returning if10062 (depth = 3)
// Begin line 2708
  setline(2708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10075 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10077 = alloc_Float64(1);
// compiled num node returning num10077 (depth = 7)
  int op_slot_right_10076 = gc_frame_newslot(num10077);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_10076 = gc_frame_newslot(*var_depth);
  params[0] = num10077;
  partcv[0] = 1;
  Object sum10079 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10079 (depth = 6)
  gc_frame_newslot(sum10079);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10080 = gc_frame_new();
// call case 4: self request
  Object call10081 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10080);
// compiled member node returning call10081 (depth = 6)
  params[0] = sum10079;
  partcv[0] = 1;
  Object call10082 = callmethodflags(call10081, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10075);
// compiled call node returning call10082 (depth = 5)
  int op_slot_right_10074 = gc_frame_newslot(call10082);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_10084 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10087 == NULL) {
    strlit10087 = alloc_String("""\x0a""");
    gc_root(strlit10087);
  }
// compiled string node returning strlit10087 (depth = 7)
  int op_slot_right_10086 = gc_frame_newslot(strlit10087);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_10086 = gc_frame_newslot(*var_s);
  params[0] = strlit10087;
  partcv[0] = 1;
  Object opresult10089 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10089 (depth = 6)
  int op_slot_left_10084 = gc_frame_newslot(opresult10089);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10090 = callmethod(opresult10089, "++(1)", 1, partcv, params);
// compiled op node returning opresult10090 (depth = 5)
  int op_slot_left_10074 = gc_frame_newslot(opresult10090);
  params[0] = call10082;
  partcv[0] = 1;
  Object opresult10091 = callmethod(opresult10090, "++(1)", 1, partcv, params);
// compiled op node returning opresult10091 (depth = 4)
  *var_s = opresult10091;
  if (opresult10091 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2709
  setline(2709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10093 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10094 = alloc_Block(NULL, NULL, "ast", 2709);
  gc_frame_newslot(block10094);
// method "_apply(_)"
  block_savedest(block10094);
  Object closure10095 = createclosure(3, "_apply(1)");
  setclosureframe(closure10095, stackframe);
  addtoclosure(closure10095, var_depth);
  addtoclosure(closure10095, var_s);
  addtoclosure(closure10095, selfslot);
  struct UserObject *uo10095 = (struct UserObject*)block10094;
  uo10095->data[0] = (Object)closure10095;
  Method *meth_meth_ast_10095__apply_40_1_41_ = addmethod2pos(block10094, "_apply(1)", &meth_ast_10095__apply_40_1_41_, 0);
  int argcv_meth_ast_10095__apply_40_1_41_[] = {1};
  meth_meth_ast_10095__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10095__apply_40_1_41_);
  meth_meth_ast_10095__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10095__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10094 (depth = 4)
  gc_frame_newslot(block10094);
// call case 6: other requests
// Begin line 2709
  setline(2709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10115 = gc_frame_new();
// call case 4: self request
  Object call10116 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10115);
// compiled member node returning call10116 (depth = 4)
  params[0] = block10094;
  partcv[0] = 1;
  Object call10117 = callmethodflags(call10116, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10093);
// compiled call node returning call10117 (depth = 3)
// Begin line 2712
  setline(2712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10119 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10120 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10121 = gc_frame_new();
// call case 4: self request
  Object call10122 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10121);
// compiled member node returning call10122 (depth = 6)
  Object call10123 = callmethodflags(call10122, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10120);
// compiled member node returning call10123 (depth = 5)
  Object call10124 = callmethodflags(call10123, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10119);
// compiled member node returning call10124 (depth = 4)
  Object if10118 = done;
  if (istrue(call10124)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10126 == NULL) {
    strlit10126 = alloc_String("");
    gc_root(strlit10126);
  }
// compiled string node returning strlit10126 (depth = 6)
  int op_slot_right_10125 = gc_frame_newslot(strlit10126);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_10128 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10131 == NULL) {
    strlit10131 = alloc_String("""\x0a""");
    gc_root(strlit10131);
  }
// compiled string node returning strlit10131 (depth = 8)
  int op_slot_right_10130 = gc_frame_newslot(strlit10131);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_10133 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit10135 == NULL) {
    strlit10135 = alloc_String("");
    gc_root(strlit10135);
  }
// compiled string node returning strlit10135 (depth = 9)
  int op_slot_left_10133 = gc_frame_newslot(strlit10135);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10136 = callmethod(strlit10135, "++(1)", 1, partcv, params);
// compiled op node returning opresult10136 (depth = 8)
  int op_slot_left_10130 = gc_frame_newslot(opresult10136);
  params[0] = strlit10131;
  partcv[0] = 1;
  Object opresult10137 = callmethod(opresult10136, "++(1)", 1, partcv, params);
// compiled op node returning opresult10137 (depth = 7)
  int op_slot_left_10128 = gc_frame_newslot(opresult10137);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10138 = callmethod(opresult10137, "++(1)", 1, partcv, params);
// compiled op node returning opresult10138 (depth = 6)
  int op_slot_left_10125 = gc_frame_newslot(opresult10138);
  params[0] = strlit10126;
  partcv[0] = 1;
  Object opresult10139 = callmethod(opresult10138, "++(1)", 1, partcv, params);
// compiled op node returning opresult10139 (depth = 5)
  *var_s = opresult10139;
  if (opresult10139 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10118 = done;
  } else {
  }
// compiled if node returning if10118 (depth = 3)
// Begin line 2713
  setline(2713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10141 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10142 = alloc_Block(NULL, NULL, "ast", 2713);
  gc_frame_newslot(block10142);
// method "_apply(_)"
  block_savedest(block10142);
  Object closure10143 = createclosure(2, "_apply(1)");
  setclosureframe(closure10143, stackframe);
  addtoclosure(closure10143, var_s);
  addtoclosure(closure10143, selfslot);
  struct UserObject *uo10143 = (struct UserObject*)block10142;
  uo10143->data[0] = (Object)closure10143;
  Method *meth_meth_ast_10143__apply_40_1_41_ = addmethod2pos(block10142, "_apply(1)", &meth_ast_10143__apply_40_1_41_, 0);
  int argcv_meth_ast_10143__apply_40_1_41_[] = {1};
  meth_meth_ast_10143__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10143__apply_40_1_41_);
  meth_meth_ast_10143__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10143__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10142 (depth = 4)
  gc_frame_newslot(block10142);
// call case 6: other requests
// Begin line 2713
  setline(2713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10161 = gc_frame_new();
// call case 4: self request
  Object call10162 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10161);
// compiled member node returning call10162 (depth = 4)
  params[0] = block10142;
  partcv[0] = 1;
  Object call10163 = callmethodflags(call10162, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10141);
// compiled call node returning call10163 (depth = 3)
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10165 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10166 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10167 = gc_frame_new();
// call case 4: self request
  Object call10168 = callmethodflags(self, "providedNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10167);
// compiled member node returning call10168 (depth = 6)
  Object call10169 = callmethodflags(call10168, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10166);
// compiled member node returning call10169 (depth = 5)
  Object call10170 = callmethodflags(call10169, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10165);
// compiled member node returning call10170 (depth = 4)
  Object if10164 = done;
  if (istrue(call10170)) {
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10173 == NULL) {
    strlit10173 = alloc_String("");
    gc_root(strlit10173);
  }
// compiled string node returning strlit10173 (depth = 7)
  int op_slot_right_10172 = gc_frame_newslot(strlit10173);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10176 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe10177 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe10178 = gc_frame_new();
// call case 4: self request
  Object call10179 = callmethodflags(self, "providedNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10178);
// compiled member node returning call10179 (depth = 10)
  gc_frame_newslot(call10179);
// call case 5: prelude request
  params[0] = call10179;
  partcv[0] = 1;
  Object call10180 = callmethodflags(prelude, "list(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10177);
// compiled call node returning call10180 (depth = 9)
  Object call10181 = callmethodflags(call10180, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe10176);
// compiled member node returning call10181 (depth = 8)
  int op_slot_right_10175 = gc_frame_newslot(call10181);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10184 == NULL) {
    strlit10184 = alloc_String("Provided names: ");
    gc_root(strlit10184);
  }
// compiled string node returning strlit10184 (depth = 9)
  int op_slot_right_10183 = gc_frame_newslot(strlit10184);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_10186 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit10188 == NULL) {
    strlit10188 = alloc_String("""\x0a""");
    gc_root(strlit10188);
  }
// compiled string node returning strlit10188 (depth = 10)
  int op_slot_left_10186 = gc_frame_newslot(strlit10188);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10189 = callmethod(strlit10188, "++(1)", 1, partcv, params);
// compiled op node returning opresult10189 (depth = 9)
  int op_slot_left_10183 = gc_frame_newslot(opresult10189);
  params[0] = strlit10184;
  partcv[0] = 1;
  Object opresult10190 = callmethod(opresult10189, "++(1)", 1, partcv, params);
// compiled op node returning opresult10190 (depth = 8)
  int op_slot_left_10175 = gc_frame_newslot(opresult10190);
  params[0] = call10181;
  partcv[0] = 1;
  Object opresult10191 = callmethod(opresult10190, "++(1)", 1, partcv, params);
// compiled op node returning opresult10191 (depth = 7)
  int op_slot_left_10172 = gc_frame_newslot(opresult10191);
  params[0] = strlit10173;
  partcv[0] = 1;
  Object opresult10192 = callmethod(opresult10191, "++(1)", 1, partcv, params);
// compiled op node returning opresult10192 (depth = 6)
  int op_slot_right_10171 = gc_frame_newslot(opresult10192);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10171 = gc_frame_newslot(*var_s);
  params[0] = opresult10192;
  partcv[0] = 1;
  Object opresult10194 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10194 (depth = 5)
  *var_s = opresult10194;
  if (opresult10194 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10164 = done;
  } else {
  }
// compiled if node returning if10164 (depth = 3)
// Begin line 2719
  setline(2719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_10200__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10202 == NULL) {
    strlit10202 = alloc_String("    ");
    gc_root(strlit10202);
  }
// compiled string node returning strlit10202 (depth = 7)
  int op_slot_right_10201 = gc_frame_newslot(strlit10202);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_10201 = gc_frame_newslot(*var_s);
  params[0] = strlit10202;
  partcv[0] = 1;
  Object opresult10204 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10204 (depth = 6)
  *var_s = opresult10204;
  if (opresult10204 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10228__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2729
  setline(2729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10230 == NULL) {
    strlit10230 = alloc_String(" ");
    gc_root(strlit10230);
  }
// compiled string node returning strlit10230 (depth = 7)
  int op_slot_right_10229 = gc_frame_newslot(strlit10230);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_right_10232 = gc_frame_newslot(*var_a);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10235 == NULL) {
    strlit10235 = alloc_String(" ");
    gc_root(strlit10235);
  }
// compiled string node returning strlit10235 (depth = 9)
  int op_slot_right_10234 = gc_frame_newslot(strlit10235);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_10237 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit10239 == NULL) {
    strlit10239 = alloc_String("");
    gc_root(strlit10239);
  }
// compiled string node returning strlit10239 (depth = 10)
  int op_slot_left_10237 = gc_frame_newslot(strlit10239);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10240 = callmethod(strlit10239, "++(1)", 1, partcv, params);
// compiled op node returning opresult10240 (depth = 9)
  int op_slot_left_10234 = gc_frame_newslot(opresult10240);
  params[0] = strlit10235;
  partcv[0] = 1;
  Object opresult10241 = callmethod(opresult10240, "++(1)", 1, partcv, params);
// compiled op node returning opresult10241 (depth = 8)
  int op_slot_left_10232 = gc_frame_newslot(opresult10241);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult10242 = callmethod(opresult10241, "++(1)", 1, partcv, params);
// compiled op node returning opresult10242 (depth = 7)
  int op_slot_left_10229 = gc_frame_newslot(opresult10242);
  params[0] = strlit10230;
  partcv[0] = 1;
  Object opresult10243 = callmethod(opresult10242, "++(1)", 1, partcv, params);
// compiled op node returning opresult10243 (depth = 6)
  *var_s = opresult10243;
  if (opresult10243 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10251__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10253 == NULL) {
    strlit10253 = alloc_String(" ");
    gc_root(strlit10253);
  }
// compiled string node returning strlit10253 (depth = 7)
  int op_slot_right_10252 = gc_frame_newslot(strlit10253);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10256 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call10257 = callmethodflags(*var_e, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe10256);
// compiled member node returning call10257 (depth = 8)
  int op_slot_right_10255 = gc_frame_newslot(call10257);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10260 == NULL) {
    strlit10260 = alloc_String(" exclude ");
    gc_root(strlit10260);
  }
// compiled string node returning strlit10260 (depth = 9)
  int op_slot_right_10259 = gc_frame_newslot(strlit10260);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_10262 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit10264 == NULL) {
    strlit10264 = alloc_String("");
    gc_root(strlit10264);
  }
// compiled string node returning strlit10264 (depth = 10)
  int op_slot_left_10262 = gc_frame_newslot(strlit10264);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10265 = callmethod(strlit10264, "++(1)", 1, partcv, params);
// compiled op node returning opresult10265 (depth = 9)
  int op_slot_left_10259 = gc_frame_newslot(opresult10265);
  params[0] = strlit10260;
  partcv[0] = 1;
  Object opresult10266 = callmethod(opresult10265, "++(1)", 1, partcv, params);
// compiled op node returning opresult10266 (depth = 8)
  int op_slot_left_10255 = gc_frame_newslot(opresult10266);
  params[0] = call10257;
  partcv[0] = 1;
  Object opresult10267 = callmethod(opresult10266, "++(1)", 1, partcv, params);
// compiled op node returning opresult10267 (depth = 7)
  int op_slot_left_10252 = gc_frame_newslot(opresult10267);
  params[0] = strlit10253;
  partcv[0] = 1;
  Object opresult10268 = callmethod(opresult10267, "++(1)", 1, partcv, params);
// compiled op node returning opresult10268 (depth = 6)
  *var_s = opresult10268;
  if (opresult10268 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10196_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 2722
  setline(2722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10197 == NULL) {
    strlit10197 = alloc_String("");
    gc_root(strlit10197);
  }
// compiled string node returning strlit10197 (depth = 4)
  *var_s = strlit10197;
  if (strlit10197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2723
  setline(2723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10198 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block10199 = alloc_Block(NULL, NULL, "ast", 2723);
  gc_frame_newslot(block10199);
// method "_apply"
  block_savedest(block10199);
  Object closure10200 = createclosure(2, "_apply");
  setclosureframe(closure10200, stackframe);
  addtoclosure(closure10200, var_s);
  addtoclosure(closure10200, selfslot);
  struct UserObject *uo10200 = (struct UserObject*)block10199;
  uo10200->data[0] = (Object)closure10200;
  Method *meth_meth_ast_10200__apply = addmethod2pos(block10199, "_apply", &meth_ast_10200__apply, 0);
  int argcv_meth_ast_10200__apply[] = {0};
  meth_meth_ast_10200__apply->type = alloc_MethodType(1, argcv_meth_ast_10200__apply);
  meth_meth_ast_10200__apply->definitionModule = modulename;
  meth_meth_ast_10200__apply->definitionLine = 3216;
// compiled block node returning block10199 (depth = 4)
  gc_frame_newslot(block10199);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block10199;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10207 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10198);
// compiled call node returning call10207 (depth = 3)
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10210 = gc_frame_new();
// call case 4: self request
  Object call10211 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10210);
// compiled member node returning call10211 (depth = 6)
  Object if10209 = done;
struct StackFrameObject *iftmpstackframe10209 = stackframe;
  if (istrue(call10211)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10209);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 6)
  if (strlit10212 == NULL) {
    strlit10212 = alloc_String("use ");
    gc_root(strlit10212);
  }
// compiled string node returning strlit10212 (depth = 6)
    gc_frame_newslot(strlit10212);
    if10209 = strlit10212;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10209);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 6)
  if (strlit10213 == NULL) {
    strlit10213 = alloc_String("inherit ");
    gc_root(strlit10213);
  }
// compiled string node returning strlit10213 (depth = 6)
    gc_frame_newslot(strlit10213);
    if10209 = strlit10213;
  }
stackframe = iftmpstackframe10209;
// compiled if node returning if10209 (depth = 5)
  int op_slot_right_10208 = gc_frame_newslot(if10209);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_10208 = gc_frame_newslot(*var_s);
  params[0] = if10209;
  partcv[0] = 1;
  Object opresult10215 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10215 (depth = 4)
  *var_s = opresult10215;
  if (opresult10215 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10218 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num10219 = alloc_Float64(0);
// compiled num node returning num10219 (depth = 6)
  gc_frame_newslot(num10219);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10220 = gc_frame_new();
// call case 4: self request
  Object call10221 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10220);
// compiled member node returning call10221 (depth = 6)
  params[0] = num10219;
  partcv[0] = 1;
  Object call10222 = callmethodflags(call10221, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10218);
// compiled call node returning call10222 (depth = 5)
  int op_slot_right_10217 = gc_frame_newslot(call10222);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_10217 = gc_frame_newslot(*var_s);
  params[0] = call10222;
  partcv[0] = 1;
  Object opresult10224 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10224 (depth = 4)
  *var_s = opresult10224;
  if (opresult10224 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10226 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10227 = alloc_Block(NULL, NULL, "ast", 2728);
  gc_frame_newslot(block10227);
// method "_apply(_)"
  block_savedest(block10227);
  Object closure10228 = createclosure(2, "_apply(1)");
  setclosureframe(closure10228, stackframe);
  addtoclosure(closure10228, var_s);
  addtoclosure(closure10228, selfslot);
  struct UserObject *uo10228 = (struct UserObject*)block10227;
  uo10228->data[0] = (Object)closure10228;
  Method *meth_meth_ast_10228__apply_40_1_41_ = addmethod2pos(block10227, "_apply(1)", &meth_ast_10228__apply_40_1_41_, 0);
  int argcv_meth_ast_10228__apply_40_1_41_[] = {1};
  meth_meth_ast_10228__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10228__apply_40_1_41_);
  meth_meth_ast_10228__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10228__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10227 (depth = 4)
  gc_frame_newslot(block10227);
// call case 6: other requests
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10246 = gc_frame_new();
// call case 4: self request
  Object call10247 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10246);
// compiled member node returning call10247 (depth = 4)
  params[0] = block10227;
  partcv[0] = 1;
  Object call10248 = callmethodflags(call10247, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10226);
// compiled call node returning call10248 (depth = 3)
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10249 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10250 = alloc_Block(NULL, NULL, "ast", 2731);
  gc_frame_newslot(block10250);
// method "_apply(_)"
  block_savedest(block10250);
  Object closure10251 = createclosure(2, "_apply(1)");
  setclosureframe(closure10251, stackframe);
  addtoclosure(closure10251, var_s);
  addtoclosure(closure10251, selfslot);
  struct UserObject *uo10251 = (struct UserObject*)block10250;
  uo10251->data[0] = (Object)closure10251;
  Method *meth_meth_ast_10251__apply_40_1_41_ = addmethod2pos(block10250, "_apply(1)", &meth_ast_10251__apply_40_1_41_, 0);
  int argcv_meth_ast_10251__apply_40_1_41_[] = {1};
  meth_meth_ast_10251__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10251__apply_40_1_41_);
  meth_meth_ast_10251__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10251__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10250 (depth = 4)
  gc_frame_newslot(block10250);
// call case 6: other requests
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10271 = gc_frame_new();
// call case 4: self request
  Object call10272 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10271);
// compiled member node returning call10272 (depth = 4)
  params[0] = block10250;
  partcv[0] = 1;
  Object call10273 = callmethodflags(call10272, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10249);
// compiled call node returning call10273 (depth = 3)
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_10274_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10276 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num10277 = alloc_Float64(0);
// compiled num node returning num10277 (depth = 5)
  gc_frame_newslot(num10277);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10278 = gc_frame_new();
// call case 4: self request
  Object call10279 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10278);
// compiled member node returning call10279 (depth = 5)
  params[0] = num10277;
  partcv[0] = 1;
  Object call10280 = callmethodflags(call10279, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10276);
// compiled call node returning call10280 (depth = 4)
  int op_slot_right_10275 = gc_frame_newslot(call10280);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10283 = gc_frame_new();
// call case 4: self request
  Object call10284 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10283);
// compiled member node returning call10284 (depth = 5)
  Object if10282 = done;
struct StackFrameObject *iftmpstackframe10282 = stackframe;
  if (istrue(call10284)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10282);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 5)
  if (strlit10285 == NULL) {
    strlit10285 = alloc_String("use ");
    gc_root(strlit10285);
  }
// compiled string node returning strlit10285 (depth = 5)
    gc_frame_newslot(strlit10285);
    if10282 = strlit10285;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10282);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 5)
  if (strlit10286 == NULL) {
    strlit10286 = alloc_String("inherit ");
    gc_root(strlit10286);
  }
// compiled string node returning strlit10286 (depth = 5)
    gc_frame_newslot(strlit10286);
    if10282 = strlit10286;
  }
stackframe = iftmpstackframe10282;
// compiled if node returning if10282 (depth = 4)
  int op_slot_left_10275 = gc_frame_newslot(if10282);
  params[0] = call10280;
  partcv[0] = 1;
  Object opresult10287 = callmethod(if10282, "++(1)", 1, partcv, params);
// compiled op node returning opresult10287 (depth = 3)
  gc_frame_end(frame);
  return opresult10287;
}
Object meth_ast_10288_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10289 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num10290 = alloc_Float64(0);
// compiled num node returning num10290 (depth = 4)
  gc_frame_newslot(num10290);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10291 = gc_frame_new();
// call case 4: self request
  Object call10292 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10291);
// compiled member node returning call10292 (depth = 4)
  params[0] = num10290;
  partcv[0] = 1;
  Object call10293 = callmethodflags(call10292, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10289);
// compiled call node returning call10293 (depth = 3)
  gc_frame_end(frame);
  return call10293;
}
Object meth_ast_10294_addAlias_40_1_41_for_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAlias(1)for(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAlias(_)for(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAlias(_)for(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addAlias(_)for(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_newName = &(stackframe->slots[0]);
  *var_newName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAlias(_)");
  Object *var_oldName = &(stackframe->slots[1]);
  *var_oldName = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part for(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10295 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10296 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newName (depth = 5)
  gc_frame_newslot(*var_newName);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_oldName (depth = 5)
  gc_frame_newslot(*var_oldName);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = *var_newName;
  params[1] = *var_oldName;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10297 = callmethodflags(module_ast, "aliasNew(1)old(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10296);
// compiled call node returning call10297 (depth = 4)
  gc_frame_newslot(call10297);
// call case 6: other requests
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10298 = gc_frame_new();
// call case 4: self request
  Object call10299 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10298);
// compiled member node returning call10299 (depth = 4)
  params[0] = call10297;
  partcv[0] = 1;
  Object call10300 = callmethodflags(call10299, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10295);
// compiled call node returning call10300 (depth = 3)
  gc_frame_end(frame);
  return call10300;
}
Object meth_ast_10301_addExclusion_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addExclusion(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addExclusion(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addExclusion(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ident = &(stackframe->slots[0]);
  *var_ident = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addExclusion(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10302 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ident (depth = 4)
  gc_frame_newslot(*var_ident);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10303 = gc_frame_new();
// call case 4: self request
  Object call10304 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10303);
// compiled member node returning call10304 (depth = 4)
  params[0] = *var_ident;
  partcv[0] = 1;
  Object call10305 = callmethodflags(call10304, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10302);
// compiled call node returning call10305 (depth = 3)
  gc_frame_end(frame);
  return call10305;
}
Object meth_ast_10306_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_inheritNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10307 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe10308 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inheritNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call10309 = callmethodflags(*var_inheritNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10308);
// compiled call node returning call10309 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10310 = callmethodflags(call10309, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10307);
// compiled call node returning call10310 (depth = 3)
  gc_frame_end(frame);
  return call10310;
}
Object meth_ast_10311_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10312 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10313 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10314 = callmethodflags(*var_other, "providedNames", 0, partcv, params, 0);
  gc_frame_end(callframe10313);
// compiled member node returning call10314 (depth = 4)
  gc_frame_newslot(call10314);
// call case 4: self request
  params[0] = call10314;
  partcv[0] = 1;
  Object call10315 = callmethodflags(self, "providedNames:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10312);
// compiled call node returning call10315 (depth = 3)
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10316 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10317 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10318 = callmethodflags(*var_other, "aliases", 0, partcv, params, 0);
  gc_frame_end(callframe10317);
// compiled member node returning call10318 (depth = 4)
  gc_frame_newslot(call10318);
// call case 4: self request
  params[0] = call10318;
  partcv[0] = 1;
  Object call10319 = callmethodflags(self, "aliases:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10316);
// compiled call node returning call10319 (depth = 3)
// Begin line 2752
  setline(2752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10320 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10321 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10322 = callmethodflags(*var_other, "exclusions", 0, partcv, params, 0);
  gc_frame_end(callframe10321);
// compiled member node returning call10322 (depth = 4)
  gc_frame_newslot(call10322);
// call case 4: self request
  params[0] = call10322;
  partcv[0] = 1;
  Object call10323 = callmethodflags(self, "exclusions:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10320);
// compiled call node returning call10323 (depth = 3)
// Begin line 2753
  setline(2753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10324 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10325 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10326 = callmethodflags(*var_other, "isUse", 0, partcv, params, 0);
  gc_frame_end(callframe10325);
// compiled member node returning call10326 (depth = 4)
  gc_frame_newslot(call10326);
// call case 4: self request
  params[0] = call10326;
  partcv[0] = 1;
  Object call10327 = callmethodflags(self, "isUse:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10324);
// compiled call node returning call10327 (depth = 3)
// Begin line 2754
  setline(2754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_10328_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2757
  setline(2757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10330 = gc_frame_new();
// call case 4: self request
  Object call10331 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10330);
// compiled member node returning call10331 (depth = 4)
  Object if10329 = done;
  if (istrue(call10331)) {
// starting to compile string node (depth = 4)
  if (strlit10332 == NULL) {
    strlit10332 = alloc_String("use");
    gc_root(strlit10332);
  }
// compiled string node returning strlit10332 (depth = 4)
    gc_frame_newslot(strlit10332);
    if10329 = strlit10332;
  } else {
// starting to compile string node (depth = 4)
  if (strlit10333 == NULL) {
    strlit10333 = alloc_String("inherit");
    gc_root(strlit10333);
  }
// compiled string node returning strlit10333 (depth = 4)
    gc_frame_newslot(strlit10333);
    if10329 = strlit10333;
  }
// compiled if node returning if10329 (depth = 3)
  gc_frame_end(frame);
  return if10329;
}
Object meth_ast_9970_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_inheritNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9971 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9971 = alloc_userobj2(29,25, objclass9971);
  gc_frame_newslot(obj9971);
  if (objclass9971 == NULL) {
    glfree(obj9971->class->name);
    obj9971->class->name = "inheritNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9971, self, 0);
  addmethodreal(obj9971,"outer", &reader_ast_outer_9972);
  Object oldself9971 = self;
  struct StackFrameObject *oldstackframe9971 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9971);
  gc_frame_newslot((Object)stackframe);
  self = obj9971;
  Object *oldselfslot9971 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9971 = (*(struct UserObject *)self).data[0], lowerouter9971 = thisouter9971;
  if (inheritingObject9971) {
    struct UserObject *inho9971 = (struct UserObject *)inheritingObject9971;
    while (inho9971->super != GraceDefaultObject) inho9971 = (struct UserObject *)inho9971->super;
    inho9971->super = obj9971;
    self = inheritingObject9971;
    *selfslot = self;
    lowerouter9971 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9971;
  }
  if (objclass9971 == NULL) {
  Method *reader9973 = addmethodrealflags(obj9971, "kind",&reader_ast_kind_9973, MFLAG_DEF);
  reader9973->definitionModule = modulename;
  reader9973->definitionLine = 2668;
  }
  adddatum2(obj9971, alloc_Undefined(), 1);
  if (objclass9971 == NULL) {
    Method *reader9974 = addmethodrealflags(obj9971, "value", &reader_ast_value_9974, 0);
    Method *writer9974 = addmethodrealflags(obj9971, "value:=(1)", &writer_ast_value_9974, 0);
    reader9974->definitionModule = modulename;
    writer9974->definitionModule = modulename;
    reader9974->definitionLine = 2669;
    writer9974->definitionLine = 2669;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 2);
  if (objclass9971 == NULL) {
    Method *reader9975 = addmethodrealflags(obj9971, "providedNames", &reader_ast_providedNames_9975, 0);
    Method *writer9975 = addmethodrealflags(obj9971, "providedNames:=(1)", &writer_ast_providedNames_9975, 0);
    reader9975->definitionModule = modulename;
    writer9975->definitionModule = modulename;
    reader9975->definitionLine = 2670;
    writer9975->definitionLine = 2670;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 3);
  if (objclass9971 == NULL) {
    Method *reader9976 = addmethodrealflags(obj9971, "aliases", &reader_ast_aliases_9976, 0);
    Method *writer9976 = addmethodrealflags(obj9971, "aliases:=(1)", &writer_ast_aliases_9976, 0);
    reader9976->definitionModule = modulename;
    writer9976->definitionModule = modulename;
    reader9976->definitionLine = 2671;
    writer9976->definitionLine = 2671;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 4);
  if (objclass9971 == NULL) {
    Method *reader9977 = addmethodrealflags(obj9971, "exclusions", &reader_ast_exclusions_9977, 0);
    Method *writer9977 = addmethodrealflags(obj9971, "exclusions:=(1)", &writer_ast_exclusions_9977, 0);
    reader9977->definitionModule = modulename;
    writer9977->definitionModule = modulename;
    reader9977->definitionLine = 2672;
    writer9977->definitionLine = 2672;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 5);
  if (objclass9971 == NULL) {
    Method *reader9978 = addmethodrealflags(obj9971, "isUse", &reader_ast_isUse_9978, 0);
    Method *writer9978 = addmethodrealflags(obj9971, "isUse:=(1)", &writer_ast_isUse_9978, 0);
    reader9978->definitionModule = modulename;
    writer9978->definitionModule = modulename;
    reader9978->definitionLine = 2673;
    writer9978->definitionLine = 2673;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 6);
// method "end"
  struct UserObject *uo9979 = (struct UserObject*)obj9971;
  uo9979->data[7] = emptyclosure;
  Method *meth_meth_ast_9979_end = addmethod2pos(obj9971, "end", &meth_ast_9979_end, 7);
  int argcv_meth_ast_9979_end[] = {0};
  meth_meth_ast_9979_end->type = alloc_MethodType(1, argcv_meth_ast_9979_end);
  meth_meth_ast_9979_end->definitionModule = modulename;
  meth_meth_ast_9979_end->definitionLine = 2675;
// method "isLegalInTrait"
  struct UserObject *uo9984 = (struct UserObject*)obj9971;
  uo9984->data[8] = emptyclosure;
  Method *meth_meth_ast_9984_isLegalInTrait = addmethod2pos(obj9971, "isLegalInTrait", &meth_ast_9984_isLegalInTrait, 8);
  int argcv_meth_ast_9984_isLegalInTrait[] = {0};
  meth_meth_ast_9984_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_9984_isLegalInTrait);
  meth_meth_ast_9984_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_9984_isLegalInTrait->definitionLine = 2676;
// method "isInherits"
  struct UserObject *uo9987 = (struct UserObject*)obj9971;
  uo9987->data[9] = emptyclosure;
  Method *meth_meth_ast_9987_isInherits = addmethod2pos(obj9971, "isInherits", &meth_ast_9987_isInherits, 9);
  int argcv_meth_ast_9987_isInherits[] = {0};
  meth_meth_ast_9987_isInherits->type = alloc_MethodType(1, argcv_meth_ast_9987_isInherits);
  meth_meth_ast_9987_isInherits->definitionModule = modulename;
  meth_meth_ast_9987_isInherits->definitionLine = 2677;
// method "inheritFromMember"
  struct UserObject *uo9989 = (struct UserObject*)obj9971;
  uo9989->data[10] = emptyclosure;
  Method *meth_meth_ast_9989_inheritFromMember = addmethod2pos(obj9971, "inheritFromMember", &meth_ast_9989_inheritFromMember, 10);
  int argcv_meth_ast_9989_inheritFromMember[] = {0};
  meth_meth_ast_9989_inheritFromMember->type = alloc_MethodType(1, argcv_meth_ast_9989_inheritFromMember);
  meth_meth_ast_9989_inheritFromMember->definitionModule = modulename;
  meth_meth_ast_9989_inheritFromMember->definitionLine = 2678;
// method "inheritFromCall"
  struct UserObject *uo9994 = (struct UserObject*)obj9971;
  uo9994->data[11] = emptyclosure;
  Method *meth_meth_ast_9994_inheritFromCall = addmethod2pos(obj9971, "inheritFromCall", &meth_ast_9994_inheritFromCall, 11);
  int argcv_meth_ast_9994_inheritFromCall[] = {0};
  meth_meth_ast_9994_inheritFromCall->type = alloc_MethodType(1, argcv_meth_ast_9994_inheritFromCall);
  meth_meth_ast_9994_inheritFromCall->definitionModule = modulename;
  meth_meth_ast_9994_inheritFromCall->definitionLine = 2679;
// method "isExecutable"
  struct UserObject *uo9999 = (struct UserObject*)obj9971;
  uo9999->data[12] = emptyclosure;
  Method *meth_meth_ast_9999_isExecutable = addmethod2pos(obj9971, "isExecutable", &meth_ast_9999_isExecutable, 12);
  int argcv_meth_ast_9999_isExecutable[] = {0};
  meth_meth_ast_9999_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_9999_isExecutable);
  meth_meth_ast_9999_isExecutable->definitionModule = modulename;
  meth_meth_ast_9999_isExecutable->definitionLine = 2680;
// method "accept(_)from(_)"
  struct UserObject *uo10001 = (struct UserObject*)obj9971;
  uo10001->data[13] = emptyclosure;
  Method *meth_meth_ast_10001_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9971, "accept(1)from(1)", &meth_ast_10001_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_10001_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_10001_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10001_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_10001_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10001_accept_40_1_41_from_40_1_41_->definitionLine = 2681;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9971);
  Object closure10035 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure10035, stackframe);
  addtoclosure(closure10035, var_k);
  struct UserObject *uo10035 = (struct UserObject*)obj9971;
  uo10035->data[14] = (Object)closure10035;
  Method *meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj9971, "declarationKindWithAncestors(1)", &meth_ast_10035_declarationKindWithAncestors_40_1_41_, 14);
  int argcv_meth_ast_10035_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10035_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_->definitionLine = 2692;
// method "map(_)ancestors(_)"
  struct UserObject *uo10038 = (struct UserObject*)obj9971;
  uo10038->data[15] = emptyclosure;
  Method *meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9971, "map(1)ancestors(1)", &meth_ast_10038_map_40_1_41_ancestors_40_1_41_, 15);
  int argcv_meth_ast_10038_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10038_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_->definitionLine = 2698;
// method "pretty(_)"
  struct UserObject *uo10051 = (struct UserObject*)obj9971;
  uo10051->data[16] = emptyclosure;
  Method *meth_meth_ast_10051_pretty_40_1_41_ = addmethod2pos(obj9971, "pretty(1)", &meth_ast_10051_pretty_40_1_41_, 16);
  int argcv_meth_ast_10051_pretty_40_1_41_[] = {1};
  meth_meth_ast_10051_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10051_pretty_40_1_41_);
  meth_meth_ast_10051_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10051_pretty_40_1_41_->definitionLine = 2704;
// method "toGrace(_)"
  struct UserObject *uo10196 = (struct UserObject*)obj9971;
  uo10196->data[17] = emptyclosure;
  Method *meth_meth_ast_10196_toGrace_40_1_41_ = addmethod2pos(obj9971, "toGrace(1)", &meth_ast_10196_toGrace_40_1_41_, 17);
  int argcv_meth_ast_10196_toGrace_40_1_41_[] = {1};
  meth_meth_ast_10196_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10196_toGrace_40_1_41_);
meth_meth_ast_10196_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_10196_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_10196_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10196_toGrace_40_1_41_->definitionLine = 2721;
// method "asString"
  struct UserObject *uo10274 = (struct UserObject*)obj9971;
  uo10274->data[18] = emptyclosure;
  Method *meth_meth_ast_10274_asString = addmethod2pos(obj9971, "asString", &meth_ast_10274_asString, 18);
  int argcv_meth_ast_10274_asString[] = {0};
  meth_meth_ast_10274_asString->type = alloc_MethodType(1, argcv_meth_ast_10274_asString);
  meth_meth_ast_10274_asString->definitionModule = modulename;
  meth_meth_ast_10274_asString->definitionLine = 2736;
// method "nameString"
  struct UserObject *uo10288 = (struct UserObject*)obj9971;
  uo10288->data[19] = emptyclosure;
  Method *meth_meth_ast_10288_nameString = addmethod2pos(obj9971, "nameString", &meth_ast_10288_nameString, 19);
  int argcv_meth_ast_10288_nameString[] = {0};
  meth_meth_ast_10288_nameString->type = alloc_MethodType(1, argcv_meth_ast_10288_nameString);
  meth_meth_ast_10288_nameString->definitionModule = modulename;
  meth_meth_ast_10288_nameString->definitionLine = 2739;
// method "addAlias(_)for(_)"
  struct UserObject *uo10294 = (struct UserObject*)obj9971;
  uo10294->data[20] = emptyclosure;
  Method *meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_ = addmethod2pos(obj9971, "addAlias(1)for(1)", &meth_ast_10294_addAlias_40_1_41_for_40_1_41_, 20);
  int argcv_meth_ast_10294_addAlias_40_1_41_for_40_1_41_[] = {1, 1};
  meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10294_addAlias_40_1_41_for_40_1_41_);
  meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_->definitionLine = 2740;
// method "addExclusion(_)"
  struct UserObject *uo10301 = (struct UserObject*)obj9971;
  uo10301->data[21] = emptyclosure;
  Method *meth_meth_ast_10301_addExclusion_40_1_41_ = addmethod2pos(obj9971, "addExclusion(1)", &meth_ast_10301_addExclusion_40_1_41_, 21);
  int argcv_meth_ast_10301_addExclusion_40_1_41_[] = {1};
  meth_meth_ast_10301_addExclusion_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10301_addExclusion_40_1_41_);
  meth_meth_ast_10301_addExclusion_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10301_addExclusion_40_1_41_->definitionLine = 2743;
// method "shallowCopy"
  block_savedest(obj9971);
  Object closure10306 = createclosure(2, "shallowCopy");
  setclosureframe(closure10306, stackframe);
  addtoclosure(closure10306, var_nullNode);
  addtoclosure(closure10306, var_inheritNode);
  struct UserObject *uo10306 = (struct UserObject*)obj9971;
  uo10306->data[22] = (Object)closure10306;
  Method *meth_meth_ast_10306_shallowCopy = addmethod2pos(obj9971, "shallowCopy", &meth_ast_10306_shallowCopy, 22);
  int argcv_meth_ast_10306_shallowCopy[] = {0};
  meth_meth_ast_10306_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_10306_shallowCopy);
  meth_meth_ast_10306_shallowCopy->definitionModule = modulename;
  meth_meth_ast_10306_shallowCopy->definitionLine = 2746;
// method "postCopy(_)"
  struct UserObject *uo10311 = (struct UserObject*)obj9971;
  uo10311->data[23] = emptyclosure;
  Method *meth_meth_ast_10311_postCopy_40_1_41_ = addmethod2pos(obj9971, "postCopy(1)", &meth_ast_10311_postCopy_40_1_41_, 23);
  int argcv_meth_ast_10311_postCopy_40_1_41_[] = {1};
  meth_meth_ast_10311_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10311_postCopy_40_1_41_);
  meth_meth_ast_10311_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10311_postCopy_40_1_41_->definitionLine = 2749;
// method "statementName"
  struct UserObject *uo10328 = (struct UserObject*)obj9971;
  uo10328->data[24] = emptyclosure;
  Method *meth_meth_ast_10328_statementName = addmethod2pos(obj9971, "statementName", &meth_ast_10328_statementName, 24);
  int argcv_meth_ast_10328_statementName[] = {0};
  meth_meth_ast_10328_statementName->type = alloc_MethodType(1, argcv_meth_ast_10328_statementName);
  meth_meth_ast_10328_statementName->definitionModule = modulename;
  meth_meth_ast_10328_statementName->definitionLine = 2756;
  sourceObject = obj9971;
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10334 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10335 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10334);
// compiled call node returning call10335 (depth = 3)
  struct UserObject *obj9971_uo = (struct UserObject *)obj9971;
  obj9971_uo->super = call10335;
  sourceObject = obj9971;
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10336 == NULL) {
    strlit10336 = alloc_String("inherit");
    gc_root(strlit10336);
  }
// compiled string node returning strlit10336 (depth = 3)
  adddatum2(obj9971, strlit10336, 1);
  sourceObject = obj9971;
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9971, *var_expr, 2);
  sourceObject = obj9971;
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10337 = gc_frame_new();
// call case 5: prelude request
  Object call10338 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10337);
// compiled member node returning call10338 (depth = 3)
  adddatum2(obj9971, call10338, 3);
  sourceObject = obj9971;
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array10339 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10339 (depth = 3)
  adddatum2(obj9971, array10339, 4);
  sourceObject = obj9971;
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array10340 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10340 (depth = 3)
  adddatum2(obj9971, array10340, 5);
  sourceObject = obj9971;
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10341 = alloc_Boolean(0);
// compiled identifier node returning bool10341 (depth = 3)
  adddatum2(obj9971, bool10341, 6);
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  objclass9971 = obj9971->class;
  objclass9971->definitionModule = modulename;
  objclass9971->definitionLine = 2666;
  (*(struct UserObject *)self).data[0] = lowerouter9971;
  self = oldself9971;
  selfslot = oldselfslot9971;
  stackframe = oldstackframe9971;
  gc_frame_end(frame);
  return obj9971;
}
Object meth_ast_9970_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_inheritNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9971 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9971 = alloc_userobj2(29,25, objclass9971);
  gc_frame_newslot(obj9971);
  if (objclass9971 == NULL) {
    glfree(obj9971->class->name);
    obj9971->class->name = "inheritNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9971, self, 0);
  addmethodreal(obj9971,"outer", &reader_ast_outer_9972);
  Object oldself9971 = self;
  struct StackFrameObject *oldstackframe9971 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9971);
  gc_frame_newslot((Object)stackframe);
  self = obj9971;
  Object *oldselfslot9971 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9971 = (*(struct UserObject *)self).data[0], lowerouter9971 = thisouter9971;
  if (inheritingObject9971) {
    struct UserObject *inho9971 = (struct UserObject *)inheritingObject9971;
    while (inho9971->super != GraceDefaultObject) inho9971 = (struct UserObject *)inho9971->super;
    inho9971->super = obj9971;
    self = inheritingObject9971;
    *selfslot = self;
    lowerouter9971 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9971;
  }
  if (objclass9971 == NULL) {
  Method *reader9973 = addmethodrealflags(obj9971, "kind",&reader_ast_kind_9973, MFLAG_DEF);
  reader9973->definitionModule = modulename;
  reader9973->definitionLine = 2668;
  }
  adddatum2(obj9971, alloc_Undefined(), 1);
  if (objclass9971 == NULL) {
    Method *reader9974 = addmethodrealflags(obj9971, "value", &reader_ast_value_9974, 0);
    Method *writer9974 = addmethodrealflags(obj9971, "value:=(1)", &writer_ast_value_9974, 0);
    reader9974->definitionModule = modulename;
    writer9974->definitionModule = modulename;
    reader9974->definitionLine = 2669;
    writer9974->definitionLine = 2669;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 2);
  if (objclass9971 == NULL) {
    Method *reader9975 = addmethodrealflags(obj9971, "providedNames", &reader_ast_providedNames_9975, 0);
    Method *writer9975 = addmethodrealflags(obj9971, "providedNames:=(1)", &writer_ast_providedNames_9975, 0);
    reader9975->definitionModule = modulename;
    writer9975->definitionModule = modulename;
    reader9975->definitionLine = 2670;
    writer9975->definitionLine = 2670;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 3);
  if (objclass9971 == NULL) {
    Method *reader9976 = addmethodrealflags(obj9971, "aliases", &reader_ast_aliases_9976, 0);
    Method *writer9976 = addmethodrealflags(obj9971, "aliases:=(1)", &writer_ast_aliases_9976, 0);
    reader9976->definitionModule = modulename;
    writer9976->definitionModule = modulename;
    reader9976->definitionLine = 2671;
    writer9976->definitionLine = 2671;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 4);
  if (objclass9971 == NULL) {
    Method *reader9977 = addmethodrealflags(obj9971, "exclusions", &reader_ast_exclusions_9977, 0);
    Method *writer9977 = addmethodrealflags(obj9971, "exclusions:=(1)", &writer_ast_exclusions_9977, 0);
    reader9977->definitionModule = modulename;
    writer9977->definitionModule = modulename;
    reader9977->definitionLine = 2672;
    writer9977->definitionLine = 2672;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 5);
  if (objclass9971 == NULL) {
    Method *reader9978 = addmethodrealflags(obj9971, "isUse", &reader_ast_isUse_9978, 0);
    Method *writer9978 = addmethodrealflags(obj9971, "isUse:=(1)", &writer_ast_isUse_9978, 0);
    reader9978->definitionModule = modulename;
    writer9978->definitionModule = modulename;
    reader9978->definitionLine = 2673;
    writer9978->definitionLine = 2673;
  }
  obj9971->flags |= OFLAG_MUTABLE;
  adddatum2(obj9971, alloc_Undefined(), 6);
// method "end"
  struct UserObject *uo9979 = (struct UserObject*)obj9971;
  uo9979->data[7] = emptyclosure;
  Method *meth_meth_ast_9979_end = addmethod2pos(obj9971, "end", &meth_ast_9979_end, 7);
  int argcv_meth_ast_9979_end[] = {0};
  meth_meth_ast_9979_end->type = alloc_MethodType(1, argcv_meth_ast_9979_end);
  meth_meth_ast_9979_end->definitionModule = modulename;
  meth_meth_ast_9979_end->definitionLine = 2675;
// method "isLegalInTrait"
  struct UserObject *uo9984 = (struct UserObject*)obj9971;
  uo9984->data[8] = emptyclosure;
  Method *meth_meth_ast_9984_isLegalInTrait = addmethod2pos(obj9971, "isLegalInTrait", &meth_ast_9984_isLegalInTrait, 8);
  int argcv_meth_ast_9984_isLegalInTrait[] = {0};
  meth_meth_ast_9984_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_9984_isLegalInTrait);
  meth_meth_ast_9984_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_9984_isLegalInTrait->definitionLine = 2676;
// method "isInherits"
  struct UserObject *uo9987 = (struct UserObject*)obj9971;
  uo9987->data[9] = emptyclosure;
  Method *meth_meth_ast_9987_isInherits = addmethod2pos(obj9971, "isInherits", &meth_ast_9987_isInherits, 9);
  int argcv_meth_ast_9987_isInherits[] = {0};
  meth_meth_ast_9987_isInherits->type = alloc_MethodType(1, argcv_meth_ast_9987_isInherits);
  meth_meth_ast_9987_isInherits->definitionModule = modulename;
  meth_meth_ast_9987_isInherits->definitionLine = 2677;
// method "inheritFromMember"
  struct UserObject *uo9989 = (struct UserObject*)obj9971;
  uo9989->data[10] = emptyclosure;
  Method *meth_meth_ast_9989_inheritFromMember = addmethod2pos(obj9971, "inheritFromMember", &meth_ast_9989_inheritFromMember, 10);
  int argcv_meth_ast_9989_inheritFromMember[] = {0};
  meth_meth_ast_9989_inheritFromMember->type = alloc_MethodType(1, argcv_meth_ast_9989_inheritFromMember);
  meth_meth_ast_9989_inheritFromMember->definitionModule = modulename;
  meth_meth_ast_9989_inheritFromMember->definitionLine = 2678;
// method "inheritFromCall"
  struct UserObject *uo9994 = (struct UserObject*)obj9971;
  uo9994->data[11] = emptyclosure;
  Method *meth_meth_ast_9994_inheritFromCall = addmethod2pos(obj9971, "inheritFromCall", &meth_ast_9994_inheritFromCall, 11);
  int argcv_meth_ast_9994_inheritFromCall[] = {0};
  meth_meth_ast_9994_inheritFromCall->type = alloc_MethodType(1, argcv_meth_ast_9994_inheritFromCall);
  meth_meth_ast_9994_inheritFromCall->definitionModule = modulename;
  meth_meth_ast_9994_inheritFromCall->definitionLine = 2679;
// method "isExecutable"
  struct UserObject *uo9999 = (struct UserObject*)obj9971;
  uo9999->data[12] = emptyclosure;
  Method *meth_meth_ast_9999_isExecutable = addmethod2pos(obj9971, "isExecutable", &meth_ast_9999_isExecutable, 12);
  int argcv_meth_ast_9999_isExecutable[] = {0};
  meth_meth_ast_9999_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_9999_isExecutable);
  meth_meth_ast_9999_isExecutable->definitionModule = modulename;
  meth_meth_ast_9999_isExecutable->definitionLine = 2680;
// method "accept(_)from(_)"
  struct UserObject *uo10001 = (struct UserObject*)obj9971;
  uo10001->data[13] = emptyclosure;
  Method *meth_meth_ast_10001_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj9971, "accept(1)from(1)", &meth_ast_10001_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_10001_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_10001_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10001_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_10001_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10001_accept_40_1_41_from_40_1_41_->definitionLine = 2681;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9971);
  Object closure10035 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure10035, stackframe);
  addtoclosure(closure10035, var_k);
  struct UserObject *uo10035 = (struct UserObject*)obj9971;
  uo10035->data[14] = (Object)closure10035;
  Method *meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj9971, "declarationKindWithAncestors(1)", &meth_ast_10035_declarationKindWithAncestors_40_1_41_, 14);
  int argcv_meth_ast_10035_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10035_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10035_declarationKindWithAncestors_40_1_41_->definitionLine = 2692;
// method "map(_)ancestors(_)"
  struct UserObject *uo10038 = (struct UserObject*)obj9971;
  uo10038->data[15] = emptyclosure;
  Method *meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj9971, "map(1)ancestors(1)", &meth_ast_10038_map_40_1_41_ancestors_40_1_41_, 15);
  int argcv_meth_ast_10038_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10038_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10038_map_40_1_41_ancestors_40_1_41_->definitionLine = 2698;
// method "pretty(_)"
  struct UserObject *uo10051 = (struct UserObject*)obj9971;
  uo10051->data[16] = emptyclosure;
  Method *meth_meth_ast_10051_pretty_40_1_41_ = addmethod2pos(obj9971, "pretty(1)", &meth_ast_10051_pretty_40_1_41_, 16);
  int argcv_meth_ast_10051_pretty_40_1_41_[] = {1};
  meth_meth_ast_10051_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10051_pretty_40_1_41_);
  meth_meth_ast_10051_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10051_pretty_40_1_41_->definitionLine = 2704;
// method "toGrace(_)"
  struct UserObject *uo10196 = (struct UserObject*)obj9971;
  uo10196->data[17] = emptyclosure;
  Method *meth_meth_ast_10196_toGrace_40_1_41_ = addmethod2pos(obj9971, "toGrace(1)", &meth_ast_10196_toGrace_40_1_41_, 17);
  int argcv_meth_ast_10196_toGrace_40_1_41_[] = {1};
  meth_meth_ast_10196_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10196_toGrace_40_1_41_);
meth_meth_ast_10196_toGrace_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_10196_toGrace_40_1_41_->type->names[0] = "depth";
  meth_meth_ast_10196_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10196_toGrace_40_1_41_->definitionLine = 2721;
// method "asString"
  struct UserObject *uo10274 = (struct UserObject*)obj9971;
  uo10274->data[18] = emptyclosure;
  Method *meth_meth_ast_10274_asString = addmethod2pos(obj9971, "asString", &meth_ast_10274_asString, 18);
  int argcv_meth_ast_10274_asString[] = {0};
  meth_meth_ast_10274_asString->type = alloc_MethodType(1, argcv_meth_ast_10274_asString);
  meth_meth_ast_10274_asString->definitionModule = modulename;
  meth_meth_ast_10274_asString->definitionLine = 2736;
// method "nameString"
  struct UserObject *uo10288 = (struct UserObject*)obj9971;
  uo10288->data[19] = emptyclosure;
  Method *meth_meth_ast_10288_nameString = addmethod2pos(obj9971, "nameString", &meth_ast_10288_nameString, 19);
  int argcv_meth_ast_10288_nameString[] = {0};
  meth_meth_ast_10288_nameString->type = alloc_MethodType(1, argcv_meth_ast_10288_nameString);
  meth_meth_ast_10288_nameString->definitionModule = modulename;
  meth_meth_ast_10288_nameString->definitionLine = 2739;
// method "addAlias(_)for(_)"
  struct UserObject *uo10294 = (struct UserObject*)obj9971;
  uo10294->data[20] = emptyclosure;
  Method *meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_ = addmethod2pos(obj9971, "addAlias(1)for(1)", &meth_ast_10294_addAlias_40_1_41_for_40_1_41_, 20);
  int argcv_meth_ast_10294_addAlias_40_1_41_for_40_1_41_[] = {1, 1};
  meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10294_addAlias_40_1_41_for_40_1_41_);
  meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10294_addAlias_40_1_41_for_40_1_41_->definitionLine = 2740;
// method "addExclusion(_)"
  struct UserObject *uo10301 = (struct UserObject*)obj9971;
  uo10301->data[21] = emptyclosure;
  Method *meth_meth_ast_10301_addExclusion_40_1_41_ = addmethod2pos(obj9971, "addExclusion(1)", &meth_ast_10301_addExclusion_40_1_41_, 21);
  int argcv_meth_ast_10301_addExclusion_40_1_41_[] = {1};
  meth_meth_ast_10301_addExclusion_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10301_addExclusion_40_1_41_);
  meth_meth_ast_10301_addExclusion_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10301_addExclusion_40_1_41_->definitionLine = 2743;
// method "shallowCopy"
  block_savedest(obj9971);
  Object closure10306 = createclosure(2, "shallowCopy");
  setclosureframe(closure10306, stackframe);
  addtoclosure(closure10306, var_nullNode);
  addtoclosure(closure10306, var_inheritNode);
  struct UserObject *uo10306 = (struct UserObject*)obj9971;
  uo10306->data[22] = (Object)closure10306;
  Method *meth_meth_ast_10306_shallowCopy = addmethod2pos(obj9971, "shallowCopy", &meth_ast_10306_shallowCopy, 22);
  int argcv_meth_ast_10306_shallowCopy[] = {0};
  meth_meth_ast_10306_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_10306_shallowCopy);
  meth_meth_ast_10306_shallowCopy->definitionModule = modulename;
  meth_meth_ast_10306_shallowCopy->definitionLine = 2746;
// method "postCopy(_)"
  struct UserObject *uo10311 = (struct UserObject*)obj9971;
  uo10311->data[23] = emptyclosure;
  Method *meth_meth_ast_10311_postCopy_40_1_41_ = addmethod2pos(obj9971, "postCopy(1)", &meth_ast_10311_postCopy_40_1_41_, 23);
  int argcv_meth_ast_10311_postCopy_40_1_41_[] = {1};
  meth_meth_ast_10311_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10311_postCopy_40_1_41_);
  meth_meth_ast_10311_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10311_postCopy_40_1_41_->definitionLine = 2749;
// method "statementName"
  struct UserObject *uo10328 = (struct UserObject*)obj9971;
  uo10328->data[24] = emptyclosure;
  Method *meth_meth_ast_10328_statementName = addmethod2pos(obj9971, "statementName", &meth_ast_10328_statementName, 24);
  int argcv_meth_ast_10328_statementName[] = {0};
  meth_meth_ast_10328_statementName->type = alloc_MethodType(1, argcv_meth_ast_10328_statementName);
  meth_meth_ast_10328_statementName->definitionModule = modulename;
  meth_meth_ast_10328_statementName->definitionLine = 2756;
  sourceObject = obj9971;
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10334 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10335 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10334);
// compiled call node returning call10335 (depth = 3)
  struct UserObject *obj9971_uo = (struct UserObject *)obj9971;
  obj9971_uo->super = call10335;
  sourceObject = obj9971;
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10336 == NULL) {
    strlit10336 = alloc_String("inherit");
    gc_root(strlit10336);
  }
// compiled string node returning strlit10336 (depth = 3)
  adddatum2(obj9971, strlit10336, 1);
  sourceObject = obj9971;
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9971, *var_expr, 2);
  sourceObject = obj9971;
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10337 = gc_frame_new();
// call case 5: prelude request
  Object call10338 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10337);
// compiled member node returning call10338 (depth = 3)
  adddatum2(obj9971, call10338, 3);
  sourceObject = obj9971;
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array10339 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10339 (depth = 3)
  adddatum2(obj9971, array10339, 4);
  sourceObject = obj9971;
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array10340 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10340 (depth = 3)
  adddatum2(obj9971, array10340, 5);
  sourceObject = obj9971;
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10341 = alloc_Boolean(0);
// compiled identifier node returning bool10341 (depth = 3)
  adddatum2(obj9971, bool10341, 6);
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  sourceObject = obj9971;
  objclass9971 = obj9971->class;
  objclass9971->definitionModule = modulename;
  objclass9971->definitionLine = 2666;
  (*(struct UserObject *)self).data[0] = lowerouter9971;
  self = oldself9971;
  selfslot = oldselfslot9971;
  stackframe = oldstackframe9971;
  gc_frame_end(frame);
  return obj9971;
}
Object meth_ast_10343_inheritNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 54, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_inheritNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inheritNode (depth = 3)
  gc_frame_end(frame);
  return *var_inheritNode;
}
Object meth_ast_10346_AliasPair(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AliasPair");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AliasPair (depth = 3)
  gc_frame_end(frame);
  return *var_AliasPair;
}
Object meth_ast_10349_new(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2784
  setline(2784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10350 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10351 == NULL) {
    strlit10351 = alloc_String("");
    gc_root(strlit10351);
  }
// compiled string node returning strlit10351 (depth = 4)
  gc_frame_newslot(strlit10351);
// starting to compile array node (depth = 4)
  Object array10352 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10352 (depth = 4)
  gc_frame_newslot(array10352);
// call case 4: self request
  params[0] = strlit10351;
  params[1] = array10352;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10353 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10350);
// compiled call node returning call10353 (depth = 3)
  gc_frame_end(frame);
  return call10353;
}
Object meth_ast_10354_partName_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2787
  setline(2787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10355 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// starting to compile array node (depth = 5)
  Object array10356 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10356 (depth = 5)
  gc_frame_newslot(array10356);
// call case 4: self request
  params[0] = *var_n;
  params[1] = array10356;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10357 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10355);
// compiled call node returning call10357 (depth = 4)
  *var_result = call10357;
  if (call10357 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10358 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call10359 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10358);
// compiled call node returning call10359 (depth = 3)
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)params(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10361 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ps (depth = 5)
  gc_frame_newslot(*var_ps);
// call case 4: self request
  params[0] = *var_n;
  params[1] = *var_ps;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10362 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10361);
// compiled call node returning call10362 (depth = 4)
  *var_result = call10362;
  if (call10362 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2793
  setline(2793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10363 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call10364 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10363);
// compiled call node returning call10364 (depth = 3)
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_10365_partName_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for partName(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10366 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile array node (depth = 4)
  Object array10367 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10367 (depth = 4)
  gc_frame_newslot(array10367);
// call case 4: self request
  params[0] = *var_n;
  params[1] = array10367;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10368 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10366);
// compiled call node returning call10368 (depth = 3)
  gc_frame_end(frame);
  return call10368;
}
Object meth_ast_10377_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2808
  setline(2808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10379 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10380 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10381 = gc_frame_new();
// call case 4: self request
  Object call10382 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10381);
// compiled member node returning call10382 (depth = 6)
  Object call10383 = callmethodflags(call10382, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10380);
// compiled member node returning call10383 (depth = 5)
  Object call10384 = callmethodflags(call10383, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10379);
// compiled member node returning call10384 (depth = 4)
  Object if10378 = done;
  if (istrue(call10384)) {
// Begin line 2809
  setline(2809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10385 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10386 == NULL) {
    strlit10386 = alloc_String(")");
    gc_root(strlit10386);
  }
// compiled string node returning strlit10386 (depth = 6)
  gc_frame_newslot(strlit10386);
// starting to compile member node (depth = 6)
  int callframe10387 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10388 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10389 = gc_frame_new();
// call case 4: self request
  Object call10390 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10389);
// compiled member node returning call10390 (depth = 8)
  Object call10391 = callmethodflags(call10390, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10388);
// compiled member node returning call10391 (depth = 7)
  Object call10392 = callmethodflags(call10391, "end", 0, partcv, params, 0);
  gc_frame_end(callframe10387);
// compiled member node returning call10392 (depth = 6)
  gc_frame_newslot(call10392);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = strlit10386;
  params[1] = call10392;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10393 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10385);
// compiled call node returning call10393 (depth = 5)
  return call10393;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10378 = undefined;
  } else {
  }
// compiled if node returning if10378 (depth = 3)
// Begin line 2811
  setline(2811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10396 = gc_frame_new();
// call case 4: self request
  Object call10397 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10396);
// compiled member node returning call10397 (depth = 5)
  int op_slot_right_10395 = gc_frame_newslot(call10397);
// starting to compile identifier node (depth = 5)
  Object bool10399 = alloc_Boolean(0);
// compiled identifier node returning bool10399 (depth = 5)
  int op_slot_left_10395 = gc_frame_newslot(bool10399);
  params[0] = call10397;
  partcv[0] = 1;
  Object opresult10400 = callmethod(bool10399, "≠(1)", 1, partcv, params);
// compiled op node returning opresult10400 (depth = 4)
  Object if10394 = done;
  if (istrue(opresult10400)) {
// Begin line 2812
  setline(2812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10401 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10402 == NULL) {
    strlit10402 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit10402);
  }
// compiled string node returning strlit10402 (depth = 6)
  gc_frame_newslot(strlit10402);
// starting to compile member node (depth = 6)
  int callframe10403 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10404 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10405 = gc_frame_new();
// call case 4: self request
  Object call10406 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10405);
// compiled member node returning call10406 (depth = 8)
  Object call10407 = callmethodflags(call10406, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10404);
// compiled member node returning call10407 (depth = 7)
  Object call10408 = callmethodflags(call10407, "end", 0, partcv, params, 0);
  gc_frame_end(callframe10403);
// compiled member node returning call10408 (depth = 6)
  gc_frame_newslot(call10408);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = strlit10402;
  params[1] = call10408;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10409 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10401);
// compiled call node returning call10409 (depth = 5)
  return call10409;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10394 = undefined;
  } else {
  }
// compiled if node returning if10394 (depth = 3)
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10410 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10411 = gc_frame_new();
// call case 4: self request
  Object call10412 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10411);
// compiled member node returning call10412 (depth = 5)
  gc_frame_newslot(call10412);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10414 = alloc_Float64(1);
// compiled num node returning num10414 (depth = 6)
  int op_slot_right_10413 = gc_frame_newslot(num10414);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10417 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10418 = gc_frame_new();
// call case 4: self request
  Object call10419 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10418);
// compiled member node returning call10419 (depth = 8)
  Object call10420 = callmethodflags(call10419, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10417);
// compiled member node returning call10420 (depth = 7)
  int op_slot_right_10416 = gc_frame_newslot(call10420);
// starting to compile member node (depth = 7)
  int callframe10422 = gc_frame_new();
// call case 4: self request
  Object call10423 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10422);
// compiled member node returning call10423 (depth = 7)
  int op_slot_left_10416 = gc_frame_newslot(call10423);
  params[0] = call10420;
  partcv[0] = 1;
  Object sum10424 = callmethod(call10423, "+(1)", 1, partcv, params);
// compiled op node returning sum10424 (depth = 6)
  int op_slot_left_10413 = gc_frame_newslot(sum10424);
  params[0] = num10414;
  partcv[0] = 1;
  Object diff10425 = callmethod(sum10424, "-(1)", 1, partcv, params);
// compiled op node returning diff10425 (depth = 5)
  gc_frame_newslot(diff10425);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call10412;
  params[1] = diff10425;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10426 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10410);
// compiled call node returning call10426 (depth = 4)
  return call10426;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_10427_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10429 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10430 = gc_frame_new();
// call case 4: self request
  Object call10431 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10430);
// compiled member node returning call10431 (depth = 5)
  Object call10432 = callmethodflags(call10431, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10429);
// compiled member node returning call10432 (depth = 4)
  Object if10428 = done;
  if (istrue(call10432)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10433 = gc_frame_new();
// call case 4: self request
  Object call10434 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10433);
// compiled member node returning call10434 (depth = 5)
  return call10434;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10428 = undefined;
  } else {
  }
// compiled if node returning if10428 (depth = 3)
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10436 == NULL) {
    strlit10436 = alloc_String(")");
    gc_root(strlit10436);
  }
// compiled string node returning strlit10436 (depth = 4)
  int op_slot_right_10435 = gc_frame_newslot(strlit10436);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10439 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10440 = gc_frame_new();
// call case 4: self request
  Object call10441 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10440);
// compiled member node returning call10441 (depth = 6)
  Object call10442 = callmethodflags(call10441, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10439);
// compiled member node returning call10442 (depth = 5)
  int op_slot_right_10438 = gc_frame_newslot(call10442);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10445 == NULL) {
    strlit10445 = alloc_String("(");
    gc_root(strlit10445);
  }
// compiled string node returning strlit10445 (depth = 6)
  int op_slot_right_10444 = gc_frame_newslot(strlit10445);
// starting to compile member node (depth = 6)
  int callframe10447 = gc_frame_new();
// call case 4: self request
  Object call10448 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10447);
// compiled member node returning call10448 (depth = 6)
  int op_slot_left_10444 = gc_frame_newslot(call10448);
  params[0] = strlit10445;
  partcv[0] = 1;
  Object opresult10449 = callmethod(call10448, "++(1)", 1, partcv, params);
// compiled op node returning opresult10449 (depth = 5)
  int op_slot_left_10438 = gc_frame_newslot(opresult10449);
  params[0] = call10442;
  partcv[0] = 1;
  Object opresult10450 = callmethod(opresult10449, "++(1)", 1, partcv, params);
// compiled op node returning opresult10450 (depth = 4)
  int op_slot_left_10435 = gc_frame_newslot(opresult10450);
  params[0] = strlit10436;
  partcv[0] = 1;
  Object opresult10451 = callmethod(opresult10450, "++(1)", 1, partcv, params);
// compiled op node returning opresult10451 (depth = 3)
  gc_frame_end(frame);
  return opresult10451;
}
Object meth_ast_10452_numParams(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10453 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10454 = gc_frame_new();
// call case 4: self request
  Object call10455 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10454);
// compiled member node returning call10455 (depth = 4)
  Object call10456 = callmethodflags(call10455, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10453);
// compiled member node returning call10456 (depth = 3)
  gc_frame_end(frame);
  return call10456;
}
Object meth_ast_10472__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___2 = &(stackframe->slots[0]);
  *var___2 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10474 == NULL) {
    strlit10474 = alloc_String("_");
    gc_root(strlit10474);
  }
// compiled string node returning strlit10474 (depth = 7)
  int op_slot_right_10473 = gc_frame_newslot(strlit10474);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10473 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10474;
  partcv[0] = 1;
  Object opresult10476 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10476 (depth = 6)
  *var_underScores = opresult10476;
  if (opresult10476 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10480__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10482 == NULL) {
    strlit10482 = alloc_String(",");
    gc_root(strlit10482);
  }
// compiled string node returning strlit10482 (depth = 7)
  int op_slot_right_10481 = gc_frame_newslot(strlit10482);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10481 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10482;
  partcv[0] = 1;
  Object opresult10484 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10484 (depth = 6)
  *var_underScores = opresult10484;
  if (opresult10484 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10457_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_underScores = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "underScores");
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10460 = alloc_Float64(0);
// compiled num node returning num10460 (depth = 5)
  int op_slot_right_10459 = gc_frame_newslot(num10460);
// starting to compile member node (depth = 5)
  int callframe10462 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10463 = gc_frame_new();
// call case 4: self request
  Object call10464 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10463);
// compiled member node returning call10464 (depth = 6)
  Object call10465 = callmethodflags(call10464, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10462);
// compiled member node returning call10465 (depth = 5)
  int op_slot_left_10459 = gc_frame_newslot(call10465);
  params[0] = num10460;
  partcv[0] = 1;
  Object opresult10466 = callmethod(call10465, "==(1)", 1, partcv, params);
// compiled op node returning opresult10466 (depth = 4)
  Object if10458 = done;
  if (istrue(opresult10466)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10467 = gc_frame_new();
// call case 4: self request
  Object call10468 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10467);
// compiled member node returning call10468 (depth = 5)
  return call10468;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10458 = undefined;
  } else {
  }
// compiled if node returning if10458 (depth = 3)
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10469 == NULL) {
    strlit10469 = alloc_String("");
    gc_root(strlit10469);
  }
// compiled string node returning strlit10469 (depth = 4)
  *var_underScores = strlit10469;
  if (strlit10469 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10470 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10471 = alloc_Block(NULL, NULL, "ast", 2824);
  gc_frame_newslot(block10471);
// method "_apply(_)"
  block_savedest(block10471);
  Object closure10472 = createclosure(2, "_apply(1)");
  setclosureframe(closure10472, stackframe);
  addtoclosure(closure10472, var_underScores);
  addtoclosure(closure10472, selfslot);
  struct UserObject *uo10472 = (struct UserObject*)block10471;
  uo10472->data[0] = (Object)closure10472;
  Method *meth_meth_ast_10472__apply_40_1_41_ = addmethod2pos(block10471, "_apply(1)", &meth_ast_10472__apply_40_1_41_, 0);
  int argcv_meth_ast_10472__apply_40_1_41_[] = {1};
  meth_meth_ast_10472__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10472__apply_40_1_41_);
  meth_meth_ast_10472__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10472__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10471 (depth = 4)
  gc_frame_newslot(block10471);
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block10479 = alloc_Block(NULL, NULL, "ast", 2825);
  gc_frame_newslot(block10479);
// method "_apply"
  block_savedest(block10479);
  Object closure10480 = createclosure(2, "_apply");
  setclosureframe(closure10480, stackframe);
  addtoclosure(closure10480, var_underScores);
  addtoclosure(closure10480, selfslot);
  struct UserObject *uo10480 = (struct UserObject*)block10479;
  uo10480->data[0] = (Object)closure10480;
  Method *meth_meth_ast_10480__apply = addmethod2pos(block10479, "_apply", &meth_ast_10480__apply, 0);
  int argcv_meth_ast_10480__apply[] = {0};
  meth_meth_ast_10480__apply->type = alloc_MethodType(1, argcv_meth_ast_10480__apply);
  meth_meth_ast_10480__apply->definitionModule = modulename;
  meth_meth_ast_10480__apply->definitionLine = 3216;
// compiled block node returning block10479 (depth = 4)
  gc_frame_newslot(block10479);
// call case 6: other requests
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10487 = gc_frame_new();
// call case 4: self request
  Object call10488 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10487);
// compiled member node returning call10488 (depth = 4)
  params[0] = block10471;
  params[1] = block10479;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10489 = callmethodflags(call10488, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10470);
// compiled call node returning call10489 (depth = 3)
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10491 == NULL) {
    strlit10491 = alloc_String(")");
    gc_root(strlit10491);
  }
// compiled string node returning strlit10491 (depth = 4)
  int op_slot_right_10490 = gc_frame_newslot(strlit10491);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_underScores (depth = 5)
  int op_slot_right_10493 = gc_frame_newslot(*var_underScores);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10496 == NULL) {
    strlit10496 = alloc_String("(");
    gc_root(strlit10496);
  }
// compiled string node returning strlit10496 (depth = 6)
  int op_slot_right_10495 = gc_frame_newslot(strlit10496);
// starting to compile member node (depth = 6)
  int callframe10498 = gc_frame_new();
// call case 4: self request
  Object call10499 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10498);
// compiled member node returning call10499 (depth = 6)
  int op_slot_left_10495 = gc_frame_newslot(call10499);
  params[0] = strlit10496;
  partcv[0] = 1;
  Object opresult10500 = callmethod(call10499, "++(1)", 1, partcv, params);
// compiled op node returning opresult10500 (depth = 5)
  int op_slot_left_10493 = gc_frame_newslot(opresult10500);
  params[0] = *var_underScores;
  partcv[0] = 1;
  Object opresult10501 = callmethod(opresult10500, "++(1)", 1, partcv, params);
// compiled op node returning opresult10501 (depth = 4)
  int op_slot_left_10490 = gc_frame_newslot(opresult10501);
  params[0] = strlit10491;
  partcv[0] = 1;
  Object opresult10502 = callmethod(opresult10501, "++(1)", 1, partcv, params);
// compiled op node returning opresult10502 (depth = 3)
  gc_frame_end(frame);
  return opresult10502;
}
Object meth_ast_10511__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 6)
  int callframe10512 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10513 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10512);
// compiled call node returning call10513 (depth = 6)
  gc_frame_end(frame);
  return call10513;
}
Object meth_ast_10503_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// definebindings:
// definebindings:
// definebindings:
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10505 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10506 = callmethodflags(*var_visitor, "visitSignaturePart(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10505);
// compiled call node returning call10506 (depth = 4)
  Object if10504 = done;
  if (istrue(call10506)) {
// Begin line 2831
  setline(2831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10507 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call10508 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10507);
// compiled call node returning call10508 (depth = 5)
  *var_newChain = call10508;
  if (call10508 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10509 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10510 = alloc_Block(NULL, NULL, "ast", 2832);
  gc_frame_newslot(block10510);
// method "_apply(_)"
  block_savedest(block10510);
  Object closure10511 = createclosure(3, "_apply(1)");
  setclosureframe(closure10511, stackframe);
  addtoclosure(closure10511, var_visitor);
  addtoclosure(closure10511, var_newChain);
  addtoclosure(closure10511, selfslot);
  struct UserObject *uo10511 = (struct UserObject*)block10510;
  uo10511->data[0] = (Object)closure10511;
  Method *meth_meth_ast_10511__apply_40_1_41_ = addmethod2pos(block10510, "_apply(1)", &meth_ast_10511__apply_40_1_41_, 0);
  int argcv_meth_ast_10511__apply_40_1_41_[] = {1};
  meth_meth_ast_10511__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10511__apply_40_1_41_);
  meth_meth_ast_10511__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10511__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10510 (depth = 5)
  gc_frame_newslot(block10510);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10515 = gc_frame_new();
// call case 4: self request
  Object call10516 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10515);
// compiled member node returning call10516 (depth = 5)
  params[0] = block10510;
  partcv[0] = 1;
  Object call10517 = callmethodflags(call10516, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10509);
// compiled call node returning call10517 (depth = 4)
// Begin line 2833
  setline(2833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10520 = gc_frame_new();
// call case 4: self request
  Object call10521 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10520);
// compiled member node returning call10521 (depth = 6)
  int op_slot_right_10519 = gc_frame_newslot(call10521);
// starting to compile identifier node (depth = 6)
  Object bool10523 = alloc_Boolean(0);
// compiled identifier node returning bool10523 (depth = 6)
  int op_slot_left_10519 = gc_frame_newslot(bool10523);
  params[0] = call10521;
  partcv[0] = 1;
  Object opresult10524 = callmethod(bool10523, "≠(1)", 1, partcv, params);
// compiled op node returning opresult10524 (depth = 5)
  Object if10518 = done;
  if (istrue(opresult10524)) {
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10525 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10526 = gc_frame_new();
// call case 4: self request
  Object call10527 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10526);
// compiled member node returning call10527 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10528 = callmethodflags(call10527, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10525);
// compiled call node returning call10528 (depth = 5)
    gc_frame_newslot(call10528);
    if10518 = call10528;
  } else {
  }
// compiled if node returning if10518 (depth = 4)
    gc_frame_newslot(if10518);
    if10504 = if10518;
  } else {
  }
// compiled if node returning if10504 (depth = 3)
  gc_frame_end(frame);
  return if10504;
}
Object meth_ast_10529_declarationKindWithAncestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2838
  setline(2838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10530 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call10531 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe10530);
// compiled member node returning call10531 (depth = 3)
  gc_frame_end(frame);
  return call10531;
}
Object meth_ast_10532_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_nd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nd");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10533 = gc_frame_new();
// call case 4: self request
  Object call10534 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10533);
// compiled member node returning call10534 (depth = 4)
  *var_nd = call10534;
  if (call10534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10535 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nd (depth = 5)
  gc_frame_newslot(*var_nd);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_nd;
  partcv[0] = 1;
  Object call10536 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10535);
// compiled call node returning call10536 (depth = 4)
  *var_newChain = call10536;
  if (call10536 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10537 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10538 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10539 = gc_frame_new();
// call case 4: self request
  Object call10540 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10539);
// compiled member node returning call10540 (depth = 5)
  gc_frame_newslot(call10540);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call10540;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10541 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10538);
// compiled call node returning call10541 (depth = 4)
  gc_frame_newslot(call10541);
// call case 6: other requests
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  params[0] = call10541;
  partcv[0] = 1;
  Object call10542 = callmethodflags(*var_nd, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10537);
// compiled call node returning call10542 (depth = 3)
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10543 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10544 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10545 = gc_frame_new();
// call case 4: self request
  Object call10546 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10545);
// compiled member node returning call10546 (depth = 5)
  gc_frame_newslot(call10546);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call10546;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10547 = callmethodflags(module_ast, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10544);
// compiled call node returning call10547 (depth = 4)
  gc_frame_newslot(call10547);
// call case 6: other requests
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  params[0] = call10547;
  partcv[0] = 1;
  Object call10548 = callmethodflags(*var_nd, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10543);
// compiled call node returning call10548 (depth = 3)
// Begin line 2844
  setline(2844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10549 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  gc_frame_newslot(*var_nd);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_nd;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10550 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10549);
// compiled call node returning call10550 (depth = 3)
  gc_frame_end(frame);
  return call10550;
}
Object meth_ast_10606__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10608 == NULL) {
    strlit10608 = alloc_String("");
    gc_root(strlit10608);
  }
// compiled string node returning strlit10608 (depth = 7)
  int op_slot_right_10607 = gc_frame_newslot(strlit10608);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10611 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10613 = alloc_Float64(2);
// compiled num node returning num10613 (depth = 10)
  int op_slot_right_10612 = gc_frame_newslot(num10613);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10612 = gc_frame_newslot(*var_depth);
  params[0] = num10613;
  partcv[0] = 1;
  Object sum10615 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10615 (depth = 9)
  gc_frame_newslot(sum10615);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  params[0] = sum10615;
  partcv[0] = 1;
  Object call10616 = callmethodflags(*var_p, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10611);
// compiled call node returning call10616 (depth = 8)
  int op_slot_right_10610 = gc_frame_newslot(call10616);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10619 == NULL) {
    strlit10619 = alloc_String("");
    gc_root(strlit10619);
  }
// compiled string node returning strlit10619 (depth = 9)
  int op_slot_right_10618 = gc_frame_newslot(strlit10619);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_10621 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10624 == NULL) {
    strlit10624 = alloc_String("""\x0a""  ");
    gc_root(strlit10624);
  }
// compiled string node returning strlit10624 (depth = 11)
  int op_slot_right_10623 = gc_frame_newslot(strlit10624);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_10626 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit10628 == NULL) {
    strlit10628 = alloc_String("");
    gc_root(strlit10628);
  }
// compiled string node returning strlit10628 (depth = 12)
  int op_slot_left_10626 = gc_frame_newslot(strlit10628);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10629 = callmethod(strlit10628, "++(1)", 1, partcv, params);
// compiled op node returning opresult10629 (depth = 11)
  int op_slot_left_10623 = gc_frame_newslot(opresult10629);
  params[0] = strlit10624;
  partcv[0] = 1;
  Object opresult10630 = callmethod(opresult10629, "++(1)", 1, partcv, params);
// compiled op node returning opresult10630 (depth = 10)
  int op_slot_left_10621 = gc_frame_newslot(opresult10630);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10631 = callmethod(opresult10630, "++(1)", 1, partcv, params);
// compiled op node returning opresult10631 (depth = 9)
  int op_slot_left_10618 = gc_frame_newslot(opresult10631);
  params[0] = strlit10619;
  partcv[0] = 1;
  Object opresult10632 = callmethod(opresult10631, "++(1)", 1, partcv, params);
// compiled op node returning opresult10632 (depth = 8)
  int op_slot_left_10610 = gc_frame_newslot(opresult10632);
  params[0] = call10616;
  partcv[0] = 1;
  Object opresult10633 = callmethod(opresult10632, "++(1)", 1, partcv, params);
// compiled op node returning opresult10633 (depth = 7)
  int op_slot_left_10607 = gc_frame_newslot(opresult10633);
  params[0] = strlit10608;
  partcv[0] = 1;
  Object opresult10634 = callmethod(opresult10633, "++(1)", 1, partcv, params);
// compiled op node returning opresult10634 (depth = 6)
  *var_s = opresult10634;
  if (opresult10634 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10551_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// definebindings:
// definebindings:
// Begin line 2847
  setline(2847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10554 = alloc_Float64(1);
// compiled num node returning num10554 (depth = 6)
  int op_slot_right_10553 = gc_frame_newslot(num10554);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_10553 = gc_frame_newslot(*var_depth);
  params[0] = num10554;
  partcv[0] = 1;
  Object sum10556 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10556 (depth = 5)
  int op_slot_right_10552 = gc_frame_newslot(sum10556);
// starting to compile string node (depth = 5)
  if (strlit10558 == NULL) {
    strlit10558 = alloc_String("  ");
    gc_root(strlit10558);
  }
// compiled string node returning strlit10558 (depth = 5)
  int op_slot_left_10552 = gc_frame_newslot(strlit10558);
  params[0] = sum10556;
  partcv[0] = 1;
  Object prod10559 = callmethod(strlit10558, "*(1)", 1, partcv, params);
// compiled op node returning prod10559 (depth = 4)
  *var_spc = prod10559;
  if (prod10559 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2848
  setline(2848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10561 == NULL) {
    strlit10561 = alloc_String("");
    gc_root(strlit10561);
  }
// compiled string node returning strlit10561 (depth = 5)
  int op_slot_right_10560 = gc_frame_newslot(strlit10561);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10564 = gc_frame_new();
// call case 4: self request
  Object call10565 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10564);
// compiled member node returning call10565 (depth = 6)
  int op_slot_right_10563 = gc_frame_newslot(call10565);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10568 == NULL) {
    strlit10568 = alloc_String(": ");
    gc_root(strlit10568);
  }
// compiled string node returning strlit10568 (depth = 7)
  int op_slot_right_10567 = gc_frame_newslot(strlit10568);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10571 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10572 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10571);
// compiled call node returning call10572 (depth = 8)
  int op_slot_right_10570 = gc_frame_newslot(call10572);
// starting to compile string node (depth = 8)
  if (strlit10574 == NULL) {
    strlit10574 = alloc_String("");
    gc_root(strlit10574);
  }
// compiled string node returning strlit10574 (depth = 8)
  int op_slot_left_10570 = gc_frame_newslot(strlit10574);
  params[0] = call10572;
  partcv[0] = 1;
  Object opresult10575 = callmethod(strlit10574, "++(1)", 1, partcv, params);
// compiled op node returning opresult10575 (depth = 7)
  int op_slot_left_10567 = gc_frame_newslot(opresult10575);
  params[0] = strlit10568;
  partcv[0] = 1;
  Object opresult10576 = callmethod(opresult10575, "++(1)", 1, partcv, params);
// compiled op node returning opresult10576 (depth = 6)
  int op_slot_left_10563 = gc_frame_newslot(opresult10576);
  params[0] = call10565;
  partcv[0] = 1;
  Object opresult10577 = callmethod(opresult10576, "++(1)", 1, partcv, params);
// compiled op node returning opresult10577 (depth = 5)
  int op_slot_left_10560 = gc_frame_newslot(opresult10577);
  params[0] = strlit10561;
  partcv[0] = 1;
  Object opresult10578 = callmethod(opresult10577, "++(1)", 1, partcv, params);
// compiled op node returning opresult10578 (depth = 4)
  *var_s = opresult10578;
  if (opresult10578 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2849
  setline(2849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10580 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10581 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10582 = gc_frame_new();
// call case 4: self request
  Object call10583 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10582);
// compiled member node returning call10583 (depth = 6)
  Object call10584 = callmethodflags(call10583, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10581);
// compiled member node returning call10584 (depth = 5)
  Object call10585 = callmethodflags(call10584, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10580);
// compiled member node returning call10585 (depth = 4)
  Object if10579 = done;
  if (istrue(call10585)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10587 == NULL) {
    strlit10587 = alloc_String("Parameters:");
    gc_root(strlit10587);
  }
// compiled string node returning strlit10587 (depth = 6)
  int op_slot_right_10586 = gc_frame_newslot(strlit10587);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_10589 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10592 == NULL) {
    strlit10592 = alloc_String("""\x0a""");
    gc_root(strlit10592);
  }
// compiled string node returning strlit10592 (depth = 8)
  int op_slot_right_10591 = gc_frame_newslot(strlit10592);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_10594 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit10596 == NULL) {
    strlit10596 = alloc_String("");
    gc_root(strlit10596);
  }
// compiled string node returning strlit10596 (depth = 9)
  int op_slot_left_10594 = gc_frame_newslot(strlit10596);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10597 = callmethod(strlit10596, "++(1)", 1, partcv, params);
// compiled op node returning opresult10597 (depth = 8)
  int op_slot_left_10591 = gc_frame_newslot(opresult10597);
  params[0] = strlit10592;
  partcv[0] = 1;
  Object opresult10598 = callmethod(opresult10597, "++(1)", 1, partcv, params);
// compiled op node returning opresult10598 (depth = 7)
  int op_slot_left_10589 = gc_frame_newslot(opresult10598);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10599 = callmethod(opresult10598, "++(1)", 1, partcv, params);
// compiled op node returning opresult10599 (depth = 6)
  int op_slot_left_10586 = gc_frame_newslot(opresult10599);
  params[0] = strlit10587;
  partcv[0] = 1;
  Object opresult10600 = callmethod(opresult10599, "++(1)", 1, partcv, params);
// compiled op node returning opresult10600 (depth = 5)
  *var_s = opresult10600;
  if (opresult10600 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10579 = done;
  } else {
  }
// compiled if node returning if10579 (depth = 3)
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10602 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10603 = gc_frame_new();
// call case 4: self request
  Object call10604 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10603);
// compiled member node returning call10604 (depth = 4)
  gc_frame_newslot(call10604);
// starting to compile block node (depth = 4)
  Object block10605 = alloc_Block(NULL, NULL, "ast", 2850);
  gc_frame_newslot(block10605);
// method "_apply(_)"
  block_savedest(block10605);
  Object closure10606 = createclosure(4, "_apply(1)");
  setclosureframe(closure10606, stackframe);
  addtoclosure(closure10606, var_depth);
  addtoclosure(closure10606, var_spc);
  addtoclosure(closure10606, var_s);
  addtoclosure(closure10606, selfslot);
  struct UserObject *uo10606 = (struct UserObject*)block10605;
  uo10606->data[0] = (Object)closure10606;
  Method *meth_meth_ast_10606__apply_40_1_41_ = addmethod2pos(block10605, "_apply(1)", &meth_ast_10606__apply_40_1_41_, 0);
  int argcv_meth_ast_10606__apply_40_1_41_[] = {1};
  meth_meth_ast_10606__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10606__apply_40_1_41_);
  meth_meth_ast_10606__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10606__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10605 (depth = 4)
  gc_frame_newslot(block10605);
// call case 5: prelude request
  params[0] = call10604;
  params[1] = block10605;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10637 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10602);
// compiled call node returning call10637 (depth = 3)
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_10655__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10656 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num10658 = alloc_Float64(1);
// compiled num node returning num10658 (depth = 9)
  int op_slot_right_10657 = gc_frame_newslot(num10658);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_10657 = gc_frame_newslot(*var_depth);
  params[0] = num10658;
  partcv[0] = 1;
  Object sum10660 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10660 (depth = 8)
  gc_frame_newslot(sum10660);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum10660;
  partcv[0] = 1;
  Object call10661 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10656);
// compiled call node returning call10661 (depth = 7)
  *var_s = call10661;
  if (call10661 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10665__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10667 == NULL) {
    strlit10667 = alloc_String(", ");
    gc_root(strlit10667);
  }
// compiled string node returning strlit10667 (depth = 8)
  int op_slot_right_10666 = gc_frame_newslot(strlit10667);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10666 = gc_frame_newslot(*var_s);
  params[0] = strlit10667;
  partcv[0] = 1;
  Object opresult10669 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10669 (depth = 7)
  *var_s = opresult10669;
  if (opresult10669 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10638_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// definebindings:
// definebindings:
// Begin line 2856
  setline(2856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10639 = gc_frame_new();
// call case 4: self request
  Object call10640 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10639);
// compiled member node returning call10640 (depth = 4)
  *var_s = call10640;
  if (call10640 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10642 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10643 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10644 = gc_frame_new();
// call case 4: self request
  Object call10645 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10644);
// compiled member node returning call10645 (depth = 6)
  Object call10646 = callmethodflags(call10645, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10643);
// compiled member node returning call10646 (depth = 5)
  Object call10647 = callmethodflags(call10646, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10642);
// compiled member node returning call10647 (depth = 4)
  Object if10641 = done;
  if (istrue(call10647)) {
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10649 == NULL) {
    strlit10649 = alloc_String("(");
    gc_root(strlit10649);
  }
// compiled string node returning strlit10649 (depth = 6)
  int op_slot_right_10648 = gc_frame_newslot(strlit10649);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10648 = gc_frame_newslot(*var_s);
  params[0] = strlit10649;
  partcv[0] = 1;
  Object opresult10651 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10651 (depth = 5)
  *var_s = opresult10651;
  if (opresult10651 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10653 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10654 = alloc_Block(NULL, NULL, "ast", 2859);
  gc_frame_newslot(block10654);
// method "_apply(_)"
  block_savedest(block10654);
  Object closure10655 = createclosure(3, "_apply(1)");
  setclosureframe(closure10655, stackframe);
  addtoclosure(closure10655, var_depth);
  addtoclosure(closure10655, var_s);
  addtoclosure(closure10655, selfslot);
  struct UserObject *uo10655 = (struct UserObject*)block10654;
  uo10655->data[0] = (Object)closure10655;
  Method *meth_meth_ast_10655__apply_40_1_41_ = addmethod2pos(block10654, "_apply(1)", &meth_ast_10655__apply_40_1_41_, 0);
  int argcv_meth_ast_10655__apply_40_1_41_[] = {1};
  meth_meth_ast_10655__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10655__apply_40_1_41_);
  meth_meth_ast_10655__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10655__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10654 (depth = 5)
  gc_frame_newslot(block10654);
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10664 = alloc_Block(NULL, NULL, "ast", 2860);
  gc_frame_newslot(block10664);
// method "_apply"
  block_savedest(block10664);
  Object closure10665 = createclosure(2, "_apply");
  setclosureframe(closure10665, stackframe);
  addtoclosure(closure10665, var_s);
  addtoclosure(closure10665, selfslot);
  struct UserObject *uo10665 = (struct UserObject*)block10664;
  uo10665->data[0] = (Object)closure10665;
  Method *meth_meth_ast_10665__apply = addmethod2pos(block10664, "_apply", &meth_ast_10665__apply, 0);
  int argcv_meth_ast_10665__apply[] = {0};
  meth_meth_ast_10665__apply->type = alloc_MethodType(1, argcv_meth_ast_10665__apply);
  meth_meth_ast_10665__apply->definitionModule = modulename;
  meth_meth_ast_10665__apply->definitionLine = 3216;
// compiled block node returning block10664 (depth = 5)
  gc_frame_newslot(block10664);
// call case 6: other requests
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10672 = gc_frame_new();
// call case 4: self request
  Object call10673 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10672);
// compiled member node returning call10673 (depth = 5)
  params[0] = block10654;
  params[1] = block10664;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10674 = callmethodflags(call10673, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10653);
// compiled call node returning call10674 (depth = 4)
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10676 == NULL) {
    strlit10676 = alloc_String(")");
    gc_root(strlit10676);
  }
// compiled string node returning strlit10676 (depth = 6)
  int op_slot_right_10675 = gc_frame_newslot(strlit10676);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10675 = gc_frame_newslot(*var_s);
  params[0] = strlit10676;
  partcv[0] = 1;
  Object opresult10678 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10678 (depth = 5)
  *var_s = opresult10678;
  if (opresult10678 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10641 = done;
  } else {
  }
// compiled if node returning if10641 (depth = 3)
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_10680_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10681 = gc_frame_new();
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10682 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10683 = gc_frame_new();
// call case 4: self request
  Object call10684 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10683);
// compiled member node returning call10684 (depth = 5)
  gc_frame_newslot(call10684);
// starting to compile member node (depth = 5)
  int callframe10685 = gc_frame_new();
// call case 4: self request
  Object call10686 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10685);
// compiled member node returning call10686 (depth = 5)
  gc_frame_newslot(call10686);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signaturePart (depth = 5)
  params[0] = call10684;
  params[1] = call10686;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10687 = callmethodflags(*var_signaturePart, "partName(1)params(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10682);
// compiled call node returning call10687 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10688 = callmethodflags(call10687, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10681);
// compiled call node returning call10688 (depth = 3)
  gc_frame_end(frame);
  return call10688;
}
Object meth_ast_10689_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10690 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10691 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10692 = callmethodflags(*var_other, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe10691);
// compiled member node returning call10692 (depth = 4)
  gc_frame_newslot(call10692);
// call case 4: self request
  params[0] = call10692;
  partcv[0] = 1;
  Object call10693 = callmethodflags(self, "typeParams:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10690);
// compiled call node returning call10693 (depth = 3)
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10694 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10695 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10696 = callmethodflags(*var_other, "lineLength", 0, partcv, params, 0);
  gc_frame_end(callframe10695);
// compiled member node returning call10696 (depth = 4)
  gc_frame_newslot(call10696);
// call case 4: self request
  params[0] = call10696;
  partcv[0] = 1;
  Object call10697 = callmethodflags(self, "lineLength:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10694);
// compiled call node returning call10697 (depth = 3)
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_10698_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10700 == NULL) {
    strlit10700 = alloc_String("");
    gc_root(strlit10700);
  }
// compiled string node returning strlit10700 (depth = 4)
  int op_slot_right_10699 = gc_frame_newslot(strlit10700);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10703 = gc_frame_new();
// call case 4: self request
  Object call10704 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10703);
// compiled member node returning call10704 (depth = 5)
  int op_slot_right_10702 = gc_frame_newslot(call10704);
// starting to compile string node (depth = 5)
  if (strlit10706 == NULL) {
    strlit10706 = alloc_String("part: ");
    gc_root(strlit10706);
  }
// compiled string node returning strlit10706 (depth = 5)
  int op_slot_left_10702 = gc_frame_newslot(strlit10706);
  params[0] = call10704;
  partcv[0] = 1;
  Object opresult10707 = callmethod(strlit10706, "++(1)", 1, partcv, params);
// compiled op node returning opresult10707 (depth = 4)
  int op_slot_left_10699 = gc_frame_newslot(opresult10707);
  params[0] = strlit10700;
  partcv[0] = 1;
  Object opresult10708 = callmethod(opresult10707, "++(1)", 1, partcv, params);
// compiled op node returning opresult10708 (depth = 3)
  gc_frame_end(frame);
  return opresult10708;
}
Object meth_ast_10369_partName_40_1_41_params_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "partName(1)params(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_signaturePart = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10370 = alloc_userobj2(21,18, objclass10370);
  gc_frame_newslot(obj10370);
  if (objclass10370 == NULL) {
    glfree(obj10370->class->name);
    obj10370->class->name = "signaturePart.partName(_)params(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj10370, self, 0);
  addmethodreal(obj10370,"outer", &reader_ast_outer_10371);
  Object oldself10370 = self;
  struct StackFrameObject *oldstackframe10370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10370);
  gc_frame_newslot((Object)stackframe);
  self = obj10370;
  Object *oldselfslot10370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10370 = (*(struct UserObject *)self).data[0], lowerouter10370 = thisouter10370;
  if (inheritingObject10370) {
    struct UserObject *inho10370 = (struct UserObject *)inheritingObject10370;
    while (inho10370->super != GraceDefaultObject) inho10370 = (struct UserObject *)inho10370->super;
    inho10370->super = obj10370;
    self = inheritingObject10370;
    *selfslot = self;
    lowerouter10370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10370;
  }
  if (objclass10370 == NULL) {
  Method *reader10372 = addmethodrealflags(obj10370, "kind",&reader_ast_kind_10372, MFLAG_DEF);
  reader10372->definitionModule = modulename;
  reader10372->definitionLine = 2801;
  }
  adddatum2(obj10370, alloc_Undefined(), 1);
  if (objclass10370 == NULL) {
    Method *reader10373 = addmethodrealflags(obj10370, "name", &reader_ast_name_10373, 0);
    Method *writer10373 = addmethodrealflags(obj10370, "name:=(1)", &writer_ast_name_10373, 0);
    reader10373->definitionModule = modulename;
    writer10373->definitionModule = modulename;
    reader10373->definitionLine = 2802;
    writer10373->definitionLine = 2802;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 2);
  if (objclass10370 == NULL) {
    Method *reader10374 = addmethodrealflags(obj10370, "params", &reader_ast_params_10374, 0);
    Method *writer10374 = addmethodrealflags(obj10370, "params:=(1)", &writer_ast_params_10374, 0);
    reader10374->definitionModule = modulename;
    writer10374->definitionModule = modulename;
    reader10374->definitionLine = 2803;
    writer10374->definitionLine = 2803;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 3);
  if (objclass10370 == NULL) {
    Method *reader10375 = addmethodrealflags(obj10370, "typeParams", &reader_ast_typeParams_10375, 0);
    Method *writer10375 = addmethodrealflags(obj10370, "typeParams:=(1)", &writer_ast_typeParams_10375, 0);
    reader10375->definitionModule = modulename;
    writer10375->definitionModule = modulename;
    reader10375->definitionLine = 2804;
    writer10375->definitionLine = 2804;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 4);
  if (objclass10370 == NULL) {
    Method *reader10376 = addmethodrealflags(obj10370, "lineLength", &reader_ast_lineLength_10376, 0);
    Method *writer10376 = addmethodrealflags(obj10370, "lineLength:=(1)", &writer_ast_lineLength_10376, 0);
    reader10376->definitionModule = modulename;
    writer10376->definitionModule = modulename;
    reader10376->definitionLine = 2805;
    writer10376->definitionLine = 2805;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo10377 = (struct UserObject*)obj10370;
  uo10377->data[6] = emptyclosure;
  Method *meth_meth_ast_10377_end = addmethod2pos(obj10370, "end", &meth_ast_10377_end, 6);
  int argcv_meth_ast_10377_end[] = {0};
  meth_meth_ast_10377_end->type = alloc_MethodType(1, argcv_meth_ast_10377_end);
  meth_meth_ast_10377_end->definitionModule = modulename;
  meth_meth_ast_10377_end->definitionLine = 2807;
// method "nameString"
  struct UserObject *uo10427 = (struct UserObject*)obj10370;
  uo10427->data[7] = emptyclosure;
  Method *meth_meth_ast_10427_nameString = addmethod2pos(obj10370, "nameString", &meth_ast_10427_nameString, 7);
  int argcv_meth_ast_10427_nameString[] = {0};
  meth_meth_ast_10427_nameString->type = alloc_MethodType(1, argcv_meth_ast_10427_nameString);
  meth_meth_ast_10427_nameString->definitionModule = modulename;
  meth_meth_ast_10427_nameString->definitionLine = 2816;
// method "numParams"
  struct UserObject *uo10452 = (struct UserObject*)obj10370;
  uo10452->data[8] = emptyclosure;
  Method *meth_meth_ast_10452_numParams = addmethod2pos(obj10370, "numParams", &meth_ast_10452_numParams, 8);
  int argcv_meth_ast_10452_numParams[] = {0};
  meth_meth_ast_10452_numParams->type = alloc_MethodType(1, argcv_meth_ast_10452_numParams);
  meth_meth_ast_10452_numParams->definitionModule = modulename;
  meth_meth_ast_10452_numParams->definitionLine = 2820;
// method "canonicalName"
  struct UserObject *uo10457 = (struct UserObject*)obj10370;
  uo10457->data[9] = emptyclosure;
  Method *meth_meth_ast_10457_canonicalName = addmethod2pos(obj10370, "canonicalName", &meth_ast_10457_canonicalName, 9);
  int argcv_meth_ast_10457_canonicalName[] = {0};
  meth_meth_ast_10457_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_10457_canonicalName);
  meth_meth_ast_10457_canonicalName->definitionModule = modulename;
  meth_meth_ast_10457_canonicalName->definitionLine = 2821;
// method "accept(_)from(_)"
  struct UserObject *uo10503 = (struct UserObject*)obj10370;
  uo10503->data[10] = emptyclosure;
  Method *meth_meth_ast_10503_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj10370, "accept(1)from(1)", &meth_ast_10503_accept_40_1_41_from_40_1_41_, 10);
  int argcv_meth_ast_10503_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_10503_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10503_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_10503_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10503_accept_40_1_41_from_40_1_41_->definitionLine = 2829;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj10370);
  Object closure10529 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure10529, stackframe);
  addtoclosure(closure10529, var_k);
  struct UserObject *uo10529 = (struct UserObject*)obj10370;
  uo10529->data[11] = (Object)closure10529;
  Method *meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj10370, "declarationKindWithAncestors(1)", &meth_ast_10529_declarationKindWithAncestors_40_1_41_, 11);
  int argcv_meth_ast_10529_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10529_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_->definitionLine = 2838;
// method "map(_)ancestors(_)"
  struct UserObject *uo10532 = (struct UserObject*)obj10370;
  uo10532->data[12] = emptyclosure;
  Method *meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj10370, "map(1)ancestors(1)", &meth_ast_10532_map_40_1_41_ancestors_40_1_41_, 12);
  int argcv_meth_ast_10532_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10532_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_->definitionLine = 2839;
// method "pretty(_)"
  struct UserObject *uo10551 = (struct UserObject*)obj10370;
  uo10551->data[13] = emptyclosure;
  Method *meth_meth_ast_10551_pretty_40_1_41_ = addmethod2pos(obj10370, "pretty(1)", &meth_ast_10551_pretty_40_1_41_, 13);
  int argcv_meth_ast_10551_pretty_40_1_41_[] = {1};
  meth_meth_ast_10551_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10551_pretty_40_1_41_);
  meth_meth_ast_10551_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10551_pretty_40_1_41_->definitionLine = 2846;
// method "toGrace(_)"
  struct UserObject *uo10638 = (struct UserObject*)obj10370;
  uo10638->data[14] = emptyclosure;
  Method *meth_meth_ast_10638_toGrace_40_1_41_ = addmethod2pos(obj10370, "toGrace(1)", &meth_ast_10638_toGrace_40_1_41_, 14);
  int argcv_meth_ast_10638_toGrace_40_1_41_[] = {1};
  meth_meth_ast_10638_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10638_toGrace_40_1_41_);
  meth_meth_ast_10638_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10638_toGrace_40_1_41_->definitionLine = 2855;
// method "shallowCopy"
  block_savedest(obj10370);
  Object closure10680 = createclosure(1, "shallowCopy");
  setclosureframe(closure10680, stackframe);
  addtoclosure(closure10680, var_signaturePart);
  struct UserObject *uo10680 = (struct UserObject*)obj10370;
  uo10680->data[15] = (Object)closure10680;
  Method *meth_meth_ast_10680_shallowCopy = addmethod2pos(obj10370, "shallowCopy", &meth_ast_10680_shallowCopy, 15);
  int argcv_meth_ast_10680_shallowCopy[] = {0};
  meth_meth_ast_10680_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_10680_shallowCopy);
  meth_meth_ast_10680_shallowCopy->definitionModule = modulename;
  meth_meth_ast_10680_shallowCopy->definitionLine = 2865;
// method "postCopy(_)"
  struct UserObject *uo10689 = (struct UserObject*)obj10370;
  uo10689->data[16] = emptyclosure;
  Method *meth_meth_ast_10689_postCopy_40_1_41_ = addmethod2pos(obj10370, "postCopy(1)", &meth_ast_10689_postCopy_40_1_41_, 16);
  int argcv_meth_ast_10689_postCopy_40_1_41_[] = {1};
  meth_meth_ast_10689_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10689_postCopy_40_1_41_);
  meth_meth_ast_10689_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10689_postCopy_40_1_41_->definitionLine = 2869;
// method "asString"
  struct UserObject *uo10698 = (struct UserObject*)obj10370;
  uo10698->data[17] = emptyclosure;
  Method *meth_meth_ast_10698_asString = addmethod2pos(obj10370, "asString", &meth_ast_10698_asString, 17);
  int argcv_meth_ast_10698_asString[] = {0};
  meth_meth_ast_10698_asString->type = alloc_MethodType(1, argcv_meth_ast_10698_asString);
  meth_meth_ast_10698_asString->definitionModule = modulename;
  meth_meth_ast_10698_asString->definitionLine = 2874;
  sourceObject = obj10370;
// Begin line 2800
  setline(2800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10709 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10710 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10709);
// compiled call node returning call10710 (depth = 3)
  struct UserObject *obj10370_uo = (struct UserObject *)obj10370;
  obj10370_uo->super = call10710;
  sourceObject = obj10370;
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10711 == NULL) {
    strlit10711 = alloc_String("signaturepart");
    gc_root(strlit10711);
  }
// compiled string node returning strlit10711 (depth = 3)
  adddatum2(obj10370, strlit10711, 1);
  sourceObject = obj10370;
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  adddatum2(obj10370, *var_n, 2);
  sourceObject = obj10370;
// Begin line 2803
  setline(2803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ps (depth = 3)
  adddatum2(obj10370, *var_ps, 3);
  sourceObject = obj10370;
// Begin line 2804
  setline(2804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10712 = alloc_Boolean(0);
// compiled identifier node returning bool10712 (depth = 3)
  adddatum2(obj10370, bool10712, 4);
  sourceObject = obj10370;
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10713 = alloc_Float64(0);
// compiled num node returning num10713 (depth = 3)
  adddatum2(obj10370, num10713, 5);
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  objclass10370 = obj10370->class;
  objclass10370->definitionModule = modulename;
  objclass10370->definitionLine = 2799;
  (*(struct UserObject *)self).data[0] = lowerouter10370;
  self = oldself10370;
  selfslot = oldselfslot10370;
  stackframe = oldstackframe10370;
  gc_frame_end(frame);
  return obj10370;
}
Object meth_ast_10369_partName_40_1_41_params_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "partName(1)params(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method partName(_)params(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method partName(_)params(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_signaturePart = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10370 = alloc_userobj2(21,18, objclass10370);
  gc_frame_newslot(obj10370);
  if (objclass10370 == NULL) {
    glfree(obj10370->class->name);
    obj10370->class->name = "signaturePart.partName(_)params(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj10370, self, 0);
  addmethodreal(obj10370,"outer", &reader_ast_outer_10371);
  Object oldself10370 = self;
  struct StackFrameObject *oldstackframe10370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10370);
  gc_frame_newslot((Object)stackframe);
  self = obj10370;
  Object *oldselfslot10370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10370 = (*(struct UserObject *)self).data[0], lowerouter10370 = thisouter10370;
  if (inheritingObject10370) {
    struct UserObject *inho10370 = (struct UserObject *)inheritingObject10370;
    while (inho10370->super != GraceDefaultObject) inho10370 = (struct UserObject *)inho10370->super;
    inho10370->super = obj10370;
    self = inheritingObject10370;
    *selfslot = self;
    lowerouter10370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10370;
  }
  if (objclass10370 == NULL) {
  Method *reader10372 = addmethodrealflags(obj10370, "kind",&reader_ast_kind_10372, MFLAG_DEF);
  reader10372->definitionModule = modulename;
  reader10372->definitionLine = 2801;
  }
  adddatum2(obj10370, alloc_Undefined(), 1);
  if (objclass10370 == NULL) {
    Method *reader10373 = addmethodrealflags(obj10370, "name", &reader_ast_name_10373, 0);
    Method *writer10373 = addmethodrealflags(obj10370, "name:=(1)", &writer_ast_name_10373, 0);
    reader10373->definitionModule = modulename;
    writer10373->definitionModule = modulename;
    reader10373->definitionLine = 2802;
    writer10373->definitionLine = 2802;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 2);
  if (objclass10370 == NULL) {
    Method *reader10374 = addmethodrealflags(obj10370, "params", &reader_ast_params_10374, 0);
    Method *writer10374 = addmethodrealflags(obj10370, "params:=(1)", &writer_ast_params_10374, 0);
    reader10374->definitionModule = modulename;
    writer10374->definitionModule = modulename;
    reader10374->definitionLine = 2803;
    writer10374->definitionLine = 2803;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 3);
  if (objclass10370 == NULL) {
    Method *reader10375 = addmethodrealflags(obj10370, "typeParams", &reader_ast_typeParams_10375, 0);
    Method *writer10375 = addmethodrealflags(obj10370, "typeParams:=(1)", &writer_ast_typeParams_10375, 0);
    reader10375->definitionModule = modulename;
    writer10375->definitionModule = modulename;
    reader10375->definitionLine = 2804;
    writer10375->definitionLine = 2804;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 4);
  if (objclass10370 == NULL) {
    Method *reader10376 = addmethodrealflags(obj10370, "lineLength", &reader_ast_lineLength_10376, 0);
    Method *writer10376 = addmethodrealflags(obj10370, "lineLength:=(1)", &writer_ast_lineLength_10376, 0);
    reader10376->definitionModule = modulename;
    writer10376->definitionModule = modulename;
    reader10376->definitionLine = 2805;
    writer10376->definitionLine = 2805;
  }
  obj10370->flags |= OFLAG_MUTABLE;
  adddatum2(obj10370, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo10377 = (struct UserObject*)obj10370;
  uo10377->data[6] = emptyclosure;
  Method *meth_meth_ast_10377_end = addmethod2pos(obj10370, "end", &meth_ast_10377_end, 6);
  int argcv_meth_ast_10377_end[] = {0};
  meth_meth_ast_10377_end->type = alloc_MethodType(1, argcv_meth_ast_10377_end);
  meth_meth_ast_10377_end->definitionModule = modulename;
  meth_meth_ast_10377_end->definitionLine = 2807;
// method "nameString"
  struct UserObject *uo10427 = (struct UserObject*)obj10370;
  uo10427->data[7] = emptyclosure;
  Method *meth_meth_ast_10427_nameString = addmethod2pos(obj10370, "nameString", &meth_ast_10427_nameString, 7);
  int argcv_meth_ast_10427_nameString[] = {0};
  meth_meth_ast_10427_nameString->type = alloc_MethodType(1, argcv_meth_ast_10427_nameString);
  meth_meth_ast_10427_nameString->definitionModule = modulename;
  meth_meth_ast_10427_nameString->definitionLine = 2816;
// method "numParams"
  struct UserObject *uo10452 = (struct UserObject*)obj10370;
  uo10452->data[8] = emptyclosure;
  Method *meth_meth_ast_10452_numParams = addmethod2pos(obj10370, "numParams", &meth_ast_10452_numParams, 8);
  int argcv_meth_ast_10452_numParams[] = {0};
  meth_meth_ast_10452_numParams->type = alloc_MethodType(1, argcv_meth_ast_10452_numParams);
  meth_meth_ast_10452_numParams->definitionModule = modulename;
  meth_meth_ast_10452_numParams->definitionLine = 2820;
// method "canonicalName"
  struct UserObject *uo10457 = (struct UserObject*)obj10370;
  uo10457->data[9] = emptyclosure;
  Method *meth_meth_ast_10457_canonicalName = addmethod2pos(obj10370, "canonicalName", &meth_ast_10457_canonicalName, 9);
  int argcv_meth_ast_10457_canonicalName[] = {0};
  meth_meth_ast_10457_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_10457_canonicalName);
  meth_meth_ast_10457_canonicalName->definitionModule = modulename;
  meth_meth_ast_10457_canonicalName->definitionLine = 2821;
// method "accept(_)from(_)"
  struct UserObject *uo10503 = (struct UserObject*)obj10370;
  uo10503->data[10] = emptyclosure;
  Method *meth_meth_ast_10503_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj10370, "accept(1)from(1)", &meth_ast_10503_accept_40_1_41_from_40_1_41_, 10);
  int argcv_meth_ast_10503_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_10503_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10503_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_10503_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10503_accept_40_1_41_from_40_1_41_->definitionLine = 2829;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj10370);
  Object closure10529 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure10529, stackframe);
  addtoclosure(closure10529, var_k);
  struct UserObject *uo10529 = (struct UserObject*)obj10370;
  uo10529->data[11] = (Object)closure10529;
  Method *meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_ = addmethod2pos(obj10370, "declarationKindWithAncestors(1)", &meth_ast_10529_declarationKindWithAncestors_40_1_41_, 11);
  int argcv_meth_ast_10529_declarationKindWithAncestors_40_1_41_[] = {1};
  meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10529_declarationKindWithAncestors_40_1_41_);
  meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10529_declarationKindWithAncestors_40_1_41_->definitionLine = 2838;
// method "map(_)ancestors(_)"
  struct UserObject *uo10532 = (struct UserObject*)obj10370;
  uo10532->data[12] = emptyclosure;
  Method *meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj10370, "map(1)ancestors(1)", &meth_ast_10532_map_40_1_41_ancestors_40_1_41_, 12);
  int argcv_meth_ast_10532_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10532_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10532_map_40_1_41_ancestors_40_1_41_->definitionLine = 2839;
// method "pretty(_)"
  struct UserObject *uo10551 = (struct UserObject*)obj10370;
  uo10551->data[13] = emptyclosure;
  Method *meth_meth_ast_10551_pretty_40_1_41_ = addmethod2pos(obj10370, "pretty(1)", &meth_ast_10551_pretty_40_1_41_, 13);
  int argcv_meth_ast_10551_pretty_40_1_41_[] = {1};
  meth_meth_ast_10551_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10551_pretty_40_1_41_);
  meth_meth_ast_10551_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10551_pretty_40_1_41_->definitionLine = 2846;
// method "toGrace(_)"
  struct UserObject *uo10638 = (struct UserObject*)obj10370;
  uo10638->data[14] = emptyclosure;
  Method *meth_meth_ast_10638_toGrace_40_1_41_ = addmethod2pos(obj10370, "toGrace(1)", &meth_ast_10638_toGrace_40_1_41_, 14);
  int argcv_meth_ast_10638_toGrace_40_1_41_[] = {1};
  meth_meth_ast_10638_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10638_toGrace_40_1_41_);
  meth_meth_ast_10638_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10638_toGrace_40_1_41_->definitionLine = 2855;
// method "shallowCopy"
  block_savedest(obj10370);
  Object closure10680 = createclosure(1, "shallowCopy");
  setclosureframe(closure10680, stackframe);
  addtoclosure(closure10680, var_signaturePart);
  struct UserObject *uo10680 = (struct UserObject*)obj10370;
  uo10680->data[15] = (Object)closure10680;
  Method *meth_meth_ast_10680_shallowCopy = addmethod2pos(obj10370, "shallowCopy", &meth_ast_10680_shallowCopy, 15);
  int argcv_meth_ast_10680_shallowCopy[] = {0};
  meth_meth_ast_10680_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_10680_shallowCopy);
  meth_meth_ast_10680_shallowCopy->definitionModule = modulename;
  meth_meth_ast_10680_shallowCopy->definitionLine = 2865;
// method "postCopy(_)"
  struct UserObject *uo10689 = (struct UserObject*)obj10370;
  uo10689->data[16] = emptyclosure;
  Method *meth_meth_ast_10689_postCopy_40_1_41_ = addmethod2pos(obj10370, "postCopy(1)", &meth_ast_10689_postCopy_40_1_41_, 16);
  int argcv_meth_ast_10689_postCopy_40_1_41_[] = {1};
  meth_meth_ast_10689_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10689_postCopy_40_1_41_);
  meth_meth_ast_10689_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10689_postCopy_40_1_41_->definitionLine = 2869;
// method "asString"
  struct UserObject *uo10698 = (struct UserObject*)obj10370;
  uo10698->data[17] = emptyclosure;
  Method *meth_meth_ast_10698_asString = addmethod2pos(obj10370, "asString", &meth_ast_10698_asString, 17);
  int argcv_meth_ast_10698_asString[] = {0};
  meth_meth_ast_10698_asString->type = alloc_MethodType(1, argcv_meth_ast_10698_asString);
  meth_meth_ast_10698_asString->definitionModule = modulename;
  meth_meth_ast_10698_asString->definitionLine = 2874;
  sourceObject = obj10370;
// Begin line 2800
  setline(2800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10709 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10710 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10709);
// compiled call node returning call10710 (depth = 3)
  struct UserObject *obj10370_uo = (struct UserObject *)obj10370;
  obj10370_uo->super = call10710;
  sourceObject = obj10370;
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10711 == NULL) {
    strlit10711 = alloc_String("signaturepart");
    gc_root(strlit10711);
  }
// compiled string node returning strlit10711 (depth = 3)
  adddatum2(obj10370, strlit10711, 1);
  sourceObject = obj10370;
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  adddatum2(obj10370, *var_n, 2);
  sourceObject = obj10370;
// Begin line 2803
  setline(2803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ps (depth = 3)
  adddatum2(obj10370, *var_ps, 3);
  sourceObject = obj10370;
// Begin line 2804
  setline(2804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10712 = alloc_Boolean(0);
// compiled identifier node returning bool10712 (depth = 3)
  adddatum2(obj10370, bool10712, 4);
  sourceObject = obj10370;
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10713 = alloc_Float64(0);
// compiled num node returning num10713 (depth = 3)
  adddatum2(obj10370, num10713, 5);
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  sourceObject = obj10370;
  objclass10370 = obj10370->class;
  objclass10370->definitionModule = modulename;
  objclass10370->definitionLine = 2799;
  (*(struct UserObject *)self).data[0] = lowerouter10370;
  self = oldself10370;
  selfslot = oldselfslot10370;
  stackframe = oldstackframe10370;
  gc_frame_end(frame);
  return obj10370;
}
Object meth_ast_10715_signaturePart(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 56, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "signaturePart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2782
  setline(2782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signaturePart (depth = 3)
  gc_frame_end(frame);
  return *var_signaturePart;
}
Object meth_ast_10718_new(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10719 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10720 == NULL) {
    strlit10720 = alloc_String("");
    gc_root(strlit10720);
  }
// compiled string node returning strlit10720 (depth = 4)
  gc_frame_newslot(strlit10720);
// starting to compile array node (depth = 4)
  Object array10721 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10721 (depth = 4)
  gc_frame_newslot(array10721);
// call case 4: self request
  params[0] = strlit10720;
  params[1] = array10721;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10722 = callmethodflags(self, "request(1)withArgs(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10719);
// compiled call node returning call10722 (depth = 3)
  gc_frame_end(frame);
  return call10722;
}
Object meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "request(1)withArgs(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_argList = &(stackframe->slots[1]);
  *var_argList = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10724 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_argList (depth = 5)
  gc_frame_newslot(*var_argList);
// call case 4: self request
  params[0] = *var_name;
  params[1] = *var_argList;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10725 = callmethodflags(self, "request(1)withArgs(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10724);
// compiled call node returning call10725 (depth = 4)
  *var_result = call10725;
  if (call10725 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10726 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call10727 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10726);
// compiled call node returning call10727 (depth = 3)
// Begin line 2887
  setline(2887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_10736_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10738 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10739 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10740 = gc_frame_new();
// call case 4: self request
  Object call10741 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10740);
// compiled member node returning call10741 (depth = 6)
  Object call10742 = callmethodflags(call10741, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10739);
// compiled member node returning call10742 (depth = 5)
  Object call10743 = callmethodflags(call10742, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10738);
// compiled member node returning call10743 (depth = 4)
  Object if10737 = done;
  if (istrue(call10743)) {
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10744 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10745 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10746 = gc_frame_new();
// call case 4: self request
  Object call10747 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10746);
// compiled member node returning call10747 (depth = 7)
  Object call10748 = callmethodflags(call10747, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10745);
// compiled member node returning call10748 (depth = 6)
  Object call10749 = callmethodflags(call10748, "end", 0, partcv, params, 0);
  gc_frame_end(callframe10744);
// compiled member node returning call10749 (depth = 5)
  return call10749;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10737 = undefined;
  } else {
  }
// compiled if node returning if10737 (depth = 3)
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10751 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10752 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10753 = gc_frame_new();
// call case 4: self request
  Object call10754 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10753);
// compiled member node returning call10754 (depth = 6)
  Object call10755 = callmethodflags(call10754, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10752);
// compiled member node returning call10755 (depth = 5)
  Object call10756 = callmethodflags(call10755, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10751);
// compiled member node returning call10756 (depth = 4)
  Object if10750 = done;
  if (istrue(call10756)) {
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10757 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit10758 == NULL) {
    strlit10758 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit10758);
  }
// compiled string node returning strlit10758 (depth = 6)
  gc_frame_newslot(strlit10758);
// starting to compile member node (depth = 6)
  int callframe10759 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10760 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10761 = gc_frame_new();
// call case 4: self request
  Object call10762 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10761);
// compiled member node returning call10762 (depth = 8)
  Object call10763 = callmethodflags(call10762, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10760);
// compiled member node returning call10763 (depth = 7)
  Object call10764 = callmethodflags(call10763, "end", 0, partcv, params, 0);
  gc_frame_end(callframe10759);
// compiled member node returning call10764 (depth = 6)
  gc_frame_newslot(call10764);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_ast (depth = 6)
  params[0] = strlit10758;
  params[1] = call10764;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10765 = callmethodflags(module_ast, "positionOfNext(1)after(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10757);
// compiled call node returning call10765 (depth = 5)
  return call10765;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10750 = undefined;
  } else {
  }
// compiled if node returning if10750 (depth = 3)
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10766 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10767 = gc_frame_new();
// call case 4: self request
  Object call10768 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10767);
// compiled member node returning call10768 (depth = 5)
  gc_frame_newslot(call10768);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10770 = alloc_Float64(1);
// compiled num node returning num10770 (depth = 6)
  int op_slot_right_10769 = gc_frame_newslot(num10770);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10773 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10774 = gc_frame_new();
// call case 4: self request
  Object call10775 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10774);
// compiled member node returning call10775 (depth = 8)
  Object call10776 = callmethodflags(call10775, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10773);
// compiled member node returning call10776 (depth = 7)
  int op_slot_right_10772 = gc_frame_newslot(call10776);
// starting to compile member node (depth = 7)
  int callframe10778 = gc_frame_new();
// call case 4: self request
  Object call10779 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10778);
// compiled member node returning call10779 (depth = 7)
  int op_slot_left_10772 = gc_frame_newslot(call10779);
  params[0] = call10776;
  partcv[0] = 1;
  Object sum10780 = callmethod(call10779, "+(1)", 1, partcv, params);
// compiled op node returning sum10780 (depth = 6)
  int op_slot_left_10769 = gc_frame_newslot(sum10780);
  params[0] = num10770;
  partcv[0] = 1;
  Object diff10781 = callmethod(sum10780, "-(1)", 1, partcv, params);
// compiled op node returning diff10781 (depth = 5)
  gc_frame_newslot(diff10781);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call10768;
  params[1] = diff10781;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10782 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10766);
// compiled call node returning call10782 (depth = 4)
  return call10782;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_10783_nameString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10786 = alloc_Float64(0);
// compiled num node returning num10786 (depth = 5)
  int op_slot_right_10785 = gc_frame_newslot(num10786);
// starting to compile member node (depth = 5)
  int callframe10788 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10789 = gc_frame_new();
// call case 4: self request
  Object call10790 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10789);
// compiled member node returning call10790 (depth = 6)
  Object call10791 = callmethodflags(call10790, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10788);
// compiled member node returning call10791 (depth = 5)
  int op_slot_left_10785 = gc_frame_newslot(call10791);
  params[0] = num10786;
  partcv[0] = 1;
  Object opresult10792 = callmethod(call10791, "==(1)", 1, partcv, params);
// compiled op node returning opresult10792 (depth = 4)
  Object if10784 = done;
  if (istrue(opresult10792)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10793 = gc_frame_new();
// call case 4: self request
  Object call10794 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10793);
// compiled member node returning call10794 (depth = 5)
  return call10794;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10784 = undefined;
  } else {
  }
// compiled if node returning if10784 (depth = 3)
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10796 == NULL) {
    strlit10796 = alloc_String(")");
    gc_root(strlit10796);
  }
// compiled string node returning strlit10796 (depth = 4)
  int op_slot_right_10795 = gc_frame_newslot(strlit10796);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10799 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10800 = gc_frame_new();
// call case 4: self request
  Object call10801 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10800);
// compiled member node returning call10801 (depth = 6)
  Object call10802 = callmethodflags(call10801, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10799);
// compiled member node returning call10802 (depth = 5)
  int op_slot_right_10798 = gc_frame_newslot(call10802);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10805 == NULL) {
    strlit10805 = alloc_String("(");
    gc_root(strlit10805);
  }
// compiled string node returning strlit10805 (depth = 6)
  int op_slot_right_10804 = gc_frame_newslot(strlit10805);
// starting to compile member node (depth = 6)
  int callframe10807 = gc_frame_new();
// call case 4: self request
  Object call10808 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10807);
// compiled member node returning call10808 (depth = 6)
  int op_slot_left_10804 = gc_frame_newslot(call10808);
  params[0] = strlit10805;
  partcv[0] = 1;
  Object opresult10809 = callmethod(call10808, "++(1)", 1, partcv, params);
// compiled op node returning opresult10809 (depth = 5)
  int op_slot_left_10798 = gc_frame_newslot(opresult10809);
  params[0] = call10802;
  partcv[0] = 1;
  Object opresult10810 = callmethod(opresult10809, "++(1)", 1, partcv, params);
// compiled op node returning opresult10810 (depth = 4)
  int op_slot_left_10795 = gc_frame_newslot(opresult10810);
  params[0] = strlit10796;
  partcv[0] = 1;
  Object opresult10811 = callmethod(opresult10810, "++(1)", 1, partcv, params);
// compiled op node returning opresult10811 (depth = 3)
  gc_frame_end(frame);
  return opresult10811;
}
Object meth_ast_10827__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___3 = &(stackframe->slots[0]);
  *var___3 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10829 == NULL) {
    strlit10829 = alloc_String("_");
    gc_root(strlit10829);
  }
// compiled string node returning strlit10829 (depth = 7)
  int op_slot_right_10828 = gc_frame_newslot(strlit10829);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10828 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10829;
  partcv[0] = 1;
  Object opresult10831 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10831 (depth = 6)
  *var_underScores = opresult10831;
  if (opresult10831 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10835__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10837 == NULL) {
    strlit10837 = alloc_String(",");
    gc_root(strlit10837);
  }
// compiled string node returning strlit10837 (depth = 7)
  int op_slot_right_10836 = gc_frame_newslot(strlit10837);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10836 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10837;
  partcv[0] = 1;
  Object opresult10839 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10839 (depth = 6)
  *var_underScores = opresult10839;
  if (opresult10839 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10812_canonicalName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_underScores = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "underScores");
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10815 = alloc_Float64(0);
// compiled num node returning num10815 (depth = 5)
  int op_slot_right_10814 = gc_frame_newslot(num10815);
// starting to compile member node (depth = 5)
  int callframe10817 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10818 = gc_frame_new();
// call case 4: self request
  Object call10819 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10818);
// compiled member node returning call10819 (depth = 6)
  Object call10820 = callmethodflags(call10819, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10817);
// compiled member node returning call10820 (depth = 5)
  int op_slot_left_10814 = gc_frame_newslot(call10820);
  params[0] = num10815;
  partcv[0] = 1;
  Object opresult10821 = callmethod(call10820, "==(1)", 1, partcv, params);
// compiled op node returning opresult10821 (depth = 4)
  Object if10813 = done;
  if (istrue(opresult10821)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10822 = gc_frame_new();
// call case 4: self request
  Object call10823 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10822);
// compiled member node returning call10823 (depth = 5)
  return call10823;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10813 = undefined;
  } else {
  }
// compiled if node returning if10813 (depth = 3)
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10824 == NULL) {
    strlit10824 = alloc_String("");
    gc_root(strlit10824);
  }
// compiled string node returning strlit10824 (depth = 4)
  *var_underScores = strlit10824;
  if (strlit10824 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10825 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10826 = alloc_Block(NULL, NULL, "ast", 2914);
  gc_frame_newslot(block10826);
// method "_apply(_)"
  block_savedest(block10826);
  Object closure10827 = createclosure(2, "_apply(1)");
  setclosureframe(closure10827, stackframe);
  addtoclosure(closure10827, var_underScores);
  addtoclosure(closure10827, selfslot);
  struct UserObject *uo10827 = (struct UserObject*)block10826;
  uo10827->data[0] = (Object)closure10827;
  Method *meth_meth_ast_10827__apply_40_1_41_ = addmethod2pos(block10826, "_apply(1)", &meth_ast_10827__apply_40_1_41_, 0);
  int argcv_meth_ast_10827__apply_40_1_41_[] = {1};
  meth_meth_ast_10827__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10827__apply_40_1_41_);
  meth_meth_ast_10827__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10827__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10826 (depth = 4)
  gc_frame_newslot(block10826);
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block10834 = alloc_Block(NULL, NULL, "ast", 2915);
  gc_frame_newslot(block10834);
// method "_apply"
  block_savedest(block10834);
  Object closure10835 = createclosure(2, "_apply");
  setclosureframe(closure10835, stackframe);
  addtoclosure(closure10835, var_underScores);
  addtoclosure(closure10835, selfslot);
  struct UserObject *uo10835 = (struct UserObject*)block10834;
  uo10835->data[0] = (Object)closure10835;
  Method *meth_meth_ast_10835__apply = addmethod2pos(block10834, "_apply", &meth_ast_10835__apply, 0);
  int argcv_meth_ast_10835__apply[] = {0};
  meth_meth_ast_10835__apply->type = alloc_MethodType(1, argcv_meth_ast_10835__apply);
  meth_meth_ast_10835__apply->definitionModule = modulename;
  meth_meth_ast_10835__apply->definitionLine = 3216;
// compiled block node returning block10834 (depth = 4)
  gc_frame_newslot(block10834);
// call case 6: other requests
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10842 = gc_frame_new();
// call case 4: self request
  Object call10843 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10842);
// compiled member node returning call10843 (depth = 4)
  params[0] = block10826;
  params[1] = block10834;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10844 = callmethodflags(call10843, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10825);
// compiled call node returning call10844 (depth = 3)
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10846 == NULL) {
    strlit10846 = alloc_String(")");
    gc_root(strlit10846);
  }
// compiled string node returning strlit10846 (depth = 4)
  int op_slot_right_10845 = gc_frame_newslot(strlit10846);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_underScores (depth = 5)
  int op_slot_right_10848 = gc_frame_newslot(*var_underScores);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10851 == NULL) {
    strlit10851 = alloc_String("(");
    gc_root(strlit10851);
  }
// compiled string node returning strlit10851 (depth = 6)
  int op_slot_right_10850 = gc_frame_newslot(strlit10851);
// starting to compile member node (depth = 6)
  int callframe10853 = gc_frame_new();
// call case 4: self request
  Object call10854 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10853);
// compiled member node returning call10854 (depth = 6)
  int op_slot_left_10850 = gc_frame_newslot(call10854);
  params[0] = strlit10851;
  partcv[0] = 1;
  Object opresult10855 = callmethod(call10854, "++(1)", 1, partcv, params);
// compiled op node returning opresult10855 (depth = 5)
  int op_slot_left_10848 = gc_frame_newslot(opresult10855);
  params[0] = *var_underScores;
  partcv[0] = 1;
  Object opresult10856 = callmethod(opresult10855, "++(1)", 1, partcv, params);
// compiled op node returning opresult10856 (depth = 4)
  int op_slot_left_10845 = gc_frame_newslot(opresult10856);
  params[0] = strlit10846;
  partcv[0] = 1;
  Object opresult10857 = callmethod(opresult10856, "++(1)", 1, partcv, params);
// compiled op node returning opresult10857 (depth = 3)
  gc_frame_end(frame);
  return opresult10857;
}
Object meth_ast_10858_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10859 = gc_frame_new();
// call case 4: self request
  Object call10860 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10859);
// compiled member node returning call10860 (depth = 4)
  *var_n = call10860;
  if (call10860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10861 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call10862 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10861);
// compiled call node returning call10862 (depth = 4)
  *var_newChain = call10862;
  if (call10862 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10863 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10864 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10865 = gc_frame_new();
// call case 4: self request
  Object call10866 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10865);
// compiled member node returning call10866 (depth = 5)
  gc_frame_newslot(call10866);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call10866;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10867 = callmethodflags(module_ast, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10864);
// compiled call node returning call10867 (depth = 4)
  gc_frame_newslot(call10867);
// call case 6: other requests
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call10867;
  partcv[0] = 1;
  Object call10868 = callmethodflags(*var_n, "args:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10863);
// compiled call node returning call10868 (depth = 3)
// Begin line 2923
  setline(2923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10869 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10870 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10869);
// compiled call node returning call10870 (depth = 3)
  gc_frame_end(frame);
  return call10870;
}
Object meth_ast_10919__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10921 == NULL) {
    strlit10921 = alloc_String("");
    gc_root(strlit10921);
  }
// compiled string node returning strlit10921 (depth = 7)
  int op_slot_right_10920 = gc_frame_newslot(strlit10921);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10924 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10926 = alloc_Float64(3);
// compiled num node returning num10926 (depth = 10)
  int op_slot_right_10925 = gc_frame_newslot(num10926);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10925 = gc_frame_newslot(*var_depth);
  params[0] = num10926;
  partcv[0] = 1;
  Object sum10928 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10928 (depth = 9)
  gc_frame_newslot(sum10928);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  params[0] = sum10928;
  partcv[0] = 1;
  Object call10929 = callmethodflags(*var_a, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10924);
// compiled call node returning call10929 (depth = 8)
  int op_slot_right_10923 = gc_frame_newslot(call10929);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10932 == NULL) {
    strlit10932 = alloc_String("");
    gc_root(strlit10932);
  }
// compiled string node returning strlit10932 (depth = 9)
  int op_slot_right_10931 = gc_frame_newslot(strlit10932);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_10934 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10937 == NULL) {
    strlit10937 = alloc_String("""\x0a""  ");
    gc_root(strlit10937);
  }
// compiled string node returning strlit10937 (depth = 11)
  int op_slot_right_10936 = gc_frame_newslot(strlit10937);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_10939 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit10941 == NULL) {
    strlit10941 = alloc_String("");
    gc_root(strlit10941);
  }
// compiled string node returning strlit10941 (depth = 12)
  int op_slot_left_10939 = gc_frame_newslot(strlit10941);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10942 = callmethod(strlit10941, "++(1)", 1, partcv, params);
// compiled op node returning opresult10942 (depth = 11)
  int op_slot_left_10936 = gc_frame_newslot(opresult10942);
  params[0] = strlit10937;
  partcv[0] = 1;
  Object opresult10943 = callmethod(opresult10942, "++(1)", 1, partcv, params);
// compiled op node returning opresult10943 (depth = 10)
  int op_slot_left_10934 = gc_frame_newslot(opresult10943);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10944 = callmethod(opresult10943, "++(1)", 1, partcv, params);
// compiled op node returning opresult10944 (depth = 9)
  int op_slot_left_10931 = gc_frame_newslot(opresult10944);
  params[0] = strlit10932;
  partcv[0] = 1;
  Object opresult10945 = callmethod(opresult10944, "++(1)", 1, partcv, params);
// compiled op node returning opresult10945 (depth = 8)
  int op_slot_left_10923 = gc_frame_newslot(opresult10945);
  params[0] = call10929;
  partcv[0] = 1;
  Object opresult10946 = callmethod(opresult10945, "++(1)", 1, partcv, params);
// compiled op node returning opresult10946 (depth = 7)
  int op_slot_left_10920 = gc_frame_newslot(opresult10946);
  params[0] = strlit10921;
  partcv[0] = 1;
  Object opresult10947 = callmethod(opresult10946, "++(1)", 1, partcv, params);
// compiled op node returning opresult10947 (depth = 6)
  *var_s = opresult10947;
  if (opresult10947 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10871_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10874 = alloc_Float64(1);
// compiled num node returning num10874 (depth = 6)
  int op_slot_right_10873 = gc_frame_newslot(num10874);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_10873 = gc_frame_newslot(*var_depth);
  params[0] = num10874;
  partcv[0] = 1;
  Object sum10876 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10876 (depth = 5)
  int op_slot_right_10872 = gc_frame_newslot(sum10876);
// starting to compile string node (depth = 5)
  if (strlit10878 == NULL) {
    strlit10878 = alloc_String("  ");
    gc_root(strlit10878);
  }
// compiled string node returning strlit10878 (depth = 5)
  int op_slot_left_10872 = gc_frame_newslot(strlit10878);
  params[0] = sum10876;
  partcv[0] = 1;
  Object prod10879 = callmethod(strlit10878, "*(1)", 1, partcv, params);
// compiled op node returning prod10879 (depth = 4)
  *var_spc = prod10879;
  if (prod10879 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10881 == NULL) {
    strlit10881 = alloc_String("");
    gc_root(strlit10881);
  }
// compiled string node returning strlit10881 (depth = 5)
  int op_slot_right_10880 = gc_frame_newslot(strlit10881);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10884 = gc_frame_new();
// call case 4: self request
  Object call10885 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10884);
// compiled member node returning call10885 (depth = 6)
  int op_slot_right_10883 = gc_frame_newslot(call10885);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10888 == NULL) {
    strlit10888 = alloc_String(": ");
    gc_root(strlit10888);
  }
// compiled string node returning strlit10888 (depth = 7)
  int op_slot_right_10887 = gc_frame_newslot(strlit10888);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10891 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10892 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10891);
// compiled call node returning call10892 (depth = 8)
  int op_slot_right_10890 = gc_frame_newslot(call10892);
// starting to compile string node (depth = 8)
  if (strlit10894 == NULL) {
    strlit10894 = alloc_String("");
    gc_root(strlit10894);
  }
// compiled string node returning strlit10894 (depth = 8)
  int op_slot_left_10890 = gc_frame_newslot(strlit10894);
  params[0] = call10892;
  partcv[0] = 1;
  Object opresult10895 = callmethod(strlit10894, "++(1)", 1, partcv, params);
// compiled op node returning opresult10895 (depth = 7)
  int op_slot_left_10887 = gc_frame_newslot(opresult10895);
  params[0] = strlit10888;
  partcv[0] = 1;
  Object opresult10896 = callmethod(opresult10895, "++(1)", 1, partcv, params);
// compiled op node returning opresult10896 (depth = 6)
  int op_slot_left_10883 = gc_frame_newslot(opresult10896);
  params[0] = call10885;
  partcv[0] = 1;
  Object opresult10897 = callmethod(opresult10896, "++(1)", 1, partcv, params);
// compiled op node returning opresult10897 (depth = 5)
  int op_slot_left_10880 = gc_frame_newslot(opresult10897);
  params[0] = strlit10881;
  partcv[0] = 1;
  Object opresult10898 = callmethod(opresult10897, "++(1)", 1, partcv, params);
// compiled op node returning opresult10898 (depth = 4)
  *var_s = opresult10898;
  if (opresult10898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2928
  setline(2928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10900 == NULL) {
    strlit10900 = alloc_String("Args:");
    gc_root(strlit10900);
  }
// compiled string node returning strlit10900 (depth = 5)
  int op_slot_right_10899 = gc_frame_newslot(strlit10900);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_10902 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10905 == NULL) {
    strlit10905 = alloc_String("""\x0a""");
    gc_root(strlit10905);
  }
// compiled string node returning strlit10905 (depth = 7)
  int op_slot_right_10904 = gc_frame_newslot(strlit10905);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_10907 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit10909 == NULL) {
    strlit10909 = alloc_String("");
    gc_root(strlit10909);
  }
// compiled string node returning strlit10909 (depth = 8)
  int op_slot_left_10907 = gc_frame_newslot(strlit10909);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10910 = callmethod(strlit10909, "++(1)", 1, partcv, params);
// compiled op node returning opresult10910 (depth = 7)
  int op_slot_left_10904 = gc_frame_newslot(opresult10910);
  params[0] = strlit10905;
  partcv[0] = 1;
  Object opresult10911 = callmethod(opresult10910, "++(1)", 1, partcv, params);
// compiled op node returning opresult10911 (depth = 6)
  int op_slot_left_10902 = gc_frame_newslot(opresult10911);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10912 = callmethod(opresult10911, "++(1)", 1, partcv, params);
// compiled op node returning opresult10912 (depth = 5)
  int op_slot_left_10899 = gc_frame_newslot(opresult10912);
  params[0] = strlit10900;
  partcv[0] = 1;
  Object opresult10913 = callmethod(opresult10912, "++(1)", 1, partcv, params);
// compiled op node returning opresult10913 (depth = 4)
  *var_s = opresult10913;
  if (opresult10913 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10915 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10916 = gc_frame_new();
// call case 4: self request
  Object call10917 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10916);
// compiled member node returning call10917 (depth = 4)
  gc_frame_newslot(call10917);
// starting to compile block node (depth = 4)
  Object block10918 = alloc_Block(NULL, NULL, "ast", 2929);
  gc_frame_newslot(block10918);
// method "_apply(_)"
  block_savedest(block10918);
  Object closure10919 = createclosure(4, "_apply(1)");
  setclosureframe(closure10919, stackframe);
  addtoclosure(closure10919, var_depth);
  addtoclosure(closure10919, var_spc);
  addtoclosure(closure10919, var_s);
  addtoclosure(closure10919, selfslot);
  struct UserObject *uo10919 = (struct UserObject*)block10918;
  uo10919->data[0] = (Object)closure10919;
  Method *meth_meth_ast_10919__apply_40_1_41_ = addmethod2pos(block10918, "_apply(1)", &meth_ast_10919__apply_40_1_41_, 0);
  int argcv_meth_ast_10919__apply_40_1_41_[] = {1};
  meth_meth_ast_10919__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10919__apply_40_1_41_);
  meth_meth_ast_10919__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10919__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10918 (depth = 4)
  gc_frame_newslot(block10918);
// call case 5: prelude request
  params[0] = call10917;
  params[1] = block10918;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10950 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10915);
// compiled call node returning call10950 (depth = 3)
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_10970__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_tArg = &(stackframe->slots[0]);
  *var_tArg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10972 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10974 = alloc_Float64(1);
// compiled num node returning num10974 (depth = 10)
  int op_slot_right_10973 = gc_frame_newslot(num10974);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10973 = gc_frame_newslot(*var_depth);
  params[0] = num10974;
  partcv[0] = 1;
  Object sum10976 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10976 (depth = 9)
  gc_frame_newslot(sum10976);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tArg (depth = 9)
  params[0] = sum10976;
  partcv[0] = 1;
  Object call10977 = callmethodflags(*var_tArg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10972);
// compiled call node returning call10977 (depth = 8)
  int op_slot_right_10971 = gc_frame_newslot(call10977);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10971 = gc_frame_newslot(*var_s);
  params[0] = call10977;
  partcv[0] = 1;
  Object opresult10979 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10979 (depth = 7)
  *var_s = opresult10979;
  if (opresult10979 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10983__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10985 == NULL) {
    strlit10985 = alloc_String(", ");
    gc_root(strlit10985);
  }
// compiled string node returning strlit10985 (depth = 8)
  int op_slot_right_10984 = gc_frame_newslot(strlit10985);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10984 = gc_frame_newslot(*var_s);
  params[0] = strlit10985;
  partcv[0] = 1;
  Object opresult10987 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10987 (depth = 7)
  *var_s = opresult10987;
  if (opresult10987 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_11035__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe11037 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call11038 = callmethodflags(*var_arg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11037);
// compiled call node returning call11038 (depth = 8)
  int op_slot_right_11036 = gc_frame_newslot(call11038);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_11036 = gc_frame_newslot(*var_s);
  params[0] = call11038;
  partcv[0] = 1;
  Object opresult11040 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult11040 (depth = 7)
  *var_s = opresult11040;
  if (opresult11040 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_11044__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2949
  setline(2949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit11046 == NULL) {
    strlit11046 = alloc_String(", ");
    gc_root(strlit11046);
  }
// compiled string node returning strlit11046 (depth = 8)
  int op_slot_right_11045 = gc_frame_newslot(strlit11046);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_11045 = gc_frame_newslot(*var_s);
  params[0] = strlit11046;
  partcv[0] = 1;
  Object opresult11048 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult11048 (depth = 7)
  *var_s = opresult11048;
  if (opresult11048 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_10951_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// definebindings:
// definebindings:
// definebindings:
  Object *var_needsParens = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "needsParens");
// definebindings:
// definebindings:
// definebindings:
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10952 = gc_frame_new();
// call case 4: self request
  Object call10953 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10952);
// compiled member node returning call10953 (depth = 4)
  *var_s = call10953;
  if (call10953 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10956 = alloc_Float64(0);
// compiled num node returning num10956 (depth = 5)
  int op_slot_right_10955 = gc_frame_newslot(num10956);
// starting to compile member node (depth = 5)
  int callframe10958 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10959 = gc_frame_new();
// call case 4: self request
  Object call10960 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10959);
// compiled member node returning call10960 (depth = 6)
  Object call10961 = callmethodflags(call10960, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10958);
// compiled member node returning call10961 (depth = 5)
  int op_slot_left_10955 = gc_frame_newslot(call10961);
  params[0] = num10956;
  partcv[0] = 1;
  Object opresult10962 = callmethod(call10961, ">(1)", 1, partcv, params);
// compiled op node returning opresult10962 (depth = 4)
  Object if10954 = done;
  if (istrue(opresult10962)) {
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10964 == NULL) {
    strlit10964 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit10964);
  }
// compiled string node returning strlit10964 (depth = 6)
  int op_slot_right_10963 = gc_frame_newslot(strlit10964);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10963 = gc_frame_newslot(*var_s);
  params[0] = strlit10964;
  partcv[0] = 1;
  Object opresult10966 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10966 (depth = 5)
  *var_s = opresult10966;
  if (opresult10966 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10968 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10969 = alloc_Block(NULL, NULL, "ast", 2938);
  gc_frame_newslot(block10969);
// method "_apply(_)"
  block_savedest(block10969);
  Object closure10970 = createclosure(3, "_apply(1)");
  setclosureframe(closure10970, stackframe);
  addtoclosure(closure10970, var_depth);
  addtoclosure(closure10970, var_s);
  addtoclosure(closure10970, selfslot);
  struct UserObject *uo10970 = (struct UserObject*)block10969;
  uo10970->data[0] = (Object)closure10970;
  Method *meth_meth_ast_10970__apply_40_1_41_ = addmethod2pos(block10969, "_apply(1)", &meth_ast_10970__apply_40_1_41_, 0);
  int argcv_meth_ast_10970__apply_40_1_41_[] = {1};
  meth_meth_ast_10970__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10970__apply_40_1_41_);
  meth_meth_ast_10970__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10970__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block10969 (depth = 5)
  gc_frame_newslot(block10969);
// Begin line 2940
  setline(2940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10982 = alloc_Block(NULL, NULL, "ast", 2940);
  gc_frame_newslot(block10982);
// method "_apply"
  block_savedest(block10982);
  Object closure10983 = createclosure(2, "_apply");
  setclosureframe(closure10983, stackframe);
  addtoclosure(closure10983, var_s);
  addtoclosure(closure10983, selfslot);
  struct UserObject *uo10983 = (struct UserObject*)block10982;
  uo10983->data[0] = (Object)closure10983;
  Method *meth_meth_ast_10983__apply = addmethod2pos(block10982, "_apply", &meth_ast_10983__apply, 0);
  int argcv_meth_ast_10983__apply[] = {0};
  meth_meth_ast_10983__apply->type = alloc_MethodType(1, argcv_meth_ast_10983__apply);
  meth_meth_ast_10983__apply->definitionModule = modulename;
  meth_meth_ast_10983__apply->definitionLine = 3216;
// compiled block node returning block10982 (depth = 5)
  gc_frame_newslot(block10982);
// call case 6: other requests
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10990 = gc_frame_new();
// call case 4: self request
  Object call10991 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10990);
// compiled member node returning call10991 (depth = 5)
  params[0] = block10969;
  params[1] = block10982;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10992 = callmethodflags(call10991, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10968);
// compiled call node returning call10992 (depth = 4)
// Begin line 2941
  setline(2941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10994 == NULL) {
    strlit10994 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit10994);
  }
// compiled string node returning strlit10994 (depth = 6)
  int op_slot_right_10993 = gc_frame_newslot(strlit10994);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10993 = gc_frame_newslot(*var_s);
  params[0] = strlit10994;
  partcv[0] = 1;
  Object opresult10996 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10996 (depth = 5)
  *var_s = opresult10996;
  if (opresult10996 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10954 = done;
  } else {
  }
// compiled if node returning if10954 (depth = 3)
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num11000 = alloc_Float64(0);
// compiled num node returning num11000 (depth = 5)
  int op_slot_right_10999 = gc_frame_newslot(num11000);
// starting to compile member node (depth = 5)
  int callframe11002 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe11003 = gc_frame_new();
// call case 4: self request
  Object call11004 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11003);
// compiled member node returning call11004 (depth = 6)
  Object call11005 = callmethodflags(call11004, "size", 0, partcv, params, 0);
  gc_frame_end(callframe11002);
// compiled member node returning call11005 (depth = 5)
  int op_slot_left_10999 = gc_frame_newslot(call11005);
  params[0] = num11000;
  partcv[0] = 1;
  Object opresult11006 = callmethod(call11005, ">(1)", 1, partcv, params);
// compiled op node returning opresult11006 (depth = 4)
  Object if10998 = done;
  if (istrue(opresult11006)) {
// Begin line 2944
  setline(2944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe11008 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe11009 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe11010 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe11011 = gc_frame_new();
// call case 4: self request
  Object call11012 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11011);
// compiled member node returning call11012 (depth = 9)
  Object call11013 = callmethodflags(call11012, "first", 0, partcv, params, 0);
  gc_frame_end(callframe11010);
// compiled member node returning call11013 (depth = 8)
  Object call11014 = callmethodflags(call11013, "isDelimited", 0, partcv, params, 0);
  gc_frame_end(callframe11009);
// compiled member node returning call11014 (depth = 7)
  Object call11015 = callmethodflags(call11014, "not", 0, partcv, params, 0);
  gc_frame_end(callframe11008);
// compiled member node returning call11015 (depth = 6)
  int op_slot_right_11007 = gc_frame_newslot(call11015);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num11018 = alloc_Float64(1);
// compiled num node returning num11018 (depth = 7)
  int op_slot_right_11017 = gc_frame_newslot(num11018);
// starting to compile member node (depth = 7)
  int callframe11020 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe11021 = gc_frame_new();
// call case 4: self request
  Object call11022 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11021);
// compiled member node returning call11022 (depth = 8)
  Object call11023 = callmethodflags(call11022, "size", 0, partcv, params, 0);
  gc_frame_end(callframe11020);
// compiled member node returning call11023 (depth = 7)
  int op_slot_left_11017 = gc_frame_newslot(call11023);
  params[0] = num11018;
  partcv[0] = 1;
  Object opresult11024 = callmethod(call11023, ">(1)", 1, partcv, params);
// compiled op node returning opresult11024 (depth = 6)
  int op_slot_left_11007 = gc_frame_newslot(opresult11024);
  params[0] = call11015;
  partcv[0] = 1;
  Object opresult11025 = callmethod(opresult11024, "||(1)", 1, partcv, params);
// compiled op node returning opresult11025 (depth = 5)
  *var_needsParens = opresult11025;
  if (opresult11025 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_needsParens (depth = 7)
  Object if11027 = done;
struct StackFrameObject *iftmpstackframe11027 = stackframe;
  if (istrue(*var_needsParens)) {
stackframe = alloc_StackFrame(0, iftmpstackframe11027);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 7)
  if (strlit11028 == NULL) {
    strlit11028 = alloc_String("(");
    gc_root(strlit11028);
  }
// compiled string node returning strlit11028 (depth = 7)
    gc_frame_newslot(strlit11028);
    if11027 = strlit11028;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe11027);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 7)
  if (strlit11029 == NULL) {
    strlit11029 = alloc_String(" ");
    gc_root(strlit11029);
  }
// compiled string node returning strlit11029 (depth = 7)
    gc_frame_newslot(strlit11029);
    if11027 = strlit11029;
  }
stackframe = iftmpstackframe11027;
// compiled if node returning if11027 (depth = 6)
  int op_slot_right_11026 = gc_frame_newslot(if11027);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_11026 = gc_frame_newslot(*var_s);
  params[0] = if11027;
  partcv[0] = 1;
  Object opresult11031 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult11031 (depth = 5)
  *var_s = opresult11031;
  if (opresult11031 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11033 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block11034 = alloc_Block(NULL, NULL, "ast", 2946);
  gc_frame_newslot(block11034);
// method "_apply(_)"
  block_savedest(block11034);
  Object closure11035 = createclosure(3, "_apply(1)");
  setclosureframe(closure11035, stackframe);
  addtoclosure(closure11035, var_depth);
  addtoclosure(closure11035, var_s);
  addtoclosure(closure11035, selfslot);
  struct UserObject *uo11035 = (struct UserObject*)block11034;
  uo11035->data[0] = (Object)closure11035;
  Method *meth_meth_ast_11035__apply_40_1_41_ = addmethod2pos(block11034, "_apply(1)", &meth_ast_11035__apply_40_1_41_, 0);
  int argcv_meth_ast_11035__apply_40_1_41_[] = {1};
  meth_meth_ast_11035__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11035__apply_40_1_41_);
  meth_meth_ast_11035__apply_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11035__apply_40_1_41_->definitionLine = 3216;
// compiled block node returning block11034 (depth = 5)
  gc_frame_newslot(block11034);
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block11043 = alloc_Block(NULL, NULL, "ast", 2948);
  gc_frame_newslot(block11043);
// method "_apply"
  block_savedest(block11043);
  Object closure11044 = createclosure(2, "_apply");
  setclosureframe(closure11044, stackframe);
  addtoclosure(closure11044, var_s);
  addtoclosure(closure11044, selfslot);
  struct UserObject *uo11044 = (struct UserObject*)block11043;
  uo11044->data[0] = (Object)closure11044;
  Method *meth_meth_ast_11044__apply = addmethod2pos(block11043, "_apply", &meth_ast_11044__apply, 0);
  int argcv_meth_ast_11044__apply[] = {0};
  meth_meth_ast_11044__apply->type = alloc_MethodType(1, argcv_meth_ast_11044__apply);
  meth_meth_ast_11044__apply->definitionModule = modulename;
  meth_meth_ast_11044__apply->definitionLine = 3216;
// compiled block node returning block11043 (depth = 5)
  gc_frame_newslot(block11043);
// call case 6: other requests
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe11051 = gc_frame_new();
// call case 4: self request
  Object call11052 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11051);
// compiled member node returning call11052 (depth = 5)
  params[0] = block11034;
  params[1] = block11043;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11053 = callmethodflags(call11052, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe11033);
// compiled call node returning call11053 (depth = 4)
// Begin line 2951
  setline(2951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_needsParens (depth = 5)
  Object if11054 = done;
  if (istrue(*var_needsParens)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit11056 == NULL) {
    strlit11056 = alloc_String(")");
    gc_root(strlit11056);
  }
// compiled string node returning strlit11056 (depth = 7)
  int op_slot_right_11055 = gc_frame_newslot(strlit11056);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_11055 = gc_frame_newslot(*var_s);
  params[0] = strlit11056;
  partcv[0] = 1;
  Object opresult11058 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult11058 (depth = 6)
  *var_s = opresult11058;
  if (opresult11058 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if11054 = done;
  } else {
  }
// compiled if node returning if11054 (depth = 4)
    gc_frame_newslot(if11054);
    if10998 = if11054;
  } else {
  }
// compiled if node returning if10998 (depth = 3)
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_11060_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11061 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe11062 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe11063 = gc_frame_new();
// call case 4: self request
  Object call11064 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11063);
// compiled member node returning call11064 (depth = 5)
  gc_frame_newslot(call11064);
// starting to compile member node (depth = 5)
  int callframe11065 = gc_frame_new();
// call case 4: self request
  Object call11066 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11065);
// compiled member node returning call11066 (depth = 5)
  gc_frame_newslot(call11066);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_requestPart (depth = 5)
  params[0] = call11064;
  params[1] = call11066;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11067 = callmethodflags(*var_requestPart, "request(1)withArgs(1)", 2, partcv, params, 0);
  gc_frame_end(callframe11062);
// compiled call node returning call11067 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call11068 = callmethodflags(call11067, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11061);
// compiled call node returning call11068 (depth = 3)
  gc_frame_end(frame);
  return call11068;
}
Object meth_ast_11069_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2960
  setline(2960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11070 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11071 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call11072 = callmethodflags(*var_other, "lineLength", 0, partcv, params, 0);
  gc_frame_end(callframe11071);
// compiled member node returning call11072 (depth = 4)
  gc_frame_newslot(call11072);
// call case 4: self request
  params[0] = call11072;
  partcv[0] = 1;
  Object call11073 = callmethodflags(self, "lineLength:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11070);
// compiled call node returning call11073 (depth = 3)
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_11074_statementName(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11075 == NULL) {
    strlit11075 = alloc_String("request");
    gc_root(strlit11075);
  }
// compiled string node returning strlit11075 (depth = 3)
  gc_frame_end(frame);
  return strlit11075;
}
Object meth_ast_10728_request_40_1_41_withArgs_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "request(1)withArgs(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)");
  Object params[1];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_rPart = &(stackframe->slots[0]);
  *var_rPart = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_xs = &(stackframe->slots[1]);
  *var_xs = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10729 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10729 = alloc_userobj2(18,15, objclass10729);
  gc_frame_newslot(obj10729);
  if (objclass10729 == NULL) {
    glfree(obj10729->class->name);
    obj10729->class->name = "requestPart.request(_)withArgs(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj10729, self, 0);
  addmethodreal(obj10729,"outer", &reader_ast_outer_10730);
  Object oldself10729 = self;
  struct StackFrameObject *oldstackframe10729 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10729);
  gc_frame_newslot((Object)stackframe);
  self = obj10729;
  Object *oldselfslot10729 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10729 = (*(struct UserObject *)self).data[0], lowerouter10729 = thisouter10729;
  if (inheritingObject10729) {
    struct UserObject *inho10729 = (struct UserObject *)inheritingObject10729;
    while (inho10729->super != GraceDefaultObject) inho10729 = (struct UserObject *)inho10729->super;
    inho10729->super = obj10729;
    self = inheritingObject10729;
    *selfslot = self;
    lowerouter10729 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10729;
  }
  if (objclass10729 == NULL) {
  Method *reader10731 = addmethodrealflags(obj10729, "kind",&reader_ast_kind_10731, MFLAG_DEF);
  reader10731->definitionModule = modulename;
  reader10731->definitionLine = 2891;
  }
  adddatum2(obj10729, alloc_Undefined(), 1);
  if (objclass10729 == NULL) {
    Method *reader10732 = addmethodrealflags(obj10729, "name", &reader_ast_name_10732, 0);
    Method *writer10732 = addmethodrealflags(obj10729, "name:=(1)", &writer_ast_name_10732, 0);
    reader10732->definitionModule = modulename;
    writer10732->definitionModule = modulename;
    reader10732->definitionLine = 2892;
    writer10732->definitionLine = 2892;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 2);
  if (objclass10729 == NULL) {
    Method *reader10733 = addmethodrealflags(obj10729, "args", &reader_ast_args_10733, 0);
    Method *writer10733 = addmethodrealflags(obj10729, "args:=(1)", &writer_ast_args_10733, 0);
    reader10733->definitionModule = modulename;
    writer10733->definitionModule = modulename;
    reader10733->definitionLine = 2893;
    writer10733->definitionLine = 2893;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 3);
  if (objclass10729 == NULL) {
    Method *reader10734 = addmethodrealflags(obj10729, "typeArgs", &reader_ast_typeArgs_10734, MFLAG_CONFIDENTIAL);
    Method *writer10734 = addmethodrealflags(obj10729, "typeArgs:=(1)", &writer_ast_typeArgs_10734, MFLAG_CONFIDENTIAL);
    reader10734->definitionModule = modulename;
    writer10734->definitionModule = modulename;
    reader10734->definitionLine = 2894;
    writer10734->definitionLine = 2894;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 4);
  if (objclass10729 == NULL) {
    Method *reader10735 = addmethodrealflags(obj10729, "lineLength", &reader_ast_lineLength_10735, 0);
    Method *writer10735 = addmethodrealflags(obj10729, "lineLength:=(1)", &writer_ast_lineLength_10735, 0);
    reader10735->definitionModule = modulename;
    writer10735->definitionModule = modulename;
    reader10735->definitionLine = 2895;
    writer10735->definitionLine = 2895;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo10736 = (struct UserObject*)obj10729;
  uo10736->data[6] = emptyclosure;
  Method *meth_meth_ast_10736_end = addmethod2pos(obj10729, "end", &meth_ast_10736_end, 6);
  int argcv_meth_ast_10736_end[] = {0};
  meth_meth_ast_10736_end->type = alloc_MethodType(1, argcv_meth_ast_10736_end);
  meth_meth_ast_10736_end->definitionModule = modulename;
  meth_meth_ast_10736_end->definitionLine = 2897;
// method "nameString"
  struct UserObject *uo10783 = (struct UserObject*)obj10729;
  uo10783->data[7] = emptyclosure;
  Method *meth_meth_ast_10783_nameString = addmethod2pos(obj10729, "nameString", &meth_ast_10783_nameString, 7);
  int argcv_meth_ast_10783_nameString[] = {0};
  meth_meth_ast_10783_nameString->type = alloc_MethodType(1, argcv_meth_ast_10783_nameString);
  meth_meth_ast_10783_nameString->definitionModule = modulename;
  meth_meth_ast_10783_nameString->definitionLine = 2906;
// method "canonicalName"
  struct UserObject *uo10812 = (struct UserObject*)obj10729;
  uo10812->data[8] = emptyclosure;
  Method *meth_meth_ast_10812_canonicalName = addmethod2pos(obj10729, "canonicalName", &meth_ast_10812_canonicalName, 8);
  int argcv_meth_ast_10812_canonicalName[] = {0};
  meth_meth_ast_10812_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_10812_canonicalName);
  meth_meth_ast_10812_canonicalName->definitionModule = modulename;
  meth_meth_ast_10812_canonicalName->definitionLine = 2911;
// method "map(_)ancestors(_)"
  struct UserObject *uo10858 = (struct UserObject*)obj10729;
  uo10858->data[9] = emptyclosure;
  Method *meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj10729, "map(1)ancestors(1)", &meth_ast_10858_map_40_1_41_ancestors_40_1_41_, 9);
  int argcv_meth_ast_10858_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10858_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_->definitionLine = 2919;
// method "pretty(_)"
  struct UserObject *uo10871 = (struct UserObject*)obj10729;
  uo10871->data[10] = emptyclosure;
  Method *meth_meth_ast_10871_pretty_40_1_41_ = addmethod2pos(obj10729, "pretty(1)", &meth_ast_10871_pretty_40_1_41_, 10);
  int argcv_meth_ast_10871_pretty_40_1_41_[] = {1};
  meth_meth_ast_10871_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10871_pretty_40_1_41_);
  meth_meth_ast_10871_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10871_pretty_40_1_41_->definitionLine = 2925;
// method "toGrace(_)"
  struct UserObject *uo10951 = (struct UserObject*)obj10729;
  uo10951->data[11] = emptyclosure;
  Method *meth_meth_ast_10951_toGrace_40_1_41_ = addmethod2pos(obj10729, "toGrace(1)", &meth_ast_10951_toGrace_40_1_41_, 11);
  int argcv_meth_ast_10951_toGrace_40_1_41_[] = {1};
  meth_meth_ast_10951_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10951_toGrace_40_1_41_);
  meth_meth_ast_10951_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10951_toGrace_40_1_41_->definitionLine = 2934;
// method "shallowCopy"
  block_savedest(obj10729);
  Object closure11060 = createclosure(1, "shallowCopy");
  setclosureframe(closure11060, stackframe);
  addtoclosure(closure11060, var_requestPart);
  struct UserObject *uo11060 = (struct UserObject*)obj10729;
  uo11060->data[12] = (Object)closure11060;
  Method *meth_meth_ast_11060_shallowCopy = addmethod2pos(obj10729, "shallowCopy", &meth_ast_11060_shallowCopy, 12);
  int argcv_meth_ast_11060_shallowCopy[] = {0};
  meth_meth_ast_11060_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_11060_shallowCopy);
  meth_meth_ast_11060_shallowCopy->definitionModule = modulename;
  meth_meth_ast_11060_shallowCopy->definitionLine = 2956;
// method "postCopy(_)"
  struct UserObject *uo11069 = (struct UserObject*)obj10729;
  uo11069->data[13] = emptyclosure;
  Method *meth_meth_ast_11069_postCopy_40_1_41_ = addmethod2pos(obj10729, "postCopy(1)", &meth_ast_11069_postCopy_40_1_41_, 13);
  int argcv_meth_ast_11069_postCopy_40_1_41_[] = {1};
  meth_meth_ast_11069_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11069_postCopy_40_1_41_);
  meth_meth_ast_11069_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11069_postCopy_40_1_41_->definitionLine = 2959;
// method "statementName"
  struct UserObject *uo11074 = (struct UserObject*)obj10729;
  uo11074->data[14] = emptyclosure;
  Method *meth_meth_ast_11074_statementName = addmethod2pos(obj10729, "statementName", &meth_ast_11074_statementName, 14);
  int argcv_meth_ast_11074_statementName[] = {0};
  meth_meth_ast_11074_statementName->type = alloc_MethodType(1, argcv_meth_ast_11074_statementName);
  meth_meth_ast_11074_statementName->definitionModule = modulename;
  meth_meth_ast_11074_statementName->definitionLine = 2963;
  sourceObject = obj10729;
// Begin line 2890
  setline(2890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11076 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call11077 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11076);
// compiled call node returning call11077 (depth = 3)
  struct UserObject *obj10729_uo = (struct UserObject *)obj10729;
  obj10729_uo->super = call11077;
  sourceObject = obj10729;
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11078 == NULL) {
    strlit11078 = alloc_String("callwithpart");
    gc_root(strlit11078);
  }
// compiled string node returning strlit11078 (depth = 3)
  adddatum2(obj10729, strlit11078, 1);
  sourceObject = obj10729;
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rPart (depth = 3)
  adddatum2(obj10729, *var_rPart, 2);
  sourceObject = obj10729;
// Begin line 2893
  setline(2893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_xs (depth = 3)
  adddatum2(obj10729, *var_xs, 3);
  sourceObject = obj10729;
// Begin line 2894
  setline(2894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  adddatum2(obj10729, *var_emptySeq, 4);
  sourceObject = obj10729;
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11079 = alloc_Float64(0);
// compiled num node returning num11079 (depth = 3)
  adddatum2(obj10729, num11079, 5);
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  objclass10729 = obj10729->class;
  objclass10729->definitionModule = modulename;
  objclass10729->definitionLine = 2889;
  (*(struct UserObject *)self).data[0] = lowerouter10729;
  self = oldself10729;
  selfslot = oldselfslot10729;
  stackframe = oldstackframe10729;
  gc_frame_end(frame);
  return obj10729;
}
Object meth_ast_10728_request_40_1_41_withArgs_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "request(1)withArgs(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method request(_)withArgs(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method request(_)withArgs(_)");
  Object params[1];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_rPart = &(stackframe->slots[0]);
  *var_rPart = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_xs = &(stackframe->slots[1]);
  *var_xs = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10729 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10729 = alloc_userobj2(18,15, objclass10729);
  gc_frame_newslot(obj10729);
  if (objclass10729 == NULL) {
    glfree(obj10729->class->name);
    obj10729->class->name = "requestPart.request(_)withArgs(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj10729, self, 0);
  addmethodreal(obj10729,"outer", &reader_ast_outer_10730);
  Object oldself10729 = self;
  struct StackFrameObject *oldstackframe10729 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10729);
  gc_frame_newslot((Object)stackframe);
  self = obj10729;
  Object *oldselfslot10729 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10729 = (*(struct UserObject *)self).data[0], lowerouter10729 = thisouter10729;
  if (inheritingObject10729) {
    struct UserObject *inho10729 = (struct UserObject *)inheritingObject10729;
    while (inho10729->super != GraceDefaultObject) inho10729 = (struct UserObject *)inho10729->super;
    inho10729->super = obj10729;
    self = inheritingObject10729;
    *selfslot = self;
    lowerouter10729 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10729;
  }
  if (objclass10729 == NULL) {
  Method *reader10731 = addmethodrealflags(obj10729, "kind",&reader_ast_kind_10731, MFLAG_DEF);
  reader10731->definitionModule = modulename;
  reader10731->definitionLine = 2891;
  }
  adddatum2(obj10729, alloc_Undefined(), 1);
  if (objclass10729 == NULL) {
    Method *reader10732 = addmethodrealflags(obj10729, "name", &reader_ast_name_10732, 0);
    Method *writer10732 = addmethodrealflags(obj10729, "name:=(1)", &writer_ast_name_10732, 0);
    reader10732->definitionModule = modulename;
    writer10732->definitionModule = modulename;
    reader10732->definitionLine = 2892;
    writer10732->definitionLine = 2892;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 2);
  if (objclass10729 == NULL) {
    Method *reader10733 = addmethodrealflags(obj10729, "args", &reader_ast_args_10733, 0);
    Method *writer10733 = addmethodrealflags(obj10729, "args:=(1)", &writer_ast_args_10733, 0);
    reader10733->definitionModule = modulename;
    writer10733->definitionModule = modulename;
    reader10733->definitionLine = 2893;
    writer10733->definitionLine = 2893;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 3);
  if (objclass10729 == NULL) {
    Method *reader10734 = addmethodrealflags(obj10729, "typeArgs", &reader_ast_typeArgs_10734, MFLAG_CONFIDENTIAL);
    Method *writer10734 = addmethodrealflags(obj10729, "typeArgs:=(1)", &writer_ast_typeArgs_10734, MFLAG_CONFIDENTIAL);
    reader10734->definitionModule = modulename;
    writer10734->definitionModule = modulename;
    reader10734->definitionLine = 2894;
    writer10734->definitionLine = 2894;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 4);
  if (objclass10729 == NULL) {
    Method *reader10735 = addmethodrealflags(obj10729, "lineLength", &reader_ast_lineLength_10735, 0);
    Method *writer10735 = addmethodrealflags(obj10729, "lineLength:=(1)", &writer_ast_lineLength_10735, 0);
    reader10735->definitionModule = modulename;
    writer10735->definitionModule = modulename;
    reader10735->definitionLine = 2895;
    writer10735->definitionLine = 2895;
  }
  obj10729->flags |= OFLAG_MUTABLE;
  adddatum2(obj10729, alloc_Undefined(), 5);
// method "end"
  struct UserObject *uo10736 = (struct UserObject*)obj10729;
  uo10736->data[6] = emptyclosure;
  Method *meth_meth_ast_10736_end = addmethod2pos(obj10729, "end", &meth_ast_10736_end, 6);
  int argcv_meth_ast_10736_end[] = {0};
  meth_meth_ast_10736_end->type = alloc_MethodType(1, argcv_meth_ast_10736_end);
  meth_meth_ast_10736_end->definitionModule = modulename;
  meth_meth_ast_10736_end->definitionLine = 2897;
// method "nameString"
  struct UserObject *uo10783 = (struct UserObject*)obj10729;
  uo10783->data[7] = emptyclosure;
  Method *meth_meth_ast_10783_nameString = addmethod2pos(obj10729, "nameString", &meth_ast_10783_nameString, 7);
  int argcv_meth_ast_10783_nameString[] = {0};
  meth_meth_ast_10783_nameString->type = alloc_MethodType(1, argcv_meth_ast_10783_nameString);
  meth_meth_ast_10783_nameString->definitionModule = modulename;
  meth_meth_ast_10783_nameString->definitionLine = 2906;
// method "canonicalName"
  struct UserObject *uo10812 = (struct UserObject*)obj10729;
  uo10812->data[8] = emptyclosure;
  Method *meth_meth_ast_10812_canonicalName = addmethod2pos(obj10729, "canonicalName", &meth_ast_10812_canonicalName, 8);
  int argcv_meth_ast_10812_canonicalName[] = {0};
  meth_meth_ast_10812_canonicalName->type = alloc_MethodType(1, argcv_meth_ast_10812_canonicalName);
  meth_meth_ast_10812_canonicalName->definitionModule = modulename;
  meth_meth_ast_10812_canonicalName->definitionLine = 2911;
// method "map(_)ancestors(_)"
  struct UserObject *uo10858 = (struct UserObject*)obj10729;
  uo10858->data[9] = emptyclosure;
  Method *meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj10729, "map(1)ancestors(1)", &meth_ast_10858_map_40_1_41_ancestors_40_1_41_, 9);
  int argcv_meth_ast_10858_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10858_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10858_map_40_1_41_ancestors_40_1_41_->definitionLine = 2919;
// method "pretty(_)"
  struct UserObject *uo10871 = (struct UserObject*)obj10729;
  uo10871->data[10] = emptyclosure;
  Method *meth_meth_ast_10871_pretty_40_1_41_ = addmethod2pos(obj10729, "pretty(1)", &meth_ast_10871_pretty_40_1_41_, 10);
  int argcv_meth_ast_10871_pretty_40_1_41_[] = {1};
  meth_meth_ast_10871_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10871_pretty_40_1_41_);
  meth_meth_ast_10871_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10871_pretty_40_1_41_->definitionLine = 2925;
// method "toGrace(_)"
  struct UserObject *uo10951 = (struct UserObject*)obj10729;
  uo10951->data[11] = emptyclosure;
  Method *meth_meth_ast_10951_toGrace_40_1_41_ = addmethod2pos(obj10729, "toGrace(1)", &meth_ast_10951_toGrace_40_1_41_, 11);
  int argcv_meth_ast_10951_toGrace_40_1_41_[] = {1};
  meth_meth_ast_10951_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10951_toGrace_40_1_41_);
  meth_meth_ast_10951_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10951_toGrace_40_1_41_->definitionLine = 2934;
// method "shallowCopy"
  block_savedest(obj10729);
  Object closure11060 = createclosure(1, "shallowCopy");
  setclosureframe(closure11060, stackframe);
  addtoclosure(closure11060, var_requestPart);
  struct UserObject *uo11060 = (struct UserObject*)obj10729;
  uo11060->data[12] = (Object)closure11060;
  Method *meth_meth_ast_11060_shallowCopy = addmethod2pos(obj10729, "shallowCopy", &meth_ast_11060_shallowCopy, 12);
  int argcv_meth_ast_11060_shallowCopy[] = {0};
  meth_meth_ast_11060_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_11060_shallowCopy);
  meth_meth_ast_11060_shallowCopy->definitionModule = modulename;
  meth_meth_ast_11060_shallowCopy->definitionLine = 2956;
// method "postCopy(_)"
  struct UserObject *uo11069 = (struct UserObject*)obj10729;
  uo11069->data[13] = emptyclosure;
  Method *meth_meth_ast_11069_postCopy_40_1_41_ = addmethod2pos(obj10729, "postCopy(1)", &meth_ast_11069_postCopy_40_1_41_, 13);
  int argcv_meth_ast_11069_postCopy_40_1_41_[] = {1};
  meth_meth_ast_11069_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11069_postCopy_40_1_41_);
  meth_meth_ast_11069_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11069_postCopy_40_1_41_->definitionLine = 2959;
// method "statementName"
  struct UserObject *uo11074 = (struct UserObject*)obj10729;
  uo11074->data[14] = emptyclosure;
  Method *meth_meth_ast_11074_statementName = addmethod2pos(obj10729, "statementName", &meth_ast_11074_statementName, 14);
  int argcv_meth_ast_11074_statementName[] = {0};
  meth_meth_ast_11074_statementName->type = alloc_MethodType(1, argcv_meth_ast_11074_statementName);
  meth_meth_ast_11074_statementName->definitionModule = modulename;
  meth_meth_ast_11074_statementName->definitionLine = 2963;
  sourceObject = obj10729;
// Begin line 2890
  setline(2890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11076 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call11077 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11076);
// compiled call node returning call11077 (depth = 3)
  struct UserObject *obj10729_uo = (struct UserObject *)obj10729;
  obj10729_uo->super = call11077;
  sourceObject = obj10729;
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11078 == NULL) {
    strlit11078 = alloc_String("callwithpart");
    gc_root(strlit11078);
  }
// compiled string node returning strlit11078 (depth = 3)
  adddatum2(obj10729, strlit11078, 1);
  sourceObject = obj10729;
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rPart (depth = 3)
  adddatum2(obj10729, *var_rPart, 2);
  sourceObject = obj10729;
// Begin line 2893
  setline(2893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_xs (depth = 3)
  adddatum2(obj10729, *var_xs, 3);
  sourceObject = obj10729;
// Begin line 2894
  setline(2894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  adddatum2(obj10729, *var_emptySeq, 4);
  sourceObject = obj10729;
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11079 = alloc_Float64(0);
// compiled num node returning num11079 (depth = 3)
  adddatum2(obj10729, num11079, 5);
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  sourceObject = obj10729;
  objclass10729 = obj10729->class;
  objclass10729->definitionModule = modulename;
  objclass10729->definitionLine = 2889;
  (*(struct UserObject *)self).data[0] = lowerouter10729;
  self = oldself10729;
  selfslot = oldselfslot10729;
  stackframe = oldstackframe10729;
  gc_frame_end(frame);
  return obj10729;
}
Object meth_ast_11081_requestPart(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 57, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "requestPart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_requestPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_requestPart (depth = 3)
  gc_frame_end(frame);
  return *var_requestPart;
}
Object meth_ast_11092_end(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "end");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11093 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11094 = gc_frame_new();
// call case 4: self request
  Object call11095 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11094);
// compiled member node returning call11095 (depth = 4)
  gc_frame_newslot(call11095);
// starting to compile member node (depth = 4)
  int callframe11096 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe11097 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe11098 = gc_frame_new();
// call case 4: self request
  Object call11099 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11098);
// compiled member node returning call11099 (depth = 6)
  gc_frame_newslot(call11099);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe11100 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call11101 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe11100);
// compiled member node returning call11101 (depth = 6)
  params[0] = call11099;
  partcv[0] = 1;
  Object call11102 = callmethodflags(call11101, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11097);
// compiled call node returning call11102 (depth = 5)
  Object call11103 = callmethodflags(call11102, "size", 0, partcv, params, 0);
  gc_frame_end(callframe11096);
// compiled member node returning call11103 (depth = 4)
  gc_frame_newslot(call11103);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = call11095;
  params[1] = call11103;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11104 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11093);
// compiled call node returning call11104 (depth = 3)
  gc_frame_end(frame);
  return call11104;
}
Object meth_ast_11105_isComment(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isComment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11106 = alloc_Boolean(1);
// compiled identifier node returning bool11106 (depth = 3)
  gc_frame_end(frame);
  return bool11106;
}
Object meth_ast_11107_isLegalInTrait(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11108 = alloc_Boolean(1);
// compiled identifier node returning bool11108 (depth = 3)
  gc_frame_end(frame);
  return bool11108;
}
Object meth_ast_11109_isExecutable(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2979
  setline(2979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11110 = alloc_Boolean(0);
// compiled identifier node returning bool11110 (depth = 3)
  gc_frame_end(frame);
  return bool11110;
}
Object meth_ast_11111_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit11113 == NULL) {
    strlit11113 = alloc_String("");
    gc_root(strlit11113);
  }
// compiled string node returning strlit11113 (depth = 4)
  int op_slot_right_11112 = gc_frame_newslot(strlit11113);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe11116 = gc_frame_new();
// call case 4: self request
  Object call11117 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11116);
// compiled member node returning call11117 (depth = 5)
  int op_slot_right_11115 = gc_frame_newslot(call11117);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit11120 == NULL) {
    strlit11120 = alloc_String("): ");
    gc_root(strlit11120);
  }
// compiled string node returning strlit11120 (depth = 6)
  int op_slot_right_11119 = gc_frame_newslot(strlit11120);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe11123 = gc_frame_new();
// call case 4: self request
  Object call11124 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11123);
// compiled member node returning call11124 (depth = 7)
  int op_slot_right_11122 = gc_frame_newslot(call11124);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit11127 == NULL) {
    strlit11127 = alloc_String("""\xe2""""\x80""""\x93""");
    gc_root(strlit11127);
  }
// compiled string node returning strlit11127 (depth = 8)
  int op_slot_right_11126 = gc_frame_newslot(strlit11127);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe11130 = gc_frame_new();
// call case 4: self request
  Object call11131 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11130);
// compiled member node returning call11131 (depth = 9)
  int op_slot_right_11129 = gc_frame_newslot(call11131);
// starting to compile string node (depth = 9)
  if (strlit11133 == NULL) {
    strlit11133 = alloc_String("comment (");
    gc_root(strlit11133);
  }
// compiled string node returning strlit11133 (depth = 9)
  int op_slot_left_11129 = gc_frame_newslot(strlit11133);
  params[0] = call11131;
  partcv[0] = 1;
  Object opresult11134 = callmethod(strlit11133, "++(1)", 1, partcv, params);
// compiled op node returning opresult11134 (depth = 8)
  int op_slot_left_11126 = gc_frame_newslot(opresult11134);
  params[0] = strlit11127;
  partcv[0] = 1;
  Object opresult11135 = callmethod(opresult11134, "++(1)", 1, partcv, params);
// compiled op node returning opresult11135 (depth = 7)
  int op_slot_left_11122 = gc_frame_newslot(opresult11135);
  params[0] = call11124;
  partcv[0] = 1;
  Object opresult11136 = callmethod(opresult11135, "++(1)", 1, partcv, params);
// compiled op node returning opresult11136 (depth = 6)
  int op_slot_left_11119 = gc_frame_newslot(opresult11136);
  params[0] = strlit11120;
  partcv[0] = 1;
  Object opresult11137 = callmethod(opresult11136, "++(1)", 1, partcv, params);
// compiled op node returning opresult11137 (depth = 5)
  int op_slot_left_11115 = gc_frame_newslot(opresult11137);
  params[0] = call11117;
  partcv[0] = 1;
  Object opresult11138 = callmethod(opresult11137, "++(1)", 1, partcv, params);
// compiled op node returning opresult11138 (depth = 4)
  int op_slot_left_11112 = gc_frame_newslot(opresult11138);
  params[0] = strlit11113;
  partcv[0] = 1;
  Object opresult11139 = callmethod(opresult11138, "++(1)", 1, partcv, params);
// compiled op node returning opresult11139 (depth = 3)
  gc_frame_end(frame);
  return opresult11139;
}
Object meth_ast_11140_extendCommentUsing_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extendCommentUsing(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extendCommentUsing(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extendCommentUsing(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNode = &(stackframe->slots[0]);
  *var_cmtNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extendCommentUsing(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2982
  setline(2982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11141 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe11143 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmtNode (depth = 6)
  Object call11144 = callmethodflags(*var_cmtNode, "value", 0, partcv, params, 0);
  gc_frame_end(callframe11143);
// compiled member node returning call11144 (depth = 5)
  int op_slot_right_11142 = gc_frame_newslot(call11144);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit11147 == NULL) {
    strlit11147 = alloc_String(" ");
    gc_root(strlit11147);
  }
// compiled string node returning strlit11147 (depth = 6)
  int op_slot_right_11146 = gc_frame_newslot(strlit11147);
// starting to compile member node (depth = 6)
  int callframe11149 = gc_frame_new();
// call case 4: self request
  Object call11150 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11149);
// compiled member node returning call11150 (depth = 6)
  int op_slot_left_11146 = gc_frame_newslot(call11150);
  params[0] = strlit11147;
  partcv[0] = 1;
  Object opresult11151 = callmethod(call11150, "++(1)", 1, partcv, params);
// compiled op node returning opresult11151 (depth = 5)
  int op_slot_left_11142 = gc_frame_newslot(opresult11151);
  params[0] = call11144;
  partcv[0] = 1;
  Object opresult11152 = callmethod(opresult11151, "++(1)", 1, partcv, params);
// compiled op node returning opresult11152 (depth = 4)
  gc_frame_newslot(opresult11152);
// call case 4: self request
  params[0] = opresult11152;
  partcv[0] = 1;
  Object call11153 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11141);
// compiled call node returning call11153 (depth = 3)
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11154 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11155 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmtNode (depth = 5)
  Object call11156 = callmethodflags(*var_cmtNode, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe11155);
// compiled member node returning call11156 (depth = 4)
  gc_frame_newslot(call11156);
// call case 4: self request
  params[0] = call11156;
  partcv[0] = 1;
  Object call11157 = callmethodflags(self, "endLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11154);
// compiled call node returning call11157 (depth = 3)
  gc_frame_end(frame);
  return call11157;
}
Object meth_ast_11158_map_40_1_41_ancestors_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2986
  setline(2986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe11159 = gc_frame_new();
// call case 4: self request
  Object call11160 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11159);
// compiled member node returning call11160 (depth = 4)
  *var_n = call11160;
  if (call11160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2987
  setline(2987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe11161 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call11162 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11161);
// compiled call node returning call11162 (depth = 4)
  *var_newChain = call11162;
  if (call11162 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2988
  setline(2988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11163 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call11164 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe11163);
// compiled call node returning call11164 (depth = 3)
  gc_frame_end(frame);
  return call11164;
}
Object meth_ast_11165_accept_40_1_41_from_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2991
  setline(2991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11166 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11167 = callmethodflags(*var_visitor, "visitComment(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe11166);
// compiled call node returning call11167 (depth = 3)
  gc_frame_end(frame);
  return call11167;
}
Object meth_ast_11176__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2996
  setline(2996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit11178 == NULL) {
    strlit11178 = alloc_String("  ");
    gc_root(strlit11178);
  }
// compiled string node returning strlit11178 (depth = 7)
  int op_slot_right_11177 = gc_frame_newslot(strlit11178);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_11177 = gc_frame_newslot(*var_s);
  params[0] = strlit11178;
  partcv[0] = 1;
  Object opresult11180 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult11180 (depth = 6)
  *var_s = opresult11180;
  if (opresult11180 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_11168_pretty_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
  Object *var_pb = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "pb");
// Begin line 2994
  setline(2994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit11169 == NULL) {
    strlit11169 = alloc_String("""\x0a""");
    gc_root(strlit11169);
  }
// compiled string node returning strlit11169 (depth = 4)
  *var_s = strlit11169;
  if (strlit11169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2995
  setline(2995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11170 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num11172 = alloc_Float64(1);
// compiled num node returning num11172 (depth = 5)
  int op_slot_right_11171 = gc_frame_newslot(num11172);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_11171 = gc_frame_newslot(*var_depth);
  params[0] = num11172;
  partcv[0] = 1;
  Object diff11174 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff11174 (depth = 4)
  gc_frame_newslot(diff11174);
// starting to compile block node (depth = 4)
  Object block11175 = alloc_Block(NULL, NULL, "ast", 2995);
  gc_frame_newslot(block11175);
// method "_apply"
  block_savedest(block11175);
  Object closure11176 = createclosure(2, "_apply");
  setclosureframe(closure11176, stackframe);
  addtoclosure(closure11176, var_s);
  addtoclosure(closure11176, selfslot);
  struct UserObject *uo11176 = (struct UserObject*)block11175;
  uo11176->data[0] = (Object)closure11176;
  Method *meth_meth_ast_11176__apply = addmethod2pos(block11175, "_apply", &meth_ast_11176__apply, 0);
  int argcv_meth_ast_11176__apply[] = {0};
  meth_meth_ast_11176__apply->type = alloc_MethodType(1, argcv_meth_ast_11176__apply);
  meth_meth_ast_11176__apply->definitionModule = modulename;
  meth_meth_ast_11176__apply->definitionLine = 3216;
// compiled block node returning block11175 (depth = 4)
  gc_frame_newslot(block11175);
// call case 5: prelude request
  params[0] = diff11174;
  params[1] = block11175;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11183 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11170);
// compiled call node returning call11183 (depth = 3)
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe11185 = gc_frame_new();
// call case 4: self request
  Object call11186 = callmethodflags(self, "isPreceededByBlankLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11185);
// compiled member node returning call11186 (depth = 5)
  Object if11184 = done;
struct StackFrameObject *iftmpstackframe11184 = stackframe;
  if (istrue(call11186)) {
stackframe = alloc_StackFrame(0, iftmpstackframe11184);
gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 5)
  if (strlit11187 == NULL) {
    strlit11187 = alloc_String(" > blank");
    gc_root(strlit11187);
  }
// compiled string node returning strlit11187 (depth = 5)
    gc_frame_newslot(strlit11187);
    if11184 = strlit11187;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe11184);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// starting to compile string node (depth = 5)
  if (strlit11188 == NULL) {
    strlit11188 = alloc_String("");
    gc_root(strlit11188);
  }
// compiled string node returning strlit11188 (depth = 5)
    gc_frame_newslot(strlit11188);
    if11184 = strlit11188;
  }
stackframe = iftmpstackframe11184;
// compiled if node returning if11184 (depth = 4)
  *var_pb = if11184;
  if (if11184 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2999
  setline(2999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit11190 == NULL) {
    strlit11190 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit11190);
  }
// compiled string node returning strlit11190 (depth = 4)
  int op_slot_right_11189 = gc_frame_newslot(strlit11190);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe11193 = gc_frame_new();
// call case 4: self request
  Object call11194 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11193);
// compiled member node returning call11194 (depth = 5)
  int op_slot_right_11192 = gc_frame_newslot(call11194);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit11197 == NULL) {
    strlit11197 = alloc_String("): ""\xe2""""\x80""""\xb9""");
    gc_root(strlit11197);
  }
// compiled string node returning strlit11197 (depth = 6)
  int op_slot_right_11196 = gc_frame_newslot(strlit11197);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe11200 = gc_frame_new();
// call case 4: self request
  Object call11201 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11200);
// compiled member node returning call11201 (depth = 7)
  int op_slot_right_11199 = gc_frame_newslot(call11201);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit11204 == NULL) {
    strlit11204 = alloc_String("""\xe2""""\x80""""\x93""");
    gc_root(strlit11204);
  }
// compiled string node returning strlit11204 (depth = 8)
  int op_slot_right_11203 = gc_frame_newslot(strlit11204);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe11207 = gc_frame_new();
// call case 4: self request
  Object call11208 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11207);
// compiled member node returning call11208 (depth = 9)
  int op_slot_right_11206 = gc_frame_newslot(call11208);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit11211 == NULL) {
    strlit11211 = alloc_String("(");
    gc_root(strlit11211);
  }
// compiled string node returning strlit11211 (depth = 10)
  int op_slot_right_11210 = gc_frame_newslot(strlit11211);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_pb (depth = 11)
  int op_slot_right_11213 = gc_frame_newslot(*var_pb);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit11216 == NULL) {
    strlit11216 = alloc_String("Comment");
    gc_root(strlit11216);
  }
// compiled string node returning strlit11216 (depth = 12)
  int op_slot_right_11215 = gc_frame_newslot(strlit11216);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_11218 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit11220 == NULL) {
    strlit11220 = alloc_String("");
    gc_root(strlit11220);
  }
// compiled string node returning strlit11220 (depth = 13)
  int op_slot_left_11218 = gc_frame_newslot(strlit11220);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult11221 = callmethod(strlit11220, "++(1)", 1, partcv, params);
// compiled op node returning opresult11221 (depth = 12)
  int op_slot_left_11215 = gc_frame_newslot(opresult11221);
  params[0] = strlit11216;
  partcv[0] = 1;
  Object opresult11222 = callmethod(opresult11221, "++(1)", 1, partcv, params);
// compiled op node returning opresult11222 (depth = 11)
  int op_slot_left_11213 = gc_frame_newslot(opresult11222);
  params[0] = *var_pb;
  partcv[0] = 1;
  Object opresult11223 = callmethod(opresult11222, "++(1)", 1, partcv, params);
// compiled op node returning opresult11223 (depth = 10)
  int op_slot_left_11210 = gc_frame_newslot(opresult11223);
  params[0] = strlit11211;
  partcv[0] = 1;
  Object opresult11224 = callmethod(opresult11223, "++(1)", 1, partcv, params);
// compiled op node returning opresult11224 (depth = 9)
  int op_slot_left_11206 = gc_frame_newslot(opresult11224);
  params[0] = call11208;
  partcv[0] = 1;
  Object opresult11225 = callmethod(opresult11224, "++(1)", 1, partcv, params);
// compiled op node returning opresult11225 (depth = 8)
  int op_slot_left_11203 = gc_frame_newslot(opresult11225);
  params[0] = strlit11204;
  partcv[0] = 1;
  Object opresult11226 = callmethod(opresult11225, "++(1)", 1, partcv, params);
// compiled op node returning opresult11226 (depth = 7)
  int op_slot_left_11199 = gc_frame_newslot(opresult11226);
  params[0] = call11201;
  partcv[0] = 1;
  Object opresult11227 = callmethod(opresult11226, "++(1)", 1, partcv, params);
// compiled op node returning opresult11227 (depth = 6)
  int op_slot_left_11196 = gc_frame_newslot(opresult11227);
  params[0] = strlit11197;
  partcv[0] = 1;
  Object opresult11228 = callmethod(opresult11227, "++(1)", 1, partcv, params);
// compiled op node returning opresult11228 (depth = 5)
  int op_slot_left_11192 = gc_frame_newslot(opresult11228);
  params[0] = call11194;
  partcv[0] = 1;
  Object opresult11229 = callmethod(opresult11228, "++(1)", 1, partcv, params);
// compiled op node returning opresult11229 (depth = 4)
  int op_slot_left_11189 = gc_frame_newslot(opresult11229);
  params[0] = strlit11190;
  partcv[0] = 1;
  Object opresult11230 = callmethod(opresult11229, "++(1)", 1, partcv, params);
// compiled op node returning opresult11230 (depth = 3)
  gc_frame_end(frame);
  return opresult11230;
}
Object meth_ast_11231_toGrace_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[3];
  int partcv[3];
  Object *var_lineLength = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 3004
  setline(3004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe11233 = gc_frame_new();
// call case 4: self request
  Object call11234 = callmethodflags(self, "isPartialLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11233);
// compiled member node returning call11234 (depth = 4)
  Object if11232 = done;
  if (istrue(call11234)) {
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit11236 == NULL) {
    strlit11236 = alloc_String("");
    gc_root(strlit11236);
  }
// compiled string node returning strlit11236 (depth = 5)
  int op_slot_right_11235 = gc_frame_newslot(strlit11236);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe11239 = gc_frame_new();
// call case 4: self request
  Object call11240 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11239);
// compiled member node returning call11240 (depth = 6)
  int op_slot_right_11238 = gc_frame_newslot(call11240);
// starting to compile string node (depth = 6)
  if (strlit11242 == NULL) {
    strlit11242 = alloc_String("// (partial) ");
    gc_root(strlit11242);
  }
// compiled string node returning strlit11242 (depth = 6)
  int op_slot_left_11238 = gc_frame_newslot(strlit11242);
  params[0] = call11240;
  partcv[0] = 1;
  Object opresult11243 = callmethod(strlit11242, "++(1)", 1, partcv, params);
// compiled op node returning opresult11243 (depth = 5)
  int op_slot_left_11235 = gc_frame_newslot(opresult11243);
  params[0] = strlit11236;
  partcv[0] = 1;
  Object opresult11244 = callmethod(opresult11243, "++(1)", 1, partcv, params);
// compiled op node returning opresult11244 (depth = 4)
    gc_frame_newslot(opresult11244);
    if11232 = opresult11244;
  } else {
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_11245 = gc_frame_newslot(*var_depth);
// starting to compile string node (depth = 6)
  if (strlit11247 == NULL) {
    strlit11247 = alloc_String("    ");
    gc_root(strlit11247);
  }
// compiled string node returning strlit11247 (depth = 6)
  int op_slot_left_11245 = gc_frame_newslot(strlit11247);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object prod11248 = callmethod(strlit11247, "*(1)", 1, partcv, params);
// compiled op node returning prod11248 (depth = 5)
  *var_spc = prod11248;
  if (prod11248 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3008
  setline(3008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe11249 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe11250 = gc_frame_new();
// call case 4: self request
  Object call11251 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11250);
// compiled member node returning call11251 (depth = 5)
  gc_frame_newslot(call11251);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineLength (depth = 5)
  gc_frame_newslot(*var_lineLength);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit11253 == NULL) {
    strlit11253 = alloc_String("// ");
    gc_root(strlit11253);
  }
// compiled string node returning strlit11253 (depth = 6)
  int op_slot_right_11252 = gc_frame_newslot(strlit11253);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_11252 = gc_frame_newslot(*var_spc);
  params[0] = strlit11253;
  partcv[0] = 1;
  Object opresult11255 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult11255 (depth = 5)
  gc_frame_newslot(opresult11255);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_ast (depth = 5)
  params[0] = call11251;
  params[1] = *var_lineLength;
  params[2] = opresult11255;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11256 = callmethodflags(module_ast, "wrap(1)to(1)prefix(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11249);
// compiled call node returning call11256 (depth = 4)
    gc_frame_newslot(call11256);
    if11232 = call11256;
  }
// compiled if node returning if11232 (depth = 3)
  gc_frame_end(frame);
  return if11232;
}
Object meth_ast_11257_shallowCopy(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_commentNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11258 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe11259 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_commentNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call11260 = callmethodflags(*var_commentNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11259);
// compiled call node returning call11260 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call11261 = callmethodflags(call11260, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11258);
// compiled call node returning call11261 (depth = 3)
  gc_frame_end(frame);
  return call11261;
}
Object meth_ast_11262_postCopy_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3015
  setline(3015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11263 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11264 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call11265 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe11264);
// compiled member node returning call11265 (depth = 4)
  gc_frame_newslot(call11265);
// call case 4: self request
  params[0] = call11265;
  partcv[0] = 1;
  Object call11266 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11263);
// compiled call node returning call11266 (depth = 3)
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11267 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11268 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call11269 = callmethodflags(*var_other, "isPartialLine", 0, partcv, params, 0);
  gc_frame_end(callframe11268);
// compiled member node returning call11269 (depth = 4)
  gc_frame_newslot(call11269);
// call case 4: self request
  params[0] = call11269;
  partcv[0] = 1;
  Object call11270 = callmethodflags(self, "isPartialLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11267);
// compiled call node returning call11270 (depth = 3)
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11271 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11272 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call11273 = callmethodflags(*var_other, "isPreceededByBlankLine", 0, partcv, params, 0);
  gc_frame_end(callframe11272);
// compiled member node returning call11273 (depth = 4)
  gc_frame_newslot(call11273);
// call case 4: self request
  params[0] = call11273;
  partcv[0] = 1;
  Object call11274 = callmethodflags(self, "isPreceededByBlankLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11271);
// compiled call node returning call11274 (depth = 3)
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11275 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe11276 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call11277 = callmethodflags(*var_other, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe11276);
// compiled member node returning call11277 (depth = 4)
  gc_frame_newslot(call11277);
// call case 4: self request
  params[0] = call11277;
  partcv[0] = 1;
  Object call11278 = callmethodflags(self, "endLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11275);
// compiled call node returning call11278 (depth = 3)
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_11084_new_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_lineLength = getfromclosure(closure, 1);
  Object *var_nullNode = getfromclosure(closure, 2);
  Object *var_commentNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val_39_ = &(stackframe->slots[0]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject11085 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11085 = alloc_userobj2(21,18, objclass11085);
  gc_frame_newslot(obj11085);
  if (objclass11085 == NULL) {
    glfree(obj11085->class->name);
    obj11085->class->name = "commentNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj11085, self, 0);
  addmethodreal(obj11085,"outer", &reader_ast_outer_11086);
  Object oldself11085 = self;
  struct StackFrameObject *oldstackframe11085 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11085);
  gc_frame_newslot((Object)stackframe);
  self = obj11085;
  Object *oldselfslot11085 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11085 = (*(struct UserObject *)self).data[0], lowerouter11085 = thisouter11085;
  if (inheritingObject11085) {
    struct UserObject *inho11085 = (struct UserObject *)inheritingObject11085;
    while (inho11085->super != GraceDefaultObject) inho11085 = (struct UserObject *)inho11085->super;
    inho11085->super = obj11085;
    self = inheritingObject11085;
    *selfslot = self;
    lowerouter11085 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11085;
  }
  if (objclass11085 == NULL) {
  Method *reader11087 = addmethodrealflags(obj11085, "kind",&reader_ast_kind_11087, MFLAG_DEF);
  reader11087->definitionModule = modulename;
  reader11087->definitionLine = 2970;
  }
  adddatum2(obj11085, alloc_Undefined(), 1);
  if (objclass11085 == NULL) {
    Method *reader11088 = addmethodrealflags(obj11085, "value", &reader_ast_value_11088, 0);
    Method *writer11088 = addmethodrealflags(obj11085, "value:=(1)", &writer_ast_value_11088, 0);
    reader11088->definitionModule = modulename;
    writer11088->definitionModule = modulename;
    reader11088->definitionLine = 2971;
    writer11088->definitionLine = 2971;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 2);
  if (objclass11085 == NULL) {
    Method *reader11089 = addmethodrealflags(obj11085, "isPartialLine", &reader_ast_isPartialLine_11089, 0);
    Method *writer11089 = addmethodrealflags(obj11085, "isPartialLine:=(1)", &writer_ast_isPartialLine_11089, 0);
    reader11089->definitionModule = modulename;
    writer11089->definitionModule = modulename;
    reader11089->definitionLine = 2972;
    writer11089->definitionLine = 2972;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 3);
  if (objclass11085 == NULL) {
    Method *reader11090 = addmethodrealflags(obj11085, "isPreceededByBlankLine", &reader_ast_isPreceededByBlankLine_11090, 0);
    Method *writer11090 = addmethodrealflags(obj11085, "isPreceededByBlankLine:=(1)", &writer_ast_isPreceededByBlankLine_11090, 0);
    reader11090->definitionModule = modulename;
    writer11090->definitionModule = modulename;
    reader11090->definitionLine = 2973;
    writer11090->definitionLine = 2973;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 4);
  if (objclass11085 == NULL) {
    Method *reader11091 = addmethodrealflags(obj11085, "endLine", &reader_ast_endLine_11091, 0);
    Method *writer11091 = addmethodrealflags(obj11085, "endLine:=(1)", &writer_ast_endLine_11091, 0);
    reader11091->definitionModule = modulename;
    writer11091->definitionModule = modulename;
    reader11091->definitionLine = 2974;
    writer11091->definitionLine = 2974;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 5);
// method "end"
  block_savedest(obj11085);
  Object closure11092 = createclosure(1, "end");
  setclosureframe(closure11092, stackframe);
  addtoclosure(closure11092, var_util);
  struct UserObject *uo11092 = (struct UserObject*)obj11085;
  uo11092->data[6] = (Object)closure11092;
  Method *meth_meth_ast_11092_end = addmethod2pos(obj11085, "end", &meth_ast_11092_end, 6);
  int argcv_meth_ast_11092_end[] = {0};
  meth_meth_ast_11092_end->type = alloc_MethodType(1, argcv_meth_ast_11092_end);
  meth_meth_ast_11092_end->definitionModule = modulename;
  meth_meth_ast_11092_end->definitionLine = 2976;
// method "isComment"
  struct UserObject *uo11105 = (struct UserObject*)obj11085;
  uo11105->data[7] = emptyclosure;
  Method *meth_meth_ast_11105_isComment = addmethod2pos(obj11085, "isComment", &meth_ast_11105_isComment, 7);
  int argcv_meth_ast_11105_isComment[] = {0};
  meth_meth_ast_11105_isComment->type = alloc_MethodType(1, argcv_meth_ast_11105_isComment);
  meth_meth_ast_11105_isComment->definitionModule = modulename;
  meth_meth_ast_11105_isComment->definitionLine = 2977;
// method "isLegalInTrait"
  struct UserObject *uo11107 = (struct UserObject*)obj11085;
  uo11107->data[8] = emptyclosure;
  Method *meth_meth_ast_11107_isLegalInTrait = addmethod2pos(obj11085, "isLegalInTrait", &meth_ast_11107_isLegalInTrait, 8);
  int argcv_meth_ast_11107_isLegalInTrait[] = {0};
  meth_meth_ast_11107_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_11107_isLegalInTrait);
  meth_meth_ast_11107_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_11107_isLegalInTrait->definitionLine = 2978;
// method "isExecutable"
  struct UserObject *uo11109 = (struct UserObject*)obj11085;
  uo11109->data[9] = emptyclosure;
  Method *meth_meth_ast_11109_isExecutable = addmethod2pos(obj11085, "isExecutable", &meth_ast_11109_isExecutable, 9);
  int argcv_meth_ast_11109_isExecutable[] = {0};
  meth_meth_ast_11109_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_11109_isExecutable);
  meth_meth_ast_11109_isExecutable->definitionModule = modulename;
  meth_meth_ast_11109_isExecutable->definitionLine = 2979;
// method "asString"
  struct UserObject *uo11111 = (struct UserObject*)obj11085;
  uo11111->data[10] = emptyclosure;
  Method *meth_meth_ast_11111_asString = addmethod2pos(obj11085, "asString", &meth_ast_11111_asString, 10);
  int argcv_meth_ast_11111_asString[] = {0};
  meth_meth_ast_11111_asString->type = alloc_MethodType(1, argcv_meth_ast_11111_asString);
  meth_meth_ast_11111_asString->definitionModule = modulename;
  meth_meth_ast_11111_asString->definitionLine = 2980;
// method "extendCommentUsing(_)"
  struct UserObject *uo11140 = (struct UserObject*)obj11085;
  uo11140->data[11] = emptyclosure;
  Method *meth_meth_ast_11140_extendCommentUsing_40_1_41_ = addmethod2pos(obj11085, "extendCommentUsing(1)", &meth_ast_11140_extendCommentUsing_40_1_41_, 11);
  int argcv_meth_ast_11140_extendCommentUsing_40_1_41_[] = {1};
  meth_meth_ast_11140_extendCommentUsing_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11140_extendCommentUsing_40_1_41_);
  meth_meth_ast_11140_extendCommentUsing_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11140_extendCommentUsing_40_1_41_->definitionLine = 2981;
// method "map(_)ancestors(_)"
  struct UserObject *uo11158 = (struct UserObject*)obj11085;
  uo11158->data[12] = emptyclosure;
  Method *meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj11085, "map(1)ancestors(1)", &meth_ast_11158_map_40_1_41_ancestors_40_1_41_, 12);
  int argcv_meth_ast_11158_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_11158_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_->definitionLine = 2985;
// method "accept(_)from(_)"
  struct UserObject *uo11165 = (struct UserObject*)obj11085;
  uo11165->data[13] = emptyclosure;
  Method *meth_meth_ast_11165_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj11085, "accept(1)from(1)", &meth_ast_11165_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_11165_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_11165_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_11165_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_11165_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11165_accept_40_1_41_from_40_1_41_->definitionLine = 2990;
// method "pretty(_)"
  struct UserObject *uo11168 = (struct UserObject*)obj11085;
  uo11168->data[14] = emptyclosure;
  Method *meth_meth_ast_11168_pretty_40_1_41_ = addmethod2pos(obj11085, "pretty(1)", &meth_ast_11168_pretty_40_1_41_, 14);
  int argcv_meth_ast_11168_pretty_40_1_41_[] = {1};
  meth_meth_ast_11168_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11168_pretty_40_1_41_);
  meth_meth_ast_11168_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11168_pretty_40_1_41_->definitionLine = 2993;
// method "toGrace(_)"
  block_savedest(obj11085);
  Object closure11231 = createclosure(1, "toGrace(1)");
  setclosureframe(closure11231, stackframe);
  addtoclosure(closure11231, var_lineLength);
  struct UserObject *uo11231 = (struct UserObject*)obj11085;
  uo11231->data[15] = (Object)closure11231;
  Method *meth_meth_ast_11231_toGrace_40_1_41_ = addmethod2pos(obj11085, "toGrace(1)", &meth_ast_11231_toGrace_40_1_41_, 15);
  int argcv_meth_ast_11231_toGrace_40_1_41_[] = {1};
  meth_meth_ast_11231_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11231_toGrace_40_1_41_);
  meth_meth_ast_11231_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11231_toGrace_40_1_41_->definitionLine = 3001;
// method "shallowCopy"
  block_savedest(obj11085);
  Object closure11257 = createclosure(2, "shallowCopy");
  setclosureframe(closure11257, stackframe);
  addtoclosure(closure11257, var_nullNode);
  addtoclosure(closure11257, var_commentNode);
  struct UserObject *uo11257 = (struct UserObject*)obj11085;
  uo11257->data[16] = (Object)closure11257;
  Method *meth_meth_ast_11257_shallowCopy = addmethod2pos(obj11085, "shallowCopy", &meth_ast_11257_shallowCopy, 16);
  int argcv_meth_ast_11257_shallowCopy[] = {0};
  meth_meth_ast_11257_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_11257_shallowCopy);
  meth_meth_ast_11257_shallowCopy->definitionModule = modulename;
  meth_meth_ast_11257_shallowCopy->definitionLine = 3011;
// method "postCopy(_)"
  struct UserObject *uo11262 = (struct UserObject*)obj11085;
  uo11262->data[17] = emptyclosure;
  Method *meth_meth_ast_11262_postCopy_40_1_41_ = addmethod2pos(obj11085, "postCopy(1)", &meth_ast_11262_postCopy_40_1_41_, 17);
  int argcv_meth_ast_11262_postCopy_40_1_41_[] = {1};
  meth_meth_ast_11262_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11262_postCopy_40_1_41_);
  meth_meth_ast_11262_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11262_postCopy_40_1_41_->definitionLine = 3014;
  sourceObject = obj11085;
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11279 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call11280 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11279);
// compiled call node returning call11280 (depth = 3)
  struct UserObject *obj11085_uo = (struct UserObject *)obj11085;
  obj11085_uo->super = call11280;
  sourceObject = obj11085;
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11281 == NULL) {
    strlit11281 = alloc_String("comment");
    gc_root(strlit11281);
  }
// compiled string node returning strlit11281 (depth = 3)
  adddatum2(obj11085, strlit11281, 1);
  sourceObject = obj11085;
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj11085, *var_val_39_, 2);
  sourceObject = obj11085;
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11282 = alloc_Boolean(0);
// compiled identifier node returning bool11282 (depth = 3)
  adddatum2(obj11085, bool11282, 3);
  sourceObject = obj11085;
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11283 = alloc_Boolean(0);
// compiled identifier node returning bool11283 (depth = 3)
  adddatum2(obj11085, bool11283, 4);
  sourceObject = obj11085;
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe11284 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call11285 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe11284);
// compiled member node returning call11285 (depth = 3)
  adddatum2(obj11085, call11285, 5);
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  objclass11085 = obj11085->class;
  objclass11085->definitionModule = modulename;
  objclass11085->definitionLine = 2968;
  (*(struct UserObject *)self).data[0] = lowerouter11085;
  self = oldself11085;
  selfslot = oldselfslot11085;
  stackframe = oldstackframe11085;
  gc_frame_end(frame);
  return obj11085;
}
Object meth_ast_11084_new_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_lineLength = getfromclosure(closure, 1);
  Object *var_nullNode = getfromclosure(closure, 2);
  Object *var_commentNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val_39_ = &(stackframe->slots[0]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject11085 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11085 = alloc_userobj2(21,18, objclass11085);
  gc_frame_newslot(obj11085);
  if (objclass11085 == NULL) {
    glfree(obj11085->class->name);
    obj11085->class->name = "commentNode.new(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj11085, self, 0);
  addmethodreal(obj11085,"outer", &reader_ast_outer_11086);
  Object oldself11085 = self;
  struct StackFrameObject *oldstackframe11085 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11085);
  gc_frame_newslot((Object)stackframe);
  self = obj11085;
  Object *oldselfslot11085 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11085 = (*(struct UserObject *)self).data[0], lowerouter11085 = thisouter11085;
  if (inheritingObject11085) {
    struct UserObject *inho11085 = (struct UserObject *)inheritingObject11085;
    while (inho11085->super != GraceDefaultObject) inho11085 = (struct UserObject *)inho11085->super;
    inho11085->super = obj11085;
    self = inheritingObject11085;
    *selfslot = self;
    lowerouter11085 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11085;
  }
  if (objclass11085 == NULL) {
  Method *reader11087 = addmethodrealflags(obj11085, "kind",&reader_ast_kind_11087, MFLAG_DEF);
  reader11087->definitionModule = modulename;
  reader11087->definitionLine = 2970;
  }
  adddatum2(obj11085, alloc_Undefined(), 1);
  if (objclass11085 == NULL) {
    Method *reader11088 = addmethodrealflags(obj11085, "value", &reader_ast_value_11088, 0);
    Method *writer11088 = addmethodrealflags(obj11085, "value:=(1)", &writer_ast_value_11088, 0);
    reader11088->definitionModule = modulename;
    writer11088->definitionModule = modulename;
    reader11088->definitionLine = 2971;
    writer11088->definitionLine = 2971;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 2);
  if (objclass11085 == NULL) {
    Method *reader11089 = addmethodrealflags(obj11085, "isPartialLine", &reader_ast_isPartialLine_11089, 0);
    Method *writer11089 = addmethodrealflags(obj11085, "isPartialLine:=(1)", &writer_ast_isPartialLine_11089, 0);
    reader11089->definitionModule = modulename;
    writer11089->definitionModule = modulename;
    reader11089->definitionLine = 2972;
    writer11089->definitionLine = 2972;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 3);
  if (objclass11085 == NULL) {
    Method *reader11090 = addmethodrealflags(obj11085, "isPreceededByBlankLine", &reader_ast_isPreceededByBlankLine_11090, 0);
    Method *writer11090 = addmethodrealflags(obj11085, "isPreceededByBlankLine:=(1)", &writer_ast_isPreceededByBlankLine_11090, 0);
    reader11090->definitionModule = modulename;
    writer11090->definitionModule = modulename;
    reader11090->definitionLine = 2973;
    writer11090->definitionLine = 2973;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 4);
  if (objclass11085 == NULL) {
    Method *reader11091 = addmethodrealflags(obj11085, "endLine", &reader_ast_endLine_11091, 0);
    Method *writer11091 = addmethodrealflags(obj11085, "endLine:=(1)", &writer_ast_endLine_11091, 0);
    reader11091->definitionModule = modulename;
    writer11091->definitionModule = modulename;
    reader11091->definitionLine = 2974;
    writer11091->definitionLine = 2974;
  }
  obj11085->flags |= OFLAG_MUTABLE;
  adddatum2(obj11085, alloc_Undefined(), 5);
// method "end"
  block_savedest(obj11085);
  Object closure11092 = createclosure(1, "end");
  setclosureframe(closure11092, stackframe);
  addtoclosure(closure11092, var_util);
  struct UserObject *uo11092 = (struct UserObject*)obj11085;
  uo11092->data[6] = (Object)closure11092;
  Method *meth_meth_ast_11092_end = addmethod2pos(obj11085, "end", &meth_ast_11092_end, 6);
  int argcv_meth_ast_11092_end[] = {0};
  meth_meth_ast_11092_end->type = alloc_MethodType(1, argcv_meth_ast_11092_end);
  meth_meth_ast_11092_end->definitionModule = modulename;
  meth_meth_ast_11092_end->definitionLine = 2976;
// method "isComment"
  struct UserObject *uo11105 = (struct UserObject*)obj11085;
  uo11105->data[7] = emptyclosure;
  Method *meth_meth_ast_11105_isComment = addmethod2pos(obj11085, "isComment", &meth_ast_11105_isComment, 7);
  int argcv_meth_ast_11105_isComment[] = {0};
  meth_meth_ast_11105_isComment->type = alloc_MethodType(1, argcv_meth_ast_11105_isComment);
  meth_meth_ast_11105_isComment->definitionModule = modulename;
  meth_meth_ast_11105_isComment->definitionLine = 2977;
// method "isLegalInTrait"
  struct UserObject *uo11107 = (struct UserObject*)obj11085;
  uo11107->data[8] = emptyclosure;
  Method *meth_meth_ast_11107_isLegalInTrait = addmethod2pos(obj11085, "isLegalInTrait", &meth_ast_11107_isLegalInTrait, 8);
  int argcv_meth_ast_11107_isLegalInTrait[] = {0};
  meth_meth_ast_11107_isLegalInTrait->type = alloc_MethodType(1, argcv_meth_ast_11107_isLegalInTrait);
  meth_meth_ast_11107_isLegalInTrait->definitionModule = modulename;
  meth_meth_ast_11107_isLegalInTrait->definitionLine = 2978;
// method "isExecutable"
  struct UserObject *uo11109 = (struct UserObject*)obj11085;
  uo11109->data[9] = emptyclosure;
  Method *meth_meth_ast_11109_isExecutable = addmethod2pos(obj11085, "isExecutable", &meth_ast_11109_isExecutable, 9);
  int argcv_meth_ast_11109_isExecutable[] = {0};
  meth_meth_ast_11109_isExecutable->type = alloc_MethodType(1, argcv_meth_ast_11109_isExecutable);
  meth_meth_ast_11109_isExecutable->definitionModule = modulename;
  meth_meth_ast_11109_isExecutable->definitionLine = 2979;
// method "asString"
  struct UserObject *uo11111 = (struct UserObject*)obj11085;
  uo11111->data[10] = emptyclosure;
  Method *meth_meth_ast_11111_asString = addmethod2pos(obj11085, "asString", &meth_ast_11111_asString, 10);
  int argcv_meth_ast_11111_asString[] = {0};
  meth_meth_ast_11111_asString->type = alloc_MethodType(1, argcv_meth_ast_11111_asString);
  meth_meth_ast_11111_asString->definitionModule = modulename;
  meth_meth_ast_11111_asString->definitionLine = 2980;
// method "extendCommentUsing(_)"
  struct UserObject *uo11140 = (struct UserObject*)obj11085;
  uo11140->data[11] = emptyclosure;
  Method *meth_meth_ast_11140_extendCommentUsing_40_1_41_ = addmethod2pos(obj11085, "extendCommentUsing(1)", &meth_ast_11140_extendCommentUsing_40_1_41_, 11);
  int argcv_meth_ast_11140_extendCommentUsing_40_1_41_[] = {1};
  meth_meth_ast_11140_extendCommentUsing_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11140_extendCommentUsing_40_1_41_);
  meth_meth_ast_11140_extendCommentUsing_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11140_extendCommentUsing_40_1_41_->definitionLine = 2981;
// method "map(_)ancestors(_)"
  struct UserObject *uo11158 = (struct UserObject*)obj11085;
  uo11158->data[12] = emptyclosure;
  Method *meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj11085, "map(1)ancestors(1)", &meth_ast_11158_map_40_1_41_ancestors_40_1_41_, 12);
  int argcv_meth_ast_11158_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_11158_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11158_map_40_1_41_ancestors_40_1_41_->definitionLine = 2985;
// method "accept(_)from(_)"
  struct UserObject *uo11165 = (struct UserObject*)obj11085;
  uo11165->data[13] = emptyclosure;
  Method *meth_meth_ast_11165_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj11085, "accept(1)from(1)", &meth_ast_11165_accept_40_1_41_from_40_1_41_, 13);
  int argcv_meth_ast_11165_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_11165_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_11165_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_11165_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11165_accept_40_1_41_from_40_1_41_->definitionLine = 2990;
// method "pretty(_)"
  struct UserObject *uo11168 = (struct UserObject*)obj11085;
  uo11168->data[14] = emptyclosure;
  Method *meth_meth_ast_11168_pretty_40_1_41_ = addmethod2pos(obj11085, "pretty(1)", &meth_ast_11168_pretty_40_1_41_, 14);
  int argcv_meth_ast_11168_pretty_40_1_41_[] = {1};
  meth_meth_ast_11168_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11168_pretty_40_1_41_);
  meth_meth_ast_11168_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11168_pretty_40_1_41_->definitionLine = 2993;
// method "toGrace(_)"
  block_savedest(obj11085);
  Object closure11231 = createclosure(1, "toGrace(1)");
  setclosureframe(closure11231, stackframe);
  addtoclosure(closure11231, var_lineLength);
  struct UserObject *uo11231 = (struct UserObject*)obj11085;
  uo11231->data[15] = (Object)closure11231;
  Method *meth_meth_ast_11231_toGrace_40_1_41_ = addmethod2pos(obj11085, "toGrace(1)", &meth_ast_11231_toGrace_40_1_41_, 15);
  int argcv_meth_ast_11231_toGrace_40_1_41_[] = {1};
  meth_meth_ast_11231_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11231_toGrace_40_1_41_);
  meth_meth_ast_11231_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11231_toGrace_40_1_41_->definitionLine = 3001;
// method "shallowCopy"
  block_savedest(obj11085);
  Object closure11257 = createclosure(2, "shallowCopy");
  setclosureframe(closure11257, stackframe);
  addtoclosure(closure11257, var_nullNode);
  addtoclosure(closure11257, var_commentNode);
  struct UserObject *uo11257 = (struct UserObject*)obj11085;
  uo11257->data[16] = (Object)closure11257;
  Method *meth_meth_ast_11257_shallowCopy = addmethod2pos(obj11085, "shallowCopy", &meth_ast_11257_shallowCopy, 16);
  int argcv_meth_ast_11257_shallowCopy[] = {0};
  meth_meth_ast_11257_shallowCopy->type = alloc_MethodType(1, argcv_meth_ast_11257_shallowCopy);
  meth_meth_ast_11257_shallowCopy->definitionModule = modulename;
  meth_meth_ast_11257_shallowCopy->definitionLine = 3011;
// method "postCopy(_)"
  struct UserObject *uo11262 = (struct UserObject*)obj11085;
  uo11262->data[17] = emptyclosure;
  Method *meth_meth_ast_11262_postCopy_40_1_41_ = addmethod2pos(obj11085, "postCopy(1)", &meth_ast_11262_postCopy_40_1_41_, 17);
  int argcv_meth_ast_11262_postCopy_40_1_41_[] = {1};
  meth_meth_ast_11262_postCopy_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11262_postCopy_40_1_41_);
  meth_meth_ast_11262_postCopy_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11262_postCopy_40_1_41_->definitionLine = 3014;
  sourceObject = obj11085;
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11279 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call11280 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11279);
// compiled call node returning call11280 (depth = 3)
  struct UserObject *obj11085_uo = (struct UserObject *)obj11085;
  obj11085_uo->super = call11280;
  sourceObject = obj11085;
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11281 == NULL) {
    strlit11281 = alloc_String("comment");
    gc_root(strlit11281);
  }
// compiled string node returning strlit11281 (depth = 3)
  adddatum2(obj11085, strlit11281, 1);
  sourceObject = obj11085;
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj11085, *var_val_39_, 2);
  sourceObject = obj11085;
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11282 = alloc_Boolean(0);
// compiled identifier node returning bool11282 (depth = 3)
  adddatum2(obj11085, bool11282, 3);
  sourceObject = obj11085;
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11283 = alloc_Boolean(0);
// compiled identifier node returning bool11283 (depth = 3)
  adddatum2(obj11085, bool11283, 4);
  sourceObject = obj11085;
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe11284 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call11285 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe11284);
// compiled member node returning call11285 (depth = 3)
  adddatum2(obj11085, call11285, 5);
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  sourceObject = obj11085;
  objclass11085 = obj11085->class;
  objclass11085->definitionModule = modulename;
  objclass11085->definitionLine = 2968;
  (*(struct UserObject *)self).data[0] = lowerouter11085;
  self = oldself11085;
  selfslot = oldselfslot11085;
  stackframe = oldstackframe11085;
  gc_frame_end(frame);
  return obj11085;
}
Object meth_ast_11287_commentNode(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 58, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "commentNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_commentNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_commentNode (depth = 3)
  gc_frame_end(frame);
  return *var_commentNode;
}
Object meth_ast_11290_ASTVisitor(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ASTVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ASTVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3058
  setline(3058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ASTVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_ASTVisitor;
}
Object meth_ast_11293_visitCall_40_1_41_up_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3201
  setline(3201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11294 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool11295 = alloc_Boolean(1);
// compiled identifier node returning bool11295 (depth = 4)
  gc_frame_newslot(bool11295);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  params[0] = bool11295;
  partcv[0] = 1;
  Object call11296 = callmethodflags(*var_c, "isPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11294);
// compiled call node returning call11296 (depth = 3)
// Begin line 3202
  setline(3202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool11297 = alloc_Boolean(1);
// compiled identifier node returning bool11297 (depth = 3)
  gc_frame_end(frame);
  return bool11297;
}
Object meth_ast_11300_patternMarkVisitor(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 60, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "patternMarkVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_patternMarkVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_patternMarkVisitor;
}
Object module_ast_init() {
  if (module_ast) return module_ast;
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(71, 71);
  module_ast = self;
  self->class->definitionModule = "ast";
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule("ast");
  setsource(originalSourceLines);
  setclassname(self, "Module<ast>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(71, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[2];
// definebindings:
  Object *var_util = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "util");
  Object *var_k = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "k");
  Object *var_Position = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "Position");
  Object *var_Range = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "Range");
  Object *var_noPosition = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "noPosition");
  Object *var_emptyRange = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "emptyRange");
  Object *var_lineLength = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "lineLength");
  Object *var_uninitialized = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "uninitialized");
  Object *var_ancestorChain = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "ancestorChain");
  Object *var_emptySeq = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "emptySeq");
  Object *var_AstNode = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "AstNode");
  Object *var_SymbolTable = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "SymbolTable");
  Object *var_implicit = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "implicit");
  Object *var_nullNode = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "nullNode");
  Object *var_fakeSymbolTable = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "fakeSymbolTable");
  Object *var_ifNode = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "ifNode");
  Object *var_blockNode = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "blockNode");
  Object *var_tryCatchNode = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "tryCatchNode");
  Object *var_matchCaseNode = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "matchCaseNode");
  Object *var_methodTypeNode = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "methodTypeNode");
  Object *var_typeLiteralNode = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "typeLiteralNode");
  Object *var_typeDecNode = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "typeDecNode");
  Object *var_methodNode = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "methodNode");
  Object *var_callNode = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "callNode");
  Object *var_moduleNode = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "moduleNode");
  Object *var_objectNode = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "objectNode");
  Object *var_arrayNode = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "arrayNode");
  Object *var_memberNode = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "memberNode");
  Object *var_genericNode = &(stackframe->slots[29]);
  setframeelementname(stackframe, 29, "genericNode");
  Object *var_typeParametersNode = &(stackframe->slots[30]);
  setframeelementname(stackframe, 30, "typeParametersNode");
  Object *var_identifierNode = &(stackframe->slots[31]);
  setframeelementname(stackframe, 31, "identifierNode");
  Object *var_typeType = &(stackframe->slots[32]);
  setframeelementname(stackframe, 32, "typeType");
  Object *var_unknownType = &(stackframe->slots[33]);
  setframeelementname(stackframe, 33, "unknownType");
  Object *var_stringNode = &(stackframe->slots[34]);
  setframeelementname(stackframe, 34, "stringNode");
  Object *var_numNode = &(stackframe->slots[35]);
  setframeelementname(stackframe, 35, "numNode");
  Object *var_opNode = &(stackframe->slots[36]);
  setframeelementname(stackframe, 36, "opNode");
  Object *var_bindNode = &(stackframe->slots[37]);
  setframeelementname(stackframe, 37, "bindNode");
  Object *var_defDecNode = &(stackframe->slots[38]);
  setframeelementname(stackframe, 38, "defDecNode");
  Object *var_varDecNode = &(stackframe->slots[39]);
  setframeelementname(stackframe, 39, "varDecNode");
  Object *var_importNode = &(stackframe->slots[40]);
  setframeelementname(stackframe, 40, "importNode");
  Object *var_dialectNode = &(stackframe->slots[41]);
  setframeelementname(stackframe, 41, "dialectNode");
  Object *var_returnNode = &(stackframe->slots[42]);
  setframeelementname(stackframe, 42, "returnNode");
  Object *var_inheritNode = &(stackframe->slots[43]);
  setframeelementname(stackframe, 43, "inheritNode");
  Object *var_AliasPair = &(stackframe->slots[44]);
  setframeelementname(stackframe, 44, "AliasPair");
  Object *var_signaturePart = &(stackframe->slots[45]);
  setframeelementname(stackframe, 45, "signaturePart");
  Object *var_requestPart = &(stackframe->slots[46]);
  setframeelementname(stackframe, 46, "requestPart");
  Object *var_commentNode = &(stackframe->slots[47]);
  setframeelementname(stackframe, 47, "commentNode");
  Object *var_ASTVisitor = &(stackframe->slots[48]);
  setframeelementname(stackframe, 48, "ASTVisitor");
  Object *var_patternMarkVisitor = &(stackframe->slots[49]);
  setframeelementname(stackframe, 49, "patternMarkVisitor");
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "line(_)column(_)"
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = emptyclosure;
  Method *meth_meth_ast_1_line_40_1_41_column_40_1_41_ = addmethod2pos(self, "line(1)column(1)", &meth_ast_1_line_40_1_41_column_40_1_41_, 1);
  int argcv_meth_ast_1_line_40_1_41_column_40_1_41_[] = {1, 1};
  meth_meth_ast_1_line_40_1_41_column_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1_line_40_1_41_column_40_1_41_);
meth_meth_ast_1_line_40_1_41_column_40_1_41_->type->types[0] = type_Number;
meth_meth_ast_1_line_40_1_41_column_40_1_41_->type->names[0] = "l";
meth_meth_ast_1_line_40_1_41_column_40_1_41_->type->types[1] = type_Number;
meth_meth_ast_1_line_40_1_41_column_40_1_41_->type->names[1] = "c";
  meth_meth_ast_1_line_40_1_41_column_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1_line_40_1_41_column_40_1_41_->definitionLine = 30;
  Method *meth_meth_ast_1_line_40_1_41_column_40_1_41__object = addmethod2pos(self, "line(1)column(1)$object(1)", &meth_ast_1_line_40_1_41_column_40_1_41__object, 1);
  int argcv_meth_ast_1_line_40_1_41_column_40_1_41__object[] = {1, 1};
  meth_meth_ast_1_line_40_1_41_column_40_1_41__object->type = alloc_MethodType(2, argcv_meth_ast_1_line_40_1_41_column_40_1_41__object);
meth_meth_ast_1_line_40_1_41_column_40_1_41__object->type->types[0] = type_Number;
meth_meth_ast_1_line_40_1_41_column_40_1_41__object->type->names[0] = "l";
meth_meth_ast_1_line_40_1_41_column_40_1_41__object->type->types[1] = type_Number;
meth_meth_ast_1_line_40_1_41_column_40_1_41__object->type->names[1] = "c";
  meth_meth_ast_1_line_40_1_41_column_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_1_line_40_1_41_column_40_1_41__object->definitionLine = 30;
// compiled method node returning  (depth = 1)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "start(_)end(_)"
  block_savedest(self);
  Object closure109 = createclosure(1, "start(1)end(1)");
  setclosureframe(closure109, stackframe);
  addtoclosure(closure109, var_noPosition);
  struct UserObject *uo109 = (struct UserObject*)self;
  uo109->data[2] = (Object)closure109;
  Method *meth_meth_ast_109_start_40_1_41_end_40_1_41_ = addmethod2pos(self, "start(1)end(1)", &meth_ast_109_start_40_1_41_end_40_1_41_, 2);
  int argcv_meth_ast_109_start_40_1_41_end_40_1_41_[] = {1, 1};
  meth_meth_ast_109_start_40_1_41_end_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_109_start_40_1_41_end_40_1_41_);
  meth_meth_ast_109_start_40_1_41_end_40_1_41_->definitionModule = modulename;
  meth_meth_ast_109_start_40_1_41_end_40_1_41_->definitionLine = 54;
  block_savedest(self);
  Object closure197 = createclosure(1, "start(1)end(1)$object(1)");
  setclosureframe(closure197, stackframe);
  addtoclosure(closure197, var_noPosition);
  Method *meth_meth_ast_109_start_40_1_41_end_40_1_41__object = addmethod2pos(self, "start(1)end(1)$object(1)", &meth_ast_109_start_40_1_41_end_40_1_41__object, 2);
  meth_meth_ast_109_start_40_1_41_end_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_109_start_40_1_41_end_40_1_41__object->definitionLine = 54;
// compiled method node returning  (depth = 1)
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "positionOfNext(_)after(_)"
  block_savedest(self);
  Object closure198 = createclosure(2, "positionOfNext(1)after(1)");
  setclosureframe(closure198, stackframe);
  addtoclosure(closure198, var_util);
  addtoclosure(closure198, var_noPosition);
  struct UserObject *uo198 = (struct UserObject*)self;
  uo198->data[3] = (Object)closure198;
  Method *meth_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_ = addmethod2pos(self, "positionOfNext(1)after(1)", &meth_ast_198_positionOfNext_40_1_41_after_40_1_41_, 3);
  int argcv_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_[] = {1, 1};
  meth_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_);
meth_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_->type->types[0] = type_String;
meth_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_->type->names[0] = "needle";
  meth_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_->definitionModule = modulename;
  meth_meth_ast_198_positionOfNext_40_1_41_after_40_1_41_->definitionLine = 73;
// compiled method node returning  (depth = 1)
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "listMap(_,_)ancestors(_)"
  struct UserObject *uo248 = (struct UserObject*)self;
  uo248->data[4] = emptyclosure;
  Method *meth_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_ = addmethod2pos(self, "listMap(2)ancestors(1)", &meth_ast_248_listMap_40_2_41_ancestors_40_1_41_, 4);
  int argcv_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_[] = {2, 1};
  meth_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_);
  meth_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_248_listMap_40_2_41_ancestors_40_1_41_->definitionLine = 88;
// compiled method node returning  (depth = 1)
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "maybeMap(_,_)ancestors(_)"
  struct UserObject *uo259 = (struct UserObject*)self;
  uo259->data[5] = emptyclosure;
  Method *meth_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_ = addmethod2pos(self, "maybeMap(2)ancestors(1)", &meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_, 5);
  int argcv_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_[] = {2, 1};
  meth_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_);
  meth_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_259_maybeMap_40_2_41_ancestors_40_1_41_->definitionLine = 93;
// compiled method node returning  (depth = 1)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "maybeListMap(_,_)ancestors(_)"
  struct UserObject *uo267 = (struct UserObject*)self;
  uo267->data[6] = emptyclosure;
  Method *meth_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_ = addmethod2pos(self, "maybeListMap(2)ancestors(1)", &meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_, 6);
  int argcv_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_[] = {2, 1};
  meth_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_);
  meth_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_267_maybeListMap_40_2_41_ancestors_40_1_41_->definitionLine = 100;
// compiled method node returning  (depth = 1)
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "baseNode"
  block_savedest(self);
  Object closure275 = createclosure(4, "baseNode");
  setclosureframe(closure275, stackframe);
  addtoclosure(closure275, var_unknownType);
  addtoclosure(closure275, var_ancestorChain);
  addtoclosure(closure275, var_util);
  addtoclosure(closure275, var_fakeSymbolTable);
  struct UserObject *uo275 = (struct UserObject*)self;
  uo275->data[7] = (Object)closure275;
  Method *meth_meth_ast_275_baseNode = addmethod2pos(self, "baseNode", &meth_ast_275_baseNode, 7);
  int argcv_meth_ast_275_baseNode[] = {0};
  meth_meth_ast_275_baseNode->type = alloc_MethodType(1, argcv_meth_ast_275_baseNode);
  meth_meth_ast_275_baseNode->definitionModule = modulename;
  meth_meth_ast_275_baseNode->definitionLine = 167;
  block_savedest(self);
  Object closure704 = createclosure(4, "baseNode$object(1)");
  setclosureframe(closure704, stackframe);
  addtoclosure(closure704, var_unknownType);
  addtoclosure(closure704, var_ancestorChain);
  addtoclosure(closure704, var_util);
  addtoclosure(closure704, var_fakeSymbolTable);
  Method *meth_meth_ast_275_baseNode_object = addmethod2pos(self, "baseNode$object(1)", &meth_ast_275_baseNode_object, 7);
  meth_meth_ast_275_baseNode_object->definitionModule = modulename;
  meth_meth_ast_275_baseNode_object->definitionLine = 167;
// compiled method node returning  (depth = 1)
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "outerNode(_)"
  block_savedest(self);
  Object closure705 = createclosure(1, "outerNode(1)");
  setclosureframe(closure705, stackframe);
  addtoclosure(closure705, var_noPosition);
  struct UserObject *uo705 = (struct UserObject*)self;
  uo705->data[8] = (Object)closure705;
  Method *meth_meth_ast_705_outerNode_40_1_41_ = addmethod2pos(self, "outerNode(1)", &meth_ast_705_outerNode_40_1_41_, 8);
  int argcv_meth_ast_705_outerNode_40_1_41_[] = {1};
  meth_meth_ast_705_outerNode_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_705_outerNode_40_1_41_);
  meth_meth_ast_705_outerNode_40_1_41_->definitionModule = modulename;
  meth_meth_ast_705_outerNode_40_1_41_->definitionLine = 1668;
  block_savedest(self);
  Object closure795 = createclosure(1, "outerNode(1)$object(1)");
  setclosureframe(closure795, stackframe);
  addtoclosure(closure795, var_noPosition);
  Method *meth_meth_ast_705_outerNode_40_1_41__object = addmethod2pos(self, "outerNode(1)$object(1)", &meth_ast_705_outerNode_40_1_41__object, 8);
  meth_meth_ast_705_outerNode_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_705_outerNode_40_1_41__object->definitionLine = 1668;
// compiled method node returning  (depth = 1)
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "aliasNew(_)old(_)"
  block_savedest(self);
  Object closure796 = createclosure(1, "aliasNew(1)old(1)");
  setclosureframe(closure796, stackframe);
  addtoclosure(closure796, var_AliasPair);
  struct UserObject *uo796 = (struct UserObject*)self;
  uo796->data[9] = (Object)closure796;
  Method *meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41_ = addmethod2pos(self, "aliasNew(1)old(1)", &meth_ast_796_aliasNew_40_1_41_old_40_1_41_, 9);
  int argcv_meth_ast_796_aliasNew_40_1_41_old_40_1_41_[] = {1, 1};
  meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_796_aliasNew_40_1_41_old_40_1_41_);
  meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41_->definitionModule = modulename;
  meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41_->definitionLine = 2766;
  block_savedest(self);
  Object closure901 = createclosure(1, "aliasNew(1)old(1)$object(1)");
  setclosureframe(closure901, stackframe);
  addtoclosure(closure901, var_AliasPair);
  Method *meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41__object = addmethod2pos(self, "aliasNew(1)old(1)$object(1)", &meth_ast_796_aliasNew_40_1_41_old_40_1_41__object, 9);
  meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_796_aliasNew_40_1_41_old_40_1_41__object->definitionLine = 2766;
// compiled method node returning  (depth = 1)
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "wrap(_)to(_)prefix(_)"
  struct UserObject *uo902 = (struct UserObject*)self;
  uo902->data[10] = emptyclosure;
  Method *meth_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_ = addmethod2pos(self, "wrap(1)to(1)prefix(1)", &meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_, 10);
  int argcv_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_[] = {1, 1, 1};
  meth_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_->type = alloc_MethodType(3, argcv_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_);
meth_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_->type->types[1] = type_Number;
meth_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_->type->names[1] = "l";
  meth_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_->definitionModule = modulename;
  meth_meth_ast_902_wrap_40_1_41_to_40_1_41_prefix_40_1_41_->definitionLine = 3024;
// compiled method node returning  (depth = 1)
// Begin line 3091
  setline(3091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "baseVisitor"
  struct UserObject *uo1072 = (struct UserObject*)self;
  uo1072->data[11] = emptyclosure;
  Method *meth_meth_ast_1072_baseVisitor = addmethod2pos(self, "baseVisitor", &meth_ast_1072_baseVisitor, 11);
  int argcv_meth_ast_1072_baseVisitor[] = {0};
  meth_meth_ast_1072_baseVisitor->type = alloc_MethodType(1, argcv_meth_ast_1072_baseVisitor);
  meth_meth_ast_1072_baseVisitor->definitionModule = modulename;
  meth_meth_ast_1072_baseVisitor->definitionLine = 3091;
  Method *meth_meth_ast_1072_baseVisitor_object = addmethod2pos(self, "baseVisitor$object(1)", &meth_ast_1072_baseVisitor_object, 11);
  int argcv_meth_ast_1072_baseVisitor_object[] = {0};
  meth_meth_ast_1072_baseVisitor_object->type = alloc_MethodType(1, argcv_meth_ast_1072_baseVisitor_object);
  meth_meth_ast_1072_baseVisitor_object->definitionModule = modulename;
  meth_meth_ast_1072_baseVisitor_object->definitionLine = 3091;
// compiled method node returning  (depth = 1)
// Begin line 3157
  setline(3157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pluggableVisitor(_)"
  struct UserObject *uo1228 = (struct UserObject*)self;
  uo1228->data[12] = emptyclosure;
  Method *meth_meth_ast_1228_pluggableVisitor_40_1_41_ = addmethod2pos(self, "pluggableVisitor(1)", &meth_ast_1228_pluggableVisitor_40_1_41_, 12);
  int argcv_meth_ast_1228_pluggableVisitor_40_1_41_[] = {1};
  meth_meth_ast_1228_pluggableVisitor_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1228_pluggableVisitor_40_1_41_);
  meth_meth_ast_1228_pluggableVisitor_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1228_pluggableVisitor_40_1_41_->definitionLine = 3157;
  Method *meth_meth_ast_1228_pluggableVisitor_40_1_41__object = addmethod2pos(self, "pluggableVisitor(1)$object(1)", &meth_ast_1228_pluggableVisitor_40_1_41__object, 12);
  int argcv_meth_ast_1228_pluggableVisitor_40_1_41__object[] = {1};
  meth_meth_ast_1228_pluggableVisitor_40_1_41__object->type = alloc_MethodType(1, argcv_meth_ast_1228_pluggableVisitor_40_1_41__object);
  meth_meth_ast_1228_pluggableVisitor_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_1228_pluggableVisitor_40_1_41__object->definitionLine = 3157;
// compiled method node returning  (depth = 1)
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findAnnotation(_,_)"
  block_savedest(self);
  Object closure1321 = createclosure(1, "findAnnotation(2)");
  setclosureframe(closure1321, stackframe);
  addtoclosure(closure1321, var__prelude);
  struct UserObject *uo1321 = (struct UserObject*)self;
  uo1321->data[13] = (Object)closure1321;
  Method *meth_meth_ast_1321_findAnnotation_40_2_41_ = addmethod2pos(self, "findAnnotation(2)", &meth_ast_1321_findAnnotation_40_2_41_, 13);
  int argcv_meth_ast_1321_findAnnotation_40_2_41_[] = {2};
  meth_meth_ast_1321_findAnnotation_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_1321_findAnnotation_40_2_41_);
  meth_meth_ast_1321_findAnnotation_40_2_41_->definitionModule = modulename;
  meth_meth_ast_1321_findAnnotation_40_2_41_->definitionLine = 3206;
// compiled method node returning  (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of identifierKinds as k
  if (module_identifierKinds == NULL)
    module_identifierKinds = LOAD_MODULE(identifierKinds);
  *var_k = module_identifierKinds;
// compiled import node returning done (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Position
// starting to compile typeliteral node (depth = 2)
//   Type literal 
  Object type1354 = alloc_Type("Position", 7);
  add_Method((ClassData)type1354, "line", NULL);
  add_Method((ClassData)type1354, "column", NULL);
  add_Method((ClassData)type1354, ">", NULL);
  add_Method((ClassData)type1354, """\xe2""""\x89""""\xa5""", NULL);
  add_Method((ClassData)type1354, "==", NULL);
  add_Method((ClassData)type1354, "<", NULL);
  add_Method((ClassData)type1354, """\xe2""""\x89""""\xa4""", NULL);
// compiled typeliteral node returning type1354 (depth = 2)
  *var_Position = type1354;
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Position"
  block_savedest(self);
  Object closure1355 = createclosure(1, "Position");
  setclosureframe(closure1355, stackframe);
  addtoclosure(closure1355, var_Position);
  struct UserObject *uo1355 = (struct UserObject*)self;
  uo1355->data[14] = (Object)closure1355;
  Method *meth_meth_ast_1355_Position = addmethod2pos(self, "Position", &meth_ast_1355_Position, 14);
  int argcv_meth_ast_1355_Position[] = {0};
  meth_meth_ast_1355_Position->type = alloc_MethodType(1, argcv_meth_ast_1355_Position);
  meth_meth_ast_1355_Position->definitionModule = modulename;
  meth_meth_ast_1355_Position->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Range
// starting to compile typeliteral node (depth = 2)
//   Type literal 
  Object type1357 = alloc_Type("Range", 2);
  add_Method((ClassData)type1357, "start", NULL);
  add_Method((ClassData)type1357, "end", NULL);
// compiled typeliteral node returning type1357 (depth = 2)
  *var_Range = type1357;
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Range"
  block_savedest(self);
  Object closure1358 = createclosure(1, "Range");
  setclosureframe(closure1358, stackframe);
  addtoclosure(closure1358, var_Range);
  struct UserObject *uo1358 = (struct UserObject*)self;
  uo1358->data[15] = (Object)closure1358;
  Method *meth_meth_ast_1358_Range = addmethod2pos(self, "Range", &meth_ast_1358_Range, 15);
  int argcv_meth_ast_1358_Range[] = {0};
  meth_meth_ast_1358_Range->type = alloc_MethodType(1, argcv_meth_ast_1358_Range);
  meth_meth_ast_1358_Range->definitionModule = modulename;
  meth_meth_ast_1358_Range->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe1359 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num1360 = alloc_Float64(0);
// compiled num node returning num1360 (depth = 3)
  gc_frame_newslot(num1360);
// starting to compile num node (depth = 3)
  Object num1361 = alloc_Float64(0);
// compiled num node returning num1361 (depth = 3)
  gc_frame_newslot(num1361);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = num1360;
  params[1] = num1361;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1362 = callmethodflags(module_ast, "line(1)column(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1359);
// compiled call node returning call1362 (depth = 2)
  *var_noPosition = call1362;
  if (call1362 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "noPosition"
  block_savedest(self);
  Object closure1363 = createclosure(1, "noPosition");
  setclosureframe(closure1363, stackframe);
  addtoclosure(closure1363, var_noPosition);
  struct UserObject *uo1363 = (struct UserObject*)self;
  uo1363->data[16] = (Object)closure1363;
  Method *meth_meth_ast_1363_noPosition = addmethod2pos(self, "noPosition", &meth_ast_1363_noPosition, 16);
  int argcv_meth_ast_1363_noPosition[] = {0};
  meth_meth_ast_1363_noPosition->type = alloc_MethodType(1, argcv_meth_ast_1363_noPosition);
  meth_meth_ast_1363_noPosition->definitionModule = modulename;
  meth_meth_ast_1363_noPosition->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe1364 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
  gc_frame_newslot(*var_noPosition);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noPosition (depth = 3)
  gc_frame_newslot(*var_noPosition);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning module_ast (depth = 3)
  params[0] = *var_noPosition;
  params[1] = *var_noPosition;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1365 = callmethodflags(module_ast, "start(1)end(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1364);
// compiled call node returning call1365 (depth = 2)
  *var_emptyRange = call1365;
  if (call1365 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "emptyRange"
  block_savedest(self);
  Object closure1366 = createclosure(1, "emptyRange");
  setclosureframe(closure1366, stackframe);
  addtoclosure(closure1366, var_emptyRange);
  struct UserObject *uo1366 = (struct UserObject*)self;
  uo1366->data[17] = (Object)closure1366;
  Method *meth_meth_ast_1366_emptyRange = addmethod2pos(self, "emptyRange", &meth_ast_1366_emptyRange, 17);
  int argcv_meth_ast_1366_emptyRange[] = {0};
  meth_meth_ast_1366_emptyRange->type = alloc_MethodType(1, argcv_meth_ast_1366_emptyRange);
  meth_meth_ast_1366_emptyRange->definitionModule = modulename;
  meth_meth_ast_1366_emptyRange->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num1367 = alloc_Float64(80);
// compiled num node returning num1367 (depth = 2)
  *var_lineLength = num1367;
  if (num1367 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lineLength"
  block_savedest(self);
  Object closure1368 = createclosure(1, "lineLength");
  setclosureframe(closure1368, stackframe);
  addtoclosure(closure1368, var_lineLength);
  struct UserObject *uo1368 = (struct UserObject*)self;
  uo1368->data[18] = (Object)closure1368;
  Method *meth_meth_ast_1368_lineLength = addmethod2pos(self, "lineLength", &meth_ast_1368_lineLength, 18);
  int argcv_meth_ast_1368_lineLength[] = {0};
  meth_meth_ast_1368_lineLength->type = alloc_MethodType(1, argcv_meth_ast_1368_lineLength);
  meth_meth_ast_1368_lineLength->definitionModule = modulename;
  meth_meth_ast_1368_lineLength->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe1369 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1370 == NULL) {
    strlit1370 = alloc_String("uninitialized");
    gc_root(strlit1370);
  }
// compiled string node returning strlit1370 (depth = 3)
  gc_frame_newslot(strlit1370);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1371 = gc_frame_new();
// call case 5: prelude request
  Object call1372 = callmethodflags(prelude, "Singleton", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1371);
// compiled member node returning call1372 (depth = 3)
  params[0] = strlit1370;
  partcv[0] = 1;
  Object call1373 = callmethodflags(call1372, "named(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1369);
// compiled call node returning call1373 (depth = 2)
  *var_uninitialized = call1373;
  if (call1373 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "uninitialized"
  block_savedest(self);
  Object closure1374 = createclosure(1, "uninitialized");
  setclosureframe(closure1374, stackframe);
  addtoclosure(closure1374, var_uninitialized);
  struct UserObject *uo1374 = (struct UserObject*)self;
  uo1374->data[19] = (Object)closure1374;
  Method *meth_meth_ast_1374_uninitialized = addmethod2pos(self, "uninitialized", &meth_ast_1374_uninitialized, 19);
  int argcv_meth_ast_1374_uninitialized[] = {0};
  meth_meth_ast_1374_uninitialized->type = alloc_MethodType(1, argcv_meth_ast_1374_uninitialized);
  meth_meth_ast_1374_uninitialized->definitionModule = modulename;
  meth_meth_ast_1374_uninitialized->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1375 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1375 = alloc_userobj2(5,6, objclass1375);
  gc_frame_newslot(obj1375);
  if (objclass1375 == NULL) {
    glfree(obj1375->class->name);
    obj1375->class->name = "ancestorChain";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1375, self, 0);
  addmethodreal(obj1375,"outer", &reader_ast_outer_1376);
  Object oldself1375 = self;
  struct StackFrameObject *oldstackframe1375 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1375);
  gc_frame_newslot((Object)stackframe);
  self = obj1375;
  Object *oldselfslot1375 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1375 = (*(struct UserObject *)self).data[0], lowerouter1375 = thisouter1375;
  if (inheritingObject1375) {
    struct UserObject *inho1375 = (struct UserObject *)inheritingObject1375;
    while (inho1375->super != GraceDefaultObject) inho1375 = (struct UserObject *)inho1375->super;
    inho1375->super = obj1375;
    self = inheritingObject1375;
    *selfslot = self;
    lowerouter1375 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1375;
  }
// method "empty"
  struct UserObject *uo1377 = (struct UserObject*)obj1375;
  uo1377->data[1] = emptyclosure;
  Method *meth_meth_ast_1377_empty = addmethod2pos(obj1375, "empty", &meth_ast_1377_empty, 1);
  int argcv_meth_ast_1377_empty[] = {0};
  meth_meth_ast_1377_empty->type = alloc_MethodType(1, argcv_meth_ast_1377_empty);
  meth_meth_ast_1377_empty->definitionModule = modulename;
  meth_meth_ast_1377_empty->definitionLine = 109;
  Method *meth_meth_ast_1377_empty_object = addmethod2pos(obj1375, "empty$object(1)", &meth_ast_1377_empty_object, 1);
  int argcv_meth_ast_1377_empty_object[] = {0};
  meth_meth_ast_1377_empty_object->type = alloc_MethodType(1, argcv_meth_ast_1377_empty_object);
  meth_meth_ast_1377_empty_object->definitionModule = modulename;
  meth_meth_ast_1377_empty_object->definitionLine = 109;
// method "with(_)"
  struct UserObject *uo1390 = (struct UserObject*)obj1375;
  uo1390->data[2] = emptyclosure;
  Method *meth_meth_ast_1390_with_40_1_41_ = addmethod2pos(obj1375, "with(1)", &meth_ast_1390_with_40_1_41_, 2);
  int argcv_meth_ast_1390_with_40_1_41_[] = {1};
  meth_meth_ast_1390_with_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1390_with_40_1_41_);
  meth_meth_ast_1390_with_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1390_with_40_1_41_->definitionLine = 114;
// method "cons(_)onto(_)"
  struct UserObject *uo1395 = (struct UserObject*)obj1375;
  uo1395->data[3] = emptyclosure;
  Method *meth_meth_ast_1395_cons_40_1_41_onto_40_1_41_ = addmethod2pos(obj1375, "cons(1)onto(1)", &meth_ast_1395_cons_40_1_41_onto_40_1_41_, 3);
  int argcv_meth_ast_1395_cons_40_1_41_onto_40_1_41_[] = {1, 1};
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1395_cons_40_1_41_onto_40_1_41_);
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41_->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41_->definitionLine = 115;
  Method *meth_meth_ast_1395_cons_40_1_41_onto_40_1_41__object = addmethod2pos(obj1375, "cons(1)onto(1)$object(1)", &meth_ast_1395_cons_40_1_41_onto_40_1_41__object, 3);
  int argcv_meth_ast_1395_cons_40_1_41_onto_40_1_41__object[] = {1, 1};
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41__object->type = alloc_MethodType(2, argcv_meth_ast_1395_cons_40_1_41_onto_40_1_41__object);
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41__object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_1395_cons_40_1_41_onto_40_1_41__object->definitionLine = 115;
  sourceObject = obj1375;
  sourceObject = obj1375;
  sourceObject = obj1375;
  objclass1375 = obj1375->class;
  objclass1375->definitionModule = modulename;
  objclass1375->definitionLine = 108;
  (*(struct UserObject *)self).data[0] = lowerouter1375;
  self = oldself1375;
  selfslot = oldselfslot1375;
  stackframe = oldstackframe1375;
// compiled object node returning obj1375 (depth = 2)
  *var_ancestorChain = obj1375;
  if (obj1375 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ancestorChain"
  block_savedest(self);
  Object closure1469 = createclosure(1, "ancestorChain");
  setclosureframe(closure1469, stackframe);
  addtoclosure(closure1469, var_ancestorChain);
  struct UserObject *uo1469 = (struct UserObject*)self;
  uo1469->data[20] = (Object)closure1469;
  Method *meth_meth_ast_1469_ancestorChain = addmethod2pos(self, "ancestorChain", &meth_ast_1469_ancestorChain, 20);
  int argcv_meth_ast_1469_ancestorChain[] = {0};
  meth_meth_ast_1469_ancestorChain->type = alloc_MethodType(1, argcv_meth_ast_1469_ancestorChain);
  meth_meth_ast_1469_ancestorChain->definitionModule = modulename;
  meth_meth_ast_1469_ancestorChain->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe1470 = gc_frame_new();
// call case 5: prelude request
  Object call1471 = callmethodflags(prelude, "emptySequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1470);
// compiled member node returning call1471 (depth = 2)
  *var_emptySeq = call1471;
  if (call1471 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "emptySeq"
  block_savedest(self);
  Object closure1472 = createclosure(1, "emptySeq");
  setclosureframe(closure1472, stackframe);
  addtoclosure(closure1472, var_emptySeq);
  struct UserObject *uo1472 = (struct UserObject*)self;
  uo1472->data[21] = (Object)closure1472;
  Method *meth_meth_ast_1472_emptySeq = addmethod2pos(self, "emptySeq", &meth_ast_1472_emptySeq, 21);
  int argcv_meth_ast_1472_emptySeq[] = {0};
  meth_meth_ast_1472_emptySeq->type = alloc_MethodType(1, argcv_meth_ast_1472_emptySeq);
  meth_meth_ast_1472_emptySeq->definitionModule = modulename;
  meth_meth_ast_1472_emptySeq->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AstNode
// starting to compile typeliteral node (depth = 2)
//   Type literal 
  Object type1474 = alloc_Type("AstNode", 12);
  add_Method((ClassData)type1474, "kind", NULL);
  add_Method((ClassData)type1474, "register", NULL);
  add_Method((ClassData)type1474, "line", NULL);
  add_Method((ClassData)type1474, "line:=(1)", NULL);
  add_Method((ClassData)type1474, "linePos", NULL);
  add_Method((ClassData)type1474, "linePos:=(1)", NULL);
  add_Method((ClassData)type1474, "scope", NULL);
  add_Method((ClassData)type1474, "pretty(1)", NULL);
  add_Method((ClassData)type1474, "comments", NULL);
  add_Method((ClassData)type1474, "range", NULL);
  add_Method((ClassData)type1474, "start", NULL);
  add_Method((ClassData)type1474, "end", NULL);
// compiled typeliteral node returning type1474 (depth = 2)
  *var_AstNode = type1474;
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "AstNode"
  block_savedest(self);
  Object closure1475 = createclosure(1, "AstNode");
  setclosureframe(closure1475, stackframe);
  addtoclosure(closure1475, var_AstNode);
  struct UserObject *uo1475 = (struct UserObject*)self;
  uo1475->data[22] = (Object)closure1475;
  Method *meth_meth_ast_1475_AstNode = addmethod2pos(self, "AstNode", &meth_ast_1475_AstNode, 22);
  int argcv_meth_ast_1475_AstNode[] = {0};
  meth_meth_ast_1475_AstNode->type = alloc_MethodType(1, argcv_meth_ast_1475_AstNode);
  meth_meth_ast_1475_AstNode->definitionModule = modulename;
  meth_meth_ast_1475_AstNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl SymbolTable
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_Unknown (depth = 2)
  *var_SymbolTable = *var_Unknown;
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "SymbolTable"
  block_savedest(self);
  Object closure1477 = createclosure(1, "SymbolTable");
  setclosureframe(closure1477, stackframe);
  addtoclosure(closure1477, var_SymbolTable);
  struct UserObject *uo1477 = (struct UserObject*)self;
  uo1477->data[23] = (Object)closure1477;
  Method *meth_meth_ast_1477_SymbolTable = addmethod2pos(self, "SymbolTable", &meth_ast_1477_SymbolTable, 23);
  int argcv_meth_ast_1477_SymbolTable[] = {0};
  meth_meth_ast_1477_SymbolTable->type = alloc_MethodType(1, argcv_meth_ast_1477_SymbolTable);
  meth_meth_ast_1477_SymbolTable->definitionModule = modulename;
  meth_meth_ast_1477_SymbolTable->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1478 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1478 = alloc_userobj2(12,13, objclass1478);
  gc_frame_newslot(obj1478);
  if (objclass1478 == NULL) {
    glfree(obj1478->class->name);
    obj1478->class->name = "implicit";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1478, self, 0);
  addmethodreal(obj1478,"outer", &reader_ast_outer_1479);
  Object oldself1478 = self;
  struct StackFrameObject *oldstackframe1478 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1478);
  gc_frame_newslot((Object)stackframe);
  self = obj1478;
  Object *oldselfslot1478 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1478 = (*(struct UserObject *)self).data[0], lowerouter1478 = thisouter1478;
  if (inheritingObject1478) {
    struct UserObject *inho1478 = (struct UserObject *)inheritingObject1478;
    while (inho1478->super != GraceDefaultObject) inho1478 = (struct UserObject *)inho1478->super;
    inho1478->super = obj1478;
    self = inheritingObject1478;
    *selfslot = self;
    lowerouter1478 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1478;
  }
  if (objclass1478 == NULL) {
  Method *reader1480 = addmethodrealflags(obj1478, "kind",&reader_ast_kind_1480, MFLAG_DEF);
  reader1480->definitionModule = modulename;
  reader1480->definitionLine = 309;
  }
  adddatum2(obj1478, alloc_Undefined(), 1);
  if (objclass1478 == NULL) {
  Method *reader1481 = addmethodrealflags(obj1478, "nameString",&reader_ast_nameString_1481, MFLAG_DEF);
  reader1481->definitionModule = modulename;
  reader1481->definitionLine = 310;
  }
  adddatum2(obj1478, alloc_Undefined(), 2);
// method "range"
  block_savedest(obj1478);
  Object closure1482 = createclosure(1, "range");
  setclosureframe(closure1482, stackframe);
  addtoclosure(closure1482, var_emptyRange);
  struct UserObject *uo1482 = (struct UserObject*)obj1478;
  uo1482->data[3] = (Object)closure1482;
  Method *meth_meth_ast_1482_range = addmethod2pos(obj1478, "range", &meth_ast_1482_range, 3);
  int argcv_meth_ast_1482_range[] = {0};
  meth_meth_ast_1482_range->type = alloc_MethodType(1, argcv_meth_ast_1482_range);
  meth_meth_ast_1482_range->definitionModule = modulename;
  meth_meth_ast_1482_range->definitionLine = 311;
// method "isImplicit"
  struct UserObject *uo1483 = (struct UserObject*)obj1478;
  uo1483->data[4] = emptyclosure;
  Method *meth_meth_ast_1483_isImplicit = addmethod2pos(obj1478, "isImplicit", &meth_ast_1483_isImplicit, 4);
  int argcv_meth_ast_1483_isImplicit[] = {0};
  meth_meth_ast_1483_isImplicit->type = alloc_MethodType(1, argcv_meth_ast_1483_isImplicit);
  meth_meth_ast_1483_isImplicit->definitionModule = modulename;
  meth_meth_ast_1483_isImplicit->definitionLine = 312;
// method "toGrace(_)"
  struct UserObject *uo1485 = (struct UserObject*)obj1478;
  uo1485->data[5] = emptyclosure;
  Method *meth_meth_ast_1485_toGrace_40_1_41_ = addmethod2pos(obj1478, "toGrace(1)", &meth_ast_1485_toGrace_40_1_41_, 5);
  int argcv_meth_ast_1485_toGrace_40_1_41_[] = {1};
  meth_meth_ast_1485_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1485_toGrace_40_1_41_);
  meth_meth_ast_1485_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1485_toGrace_40_1_41_->definitionLine = 313;
// method "asString"
  struct UserObject *uo1487 = (struct UserObject*)obj1478;
  uo1487->data[6] = emptyclosure;
  Method *meth_meth_ast_1487_asString = addmethod2pos(obj1478, "asString", &meth_ast_1487_asString, 6);
  int argcv_meth_ast_1487_asString[] = {0};
  meth_meth_ast_1487_asString->type = alloc_MethodType(1, argcv_meth_ast_1487_asString);
  meth_meth_ast_1487_asString->definitionModule = modulename;
  meth_meth_ast_1487_asString->definitionLine = 314;
// method "==(_)"
  struct UserObject *uo1489 = (struct UserObject*)obj1478;
  uo1489->data[7] = emptyclosure;
  Method *meth_meth_ast_1489__61__61__40_1_41_ = addmethod2pos(obj1478, "==(1)", &meth_ast_1489__61__61__40_1_41_, 7);
  int argcv_meth_ast_1489__61__61__40_1_41_[] = {1};
  meth_meth_ast_1489__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1489__61__61__40_1_41_);
  meth_meth_ast_1489__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_1489__61__61__40_1_41_->definitionLine = 315;
// method "map(_)ancestors(_)"
  struct UserObject *uo1492 = (struct UserObject*)obj1478;
  uo1492->data[8] = emptyclosure;
  Method *meth_meth_ast_1492_map_40_1_41_ancestors_40_1_41_ = addmethod2pos(obj1478, "map(1)ancestors(1)", &meth_ast_1492_map_40_1_41_ancestors_40_1_41_, 8);
  int argcv_meth_ast_1492_map_40_1_41_ancestors_40_1_41_[] = {1, 1};
  meth_meth_ast_1492_map_40_1_41_ancestors_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1492_map_40_1_41_ancestors_40_1_41_);
  meth_meth_ast_1492_map_40_1_41_ancestors_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1492_map_40_1_41_ancestors_40_1_41_->definitionLine = 316;
// method "accept(_)from(_)"
  struct UserObject *uo1493 = (struct UserObject*)obj1478;
  uo1493->data[9] = emptyclosure;
  Method *meth_meth_ast_1493_accept_40_1_41_from_40_1_41_ = addmethod2pos(obj1478, "accept(1)from(1)", &meth_ast_1493_accept_40_1_41_from_40_1_41_, 9);
  int argcv_meth_ast_1493_accept_40_1_41_from_40_1_41_[] = {1, 1};
  meth_meth_ast_1493_accept_40_1_41_from_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1493_accept_40_1_41_from_40_1_41_);
  meth_meth_ast_1493_accept_40_1_41_from_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1493_accept_40_1_41_from_40_1_41_->definitionLine = 317;
// method "pretty(_)"
  struct UserObject *uo1496 = (struct UserObject*)obj1478;
  uo1496->data[10] = emptyclosure;
  Method *meth_meth_ast_1496_pretty_40_1_41_ = addmethod2pos(obj1478, "pretty(1)", &meth_ast_1496_pretty_40_1_41_, 10);
  int argcv_meth_ast_1496_pretty_40_1_41_[] = {1};
  meth_meth_ast_1496_pretty_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1496_pretty_40_1_41_);
  meth_meth_ast_1496_pretty_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1496_pretty_40_1_41_->definitionLine = 320;
  sourceObject = obj1478;
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1498 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1499 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1498);
// compiled call node returning call1499 (depth = 3)
  struct UserObject *obj1478_uo = (struct UserObject *)obj1478;
  obj1478_uo->super = call1499;
  sourceObject = obj1478;
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1500 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num1501 = alloc_Float64(0);
// compiled num node returning num1501 (depth = 4)
  gc_frame_newslot(num1501);
// call case 4: self request
  params[0] = num1501;
  partcv[0] = 1;
  Object call1502 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1500);
// compiled call node returning call1502 (depth = 3)
  sourceObject = obj1478;
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1503 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num1504 = alloc_Float64(0);
// compiled num node returning num1504 (depth = 4)
  gc_frame_newslot(num1504);
// call case 4: self request
  params[0] = num1504;
  partcv[0] = 1;
  Object call1505 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1503);
// compiled call node returning call1505 (depth = 3)
  sourceObject = obj1478;
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1506 == NULL) {
    strlit1506 = alloc_String("implicit");
    gc_root(strlit1506);
  }
// compiled string node returning strlit1506 (depth = 3)
  adddatum2(obj1478, strlit1506, 1);
  sourceObject = obj1478;
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1507 == NULL) {
    strlit1507 = alloc_String("implicit");
    gc_root(strlit1507);
  }
// compiled string node returning strlit1507 (depth = 3)
  adddatum2(obj1478, strlit1507, 2);
  sourceObject = obj1478;
  sourceObject = obj1478;
  sourceObject = obj1478;
  sourceObject = obj1478;
  sourceObject = obj1478;
  sourceObject = obj1478;
  sourceObject = obj1478;
  sourceObject = obj1478;
  objclass1478 = obj1478->class;
  objclass1478->definitionModule = modulename;
  objclass1478->definitionLine = 305;
  (*(struct UserObject *)self).data[0] = lowerouter1478;
  self = oldself1478;
  selfslot = oldselfslot1478;
  stackframe = oldstackframe1478;
// compiled object node returning obj1478 (depth = 2)
  *var_implicit = obj1478;
  if (obj1478 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "implicit"
  block_savedest(self);
  Object closure1508 = createclosure(1, "implicit");
  setclosureframe(closure1508, stackframe);
  addtoclosure(closure1508, var_implicit);
  struct UserObject *uo1508 = (struct UserObject*)self;
  uo1508->data[24] = (Object)closure1508;
  Method *meth_meth_ast_1508_implicit = addmethod2pos(self, "implicit", &meth_ast_1508_implicit, 24);
  int argcv_meth_ast_1508_implicit[] = {0};
  meth_meth_ast_1508_implicit->type = alloc_MethodType(1, argcv_meth_ast_1508_implicit);
  meth_meth_ast_1508_implicit->definitionModule = modulename;
  meth_meth_ast_1508_implicit->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1509 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1509 = alloc_userobj2(5,6, objclass1509);
  gc_frame_newslot(obj1509);
  if (objclass1509 == NULL) {
    glfree(obj1509->class->name);
    obj1509->class->name = "nullNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1509, self, 0);
  addmethodreal(obj1509,"outer", &reader_ast_outer_1510);
  Object oldself1509 = self;
  struct StackFrameObject *oldstackframe1509 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1509);
  gc_frame_newslot((Object)stackframe);
  self = obj1509;
  Object *oldselfslot1509 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1509 = (*(struct UserObject *)self).data[0], lowerouter1509 = thisouter1509;
  if (inheritingObject1509) {
    struct UserObject *inho1509 = (struct UserObject *)inheritingObject1509;
    while (inho1509->super != GraceDefaultObject) inho1509 = (struct UserObject *)inho1509->super;
    inho1509->super = obj1509;
    self = inheritingObject1509;
    *selfslot = self;
    lowerouter1509 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1509;
  }
  if (objclass1509 == NULL) {
  Method *reader1511 = addmethodrealflags(obj1509, "kind",&reader_ast_kind_1511, MFLAG_DEF);
  reader1511->definitionModule = modulename;
  reader1511->definitionLine = 325;
  }
  adddatum2(obj1509, alloc_Undefined(), 1);
// method "toGrace(_)"
  struct UserObject *uo1512 = (struct UserObject*)obj1509;
  uo1512->data[2] = emptyclosure;
  Method *meth_meth_ast_1512_toGrace_40_1_41_ = addmethod2pos(obj1509, "toGrace(1)", &meth_ast_1512_toGrace_40_1_41_, 2);
  int argcv_meth_ast_1512_toGrace_40_1_41_[] = {1};
  meth_meth_ast_1512_toGrace_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1512_toGrace_40_1_41_);
  meth_meth_ast_1512_toGrace_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1512_toGrace_40_1_41_->definitionLine = 326;
// method "range"
  block_savedest(obj1509);
  Object closure1514 = createclosure(1, "range");
  setclosureframe(closure1514, stackframe);
  addtoclosure(closure1514, var_emptyRange);
  struct UserObject *uo1514 = (struct UserObject*)obj1509;
  uo1514->data[3] = (Object)closure1514;
  Method *meth_meth_ast_1514_range = addmethod2pos(obj1509, "range", &meth_ast_1514_range, 3);
  int argcv_meth_ast_1514_range[] = {0};
  meth_meth_ast_1514_range->type = alloc_MethodType(1, argcv_meth_ast_1514_range);
  meth_meth_ast_1514_range->definitionModule = modulename;
  meth_meth_ast_1514_range->definitionLine = 329;
// method "asString"
  struct UserObject *uo1515 = (struct UserObject*)obj1509;
  uo1515->data[4] = emptyclosure;
  Method *meth_meth_ast_1515_asString = addmethod2pos(obj1509, "asString", &meth_ast_1515_asString, 4);
  int argcv_meth_ast_1515_asString[] = {0};
  meth_meth_ast_1515_asString->type = alloc_MethodType(1, argcv_meth_ast_1515_asString);
  meth_meth_ast_1515_asString->definitionModule = modulename;
  meth_meth_ast_1515_asString->definitionLine = 330;
// method "==(_)"
  struct UserObject *uo1517 = (struct UserObject*)obj1509;
  uo1517->data[5] = emptyclosure;
  Method *meth_meth_ast_1517__61__61__40_1_41_ = addmethod2pos(obj1509, "==(1)", &meth_ast_1517__61__61__40_1_41_, 5);
  int argcv_meth_ast_1517__61__61__40_1_41_[] = {1};
  meth_meth_ast_1517__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1517__61__61__40_1_41_);
  meth_meth_ast_1517__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_1517__61__61__40_1_41_->definitionLine = 331;
  sourceObject = obj1509;
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1520 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1521 = callmethodflags(module_ast, "baseNode$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1520);
// compiled call node returning call1521 (depth = 3)
  struct UserObject *obj1509_uo = (struct UserObject *)obj1509;
  obj1509_uo->super = call1521;
  sourceObject = obj1509;
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1522 == NULL) {
    strlit1522 = alloc_String("null");
    gc_root(strlit1522);
  }
// compiled string node returning strlit1522 (depth = 3)
  adddatum2(obj1509, strlit1522, 1);
  sourceObject = obj1509;
  sourceObject = obj1509;
  sourceObject = obj1509;
  sourceObject = obj1509;
  objclass1509 = obj1509->class;
  objclass1509->definitionModule = modulename;
  objclass1509->definitionLine = 323;
  (*(struct UserObject *)self).data[0] = lowerouter1509;
  self = oldself1509;
  selfslot = oldselfslot1509;
  stackframe = oldstackframe1509;
// compiled object node returning obj1509 (depth = 2)
  *var_nullNode = obj1509;
  if (obj1509 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "nullNode"
  block_savedest(self);
  Object closure1523 = createclosure(1, "nullNode");
  setclosureframe(closure1523, stackframe);
  addtoclosure(closure1523, var_nullNode);
  struct UserObject *uo1523 = (struct UserObject*)self;
  uo1523->data[25] = (Object)closure1523;
  Method *meth_meth_ast_1523_nullNode = addmethod2pos(self, "nullNode", &meth_ast_1523_nullNode, 25);
  int argcv_meth_ast_1523_nullNode[] = {0};
  meth_meth_ast_1523_nullNode->type = alloc_MethodType(1, argcv_meth_ast_1523_nullNode);
  meth_meth_ast_1523_nullNode->definitionModule = modulename;
  meth_meth_ast_1523_nullNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1524 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1524 = alloc_userobj2(8,8, objclass1524);
  gc_frame_newslot(obj1524);
  if (objclass1524 == NULL) {
    glfree(obj1524->class->name);
    obj1524->class->name = "fakeSymbolTable";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1524, self, 0);
  addmethodreal(obj1524,"outer", &reader_ast_outer_1525);
  Object oldself1524 = self;
  struct StackFrameObject *oldstackframe1524 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1524);
  gc_frame_newslot((Object)stackframe);
  self = obj1524;
  Object *oldselfslot1524 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1524 = (*(struct UserObject *)self).data[0], lowerouter1524 = thisouter1524;
  if (inheritingObject1524) {
    struct UserObject *inho1524 = (struct UserObject *)inheritingObject1524;
    while (inho1524->super != GraceDefaultObject) inho1524 = (struct UserObject *)inho1524->super;
    inho1524->super = obj1524;
    self = inheritingObject1524;
    *selfslot = self;
    lowerouter1524 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1524;
  }
  if (objclass1524 == NULL) {
    Method *reader1526 = addmethodrealflags(obj1524, "node", &reader_ast_node_1526, 0);
    Method *writer1526 = addmethodrealflags(obj1524, "node:=(1)", &writer_ast_node_1526, 0);
    reader1526->definitionModule = modulename;
    writer1526->definitionModule = modulename;
    reader1526->definitionLine = 335;
    writer1526->definitionLine = 335;
  }
  obj1524->flags |= OFLAG_MUTABLE;
  adddatum2(obj1524, alloc_Undefined(), 1);
// method "asString"
  struct UserObject *uo1527 = (struct UserObject*)obj1524;
  uo1527->data[2] = emptyclosure;
  Method *meth_meth_ast_1527_asString = addmethod2pos(obj1524, "asString", &meth_ast_1527_asString, 2);
  int argcv_meth_ast_1527_asString[] = {0};
  meth_meth_ast_1527_asString->type = alloc_MethodType(1, argcv_meth_ast_1527_asString);
  meth_meth_ast_1527_asString->definitionModule = modulename;
  meth_meth_ast_1527_asString->definitionLine = 336;
// method "addNode(_)as(_)"
  struct UserObject *uo1529 = (struct UserObject*)obj1524;
  uo1529->data[3] = emptyclosure;
  Method *meth_meth_ast_1529_addNode_40_1_41_as_40_1_41_ = addmethod2pos(obj1524, "addNode(1)as(1)", &meth_ast_1529_addNode_40_1_41_as_40_1_41_, 3);
  int argcv_meth_ast_1529_addNode_40_1_41_as_40_1_41_[] = {1, 1};
  meth_meth_ast_1529_addNode_40_1_41_as_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1529_addNode_40_1_41_as_40_1_41_);
  meth_meth_ast_1529_addNode_40_1_41_as_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1529_addNode_40_1_41_as_40_1_41_->definitionLine = 337;
// method "thatDefines(_)ifNone(_)"
  struct UserObject *uo1558 = (struct UserObject*)obj1524;
  uo1558->data[4] = emptyclosure;
  Method *meth_meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_ = addmethod2pos(obj1524, "thatDefines(1)ifNone(1)", &meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_, 4);
  int argcv_meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_[] = {1, 1};
  meth_meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_);
  meth_meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_->definitionModule = modulename;
  meth_meth_ast_1558_thatDefines_40_1_41_ifNone_40_1_41_->definitionLine = 340;
// method "enclosingObjectScope"
  struct UserObject *uo1571 = (struct UserObject*)obj1524;
  uo1571->data[5] = emptyclosure;
  Method *meth_meth_ast_1571_enclosingObjectScope = addmethod2pos(obj1524, "enclosingObjectScope", &meth_ast_1571_enclosingObjectScope, 5);
  int argcv_meth_ast_1571_enclosingObjectScope[] = {0};
  meth_meth_ast_1571_enclosingObjectScope->type = alloc_MethodType(1, argcv_meth_ast_1571_enclosingObjectScope);
  meth_meth_ast_1571_enclosingObjectScope->definitionModule = modulename;
  meth_meth_ast_1571_enclosingObjectScope->definitionLine = 343;
// method "variety"
  struct UserObject *uo1586 = (struct UserObject*)obj1524;
  uo1586->data[6] = emptyclosure;
  Method *meth_meth_ast_1586_variety = addmethod2pos(obj1524, "variety", &meth_ast_1586_variety, 6);
  int argcv_meth_ast_1586_variety[] = {0};
  meth_meth_ast_1586_variety->type = alloc_MethodType(1, argcv_meth_ast_1586_variety);
  meth_meth_ast_1586_variety->definitionModule = modulename;
  meth_meth_ast_1586_variety->definitionLine = 346;
// method "==(_)"
  struct UserObject *uo1588 = (struct UserObject*)obj1524;
  uo1588->data[7] = emptyclosure;
  Method *meth_meth_ast_1588__61__61__40_1_41_ = addmethod2pos(obj1524, "==(1)", &meth_ast_1588__61__61__40_1_41_, 7);
  int argcv_meth_ast_1588__61__61__40_1_41_[] = {1};
  meth_meth_ast_1588__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_1588__61__61__40_1_41_);
  meth_meth_ast_1588__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_ast_1588__61__61__40_1_41_->definitionLine = 347;
  sourceObject = obj1524;
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  adddatum2(obj1524, *var_nullNode, 1);
  sourceObject = obj1524;
  sourceObject = obj1524;
  sourceObject = obj1524;
  sourceObject = obj1524;
  sourceObject = obj1524;
  sourceObject = obj1524;
  objclass1524 = obj1524->class;
  objclass1524->definitionModule = modulename;
  objclass1524->definitionLine = 334;
  (*(struct UserObject *)self).data[0] = lowerouter1524;
  self = oldself1524;
  selfslot = oldselfslot1524;
  stackframe = oldstackframe1524;
// compiled object node returning obj1524 (depth = 2)
  *var_fakeSymbolTable = obj1524;
  if (obj1524 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "fakeSymbolTable"
  block_savedest(self);
  Object closure1591 = createclosure(1, "fakeSymbolTable");
  setclosureframe(closure1591, stackframe);
  addtoclosure(closure1591, var_fakeSymbolTable);
  struct UserObject *uo1591 = (struct UserObject*)self;
  uo1591->data[26] = (Object)closure1591;
  Method *meth_meth_ast_1591_fakeSymbolTable = addmethod2pos(self, "fakeSymbolTable", &meth_ast_1591_fakeSymbolTable, 26);
  int argcv_meth_ast_1591_fakeSymbolTable[] = {0};
  meth_meth_ast_1591_fakeSymbolTable->type = alloc_MethodType(1, argcv_meth_ast_1591_fakeSymbolTable);
  meth_meth_ast_1591_fakeSymbolTable->definitionModule = modulename;
  meth_meth_ast_1591_fakeSymbolTable->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1592 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1592 = alloc_userobj2(2,4, objclass1592);
  gc_frame_newslot(obj1592);
  if (objclass1592 == NULL) {
    glfree(obj1592->class->name);
    obj1592->class->name = "ifNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1592, self, 0);
  addmethodreal(obj1592,"outer", &reader_ast_outer_1593);
  Object oldself1592 = self;
  struct StackFrameObject *oldstackframe1592 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1592);
  gc_frame_newslot((Object)stackframe);
  self = obj1592;
  Object *oldselfslot1592 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1592 = (*(struct UserObject *)self).data[0], lowerouter1592 = thisouter1592;
  if (inheritingObject1592) {
    struct UserObject *inho1592 = (struct UserObject *)inheritingObject1592;
    while (inho1592->super != GraceDefaultObject) inho1592 = (struct UserObject *)inho1592->super;
    inho1592->super = obj1592;
    self = inheritingObject1592;
    *selfslot = self;
    lowerouter1592 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1592;
  }
// method "new(_,_,_)"
  block_savedest(obj1592);
  Object closure1594 = createclosure(3, "new(3)");
  setclosureframe(closure1594, stackframe);
  addtoclosure(closure1594, var_util);
  addtoclosure(closure1594, var_nullNode);
  addtoclosure(closure1594, var_ifNode);
  struct UserObject *uo1594 = (struct UserObject*)obj1592;
  uo1594->data[1] = (Object)closure1594;
  Method *meth_meth_ast_1594_new_40_3_41_ = addmethod2pos(obj1592, "new(3)", &meth_ast_1594_new_40_3_41_, 1);
  int argcv_meth_ast_1594_new_40_3_41_[] = {3};
  meth_meth_ast_1594_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_1594_new_40_3_41_);
  meth_meth_ast_1594_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_1594_new_40_3_41_->definitionLine = 351;
  block_savedest(obj1592);
  Object closure1934 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure1934, stackframe);
  addtoclosure(closure1934, var_util);
  addtoclosure(closure1934, var_nullNode);
  addtoclosure(closure1934, var_ifNode);
  Method *meth_meth_ast_1594_new_40_3_41__object = addmethod2pos(obj1592, "new(3)$object(1)", &meth_ast_1594_new_40_3_41__object, 1);
  meth_meth_ast_1594_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_1594_new_40_3_41__object->definitionLine = 351;
  sourceObject = obj1592;
  objclass1592 = obj1592->class;
  objclass1592->definitionModule = modulename;
  objclass1592->definitionLine = 350;
  (*(struct UserObject *)self).data[0] = lowerouter1592;
  self = oldself1592;
  selfslot = oldselfslot1592;
  stackframe = oldstackframe1592;
// compiled object node returning obj1592 (depth = 2)
  *var_ifNode = obj1592;
  if (obj1592 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ifNode"
  block_savedest(self);
  Object closure1935 = createclosure(1, "ifNode");
  setclosureframe(closure1935, stackframe);
  addtoclosure(closure1935, var_ifNode);
  struct UserObject *uo1935 = (struct UserObject*)self;
  uo1935->data[27] = (Object)closure1935;
  Method *meth_meth_ast_1935_ifNode = addmethod2pos(self, "ifNode", &meth_ast_1935_ifNode, 27);
  int argcv_meth_ast_1935_ifNode[] = {0};
  meth_meth_ast_1935_ifNode->type = alloc_MethodType(1, argcv_meth_ast_1935_ifNode);
  meth_meth_ast_1935_ifNode->definitionModule = modulename;
  meth_meth_ast_1935_ifNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1936 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1936 = alloc_userobj2(2,4, objclass1936);
  gc_frame_newslot(obj1936);
  if (objclass1936 == NULL) {
    glfree(obj1936->class->name);
    obj1936->class->name = "blockNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1936, self, 0);
  addmethodreal(obj1936,"outer", &reader_ast_outer_1937);
  Object oldself1936 = self;
  struct StackFrameObject *oldstackframe1936 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1936);
  gc_frame_newslot((Object)stackframe);
  self = obj1936;
  Object *oldselfslot1936 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1936 = (*(struct UserObject *)self).data[0], lowerouter1936 = thisouter1936;
  if (inheritingObject1936) {
    struct UserObject *inho1936 = (struct UserObject *)inheritingObject1936;
    while (inho1936->super != GraceDefaultObject) inho1936 = (struct UserObject *)inho1936->super;
    inho1936->super = obj1936;
    self = inheritingObject1936;
    *selfslot = self;
    lowerouter1936 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1936;
  }
// method "new(_,_)"
  block_savedest(obj1936);
  Object closure1938 = createclosure(4, "new(2)");
  setclosureframe(closure1938, stackframe);
  addtoclosure(closure1938, var_k);
  addtoclosure(closure1938, var_blockNode);
  addtoclosure(closure1938, var_patternMarkVisitor);
  addtoclosure(closure1938, var_ancestorChain);
  struct UserObject *uo1938 = (struct UserObject*)obj1936;
  uo1938->data[1] = (Object)closure1938;
  Method *meth_meth_ast_1938_new_40_2_41_ = addmethod2pos(obj1936, "new(2)", &meth_ast_1938_new_40_2_41_, 1);
  int argcv_meth_ast_1938_new_40_2_41_[] = {2};
  meth_meth_ast_1938_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_1938_new_40_2_41_);
  meth_meth_ast_1938_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_1938_new_40_2_41_->definitionLine = 422;
  block_savedest(obj1936);
  Object closure2399 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure2399, stackframe);
  addtoclosure(closure2399, var_k);
  addtoclosure(closure2399, var_blockNode);
  addtoclosure(closure2399, var_patternMarkVisitor);
  addtoclosure(closure2399, var_ancestorChain);
  Method *meth_meth_ast_1938_new_40_2_41__object = addmethod2pos(obj1936, "new(2)$object(1)", &meth_ast_1938_new_40_2_41__object, 1);
  meth_meth_ast_1938_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_1938_new_40_2_41__object->definitionLine = 422;
  sourceObject = obj1936;
  objclass1936 = obj1936->class;
  objclass1936->definitionModule = modulename;
  objclass1936->definitionLine = 421;
  (*(struct UserObject *)self).data[0] = lowerouter1936;
  self = oldself1936;
  selfslot = oldselfslot1936;
  stackframe = oldstackframe1936;
// compiled object node returning obj1936 (depth = 2)
  *var_blockNode = obj1936;
  if (obj1936 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blockNode"
  block_savedest(self);
  Object closure2400 = createclosure(1, "blockNode");
  setclosureframe(closure2400, stackframe);
  addtoclosure(closure2400, var_blockNode);
  struct UserObject *uo2400 = (struct UserObject*)self;
  uo2400->data[28] = (Object)closure2400;
  Method *meth_meth_ast_2400_blockNode = addmethod2pos(self, "blockNode", &meth_ast_2400_blockNode, 28);
  int argcv_meth_ast_2400_blockNode[] = {0};
  meth_meth_ast_2400_blockNode->type = alloc_MethodType(1, argcv_meth_ast_2400_blockNode);
  meth_meth_ast_2400_blockNode->definitionModule = modulename;
  meth_meth_ast_2400_blockNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2401 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2401 = alloc_userobj2(2,4, objclass2401);
  gc_frame_newslot(obj2401);
  if (objclass2401 == NULL) {
    glfree(obj2401->class->name);
    obj2401->class->name = "tryCatchNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2401, self, 0);
  addmethodreal(obj2401,"outer", &reader_ast_outer_2402);
  Object oldself2401 = self;
  struct StackFrameObject *oldstackframe2401 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2401);
  gc_frame_newslot((Object)stackframe);
  self = obj2401;
  Object *oldselfslot2401 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2401 = (*(struct UserObject *)self).data[0], lowerouter2401 = thisouter2401;
  if (inheritingObject2401) {
    struct UserObject *inho2401 = (struct UserObject *)inheritingObject2401;
    while (inho2401->super != GraceDefaultObject) inho2401 = (struct UserObject *)inho2401->super;
    inho2401->super = obj2401;
    self = inheritingObject2401;
    *selfslot = self;
    lowerouter2401 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2401;
  }
// method "new(_,_,_)"
  block_savedest(obj2401);
  Object closure2403 = createclosure(3, "new(3)");
  setclosureframe(closure2403, stackframe);
  addtoclosure(closure2403, var_nullNode);
  addtoclosure(closure2403, var_emptySeq);
  addtoclosure(closure2403, var_tryCatchNode);
  struct UserObject *uo2403 = (struct UserObject*)obj2401;
  uo2403->data[1] = (Object)closure2403;
  Method *meth_meth_ast_2403_new_40_3_41_ = addmethod2pos(obj2401, "new(3)", &meth_ast_2403_new_40_3_41_, 1);
  int argcv_meth_ast_2403_new_40_3_41_[] = {3};
  meth_meth_ast_2403_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_2403_new_40_3_41_);
  meth_meth_ast_2403_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_2403_new_40_3_41_->definitionLine = 542;
  block_savedest(obj2401);
  Object closure2706 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure2706, stackframe);
  addtoclosure(closure2706, var_nullNode);
  addtoclosure(closure2706, var_emptySeq);
  addtoclosure(closure2706, var_tryCatchNode);
  Method *meth_meth_ast_2403_new_40_3_41__object = addmethod2pos(obj2401, "new(3)$object(1)", &meth_ast_2403_new_40_3_41__object, 1);
  meth_meth_ast_2403_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_2403_new_40_3_41__object->definitionLine = 542;
  sourceObject = obj2401;
  objclass2401 = obj2401->class;
  objclass2401->definitionModule = modulename;
  objclass2401->definitionLine = 541;
  (*(struct UserObject *)self).data[0] = lowerouter2401;
  self = oldself2401;
  selfslot = oldselfslot2401;
  stackframe = oldstackframe2401;
// compiled object node returning obj2401 (depth = 2)
  *var_tryCatchNode = obj2401;
  if (obj2401 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tryCatchNode"
  block_savedest(self);
  Object closure2707 = createclosure(1, "tryCatchNode");
  setclosureframe(closure2707, stackframe);
  addtoclosure(closure2707, var_tryCatchNode);
  struct UserObject *uo2707 = (struct UserObject*)self;
  uo2707->data[29] = (Object)closure2707;
  Method *meth_meth_ast_2707_tryCatchNode = addmethod2pos(self, "tryCatchNode", &meth_ast_2707_tryCatchNode, 29);
  int argcv_meth_ast_2707_tryCatchNode[] = {0};
  meth_meth_ast_2707_tryCatchNode->type = alloc_MethodType(1, argcv_meth_ast_2707_tryCatchNode);
  meth_meth_ast_2707_tryCatchNode->definitionModule = modulename;
  meth_meth_ast_2707_tryCatchNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2708 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2708 = alloc_userobj2(2,4, objclass2708);
  gc_frame_newslot(obj2708);
  if (objclass2708 == NULL) {
    glfree(obj2708->class->name);
    obj2708->class->name = "matchCaseNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2708, self, 0);
  addmethodreal(obj2708,"outer", &reader_ast_outer_2709);
  Object oldself2708 = self;
  struct StackFrameObject *oldstackframe2708 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2708);
  gc_frame_newslot((Object)stackframe);
  self = obj2708;
  Object *oldselfslot2708 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2708 = (*(struct UserObject *)self).data[0], lowerouter2708 = thisouter2708;
  if (inheritingObject2708) {
    struct UserObject *inho2708 = (struct UserObject *)inheritingObject2708;
    while (inho2708->super != GraceDefaultObject) inho2708 = (struct UserObject *)inho2708->super;
    inho2708->super = obj2708;
    self = inheritingObject2708;
    *selfslot = self;
    lowerouter2708 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2708;
  }
// method "new(_,_)"
  block_savedest(obj2708);
  Object closure2710 = createclosure(3, "new(2)");
  setclosureframe(closure2710, stackframe);
  addtoclosure(closure2710, var_nullNode);
  addtoclosure(closure2710, var_emptySeq);
  addtoclosure(closure2710, var_matchCaseNode);
  struct UserObject *uo2710 = (struct UserObject*)obj2708;
  uo2710->data[1] = (Object)closure2710;
  Method *meth_meth_ast_2710_new_40_2_41_ = addmethod2pos(obj2708, "new(2)", &meth_ast_2710_new_40_2_41_, 1);
  int argcv_meth_ast_2710_new_40_2_41_[] = {2};
  meth_meth_ast_2710_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_2710_new_40_2_41_);
  meth_meth_ast_2710_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_2710_new_40_2_41_->definitionLine = 603;
  block_savedest(obj2708);
  Object closure2904 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure2904, stackframe);
  addtoclosure(closure2904, var_nullNode);
  addtoclosure(closure2904, var_emptySeq);
  addtoclosure(closure2904, var_matchCaseNode);
  Method *meth_meth_ast_2710_new_40_2_41__object = addmethod2pos(obj2708, "new(2)$object(1)", &meth_ast_2710_new_40_2_41__object, 1);
  meth_meth_ast_2710_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_2710_new_40_2_41__object->definitionLine = 603;
  sourceObject = obj2708;
  objclass2708 = obj2708->class;
  objclass2708->definitionModule = modulename;
  objclass2708->definitionLine = 602;
  (*(struct UserObject *)self).data[0] = lowerouter2708;
  self = oldself2708;
  selfslot = oldselfslot2708;
  stackframe = oldstackframe2708;
// compiled object node returning obj2708 (depth = 2)
  *var_matchCaseNode = obj2708;
  if (obj2708 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "matchCaseNode"
  block_savedest(self);
  Object closure2905 = createclosure(1, "matchCaseNode");
  setclosureframe(closure2905, stackframe);
  addtoclosure(closure2905, var_matchCaseNode);
  struct UserObject *uo2905 = (struct UserObject*)self;
  uo2905->data[30] = (Object)closure2905;
  Method *meth_meth_ast_2905_matchCaseNode = addmethod2pos(self, "matchCaseNode", &meth_ast_2905_matchCaseNode, 30);
  int argcv_meth_ast_2905_matchCaseNode[] = {0};
  meth_meth_ast_2905_matchCaseNode->type = alloc_MethodType(1, argcv_meth_ast_2905_matchCaseNode);
  meth_meth_ast_2905_matchCaseNode->definitionModule = modulename;
  meth_meth_ast_2905_matchCaseNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2906 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2906 = alloc_userobj2(2,4, objclass2906);
  gc_frame_newslot(obj2906);
  if (objclass2906 == NULL) {
    glfree(obj2906->class->name);
    obj2906->class->name = "methodTypeNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2906, self, 0);
  addmethodreal(obj2906,"outer", &reader_ast_outer_2907);
  Object oldself2906 = self;
  struct StackFrameObject *oldstackframe2906 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2906);
  gc_frame_newslot((Object)stackframe);
  self = obj2906;
  Object *oldselfslot2906 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2906 = (*(struct UserObject *)self).data[0], lowerouter2906 = thisouter2906;
  if (inheritingObject2906) {
    struct UserObject *inho2906 = (struct UserObject *)inheritingObject2906;
    while (inho2906->super != GraceDefaultObject) inho2906 = (struct UserObject *)inho2906->super;
    inho2906->super = obj2906;
    self = inheritingObject2906;
    *selfslot = self;
    lowerouter2906 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2906;
  }
// method "new(_,_)"
  block_savedest(obj2906);
  Object closure2908 = createclosure(4, "new(2)");
  setclosureframe(closure2908, stackframe);
  addtoclosure(closure2908, var_uninitialized);
  addtoclosure(closure2908, var_identifierNode);
  addtoclosure(closure2908, var_k);
  addtoclosure(closure2908, var_methodTypeNode);
  struct UserObject *uo2908 = (struct UserObject*)obj2906;
  uo2908->data[1] = (Object)closure2908;
  Method *meth_meth_ast_2908_new_40_2_41_ = addmethod2pos(obj2906, "new(2)", &meth_ast_2908_new_40_2_41_, 1);
  int argcv_meth_ast_2908_new_40_2_41_[] = {2};
  meth_meth_ast_2908_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_2908_new_40_2_41_);
  meth_meth_ast_2908_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_2908_new_40_2_41_->definitionLine = 653;
  block_savedest(obj2906);
  Object closure3292 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure3292, stackframe);
  addtoclosure(closure3292, var_uninitialized);
  addtoclosure(closure3292, var_identifierNode);
  addtoclosure(closure3292, var_k);
  addtoclosure(closure3292, var_methodTypeNode);
  Method *meth_meth_ast_2908_new_40_2_41__object = addmethod2pos(obj2906, "new(2)$object(1)", &meth_ast_2908_new_40_2_41__object, 1);
  meth_meth_ast_2908_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_2908_new_40_2_41__object->definitionLine = 653;
  sourceObject = obj2906;
  objclass2906 = obj2906->class;
  objclass2906->definitionModule = modulename;
  objclass2906->definitionLine = 652;
  (*(struct UserObject *)self).data[0] = lowerouter2906;
  self = oldself2906;
  selfslot = oldselfslot2906;
  stackframe = oldstackframe2906;
// compiled object node returning obj2906 (depth = 2)
  *var_methodTypeNode = obj2906;
  if (obj2906 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodTypeNode"
  block_savedest(self);
  Object closure3293 = createclosure(1, "methodTypeNode");
  setclosureframe(closure3293, stackframe);
  addtoclosure(closure3293, var_methodTypeNode);
  struct UserObject *uo3293 = (struct UserObject*)self;
  uo3293->data[31] = (Object)closure3293;
  Method *meth_meth_ast_3293_methodTypeNode = addmethod2pos(self, "methodTypeNode", &meth_ast_3293_methodTypeNode, 31);
  int argcv_meth_ast_3293_methodTypeNode[] = {0};
  meth_meth_ast_3293_methodTypeNode->type = alloc_MethodType(1, argcv_meth_ast_3293_methodTypeNode);
  meth_meth_ast_3293_methodTypeNode->definitionModule = modulename;
  meth_meth_ast_3293_methodTypeNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3294 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3294 = alloc_userobj2(2,4, objclass3294);
  gc_frame_newslot(obj3294);
  if (objclass3294 == NULL) {
    glfree(obj3294->class->name);
    obj3294->class->name = "typeLiteralNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3294, self, 0);
  addmethodreal(obj3294,"outer", &reader_ast_outer_3295);
  Object oldself3294 = self;
  struct StackFrameObject *oldstackframe3294 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3294);
  gc_frame_newslot((Object)stackframe);
  self = obj3294;
  Object *oldselfslot3294 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3294 = (*(struct UserObject *)self).data[0], lowerouter3294 = thisouter3294;
  if (inheritingObject3294) {
    struct UserObject *inho3294 = (struct UserObject *)inheritingObject3294;
    while (inho3294->super != GraceDefaultObject) inho3294 = (struct UserObject *)inho3294->super;
    inho3294->super = obj3294;
    self = inheritingObject3294;
    *selfslot = self;
    lowerouter3294 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3294;
  }
// method "new(_,_)"
  block_savedest(obj3294);
  Object closure3296 = createclosure(4, "new(2)");
  setclosureframe(closure3296, stackframe);
  addtoclosure(closure3296, var_k);
  addtoclosure(closure3296, var_noPosition);
  addtoclosure(closure3296, var_emptySeq);
  addtoclosure(closure3296, var_typeLiteralNode);
  struct UserObject *uo3296 = (struct UserObject*)obj3294;
  uo3296->data[1] = (Object)closure3296;
  Method *meth_meth_ast_3296_new_40_2_41_ = addmethod2pos(obj3294, "new(2)", &meth_ast_3296_new_40_2_41_, 1);
  int argcv_meth_ast_3296_new_40_2_41_[] = {2};
  meth_meth_ast_3296_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_3296_new_40_2_41_);
  meth_meth_ast_3296_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_3296_new_40_2_41_->definitionLine = 748;
  block_savedest(obj3294);
  Object closure3593 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure3593, stackframe);
  addtoclosure(closure3593, var_k);
  addtoclosure(closure3593, var_noPosition);
  addtoclosure(closure3593, var_emptySeq);
  addtoclosure(closure3593, var_typeLiteralNode);
  Method *meth_meth_ast_3296_new_40_2_41__object = addmethod2pos(obj3294, "new(2)$object(1)", &meth_ast_3296_new_40_2_41__object, 1);
  meth_meth_ast_3296_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_3296_new_40_2_41__object->definitionLine = 748;
  sourceObject = obj3294;
  objclass3294 = obj3294->class;
  objclass3294->definitionModule = modulename;
  objclass3294->definitionLine = 747;
  (*(struct UserObject *)self).data[0] = lowerouter3294;
  self = oldself3294;
  selfslot = oldselfslot3294;
  stackframe = oldstackframe3294;
// compiled object node returning obj3294 (depth = 2)
  *var_typeLiteralNode = obj3294;
  if (obj3294 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeLiteralNode"
  block_savedest(self);
  Object closure3594 = createclosure(1, "typeLiteralNode");
  setclosureframe(closure3594, stackframe);
  addtoclosure(closure3594, var_typeLiteralNode);
  struct UserObject *uo3594 = (struct UserObject*)self;
  uo3594->data[32] = (Object)closure3594;
  Method *meth_meth_ast_3594_typeLiteralNode = addmethod2pos(self, "typeLiteralNode", &meth_ast_3594_typeLiteralNode, 32);
  int argcv_meth_ast_3594_typeLiteralNode[] = {0};
  meth_meth_ast_3594_typeLiteralNode->type = alloc_MethodType(1, argcv_meth_ast_3594_typeLiteralNode);
  meth_meth_ast_3594_typeLiteralNode->definitionModule = modulename;
  meth_meth_ast_3594_typeLiteralNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3595 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3595 = alloc_userobj2(2,4, objclass3595);
  gc_frame_newslot(obj3595);
  if (objclass3595 == NULL) {
    glfree(obj3595->class->name);
    obj3595->class->name = "typeDecNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3595, self, 0);
  addmethodreal(obj3595,"outer", &reader_ast_outer_3596);
  Object oldself3595 = self;
  struct StackFrameObject *oldstackframe3595 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3595);
  gc_frame_newslot((Object)stackframe);
  self = obj3595;
  Object *oldselfslot3595 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3595 = (*(struct UserObject *)self).data[0], lowerouter3595 = thisouter3595;
  if (inheritingObject3595) {
    struct UserObject *inho3595 = (struct UserObject *)inheritingObject3595;
    while (inho3595->super != GraceDefaultObject) inho3595 = (struct UserObject *)inho3595->super;
    inho3595->super = obj3595;
    self = inheritingObject3595;
    *selfslot = self;
    lowerouter3595 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3595;
  }
// method "new(_,_)"
  block_savedest(obj3595);
  Object closure3597 = createclosure(3, "new(2)");
  setclosureframe(closure3597, stackframe);
  addtoclosure(closure3597, var_k);
  addtoclosure(closure3597, var_nullNode);
  addtoclosure(closure3597, var_typeDecNode);
  struct UserObject *uo3597 = (struct UserObject*)obj3595;
  uo3597->data[1] = (Object)closure3597;
  Method *meth_meth_ast_3597_new_40_2_41_ = addmethod2pos(obj3595, "new(2)", &meth_ast_3597_new_40_2_41_, 1);
  int argcv_meth_ast_3597_new_40_2_41_[] = {2};
  meth_meth_ast_3597_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_3597_new_40_2_41_);
  meth_meth_ast_3597_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_3597_new_40_2_41_->definitionLine = 831;
  block_savedest(obj3595);
  Object closure3890 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure3890, stackframe);
  addtoclosure(closure3890, var_k);
  addtoclosure(closure3890, var_nullNode);
  addtoclosure(closure3890, var_typeDecNode);
  Method *meth_meth_ast_3597_new_40_2_41__object = addmethod2pos(obj3595, "new(2)$object(1)", &meth_ast_3597_new_40_2_41__object, 1);
  meth_meth_ast_3597_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_3597_new_40_2_41__object->definitionLine = 831;
  sourceObject = obj3595;
  objclass3595 = obj3595->class;
  objclass3595->definitionModule = modulename;
  objclass3595->definitionLine = 830;
  (*(struct UserObject *)self).data[0] = lowerouter3595;
  self = oldself3595;
  selfslot = oldselfslot3595;
  stackframe = oldstackframe3595;
// compiled object node returning obj3595 (depth = 2)
  *var_typeDecNode = obj3595;
  if (obj3595 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeDecNode"
  block_savedest(self);
  Object closure3891 = createclosure(1, "typeDecNode");
  setclosureframe(closure3891, stackframe);
  addtoclosure(closure3891, var_typeDecNode);
  struct UserObject *uo3891 = (struct UserObject*)self;
  uo3891->data[33] = (Object)closure3891;
  Method *meth_meth_ast_3891_typeDecNode = addmethod2pos(self, "typeDecNode", &meth_ast_3891_typeDecNode, 33);
  int argcv_meth_ast_3891_typeDecNode[] = {0};
  meth_meth_ast_3891_typeDecNode->type = alloc_MethodType(1, argcv_meth_ast_3891_typeDecNode);
  meth_meth_ast_3891_typeDecNode->definitionModule = modulename;
  meth_meth_ast_3891_typeDecNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3892 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3892 = alloc_userobj2(3,4, objclass3892);
  gc_frame_newslot(obj3892);
  if (objclass3892 == NULL) {
    glfree(obj3892->class->name);
    obj3892->class->name = "methodNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3892, self, 0);
  addmethodreal(obj3892,"outer", &reader_ast_outer_3893);
  Object oldself3892 = self;
  struct StackFrameObject *oldstackframe3892 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3892);
  gc_frame_newslot((Object)stackframe);
  self = obj3892;
  Object *oldselfslot3892 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3892 = (*(struct UserObject *)self).data[0], lowerouter3892 = thisouter3892;
  if (inheritingObject3892) {
    struct UserObject *inho3892 = (struct UserObject *)inheritingObject3892;
    while (inho3892->super != GraceDefaultObject) inho3892 = (struct UserObject *)inho3892->super;
    inho3892->super = obj3892;
    self = inheritingObject3892;
    *selfslot = self;
    lowerouter3892 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3892;
  }
// method "new(_,_,_)scope(_)"
  struct UserObject *uo3894 = (struct UserObject*)obj3892;
  uo3894->data[1] = emptyclosure;
  Method *meth_meth_ast_3894_new_40_3_41_scope_40_1_41_ = addmethod2pos(obj3892, "new(3)scope(1)", &meth_ast_3894_new_40_3_41_scope_40_1_41_, 1);
  int argcv_meth_ast_3894_new_40_3_41_scope_40_1_41_[] = {3, 1};
  meth_meth_ast_3894_new_40_3_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_3894_new_40_3_41_scope_40_1_41_);
  meth_meth_ast_3894_new_40_3_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_3894_new_40_3_41_scope_40_1_41_->definitionLine = 911;
// method "new(_,_,_)"
  block_savedest(obj3892);
  Object closure3899 = createclosure(4, "new(3)");
  setclosureframe(closure3899, stackframe);
  addtoclosure(closure3899, var_uninitialized);
  addtoclosure(closure3899, var_identifierNode);
  addtoclosure(closure3899, var_k);
  addtoclosure(closure3899, var_methodNode);
  struct UserObject *uo3899 = (struct UserObject*)obj3892;
  uo3899->data[2] = (Object)closure3899;
  Method *meth_meth_ast_3899_new_40_3_41_ = addmethod2pos(obj3892, "new(3)", &meth_ast_3899_new_40_3_41_, 2);
  int argcv_meth_ast_3899_new_40_3_41_[] = {3};
  meth_meth_ast_3899_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_3899_new_40_3_41_);
  meth_meth_ast_3899_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_3899_new_40_3_41_->definitionLine = 917;
  block_savedest(obj3892);
  Object closure5067 = createclosure(4, "new(3)$object(1)");
  setclosureframe(closure5067, stackframe);
  addtoclosure(closure5067, var_uninitialized);
  addtoclosure(closure5067, var_identifierNode);
  addtoclosure(closure5067, var_k);
  addtoclosure(closure5067, var_methodNode);
  Method *meth_meth_ast_3899_new_40_3_41__object = addmethod2pos(obj3892, "new(3)$object(1)", &meth_ast_3899_new_40_3_41__object, 2);
  meth_meth_ast_3899_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_3899_new_40_3_41__object->definitionLine = 917;
  sourceObject = obj3892;
  sourceObject = obj3892;
  objclass3892 = obj3892->class;
  objclass3892->definitionModule = modulename;
  objclass3892->definitionLine = 910;
  (*(struct UserObject *)self).data[0] = lowerouter3892;
  self = oldself3892;
  selfslot = oldselfslot3892;
  stackframe = oldstackframe3892;
// compiled object node returning obj3892 (depth = 2)
  *var_methodNode = obj3892;
  if (obj3892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodNode"
  block_savedest(self);
  Object closure5068 = createclosure(1, "methodNode");
  setclosureframe(closure5068, stackframe);
  addtoclosure(closure5068, var_methodNode);
  struct UserObject *uo5068 = (struct UserObject*)self;
  uo5068->data[34] = (Object)closure5068;
  Method *meth_meth_ast_5068_methodNode = addmethod2pos(self, "methodNode", &meth_ast_5068_methodNode, 34);
  int argcv_meth_ast_5068_methodNode[] = {0};
  meth_meth_ast_5068_methodNode->type = alloc_MethodType(1, argcv_meth_ast_5068_methodNode);
  meth_meth_ast_5068_methodNode->definitionModule = modulename;
  meth_meth_ast_5068_methodNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5069 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5069 = alloc_userobj2(3,4, objclass5069);
  gc_frame_newslot(obj5069);
  if (objclass5069 == NULL) {
    glfree(obj5069->class->name);
    obj5069->class->name = "callNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5069, self, 0);
  addmethodreal(obj5069,"outer", &reader_ast_outer_5070);
  Object oldself5069 = self;
  struct StackFrameObject *oldstackframe5069 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5069);
  gc_frame_newslot((Object)stackframe);
  self = obj5069;
  Object *oldselfslot5069 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5069 = (*(struct UserObject *)self).data[0], lowerouter5069 = thisouter5069;
  if (inheritingObject5069) {
    struct UserObject *inho5069 = (struct UserObject *)inheritingObject5069;
    while (inho5069->super != GraceDefaultObject) inho5069 = (struct UserObject *)inho5069->super;
    inho5069->super = obj5069;
    self = inheritingObject5069;
    *selfslot = self;
    lowerouter5069 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5069;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo5071 = (struct UserObject*)obj5069;
  uo5071->data[1] = emptyclosure;
  Method *meth_meth_ast_5071_new_40_2_41_scope_40_1_41_ = addmethod2pos(obj5069, "new(2)scope(1)", &meth_ast_5071_new_40_2_41_scope_40_1_41_, 1);
  int argcv_meth_ast_5071_new_40_2_41_scope_40_1_41_[] = {2, 1};
  meth_meth_ast_5071_new_40_2_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5071_new_40_2_41_scope_40_1_41_);
  meth_meth_ast_5071_new_40_2_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5071_new_40_2_41_scope_40_1_41_->definitionLine = 1183;
// method "new(_,_)"
  block_savedest(obj5069);
  Object closure5076 = createclosure(4, "new(2)");
  setclosureframe(closure5076, stackframe);
  addtoclosure(closure5076, var_uninitialized);
  addtoclosure(closure5076, var_fakeSymbolTable);
  addtoclosure(closure5076, var_identifierNode);
  addtoclosure(closure5076, var_callNode);
  struct UserObject *uo5076 = (struct UserObject*)obj5069;
  uo5076->data[2] = (Object)closure5076;
  Method *meth_meth_ast_5076_new_40_2_41_ = addmethod2pos(obj5069, "new(2)", &meth_ast_5076_new_40_2_41_, 2);
  int argcv_meth_ast_5076_new_40_2_41_[] = {2};
  meth_meth_ast_5076_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_5076_new_40_2_41_);
  meth_meth_ast_5076_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_5076_new_40_2_41_->definitionLine = 1188;
  block_savedest(obj5069);
  Object closure5638 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure5638, stackframe);
  addtoclosure(closure5638, var_uninitialized);
  addtoclosure(closure5638, var_fakeSymbolTable);
  addtoclosure(closure5638, var_identifierNode);
  addtoclosure(closure5638, var_callNode);
  Method *meth_meth_ast_5076_new_40_2_41__object = addmethod2pos(obj5069, "new(2)$object(1)", &meth_ast_5076_new_40_2_41__object, 2);
  meth_meth_ast_5076_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_5076_new_40_2_41__object->definitionLine = 1188;
  sourceObject = obj5069;
  sourceObject = obj5069;
  objclass5069 = obj5069->class;
  objclass5069->definitionModule = modulename;
  objclass5069->definitionLine = 1182;
  (*(struct UserObject *)self).data[0] = lowerouter5069;
  self = oldself5069;
  selfslot = oldselfslot5069;
  stackframe = oldstackframe5069;
// compiled object node returning obj5069 (depth = 2)
  *var_callNode = obj5069;
  if (obj5069 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "callNode"
  block_savedest(self);
  Object closure5639 = createclosure(1, "callNode");
  setclosureframe(closure5639, stackframe);
  addtoclosure(closure5639, var_callNode);
  struct UserObject *uo5639 = (struct UserObject*)self;
  uo5639->data[35] = (Object)closure5639;
  Method *meth_meth_ast_5639_callNode = addmethod2pos(self, "callNode", &meth_ast_5639_callNode, 35);
  int argcv_meth_ast_5639_callNode[] = {0};
  meth_meth_ast_5639_callNode->type = alloc_MethodType(1, argcv_meth_ast_5639_callNode);
  meth_meth_ast_5639_callNode->definitionModule = modulename;
  meth_meth_ast_5639_callNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5640 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5640 = alloc_userobj2(4,5, objclass5640);
  gc_frame_newslot(obj5640);
  if (objclass5640 == NULL) {
    glfree(obj5640->class->name);
    obj5640->class->name = "moduleNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5640, self, 0);
  addmethodreal(obj5640,"outer", &reader_ast_outer_5641);
  Object oldself5640 = self;
  struct StackFrameObject *oldstackframe5640 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5640);
  gc_frame_newslot((Object)stackframe);
  self = obj5640;
  Object *oldselfslot5640 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5640 = (*(struct UserObject *)self).data[0], lowerouter5640 = thisouter5640;
  if (inheritingObject5640) {
    struct UserObject *inho5640 = (struct UserObject *)inheritingObject5640;
    while (inho5640->super != GraceDefaultObject) inho5640 = (struct UserObject *)inho5640->super;
    inho5640->super = obj5640;
    self = inheritingObject5640;
    *selfslot = self;
    lowerouter5640 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5640;
  }
// method "body(_)named(_)scope(_)"
  struct UserObject *uo5642 = (struct UserObject*)obj5640;
  uo5642->data[1] = emptyclosure;
  Method *meth_meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_ = addmethod2pos(obj5640, "body(1)named(1)scope(1)", &meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_, 1);
  int argcv_meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_[] = {1, 1, 1};
  meth_meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_->type = alloc_MethodType(3, argcv_meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_);
  meth_meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5642_body_40_1_41_named_40_1_41_scope_40_1_41_->definitionLine = 1349;
// method "body(_)named(_)"
  struct UserObject *uo5649 = (struct UserObject*)obj5640;
  uo5649->data[2] = emptyclosure;
  Method *meth_meth_ast_5649_body_40_1_41_named_40_1_41_ = addmethod2pos(obj5640, "body(1)named(1)", &meth_ast_5649_body_40_1_41_named_40_1_41_, 2);
  int argcv_meth_ast_5649_body_40_1_41_named_40_1_41_[] = {1, 1};
  meth_meth_ast_5649_body_40_1_41_named_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5649_body_40_1_41_named_40_1_41_);
  meth_meth_ast_5649_body_40_1_41_named_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5649_body_40_1_41_named_40_1_41_->definitionLine = 1355;
// method "body(_)"
  block_savedest(obj5640);
  Object closure5654 = createclosure(6, "body(1)");
  setclosureframe(closure5654, stackframe);
  addtoclosure(closure5654, var_util);
  addtoclosure(closure5654, var_emptySeq);
  addtoclosure(closure5654, var_moduleNode);
  addtoclosure(closure5654, var_objectNode);
  addtoclosure(closure5654, var_dialectNode);
  addtoclosure(closure5654, var_noPosition);
  struct UserObject *uo5654 = (struct UserObject*)obj5640;
  uo5654->data[3] = (Object)closure5654;
  Method *meth_meth_ast_5654_body_40_1_41_ = addmethod2pos(obj5640, "body(1)", &meth_ast_5654_body_40_1_41_, 3);
  int argcv_meth_ast_5654_body_40_1_41_[] = {1};
  meth_meth_ast_5654_body_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_5654_body_40_1_41_);
  meth_meth_ast_5654_body_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5654_body_40_1_41_->definitionLine = 1360;
  block_savedest(obj5640);
  Object closure5876 = createclosure(6, "body(1)$object(1)");
  setclosureframe(closure5876, stackframe);
  addtoclosure(closure5876, var_util);
  addtoclosure(closure5876, var_emptySeq);
  addtoclosure(closure5876, var_moduleNode);
  addtoclosure(closure5876, var_objectNode);
  addtoclosure(closure5876, var_dialectNode);
  addtoclosure(closure5876, var_noPosition);
  Method *meth_meth_ast_5654_body_40_1_41__object = addmethod2pos(obj5640, "body(1)$object(1)", &meth_ast_5654_body_40_1_41__object, 3);
  meth_meth_ast_5654_body_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_5654_body_40_1_41__object->definitionLine = 1360;
  sourceObject = obj5640;
  sourceObject = obj5640;
  sourceObject = obj5640;
  objclass5640 = obj5640->class;
  objclass5640->definitionModule = modulename;
  objclass5640->definitionLine = 1348;
  (*(struct UserObject *)self).data[0] = lowerouter5640;
  self = oldself5640;
  selfslot = oldselfslot5640;
  stackframe = oldstackframe5640;
// compiled object node returning obj5640 (depth = 2)
  *var_moduleNode = obj5640;
  if (obj5640 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "moduleNode"
  block_savedest(self);
  Object closure5877 = createclosure(1, "moduleNode");
  setclosureframe(closure5877, stackframe);
  addtoclosure(closure5877, var_moduleNode);
  struct UserObject *uo5877 = (struct UserObject*)self;
  uo5877->data[36] = (Object)closure5877;
  Method *meth_meth_ast_5877_moduleNode = addmethod2pos(self, "moduleNode", &meth_ast_5877_moduleNode, 36);
  int argcv_meth_ast_5877_moduleNode[] = {0};
  meth_meth_ast_5877_moduleNode->type = alloc_MethodType(1, argcv_meth_ast_5877_moduleNode);
  meth_meth_ast_5877_moduleNode->definitionModule = modulename;
  meth_meth_ast_5877_moduleNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5878 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5878 = alloc_userobj2(4,5, objclass5878);
  gc_frame_newslot(obj5878);
  if (objclass5878 == NULL) {
    glfree(obj5878->class->name);
    obj5878->class->name = "objectNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj5878, self, 0);
  addmethodreal(obj5878,"outer", &reader_ast_outer_5879);
  Object oldself5878 = self;
  struct StackFrameObject *oldstackframe5878 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5878);
  gc_frame_newslot((Object)stackframe);
  self = obj5878;
  Object *oldselfslot5878 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5878 = (*(struct UserObject *)self).data[0], lowerouter5878 = thisouter5878;
  if (inheritingObject5878) {
    struct UserObject *inho5878 = (struct UserObject *)inheritingObject5878;
    while (inho5878->super != GraceDefaultObject) inho5878 = (struct UserObject *)inho5878->super;
    inho5878->super = obj5878;
    self = inheritingObject5878;
    *selfslot = self;
    lowerouter5878 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5878;
  }
// method "body(_)named(_)scope(_)"
  struct UserObject *uo5880 = (struct UserObject*)obj5878;
  uo5880->data[1] = emptyclosure;
  Method *meth_meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_ = addmethod2pos(obj5878, "body(1)named(1)scope(1)", &meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_, 1);
  int argcv_meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_[] = {1, 1, 1};
  meth_meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_->type = alloc_MethodType(3, argcv_meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_);
  meth_meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5880_body_40_1_41_named_40_1_41_scope_40_1_41_->definitionLine = 1436;
// method "body(_)named(_)"
  block_savedest(obj5878);
  Object closure5888 = createclosure(1, "body(1)named(1)");
  setclosureframe(closure5888, stackframe);
  addtoclosure(closure5888, var_fakeSymbolTable);
  struct UserObject *uo5888 = (struct UserObject*)obj5878;
  uo5888->data[2] = (Object)closure5888;
  Method *meth_meth_ast_5888_body_40_1_41_named_40_1_41_ = addmethod2pos(obj5878, "body(1)named(1)", &meth_ast_5888_body_40_1_41_named_40_1_41_, 2);
  int argcv_meth_ast_5888_body_40_1_41_named_40_1_41_[] = {1, 1};
  meth_meth_ast_5888_body_40_1_41_named_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_5888_body_40_1_41_named_40_1_41_);
  meth_meth_ast_5888_body_40_1_41_named_40_1_41_->definitionModule = modulename;
  meth_meth_ast_5888_body_40_1_41_named_40_1_41_->definitionLine = 1442;
// method "new(_,_)"
  block_savedest(obj5878);
  Object closure5891 = createclosure(3, "new(2)");
  setclosureframe(closure5891, stackframe);
  addtoclosure(closure5891, var_noPosition);
  addtoclosure(closure5891, var_emptySeq);
  addtoclosure(closure5891, var_objectNode);
  struct UserObject *uo5891 = (struct UserObject*)obj5878;
  uo5891->data[3] = (Object)closure5891;
  Method *meth_meth_ast_5891_new_40_2_41_ = addmethod2pos(obj5878, "new(2)", &meth_ast_5891_new_40_2_41_, 3);
  int argcv_meth_ast_5891_new_40_2_41_[] = {2};
  meth_meth_ast_5891_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_5891_new_40_2_41_);
  meth_meth_ast_5891_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_5891_new_40_2_41_->definitionLine = 1445;
  block_savedest(obj5878);
  Object closure6503 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure6503, stackframe);
  addtoclosure(closure6503, var_noPosition);
  addtoclosure(closure6503, var_emptySeq);
  addtoclosure(closure6503, var_objectNode);
  Method *meth_meth_ast_5891_new_40_2_41__object = addmethod2pos(obj5878, "new(2)$object(1)", &meth_ast_5891_new_40_2_41__object, 3);
  meth_meth_ast_5891_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_5891_new_40_2_41__object->definitionLine = 1445;
  sourceObject = obj5878;
  sourceObject = obj5878;
  sourceObject = obj5878;
  objclass5878 = obj5878->class;
  objclass5878->definitionModule = modulename;
  objclass5878->definitionLine = 1435;
  (*(struct UserObject *)self).data[0] = lowerouter5878;
  self = oldself5878;
  selfslot = oldselfslot5878;
  stackframe = oldstackframe5878;
// compiled object node returning obj5878 (depth = 2)
  *var_objectNode = obj5878;
  if (obj5878 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "objectNode"
  block_savedest(self);
  Object closure6504 = createclosure(1, "objectNode");
  setclosureframe(closure6504, stackframe);
  addtoclosure(closure6504, var_objectNode);
  struct UserObject *uo6504 = (struct UserObject*)self;
  uo6504->data[37] = (Object)closure6504;
  Method *meth_meth_ast_6504_objectNode = addmethod2pos(self, "objectNode", &meth_ast_6504_objectNode, 37);
  int argcv_meth_ast_6504_objectNode[] = {0};
  meth_meth_ast_6504_objectNode->type = alloc_MethodType(1, argcv_meth_ast_6504_objectNode);
  meth_meth_ast_6504_objectNode->definitionModule = modulename;
  meth_meth_ast_6504_objectNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6505 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6505 = alloc_userobj2(2,4, objclass6505);
  gc_frame_newslot(obj6505);
  if (objclass6505 == NULL) {
    glfree(obj6505->class->name);
    obj6505->class->name = "arrayNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj6505, self, 0);
  addmethodreal(obj6505,"outer", &reader_ast_outer_6506);
  Object oldself6505 = self;
  struct StackFrameObject *oldstackframe6505 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6505);
  gc_frame_newslot((Object)stackframe);
  self = obj6505;
  Object *oldselfslot6505 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6505 = (*(struct UserObject *)self).data[0], lowerouter6505 = thisouter6505;
  if (inheritingObject6505) {
    struct UserObject *inho6505 = (struct UserObject *)inheritingObject6505;
    while (inho6505->super != GraceDefaultObject) inho6505 = (struct UserObject *)inho6505->super;
    inho6505->super = obj6505;
    self = inheritingObject6505;
    *selfslot = self;
    lowerouter6505 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6505;
  }
// method "new(_)"
  block_savedest(obj6505);
  Object closure6507 = createclosure(2, "new(1)");
  setclosureframe(closure6507, stackframe);
  addtoclosure(closure6507, var_emptySeq);
  addtoclosure(closure6507, var_arrayNode);
  struct UserObject *uo6507 = (struct UserObject*)obj6505;
  uo6507->data[1] = (Object)closure6507;
  Method *meth_meth_ast_6507_new_40_1_41_ = addmethod2pos(obj6505, "new(1)", &meth_ast_6507_new_40_1_41_, 1);
  int argcv_meth_ast_6507_new_40_1_41_[] = {1};
  meth_meth_ast_6507_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_6507_new_40_1_41_);
  meth_meth_ast_6507_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6507_new_40_1_41_->definitionLine = 1619;
  block_savedest(obj6505);
  Object closure6643 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure6643, stackframe);
  addtoclosure(closure6643, var_emptySeq);
  addtoclosure(closure6643, var_arrayNode);
  Method *meth_meth_ast_6507_new_40_1_41__object = addmethod2pos(obj6505, "new(1)$object(1)", &meth_ast_6507_new_40_1_41__object, 1);
  meth_meth_ast_6507_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_6507_new_40_1_41__object->definitionLine = 1619;
  sourceObject = obj6505;
  objclass6505 = obj6505->class;
  objclass6505->definitionModule = modulename;
  objclass6505->definitionLine = 1618;
  (*(struct UserObject *)self).data[0] = lowerouter6505;
  self = oldself6505;
  selfslot = oldselfslot6505;
  stackframe = oldstackframe6505;
// compiled object node returning obj6505 (depth = 2)
  *var_arrayNode = obj6505;
  if (obj6505 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "arrayNode"
  block_savedest(self);
  Object closure6644 = createclosure(1, "arrayNode");
  setclosureframe(closure6644, stackframe);
  addtoclosure(closure6644, var_arrayNode);
  struct UserObject *uo6644 = (struct UserObject*)self;
  uo6644->data[38] = (Object)closure6644;
  Method *meth_meth_ast_6644_arrayNode = addmethod2pos(self, "arrayNode", &meth_ast_6644_arrayNode, 38);
  int argcv_meth_ast_6644_arrayNode[] = {0};
  meth_meth_ast_6644_arrayNode->type = alloc_MethodType(1, argcv_meth_ast_6644_arrayNode);
  meth_meth_ast_6644_arrayNode->definitionModule = modulename;
  meth_meth_ast_6644_arrayNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6645 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6645 = alloc_userobj2(3,4, objclass6645);
  gc_frame_newslot(obj6645);
  if (objclass6645 == NULL) {
    glfree(obj6645->class->name);
    obj6645->class->name = "memberNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj6645, self, 0);
  addmethodreal(obj6645,"outer", &reader_ast_outer_6646);
  Object oldself6645 = self;
  struct StackFrameObject *oldstackframe6645 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6645);
  gc_frame_newslot((Object)stackframe);
  self = obj6645;
  Object *oldselfslot6645 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6645 = (*(struct UserObject *)self).data[0], lowerouter6645 = thisouter6645;
  if (inheritingObject6645) {
    struct UserObject *inho6645 = (struct UserObject *)inheritingObject6645;
    while (inho6645->super != GraceDefaultObject) inho6645 = (struct UserObject *)inho6645->super;
    inho6645->super = obj6645;
    self = inheritingObject6645;
    *selfslot = self;
    lowerouter6645 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6645;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo6647 = (struct UserObject*)obj6645;
  uo6647->data[1] = emptyclosure;
  Method *meth_meth_ast_6647_new_40_2_41_scope_40_1_41_ = addmethod2pos(obj6645, "new(2)scope(1)", &meth_ast_6647_new_40_2_41_scope_40_1_41_, 1);
  int argcv_meth_ast_6647_new_40_2_41_scope_40_1_41_[] = {2, 1};
  meth_meth_ast_6647_new_40_2_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_6647_new_40_2_41_scope_40_1_41_);
  meth_meth_ast_6647_new_40_2_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_6647_new_40_2_41_scope_40_1_41_->definitionLine = 1699;
// method "new(_,_)"
  block_savedest(obj6645);
  Object closure6652 = createclosure(4, "new(2)");
  setclosureframe(closure6652, stackframe);
  addtoclosure(closure6652, var_emptySeq);
  addtoclosure(closure6652, var_fakeSymbolTable);
  addtoclosure(closure6652, var_identifierNode);
  addtoclosure(closure6652, var_memberNode);
  struct UserObject *uo6652 = (struct UserObject*)obj6645;
  uo6652->data[2] = (Object)closure6652;
  Method *meth_meth_ast_6652_new_40_2_41_ = addmethod2pos(obj6645, "new(2)", &meth_ast_6652_new_40_2_41_, 2);
  int argcv_meth_ast_6652_new_40_2_41_[] = {2};
  meth_meth_ast_6652_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_6652_new_40_2_41_);
  meth_meth_ast_6652_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_6652_new_40_2_41_->definitionLine = 1705;
  block_savedest(obj6645);
  Object closure7050 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure7050, stackframe);
  addtoclosure(closure7050, var_emptySeq);
  addtoclosure(closure7050, var_fakeSymbolTable);
  addtoclosure(closure7050, var_identifierNode);
  addtoclosure(closure7050, var_memberNode);
  Method *meth_meth_ast_6652_new_40_2_41__object = addmethod2pos(obj6645, "new(2)$object(1)", &meth_ast_6652_new_40_2_41__object, 2);
  meth_meth_ast_6652_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_6652_new_40_2_41__object->definitionLine = 1705;
  sourceObject = obj6645;
  sourceObject = obj6645;
  objclass6645 = obj6645->class;
  objclass6645->definitionModule = modulename;
  objclass6645->definitionLine = 1698;
  (*(struct UserObject *)self).data[0] = lowerouter6645;
  self = oldself6645;
  selfslot = oldselfslot6645;
  stackframe = oldstackframe6645;
// compiled object node returning obj6645 (depth = 2)
  *var_memberNode = obj6645;
  if (obj6645 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "memberNode"
  block_savedest(self);
  Object closure7051 = createclosure(1, "memberNode");
  setclosureframe(closure7051, stackframe);
  addtoclosure(closure7051, var_memberNode);
  struct UserObject *uo7051 = (struct UserObject*)self;
  uo7051->data[39] = (Object)closure7051;
  Method *meth_meth_ast_7051_memberNode = addmethod2pos(self, "memberNode", &meth_ast_7051_memberNode, 39);
  int argcv_meth_ast_7051_memberNode[] = {0};
  meth_meth_ast_7051_memberNode->type = alloc_MethodType(1, argcv_meth_ast_7051_memberNode);
  meth_meth_ast_7051_memberNode->definitionModule = modulename;
  meth_meth_ast_7051_memberNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7052 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7052 = alloc_userobj2(2,4, objclass7052);
  gc_frame_newslot(obj7052);
  if (objclass7052 == NULL) {
    glfree(obj7052->class->name);
    obj7052->class->name = "genericNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7052, self, 0);
  addmethodreal(obj7052,"outer", &reader_ast_outer_7053);
  Object oldself7052 = self;
  struct StackFrameObject *oldstackframe7052 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7052);
  gc_frame_newslot((Object)stackframe);
  self = obj7052;
  Object *oldselfslot7052 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7052 = (*(struct UserObject *)self).data[0], lowerouter7052 = thisouter7052;
  if (inheritingObject7052) {
    struct UserObject *inho7052 = (struct UserObject *)inheritingObject7052;
    while (inho7052->super != GraceDefaultObject) inho7052 = (struct UserObject *)inho7052->super;
    inho7052->super = obj7052;
    self = inheritingObject7052;
    *selfslot = self;
    lowerouter7052 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7052;
  }
// method "new(_,_)"
  block_savedest(obj7052);
  Object closure7054 = createclosure(1, "new(2)");
  setclosureframe(closure7054, stackframe);
  addtoclosure(closure7054, var_genericNode);
  struct UserObject *uo7054 = (struct UserObject*)obj7052;
  uo7054->data[1] = (Object)closure7054;
  Method *meth_meth_ast_7054_new_40_2_41_ = addmethod2pos(obj7052, "new(2)", &meth_ast_7054_new_40_2_41_, 1);
  int argcv_meth_ast_7054_new_40_2_41_[] = {2};
  meth_meth_ast_7054_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_7054_new_40_2_41_);
  meth_meth_ast_7054_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_7054_new_40_2_41_->definitionLine = 1814;
  block_savedest(obj7052);
  Object closure7213 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure7213, stackframe);
  addtoclosure(closure7213, var_genericNode);
  Method *meth_meth_ast_7054_new_40_2_41__object = addmethod2pos(obj7052, "new(2)$object(1)", &meth_ast_7054_new_40_2_41__object, 1);
  meth_meth_ast_7054_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_7054_new_40_2_41__object->definitionLine = 1814;
  sourceObject = obj7052;
  objclass7052 = obj7052->class;
  objclass7052->definitionModule = modulename;
  objclass7052->definitionLine = 1813;
  (*(struct UserObject *)self).data[0] = lowerouter7052;
  self = oldself7052;
  selfslot = oldselfslot7052;
  stackframe = oldstackframe7052;
// compiled object node returning obj7052 (depth = 2)
  *var_genericNode = obj7052;
  if (obj7052 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "genericNode"
  block_savedest(self);
  Object closure7214 = createclosure(1, "genericNode");
  setclosureframe(closure7214, stackframe);
  addtoclosure(closure7214, var_genericNode);
  struct UserObject *uo7214 = (struct UserObject*)self;
  uo7214->data[40] = (Object)closure7214;
  Method *meth_meth_ast_7214_genericNode = addmethod2pos(self, "genericNode", &meth_ast_7214_genericNode, 40);
  int argcv_meth_ast_7214_genericNode[] = {0};
  meth_meth_ast_7214_genericNode->type = alloc_MethodType(1, argcv_meth_ast_7214_genericNode);
  meth_meth_ast_7214_genericNode->definitionModule = modulename;
  meth_meth_ast_7214_genericNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7215 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7215 = alloc_userobj2(2,4, objclass7215);
  gc_frame_newslot(obj7215);
  if (objclass7215 == NULL) {
    glfree(obj7215->class->name);
    obj7215->class->name = "typeParametersNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7215, self, 0);
  addmethodreal(obj7215,"outer", &reader_ast_outer_7216);
  Object oldself7215 = self;
  struct StackFrameObject *oldstackframe7215 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7215);
  gc_frame_newslot((Object)stackframe);
  self = obj7215;
  Object *oldselfslot7215 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7215 = (*(struct UserObject *)self).data[0], lowerouter7215 = thisouter7215;
  if (inheritingObject7215) {
    struct UserObject *inho7215 = (struct UserObject *)inheritingObject7215;
    while (inho7215->super != GraceDefaultObject) inho7215 = (struct UserObject *)inho7215->super;
    inho7215->super = obj7215;
    self = inheritingObject7215;
    *selfslot = self;
    lowerouter7215 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7215;
  }
// method "new(_)"
  block_savedest(obj7215);
  Object closure7217 = createclosure(3, "new(1)");
  setclosureframe(closure7217, stackframe);
  addtoclosure(closure7217, var_k);
  addtoclosure(closure7217, var_emptySeq);
  addtoclosure(closure7217, var_typeParametersNode);
  struct UserObject *uo7217 = (struct UserObject*)obj7215;
  uo7217->data[1] = (Object)closure7217;
  Method *meth_meth_ast_7217_new_40_1_41_ = addmethod2pos(obj7215, "new(1)", &meth_ast_7217_new_40_1_41_, 1);
  int argcv_meth_ast_7217_new_40_1_41_[] = {1};
  meth_meth_ast_7217_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7217_new_40_1_41_);
  meth_meth_ast_7217_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7217_new_40_1_41_->definitionLine = 1860;
  block_savedest(obj7215);
  Object closure7361 = createclosure(3, "new(1)$object(1)");
  setclosureframe(closure7361, stackframe);
  addtoclosure(closure7361, var_k);
  addtoclosure(closure7361, var_emptySeq);
  addtoclosure(closure7361, var_typeParametersNode);
  Method *meth_meth_ast_7217_new_40_1_41__object = addmethod2pos(obj7215, "new(1)$object(1)", &meth_ast_7217_new_40_1_41__object, 1);
  meth_meth_ast_7217_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_7217_new_40_1_41__object->definitionLine = 1860;
  sourceObject = obj7215;
  objclass7215 = obj7215->class;
  objclass7215->definitionModule = modulename;
  objclass7215->definitionLine = 1859;
  (*(struct UserObject *)self).data[0] = lowerouter7215;
  self = oldself7215;
  selfslot = oldselfslot7215;
  stackframe = oldstackframe7215;
// compiled object node returning obj7215 (depth = 2)
  *var_typeParametersNode = obj7215;
  if (obj7215 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeParametersNode"
  block_savedest(self);
  Object closure7362 = createclosure(1, "typeParametersNode");
  setclosureframe(closure7362, stackframe);
  addtoclosure(closure7362, var_typeParametersNode);
  struct UserObject *uo7362 = (struct UserObject*)self;
  uo7362->data[41] = (Object)closure7362;
  Method *meth_meth_ast_7362_typeParametersNode = addmethod2pos(self, "typeParametersNode", &meth_ast_7362_typeParametersNode, 41);
  int argcv_meth_ast_7362_typeParametersNode[] = {0};
  meth_meth_ast_7362_typeParametersNode->type = alloc_MethodType(1, argcv_meth_ast_7362_typeParametersNode);
  meth_meth_ast_7362_typeParametersNode->definitionModule = modulename;
  meth_meth_ast_7362_typeParametersNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7363 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7363 = alloc_userobj2(6,6, objclass7363);
  gc_frame_newslot(obj7363);
  if (objclass7363 == NULL) {
    glfree(obj7363->class->name);
    obj7363->class->name = "identifierNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7363, self, 0);
  addmethodreal(obj7363,"outer", &reader_ast_outer_7364);
  Object oldself7363 = self;
  struct StackFrameObject *oldstackframe7363 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7363);
  gc_frame_newslot((Object)stackframe);
  self = obj7363;
  Object *oldselfslot7363 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7363 = (*(struct UserObject *)self).data[0], lowerouter7363 = thisouter7363;
  if (inheritingObject7363) {
    struct UserObject *inho7363 = (struct UserObject *)inheritingObject7363;
    while (inho7363->super != GraceDefaultObject) inho7363 = (struct UserObject *)inho7363->super;
    inho7363->super = obj7363;
    self = inheritingObject7363;
    *selfslot = self;
    lowerouter7363 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7363;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo7365 = (struct UserObject*)obj7363;
  uo7365->data[1] = emptyclosure;
  Method *meth_meth_ast_7365_new_40_2_41_scope_40_1_41_ = addmethod2pos(obj7363, "new(2)scope(1)", &meth_ast_7365_new_40_2_41_scope_40_1_41_, 1);
  int argcv_meth_ast_7365_new_40_2_41_scope_40_1_41_[] = {2, 1};
  meth_meth_ast_7365_new_40_2_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7365_new_40_2_41_scope_40_1_41_);
  meth_meth_ast_7365_new_40_2_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7365_new_40_2_41_scope_40_1_41_->definitionLine = 1905;
  if (objclass7363 == NULL) {
    Method *reader7370 = addmethodrealflags(obj7363, "wildcardCount", &reader_ast_wildcardCount_7370, MFLAG_CONFIDENTIAL);
    Method *writer7370 = addmethodrealflags(obj7363, "wildcardCount:=(1)", &writer_ast_wildcardCount_7370, MFLAG_CONFIDENTIAL);
    reader7370->definitionModule = modulename;
    writer7370->definitionModule = modulename;
    reader7370->definitionLine = 1911;
    writer7370->definitionLine = 1911;
  }
  obj7363->flags |= OFLAG_MUTABLE;
  adddatum2(obj7363, alloc_Undefined(), 2);
// method "wildcard(_)"
  struct UserObject *uo7371 = (struct UserObject*)obj7363;
  uo7371->data[3] = emptyclosure;
  Method *meth_meth_ast_7371_wildcard_40_1_41_ = addmethod2pos(obj7363, "wildcard(1)", &meth_ast_7371_wildcard_40_1_41_, 3);
  int argcv_meth_ast_7371_wildcard_40_1_41_[] = {1};
  meth_meth_ast_7371_wildcard_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7371_wildcard_40_1_41_);
  meth_meth_ast_7371_wildcard_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7371_wildcard_40_1_41_->definitionLine = 1912;
// method "new(_,_)"
  block_savedest(obj7363);
  Object closure7403 = createclosure(1, "new(2)");
  setclosureframe(closure7403, stackframe);
  addtoclosure(closure7403, var_identifierNode);
  struct UserObject *uo7403 = (struct UserObject*)obj7363;
  uo7403->data[4] = (Object)closure7403;
  Method *meth_meth_ast_7403_new_40_2_41_ = addmethod2pos(obj7363, "new(2)", &meth_ast_7403_new_40_2_41_, 4);
  int argcv_meth_ast_7403_new_40_2_41_[] = {2};
  meth_meth_ast_7403_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_7403_new_40_2_41_);
  meth_meth_ast_7403_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_7403_new_40_2_41_->definitionLine = 1920;
  block_savedest(obj7363);
  Object closure7860 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure7860, stackframe);
  addtoclosure(closure7860, var_identifierNode);
  Method *meth_meth_ast_7403_new_40_2_41__object = addmethod2pos(obj7363, "new(2)$object(1)", &meth_ast_7403_new_40_2_41__object, 4);
  meth_meth_ast_7403_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_7403_new_40_2_41__object->definitionLine = 1920;
  sourceObject = obj7363;
  sourceObject = obj7363;
// Begin line 1911
  setline(1911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num7861 = alloc_Float64(0);
// compiled num node returning num7861 (depth = 3)
  adddatum2(obj7363, num7861, 2);
  sourceObject = obj7363;
  sourceObject = obj7363;
  objclass7363 = obj7363->class;
  objclass7363->definitionModule = modulename;
  objclass7363->definitionLine = 1903;
  (*(struct UserObject *)self).data[0] = lowerouter7363;
  self = oldself7363;
  selfslot = oldselfslot7363;
  stackframe = oldstackframe7363;
// compiled object node returning obj7363 (depth = 2)
  *var_identifierNode = obj7363;
  if (obj7363 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "identifierNode"
  block_savedest(self);
  Object closure7862 = createclosure(1, "identifierNode");
  setclosureframe(closure7862, stackframe);
  addtoclosure(closure7862, var_identifierNode);
  struct UserObject *uo7862 = (struct UserObject*)self;
  uo7862->data[42] = (Object)closure7862;
  Method *meth_meth_ast_7862_identifierNode = addmethod2pos(self, "identifierNode", &meth_ast_7862_identifierNode, 42);
  int argcv_meth_ast_7862_identifierNode[] = {0};
  meth_meth_ast_7862_identifierNode->type = alloc_MethodType(1, argcv_meth_ast_7862_identifierNode);
  meth_meth_ast_7862_identifierNode->definitionModule = modulename;
  meth_meth_ast_7862_identifierNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7863 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7864 == NULL) {
    strlit7864 = alloc_String("Type");
    gc_root(strlit7864);
  }
// compiled string node returning strlit7864 (depth = 3)
  gc_frame_newslot(strlit7864);
// starting to compile identifier node (depth = 3)
  Object bool7865 = alloc_Boolean(0);
// compiled identifier node returning bool7865 (depth = 3)
  gc_frame_newslot(bool7865);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7864;
  params[1] = bool7865;
  partcv[0] = 2;
  Object call7866 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7863);
// compiled call node returning call7866 (depth = 2)
  *var_typeType = call7866;
  if (call7866 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeType"
  block_savedest(self);
  Object closure7867 = createclosure(1, "typeType");
  setclosureframe(closure7867, stackframe);
  addtoclosure(closure7867, var_typeType);
  struct UserObject *uo7867 = (struct UserObject*)self;
  uo7867->data[43] = (Object)closure7867;
  Method *meth_meth_ast_7867_typeType = addmethod2pos(self, "typeType", &meth_ast_7867_typeType, 43);
  int argcv_meth_ast_7867_typeType[] = {0};
  meth_meth_ast_7867_typeType->type = alloc_MethodType(1, argcv_meth_ast_7867_typeType);
  meth_meth_ast_7867_typeType->definitionModule = modulename;
  meth_meth_ast_7867_typeType->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7868 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7869 == NULL) {
    strlit7869 = alloc_String("Unknown");
    gc_root(strlit7869);
  }
// compiled string node returning strlit7869 (depth = 3)
  gc_frame_newslot(strlit7869);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_newslot(*var_typeType);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7869;
  params[1] = *var_typeType;
  partcv[0] = 2;
  Object call7870 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7868);
// compiled call node returning call7870 (depth = 2)
  *var_unknownType = call7870;
  if (call7870 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "unknownType"
  block_savedest(self);
  Object closure7871 = createclosure(1, "unknownType");
  setclosureframe(closure7871, stackframe);
  addtoclosure(closure7871, var_unknownType);
  struct UserObject *uo7871 = (struct UserObject*)self;
  uo7871->data[44] = (Object)closure7871;
  Method *meth_meth_ast_7871_unknownType = addmethod2pos(self, "unknownType", &meth_ast_7871_unknownType, 44);
  int argcv_meth_ast_7871_unknownType[] = {0};
  meth_meth_ast_7871_unknownType->type = alloc_MethodType(1, argcv_meth_ast_7871_unknownType);
  meth_meth_ast_7871_unknownType->definitionModule = modulename;
  meth_meth_ast_7871_unknownType->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7872 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7872 = alloc_userobj2(3,4, objclass7872);
  gc_frame_newslot(obj7872);
  if (objclass7872 == NULL) {
    glfree(obj7872->class->name);
    obj7872->class->name = "stringNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7872, self, 0);
  addmethodreal(obj7872,"outer", &reader_ast_outer_7873);
  Object oldself7872 = self;
  struct StackFrameObject *oldstackframe7872 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7872);
  gc_frame_newslot((Object)stackframe);
  self = obj7872;
  Object *oldselfslot7872 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7872 = (*(struct UserObject *)self).data[0], lowerouter7872 = thisouter7872;
  if (inheritingObject7872) {
    struct UserObject *inho7872 = (struct UserObject *)inheritingObject7872;
    while (inho7872->super != GraceDefaultObject) inho7872 = (struct UserObject *)inho7872->super;
    inho7872->super = obj7872;
    self = inheritingObject7872;
    *selfslot = self;
    lowerouter7872 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7872;
  }
// method "new(_)scope(_)"
  struct UserObject *uo7874 = (struct UserObject*)obj7872;
  uo7874->data[1] = emptyclosure;
  Method *meth_meth_ast_7874_new_40_1_41_scope_40_1_41_ = addmethod2pos(obj7872, "new(1)scope(1)", &meth_ast_7874_new_40_1_41_scope_40_1_41_, 1);
  int argcv_meth_ast_7874_new_40_1_41_scope_40_1_41_[] = {1, 1};
  meth_meth_ast_7874_new_40_1_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_7874_new_40_1_41_scope_40_1_41_);
  meth_meth_ast_7874_new_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7874_new_40_1_41_scope_40_1_41_->definitionLine = 2056;
// method "new(_)"
  block_savedest(obj7872);
  Object closure7879 = createclosure(1, "new(1)");
  setclosureframe(closure7879, stackframe);
  addtoclosure(closure7879, var_stringNode);
  struct UserObject *uo7879 = (struct UserObject*)obj7872;
  uo7879->data[2] = (Object)closure7879;
  Method *meth_meth_ast_7879_new_40_1_41_ = addmethod2pos(obj7872, "new(1)", &meth_ast_7879_new_40_1_41_, 2);
  int argcv_meth_ast_7879_new_40_1_41_[] = {1};
  meth_meth_ast_7879_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7879_new_40_1_41_);
  meth_meth_ast_7879_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7879_new_40_1_41_->definitionLine = 2062;
  block_savedest(obj7872);
  Object closure7975 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure7975, stackframe);
  addtoclosure(closure7975, var_stringNode);
  Method *meth_meth_ast_7879_new_40_1_41__object = addmethod2pos(obj7872, "new(1)$object(1)", &meth_ast_7879_new_40_1_41__object, 2);
  meth_meth_ast_7879_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_7879_new_40_1_41__object->definitionLine = 2062;
  sourceObject = obj7872;
  sourceObject = obj7872;
  objclass7872 = obj7872->class;
  objclass7872->definitionModule = modulename;
  objclass7872->definitionLine = 2055;
  (*(struct UserObject *)self).data[0] = lowerouter7872;
  self = oldself7872;
  selfslot = oldselfslot7872;
  stackframe = oldstackframe7872;
// compiled object node returning obj7872 (depth = 2)
  *var_stringNode = obj7872;
  if (obj7872 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "stringNode"
  block_savedest(self);
  Object closure7976 = createclosure(1, "stringNode");
  setclosureframe(closure7976, stackframe);
  addtoclosure(closure7976, var_stringNode);
  struct UserObject *uo7976 = (struct UserObject*)self;
  uo7976->data[45] = (Object)closure7976;
  Method *meth_meth_ast_7976_stringNode = addmethod2pos(self, "stringNode", &meth_ast_7976_stringNode, 45);
  int argcv_meth_ast_7976_stringNode[] = {0};
  meth_meth_ast_7976_stringNode->type = alloc_MethodType(1, argcv_meth_ast_7976_stringNode);
  meth_meth_ast_7976_stringNode->definitionModule = modulename;
  meth_meth_ast_7976_stringNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7977 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7977 = alloc_userobj2(2,4, objclass7977);
  gc_frame_newslot(obj7977);
  if (objclass7977 == NULL) {
    glfree(obj7977->class->name);
    obj7977->class->name = "numNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj7977, self, 0);
  addmethodreal(obj7977,"outer", &reader_ast_outer_7978);
  Object oldself7977 = self;
  struct StackFrameObject *oldstackframe7977 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7977);
  gc_frame_newslot((Object)stackframe);
  self = obj7977;
  Object *oldselfslot7977 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7977 = (*(struct UserObject *)self).data[0], lowerouter7977 = thisouter7977;
  if (inheritingObject7977) {
    struct UserObject *inho7977 = (struct UserObject *)inheritingObject7977;
    while (inho7977->super != GraceDefaultObject) inho7977 = (struct UserObject *)inho7977->super;
    inho7977->super = obj7977;
    self = inheritingObject7977;
    *selfslot = self;
    lowerouter7977 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7977;
  }
// method "new(_)"
  block_savedest(obj7977);
  Object closure7979 = createclosure(1, "new(1)");
  setclosureframe(closure7979, stackframe);
  addtoclosure(closure7979, var_numNode);
  struct UserObject *uo7979 = (struct UserObject*)obj7977;
  uo7979->data[1] = (Object)closure7979;
  Method *meth_meth_ast_7979_new_40_1_41_ = addmethod2pos(obj7977, "new(1)", &meth_ast_7979_new_40_1_41_, 1);
  int argcv_meth_ast_7979_new_40_1_41_[] = {1};
  meth_meth_ast_7979_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_7979_new_40_1_41_);
  meth_meth_ast_7979_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_7979_new_40_1_41_->definitionLine = 2098;
  block_savedest(obj7977);
  Object closure8046 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure8046, stackframe);
  addtoclosure(closure8046, var_numNode);
  Method *meth_meth_ast_7979_new_40_1_41__object = addmethod2pos(obj7977, "new(1)$object(1)", &meth_ast_7979_new_40_1_41__object, 1);
  meth_meth_ast_7979_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_7979_new_40_1_41__object->definitionLine = 2098;
  sourceObject = obj7977;
  objclass7977 = obj7977->class;
  objclass7977->definitionModule = modulename;
  objclass7977->definitionLine = 2097;
  (*(struct UserObject *)self).data[0] = lowerouter7977;
  self = oldself7977;
  selfslot = oldselfslot7977;
  stackframe = oldstackframe7977;
// compiled object node returning obj7977 (depth = 2)
  *var_numNode = obj7977;
  if (obj7977 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "numNode"
  block_savedest(self);
  Object closure8047 = createclosure(1, "numNode");
  setclosureframe(closure8047, stackframe);
  addtoclosure(closure8047, var_numNode);
  struct UserObject *uo8047 = (struct UserObject*)self;
  uo8047->data[46] = (Object)closure8047;
  Method *meth_meth_ast_8047_numNode = addmethod2pos(self, "numNode", &meth_ast_8047_numNode, 46);
  int argcv_meth_ast_8047_numNode[] = {0};
  meth_meth_ast_8047_numNode->type = alloc_MethodType(1, argcv_meth_ast_8047_numNode);
  meth_meth_ast_8047_numNode->definitionModule = modulename;
  meth_meth_ast_8047_numNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8048 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8048 = alloc_userobj2(2,4, objclass8048);
  gc_frame_newslot(obj8048);
  if (objclass8048 == NULL) {
    glfree(obj8048->class->name);
    obj8048->class->name = "opNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8048, self, 0);
  addmethodreal(obj8048,"outer", &reader_ast_outer_8049);
  Object oldself8048 = self;
  struct StackFrameObject *oldstackframe8048 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8048);
  gc_frame_newslot((Object)stackframe);
  self = obj8048;
  Object *oldselfslot8048 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8048 = (*(struct UserObject *)self).data[0], lowerouter8048 = thisouter8048;
  if (inheritingObject8048) {
    struct UserObject *inho8048 = (struct UserObject *)inheritingObject8048;
    while (inho8048->super != GraceDefaultObject) inho8048 = (struct UserObject *)inho8048->super;
    inho8048->super = obj8048;
    self = inheritingObject8048;
    *selfslot = self;
    lowerouter8048 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8048;
  }
// method "new(_,_,_)"
  block_savedest(obj8048);
  Object closure8050 = createclosure(3, "new(3)");
  setclosureframe(closure8050, stackframe);
  addtoclosure(closure8050, var_identifierNode);
  addtoclosure(closure8050, var_nullNode);
  addtoclosure(closure8050, var_opNode);
  struct UserObject *uo8050 = (struct UserObject*)obj8048;
  uo8050->data[1] = (Object)closure8050;
  Method *meth_meth_ast_8050_new_40_3_41_ = addmethod2pos(obj8048, "new(3)", &meth_ast_8050_new_40_3_41_, 1);
  int argcv_meth_ast_8050_new_40_3_41_[] = {3};
  meth_meth_ast_8050_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_8050_new_40_3_41_);
  meth_meth_ast_8050_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_8050_new_40_3_41_->definitionLine = 2126;
  block_savedest(obj8048);
  Object closure8371 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure8371, stackframe);
  addtoclosure(closure8371, var_identifierNode);
  addtoclosure(closure8371, var_nullNode);
  addtoclosure(closure8371, var_opNode);
  Method *meth_meth_ast_8050_new_40_3_41__object = addmethod2pos(obj8048, "new(3)$object(1)", &meth_ast_8050_new_40_3_41__object, 1);
  meth_meth_ast_8050_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_8050_new_40_3_41__object->definitionLine = 2126;
  sourceObject = obj8048;
  objclass8048 = obj8048->class;
  objclass8048->definitionModule = modulename;
  objclass8048->definitionLine = 2125;
  (*(struct UserObject *)self).data[0] = lowerouter8048;
  self = oldself8048;
  selfslot = oldselfslot8048;
  stackframe = oldstackframe8048;
// compiled object node returning obj8048 (depth = 2)
  *var_opNode = obj8048;
  if (obj8048 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "opNode"
  block_savedest(self);
  Object closure8372 = createclosure(1, "opNode");
  setclosureframe(closure8372, stackframe);
  addtoclosure(closure8372, var_opNode);
  struct UserObject *uo8372 = (struct UserObject*)self;
  uo8372->data[47] = (Object)closure8372;
  Method *meth_meth_ast_8372_opNode = addmethod2pos(self, "opNode", &meth_ast_8372_opNode, 47);
  int argcv_meth_ast_8372_opNode[] = {0};
  meth_meth_ast_8372_opNode->type = alloc_MethodType(1, argcv_meth_ast_8372_opNode);
  meth_meth_ast_8372_opNode->definitionModule = modulename;
  meth_meth_ast_8372_opNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8373 = alloc_userobj2(2,4, objclass8373);
  gc_frame_newslot(obj8373);
  if (objclass8373 == NULL) {
    glfree(obj8373->class->name);
    obj8373->class->name = "bindNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8373, self, 0);
  addmethodreal(obj8373,"outer", &reader_ast_outer_8374);
  Object oldself8373 = self;
  struct StackFrameObject *oldstackframe8373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8373);
  gc_frame_newslot((Object)stackframe);
  self = obj8373;
  Object *oldselfslot8373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8373 = (*(struct UserObject *)self).data[0], lowerouter8373 = thisouter8373;
  if (inheritingObject8373) {
    struct UserObject *inho8373 = (struct UserObject *)inheritingObject8373;
    while (inho8373->super != GraceDefaultObject) inho8373 = (struct UserObject *)inho8373->super;
    inho8373->super = obj8373;
    self = inheritingObject8373;
    *selfslot = self;
    lowerouter8373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8373;
  }
// method "new(_,_)"
  block_savedest(obj8373);
  Object closure8375 = createclosure(1, "new(2)");
  setclosureframe(closure8375, stackframe);
  addtoclosure(closure8375, var_bindNode);
  struct UserObject *uo8375 = (struct UserObject*)obj8373;
  uo8375->data[1] = (Object)closure8375;
  Method *meth_meth_ast_8375_new_40_2_41_ = addmethod2pos(obj8373, "new(2)", &meth_ast_8375_new_40_2_41_, 1);
  int argcv_meth_ast_8375_new_40_2_41_[] = {2};
  meth_meth_ast_8375_new_40_2_41_->type = alloc_MethodType(1, argcv_meth_ast_8375_new_40_2_41_);
  meth_meth_ast_8375_new_40_2_41_->definitionModule = modulename;
  meth_meth_ast_8375_new_40_2_41_->definitionLine = 2212;
  block_savedest(obj8373);
  Object closure8539 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure8539, stackframe);
  addtoclosure(closure8539, var_bindNode);
  Method *meth_meth_ast_8375_new_40_2_41__object = addmethod2pos(obj8373, "new(2)$object(1)", &meth_ast_8375_new_40_2_41__object, 1);
  meth_meth_ast_8375_new_40_2_41__object->definitionModule = modulename;
  meth_meth_ast_8375_new_40_2_41__object->definitionLine = 2212;
  sourceObject = obj8373;
  objclass8373 = obj8373->class;
  objclass8373->definitionModule = modulename;
  objclass8373->definitionLine = 2211;
  (*(struct UserObject *)self).data[0] = lowerouter8373;
  self = oldself8373;
  selfslot = oldselfslot8373;
  stackframe = oldstackframe8373;
// compiled object node returning obj8373 (depth = 2)
  *var_bindNode = obj8373;
  if (obj8373 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "bindNode"
  block_savedest(self);
  Object closure8540 = createclosure(1, "bindNode");
  setclosureframe(closure8540, stackframe);
  addtoclosure(closure8540, var_bindNode);
  struct UserObject *uo8540 = (struct UserObject*)self;
  uo8540->data[48] = (Object)closure8540;
  Method *meth_meth_ast_8540_bindNode = addmethod2pos(self, "bindNode", &meth_ast_8540_bindNode, 48);
  int argcv_meth_ast_8540_bindNode[] = {0};
  meth_meth_ast_8540_bindNode->type = alloc_MethodType(1, argcv_meth_ast_8540_bindNode);
  meth_meth_ast_8540_bindNode->definitionModule = modulename;
  meth_meth_ast_8540_bindNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8541 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8541 = alloc_userobj2(3,4, objclass8541);
  gc_frame_newslot(obj8541);
  if (objclass8541 == NULL) {
    glfree(obj8541->class->name);
    obj8541->class->name = "defDecNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8541, self, 0);
  addmethodreal(obj8541,"outer", &reader_ast_outer_8542);
  Object oldself8541 = self;
  struct StackFrameObject *oldstackframe8541 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8541);
  gc_frame_newslot((Object)stackframe);
  self = obj8541;
  Object *oldselfslot8541 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8541 = (*(struct UserObject *)self).data[0], lowerouter8541 = thisouter8541;
  if (inheritingObject8541) {
    struct UserObject *inho8541 = (struct UserObject *)inheritingObject8541;
    while (inho8541->super != GraceDefaultObject) inho8541 = (struct UserObject *)inho8541->super;
    inho8541->super = obj8541;
    self = inheritingObject8541;
    *selfslot = self;
    lowerouter8541 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8541;
  }
// method "new(_,_,_)scope(_)"
  struct UserObject *uo8543 = (struct UserObject*)obj8541;
  uo8543->data[1] = emptyclosure;
  Method *meth_meth_ast_8543_new_40_3_41_scope_40_1_41_ = addmethod2pos(obj8541, "new(3)scope(1)", &meth_ast_8543_new_40_3_41_scope_40_1_41_, 1);
  int argcv_meth_ast_8543_new_40_3_41_scope_40_1_41_[] = {3, 1};
  meth_meth_ast_8543_new_40_3_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_8543_new_40_3_41_scope_40_1_41_);
  meth_meth_ast_8543_new_40_3_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_8543_new_40_3_41_scope_40_1_41_->definitionLine = 2259;
// method "new(_,_,_)"
  block_savedest(obj8541);
  Object closure8548 = createclosure(2, "new(3)");
  setclosureframe(closure8548, stackframe);
  addtoclosure(closure8548, var_k);
  addtoclosure(closure8548, var_defDecNode);
  struct UserObject *uo8548 = (struct UserObject*)obj8541;
  uo8548->data[2] = (Object)closure8548;
  Method *meth_meth_ast_8548_new_40_3_41_ = addmethod2pos(obj8541, "new(3)", &meth_ast_8548_new_40_3_41_, 2);
  int argcv_meth_ast_8548_new_40_3_41_[] = {3};
  meth_meth_ast_8548_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_8548_new_40_3_41_);
  meth_meth_ast_8548_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_8548_new_40_3_41_->definitionLine = 2265;
  block_savedest(obj8541);
  Object closure8966 = createclosure(2, "new(3)$object(1)");
  setclosureframe(closure8966, stackframe);
  addtoclosure(closure8966, var_k);
  addtoclosure(closure8966, var_defDecNode);
  Method *meth_meth_ast_8548_new_40_3_41__object = addmethod2pos(obj8541, "new(3)$object(1)", &meth_ast_8548_new_40_3_41__object, 2);
  meth_meth_ast_8548_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_8548_new_40_3_41__object->definitionLine = 2265;
  sourceObject = obj8541;
  sourceObject = obj8541;
  objclass8541 = obj8541->class;
  objclass8541->definitionModule = modulename;
  objclass8541->definitionLine = 2258;
  (*(struct UserObject *)self).data[0] = lowerouter8541;
  self = oldself8541;
  selfslot = oldselfslot8541;
  stackframe = oldstackframe8541;
// compiled object node returning obj8541 (depth = 2)
  *var_defDecNode = obj8541;
  if (obj8541 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "defDecNode"
  block_savedest(self);
  Object closure8967 = createclosure(1, "defDecNode");
  setclosureframe(closure8967, stackframe);
  addtoclosure(closure8967, var_defDecNode);
  struct UserObject *uo8967 = (struct UserObject*)self;
  uo8967->data[49] = (Object)closure8967;
  Method *meth_meth_ast_8967_defDecNode = addmethod2pos(self, "defDecNode", &meth_ast_8967_defDecNode, 49);
  int argcv_meth_ast_8967_defDecNode[] = {0};
  meth_meth_ast_8967_defDecNode->type = alloc_MethodType(1, argcv_meth_ast_8967_defDecNode);
  meth_meth_ast_8967_defDecNode->definitionModule = modulename;
  meth_meth_ast_8967_defDecNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2369
  setline(2369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8968 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8968 = alloc_userobj2(2,4, objclass8968);
  gc_frame_newslot(obj8968);
  if (objclass8968 == NULL) {
    glfree(obj8968->class->name);
    obj8968->class->name = "varDecNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj8968, self, 0);
  addmethodreal(obj8968,"outer", &reader_ast_outer_8969);
  Object oldself8968 = self;
  struct StackFrameObject *oldstackframe8968 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8968);
  gc_frame_newslot((Object)stackframe);
  self = obj8968;
  Object *oldselfslot8968 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8968 = (*(struct UserObject *)self).data[0], lowerouter8968 = thisouter8968;
  if (inheritingObject8968) {
    struct UserObject *inho8968 = (struct UserObject *)inheritingObject8968;
    while (inho8968->super != GraceDefaultObject) inho8968 = (struct UserObject *)inho8968->super;
    inho8968->super = obj8968;
    self = inheritingObject8968;
    *selfslot = self;
    lowerouter8968 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8968;
  }
// method "new(_,_,_)"
  block_savedest(obj8968);
  Object closure8970 = createclosure(2, "new(3)");
  setclosureframe(closure8970, stackframe);
  addtoclosure(closure8970, var_k);
  addtoclosure(closure8970, var_varDecNode);
  struct UserObject *uo8970 = (struct UserObject*)obj8968;
  uo8970->data[1] = (Object)closure8970;
  Method *meth_meth_ast_8970_new_40_3_41_ = addmethod2pos(obj8968, "new(3)", &meth_ast_8970_new_40_3_41_, 1);
  int argcv_meth_ast_8970_new_40_3_41_[] = {3};
  meth_meth_ast_8970_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_8970_new_40_3_41_);
  meth_meth_ast_8970_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_8970_new_40_3_41_->definitionLine = 2370;
  block_savedest(obj8968);
  Object closure9410 = createclosure(2, "new(3)$object(1)");
  setclosureframe(closure9410, stackframe);
  addtoclosure(closure9410, var_k);
  addtoclosure(closure9410, var_varDecNode);
  Method *meth_meth_ast_8970_new_40_3_41__object = addmethod2pos(obj8968, "new(3)$object(1)", &meth_ast_8970_new_40_3_41__object, 1);
  meth_meth_ast_8970_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_8970_new_40_3_41__object->definitionLine = 2370;
  sourceObject = obj8968;
  objclass8968 = obj8968->class;
  objclass8968->definitionModule = modulename;
  objclass8968->definitionLine = 2369;
  (*(struct UserObject *)self).data[0] = lowerouter8968;
  self = oldself8968;
  selfslot = oldselfslot8968;
  stackframe = oldstackframe8968;
// compiled object node returning obj8968 (depth = 2)
  *var_varDecNode = obj8968;
  if (obj8968 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "varDecNode"
  block_savedest(self);
  Object closure9411 = createclosure(1, "varDecNode");
  setclosureframe(closure9411, stackframe);
  addtoclosure(closure9411, var_varDecNode);
  struct UserObject *uo9411 = (struct UserObject*)self;
  uo9411->data[50] = (Object)closure9411;
  Method *meth_meth_ast_9411_varDecNode = addmethod2pos(self, "varDecNode", &meth_ast_9411_varDecNode, 50);
  int argcv_meth_ast_9411_varDecNode[] = {0};
  meth_meth_ast_9411_varDecNode->type = alloc_MethodType(1, argcv_meth_ast_9411_varDecNode);
  meth_meth_ast_9411_varDecNode->definitionModule = modulename;
  meth_meth_ast_9411_varDecNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9412 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9412 = alloc_userobj2(2,4, objclass9412);
  gc_frame_newslot(obj9412);
  if (objclass9412 == NULL) {
    glfree(obj9412->class->name);
    obj9412->class->name = "importNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9412, self, 0);
  addmethodreal(obj9412,"outer", &reader_ast_outer_9413);
  Object oldself9412 = self;
  struct StackFrameObject *oldstackframe9412 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9412);
  gc_frame_newslot((Object)stackframe);
  self = obj9412;
  Object *oldselfslot9412 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9412 = (*(struct UserObject *)self).data[0], lowerouter9412 = thisouter9412;
  if (inheritingObject9412) {
    struct UserObject *inho9412 = (struct UserObject *)inheritingObject9412;
    while (inho9412->super != GraceDefaultObject) inho9412 = (struct UserObject *)inho9412->super;
    inho9412->super = obj9412;
    self = inheritingObject9412;
    *selfslot = self;
    lowerouter9412 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9412;
  }
// method "new(_,_,_)"
  block_savedest(obj9412);
  Object closure9414 = createclosure(3, "new(3)");
  setclosureframe(closure9414, stackframe);
  addtoclosure(closure9414, var_k);
  addtoclosure(closure9414, var_nullNode);
  addtoclosure(closure9414, var_importNode);
  struct UserObject *uo9414 = (struct UserObject*)obj9412;
  uo9414->data[1] = (Object)closure9414;
  Method *meth_meth_ast_9414_new_40_3_41_ = addmethod2pos(obj9412, "new(3)", &meth_ast_9414_new_40_3_41_, 1);
  int argcv_meth_ast_9414_new_40_3_41_[] = {3};
  meth_meth_ast_9414_new_40_3_41_->type = alloc_MethodType(1, argcv_meth_ast_9414_new_40_3_41_);
  meth_meth_ast_9414_new_40_3_41_->definitionModule = modulename;
  meth_meth_ast_9414_new_40_3_41_->definitionLine = 2478;
  block_savedest(obj9412);
  Object closure9668 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure9668, stackframe);
  addtoclosure(closure9668, var_k);
  addtoclosure(closure9668, var_nullNode);
  addtoclosure(closure9668, var_importNode);
  Method *meth_meth_ast_9414_new_40_3_41__object = addmethod2pos(obj9412, "new(3)$object(1)", &meth_ast_9414_new_40_3_41__object, 1);
  meth_meth_ast_9414_new_40_3_41__object->definitionModule = modulename;
  meth_meth_ast_9414_new_40_3_41__object->definitionLine = 2478;
  sourceObject = obj9412;
  objclass9412 = obj9412->class;
  objclass9412->definitionModule = modulename;
  objclass9412->definitionLine = 2477;
  (*(struct UserObject *)self).data[0] = lowerouter9412;
  self = oldself9412;
  selfslot = oldselfslot9412;
  stackframe = oldstackframe9412;
// compiled object node returning obj9412 (depth = 2)
  *var_importNode = obj9412;
  if (obj9412 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "importNode"
  block_savedest(self);
  Object closure9669 = createclosure(1, "importNode");
  setclosureframe(closure9669, stackframe);
  addtoclosure(closure9669, var_importNode);
  struct UserObject *uo9669 = (struct UserObject*)self;
  uo9669->data[51] = (Object)closure9669;
  Method *meth_meth_ast_9669_importNode = addmethod2pos(self, "importNode", &meth_ast_9669_importNode, 51);
  int argcv_meth_ast_9669_importNode[] = {0};
  meth_meth_ast_9669_importNode->type = alloc_MethodType(1, argcv_meth_ast_9669_importNode);
  meth_meth_ast_9669_importNode->definitionModule = modulename;
  meth_meth_ast_9669_importNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2552
  setline(2552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9670 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9670 = alloc_userobj2(3,4, objclass9670);
  gc_frame_newslot(obj9670);
  if (objclass9670 == NULL) {
    glfree(obj9670->class->name);
    obj9670->class->name = "dialectNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9670, self, 0);
  addmethodreal(obj9670,"outer", &reader_ast_outer_9671);
  Object oldself9670 = self;
  struct StackFrameObject *oldstackframe9670 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9670);
  gc_frame_newslot((Object)stackframe);
  self = obj9670;
  Object *oldselfslot9670 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9670 = (*(struct UserObject *)self).data[0], lowerouter9670 = thisouter9670;
  if (inheritingObject9670) {
    struct UserObject *inho9670 = (struct UserObject *)inheritingObject9670;
    while (inho9670->super != GraceDefaultObject) inho9670 = (struct UserObject *)inho9670->super;
    inho9670->super = obj9670;
    self = inheritingObject9670;
    *selfslot = self;
    lowerouter9670 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9670;
  }
// method "fromToken(_)"
  struct UserObject *uo9672 = (struct UserObject*)obj9670;
  uo9672->data[1] = emptyclosure;
  Method *meth_meth_ast_9672_fromToken_40_1_41_ = addmethod2pos(obj9670, "fromToken(1)", &meth_ast_9672_fromToken_40_1_41_, 1);
  int argcv_meth_ast_9672_fromToken_40_1_41_[] = {1};
  meth_meth_ast_9672_fromToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9672_fromToken_40_1_41_);
  meth_meth_ast_9672_fromToken_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9672_fromToken_40_1_41_->definitionLine = 2553;
// method "new(_)"
  block_savedest(obj9670);
  Object closure9694 = createclosure(2, "new(1)");
  setclosureframe(closure9694, stackframe);
  addtoclosure(closure9694, var_dialectNode);
  addtoclosure(closure9694, var_noPosition);
  struct UserObject *uo9694 = (struct UserObject*)obj9670;
  uo9694->data[2] = (Object)closure9694;
  Method *meth_meth_ast_9694_new_40_1_41_ = addmethod2pos(obj9670, "new(1)", &meth_ast_9694_new_40_1_41_, 2);
  int argcv_meth_ast_9694_new_40_1_41_[] = {1};
  meth_meth_ast_9694_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9694_new_40_1_41_);
  meth_meth_ast_9694_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9694_new_40_1_41_->definitionLine = 2558;
  block_savedest(obj9670);
  Object closure9801 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure9801, stackframe);
  addtoclosure(closure9801, var_dialectNode);
  addtoclosure(closure9801, var_noPosition);
  Method *meth_meth_ast_9694_new_40_1_41__object = addmethod2pos(obj9670, "new(1)$object(1)", &meth_ast_9694_new_40_1_41__object, 2);
  meth_meth_ast_9694_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_9694_new_40_1_41__object->definitionLine = 2558;
  sourceObject = obj9670;
  sourceObject = obj9670;
  objclass9670 = obj9670->class;
  objclass9670->definitionModule = modulename;
  objclass9670->definitionLine = 2552;
  (*(struct UserObject *)self).data[0] = lowerouter9670;
  self = oldself9670;
  selfslot = oldselfslot9670;
  stackframe = oldstackframe9670;
// compiled object node returning obj9670 (depth = 2)
  *var_dialectNode = obj9670;
  if (obj9670 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "dialectNode"
  block_savedest(self);
  Object closure9802 = createclosure(1, "dialectNode");
  setclosureframe(closure9802, stackframe);
  addtoclosure(closure9802, var_dialectNode);
  struct UserObject *uo9802 = (struct UserObject*)self;
  uo9802->data[52] = (Object)closure9802;
  Method *meth_meth_ast_9802_dialectNode = addmethod2pos(self, "dialectNode", &meth_ast_9802_dialectNode, 52);
  int argcv_meth_ast_9802_dialectNode[] = {0};
  meth_meth_ast_9802_dialectNode->type = alloc_MethodType(1, argcv_meth_ast_9802_dialectNode);
  meth_meth_ast_9802_dialectNode->definitionModule = modulename;
  meth_meth_ast_9802_dialectNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9803 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9803 = alloc_userobj2(2,4, objclass9803);
  gc_frame_newslot(obj9803);
  if (objclass9803 == NULL) {
    glfree(obj9803->class->name);
    obj9803->class->name = "returnNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9803, self, 0);
  addmethodreal(obj9803,"outer", &reader_ast_outer_9804);
  Object oldself9803 = self;
  struct StackFrameObject *oldstackframe9803 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9803);
  gc_frame_newslot((Object)stackframe);
  self = obj9803;
  Object *oldselfslot9803 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9803 = (*(struct UserObject *)self).data[0], lowerouter9803 = thisouter9803;
  if (inheritingObject9803) {
    struct UserObject *inho9803 = (struct UserObject *)inheritingObject9803;
    while (inho9803->super != GraceDefaultObject) inho9803 = (struct UserObject *)inho9803->super;
    inho9803->super = obj9803;
    self = inheritingObject9803;
    *selfslot = self;
    lowerouter9803 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9803;
  }
// method "new(_)"
  block_savedest(obj9803);
  Object closure9805 = createclosure(2, "new(1)");
  setclosureframe(closure9805, stackframe);
  addtoclosure(closure9805, var_noPosition);
  addtoclosure(closure9805, var_returnNode);
  struct UserObject *uo9805 = (struct UserObject*)obj9803;
  uo9805->data[1] = (Object)closure9805;
  Method *meth_meth_ast_9805_new_40_1_41_ = addmethod2pos(obj9803, "new(1)", &meth_ast_9805_new_40_1_41_, 1);
  int argcv_meth_ast_9805_new_40_1_41_[] = {1};
  meth_meth_ast_9805_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9805_new_40_1_41_);
  meth_meth_ast_9805_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9805_new_40_1_41_->definitionLine = 2608;
  block_savedest(obj9803);
  Object closure9961 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure9961, stackframe);
  addtoclosure(closure9961, var_noPosition);
  addtoclosure(closure9961, var_returnNode);
  Method *meth_meth_ast_9805_new_40_1_41__object = addmethod2pos(obj9803, "new(1)$object(1)", &meth_ast_9805_new_40_1_41__object, 1);
  meth_meth_ast_9805_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_9805_new_40_1_41__object->definitionLine = 2608;
  sourceObject = obj9803;
  objclass9803 = obj9803->class;
  objclass9803->definitionModule = modulename;
  objclass9803->definitionLine = 2607;
  (*(struct UserObject *)self).data[0] = lowerouter9803;
  self = oldself9803;
  selfslot = oldselfslot9803;
  stackframe = oldstackframe9803;
// compiled object node returning obj9803 (depth = 2)
  *var_returnNode = obj9803;
  if (obj9803 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "returnNode"
  block_savedest(self);
  Object closure9962 = createclosure(1, "returnNode");
  setclosureframe(closure9962, stackframe);
  addtoclosure(closure9962, var_returnNode);
  struct UserObject *uo9962 = (struct UserObject*)self;
  uo9962->data[53] = (Object)closure9962;
  Method *meth_meth_ast_9962_returnNode = addmethod2pos(self, "returnNode", &meth_ast_9962_returnNode, 53);
  int argcv_meth_ast_9962_returnNode[] = {0};
  meth_meth_ast_9962_returnNode->type = alloc_MethodType(1, argcv_meth_ast_9962_returnNode);
  meth_meth_ast_9962_returnNode->definitionModule = modulename;
  meth_meth_ast_9962_returnNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9963 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9963 = alloc_userobj2(3,4, objclass9963);
  gc_frame_newslot(obj9963);
  if (objclass9963 == NULL) {
    glfree(obj9963->class->name);
    obj9963->class->name = "inheritNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj9963, self, 0);
  addmethodreal(obj9963,"outer", &reader_ast_outer_9964);
  Object oldself9963 = self;
  struct StackFrameObject *oldstackframe9963 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9963);
  gc_frame_newslot((Object)stackframe);
  self = obj9963;
  Object *oldselfslot9963 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9963 = (*(struct UserObject *)self).data[0], lowerouter9963 = thisouter9963;
  if (inheritingObject9963) {
    struct UserObject *inho9963 = (struct UserObject *)inheritingObject9963;
    while (inho9963->super != GraceDefaultObject) inho9963 = (struct UserObject *)inho9963->super;
    inho9963->super = obj9963;
    self = inheritingObject9963;
    *selfslot = self;
    lowerouter9963 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9963;
  }
// method "new(_)scope(_)"
  struct UserObject *uo9965 = (struct UserObject*)obj9963;
  uo9965->data[1] = emptyclosure;
  Method *meth_meth_ast_9965_new_40_1_41_scope_40_1_41_ = addmethod2pos(obj9963, "new(1)scope(1)", &meth_ast_9965_new_40_1_41_scope_40_1_41_, 1);
  int argcv_meth_ast_9965_new_40_1_41_scope_40_1_41_[] = {1, 1};
  meth_meth_ast_9965_new_40_1_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_9965_new_40_1_41_scope_40_1_41_);
  meth_meth_ast_9965_new_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9965_new_40_1_41_scope_40_1_41_->definitionLine = 2661;
// method "new(_)"
  block_savedest(obj9963);
  Object closure9970 = createclosure(3, "new(1)");
  setclosureframe(closure9970, stackframe);
  addtoclosure(closure9970, var_k);
  addtoclosure(closure9970, var_nullNode);
  addtoclosure(closure9970, var_inheritNode);
  struct UserObject *uo9970 = (struct UserObject*)obj9963;
  uo9970->data[2] = (Object)closure9970;
  Method *meth_meth_ast_9970_new_40_1_41_ = addmethod2pos(obj9963, "new(1)", &meth_ast_9970_new_40_1_41_, 2);
  int argcv_meth_ast_9970_new_40_1_41_[] = {1};
  meth_meth_ast_9970_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_9970_new_40_1_41_);
  meth_meth_ast_9970_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_9970_new_40_1_41_->definitionLine = 2666;
  block_savedest(obj9963);
  Object closure10342 = createclosure(3, "new(1)$object(1)");
  setclosureframe(closure10342, stackframe);
  addtoclosure(closure10342, var_k);
  addtoclosure(closure10342, var_nullNode);
  addtoclosure(closure10342, var_inheritNode);
  Method *meth_meth_ast_9970_new_40_1_41__object = addmethod2pos(obj9963, "new(1)$object(1)", &meth_ast_9970_new_40_1_41__object, 2);
  meth_meth_ast_9970_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_9970_new_40_1_41__object->definitionLine = 2666;
  sourceObject = obj9963;
  sourceObject = obj9963;
  objclass9963 = obj9963->class;
  objclass9963->definitionModule = modulename;
  objclass9963->definitionLine = 2660;
  (*(struct UserObject *)self).data[0] = lowerouter9963;
  self = oldself9963;
  selfslot = oldselfslot9963;
  stackframe = oldstackframe9963;
// compiled object node returning obj9963 (depth = 2)
  *var_inheritNode = obj9963;
  if (obj9963 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "inheritNode"
  block_savedest(self);
  Object closure10343 = createclosure(1, "inheritNode");
  setclosureframe(closure10343, stackframe);
  addtoclosure(closure10343, var_inheritNode);
  struct UserObject *uo10343 = (struct UserObject*)self;
  uo10343->data[54] = (Object)closure10343;
  Method *meth_meth_ast_10343_inheritNode = addmethod2pos(self, "inheritNode", &meth_ast_10343_inheritNode, 54);
  int argcv_meth_ast_10343_inheritNode[] = {0};
  meth_meth_ast_10343_inheritNode->type = alloc_MethodType(1, argcv_meth_ast_10343_inheritNode);
  meth_meth_ast_10343_inheritNode->definitionModule = modulename;
  meth_meth_ast_10343_inheritNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AliasPair
// starting to compile typeliteral node (depth = 2)
//   Type literal 
  Object type10345 = alloc_Type("AliasPair", 2);
  add_Method((ClassData)type10345, "newName", NULL);
  add_Method((ClassData)type10345, "oldName", NULL);
// compiled typeliteral node returning type10345 (depth = 2)
  *var_AliasPair = type10345;
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "AliasPair"
  block_savedest(self);
  Object closure10346 = createclosure(1, "AliasPair");
  setclosureframe(closure10346, stackframe);
  addtoclosure(closure10346, var_AliasPair);
  struct UserObject *uo10346 = (struct UserObject*)self;
  uo10346->data[55] = (Object)closure10346;
  Method *meth_meth_ast_10346_AliasPair = addmethod2pos(self, "AliasPair", &meth_ast_10346_AliasPair, 55);
  int argcv_meth_ast_10346_AliasPair[] = {0};
  meth_meth_ast_10346_AliasPair->type = alloc_MethodType(1, argcv_meth_ast_10346_AliasPair);
  meth_meth_ast_10346_AliasPair->definitionModule = modulename;
  meth_meth_ast_10346_AliasPair->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 2782
  setline(2782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10347 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10347 = alloc_userobj2(6,7, objclass10347);
  gc_frame_newslot(obj10347);
  if (objclass10347 == NULL) {
    glfree(obj10347->class->name);
    obj10347->class->name = "signaturePart";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj10347, self, 0);
  addmethodreal(obj10347,"outer", &reader_ast_outer_10348);
  Object oldself10347 = self;
  struct StackFrameObject *oldstackframe10347 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10347);
  gc_frame_newslot((Object)stackframe);
  self = obj10347;
  Object *oldselfslot10347 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10347 = (*(struct UserObject *)self).data[0], lowerouter10347 = thisouter10347;
  if (inheritingObject10347) {
    struct UserObject *inho10347 = (struct UserObject *)inheritingObject10347;
    while (inho10347->super != GraceDefaultObject) inho10347 = (struct UserObject *)inho10347->super;
    inho10347->super = obj10347;
    self = inheritingObject10347;
    *selfslot = self;
    lowerouter10347 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10347;
  }
// method "new"
  struct UserObject *uo10349 = (struct UserObject*)obj10347;
  uo10349->data[1] = emptyclosure;
  Method *meth_meth_ast_10349_new = addmethod2pos(obj10347, "new", &meth_ast_10349_new, 1);
  int argcv_meth_ast_10349_new[] = {0};
  meth_meth_ast_10349_new->type = alloc_MethodType(1, argcv_meth_ast_10349_new);
  meth_meth_ast_10349_new->definitionModule = modulename;
  meth_meth_ast_10349_new->definitionLine = 2783;
// method "partName(_)scope(_)"
  struct UserObject *uo10354 = (struct UserObject*)obj10347;
  uo10354->data[2] = emptyclosure;
  Method *meth_meth_ast_10354_partName_40_1_41_scope_40_1_41_ = addmethod2pos(obj10347, "partName(1)scope(1)", &meth_ast_10354_partName_40_1_41_scope_40_1_41_, 2);
  int argcv_meth_ast_10354_partName_40_1_41_scope_40_1_41_[] = {1, 1};
  meth_meth_ast_10354_partName_40_1_41_scope_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10354_partName_40_1_41_scope_40_1_41_);
  meth_meth_ast_10354_partName_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10354_partName_40_1_41_scope_40_1_41_->definitionLine = 2786;
// method "partName(_)params(_)scope(_)"
  struct UserObject *uo10360 = (struct UserObject*)obj10347;
  uo10360->data[3] = emptyclosure;
  Method *meth_meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_ = addmethod2pos(obj10347, "partName(1)params(1)scope(1)", &meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_, 3);
  int argcv_meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_[] = {1, 1, 1};
  meth_meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_->type = alloc_MethodType(3, argcv_meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_);
  meth_meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10360_partName_40_1_41_params_40_1_41_scope_40_1_41_->definitionLine = 2791;
// method "partName(_)"
  struct UserObject *uo10365 = (struct UserObject*)obj10347;
  uo10365->data[4] = emptyclosure;
  Method *meth_meth_ast_10365_partName_40_1_41_ = addmethod2pos(obj10347, "partName(1)", &meth_ast_10365_partName_40_1_41_, 4);
  int argcv_meth_ast_10365_partName_40_1_41_[] = {1};
  meth_meth_ast_10365_partName_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_10365_partName_40_1_41_);
  meth_meth_ast_10365_partName_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10365_partName_40_1_41_->definitionLine = 2796;
// method "partName(_)params(_)"
  block_savedest(obj10347);
  Object closure10369 = createclosure(2, "partName(1)params(1)");
  setclosureframe(closure10369, stackframe);
  addtoclosure(closure10369, var_k);
  addtoclosure(closure10369, var_signaturePart);
  struct UserObject *uo10369 = (struct UserObject*)obj10347;
  uo10369->data[5] = (Object)closure10369;
  Method *meth_meth_ast_10369_partName_40_1_41_params_40_1_41_ = addmethod2pos(obj10347, "partName(1)params(1)", &meth_ast_10369_partName_40_1_41_params_40_1_41_, 5);
  int argcv_meth_ast_10369_partName_40_1_41_params_40_1_41_[] = {1, 1};
  meth_meth_ast_10369_partName_40_1_41_params_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10369_partName_40_1_41_params_40_1_41_);
  meth_meth_ast_10369_partName_40_1_41_params_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10369_partName_40_1_41_params_40_1_41_->definitionLine = 2799;
  block_savedest(obj10347);
  Object closure10714 = createclosure(2, "partName(1)params(1)$object(1)");
  setclosureframe(closure10714, stackframe);
  addtoclosure(closure10714, var_k);
  addtoclosure(closure10714, var_signaturePart);
  Method *meth_meth_ast_10369_partName_40_1_41_params_40_1_41__object = addmethod2pos(obj10347, "partName(1)params(1)$object(1)", &meth_ast_10369_partName_40_1_41_params_40_1_41__object, 5);
  meth_meth_ast_10369_partName_40_1_41_params_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_10369_partName_40_1_41_params_40_1_41__object->definitionLine = 2799;
  sourceObject = obj10347;
  sourceObject = obj10347;
  sourceObject = obj10347;
  sourceObject = obj10347;
  sourceObject = obj10347;
  objclass10347 = obj10347->class;
  objclass10347->definitionModule = modulename;
  objclass10347->definitionLine = 2782;
  (*(struct UserObject *)self).data[0] = lowerouter10347;
  self = oldself10347;
  selfslot = oldselfslot10347;
  stackframe = oldstackframe10347;
// compiled object node returning obj10347 (depth = 2)
  *var_signaturePart = obj10347;
  if (obj10347 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "signaturePart"
  block_savedest(self);
  Object closure10715 = createclosure(1, "signaturePart");
  setclosureframe(closure10715, stackframe);
  addtoclosure(closure10715, var_signaturePart);
  struct UserObject *uo10715 = (struct UserObject*)self;
  uo10715->data[56] = (Object)closure10715;
  Method *meth_meth_ast_10715_signaturePart = addmethod2pos(self, "signaturePart", &meth_ast_10715_signaturePart, 56);
  int argcv_meth_ast_10715_signaturePart[] = {0};
  meth_meth_ast_10715_signaturePart->type = alloc_MethodType(1, argcv_meth_ast_10715_signaturePart);
  meth_meth_ast_10715_signaturePart->definitionModule = modulename;
  meth_meth_ast_10715_signaturePart->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10716 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10716 = alloc_userobj2(4,5, objclass10716);
  gc_frame_newslot(obj10716);
  if (objclass10716 == NULL) {
    glfree(obj10716->class->name);
    obj10716->class->name = "requestPart";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj10716, self, 0);
  addmethodreal(obj10716,"outer", &reader_ast_outer_10717);
  Object oldself10716 = self;
  struct StackFrameObject *oldstackframe10716 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10716);
  gc_frame_newslot((Object)stackframe);
  self = obj10716;
  Object *oldselfslot10716 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10716 = (*(struct UserObject *)self).data[0], lowerouter10716 = thisouter10716;
  if (inheritingObject10716) {
    struct UserObject *inho10716 = (struct UserObject *)inheritingObject10716;
    while (inho10716->super != GraceDefaultObject) inho10716 = (struct UserObject *)inho10716->super;
    inho10716->super = obj10716;
    self = inheritingObject10716;
    *selfslot = self;
    lowerouter10716 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10716;
  }
// method "new"
  struct UserObject *uo10718 = (struct UserObject*)obj10716;
  uo10718->data[1] = emptyclosure;
  Method *meth_meth_ast_10718_new = addmethod2pos(obj10716, "new", &meth_ast_10718_new, 1);
  int argcv_meth_ast_10718_new[] = {0};
  meth_meth_ast_10718_new->type = alloc_MethodType(1, argcv_meth_ast_10718_new);
  meth_meth_ast_10718_new->definitionModule = modulename;
  meth_meth_ast_10718_new->definitionLine = 2881;
// method "request(_)withArgs(_)scope(_)"
  struct UserObject *uo10723 = (struct UserObject*)obj10716;
  uo10723->data[2] = emptyclosure;
  Method *meth_meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_ = addmethod2pos(obj10716, "request(1)withArgs(1)scope(1)", &meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_, 2);
  int argcv_meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_[] = {1, 1, 1};
  meth_meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_->type = alloc_MethodType(3, argcv_meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_);
  meth_meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10723_request_40_1_41_withArgs_40_1_41_scope_40_1_41_->definitionLine = 2884;
// method "request(_)withArgs(_)"
  block_savedest(obj10716);
  Object closure10728 = createclosure(2, "request(1)withArgs(1)");
  setclosureframe(closure10728, stackframe);
  addtoclosure(closure10728, var_requestPart);
  addtoclosure(closure10728, var_emptySeq);
  struct UserObject *uo10728 = (struct UserObject*)obj10716;
  uo10728->data[3] = (Object)closure10728;
  Method *meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41_ = addmethod2pos(obj10716, "request(1)withArgs(1)", &meth_ast_10728_request_40_1_41_withArgs_40_1_41_, 3);
  int argcv_meth_ast_10728_request_40_1_41_withArgs_40_1_41_[] = {1, 1};
  meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_10728_request_40_1_41_withArgs_40_1_41_);
  meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41_->definitionModule = modulename;
  meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41_->definitionLine = 2889;
  block_savedest(obj10716);
  Object closure11080 = createclosure(2, "request(1)withArgs(1)$object(1)");
  setclosureframe(closure11080, stackframe);
  addtoclosure(closure11080, var_requestPart);
  addtoclosure(closure11080, var_emptySeq);
  Method *meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41__object = addmethod2pos(obj10716, "request(1)withArgs(1)$object(1)", &meth_ast_10728_request_40_1_41_withArgs_40_1_41__object, 3);
  meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_10728_request_40_1_41_withArgs_40_1_41__object->definitionLine = 2889;
  sourceObject = obj10716;
  sourceObject = obj10716;
  sourceObject = obj10716;
  objclass10716 = obj10716->class;
  objclass10716->definitionModule = modulename;
  objclass10716->definitionLine = 2880;
  (*(struct UserObject *)self).data[0] = lowerouter10716;
  self = oldself10716;
  selfslot = oldselfslot10716;
  stackframe = oldstackframe10716;
// compiled object node returning obj10716 (depth = 2)
  *var_requestPart = obj10716;
  if (obj10716 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "requestPart"
  block_savedest(self);
  Object closure11081 = createclosure(1, "requestPart");
  setclosureframe(closure11081, stackframe);
  addtoclosure(closure11081, var_requestPart);
  struct UserObject *uo11081 = (struct UserObject*)self;
  uo11081->data[57] = (Object)closure11081;
  Method *meth_meth_ast_11081_requestPart = addmethod2pos(self, "requestPart", &meth_ast_11081_requestPart, 57);
  int argcv_meth_ast_11081_requestPart[] = {0};
  meth_meth_ast_11081_requestPart->type = alloc_MethodType(1, argcv_meth_ast_11081_requestPart);
  meth_meth_ast_11081_requestPart->definitionModule = modulename;
  meth_meth_ast_11081_requestPart->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject11082 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11082 = alloc_userobj2(2,4, objclass11082);
  gc_frame_newslot(obj11082);
  if (objclass11082 == NULL) {
    glfree(obj11082->class->name);
    obj11082->class->name = "commentNode";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj11082, self, 0);
  addmethodreal(obj11082,"outer", &reader_ast_outer_11083);
  Object oldself11082 = self;
  struct StackFrameObject *oldstackframe11082 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11082);
  gc_frame_newslot((Object)stackframe);
  self = obj11082;
  Object *oldselfslot11082 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11082 = (*(struct UserObject *)self).data[0], lowerouter11082 = thisouter11082;
  if (inheritingObject11082) {
    struct UserObject *inho11082 = (struct UserObject *)inheritingObject11082;
    while (inho11082->super != GraceDefaultObject) inho11082 = (struct UserObject *)inho11082->super;
    inho11082->super = obj11082;
    self = inheritingObject11082;
    *selfslot = self;
    lowerouter11082 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11082;
  }
// method "new(_)"
  block_savedest(obj11082);
  Object closure11084 = createclosure(4, "new(1)");
  setclosureframe(closure11084, stackframe);
  addtoclosure(closure11084, var_util);
  addtoclosure(closure11084, var_lineLength);
  addtoclosure(closure11084, var_nullNode);
  addtoclosure(closure11084, var_commentNode);
  struct UserObject *uo11084 = (struct UserObject*)obj11082;
  uo11084->data[1] = (Object)closure11084;
  Method *meth_meth_ast_11084_new_40_1_41_ = addmethod2pos(obj11082, "new(1)", &meth_ast_11084_new_40_1_41_, 1);
  int argcv_meth_ast_11084_new_40_1_41_[] = {1};
  meth_meth_ast_11084_new_40_1_41_->type = alloc_MethodType(1, argcv_meth_ast_11084_new_40_1_41_);
  meth_meth_ast_11084_new_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11084_new_40_1_41_->definitionLine = 2968;
  block_savedest(obj11082);
  Object closure11286 = createclosure(4, "new(1)$object(1)");
  setclosureframe(closure11286, stackframe);
  addtoclosure(closure11286, var_util);
  addtoclosure(closure11286, var_lineLength);
  addtoclosure(closure11286, var_nullNode);
  addtoclosure(closure11286, var_commentNode);
  Method *meth_meth_ast_11084_new_40_1_41__object = addmethod2pos(obj11082, "new(1)$object(1)", &meth_ast_11084_new_40_1_41__object, 1);
  meth_meth_ast_11084_new_40_1_41__object->definitionModule = modulename;
  meth_meth_ast_11084_new_40_1_41__object->definitionLine = 2968;
  sourceObject = obj11082;
  objclass11082 = obj11082->class;
  objclass11082->definitionModule = modulename;
  objclass11082->definitionLine = 2967;
  (*(struct UserObject *)self).data[0] = lowerouter11082;
  self = oldself11082;
  selfslot = oldselfslot11082;
  stackframe = oldstackframe11082;
// compiled object node returning obj11082 (depth = 2)
  *var_commentNode = obj11082;
  if (obj11082 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "commentNode"
  block_savedest(self);
  Object closure11287 = createclosure(1, "commentNode");
  setclosureframe(closure11287, stackframe);
  addtoclosure(closure11287, var_commentNode);
  struct UserObject *uo11287 = (struct UserObject*)self;
  uo11287->data[58] = (Object)closure11287;
  Method *meth_meth_ast_11287_commentNode = addmethod2pos(self, "commentNode", &meth_ast_11287_commentNode, 58);
  int argcv_meth_ast_11287_commentNode[] = {0};
  meth_meth_ast_11287_commentNode->type = alloc_MethodType(1, argcv_meth_ast_11287_commentNode);
  meth_meth_ast_11287_commentNode->definitionModule = modulename;
  meth_meth_ast_11287_commentNode->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 3058
  setline(3058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl ASTVisitor
// starting to compile typeliteral node (depth = 2)
//   Type literal 
  Object type11289 = alloc_Type("ASTVisitor", 30);
  add_Method((ClassData)type11289, "visitIf(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitBlock(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitMatchCase(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitTryCatch(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitMethodType(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitSignaturePart(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitTypeLiteral(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitTypeParameters(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitTypeDec(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitMethod(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitCall(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitObject(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitModule(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitArray(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitMember(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitGeneric(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitIdentifier(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitString(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitNum(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitOp(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitBind(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitDefDec(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitVarDec(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitImport(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitReturn(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitInherits(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitDialect(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitComment(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitImplicit(1)up(1)", NULL);
  add_Method((ClassData)type11289, "visitOuter(1)up(1)", NULL);
// compiled typeliteral node returning type11289 (depth = 2)
  *var_ASTVisitor = type11289;
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ASTVisitor"
  block_savedest(self);
  Object closure11290 = createclosure(1, "ASTVisitor");
  setclosureframe(closure11290, stackframe);
  addtoclosure(closure11290, var_ASTVisitor);
  struct UserObject *uo11290 = (struct UserObject*)self;
  uo11290->data[59] = (Object)closure11290;
  Method *meth_meth_ast_11290_ASTVisitor = addmethod2pos(self, "ASTVisitor", &meth_ast_11290_ASTVisitor, 59);
  int argcv_meth_ast_11290_ASTVisitor[] = {0};
  meth_meth_ast_11290_ASTVisitor->type = alloc_MethodType(1, argcv_meth_ast_11290_ASTVisitor);
  meth_meth_ast_11290_ASTVisitor->definitionModule = modulename;
  meth_meth_ast_11290_ASTVisitor->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject11291 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11291 = alloc_userobj2(1,2, objclass11291);
  gc_frame_newslot(obj11291);
  if (objclass11291 == NULL) {
    glfree(obj11291->class->name);
    obj11291->class->name = "patternMarkVisitor";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj11291, self, 0);
  addmethodreal(obj11291,"outer", &reader_ast_outer_11292);
  Object oldself11291 = self;
  struct StackFrameObject *oldstackframe11291 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11291);
  gc_frame_newslot((Object)stackframe);
  self = obj11291;
  Object *oldselfslot11291 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11291 = (*(struct UserObject *)self).data[0], lowerouter11291 = thisouter11291;
  if (inheritingObject11291) {
    struct UserObject *inho11291 = (struct UserObject *)inheritingObject11291;
    while (inho11291->super != GraceDefaultObject) inho11291 = (struct UserObject *)inho11291->super;
    inho11291->super = obj11291;
    self = inheritingObject11291;
    *selfslot = self;
    lowerouter11291 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11291;
  }
// method "visitCall(_)up(_)"
  struct UserObject *uo11293 = (struct UserObject*)obj11291;
  uo11293->data[1] = emptyclosure;
  Method *meth_meth_ast_11293_visitCall_40_1_41_up_40_1_41_ = addmethod2pos(obj11291, "visitCall(1)up(1)", &meth_ast_11293_visitCall_40_1_41_up_40_1_41_, 1);
  int argcv_meth_ast_11293_visitCall_40_1_41_up_40_1_41_[] = {1, 1};
  meth_meth_ast_11293_visitCall_40_1_41_up_40_1_41_->type = alloc_MethodType(2, argcv_meth_ast_11293_visitCall_40_1_41_up_40_1_41_);
  meth_meth_ast_11293_visitCall_40_1_41_up_40_1_41_->definitionModule = modulename;
  meth_meth_ast_11293_visitCall_40_1_41_up_40_1_41_->definitionLine = 3200;
  sourceObject = obj11291;
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe11298 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call11299 = callmethodflags(module_ast, "baseVisitor$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11298);
// compiled call node returning call11299 (depth = 3)
  struct UserObject *obj11291_uo = (struct UserObject *)obj11291;
  obj11291_uo->super = call11299;
  sourceObject = obj11291;
  objclass11291 = obj11291->class;
  objclass11291->definitionModule = modulename;
  objclass11291->definitionLine = 3198;
  (*(struct UserObject *)self).data[0] = lowerouter11291;
  self = oldself11291;
  selfslot = oldselfslot11291;
  stackframe = oldstackframe11291;
// compiled object node returning obj11291 (depth = 2)
  *var_patternMarkVisitor = obj11291;
  if (obj11291 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "patternMarkVisitor"
  block_savedest(self);
  Object closure11300 = createclosure(1, "patternMarkVisitor");
  setclosureframe(closure11300, stackframe);
  addtoclosure(closure11300, var_patternMarkVisitor);
  struct UserObject *uo11300 = (struct UserObject*)self;
  uo11300->data[60] = (Object)closure11300;
  Method *meth_meth_ast_11300_patternMarkVisitor = addmethod2pos(self, "patternMarkVisitor", &meth_ast_11300_patternMarkVisitor, 60);
  int argcv_meth_ast_11300_patternMarkVisitor[] = {0};
  meth_meth_ast_11300_patternMarkVisitor->type = alloc_MethodType(1, argcv_meth_ast_11300_patternMarkVisitor);
  meth_meth_ast_11300_patternMarkVisitor->definitionModule = modulename;
  meth_meth_ast_11300_patternMarkVisitor->definitionLine = 3216;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
  gc_frame_end(frame);
  return self;
}
