#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "8d11a118d0ee0852a0c92e798a8f648f86b2f504";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_standardGrace_init();
extern Object module_standardGrace;
Object module_lexer = NULL;
static char *originalSourceLines[] = {
  "#pragma ExtendedLineups",
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"errormessages\" as errormessages",
  "import \"stringMap\" as map",
  "",
  "def keywords = map.new",
  "keywords.put(\"alias\", true)",
  "keywords.put(\"class\", true)",
  "keywords.put(\"def\", true)",
  "keywords.put(\"dialect\", true)",
  "keywords.put(\"exclude\", true)",
  "keywords.put(\"factory\", true)",
  "keywords.put(\"import\", true)",
  "keywords.put(\"inherits\", true)",
  "keywords.put(\"inherit\", true)",
  "keywords.put(\"is\", true)",
  "keywords.put(\"method\", true)",
  "keywords.put(\"object\", true)",
  "keywords.put(\"return\", true)",
  "keywords.put(\"super\", true)",
  "keywords.put(\"trait\", true)",
  "keywords.put(\"type\", true)",
  "keywords.put(\"use\", true)",
  "keywords.put(\"var\", true)",
  "",
  "def operatorChars = \"-&|:$#\\\\%^@?*/+!~\"",
  "method isOperatorChar(c, ordval) {",
  "    if (operatorChars.contains(c)) then { return true }",
  "    if (unicode.isSymbolMathematical(ordval)) then { return true }",
  "    if (unicode.inCategory(c, \"So\")) then { return true }",
  "    return false",
  "}",
  "",
  "def spaceChars = \" \\u00A0\"    // ASCII space + non-breaking space",
  "def tab = \"\\t\"",
  "method isBadSeparator(ch) {",
  "    if (spaceChars.contains(ch)) then { return false }",
  "    if (tab == ch) then { return true }",
  "    return unicode.inCategory(ch, \"Z\")",
  "}",
  "",
  "def nl_cr = \"\\n\\r\"      // nl and cr",
  "method isBadControl(ch) {",
  "    if (nl_cr.contains(ch)) then { return false }",
  "    return unicode.inCategory(ch, \"C\")",
  "}",
  "",
  "def selfModes = \"(),\\{}[];⟦⟧\"",
  "method isSelfMode(ch) { selfModes.contains(ch) }",
  "",
  "def brackets = \"()\\{}[]⟦⟧\"",
  "method isBracket(ch) { brackets.contains(ch) }",
  "",
  "def alphaNums = \"_'0123456789abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ\"",
  "method isIdentifierChar(ch) {",
  "    if (alphaNums.contains(ch)) then { return true }",
  "    if (unicode.inCategory(ch, \"L\")) then { return true }",
  "    if (unicode.inCategory(ch, \"N\")) then { return true }",
  "    return false",
  "}",
  "def digits = \"0123456789\"",
  "method isDigit(ch) { digits.contains(ch) }",
  "",
  "def asciiLetters = \"abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ\"",
  "method isLetter(ch) {",
  "    if (asciiLetters.contains(ch)) then { return true }",
  "    if (unicode.inCategory(ch, \"L\")) then { return true }",
  "    return false",
  "}",
  "",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "class new {",
  "    var tokens",
  "    var lineNumber := 1",
  "    var linePosition := 0",
  "    var startPosition := 1",
  "    var indentLevel := 0",
  "    var startLine := 1",
  "    var stringStart",
  "    var unichars := 0",
  "    class token {",
  "        def line is public = lineNumber",
  "        def indent is public = indentLevel",
  "        def linePos is public = startPosition",
  "",
  "        var next is public := false",
  "        var prev is public := false",
  "",
  "        method ==(other) {",
  "            if (false == other) then {",
  "                false",
  "            } else {",
  "                (other.line == line) && (other.linePos == linePos)",
  "            }",
  "        }",
  "        method asString { \"({line}:{linePos}){self.kind} {self.value}\" }",
  "        method value { abstract }",
  "        method size { abstract }",
  "        method kind { abstract }",
  "        method endPos { linePos + size - 1 }",
  "    }",
  "",
  "",
  "    class identifierToken(s) {",
  "        inherit token",
  "        def kind is public = \"identifier\"",
  "        def value is public = s",
  "        def size is public = s.size",
  "    }",
  "    class stringToken(s) {",
  "        inherit token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = linePosition - startPosition + 1",
  "    }",
  "    class multiLineStringToken(s) {",
  "        inherit token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "        def line' = startLine",
  "        def linePos' = stringStart",
  "        method line is override { line' }",
  "        method linePos is override { linePos' }",
  "        method endLine { lineNumber }",
  "        method endPos is override { linePosition }",
  "    }",
  "    class commentToken(s) {",
  "        inherit token",
  "        def kind is public = \"comment\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "    }",
  "    class lBraceToken {",
  "        inherit token",
  "        def kind is public = \"lbrace\"",
  "        def value is public = \"\\{\"",
  "        def size is public = 1",
  "    }",
  "    class rBraceToken {",
  "        inherit token",
  "        def kind is public = \"rbrace\"",
  "        def value is public = \"}\"",
  "        def size is public = 1",
  "    }",
  "    class lParenToken {",
  "        inherit token",
  "        def kind is public = \"lparen\"",
  "        def value is public = \"(\"",
  "        def size is public = 1",
  "    }",
  "    class rParenToken {",
  "        inherit token",
  "        def kind is public = \"rparen\"",
  "        def value is public = \")\"",
  "        def size is public = 1",
  "    }",
  "    class lSquareToken {",
  "        inherit token",
  "        def kind is public = \"lsquare\"",
  "        def value is public = \"[\"",
  "        def size is public = 1",
  "    }",
  "    class rSquareToken {",
  "        inherit token",
  "        def kind is public = \"rsquare\"",
  "        def value is public = \"]\"",
  "        def size is public = 1",
  "    }",
  "    class commaToken {",
  "        inherit token",
  "        def kind is public = \"comma\"",
  "        def value is public = \",\"",
  "        def size is public = 1",
  "    }",
  "    class colonToken {",
  "        inherit token",
  "        def kind is public = \"colon\"",
  "        def value is public = \":\"",
  "        def size is public = 1",
  "    }",
  "    class dotToken {",
  "        inherit token",
  "        def kind is public = \"dot\"",
  "        def value is public = \".\"",
  "        def size is public = 1",
  "    }",
  "    class numToken(v, b) {",
  "        inherit token",
  "        def kind is public = \"num\"",
  "        def value is public = v",
  "        def base is public = b",
  "        def size is public = linePosition - startPosition",
  "    }",
  "    class keywordToken(v) {",
  "        inherit token",
  "        def kind is public = \"keyword\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class opToken(v) {",
  "        inherit token",
  "        def kind is public = \"op\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class arrowToken {",
  "        inherit token",
  "        def kind is public = \"arrow\"",
  "        def value is public = \"→\"",
  "        def size is public = 1",
  "    }",
  "    class bindToken {",
  "        inherit token",
  "        def kind is public = \"bind\"",
  "        def value is public = \":=\"",
  "        def size is public = 2",
  "    }",
  "    class semicolonToken {",
  "        inherit token",
  "        def kind is public = \"semicolon\"",
  "        def value is public = \";\"",
  "        def size is public = 1",
  "    }",
  "    class lGenericToken {",
  "        inherit token",
  "        def kind is public = \"lgeneric\"",
  "        def value is public = \"⟦\"",
  "        def size is public = 1",
  "    }",
  "    class rGenericToken {",
  "        inherit token",
  "        def kind is public = \"rgeneric\"",
  "        def value is public = \"⟧\"",
  "        def size is public = 1",
  "    }",
  "    class eofToken {",
  "        inherit token",
  "        def kind is public = \"eof\"",
  "        def value is public = \"\"",
  "        def size is public = 0",
  "    }",
  "",
  "    var state",
  "    var accum := \"\"",
  "",
  "    var inStr := false",
  "    var escaped := false",
  "    var codepoint := 0",
  "    var interpdepth := 0",
  "    var interpString := false",
  "",
  "    method advanceTo(s) { state := s }",
  "    method emit(t) {",
  "        tokens.push(t)",
  "        accum := \"\"",
  "    }",
  "    method store(c) { accum := accum ++ c }",
  "",
  "    def startState = object {",
  "        method consume(c){",
  "            if (c == \"#\") then {",
  "                advanceTo(pragmaPrefixState)",
  "            } else {",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    state := startState",
  "",
  "    def pragmaPrefixState = object {",
  "        method consume(c){",
  "            checkSeparator(c)",
  "            if (c == \"\\n\") then {",
  "                errormessages.syntaxError \"Incomplete pragma definition \"",
  "                    atRange(lineNumber, startPosition, linePosition)",
  "            } elseif{isSpaceChar(c)} then {",
  "                if (accum == \"pragma\") then {",
  "                    accum := \"\"",
  "                    advanceTo(pragmaBodyState)",
  "                } else {",
  "                    errormessages.syntaxError \"Pragmas must start with #pragma \"",
  "                        atRange(lineNumber, startPosition, linePosition)",
  "                }",
  "            }",
  "            else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def pragmaBodyState = object {",
  "        method consume(c){",
  "            checkSeparator(c)",
  "            if ((c == \"\\n\") || isSpaceChar(c)) then {",
  "                //a complete pragma has been found",
  "                util.processExtension(accum)",
  "                accum := \"\"",
  "                advanceTo(pragmaTrailingWhitespaceState)",
  "                state.consume(c)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def pragmaTrailingWhitespaceState = object {",
  "        method consume(c) {",
  "            checkSeparator(c)",
  "            if (c == \"\\n\") then {",
  "                advanceTo(startState)",
  "            } elseif {!isSpaceChar(c)} then {",
  "                errormessages.syntaxError \"Pragmas must be a single word \"",
  "                    atRange(lineNumber, startPosition, linePosition)",
  "            }",
  "        }",
  "    }",
  "",
  "    def defaultState = object {",
  "        method consume(c) {",
  "            def ordval = c.ord",
  "            checkSeparator(c)",
  "            startPosition := linePosition",
  "            startLine := lineNumber",
  "            if (spaceChars.contains(c)) then {",
  "                //do nothing",
  "            } elseif {c == \"\\\"\"} then {",
  "                inStr := true",
  "                stringStart := linePosition",
  "                advanceTo(quotedStringState)",
  "            } elseif {c == \"‹\"} then {",
  "                inStr := true",
  "                stringStart := linePosition",
  "                advanceTo(extendedStringState)",
  "            } elseif {isDigit(c)} then {",
  "                if ((tokens.size > 0) && {tokens.last.kind == \"num\"}) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteRange(tokens.last.linePos+tokens.last.size, linePosition - 1)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"Consecutive numbers are not allowed.\")",
  "                        atRange(lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                }",
  "                startPosition := linePosition",
  "                advanceTo(numberStartState)",
  "                state.consume(c)",
  "            } elseif {isIdentifierChar(c)} then {",
  "                advanceTo(identifierState)",
  "                state.consume(c)",
  "            } elseif {c == \"/\"} then {",
  "                advanceTo(slashState)",
  "                state.consume(c)",
  "            } elseif {c == \".\"} then {",
  "                advanceTo(dotState)",
  "                state.consume(c)",
  "            } elseif {(c == \"<\") || isOperatorChar(c, ordval)} then {",
  "                advanceTo(operatorState)",
  "                state.consume(c)",
  "            } elseif {c == \",\"} then {",
  "                emit(commaToken)",
  "            } elseif {c == \"\\{\"} then {",
  "                emit(lBraceToken)",
  "            } elseif {c == \"}\"} then {",
  "                advanceTo(rBraceState)",
  "                state.consume(c)",
  "            } elseif {c == \"(\"} then {",
  "                emit(lParenToken)",
  "            } elseif {c == \")\"} then {",
  "                if ((tokens.size > 0) && {tokens.last.kind == \"lparen\"}) then {",
  "                    errormessages.syntaxError(\"empty parenthesis are not allowed. \" ++",
  "                        \"Remove them, or put something between them.\")",
  "                        atRange(lineNumber, tokens.last.linePos, linePosition)",
  "                }",
  "                emit(rParenToken)",
  "            } elseif {c == \"[\"} then {",
  "                emit(lSquareToken)",
  "            } elseif {c == \"]\"} then {",
  "                emit(rSquareToken)",
  "            } elseif {c == \"⟦\"} then {",
  "                emit(lGenericToken)",
  "            } elseif {c == \"⟧\"} then {",
  "                emit(rGenericToken)",
  "            } elseif {c == \";\"} then {",
  "                emit(semicolonToken)",
  "            } elseif {c == \"\\n\"} then {",
  "                indentLevel := 0",
  "                advanceTo(indentationState)",
  "            } else {",
  "                if((unicode.isSeparator(ordval).not) &&",
  "                        (unicode.isControl(ordval).not) &&",
  "                        (ordval != 10) &&",
  "                        (ordval != 13) &&",
  "                        (ordval != 32)) then {",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                        lineNumber, linePosition, linePosition)",
  "                }",
  "            }",
  "        }",
  "    }",
  "",
  "    def rBraceState = object {",
  "        method consume (c){",
  "            if (interpdepth > 0) then {",
  "                if (tokens.last.kind == \"lparen\") then {",
  "                    def suggestion1 = errormessages.suggestion.new",
  "                    suggestion1.deleteRange(tokens.last.linePos, linePosition)",
  "                                    onLine(lineNumber)",
  "                    def suggestion2 = errormessages.suggestion.new",
  "                    suggestion2.insert \"«expression»\"",
  "                                    atPosition (tokens.last.linePos+1)",
  "                                    onLine(lineNumber)",
  "                    errormessages.syntaxError \"a string interpolation cannot be empty.\"",
  "                          atRange (lineNumber, tokens.last.linePos, linePosition)",
  "                          withSuggestions [suggestion1, suggestion2]",
  "                }",
  "                emit (rParenToken)",
  "                emit (opToken(\"++\"))",
  "                interpdepth := interpdepth - 1",
  "                inStr := true",
  "                advanceTo(quotedStringState)",
  "            }",
  "            else {",
  "                emit (rBraceToken)",
  "                advanceTo (defaultState)",
  "            }",
  "        }",
  "    }",
  "",
  "    def slashState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (c == \"/\") then {",
  "                store(c)",
  "                if (accum == \"//\") then {",
  "                    advanceTo(commentSpaceState)",
  "                }",
  "            } elseif {accum == \"/\"} then {",
  "                advanceTo(operatorState)",
  "                state.consume(c)",
  "            } else {",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def dotState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (c == \".\") then {",
  "                store(c)",
  "                if (accum == \"...\") then {",
  "                    advanceTo(identifierState)",
  "                }",
  "            } elseif {accum == \"..\"} then {",
  "                advanceTo(operatorState)",
  "                state.consume(c)",
  "            } elseif {isDigit(c)} then {",
  "                accum := \"0.\"",
  "                //should an error be thrown instead?",
  "                advanceTo(numberFractionState)",
  "                state.consume(c)",
  "            } else {",
  "                emit(dotToken)",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def identifierState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (!isIdentifierChar(c)) then {",
  "                if (keywords.contains(accum)) then {",
  "                    if (accum == \"super\") then {",
  "                        errormessages.syntaxError(",
  "                            \"`super` is no longer part of Grace.\\n\" ++",
  "                              \"Consider using an `alias` clause on the inherit statement.\")",
  "                              atRange(lineNumber, startPosition, linePosition-1)",
  "                    } elseif {accum == \"inherits\"} then {",
  "                        errormessages.syntaxError(",
  "                            \"The reserved word `inherits` has been replaced by `inherit`.\")",
  "                              atRange(lineNumber, startPosition, linePosition-1)",
  "                    }",
  "                    emit(keywordToken(accum))",
  "                } else {",
  "                    emit(identifierToken(accum))",
  "                }",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "    def quotedStringState = object {",
  "        method consume (c) {",
  "",
  "            checkSeparatorString (c)",
  "            if (c == \"\\\"\") then {",
  "                emit(stringToken(accum))",
  "                if (interpString && (interpdepth == 0)) then {",
  "                    emit(rParenToken)",
  "                    interpString := false",
  "                }",
  "                advanceTo(defaultState)",
  "                inStr := false",
  "            } elseif {c == \"\\n\"} then {",
  "                newLineError",
  "            } elseif {c == \"\\{\"} then {",
  "                def strToken = stringToken(accum)",
  "                startPosition := linePosition",
  "                if (!interpString) then {",
  "                    emit(lParenToken)",
  "                    interpString := true",
  "                }",
  "                emit(strToken)",
  "                emit(opToken(\"++\"))",
  "                emit(lParenToken)",
  "                advanceTo(defaultState)",
  "                inStr := false",
  "                interpdepth := interpdepth + 1",
  "            } elseif {c == \"\\\\\"} then {",
  "                advanceTo(quotedStringEscapedState)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "    def unicodeState = object {",
  "        method consume(c){",
  "            unichars := unichars - 1",
  "            codepoint := codepoint * 16",
  "            codepoint := codepoint + hexdecchar(c)",
  "            //print \"adding unicode char {c}\"",
  "            if (unichars == 0) then {",
  "                // At the end of the sequence construct",
  "                // the character in the unicode library.",
  "                store(unicode.create(codepoint))",
  "                advanceTo(quotedStringState)",
  "            }",
  "        }",
  "    }",
  "    def quotedStringEscapedState = object {",
  "        method consume (c) {",
  "            checkSeparatorString (c)",
  "            advanceTo(quotedStringState)",
  "            if (c == \"\\n\") then {",
  "               newLineError",
  "            } elseif { c == \"n\" } then {",
  "                // Newline escape",
  "                accum := accum ++ \"\\u000a\"",
  "            } elseif { c == \"u\" } then {",
  "                // Beginning of a four-digit Unicode escape",
  "                // (for a BMP codepoint).",
  "                unichars := 4",
  "                codepoint := 0",
  "                advanceTo(unicodeState)",
  "            } elseif { c == \"U\" } then {",
  "                // Beginning of a six-digit Unicode escape",
  "                // (for a general codepoint).",
  "                unichars := 6",
  "                codepoint := 0",
  "                advanceTo(unicodeState)",
  "            } elseif { c == \"t\" } then {",
  "                // Tab escape",
  "                accum := accum ++ \"\\u0009\"",
  "            } elseif { c == \"r\" } then {",
  "                // Carriage return escape",
  "                accum := accum ++ \"\\u000d\"",
  "            } elseif { c == \"b\" } then {",
  "                // Backspace escape",
  "                accum := accum ++ \"\\u0008\"",
  "            } elseif { c == \"l\" } then {",
  "                // LINE SEPARATOR escape",
  "                accum := accum ++ \"\\u2028\"",
  "            } elseif { c == \"f\" } then {",
  "                // Form feed/page down escape",
  "                accum := accum ++ \"\\u000c\"",
  "            } elseif { c == \"e\" } then {",
  "                // Escape escape",
  "                accum := accum ++ \"\\u001b\"",
  "            } elseif { c == \"_\" } then {",
  "                // non-breaking space",
  "                accum := accum ++ \"\\u00a0\"",
  "            } else {",
  "                // For any other character preceded by \\,",
  "                // insert it literally.",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def extendedStringState = object {",
  "        method consume (c) {",
  "",
  "            if (c == \"›\") then {",
  "                emit(multiLineStringToken(accum))",
  "                inStr := false",
  "                advanceTo(defaultState)",
  "            }",
  "            else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    var tokenBase is writable",
  "    var mantissa is writable",
  "    def numberStartState = object {",
  "        method consume (c) {",
  "            checkSeparator (c)",
  "            if (isDigit(c)) then {",
  "                store(c)",
  "            } elseif { c == \"x\" } then {",
  "                tokenBase := accum.asNumber",
  "                if (tokenBase == 0) then {",
  "                    tokenBase := 16",
  "                }",
  "                accum := \"\"",
  "                advanceTo(numberBaseState)",
  "            } elseif {(c == \"e\") || (c == \"E\")} then {",
  "                mantissa := accum.asNumber",
  "                accum := \"\"",
  "                advanceTo(numberExponentSignState)",
  "            } elseif { isLetter(c) } then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\".\")atPosition(linePosition)onLine(lineNumber)",
  "                errormessages.syntaxError(\"'{c}' is not a valid digit in base 10. Valid digits are 0..9.\")atRange(",
  "                    lineNumber, startPosition, linePosition)withSuggestion(suggestion)",
  "            } elseif { c == \".\" } then {",
  "                advanceTo(numberDotState)",
  "            } else {",
  "                emit(numToken(accum, 10))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def numberBaseState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c) || isLetter(c)) then {",
  "                store(c)",
  "            } elseif {(c == \".\") && (tokenBase == 10)} then {",
  "                advanceTo(numberDotState)",
  "            } else {",
  "                emit(numToken(fromBase(accum, tokenBase).asString, tokenBase))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "",
  "    def numberDotState = object {",
  "        method consume (c) {",
  "            if (isDigit(c)) then {",
  "                store(\".\")",
  "                advanceTo(numberFractionState)",
  "                state.consume(c)",
  "            } elseif { spaceChars.contains(c) } then {",
  "                //alternatively, throw an error here",
  "                emit(numToken(accum, 10))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            } else {",
  "                emit(numToken(accum, 10))",
  "                accum := \".\"",
  "                advanceTo(dotState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def numberFractionState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c)) then {",
  "                store(c)",
  "            } elseif {(c == \"e\") || (c == \"E\")} then {",
  "                mantissa := accum.asNumber",
  "                accum := \"\"",
  "                advanceTo(numberExponentSignState)",
  "            } elseif {isLetter(c)} then {",
  "                errormessages.syntaxError(\"the fractional part of a number must be in base 10.\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            } else {",
  "                emit(numToken(accum, 10))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def numberExponentSignState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c) || (c == \"-\")) then {",
  "                store(c)",
  "                advanceTo(numberExponentState)",
  "            } elseif {isLetter(c)} then {",
  "                errormessages.syntaxError(\"{c} is not an allowed base-10 exponent character\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            } else {",
  "                errormessages.syntaxError(\"exponents must have at least one digit\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            }",
  "        }",
  "    }",
  "    def numberExponentState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c)) then {",
  "                store(c)",
  "            } elseif {isLetter(c)} then {",
  "                errormessages.syntaxError(\"{c} is not an allowed base-10 exponent character\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            } else {",
  "                if (accum == \"-\") then {",
  "                    errormessages.syntaxError(\"exponents must have at least one digit\")atRange(",
  "                        lineNumber, startPosition, linePosition)",
  "                }",
  "                def exponent = accum.asNumber",
  "                var absExp := exponent",
  "                if (exponent < 0) then {",
  "                    absExp := -exponent",
  "                }",
  "                var absMultiplier := 1",
  "                repeat (absExp) times {",
  "                    absMultiplier := absMultiplier * 10",
  "                }",
  "                if (exponent >= 0) then {",
  "                    emit (numToken((mantissa * absMultiplier).asString, 10))",
  "                } else {",
  "                    emit (numToken((mantissa / absMultiplier).asString, 10))",
  "                }",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def operatorState = object {",
  "        method consume (c) {",
  "            checkSeparator (c)",
  "            if (isOperatorChar(c, c.ord)) then {",
  "                store(c)",
  "            } else {",
  "                if (accum == \"→\") then {",
  "                    emit(arrowToken)",
  "                } elseif { accum == \":=\" } then {",
  "                    emit(bindToken)",
  "                } elseif { accum == \":\" } then {",
  "                    emit(colonToken)",
  "                } else {",
  "                    emit(opToken(accum))",
  "                }",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def indentationState = object {",
  "        method consume (c) {",
  "            if (spaceChars.contains(c)) then {",
  "                indentLevel := linePosition",
  "            } else {",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def commentSpaceState = object {",
  "        method consume (c) {",
  "            if (!spaceChars.contains(c)) then {",
  "                accum := \"\"",
  "                advanceTo(commentState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def commentState = object {",
  "        method consume (c) {",
  "            if (c == \"\\n\") then {",
  "                emit (commentToken(accum))",
  "                indentLevel := 0",
  "                advanceTo(indentationState)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    method newLineError {",
  "        if (interpdepth > 0) then {",
  "            // Find closest {.",
  "            var line := lineNumber",
  "            var i := util.lines.at(line).size",
  "            while { util.lines.at(line).at(i) != \"\\{\" } do {",
  "                i := i - 1",
  "                if(i == 0) then {",
  "                    lineNumber := line - 1",
  "                    i := util.lines.at(line).size",
  "                }",
  "            }",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "            suggestions.push(suggestion)",
  "            if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                errormessages.syntaxError(\"for a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                    line, i)withSuggestions(suggestions)",
  "            } else {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                    lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "            }",
  "        } else {",
  "            def errorLine = util.lines.at(lineNumber)",
  "            def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                util.lines.at(lineNumber + 1)",
  "            } else {",
  "                \"\"",
  "            }",
  "            // Count the number of literal quotes in the next line.",
  "            var i := 1",
  "            var count := 0",
  "            while { i <= nextLine.size } do {",
  "                if(nextLine.at(i) == \"\\\"\") then { count := count + 1 }",
  "                elseif { nextLine.at(i) == \"\\\\\" } then { i := i + 1 }",
  "                i := i + 1",
  "            }",
  "            if ((count % 2) == 1) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                suggestion.addLine(lineNumber + 1, \"\")",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                suggestion.addLine(lineNumber + 1, \"\")",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a string must be terminated by a \\\" before the end of the line. To insert a newline in a string, use '\\\\n'. To split a string over multiple lines, use '++' to join strings together.\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "                    withSuggestions(suggestions)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                errormessages.syntaxError(\"a string must be terminated \" ++",
  "                    \"by a \\\" before the end of the line.\")",
  "                    atPosition(lineNumber, linePosition)",
  "                    withSuggestion(suggestion)",
  "            }",
  "        }",
  "    }",
  "",
  "    method isSpaceChar(c){",
  "        spaceChars.contains(c)",
  "    }",
  "    method checkSeparatorString (c) {",
  "        def ordval = c.ord",
  "        if (isBadSeparator(c)) then {",
  "            // Character is whitespace, but not an ASCII space or",
  "            // Unicode NO-BREAK SPACE.  For example, a tab",
  "",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "            if (ordval == 9) then {",
  "                suggestion.replaceRange(linePosition, linePosition)",
  "                    with(\"\\\\t\")",
  "                    onLine(lineNumber)",
  "                errormessages.syntaxError(\"tabs cannot be \"",
  "                    ++ \"written in the source code; \"",
  "                    ++ \"use the string escape \\\\t instead\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "                    withSuggestion(suggestion)",
  "                errormessages.syntaxError(\"tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            } else {",
  "                suggestion.replaceRange(linePosition, linePosition)",
  "                    with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                    onLine(lineNumber)",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is not a valid whitespace character\"",
  "                    ++ \" and cannot be \"",
  "                    ++ \"written in the source code; \"",
  "                    ++ \"use the Unicode escape \\\\u\"",
  "                    ++ padl(ordval.inBase 16, 4, \"0\")",
  "                    ++ \" instead\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "                    withSuggestion(suggestion)",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            }",
  "        } elseif {isBadControl(c)} then {",
  "            // Character is a control character other than",
  "            // carriage return or line feed.",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceRange(linePosition, linePosition)",
  "                with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                onLine(lineNumber)",
  "            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                ++ \"is a control character and cannot be \"",
  "                ++ \"written in the source code; \"",
  "                ++ \"use the Unicode escape \\\\u\"",
  "                ++ padl(ordval.inBase 16, 4, \"0\")",
  "                ++ \" instead\")",
  "                atRange(lineNumber, linePosition, linePosition)",
  "                withSuggestion(suggestion)",
  "            suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                linePosition, linePosition)withSuggestion(suggestion)",
  "        }",
  "    }",
  "",
  "    method checkSeparator (c){",
  "        def ordval = c.ord",
  "        if (isBadSeparator(c)) then {",
  "            // Character is whitespace, but not an ASCII space or",
  "            // Unicode NO-BREAK SPACE.  For example, a tab",
  "",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "            if (ordval == 9) then {",
  "                errormessages.syntaxError(\"tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            } else {",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            }",
  "        } elseif {isBadControl(c)} then {",
  "            // Character is a control character other than",
  "            // carriage return or line feed.",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                linePosition, linePosition)withSuggestion(suggestion)",
  "        }",
  "    }",
  "",
  "    method fromBase(str, base) {",
  "        var val := 0",
  "        var i := 0",
  "        for (str) do {c->",
  "            def n = c.ord",
  "            val := val * base",
  "            var inc := 0",
  "            if ((n >= 48) && (n <= 57)) then {          // 48 = '0', 57 = '9'",
  "                inc := n - 48 // '0'",
  "            } elseif {(n >= 65) && (n <= 90)} then {    // 65 = 'A', 90 = 'Z'",
  "                inc := n - 55 // 'A' - 10",
  "            } else {",
  "                inc := n - 87 // 'a' - 10",
  "            }",
  "            if (inc >= base) then {",
  "                if((str.first == \"0\") && (inc < 16)) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"a number in base 16 must start with '0x'.\")atPosition(",
  "                        lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(str.size == 1) then {",
  "                        suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                    } else {",
  "                        suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                    }",
  "                    def validDigits = if(base <= 10) then {",
  "                        \"'0' to '{base - 1}'\"",
  "                    } else {",
  "                        \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                    }",
  "                    errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                        lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                }",
  "            }",
  "            val := val + inc",
  "            i := i + 1",
  "        }",
  "        val",
  "    }",
  "",
  "    method hexdecchar(c) {",
  "    // Return the numeric value of the single hexadecimal digit c.",
  "        def AOrd = \"A\".ord",
  "        def aOrd = \"a\".ord",
  "        def zeroOrd = \"0\".ord",
  "        def cOrd = c.ord",
  "        if ( (cOrd >= AOrd) && (cOrd <= \"F\".ord) ) then {",
  "            cOrd - AOrd + 10",
  "        } elseif { (cOrd >= aOrd) && (cOrd <= \"f\".ord) } then {",
  "            cOrd - aOrd + 10",
  "        } elseif { (cOrd >= zeroOrd) && (cOrd <= \"9\".ord) } then {",
  "            cOrd - zeroOrd",
  "        } else {",
  "            errormessages.syntaxError(\"the character '{c}' must be a hexadecimal digit\")",
  "                atRange(lineNumber, linePosition, linePosition)",
  "        }",
  "    }",
  "    // Read the program text from util.infile and return a list of",
  "    // tokens.",
  "    method lexfile(file) {",
  "        def lines = util.lines.makeEmpty",
  "        def cLines = util.cLines.makeEmpty",
  "            // making them empty is necessary for the browser,",
  "            // where these variables persist from one compilation",
  "            // to the next",
  "        var line := \"\"",
  "        var cLine := \"\"",
  "        var wasCR := false",
  "        for(file.read) do { c ->",
  "            if (c == \"\\r\") then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := true",
  "            } elseif {c  == \"\\n\"} then {",
  "                if (wasCR) then {",
  "                    // the spec says \"LINE FEED that immediately",
  "                    // follows a CARRIAGE RETURN is ignored\"",
  "                } else {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                    line := \"\"",
  "                    cLine := \"\"",
  "                }",
  "                wasCR := false",
  "            } elseif {c == \"\\l\"} then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\\\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\\\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\"\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\"\"",
  "                wasCR := false",
  "            } else {",
  "                line := line ++ c",
  "                cLine := cLine ++ c",
  "                wasCR := false",
  "            }",
  "        }",
  "        if (line != \"\") then {",
  "            // this deals with an un-terminated final line",
  "            lines.push(line)",
  "            cLines.push(cLine)",
  "        }",
  "        lexinput(lines)",
  "    }",
  "",
  "    method lexinput(inputLines) {",
  "        // tokens is a doubly-linked list of tokens.",
  "        tokens := object {",
  "            var first is readable := false",
  "            var last is readable := false",
  "            var size is readable := 0",
  "",
  "            method savePosition {",
  "                return [first, last, size]",
  "            }",
  "",
  "            method restorePosition(saved) {",
  "                first := saved.first",
  "                last := saved.second",
  "                size := saved.third",
  "            }",
  "",
  "            method push(t) {",
  "                if(first == false) then {",
  "                    first := t",
  "                    last := t",
  "                } else {",
  "                    last.next := t",
  "                    t.prev := last",
  "                    if ((t.indent - last.indent).abs == 1) then {",
  "                        def m1 = \"the indentation for this line can't differ \"",
  "                        def m2 = \"from that of the previous line by 1.\\n  To start a block, or \"",
  "                        def m3 = \"continue a statement on the next line line, indent by 2 or more. \"",
  "                        def m4 = \"To end a block, or end the continuation, decrease the indent \"",
  "                        def m5 = \"to the prior level. \"",
  "                        def m6 = \"Otherwise, use the same indentation as the previous line.\"",
  "                        def msg = m1 ++ m2 ++ m3 ++ m4 ++ m5 ++ m6",
  "                        errormessages.syntaxError(msg) atRange(t.line, 1, t.indent)",
  "                    }",
  "                    last := t",
  "                }",
  "                size := size + 1",
  "            }",
  "",
  "            method pop {",
  "                if(last != false) then {",
  "                    def popped = last",
  "                    last := last.prev",
  "                    if(last == false) then {",
  "                        first := false",
  "                    }",
  "                    size := size - 1",
  "                    popped",
  "                }",
  "            }",
  "",
  "            method poll {",
  "                if(first != false) then {",
  "                    def polled = first",
  "                    first := first.next",
  "                    if(first == false) then {",
  "                        last := false",
  "                    }",
  "                    size := size - 1",
  "                    polled",
  "                }",
  "            }",
  "",
  "            class iterator {",
  "                var n := first",
  "                method hasNext {",
  "                    n != false",
  "                }",
  "                method next {",
  "                    def ret = n",
  "                    n := n.next",
  "                    ret",
  "                }",
  "            }",
  "",
  "            method do(action) {",
  "                var n := first",
  "                while { n != false } do {",
  "                    action.apply(n)",
  "                    n := n.next",
  "                }",
  "            }",
  "        }",
  "",
  "",
  "        linePosition := 0",
  "        util.log_verbose \"lexing.\"",
  "        state := startState",
  "        for (inputLines) do { eachLine ->",
  "            def charS = eachLine.iterator",
  "            while {charS.hasNext} do {",
  "                def ch = charS.next",
  "                linePosition := linePosition + 1",
  "                if (inStr.not && { \"><![]-\".contains(ch) } && charS.hasNext) then {",
  "                    // map to unicode equavalents",
  "                    def nextCh = charS.next",
  "                    linePosition := linePosition + 1",
  "                    def bigraph = ch ++ nextCh",
  "                    if (bigraph == \">=\") then { state.consume \"≥\"",
  "                    } elseif { bigraph == \"<=\" } then { state.consume \"≤\"",
  "                    } elseif { bigraph == \"!=\" } then { state.consume \"≠\"",
  "                    } elseif { bigraph == \"[[\" } then { state.consume \"⟦\"",
  "                    } elseif { bigraph == \"]]\" } then { state.consume \"⟧\"",
  "                    } elseif { bigraph == \"->\" } then { state.consume \"→\"",
  "                    } else {",
  "                        linePosition := linePosition - 1",
  "                        state.consume(ch)",
  "                        linePosition := linePosition + 1",
  "                        state.consume(nextCh)",
  "                    }",
  "                } else {",
  "                    state.consume(ch)",
  "                }",
  "            }",
  "            state.consume(\"\\n\")",
  "            linePosition := 0",
  "            lineNumber := lineNumber + 1",
  "        }",
  "        linePosition := linePosition + 1",
  "        if (inStr) then {",
  "            errormessages.syntaxError(\"a multi-line string must end with a '›'.\\n\" ++",
  "                \"String opened on line {startLine} and unclosed at end of input.\")",
  "                atRange(startLine, stringStart, util.lines.at(startLine).size)",
  "        }",
  "        tokens.push(eofToken)",
  "        tokens",
  "    }",
  "}",
  NULL
};
Object reader_lexer_outer_99(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_tokens_100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_tokens_100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_lineNumber_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_lineNumber_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_linePosition_102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_linePosition_102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_startPosition_103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_startPosition_103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_indentLevel_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_indentLevel_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_startLine_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_lexer_startLine_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_lexer_stringStart_106(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_lexer_stringStart_106(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_lexer_unichars_107(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_lexer_unichars_107(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_lexer_outer_110(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_112(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_114(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_114(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_115(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_115(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_216(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_217(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_218(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_219(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_232(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_line_39__261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_linePos_39__262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_lexer_outer_301(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_319(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_320(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_321(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_322(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_335(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_336(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_347(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_348(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_350(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_363(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_364(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_377(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_378(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_389(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_390(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_391(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_392(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_403(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_404(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_405(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_406(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_417(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_418(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_419(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_420(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_431(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_432(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_433(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_434(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_445(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_446(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_447(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_448(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_449(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_469(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_470(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_471(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_472(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_483(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_484(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_485(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_486(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_497(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_498(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_499(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_500(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_511(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_512(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_513(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_514(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_525(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_526(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_527(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_528(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_539(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_540(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_541(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_542(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_553(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_554(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_555(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_556(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_567(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_568(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_569(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_570(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_state_579(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[32];
}
Object writer_lexer_state_579(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[32] = args[0];
  return done;
}
Object reader_lexer_accum_580(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[33];
}
Object writer_lexer_accum_580(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[33] = args[0];
  return done;
}
Object reader_lexer_inStr_581(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[34];
}
Object writer_lexer_inStr_581(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[34] = args[0];
  return done;
}
Object reader_lexer_escaped_582(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[35];
}
Object writer_lexer_escaped_582(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[35] = args[0];
  return done;
}
Object reader_lexer_codepoint_583(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[36];
}
Object writer_lexer_codepoint_583(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[36] = args[0];
  return done;
}
Object reader_lexer_interpdepth_584(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[37];
}
Object writer_lexer_interpdepth_584(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[37] = args[0];
  return done;
}
Object reader_lexer_interpString_585(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[38];
}
Object writer_lexer_interpString_585(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[38] = args[0];
  return done;
}
Object reader_lexer_startState_605(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[42];
}
Object reader_lexer_pragmaPrefixState_606(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[43];
}
Object reader_lexer_pragmaBodyState_607(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[44];
}
Object reader_lexer_pragmaTrailingWhitespaceState_608(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[45];
}
Object reader_lexer_defaultState_609(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[46];
}
Object reader_lexer_rBraceState_610(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[47];
}
Object reader_lexer_slashState_611(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[48];
}
Object reader_lexer_dotState_612(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[49];
}
Object reader_lexer_identifierState_613(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[50];
}
Object reader_lexer_quotedStringState_614(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[51];
}
Object reader_lexer_unicodeState_615(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[52];
}
Object reader_lexer_quotedStringEscapedState_616(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[53];
}
Object reader_lexer_extendedStringState_617(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[54];
}
Object reader_lexer_tokenBase_618(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[55];
}
Object writer_lexer_tokenBase_618(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[55] = args[0];
  return done;
}
Object reader_lexer_mantissa_619(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[56];
}
Object writer_lexer_mantissa_619(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[56] = args[0];
  return done;
}
Object reader_lexer_numberStartState_620(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[57];
}
Object reader_lexer_numberBaseState_621(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[58];
}
Object reader_lexer_numberDotState_622(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[59];
}
Object reader_lexer_numberFractionState_623(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[60];
}
Object reader_lexer_numberExponentSignState_624(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[61];
}
Object reader_lexer_numberExponentState_625(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[62];
}
Object reader_lexer_operatorState_626(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[63];
}
Object reader_lexer_indentationState_627(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[64];
}
Object reader_lexer_commentSpaceState_628(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[65];
}
Object reader_lexer_commentState_629(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[66];
}
Object reader_lexer_outer_1826(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1827(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1827(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1828(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1828(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_1829(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_1829(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_1995(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_1996(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_1996(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_outer_2275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2309(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2382(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2430(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2472(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3022(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3170(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3240(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3461(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3640(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3709(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3919(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3956(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4127(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4210(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4297(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4391(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4460(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4603(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4696(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4724(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4751(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static Object strlit12;
static Object strlit27;
static Object strlit35;
static Object strlit50;
static Object strlit55;
static Object strlit69;
static ClassData objclass98;
static ClassData objclass109;
static Object strlit142;
static Object strlit149;
static Object strlit156;
static Object strlit163;
static Object strlit169;
static ClassData objclass215;
static Object strlit224;
static ClassData objclass229;
static Object strlit238;
static ClassData objclass256;
static Object strlit283;
static ClassData objclass300;
static Object strlit309;
static ClassData objclass318;
static Object strlit327;
static Object strlit328;
static ClassData objclass332;
static Object strlit341;
static Object strlit342;
static ClassData objclass346;
static Object strlit355;
static Object strlit356;
static ClassData objclass360;
static Object strlit369;
static Object strlit370;
static ClassData objclass374;
static Object strlit383;
static Object strlit384;
static ClassData objclass388;
static Object strlit397;
static Object strlit398;
static ClassData objclass402;
static Object strlit411;
static Object strlit412;
static ClassData objclass416;
static Object strlit425;
static Object strlit426;
static ClassData objclass430;
static Object strlit439;
static Object strlit440;
static ClassData objclass444;
static Object strlit454;
static ClassData objclass468;
static Object strlit477;
static ClassData objclass482;
static Object strlit491;
static ClassData objclass496;
static Object strlit505;
static Object strlit506;
static ClassData objclass510;
static Object strlit519;
static Object strlit520;
static ClassData objclass524;
static Object strlit533;
static Object strlit534;
static ClassData objclass538;
static Object strlit547;
static Object strlit548;
static ClassData objclass552;
static Object strlit561;
static Object strlit562;
static ClassData objclass566;
static Object strlit575;
static Object strlit576;
static Object strlit595;
static Object strlit650;
static Object strlit693;
static Object strlit716;
static Object strlit724;
static Object strlit744;
static Object strlit791;
static Object strlit807;
static Object strlit819;
static Object strlit864;
static Object strlit877;
static Object strlit890;
static Object strlit906;
static Object strlit918;
static Object strlit923;
static Object strlit939;
static Object strlit945;
static Object strlit947;
static Object strlit970;
static Object strlit984;
static Object strlit990;
static Object strlit993;
static Object strlit995;
static Object strlit1006;
static Object strlit1020;
static Object strlit1028;
static Object strlit1031;
static Object strlit1039;
static Object strlit1047;
static Object strlit1051;
static Object strlit1054;
static Object strlit1057;
static Object strlit1060;
static Object strlit1063;
static Object strlit1071;
static Object strlit1075;
static Object strlit1081;
static Object strlit1101;
static Object strlit1104;
static Object strlit1112;
static Object strlit1116;
static Object strlit1122;
static Object strlit1148;
static Object strlit1156;
static Object strlit1159;
static Object strlit1167;
static Object strlit1175;
static Object strlit1179;
static Object strlit1182;
static Object strlit1185;
static Object strlit1188;
static Object strlit1196;
static Object strlit1200;
static Object strlit1206;
static Object strlit1231;
static Object strlit1234;
static Object strlit1242;
static Object strlit1246;
static Object strlit1252;
static Object strlit1278;
static Object strlit1288;
static Object strlit1298;
static Object strlit1301;
static Object strlit1309;
static Object strlit1313;
static Object strlit1319;
static Object strlit1347;
static Object strlit1350;
static Object strlit1358;
static Object strlit1362;
static Object strlit1368;
static Object strlit1445;
static Object strlit1456;
static Object strlit1472;
static Object strlit1539;
static Object strlit1547;
static Object strlit1551;
static Object strlit1561;
static Object strlit1566;
static Object strlit1571;
static Object strlit1576;
static Object strlit1580;
static Object strlit1623;
static Object strlit1626;
static Object strlit1629;
static Object strlit1637;
static Object strlit1657;
static Object strlit1677;
static Object strlit1691;
static Object strlit1695;
static Object strlit1714;
static Object strlit1715;
static Object strlit1724;
static Object strlit1731;
static Object strlit1733;
static Object strlit1739;
static Object strlit1747;
static Object strlit1749;
static Object strlit1755;
static Object strlit1762;
static Object strlit1764;
static Object strlit1770;
static Object strlit1778;
static Object strlit1786;
static Object strlit1794;
static Object strlit1814;
static ClassData objclass1825;
static Object strlit1887;
static Object strlit1888;
static Object strlit1889;
static Object strlit1890;
static Object strlit1891;
static Object strlit1892;
static ClassData objclass1994;
static Object strlit2046;
static Object strlit2084;
static Object strlit2109;
static Object strlit2113;
static Object strlit2119;
static Object strlit2123;
static Object strlit2129;
static Object strlit2133;
static Object strlit2139;
static Object strlit2143;
static Object strlit2149;
static Object strlit2153;
static Object strlit2159;
static Object strlit2163;
static Object strlit2198;
static Object strlit2229;
static Object strlit2235;
static Object strlit2239;
static Object strlit2268;
static ClassData objclass2274;
static Object strlit2279;
static ClassData objclass2308;
static Object strlit2317;
static Object strlit2321;
static Object strlit2342;
static Object strlit2350;
static Object strlit2363;
static ClassData objclass2381;
static Object strlit2396;
static Object strlit2407;
static ClassData objclass2429;
static Object strlit2438;
static Object strlit2457;
static ClassData objclass2471;
static Object strlit2501;
static Object strlit2527;
static Object strlit2559;
static Object strlit2621;
static Object strlit2680;
static Object strlit2699;
static Object strlit2722;
static Object strlit2742;
static Object strlit2755;
static Object strlit2768;
static Object strlit2787;
static Object strlit2800;
static Object strlit2808;
static Object strlit2834;
static Object strlit2836;
static Object strlit2865;
static Object strlit2878;
static Object strlit2891;
static Object strlit2904;
static Object strlit2917;
static Object strlit2930;
static Object strlit2981;
static Object strlit2984;
static Object strlit2992;
static Object strlit2996;
static Object strlit3002;
static ClassData objclass3021;
static Object strlit3035;
static Object strlit3073;
static Object strlit3092;
static Object strlit3121;
static ClassData objclass3169;
static Object strlit3178;
static Object strlit3187;
static Object strlit3204;
static ClassData objclass3239;
static Object strlit3248;
static Object strlit3257;
static Object strlit3274;
static Object strlit3299;
static ClassData objclass3339;
static Object strlit3360;
static Object strlit3369;
static Object strlit3371;
static Object strlit3392;
static Object strlit3400;
static ClassData objclass3460;
static Object strlit3469;
static Object strlit3528;
static Object strlit3537;
static Object strlit3582;
static Object strlit3624;
static ClassData objclass3639;
static ClassData objclass3708;
static Object strlit3725;
static Object strlit3734;
static Object strlit3739;
static Object strlit3751;
static Object strlit3774;
static Object strlit3797;
static Object strlit3802;
static Object strlit3814;
static Object strlit3819;
static Object strlit3831;
static Object strlit3836;
static Object strlit3848;
static Object strlit3853;
static Object strlit3865;
static Object strlit3870;
static Object strlit3882;
static Object strlit3887;
static Object strlit3899;
static Object strlit3904;
static ClassData objclass3918;
static Object strlit3923;
static ClassData objclass3955;
static Object strlit3971;
static Object strlit3999;
static Object strlit4014;
static Object strlit4019;
static Object strlit4034;
static Object strlit4054;
static Object strlit4066;
static Object strlit4070;
static Object strlit4088;
static ClassData objclass4126;
static Object strlit4157;
static ClassData objclass4209;
static Object strlit4216;
static Object strlit4278;
static ClassData objclass4296;
static Object strlit4313;
static Object strlit4318;
static Object strlit4333;
static Object strlit4349;
static ClassData objclass4390;
static Object strlit4400;
static Object strlit4424;
static Object strlit4428;
static Object strlit4445;
static ClassData objclass4459;
static Object strlit4478;
static Object strlit4482;
static Object strlit4500;
static Object strlit4508;
static ClassData objclass4602;
static Object strlit4620;
static Object strlit4637;
static Object strlit4654;
static ClassData objclass4695;
static ClassData objclass4723;
static Object strlit4732;
static ClassData objclass4750;
static Object strlit4755;
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_errormessages;
Object module_errormessages_init();
Object module_stringMap;
Object module_stringMap_init();
static Object strlit4792;
static Object strlit4796;
static Object strlit4800;
static Object strlit4804;
static Object strlit4808;
static Object strlit4812;
static Object strlit4816;
static Object strlit4820;
static Object strlit4824;
static Object strlit4828;
static Object strlit4832;
static Object strlit4836;
static Object strlit4840;
static Object strlit4844;
static Object strlit4848;
static Object strlit4852;
static Object strlit4856;
static Object strlit4860;
static Object strlit4863;
static Object strlit4865;
static Object strlit4867;
static Object strlit4869;
static Object strlit4871;
static Object strlit4873;
static Object strlit4875;
static Object strlit4877;
static Object strlit4879;
Object meth_lexer_1_isOperatorChar_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isOperatorChar(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method isOperatorChar(_,_)");
  Object params[2];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isOperatorChar(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part isOperatorChar(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_operatorChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4 = callmethodflags(*var_operatorChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3);
// compiled call node returning call4 (depth = 3)
  Object if2 = done;
  if (istrue(call4)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5 = alloc_Boolean(1);
// compiled identifier node returning bool5 (depth = 4)
  return bool5;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2 = undefined;
  } else {
  }
// compiled if node returning if2 (depth = 2)
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ordval (depth = 4)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call8 = callmethodflags(*var_unicode, "isSymbolMathematical(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7);
// compiled call node returning call8 (depth = 3)
  Object if6 = done;
  if (istrue(call8)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool9 = alloc_Boolean(1);
// compiled identifier node returning bool9 (depth = 4)
  return bool9;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if6 = undefined;
  } else {
  }
// compiled if node returning if6 (depth = 2)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe11 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// starting to compile string node (depth = 4)
  if (strlit12 == NULL) {
    strlit12 = alloc_String("So");
    gc_root(strlit12);
  }
// compiled string node returning strlit12 (depth = 4)
  gc_frame_newslot(strlit12);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_c;
  params[1] = strlit12;
  partcv[0] = 2;
  Object call13 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe11);
// compiled call node returning call13 (depth = 3)
  Object if10 = done;
  if (istrue(call13)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool14 = alloc_Boolean(1);
// compiled identifier node returning bool14 (depth = 4)
  return bool14;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10 = undefined;
  } else {
  }
// compiled if node returning if10 (depth = 2)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool15 = alloc_Boolean(0);
// compiled identifier node returning bool15 (depth = 3)
  return bool15;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_16_isBadSeparator_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBadSeparator(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBadSeparator(_)");
  Object params[2];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  Object *var_tab = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBadSeparator(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBadSeparator(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe18 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call19 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled call node returning call19 (depth = 3)
  Object if17 = done;
  if (istrue(call19)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool20 = alloc_Boolean(0);
// compiled identifier node returning bool20 (depth = 4)
  return bool20;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if17 = undefined;
  } else {
  }
// compiled if node returning if17 (depth = 2)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  int op_slot_right_22 = gc_frame_newslot(*var_ch);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tab (depth = 4)
  int op_slot_left_22 = gc_frame_newslot(*var_tab);
  params[0] = *var_ch;
  partcv[0] = 1;
  Object opresult24 = callmethod(*var_tab, "==(1)", 1, partcv, params);
// compiled op node returning opresult24 (depth = 3)
  Object if21 = done;
  if (istrue(opresult24)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool25 = alloc_Boolean(1);
// compiled identifier node returning bool25 (depth = 4)
  return bool25;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if21 = undefined;
  } else {
  }
// compiled if node returning if21 (depth = 2)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe26 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit27 == NULL) {
    strlit27 = alloc_String("Z");
    gc_root(strlit27);
  }
// compiled string node returning strlit27 (depth = 4)
  gc_frame_newslot(strlit27);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit27;
  partcv[0] = 2;
  Object call28 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe26);
// compiled call node returning call28 (depth = 3)
  return call28;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_29_isBadControl_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBadControl(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBadControl(_)");
  Object params[2];
  int partcv[1];
  Object *var_nl_cr = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBadControl(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBadControl(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe31 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nl_cr (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call32 = callmethodflags(*var_nl_cr, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe31);
// compiled call node returning call32 (depth = 3)
  Object if30 = done;
  if (istrue(call32)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool33 = alloc_Boolean(0);
// compiled identifier node returning bool33 (depth = 4)
  return bool33;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if30 = undefined;
  } else {
  }
// compiled if node returning if30 (depth = 2)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe34 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit35 == NULL) {
    strlit35 = alloc_String("C");
    gc_root(strlit35);
  }
// compiled string node returning strlit35 (depth = 4)
  gc_frame_newslot(strlit35);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit35;
  partcv[0] = 2;
  Object call36 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe34);
// compiled call node returning call36 (depth = 3)
  return call36;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_37_isSelfMode_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isSelfMode(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSelfMode(_)");
  Object params[1];
  int partcv[1];
  Object *var_selfModes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSelfMode(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSelfMode(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 2)
  int callframe38 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_selfModes (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call39 = callmethodflags(*var_selfModes, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe38);
// compiled call node returning call39 (depth = 2)
  gc_frame_end(frame);
  return call39;
}
Object meth_lexer_40_isBracket_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBracket(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBracket(_)");
  Object params[1];
  int partcv[1];
  Object *var_brackets = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBracket(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBracket(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 2)
  int callframe41 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_brackets (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call42 = callmethodflags(*var_brackets, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe41);
// compiled call node returning call42 (depth = 2)
  gc_frame_end(frame);
  return call42;
}
Object meth_lexer_43_isIdentifierChar_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isIdentifierChar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isIdentifierChar(_)");
  Object params[2];
  int partcv[1];
  Object *var_alphaNums = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isIdentifierChar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isIdentifierChar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe45 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_alphaNums (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call46 = callmethodflags(*var_alphaNums, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe45);
// compiled call node returning call46 (depth = 3)
  Object if44 = done;
  if (istrue(call46)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool47 = alloc_Boolean(1);
// compiled identifier node returning bool47 (depth = 4)
  return bool47;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if44 = undefined;
  } else {
  }
// compiled if node returning if44 (depth = 2)
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe49 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit50 == NULL) {
    strlit50 = alloc_String("L");
    gc_root(strlit50);
  }
// compiled string node returning strlit50 (depth = 4)
  gc_frame_newslot(strlit50);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit50;
  partcv[0] = 2;
  Object call51 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe49);
// compiled call node returning call51 (depth = 3)
  Object if48 = done;
  if (istrue(call51)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool52 = alloc_Boolean(1);
// compiled identifier node returning bool52 (depth = 4)
  return bool52;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if48 = undefined;
  } else {
  }
// compiled if node returning if48 (depth = 2)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe54 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit55 == NULL) {
    strlit55 = alloc_String("N");
    gc_root(strlit55);
  }
// compiled string node returning strlit55 (depth = 4)
  gc_frame_newslot(strlit55);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit55;
  partcv[0] = 2;
  Object call56 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe54);
// compiled call node returning call56 (depth = 3)
  Object if53 = done;
  if (istrue(call56)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool57 = alloc_Boolean(1);
// compiled identifier node returning bool57 (depth = 4)
  return bool57;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if53 = undefined;
  } else {
  }
// compiled if node returning if53 (depth = 2)
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool58 = alloc_Boolean(0);
// compiled identifier node returning bool58 (depth = 3)
  return bool58;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_59_isDigit_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isDigit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isDigit(_)");
  Object params[1];
  int partcv[1];
  Object *var_digits = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isDigit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isDigit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 2)
  int callframe60 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_digits (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call61 = callmethodflags(*var_digits, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe60);
// compiled call node returning call61 (depth = 2)
  gc_frame_end(frame);
  return call61;
}
Object meth_lexer_62_isLetter_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isLetter(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isLetter(_)");
  Object params[2];
  int partcv[1];
  Object *var_asciiLetters = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isLetter(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isLetter(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe64 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_asciiLetters (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call65 = callmethodflags(*var_asciiLetters, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe64);
// compiled call node returning call65 (depth = 3)
  Object if63 = done;
  if (istrue(call65)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool66 = alloc_Boolean(1);
// compiled identifier node returning bool66 (depth = 4)
  return bool66;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if63 = undefined;
  } else {
  }
// compiled if node returning if63 (depth = 2)
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe68 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit69 == NULL) {
    strlit69 = alloc_String("L");
    gc_root(strlit69);
  }
// compiled string node returning strlit69 (depth = 4)
  gc_frame_newslot(strlit69);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit69;
  partcv[0] = 2;
  Object call70 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe68);
// compiled call node returning call70 (depth = 3)
  Object if67 = done;
  if (istrue(call70)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool71 = alloc_Boolean(1);
// compiled identifier node returning bool71 (depth = 4)
  return bool71;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if67 = undefined;
  } else {
  }
// compiled if node returning if67 (depth = 2)
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool72 = alloc_Boolean(0);
// compiled identifier node returning bool72 (depth = 3)
  return bool72;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_82__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_l (depth = 5)
  int op_slot_right_83 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 5)
  int callframe85 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  Object call86 = callmethodflags(*var_s_39_, "size", 0, partcv, params, 0);
  gc_frame_end(callframe85);
// compiled member node returning call86 (depth = 5)
  int op_slot_left_83 = gc_frame_newslot(call86);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult87 = callmethod(call86, "<(1)", 1, partcv, params);
// compiled op node returning opresult87 (depth = 4)
  gc_frame_end(frame);
  return opresult87;
}
Object meth_lexer_90__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  int op_slot_right_91 = gc_frame_newslot(*var_s_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_w (depth = 6)
  int op_slot_left_91 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult93 = callmethod(*var_w, "++(1)", 1, partcv, params);
// compiled op node returning opresult93 (depth = 5)
  *var_s_39_ = opresult93;
  if (opresult93 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_73_padl_40_3_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method padl(_,_,_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for padl(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part padl(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  int op_slot_right_75 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 4)
  int callframe77 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  Object call78 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe77);
// compiled member node returning call78 (depth = 4)
  int op_slot_left_75 = gc_frame_newslot(call78);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult79 = callmethod(call78, "≥(1)", 1, partcv, params);
// compiled op node returning opresult79 (depth = 3)
  Object if74 = done;
  if (istrue(opresult79)) {
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  return *var_s;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if74 = undefined;
  } else {
  }
// compiled if node returning if74 (depth = 2)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe80 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block81 = alloc_Block(NULL, NULL, "lexer", 77);
  gc_frame_newslot(block81);
// method "_apply"
  block_savedest(block81);
  Object closure82 = createclosure(3, "_apply");
  setclosureframe(closure82, stackframe);
  addtoclosure(closure82, var_l);
  addtoclosure(closure82, var_s_39_);
  addtoclosure(closure82, selfslot);
  struct UserObject *uo82 = (struct UserObject*)block81;
  uo82->data[0] = (Object)closure82;
  Method *meth_meth_lexer_82__apply = addmethod2pos(block81, "_apply", &meth_lexer_82__apply, 0);
  int argcv_meth_lexer_82__apply[] = {0};
  meth_meth_lexer_82__apply->type = alloc_MethodType(1, argcv_meth_lexer_82__apply);
  meth_meth_lexer_82__apply->definitionModule = modulename;
  meth_meth_lexer_82__apply->definitionLine = 1204;
// compiled block node returning block81 (depth = 3)
  gc_frame_newslot(block81);
// starting to compile block node (depth = 3)
  Object block89 = alloc_Block(NULL, NULL, "lexer", 77);
  gc_frame_newslot(block89);
// method "_apply"
  block_savedest(block89);
  Object closure90 = createclosure(3, "_apply");
  setclosureframe(closure90, stackframe);
  addtoclosure(closure90, var_s_39_);
  addtoclosure(closure90, var_w);
  addtoclosure(closure90, selfslot);
  struct UserObject *uo90 = (struct UserObject*)block89;
  uo90->data[0] = (Object)closure90;
  Method *meth_meth_lexer_90__apply = addmethod2pos(block89, "_apply", &meth_lexer_90__apply, 0);
  int argcv_meth_lexer_90__apply[] = {0};
  meth_meth_lexer_90__apply->type = alloc_MethodType(1, argcv_meth_lexer_90__apply);
  meth_meth_lexer_90__apply->definitionModule = modulename;
  meth_meth_lexer_90__apply->definitionLine = 1204;
// compiled block node returning block89 (depth = 3)
  gc_frame_newslot(block89);
// call case 5: prelude request
  params[0] = block81;
  params[1] = block89;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call96 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe80);
// compiled call node returning call96 (depth = 2)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s_39_ (depth = 3)
  return *var_s_39_;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_116__61__61__40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_right_118 = gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 4)
  Object bool120 = alloc_Boolean(0);
// compiled identifier node returning bool120 (depth = 4)
  int op_slot_left_118 = gc_frame_newslot(bool120);
  params[0] = *var_other;
  partcv[0] = 1;
  Object opresult121 = callmethod(bool120, "==(1)", 1, partcv, params);
// compiled op node returning opresult121 (depth = 3)
  Object if117 = done;
  if (istrue(opresult121)) {
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool122 = alloc_Boolean(0);
// compiled identifier node returning bool122 (depth = 3)
    gc_frame_newslot(bool122);
    if117 = bool122;
  } else {
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe125 = gc_frame_new();
// call case 4: self request
  Object call126 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe125);
// compiled member node returning call126 (depth = 5)
  int op_slot_right_124 = gc_frame_newslot(call126);
// starting to compile member node (depth = 5)
  int callframe128 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call129 = callmethodflags(*var_other, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe128);
// compiled member node returning call129 (depth = 5)
  int op_slot_left_124 = gc_frame_newslot(call129);
  params[0] = call126;
  partcv[0] = 1;
  Object opresult130 = callmethod(call129, "==(1)", 1, partcv, params);
// compiled op node returning opresult130 (depth = 4)
  int op_slot_right_123 = gc_frame_newslot(opresult130);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe133 = gc_frame_new();
// call case 4: self request
  Object call134 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe133);
// compiled member node returning call134 (depth = 5)
  int op_slot_right_132 = gc_frame_newslot(call134);
// starting to compile member node (depth = 5)
  int callframe136 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call137 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe136);
// compiled member node returning call137 (depth = 5)
  int op_slot_left_132 = gc_frame_newslot(call137);
  params[0] = call134;
  partcv[0] = 1;
  Object opresult138 = callmethod(call137, "==(1)", 1, partcv, params);
// compiled op node returning opresult138 (depth = 4)
  int op_slot_left_123 = gc_frame_newslot(opresult138);
  params[0] = opresult130;
  partcv[0] = 1;
  Object opresult139 = callmethod(opresult138, "&&(1)", 1, partcv, params);
// compiled op node returning opresult139 (depth = 3)
    gc_frame_newslot(opresult139);
    if117 = opresult139;
  }
// compiled if node returning if117 (depth = 2)
  gc_frame_end(frame);
  return if117;
}
Object meth_lexer_140_asString(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit142 == NULL) {
    strlit142 = alloc_String("");
    gc_root(strlit142);
  }
// compiled string node returning strlit142 (depth = 3)
  int op_slot_right_141 = gc_frame_newslot(strlit142);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe145 = gc_frame_new();
// call case 4: self request
  Object call146 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe145);
// compiled member node returning call146 (depth = 4)
  int op_slot_right_144 = gc_frame_newslot(call146);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit149 == NULL) {
    strlit149 = alloc_String(" ");
    gc_root(strlit149);
  }
// compiled string node returning strlit149 (depth = 5)
  int op_slot_right_148 = gc_frame_newslot(strlit149);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe152 = gc_frame_new();
// call case 4: self request
  Object call153 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe152);
// compiled member node returning call153 (depth = 6)
  int op_slot_right_151 = gc_frame_newslot(call153);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit156 == NULL) {
    strlit156 = alloc_String(")");
    gc_root(strlit156);
  }
// compiled string node returning strlit156 (depth = 7)
  int op_slot_right_155 = gc_frame_newslot(strlit156);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe159 = gc_frame_new();
// call case 4: self request
  Object call160 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe159);
// compiled member node returning call160 (depth = 8)
  int op_slot_right_158 = gc_frame_newslot(call160);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit163 == NULL) {
    strlit163 = alloc_String(":");
    gc_root(strlit163);
  }
// compiled string node returning strlit163 (depth = 9)
  int op_slot_right_162 = gc_frame_newslot(strlit163);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe166 = gc_frame_new();
// call case 4: self request
  Object call167 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe166);
// compiled member node returning call167 (depth = 10)
  int op_slot_right_165 = gc_frame_newslot(call167);
// starting to compile string node (depth = 10)
  if (strlit169 == NULL) {
    strlit169 = alloc_String("(");
    gc_root(strlit169);
  }
// compiled string node returning strlit169 (depth = 10)
  int op_slot_left_165 = gc_frame_newslot(strlit169);
  params[0] = call167;
  partcv[0] = 1;
  Object opresult170 = callmethod(strlit169, "++(1)", 1, partcv, params);
// compiled op node returning opresult170 (depth = 9)
  int op_slot_left_162 = gc_frame_newslot(opresult170);
  params[0] = strlit163;
  partcv[0] = 1;
  Object opresult171 = callmethod(opresult170, "++(1)", 1, partcv, params);
// compiled op node returning opresult171 (depth = 8)
  int op_slot_left_158 = gc_frame_newslot(opresult171);
  params[0] = call160;
  partcv[0] = 1;
  Object opresult172 = callmethod(opresult171, "++(1)", 1, partcv, params);
// compiled op node returning opresult172 (depth = 7)
  int op_slot_left_155 = gc_frame_newslot(opresult172);
  params[0] = strlit156;
  partcv[0] = 1;
  Object opresult173 = callmethod(opresult172, "++(1)", 1, partcv, params);
// compiled op node returning opresult173 (depth = 6)
  int op_slot_left_151 = gc_frame_newslot(opresult173);
  params[0] = call153;
  partcv[0] = 1;
  Object opresult174 = callmethod(opresult173, "++(1)", 1, partcv, params);
// compiled op node returning opresult174 (depth = 5)
  int op_slot_left_148 = gc_frame_newslot(opresult174);
  params[0] = strlit149;
  partcv[0] = 1;
  Object opresult175 = callmethod(opresult174, "++(1)", 1, partcv, params);
// compiled op node returning opresult175 (depth = 4)
  int op_slot_left_144 = gc_frame_newslot(opresult175);
  params[0] = call146;
  partcv[0] = 1;
  Object opresult176 = callmethod(opresult175, "++(1)", 1, partcv, params);
// compiled op node returning opresult176 (depth = 3)
  int op_slot_left_141 = gc_frame_newslot(opresult176);
  params[0] = strlit142;
  partcv[0] = 1;
  Object opresult177 = callmethod(opresult176, "++(1)", 1, partcv, params);
// compiled op node returning opresult177 (depth = 2)
  gc_frame_end(frame);
  return opresult177;
}
Object meth_lexer_178_value(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe179 = gc_frame_new();
// call case 5: prelude request
  Object call180 = callmethodflags(prelude, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe179);
// compiled member node returning call180 (depth = 2)
  gc_frame_end(frame);
  return call180;
}
Object meth_lexer_181_size(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe182 = gc_frame_new();
// call case 5: prelude request
  Object call183 = callmethodflags(prelude, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe182);
// compiled member node returning call183 (depth = 2)
  gc_frame_end(frame);
  return call183;
}
Object meth_lexer_184_kind(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "kind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe185 = gc_frame_new();
// call case 5: prelude request
  Object call186 = callmethodflags(prelude, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe185);
// compiled member node returning call186 (depth = 2)
  gc_frame_end(frame);
  return call186;
}
Object meth_lexer_187_endPos(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "endPos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num189 = alloc_Float64(1);
// compiled num node returning num189 (depth = 3)
  int op_slot_right_188 = gc_frame_newslot(num189);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe192 = gc_frame_new();
// call case 4: self request
  Object call193 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe192);
// compiled member node returning call193 (depth = 4)
  int op_slot_right_191 = gc_frame_newslot(call193);
// starting to compile member node (depth = 4)
  int callframe195 = gc_frame_new();
// call case 4: self request
  Object call196 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe195);
// compiled member node returning call196 (depth = 4)
  int op_slot_left_191 = gc_frame_newslot(call196);
  params[0] = call193;
  partcv[0] = 1;
  Object sum197 = callmethod(call196, "+(1)", 1, partcv, params);
// compiled op node returning sum197 (depth = 3)
  int op_slot_left_188 = gc_frame_newslot(sum197);
  params[0] = num189;
  partcv[0] = 1;
  Object diff198 = callmethod(sum197, "-(1)", 1, partcv, params);
// compiled op node returning diff198 (depth = 2)
  gc_frame_end(frame);
  return diff198;
}
Object meth_lexer_108_token(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject109 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj109 = alloc_userobj2(13,12, objclass109);
  gc_frame_newslot(obj109);
  if (objclass109 == NULL) {
    glfree(obj109->class->name);
    obj109->class->name = "new.token";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj109, self, 0);
  addmethodreal(obj109,"outer", &reader_lexer_outer_110);
  Object oldself109 = self;
  struct StackFrameObject *oldstackframe109 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe109);
  gc_frame_newslot((Object)stackframe);
  self = obj109;
  Object *oldselfslot109 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter109 = (*(struct UserObject *)self).data[0], lowerouter109 = thisouter109;
  if (inheritingObject109) {
    struct UserObject *inho109 = (struct UserObject *)inheritingObject109;
    while (inho109->super != GraceDefaultObject) inho109 = (struct UserObject *)inho109->super;
    inho109->super = obj109;
    self = inheritingObject109;
    *selfslot = self;
    lowerouter109 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter109;
  }
  if (objclass109 == NULL) {
  Method *reader111 = addmethodrealflags(obj109, "line",&reader_lexer_line_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 93;
  }
  adddatum2(obj109, alloc_Undefined(), 1);
  if (objclass109 == NULL) {
  Method *reader112 = addmethodrealflags(obj109, "indent",&reader_lexer_indent_112, MFLAG_DEF);
  reader112->definitionModule = modulename;
  reader112->definitionLine = 94;
  }
  adddatum2(obj109, alloc_Undefined(), 2);
  if (objclass109 == NULL) {
  Method *reader113 = addmethodrealflags(obj109, "linePos",&reader_lexer_linePos_113, MFLAG_DEF);
  reader113->definitionModule = modulename;
  reader113->definitionLine = 95;
  }
  adddatum2(obj109, alloc_Undefined(), 3);
  if (objclass109 == NULL) {
    Method *reader114 = addmethodrealflags(obj109, "next", &reader_lexer_next_114, 0);
    Method *writer114 = addmethodrealflags(obj109, "next:=(1)", &writer_lexer_next_114, 0);
    reader114->definitionModule = modulename;
    writer114->definitionModule = modulename;
    reader114->definitionLine = 97;
    writer114->definitionLine = 97;
  }
  obj109->flags |= OFLAG_MUTABLE;
  adddatum2(obj109, alloc_Undefined(), 4);
  if (objclass109 == NULL) {
    Method *reader115 = addmethodrealflags(obj109, "prev", &reader_lexer_prev_115, 0);
    Method *writer115 = addmethodrealflags(obj109, "prev:=(1)", &writer_lexer_prev_115, 0);
    reader115->definitionModule = modulename;
    writer115->definitionModule = modulename;
    reader115->definitionLine = 98;
    writer115->definitionLine = 98;
  }
  obj109->flags |= OFLAG_MUTABLE;
  adddatum2(obj109, alloc_Undefined(), 5);
// method "==(_)"
  struct UserObject *uo116 = (struct UserObject*)obj109;
  uo116->data[6] = emptyclosure;
  Method *meth_meth_lexer_116__61__61__40_1_41_ = addmethod2pos(obj109, "==(1)", &meth_lexer_116__61__61__40_1_41_, 6);
  int argcv_meth_lexer_116__61__61__40_1_41_[] = {1};
  meth_meth_lexer_116__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_116__61__61__40_1_41_);
  meth_meth_lexer_116__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_lexer_116__61__61__40_1_41_->definitionLine = 100;
// method "asString"
  struct UserObject *uo140 = (struct UserObject*)obj109;
  uo140->data[7] = emptyclosure;
  Method *meth_meth_lexer_140_asString = addmethod2pos(obj109, "asString", &meth_lexer_140_asString, 7);
  int argcv_meth_lexer_140_asString[] = {0};
  meth_meth_lexer_140_asString->type = alloc_MethodType(1, argcv_meth_lexer_140_asString);
  meth_meth_lexer_140_asString->definitionModule = modulename;
  meth_meth_lexer_140_asString->definitionLine = 107;
// method "value"
  struct UserObject *uo178 = (struct UserObject*)obj109;
  uo178->data[8] = emptyclosure;
  Method *meth_meth_lexer_178_value = addmethod2pos(obj109, "value", &meth_lexer_178_value, 8);
  int argcv_meth_lexer_178_value[] = {0};
  meth_meth_lexer_178_value->type = alloc_MethodType(1, argcv_meth_lexer_178_value);
  meth_meth_lexer_178_value->definitionModule = modulename;
  meth_meth_lexer_178_value->definitionLine = 108;
// method "size"
  struct UserObject *uo181 = (struct UserObject*)obj109;
  uo181->data[9] = emptyclosure;
  Method *meth_meth_lexer_181_size = addmethod2pos(obj109, "size", &meth_lexer_181_size, 9);
  int argcv_meth_lexer_181_size[] = {0};
  meth_meth_lexer_181_size->type = alloc_MethodType(1, argcv_meth_lexer_181_size);
  meth_meth_lexer_181_size->definitionModule = modulename;
  meth_meth_lexer_181_size->definitionLine = 109;
// method "kind"
  struct UserObject *uo184 = (struct UserObject*)obj109;
  uo184->data[10] = emptyclosure;
  Method *meth_meth_lexer_184_kind = addmethod2pos(obj109, "kind", &meth_lexer_184_kind, 10);
  int argcv_meth_lexer_184_kind[] = {0};
  meth_meth_lexer_184_kind->type = alloc_MethodType(1, argcv_meth_lexer_184_kind);
  meth_meth_lexer_184_kind->definitionModule = modulename;
  meth_meth_lexer_184_kind->definitionLine = 110;
// method "endPos"
  struct UserObject *uo187 = (struct UserObject*)obj109;
  uo187->data[11] = emptyclosure;
  Method *meth_meth_lexer_187_endPos = addmethod2pos(obj109, "endPos", &meth_lexer_187_endPos, 11);
  int argcv_meth_lexer_187_endPos[] = {0};
  meth_meth_lexer_187_endPos->type = alloc_MethodType(1, argcv_meth_lexer_187_endPos);
  meth_meth_lexer_187_endPos->definitionModule = modulename;
  meth_meth_lexer_187_endPos->definitionLine = 111;
  sourceObject = obj109;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe199 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe200 = gc_frame_new();
// call case 3: self.outer request
  Object call201 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe200);
// compiled member node returning call201 (depth = 3)
  Object call202 = callmethodflags(call201, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe199);
// compiled member node returning call202 (depth = 2)
  adddatum2(obj109, call202, 1);
  sourceObject = obj109;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe203 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe204 = gc_frame_new();
// call case 3: self.outer request
  Object call205 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe204);
// compiled member node returning call205 (depth = 3)
  Object call206 = callmethodflags(call205, "indentLevel", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe203);
// compiled member node returning call206 (depth = 2)
  adddatum2(obj109, call206, 2);
  sourceObject = obj109;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe207 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe208 = gc_frame_new();
// call case 3: self.outer request
  Object call209 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe208);
// compiled member node returning call209 (depth = 3)
  Object call210 = callmethodflags(call209, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe207);
// compiled member node returning call210 (depth = 2)
  adddatum2(obj109, call210, 3);
  sourceObject = obj109;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool211 = alloc_Boolean(0);
// compiled identifier node returning bool211 (depth = 2)
  adddatum2(obj109, bool211, 4);
  sourceObject = obj109;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool212 = alloc_Boolean(0);
// compiled identifier node returning bool212 (depth = 2)
  adddatum2(obj109, bool212, 5);
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  objclass109 = obj109->class;
  objclass109->definitionModule = modulename;
  objclass109->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter109;
  self = oldself109;
  selfslot = oldselfslot109;
  stackframe = oldstackframe109;
  gc_frame_end(frame);
  return obj109;
}
Object meth_lexer_108_token_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject109 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj109 = alloc_userobj2(13,12, objclass109);
  gc_frame_newslot(obj109);
  if (objclass109 == NULL) {
    glfree(obj109->class->name);
    obj109->class->name = "new.token";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj109, self, 0);
  addmethodreal(obj109,"outer", &reader_lexer_outer_110);
  Object oldself109 = self;
  struct StackFrameObject *oldstackframe109 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe109);
  gc_frame_newslot((Object)stackframe);
  self = obj109;
  Object *oldselfslot109 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter109 = (*(struct UserObject *)self).data[0], lowerouter109 = thisouter109;
  if (inheritingObject109) {
    struct UserObject *inho109 = (struct UserObject *)inheritingObject109;
    while (inho109->super != GraceDefaultObject) inho109 = (struct UserObject *)inho109->super;
    inho109->super = obj109;
    self = inheritingObject109;
    *selfslot = self;
    lowerouter109 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter109;
  }
  if (objclass109 == NULL) {
  Method *reader111 = addmethodrealflags(obj109, "line",&reader_lexer_line_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 93;
  }
  adddatum2(obj109, alloc_Undefined(), 1);
  if (objclass109 == NULL) {
  Method *reader112 = addmethodrealflags(obj109, "indent",&reader_lexer_indent_112, MFLAG_DEF);
  reader112->definitionModule = modulename;
  reader112->definitionLine = 94;
  }
  adddatum2(obj109, alloc_Undefined(), 2);
  if (objclass109 == NULL) {
  Method *reader113 = addmethodrealflags(obj109, "linePos",&reader_lexer_linePos_113, MFLAG_DEF);
  reader113->definitionModule = modulename;
  reader113->definitionLine = 95;
  }
  adddatum2(obj109, alloc_Undefined(), 3);
  if (objclass109 == NULL) {
    Method *reader114 = addmethodrealflags(obj109, "next", &reader_lexer_next_114, 0);
    Method *writer114 = addmethodrealflags(obj109, "next:=(1)", &writer_lexer_next_114, 0);
    reader114->definitionModule = modulename;
    writer114->definitionModule = modulename;
    reader114->definitionLine = 97;
    writer114->definitionLine = 97;
  }
  obj109->flags |= OFLAG_MUTABLE;
  adddatum2(obj109, alloc_Undefined(), 4);
  if (objclass109 == NULL) {
    Method *reader115 = addmethodrealflags(obj109, "prev", &reader_lexer_prev_115, 0);
    Method *writer115 = addmethodrealflags(obj109, "prev:=(1)", &writer_lexer_prev_115, 0);
    reader115->definitionModule = modulename;
    writer115->definitionModule = modulename;
    reader115->definitionLine = 98;
    writer115->definitionLine = 98;
  }
  obj109->flags |= OFLAG_MUTABLE;
  adddatum2(obj109, alloc_Undefined(), 5);
// method "==(_)"
  struct UserObject *uo116 = (struct UserObject*)obj109;
  uo116->data[6] = emptyclosure;
  Method *meth_meth_lexer_116__61__61__40_1_41_ = addmethod2pos(obj109, "==(1)", &meth_lexer_116__61__61__40_1_41_, 6);
  int argcv_meth_lexer_116__61__61__40_1_41_[] = {1};
  meth_meth_lexer_116__61__61__40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_116__61__61__40_1_41_);
  meth_meth_lexer_116__61__61__40_1_41_->definitionModule = modulename;
  meth_meth_lexer_116__61__61__40_1_41_->definitionLine = 100;
// method "asString"
  struct UserObject *uo140 = (struct UserObject*)obj109;
  uo140->data[7] = emptyclosure;
  Method *meth_meth_lexer_140_asString = addmethod2pos(obj109, "asString", &meth_lexer_140_asString, 7);
  int argcv_meth_lexer_140_asString[] = {0};
  meth_meth_lexer_140_asString->type = alloc_MethodType(1, argcv_meth_lexer_140_asString);
  meth_meth_lexer_140_asString->definitionModule = modulename;
  meth_meth_lexer_140_asString->definitionLine = 107;
// method "value"
  struct UserObject *uo178 = (struct UserObject*)obj109;
  uo178->data[8] = emptyclosure;
  Method *meth_meth_lexer_178_value = addmethod2pos(obj109, "value", &meth_lexer_178_value, 8);
  int argcv_meth_lexer_178_value[] = {0};
  meth_meth_lexer_178_value->type = alloc_MethodType(1, argcv_meth_lexer_178_value);
  meth_meth_lexer_178_value->definitionModule = modulename;
  meth_meth_lexer_178_value->definitionLine = 108;
// method "size"
  struct UserObject *uo181 = (struct UserObject*)obj109;
  uo181->data[9] = emptyclosure;
  Method *meth_meth_lexer_181_size = addmethod2pos(obj109, "size", &meth_lexer_181_size, 9);
  int argcv_meth_lexer_181_size[] = {0};
  meth_meth_lexer_181_size->type = alloc_MethodType(1, argcv_meth_lexer_181_size);
  meth_meth_lexer_181_size->definitionModule = modulename;
  meth_meth_lexer_181_size->definitionLine = 109;
// method "kind"
  struct UserObject *uo184 = (struct UserObject*)obj109;
  uo184->data[10] = emptyclosure;
  Method *meth_meth_lexer_184_kind = addmethod2pos(obj109, "kind", &meth_lexer_184_kind, 10);
  int argcv_meth_lexer_184_kind[] = {0};
  meth_meth_lexer_184_kind->type = alloc_MethodType(1, argcv_meth_lexer_184_kind);
  meth_meth_lexer_184_kind->definitionModule = modulename;
  meth_meth_lexer_184_kind->definitionLine = 110;
// method "endPos"
  struct UserObject *uo187 = (struct UserObject*)obj109;
  uo187->data[11] = emptyclosure;
  Method *meth_meth_lexer_187_endPos = addmethod2pos(obj109, "endPos", &meth_lexer_187_endPos, 11);
  int argcv_meth_lexer_187_endPos[] = {0};
  meth_meth_lexer_187_endPos->type = alloc_MethodType(1, argcv_meth_lexer_187_endPos);
  meth_meth_lexer_187_endPos->definitionModule = modulename;
  meth_meth_lexer_187_endPos->definitionLine = 111;
  sourceObject = obj109;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe199 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe200 = gc_frame_new();
// call case 3: self.outer request
  Object call201 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe200);
// compiled member node returning call201 (depth = 3)
  Object call202 = callmethodflags(call201, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe199);
// compiled member node returning call202 (depth = 2)
  adddatum2(obj109, call202, 1);
  sourceObject = obj109;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe203 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe204 = gc_frame_new();
// call case 3: self.outer request
  Object call205 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe204);
// compiled member node returning call205 (depth = 3)
  Object call206 = callmethodflags(call205, "indentLevel", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe203);
// compiled member node returning call206 (depth = 2)
  adddatum2(obj109, call206, 2);
  sourceObject = obj109;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe207 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe208 = gc_frame_new();
// call case 3: self.outer request
  Object call209 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe208);
// compiled member node returning call209 (depth = 3)
  Object call210 = callmethodflags(call209, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe207);
// compiled member node returning call210 (depth = 2)
  adddatum2(obj109, call210, 3);
  sourceObject = obj109;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool211 = alloc_Boolean(0);
// compiled identifier node returning bool211 (depth = 2)
  adddatum2(obj109, bool211, 4);
  sourceObject = obj109;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool212 = alloc_Boolean(0);
// compiled identifier node returning bool212 (depth = 2)
  adddatum2(obj109, bool212, 5);
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  sourceObject = obj109;
  objclass109 = obj109->class;
  objclass109->definitionModule = modulename;
  objclass109->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter109;
  self = oldself109;
  selfslot = oldselfslot109;
  stackframe = oldstackframe109;
  gc_frame_end(frame);
  return obj109;
}
Object meth_lexer_214_identifierToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method identifierToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part identifierToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject215 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj215 = alloc_userobj2(3,4, objclass215);
  gc_frame_newslot(obj215);
  if (objclass215 == NULL) {
    glfree(obj215->class->name);
    obj215->class->name = "new.identifierToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj215, self, 0);
  addmethodreal(obj215,"outer", &reader_lexer_outer_216);
  Object oldself215 = self;
  struct StackFrameObject *oldstackframe215 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe215);
  gc_frame_newslot((Object)stackframe);
  self = obj215;
  Object *oldselfslot215 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter215 = (*(struct UserObject *)self).data[0], lowerouter215 = thisouter215;
  if (inheritingObject215) {
    struct UserObject *inho215 = (struct UserObject *)inheritingObject215;
    while (inho215->super != GraceDefaultObject) inho215 = (struct UserObject *)inho215->super;
    inho215->super = obj215;
    self = inheritingObject215;
    *selfslot = self;
    lowerouter215 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter215;
  }
  if (objclass215 == NULL) {
  Method *reader217 = addmethodrealflags(obj215, "kind",&reader_lexer_kind_217, MFLAG_DEF);
  reader217->definitionModule = modulename;
  reader217->definitionLine = 117;
  }
  adddatum2(obj215, alloc_Undefined(), 1);
  if (objclass215 == NULL) {
  Method *reader218 = addmethodrealflags(obj215, "value",&reader_lexer_value_218, MFLAG_DEF);
  reader218->definitionModule = modulename;
  reader218->definitionLine = 118;
  }
  adddatum2(obj215, alloc_Undefined(), 2);
  if (objclass215 == NULL) {
  Method *reader219 = addmethodrealflags(obj215, "size",&reader_lexer_size_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 119;
  }
  adddatum2(obj215, alloc_Undefined(), 3);
  sourceObject = obj215;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe220 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe221 = gc_frame_new();
// call case 3: self.outer request
  Object call222 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe221);
// compiled member node returning call222 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethodflags(call222, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe220);
// compiled call node returning call223 (depth = 2)
  struct UserObject *obj215_uo = (struct UserObject *)obj215;
  obj215_uo->super = call223;
  sourceObject = obj215;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit224 == NULL) {
    strlit224 = alloc_String("identifier");
    gc_root(strlit224);
  }
// compiled string node returning strlit224 (depth = 2)
  adddatum2(obj215, strlit224, 1);
  sourceObject = obj215;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj215, *var_s, 2);
  sourceObject = obj215;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe225 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  Object call226 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe225);
// compiled member node returning call226 (depth = 2)
  adddatum2(obj215, call226, 3);
  objclass215 = obj215->class;
  objclass215->definitionModule = modulename;
  objclass215->definitionLine = 115;
  (*(struct UserObject *)self).data[0] = lowerouter215;
  self = oldself215;
  selfslot = oldselfslot215;
  stackframe = oldstackframe215;
  gc_frame_end(frame);
  return obj215;
}
Object meth_lexer_214_identifierToken_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method identifierToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part identifierToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject215 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj215 = alloc_userobj2(3,4, objclass215);
  gc_frame_newslot(obj215);
  if (objclass215 == NULL) {
    glfree(obj215->class->name);
    obj215->class->name = "new.identifierToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj215, self, 0);
  addmethodreal(obj215,"outer", &reader_lexer_outer_216);
  Object oldself215 = self;
  struct StackFrameObject *oldstackframe215 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe215);
  gc_frame_newslot((Object)stackframe);
  self = obj215;
  Object *oldselfslot215 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter215 = (*(struct UserObject *)self).data[0], lowerouter215 = thisouter215;
  if (inheritingObject215) {
    struct UserObject *inho215 = (struct UserObject *)inheritingObject215;
    while (inho215->super != GraceDefaultObject) inho215 = (struct UserObject *)inho215->super;
    inho215->super = obj215;
    self = inheritingObject215;
    *selfslot = self;
    lowerouter215 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter215;
  }
  if (objclass215 == NULL) {
  Method *reader217 = addmethodrealflags(obj215, "kind",&reader_lexer_kind_217, MFLAG_DEF);
  reader217->definitionModule = modulename;
  reader217->definitionLine = 117;
  }
  adddatum2(obj215, alloc_Undefined(), 1);
  if (objclass215 == NULL) {
  Method *reader218 = addmethodrealflags(obj215, "value",&reader_lexer_value_218, MFLAG_DEF);
  reader218->definitionModule = modulename;
  reader218->definitionLine = 118;
  }
  adddatum2(obj215, alloc_Undefined(), 2);
  if (objclass215 == NULL) {
  Method *reader219 = addmethodrealflags(obj215, "size",&reader_lexer_size_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 119;
  }
  adddatum2(obj215, alloc_Undefined(), 3);
  sourceObject = obj215;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe220 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe221 = gc_frame_new();
// call case 3: self.outer request
  Object call222 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe221);
// compiled member node returning call222 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethodflags(call222, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe220);
// compiled call node returning call223 (depth = 2)
  struct UserObject *obj215_uo = (struct UserObject *)obj215;
  obj215_uo->super = call223;
  sourceObject = obj215;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit224 == NULL) {
    strlit224 = alloc_String("identifier");
    gc_root(strlit224);
  }
// compiled string node returning strlit224 (depth = 2)
  adddatum2(obj215, strlit224, 1);
  sourceObject = obj215;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj215, *var_s, 2);
  sourceObject = obj215;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe225 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  Object call226 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe225);
// compiled member node returning call226 (depth = 2)
  adddatum2(obj215, call226, 3);
  objclass215 = obj215->class;
  objclass215->definitionModule = modulename;
  objclass215->definitionLine = 115;
  (*(struct UserObject *)self).data[0] = lowerouter215;
  self = oldself215;
  selfslot = oldselfslot215;
  stackframe = oldstackframe215;
  gc_frame_end(frame);
  return obj215;
}
Object meth_lexer_228_stringToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method stringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part stringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject229 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj229 = alloc_userobj2(3,4, objclass229);
  gc_frame_newslot(obj229);
  if (objclass229 == NULL) {
    glfree(obj229->class->name);
    obj229->class->name = "new.stringToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj229, self, 0);
  addmethodreal(obj229,"outer", &reader_lexer_outer_230);
  Object oldself229 = self;
  struct StackFrameObject *oldstackframe229 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe229);
  gc_frame_newslot((Object)stackframe);
  self = obj229;
  Object *oldselfslot229 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter229 = (*(struct UserObject *)self).data[0], lowerouter229 = thisouter229;
  if (inheritingObject229) {
    struct UserObject *inho229 = (struct UserObject *)inheritingObject229;
    while (inho229->super != GraceDefaultObject) inho229 = (struct UserObject *)inho229->super;
    inho229->super = obj229;
    self = inheritingObject229;
    *selfslot = self;
    lowerouter229 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter229;
  }
  if (objclass229 == NULL) {
  Method *reader231 = addmethodrealflags(obj229, "kind",&reader_lexer_kind_231, MFLAG_DEF);
  reader231->definitionModule = modulename;
  reader231->definitionLine = 123;
  }
  adddatum2(obj229, alloc_Undefined(), 1);
  if (objclass229 == NULL) {
  Method *reader232 = addmethodrealflags(obj229, "value",&reader_lexer_value_232, MFLAG_DEF);
  reader232->definitionModule = modulename;
  reader232->definitionLine = 124;
  }
  adddatum2(obj229, alloc_Undefined(), 2);
  if (objclass229 == NULL) {
  Method *reader233 = addmethodrealflags(obj229, "size",&reader_lexer_size_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 125;
  }
  adddatum2(obj229, alloc_Undefined(), 3);
  sourceObject = obj229;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe234 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe235 = gc_frame_new();
// call case 3: self.outer request
  Object call236 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe235);
// compiled member node returning call236 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethodflags(call236, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe234);
// compiled call node returning call237 (depth = 2)
  struct UserObject *obj229_uo = (struct UserObject *)obj229;
  obj229_uo->super = call237;
  sourceObject = obj229;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit238 == NULL) {
    strlit238 = alloc_String("string");
    gc_root(strlit238);
  }
// compiled string node returning strlit238 (depth = 2)
  adddatum2(obj229, strlit238, 1);
  sourceObject = obj229;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj229, *var_s, 2);
  sourceObject = obj229;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num240 = alloc_Float64(1);
// compiled num node returning num240 (depth = 3)
  int op_slot_right_239 = gc_frame_newslot(num240);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe243 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe244 = gc_frame_new();
// call case 3: self.outer request
  Object call245 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe244);
// compiled member node returning call245 (depth = 5)
  Object call246 = callmethodflags(call245, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe243);
// compiled member node returning call246 (depth = 4)
  int op_slot_right_242 = gc_frame_newslot(call246);
// starting to compile member node (depth = 4)
  int callframe248 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe249 = gc_frame_new();
// call case 3: self.outer request
  Object call250 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe249);
// compiled member node returning call250 (depth = 5)
  Object call251 = callmethodflags(call250, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe248);
// compiled member node returning call251 (depth = 4)
  int op_slot_left_242 = gc_frame_newslot(call251);
  params[0] = call246;
  partcv[0] = 1;
  Object diff252 = callmethod(call251, "-(1)", 1, partcv, params);
// compiled op node returning diff252 (depth = 3)
  int op_slot_left_239 = gc_frame_newslot(diff252);
  params[0] = num240;
  partcv[0] = 1;
  Object sum253 = callmethod(diff252, "+(1)", 1, partcv, params);
// compiled op node returning sum253 (depth = 2)
  adddatum2(obj229, sum253, 3);
  objclass229 = obj229->class;
  objclass229->definitionModule = modulename;
  objclass229->definitionLine = 121;
  (*(struct UserObject *)self).data[0] = lowerouter229;
  self = oldself229;
  selfslot = oldselfslot229;
  stackframe = oldstackframe229;
  gc_frame_end(frame);
  return obj229;
}
Object meth_lexer_228_stringToken_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method stringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part stringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject229 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj229 = alloc_userobj2(3,4, objclass229);
  gc_frame_newslot(obj229);
  if (objclass229 == NULL) {
    glfree(obj229->class->name);
    obj229->class->name = "new.stringToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj229, self, 0);
  addmethodreal(obj229,"outer", &reader_lexer_outer_230);
  Object oldself229 = self;
  struct StackFrameObject *oldstackframe229 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe229);
  gc_frame_newslot((Object)stackframe);
  self = obj229;
  Object *oldselfslot229 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter229 = (*(struct UserObject *)self).data[0], lowerouter229 = thisouter229;
  if (inheritingObject229) {
    struct UserObject *inho229 = (struct UserObject *)inheritingObject229;
    while (inho229->super != GraceDefaultObject) inho229 = (struct UserObject *)inho229->super;
    inho229->super = obj229;
    self = inheritingObject229;
    *selfslot = self;
    lowerouter229 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter229;
  }
  if (objclass229 == NULL) {
  Method *reader231 = addmethodrealflags(obj229, "kind",&reader_lexer_kind_231, MFLAG_DEF);
  reader231->definitionModule = modulename;
  reader231->definitionLine = 123;
  }
  adddatum2(obj229, alloc_Undefined(), 1);
  if (objclass229 == NULL) {
  Method *reader232 = addmethodrealflags(obj229, "value",&reader_lexer_value_232, MFLAG_DEF);
  reader232->definitionModule = modulename;
  reader232->definitionLine = 124;
  }
  adddatum2(obj229, alloc_Undefined(), 2);
  if (objclass229 == NULL) {
  Method *reader233 = addmethodrealflags(obj229, "size",&reader_lexer_size_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 125;
  }
  adddatum2(obj229, alloc_Undefined(), 3);
  sourceObject = obj229;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe234 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe235 = gc_frame_new();
// call case 3: self.outer request
  Object call236 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe235);
// compiled member node returning call236 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethodflags(call236, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe234);
// compiled call node returning call237 (depth = 2)
  struct UserObject *obj229_uo = (struct UserObject *)obj229;
  obj229_uo->super = call237;
  sourceObject = obj229;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit238 == NULL) {
    strlit238 = alloc_String("string");
    gc_root(strlit238);
  }
// compiled string node returning strlit238 (depth = 2)
  adddatum2(obj229, strlit238, 1);
  sourceObject = obj229;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj229, *var_s, 2);
  sourceObject = obj229;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num240 = alloc_Float64(1);
// compiled num node returning num240 (depth = 3)
  int op_slot_right_239 = gc_frame_newslot(num240);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe243 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe244 = gc_frame_new();
// call case 3: self.outer request
  Object call245 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe244);
// compiled member node returning call245 (depth = 5)
  Object call246 = callmethodflags(call245, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe243);
// compiled member node returning call246 (depth = 4)
  int op_slot_right_242 = gc_frame_newslot(call246);
// starting to compile member node (depth = 4)
  int callframe248 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe249 = gc_frame_new();
// call case 3: self.outer request
  Object call250 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe249);
// compiled member node returning call250 (depth = 5)
  Object call251 = callmethodflags(call250, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe248);
// compiled member node returning call251 (depth = 4)
  int op_slot_left_242 = gc_frame_newslot(call251);
  params[0] = call246;
  partcv[0] = 1;
  Object diff252 = callmethod(call251, "-(1)", 1, partcv, params);
// compiled op node returning diff252 (depth = 3)
  int op_slot_left_239 = gc_frame_newslot(diff252);
  params[0] = num240;
  partcv[0] = 1;
  Object sum253 = callmethod(diff252, "+(1)", 1, partcv, params);
// compiled op node returning sum253 (depth = 2)
  adddatum2(obj229, sum253, 3);
  objclass229 = obj229->class;
  objclass229->definitionModule = modulename;
  objclass229->definitionLine = 121;
  (*(struct UserObject *)self).data[0] = lowerouter229;
  self = oldself229;
  selfslot = oldselfslot229;
  stackframe = oldstackframe229;
  gc_frame_end(frame);
  return obj229;
}
Object meth_lexer_263_line(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe264 = gc_frame_new();
// call case 4: self request
  Object call265 = callmethodflags(self, "line'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe264);
// compiled member node returning call265 (depth = 2)
  gc_frame_end(frame);
  return call265;
}
Object meth_lexer_266_linePos(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "linePos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe267 = gc_frame_new();
// call case 4: self request
  Object call268 = callmethodflags(self, "linePos'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe267);
// compiled member node returning call268 (depth = 2)
  gc_frame_end(frame);
  return call268;
}
Object meth_lexer_269_endLine(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "endLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe270 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe271 = gc_frame_new();
// call case 3: self.outer request
  Object call272 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe271);
// compiled member node returning call272 (depth = 3)
  Object call273 = callmethodflags(call272, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe270);
// compiled member node returning call273 (depth = 2)
  gc_frame_end(frame);
  return call273;
}
Object meth_lexer_274_endPos(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "endPos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe275 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe276 = gc_frame_new();
// call case 3: self.outer request
  Object call277 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe276);
// compiled member node returning call277 (depth = 3)
  Object call278 = callmethodflags(call277, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe275);
// compiled member node returning call278 (depth = 2)
  gc_frame_end(frame);
  return call278;
}
Object meth_lexer_255_multiLineStringToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method multiLineStringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part multiLineStringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(9,10, objclass256);
  gc_frame_newslot(obj256);
  if (objclass256 == NULL) {
    glfree(obj256->class->name);
    obj256->class->name = "new.multiLineStringToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
  if (objclass256 == NULL) {
  Method *reader258 = addmethodrealflags(obj256, "kind",&reader_lexer_kind_258, MFLAG_DEF);
  reader258->definitionModule = modulename;
  reader258->definitionLine = 129;
  }
  adddatum2(obj256, alloc_Undefined(), 1);
  if (objclass256 == NULL) {
  Method *reader259 = addmethodrealflags(obj256, "value",&reader_lexer_value_259, MFLAG_DEF);
  reader259->definitionModule = modulename;
  reader259->definitionLine = 130;
  }
  adddatum2(obj256, alloc_Undefined(), 2);
  if (objclass256 == NULL) {
  Method *reader260 = addmethodrealflags(obj256, "size",&reader_lexer_size_260, MFLAG_DEF);
  reader260->definitionModule = modulename;
  reader260->definitionLine = 131;
  }
  adddatum2(obj256, alloc_Undefined(), 3);
  if (objclass256 == NULL) {
  Method *reader261 = addmethodrealflags(obj256, "line'",&reader_lexer_line_39__261, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 132;
  }
  adddatum2(obj256, alloc_Undefined(), 4);
  if (objclass256 == NULL) {
  Method *reader262 = addmethodrealflags(obj256, "linePos'",&reader_lexer_linePos_39__262, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 133;
  }
  adddatum2(obj256, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo263 = (struct UserObject*)obj256;
  uo263->data[6] = emptyclosure;
  Method *meth_meth_lexer_263_line = addmethod2pos(obj256, "line", &meth_lexer_263_line, 6);
  int argcv_meth_lexer_263_line[] = {0};
  meth_meth_lexer_263_line->type = alloc_MethodType(1, argcv_meth_lexer_263_line);
  meth_meth_lexer_263_line->definitionModule = modulename;
  meth_meth_lexer_263_line->definitionLine = 134;
// method "linePos"
  struct UserObject *uo266 = (struct UserObject*)obj256;
  uo266->data[7] = emptyclosure;
  Method *meth_meth_lexer_266_linePos = addmethod2pos(obj256, "linePos", &meth_lexer_266_linePos, 7);
  int argcv_meth_lexer_266_linePos[] = {0};
  meth_meth_lexer_266_linePos->type = alloc_MethodType(1, argcv_meth_lexer_266_linePos);
  meth_meth_lexer_266_linePos->definitionModule = modulename;
  meth_meth_lexer_266_linePos->definitionLine = 135;
// method "endLine"
  struct UserObject *uo269 = (struct UserObject*)obj256;
  uo269->data[8] = emptyclosure;
  Method *meth_meth_lexer_269_endLine = addmethod2pos(obj256, "endLine", &meth_lexer_269_endLine, 8);
  int argcv_meth_lexer_269_endLine[] = {0};
  meth_meth_lexer_269_endLine->type = alloc_MethodType(1, argcv_meth_lexer_269_endLine);
  meth_meth_lexer_269_endLine->definitionModule = modulename;
  meth_meth_lexer_269_endLine->definitionLine = 136;
// method "endPos"
  struct UserObject *uo274 = (struct UserObject*)obj256;
  uo274->data[9] = emptyclosure;
  Method *meth_meth_lexer_274_endPos = addmethod2pos(obj256, "endPos", &meth_lexer_274_endPos, 9);
  int argcv_meth_lexer_274_endPos[] = {0};
  meth_meth_lexer_274_endPos->type = alloc_MethodType(1, argcv_meth_lexer_274_endPos);
  meth_meth_lexer_274_endPos->definitionModule = modulename;
  meth_meth_lexer_274_endPos->definitionLine = 137;
  sourceObject = obj256;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe279 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe280 = gc_frame_new();
// call case 3: self.outer request
  Object call281 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe280);
// compiled member node returning call281 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call282 = callmethodflags(call281, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe279);
// compiled call node returning call282 (depth = 2)
  struct UserObject *obj256_uo = (struct UserObject *)obj256;
  obj256_uo->super = call282;
  sourceObject = obj256;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit283 == NULL) {
    strlit283 = alloc_String("string");
    gc_root(strlit283);
  }
// compiled string node returning strlit283 (depth = 2)
  adddatum2(obj256, strlit283, 1);
  sourceObject = obj256;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj256, *var_s, 2);
  sourceObject = obj256;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num285 = alloc_Float64(2);
// compiled num node returning num285 (depth = 3)
  int op_slot_right_284 = gc_frame_newslot(num285);
// starting to compile member node (depth = 3)
  int callframe287 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call288 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe287);
// compiled member node returning call288 (depth = 3)
  int op_slot_left_284 = gc_frame_newslot(call288);
  params[0] = num285;
  partcv[0] = 1;
  Object sum289 = callmethod(call288, "+(1)", 1, partcv, params);
// compiled op node returning sum289 (depth = 2)
  adddatum2(obj256, sum289, 3);
  sourceObject = obj256;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe290 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe291 = gc_frame_new();
// call case 3: self.outer request
  Object call292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe291);
// compiled member node returning call292 (depth = 3)
  Object call293 = callmethodflags(call292, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe290);
// compiled member node returning call293 (depth = 2)
  adddatum2(obj256, call293, 4);
  sourceObject = obj256;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe294 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe295 = gc_frame_new();
// call case 3: self.outer request
  Object call296 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe295);
// compiled member node returning call296 (depth = 3)
  Object call297 = callmethodflags(call296, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe294);
// compiled member node returning call297 (depth = 2)
  adddatum2(obj256, call297, 5);
  sourceObject = obj256;
  sourceObject = obj256;
  sourceObject = obj256;
  sourceObject = obj256;
  objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 127;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
  gc_frame_end(frame);
  return obj256;
}
Object meth_lexer_255_multiLineStringToken_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method multiLineStringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part multiLineStringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(9,10, objclass256);
  gc_frame_newslot(obj256);
  if (objclass256 == NULL) {
    glfree(obj256->class->name);
    obj256->class->name = "new.multiLineStringToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
  if (objclass256 == NULL) {
  Method *reader258 = addmethodrealflags(obj256, "kind",&reader_lexer_kind_258, MFLAG_DEF);
  reader258->definitionModule = modulename;
  reader258->definitionLine = 129;
  }
  adddatum2(obj256, alloc_Undefined(), 1);
  if (objclass256 == NULL) {
  Method *reader259 = addmethodrealflags(obj256, "value",&reader_lexer_value_259, MFLAG_DEF);
  reader259->definitionModule = modulename;
  reader259->definitionLine = 130;
  }
  adddatum2(obj256, alloc_Undefined(), 2);
  if (objclass256 == NULL) {
  Method *reader260 = addmethodrealflags(obj256, "size",&reader_lexer_size_260, MFLAG_DEF);
  reader260->definitionModule = modulename;
  reader260->definitionLine = 131;
  }
  adddatum2(obj256, alloc_Undefined(), 3);
  if (objclass256 == NULL) {
  Method *reader261 = addmethodrealflags(obj256, "line'",&reader_lexer_line_39__261, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 132;
  }
  adddatum2(obj256, alloc_Undefined(), 4);
  if (objclass256 == NULL) {
  Method *reader262 = addmethodrealflags(obj256, "linePos'",&reader_lexer_linePos_39__262, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 133;
  }
  adddatum2(obj256, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo263 = (struct UserObject*)obj256;
  uo263->data[6] = emptyclosure;
  Method *meth_meth_lexer_263_line = addmethod2pos(obj256, "line", &meth_lexer_263_line, 6);
  int argcv_meth_lexer_263_line[] = {0};
  meth_meth_lexer_263_line->type = alloc_MethodType(1, argcv_meth_lexer_263_line);
  meth_meth_lexer_263_line->definitionModule = modulename;
  meth_meth_lexer_263_line->definitionLine = 134;
// method "linePos"
  struct UserObject *uo266 = (struct UserObject*)obj256;
  uo266->data[7] = emptyclosure;
  Method *meth_meth_lexer_266_linePos = addmethod2pos(obj256, "linePos", &meth_lexer_266_linePos, 7);
  int argcv_meth_lexer_266_linePos[] = {0};
  meth_meth_lexer_266_linePos->type = alloc_MethodType(1, argcv_meth_lexer_266_linePos);
  meth_meth_lexer_266_linePos->definitionModule = modulename;
  meth_meth_lexer_266_linePos->definitionLine = 135;
// method "endLine"
  struct UserObject *uo269 = (struct UserObject*)obj256;
  uo269->data[8] = emptyclosure;
  Method *meth_meth_lexer_269_endLine = addmethod2pos(obj256, "endLine", &meth_lexer_269_endLine, 8);
  int argcv_meth_lexer_269_endLine[] = {0};
  meth_meth_lexer_269_endLine->type = alloc_MethodType(1, argcv_meth_lexer_269_endLine);
  meth_meth_lexer_269_endLine->definitionModule = modulename;
  meth_meth_lexer_269_endLine->definitionLine = 136;
// method "endPos"
  struct UserObject *uo274 = (struct UserObject*)obj256;
  uo274->data[9] = emptyclosure;
  Method *meth_meth_lexer_274_endPos = addmethod2pos(obj256, "endPos", &meth_lexer_274_endPos, 9);
  int argcv_meth_lexer_274_endPos[] = {0};
  meth_meth_lexer_274_endPos->type = alloc_MethodType(1, argcv_meth_lexer_274_endPos);
  meth_meth_lexer_274_endPos->definitionModule = modulename;
  meth_meth_lexer_274_endPos->definitionLine = 137;
  sourceObject = obj256;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe279 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe280 = gc_frame_new();
// call case 3: self.outer request
  Object call281 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe280);
// compiled member node returning call281 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call282 = callmethodflags(call281, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe279);
// compiled call node returning call282 (depth = 2)
  struct UserObject *obj256_uo = (struct UserObject *)obj256;
  obj256_uo->super = call282;
  sourceObject = obj256;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit283 == NULL) {
    strlit283 = alloc_String("string");
    gc_root(strlit283);
  }
// compiled string node returning strlit283 (depth = 2)
  adddatum2(obj256, strlit283, 1);
  sourceObject = obj256;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj256, *var_s, 2);
  sourceObject = obj256;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num285 = alloc_Float64(2);
// compiled num node returning num285 (depth = 3)
  int op_slot_right_284 = gc_frame_newslot(num285);
// starting to compile member node (depth = 3)
  int callframe287 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call288 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe287);
// compiled member node returning call288 (depth = 3)
  int op_slot_left_284 = gc_frame_newslot(call288);
  params[0] = num285;
  partcv[0] = 1;
  Object sum289 = callmethod(call288, "+(1)", 1, partcv, params);
// compiled op node returning sum289 (depth = 2)
  adddatum2(obj256, sum289, 3);
  sourceObject = obj256;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe290 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe291 = gc_frame_new();
// call case 3: self.outer request
  Object call292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe291);
// compiled member node returning call292 (depth = 3)
  Object call293 = callmethodflags(call292, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe290);
// compiled member node returning call293 (depth = 2)
  adddatum2(obj256, call293, 4);
  sourceObject = obj256;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe294 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe295 = gc_frame_new();
// call case 3: self.outer request
  Object call296 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe295);
// compiled member node returning call296 (depth = 3)
  Object call297 = callmethodflags(call296, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe294);
// compiled member node returning call297 (depth = 2)
  adddatum2(obj256, call297, 5);
  sourceObject = obj256;
  sourceObject = obj256;
  sourceObject = obj256;
  sourceObject = obj256;
  objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 127;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
  gc_frame_end(frame);
  return obj256;
}
Object meth_lexer_299_commentToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method commentToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part commentToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject300 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj300 = alloc_userobj2(3,4, objclass300);
  gc_frame_newslot(obj300);
  if (objclass300 == NULL) {
    glfree(obj300->class->name);
    obj300->class->name = "new.commentToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj300, self, 0);
  addmethodreal(obj300,"outer", &reader_lexer_outer_301);
  Object oldself300 = self;
  struct StackFrameObject *oldstackframe300 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe300);
  gc_frame_newslot((Object)stackframe);
  self = obj300;
  Object *oldselfslot300 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter300 = (*(struct UserObject *)self).data[0], lowerouter300 = thisouter300;
  if (inheritingObject300) {
    struct UserObject *inho300 = (struct UserObject *)inheritingObject300;
    while (inho300->super != GraceDefaultObject) inho300 = (struct UserObject *)inho300->super;
    inho300->super = obj300;
    self = inheritingObject300;
    *selfslot = self;
    lowerouter300 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter300;
  }
  if (objclass300 == NULL) {
  Method *reader302 = addmethodrealflags(obj300, "kind",&reader_lexer_kind_302, MFLAG_DEF);
  reader302->definitionModule = modulename;
  reader302->definitionLine = 141;
  }
  adddatum2(obj300, alloc_Undefined(), 1);
  if (objclass300 == NULL) {
  Method *reader303 = addmethodrealflags(obj300, "value",&reader_lexer_value_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 142;
  }
  adddatum2(obj300, alloc_Undefined(), 2);
  if (objclass300 == NULL) {
  Method *reader304 = addmethodrealflags(obj300, "size",&reader_lexer_size_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 143;
  }
  adddatum2(obj300, alloc_Undefined(), 3);
  sourceObject = obj300;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe305 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe306 = gc_frame_new();
// call case 3: self.outer request
  Object call307 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe306);
// compiled member node returning call307 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call308 = callmethodflags(call307, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe305);
// compiled call node returning call308 (depth = 2)
  struct UserObject *obj300_uo = (struct UserObject *)obj300;
  obj300_uo->super = call308;
  sourceObject = obj300;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit309 == NULL) {
    strlit309 = alloc_String("comment");
    gc_root(strlit309);
  }
// compiled string node returning strlit309 (depth = 2)
  adddatum2(obj300, strlit309, 1);
  sourceObject = obj300;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj300, *var_s, 2);
  sourceObject = obj300;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num311 = alloc_Float64(2);
// compiled num node returning num311 (depth = 3)
  int op_slot_right_310 = gc_frame_newslot(num311);
// starting to compile member node (depth = 3)
  int callframe313 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call314 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe313);
// compiled member node returning call314 (depth = 3)
  int op_slot_left_310 = gc_frame_newslot(call314);
  params[0] = num311;
  partcv[0] = 1;
  Object sum315 = callmethod(call314, "+(1)", 1, partcv, params);
// compiled op node returning sum315 (depth = 2)
  adddatum2(obj300, sum315, 3);
  objclass300 = obj300->class;
  objclass300->definitionModule = modulename;
  objclass300->definitionLine = 139;
  (*(struct UserObject *)self).data[0] = lowerouter300;
  self = oldself300;
  selfslot = oldselfslot300;
  stackframe = oldstackframe300;
  gc_frame_end(frame);
  return obj300;
}
Object meth_lexer_299_commentToken_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method commentToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part commentToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject300 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj300 = alloc_userobj2(3,4, objclass300);
  gc_frame_newslot(obj300);
  if (objclass300 == NULL) {
    glfree(obj300->class->name);
    obj300->class->name = "new.commentToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj300, self, 0);
  addmethodreal(obj300,"outer", &reader_lexer_outer_301);
  Object oldself300 = self;
  struct StackFrameObject *oldstackframe300 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe300);
  gc_frame_newslot((Object)stackframe);
  self = obj300;
  Object *oldselfslot300 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter300 = (*(struct UserObject *)self).data[0], lowerouter300 = thisouter300;
  if (inheritingObject300) {
    struct UserObject *inho300 = (struct UserObject *)inheritingObject300;
    while (inho300->super != GraceDefaultObject) inho300 = (struct UserObject *)inho300->super;
    inho300->super = obj300;
    self = inheritingObject300;
    *selfslot = self;
    lowerouter300 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter300;
  }
  if (objclass300 == NULL) {
  Method *reader302 = addmethodrealflags(obj300, "kind",&reader_lexer_kind_302, MFLAG_DEF);
  reader302->definitionModule = modulename;
  reader302->definitionLine = 141;
  }
  adddatum2(obj300, alloc_Undefined(), 1);
  if (objclass300 == NULL) {
  Method *reader303 = addmethodrealflags(obj300, "value",&reader_lexer_value_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 142;
  }
  adddatum2(obj300, alloc_Undefined(), 2);
  if (objclass300 == NULL) {
  Method *reader304 = addmethodrealflags(obj300, "size",&reader_lexer_size_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 143;
  }
  adddatum2(obj300, alloc_Undefined(), 3);
  sourceObject = obj300;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe305 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe306 = gc_frame_new();
// call case 3: self.outer request
  Object call307 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe306);
// compiled member node returning call307 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call308 = callmethodflags(call307, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe305);
// compiled call node returning call308 (depth = 2)
  struct UserObject *obj300_uo = (struct UserObject *)obj300;
  obj300_uo->super = call308;
  sourceObject = obj300;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit309 == NULL) {
    strlit309 = alloc_String("comment");
    gc_root(strlit309);
  }
// compiled string node returning strlit309 (depth = 2)
  adddatum2(obj300, strlit309, 1);
  sourceObject = obj300;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj300, *var_s, 2);
  sourceObject = obj300;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num311 = alloc_Float64(2);
// compiled num node returning num311 (depth = 3)
  int op_slot_right_310 = gc_frame_newslot(num311);
// starting to compile member node (depth = 3)
  int callframe313 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call314 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe313);
// compiled member node returning call314 (depth = 3)
  int op_slot_left_310 = gc_frame_newslot(call314);
  params[0] = num311;
  partcv[0] = 1;
  Object sum315 = callmethod(call314, "+(1)", 1, partcv, params);
// compiled op node returning sum315 (depth = 2)
  adddatum2(obj300, sum315, 3);
  objclass300 = obj300->class;
  objclass300->definitionModule = modulename;
  objclass300->definitionLine = 139;
  (*(struct UserObject *)self).data[0] = lowerouter300;
  self = oldself300;
  selfslot = oldselfslot300;
  stackframe = oldstackframe300;
  gc_frame_end(frame);
  return obj300;
}
Object meth_lexer_317_lBraceToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject318 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj318 = alloc_userobj2(3,4, objclass318);
  gc_frame_newslot(obj318);
  if (objclass318 == NULL) {
    glfree(obj318->class->name);
    obj318->class->name = "new.lBraceToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj318, self, 0);
  addmethodreal(obj318,"outer", &reader_lexer_outer_319);
  Object oldself318 = self;
  struct StackFrameObject *oldstackframe318 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe318);
  gc_frame_newslot((Object)stackframe);
  self = obj318;
  Object *oldselfslot318 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter318 = (*(struct UserObject *)self).data[0], lowerouter318 = thisouter318;
  if (inheritingObject318) {
    struct UserObject *inho318 = (struct UserObject *)inheritingObject318;
    while (inho318->super != GraceDefaultObject) inho318 = (struct UserObject *)inho318->super;
    inho318->super = obj318;
    self = inheritingObject318;
    *selfslot = self;
    lowerouter318 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter318;
  }
  if (objclass318 == NULL) {
  Method *reader320 = addmethodrealflags(obj318, "kind",&reader_lexer_kind_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 147;
  }
  adddatum2(obj318, alloc_Undefined(), 1);
  if (objclass318 == NULL) {
  Method *reader321 = addmethodrealflags(obj318, "value",&reader_lexer_value_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 148;
  }
  adddatum2(obj318, alloc_Undefined(), 2);
  if (objclass318 == NULL) {
  Method *reader322 = addmethodrealflags(obj318, "size",&reader_lexer_size_322, MFLAG_DEF);
  reader322->definitionModule = modulename;
  reader322->definitionLine = 149;
  }
  adddatum2(obj318, alloc_Undefined(), 3);
  sourceObject = obj318;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe323 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe324 = gc_frame_new();
// call case 3: self.outer request
  Object call325 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe324);
// compiled member node returning call325 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call326 = callmethodflags(call325, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe323);
// compiled call node returning call326 (depth = 2)
  struct UserObject *obj318_uo = (struct UserObject *)obj318;
  obj318_uo->super = call326;
  sourceObject = obj318;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit327 == NULL) {
    strlit327 = alloc_String("lbrace");
    gc_root(strlit327);
  }
// compiled string node returning strlit327 (depth = 2)
  adddatum2(obj318, strlit327, 1);
  sourceObject = obj318;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit328 == NULL) {
    strlit328 = alloc_String("{");
    gc_root(strlit328);
  }
// compiled string node returning strlit328 (depth = 2)
  adddatum2(obj318, strlit328, 2);
  sourceObject = obj318;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num329 = alloc_Float64(1);
// compiled num node returning num329 (depth = 2)
  adddatum2(obj318, num329, 3);
  objclass318 = obj318->class;
  objclass318->definitionModule = modulename;
  objclass318->definitionLine = 145;
  (*(struct UserObject *)self).data[0] = lowerouter318;
  self = oldself318;
  selfslot = oldselfslot318;
  stackframe = oldstackframe318;
  gc_frame_end(frame);
  return obj318;
}
Object meth_lexer_317_lBraceToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject318 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj318 = alloc_userobj2(3,4, objclass318);
  gc_frame_newslot(obj318);
  if (objclass318 == NULL) {
    glfree(obj318->class->name);
    obj318->class->name = "new.lBraceToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj318, self, 0);
  addmethodreal(obj318,"outer", &reader_lexer_outer_319);
  Object oldself318 = self;
  struct StackFrameObject *oldstackframe318 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe318);
  gc_frame_newslot((Object)stackframe);
  self = obj318;
  Object *oldselfslot318 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter318 = (*(struct UserObject *)self).data[0], lowerouter318 = thisouter318;
  if (inheritingObject318) {
    struct UserObject *inho318 = (struct UserObject *)inheritingObject318;
    while (inho318->super != GraceDefaultObject) inho318 = (struct UserObject *)inho318->super;
    inho318->super = obj318;
    self = inheritingObject318;
    *selfslot = self;
    lowerouter318 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter318;
  }
  if (objclass318 == NULL) {
  Method *reader320 = addmethodrealflags(obj318, "kind",&reader_lexer_kind_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 147;
  }
  adddatum2(obj318, alloc_Undefined(), 1);
  if (objclass318 == NULL) {
  Method *reader321 = addmethodrealflags(obj318, "value",&reader_lexer_value_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 148;
  }
  adddatum2(obj318, alloc_Undefined(), 2);
  if (objclass318 == NULL) {
  Method *reader322 = addmethodrealflags(obj318, "size",&reader_lexer_size_322, MFLAG_DEF);
  reader322->definitionModule = modulename;
  reader322->definitionLine = 149;
  }
  adddatum2(obj318, alloc_Undefined(), 3);
  sourceObject = obj318;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe323 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe324 = gc_frame_new();
// call case 3: self.outer request
  Object call325 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe324);
// compiled member node returning call325 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call326 = callmethodflags(call325, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe323);
// compiled call node returning call326 (depth = 2)
  struct UserObject *obj318_uo = (struct UserObject *)obj318;
  obj318_uo->super = call326;
  sourceObject = obj318;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit327 == NULL) {
    strlit327 = alloc_String("lbrace");
    gc_root(strlit327);
  }
// compiled string node returning strlit327 (depth = 2)
  adddatum2(obj318, strlit327, 1);
  sourceObject = obj318;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit328 == NULL) {
    strlit328 = alloc_String("{");
    gc_root(strlit328);
  }
// compiled string node returning strlit328 (depth = 2)
  adddatum2(obj318, strlit328, 2);
  sourceObject = obj318;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num329 = alloc_Float64(1);
// compiled num node returning num329 (depth = 2)
  adddatum2(obj318, num329, 3);
  objclass318 = obj318->class;
  objclass318->definitionModule = modulename;
  objclass318->definitionLine = 145;
  (*(struct UserObject *)self).data[0] = lowerouter318;
  self = oldself318;
  selfslot = oldselfslot318;
  stackframe = oldstackframe318;
  gc_frame_end(frame);
  return obj318;
}
Object meth_lexer_331_rBraceToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject332 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj332 = alloc_userobj2(3,4, objclass332);
  gc_frame_newslot(obj332);
  if (objclass332 == NULL) {
    glfree(obj332->class->name);
    obj332->class->name = "new.rBraceToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj332, self, 0);
  addmethodreal(obj332,"outer", &reader_lexer_outer_333);
  Object oldself332 = self;
  struct StackFrameObject *oldstackframe332 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe332);
  gc_frame_newslot((Object)stackframe);
  self = obj332;
  Object *oldselfslot332 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter332 = (*(struct UserObject *)self).data[0], lowerouter332 = thisouter332;
  if (inheritingObject332) {
    struct UserObject *inho332 = (struct UserObject *)inheritingObject332;
    while (inho332->super != GraceDefaultObject) inho332 = (struct UserObject *)inho332->super;
    inho332->super = obj332;
    self = inheritingObject332;
    *selfslot = self;
    lowerouter332 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter332;
  }
  if (objclass332 == NULL) {
  Method *reader334 = addmethodrealflags(obj332, "kind",&reader_lexer_kind_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 153;
  }
  adddatum2(obj332, alloc_Undefined(), 1);
  if (objclass332 == NULL) {
  Method *reader335 = addmethodrealflags(obj332, "value",&reader_lexer_value_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 154;
  }
  adddatum2(obj332, alloc_Undefined(), 2);
  if (objclass332 == NULL) {
  Method *reader336 = addmethodrealflags(obj332, "size",&reader_lexer_size_336, MFLAG_DEF);
  reader336->definitionModule = modulename;
  reader336->definitionLine = 155;
  }
  adddatum2(obj332, alloc_Undefined(), 3);
  sourceObject = obj332;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe337 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe338 = gc_frame_new();
// call case 3: self.outer request
  Object call339 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe338);
// compiled member node returning call339 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call340 = callmethodflags(call339, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe337);
// compiled call node returning call340 (depth = 2)
  struct UserObject *obj332_uo = (struct UserObject *)obj332;
  obj332_uo->super = call340;
  sourceObject = obj332;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit341 == NULL) {
    strlit341 = alloc_String("rbrace");
    gc_root(strlit341);
  }
// compiled string node returning strlit341 (depth = 2)
  adddatum2(obj332, strlit341, 1);
  sourceObject = obj332;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit342 == NULL) {
    strlit342 = alloc_String("}");
    gc_root(strlit342);
  }
// compiled string node returning strlit342 (depth = 2)
  adddatum2(obj332, strlit342, 2);
  sourceObject = obj332;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num343 = alloc_Float64(1);
// compiled num node returning num343 (depth = 2)
  adddatum2(obj332, num343, 3);
  objclass332 = obj332->class;
  objclass332->definitionModule = modulename;
  objclass332->definitionLine = 151;
  (*(struct UserObject *)self).data[0] = lowerouter332;
  self = oldself332;
  selfslot = oldselfslot332;
  stackframe = oldstackframe332;
  gc_frame_end(frame);
  return obj332;
}
Object meth_lexer_331_rBraceToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject332 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj332 = alloc_userobj2(3,4, objclass332);
  gc_frame_newslot(obj332);
  if (objclass332 == NULL) {
    glfree(obj332->class->name);
    obj332->class->name = "new.rBraceToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj332, self, 0);
  addmethodreal(obj332,"outer", &reader_lexer_outer_333);
  Object oldself332 = self;
  struct StackFrameObject *oldstackframe332 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe332);
  gc_frame_newslot((Object)stackframe);
  self = obj332;
  Object *oldselfslot332 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter332 = (*(struct UserObject *)self).data[0], lowerouter332 = thisouter332;
  if (inheritingObject332) {
    struct UserObject *inho332 = (struct UserObject *)inheritingObject332;
    while (inho332->super != GraceDefaultObject) inho332 = (struct UserObject *)inho332->super;
    inho332->super = obj332;
    self = inheritingObject332;
    *selfslot = self;
    lowerouter332 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter332;
  }
  if (objclass332 == NULL) {
  Method *reader334 = addmethodrealflags(obj332, "kind",&reader_lexer_kind_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 153;
  }
  adddatum2(obj332, alloc_Undefined(), 1);
  if (objclass332 == NULL) {
  Method *reader335 = addmethodrealflags(obj332, "value",&reader_lexer_value_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 154;
  }
  adddatum2(obj332, alloc_Undefined(), 2);
  if (objclass332 == NULL) {
  Method *reader336 = addmethodrealflags(obj332, "size",&reader_lexer_size_336, MFLAG_DEF);
  reader336->definitionModule = modulename;
  reader336->definitionLine = 155;
  }
  adddatum2(obj332, alloc_Undefined(), 3);
  sourceObject = obj332;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe337 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe338 = gc_frame_new();
// call case 3: self.outer request
  Object call339 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe338);
// compiled member node returning call339 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call340 = callmethodflags(call339, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe337);
// compiled call node returning call340 (depth = 2)
  struct UserObject *obj332_uo = (struct UserObject *)obj332;
  obj332_uo->super = call340;
  sourceObject = obj332;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit341 == NULL) {
    strlit341 = alloc_String("rbrace");
    gc_root(strlit341);
  }
// compiled string node returning strlit341 (depth = 2)
  adddatum2(obj332, strlit341, 1);
  sourceObject = obj332;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit342 == NULL) {
    strlit342 = alloc_String("}");
    gc_root(strlit342);
  }
// compiled string node returning strlit342 (depth = 2)
  adddatum2(obj332, strlit342, 2);
  sourceObject = obj332;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num343 = alloc_Float64(1);
// compiled num node returning num343 (depth = 2)
  adddatum2(obj332, num343, 3);
  objclass332 = obj332->class;
  objclass332->definitionModule = modulename;
  objclass332->definitionLine = 151;
  (*(struct UserObject *)self).data[0] = lowerouter332;
  self = oldself332;
  selfslot = oldselfslot332;
  stackframe = oldstackframe332;
  gc_frame_end(frame);
  return obj332;
}
Object meth_lexer_345_lParenToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject346 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj346 = alloc_userobj2(3,4, objclass346);
  gc_frame_newslot(obj346);
  if (objclass346 == NULL) {
    glfree(obj346->class->name);
    obj346->class->name = "new.lParenToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj346, self, 0);
  addmethodreal(obj346,"outer", &reader_lexer_outer_347);
  Object oldself346 = self;
  struct StackFrameObject *oldstackframe346 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe346);
  gc_frame_newslot((Object)stackframe);
  self = obj346;
  Object *oldselfslot346 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter346 = (*(struct UserObject *)self).data[0], lowerouter346 = thisouter346;
  if (inheritingObject346) {
    struct UserObject *inho346 = (struct UserObject *)inheritingObject346;
    while (inho346->super != GraceDefaultObject) inho346 = (struct UserObject *)inho346->super;
    inho346->super = obj346;
    self = inheritingObject346;
    *selfslot = self;
    lowerouter346 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter346;
  }
  if (objclass346 == NULL) {
  Method *reader348 = addmethodrealflags(obj346, "kind",&reader_lexer_kind_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 159;
  }
  adddatum2(obj346, alloc_Undefined(), 1);
  if (objclass346 == NULL) {
  Method *reader349 = addmethodrealflags(obj346, "value",&reader_lexer_value_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 160;
  }
  adddatum2(obj346, alloc_Undefined(), 2);
  if (objclass346 == NULL) {
  Method *reader350 = addmethodrealflags(obj346, "size",&reader_lexer_size_350, MFLAG_DEF);
  reader350->definitionModule = modulename;
  reader350->definitionLine = 161;
  }
  adddatum2(obj346, alloc_Undefined(), 3);
  sourceObject = obj346;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe351 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe352 = gc_frame_new();
// call case 3: self.outer request
  Object call353 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe352);
// compiled member node returning call353 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call354 = callmethodflags(call353, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe351);
// compiled call node returning call354 (depth = 2)
  struct UserObject *obj346_uo = (struct UserObject *)obj346;
  obj346_uo->super = call354;
  sourceObject = obj346;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit355 == NULL) {
    strlit355 = alloc_String("lparen");
    gc_root(strlit355);
  }
// compiled string node returning strlit355 (depth = 2)
  adddatum2(obj346, strlit355, 1);
  sourceObject = obj346;
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit356 == NULL) {
    strlit356 = alloc_String("(");
    gc_root(strlit356);
  }
// compiled string node returning strlit356 (depth = 2)
  adddatum2(obj346, strlit356, 2);
  sourceObject = obj346;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num357 = alloc_Float64(1);
// compiled num node returning num357 (depth = 2)
  adddatum2(obj346, num357, 3);
  objclass346 = obj346->class;
  objclass346->definitionModule = modulename;
  objclass346->definitionLine = 157;
  (*(struct UserObject *)self).data[0] = lowerouter346;
  self = oldself346;
  selfslot = oldselfslot346;
  stackframe = oldstackframe346;
  gc_frame_end(frame);
  return obj346;
}
Object meth_lexer_345_lParenToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject346 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj346 = alloc_userobj2(3,4, objclass346);
  gc_frame_newslot(obj346);
  if (objclass346 == NULL) {
    glfree(obj346->class->name);
    obj346->class->name = "new.lParenToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj346, self, 0);
  addmethodreal(obj346,"outer", &reader_lexer_outer_347);
  Object oldself346 = self;
  struct StackFrameObject *oldstackframe346 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe346);
  gc_frame_newslot((Object)stackframe);
  self = obj346;
  Object *oldselfslot346 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter346 = (*(struct UserObject *)self).data[0], lowerouter346 = thisouter346;
  if (inheritingObject346) {
    struct UserObject *inho346 = (struct UserObject *)inheritingObject346;
    while (inho346->super != GraceDefaultObject) inho346 = (struct UserObject *)inho346->super;
    inho346->super = obj346;
    self = inheritingObject346;
    *selfslot = self;
    lowerouter346 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter346;
  }
  if (objclass346 == NULL) {
  Method *reader348 = addmethodrealflags(obj346, "kind",&reader_lexer_kind_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 159;
  }
  adddatum2(obj346, alloc_Undefined(), 1);
  if (objclass346 == NULL) {
  Method *reader349 = addmethodrealflags(obj346, "value",&reader_lexer_value_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 160;
  }
  adddatum2(obj346, alloc_Undefined(), 2);
  if (objclass346 == NULL) {
  Method *reader350 = addmethodrealflags(obj346, "size",&reader_lexer_size_350, MFLAG_DEF);
  reader350->definitionModule = modulename;
  reader350->definitionLine = 161;
  }
  adddatum2(obj346, alloc_Undefined(), 3);
  sourceObject = obj346;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe351 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe352 = gc_frame_new();
// call case 3: self.outer request
  Object call353 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe352);
// compiled member node returning call353 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call354 = callmethodflags(call353, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe351);
// compiled call node returning call354 (depth = 2)
  struct UserObject *obj346_uo = (struct UserObject *)obj346;
  obj346_uo->super = call354;
  sourceObject = obj346;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit355 == NULL) {
    strlit355 = alloc_String("lparen");
    gc_root(strlit355);
  }
// compiled string node returning strlit355 (depth = 2)
  adddatum2(obj346, strlit355, 1);
  sourceObject = obj346;
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit356 == NULL) {
    strlit356 = alloc_String("(");
    gc_root(strlit356);
  }
// compiled string node returning strlit356 (depth = 2)
  adddatum2(obj346, strlit356, 2);
  sourceObject = obj346;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num357 = alloc_Float64(1);
// compiled num node returning num357 (depth = 2)
  adddatum2(obj346, num357, 3);
  objclass346 = obj346->class;
  objclass346->definitionModule = modulename;
  objclass346->definitionLine = 157;
  (*(struct UserObject *)self).data[0] = lowerouter346;
  self = oldself346;
  selfslot = oldselfslot346;
  stackframe = oldstackframe346;
  gc_frame_end(frame);
  return obj346;
}
Object meth_lexer_359_rParenToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject360 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj360 = alloc_userobj2(3,4, objclass360);
  gc_frame_newslot(obj360);
  if (objclass360 == NULL) {
    glfree(obj360->class->name);
    obj360->class->name = "new.rParenToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj360, self, 0);
  addmethodreal(obj360,"outer", &reader_lexer_outer_361);
  Object oldself360 = self;
  struct StackFrameObject *oldstackframe360 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe360);
  gc_frame_newslot((Object)stackframe);
  self = obj360;
  Object *oldselfslot360 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter360 = (*(struct UserObject *)self).data[0], lowerouter360 = thisouter360;
  if (inheritingObject360) {
    struct UserObject *inho360 = (struct UserObject *)inheritingObject360;
    while (inho360->super != GraceDefaultObject) inho360 = (struct UserObject *)inho360->super;
    inho360->super = obj360;
    self = inheritingObject360;
    *selfslot = self;
    lowerouter360 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter360;
  }
  if (objclass360 == NULL) {
  Method *reader362 = addmethodrealflags(obj360, "kind",&reader_lexer_kind_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 165;
  }
  adddatum2(obj360, alloc_Undefined(), 1);
  if (objclass360 == NULL) {
  Method *reader363 = addmethodrealflags(obj360, "value",&reader_lexer_value_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 166;
  }
  adddatum2(obj360, alloc_Undefined(), 2);
  if (objclass360 == NULL) {
  Method *reader364 = addmethodrealflags(obj360, "size",&reader_lexer_size_364, MFLAG_DEF);
  reader364->definitionModule = modulename;
  reader364->definitionLine = 167;
  }
  adddatum2(obj360, alloc_Undefined(), 3);
  sourceObject = obj360;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe365 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe366 = gc_frame_new();
// call case 3: self.outer request
  Object call367 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe366);
// compiled member node returning call367 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call368 = callmethodflags(call367, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe365);
// compiled call node returning call368 (depth = 2)
  struct UserObject *obj360_uo = (struct UserObject *)obj360;
  obj360_uo->super = call368;
  sourceObject = obj360;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit369 == NULL) {
    strlit369 = alloc_String("rparen");
    gc_root(strlit369);
  }
// compiled string node returning strlit369 (depth = 2)
  adddatum2(obj360, strlit369, 1);
  sourceObject = obj360;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit370 == NULL) {
    strlit370 = alloc_String(")");
    gc_root(strlit370);
  }
// compiled string node returning strlit370 (depth = 2)
  adddatum2(obj360, strlit370, 2);
  sourceObject = obj360;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num371 = alloc_Float64(1);
// compiled num node returning num371 (depth = 2)
  adddatum2(obj360, num371, 3);
  objclass360 = obj360->class;
  objclass360->definitionModule = modulename;
  objclass360->definitionLine = 163;
  (*(struct UserObject *)self).data[0] = lowerouter360;
  self = oldself360;
  selfslot = oldselfslot360;
  stackframe = oldstackframe360;
  gc_frame_end(frame);
  return obj360;
}
Object meth_lexer_359_rParenToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject360 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj360 = alloc_userobj2(3,4, objclass360);
  gc_frame_newslot(obj360);
  if (objclass360 == NULL) {
    glfree(obj360->class->name);
    obj360->class->name = "new.rParenToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj360, self, 0);
  addmethodreal(obj360,"outer", &reader_lexer_outer_361);
  Object oldself360 = self;
  struct StackFrameObject *oldstackframe360 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe360);
  gc_frame_newslot((Object)stackframe);
  self = obj360;
  Object *oldselfslot360 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter360 = (*(struct UserObject *)self).data[0], lowerouter360 = thisouter360;
  if (inheritingObject360) {
    struct UserObject *inho360 = (struct UserObject *)inheritingObject360;
    while (inho360->super != GraceDefaultObject) inho360 = (struct UserObject *)inho360->super;
    inho360->super = obj360;
    self = inheritingObject360;
    *selfslot = self;
    lowerouter360 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter360;
  }
  if (objclass360 == NULL) {
  Method *reader362 = addmethodrealflags(obj360, "kind",&reader_lexer_kind_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 165;
  }
  adddatum2(obj360, alloc_Undefined(), 1);
  if (objclass360 == NULL) {
  Method *reader363 = addmethodrealflags(obj360, "value",&reader_lexer_value_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 166;
  }
  adddatum2(obj360, alloc_Undefined(), 2);
  if (objclass360 == NULL) {
  Method *reader364 = addmethodrealflags(obj360, "size",&reader_lexer_size_364, MFLAG_DEF);
  reader364->definitionModule = modulename;
  reader364->definitionLine = 167;
  }
  adddatum2(obj360, alloc_Undefined(), 3);
  sourceObject = obj360;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe365 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe366 = gc_frame_new();
// call case 3: self.outer request
  Object call367 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe366);
// compiled member node returning call367 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call368 = callmethodflags(call367, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe365);
// compiled call node returning call368 (depth = 2)
  struct UserObject *obj360_uo = (struct UserObject *)obj360;
  obj360_uo->super = call368;
  sourceObject = obj360;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit369 == NULL) {
    strlit369 = alloc_String("rparen");
    gc_root(strlit369);
  }
// compiled string node returning strlit369 (depth = 2)
  adddatum2(obj360, strlit369, 1);
  sourceObject = obj360;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit370 == NULL) {
    strlit370 = alloc_String(")");
    gc_root(strlit370);
  }
// compiled string node returning strlit370 (depth = 2)
  adddatum2(obj360, strlit370, 2);
  sourceObject = obj360;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num371 = alloc_Float64(1);
// compiled num node returning num371 (depth = 2)
  adddatum2(obj360, num371, 3);
  objclass360 = obj360->class;
  objclass360->definitionModule = modulename;
  objclass360->definitionLine = 163;
  (*(struct UserObject *)self).data[0] = lowerouter360;
  self = oldself360;
  selfslot = oldselfslot360;
  stackframe = oldstackframe360;
  gc_frame_end(frame);
  return obj360;
}
Object meth_lexer_373_lSquareToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject374 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj374 = alloc_userobj2(3,4, objclass374);
  gc_frame_newslot(obj374);
  if (objclass374 == NULL) {
    glfree(obj374->class->name);
    obj374->class->name = "new.lSquareToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj374, self, 0);
  addmethodreal(obj374,"outer", &reader_lexer_outer_375);
  Object oldself374 = self;
  struct StackFrameObject *oldstackframe374 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe374);
  gc_frame_newslot((Object)stackframe);
  self = obj374;
  Object *oldselfslot374 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter374 = (*(struct UserObject *)self).data[0], lowerouter374 = thisouter374;
  if (inheritingObject374) {
    struct UserObject *inho374 = (struct UserObject *)inheritingObject374;
    while (inho374->super != GraceDefaultObject) inho374 = (struct UserObject *)inho374->super;
    inho374->super = obj374;
    self = inheritingObject374;
    *selfslot = self;
    lowerouter374 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter374;
  }
  if (objclass374 == NULL) {
  Method *reader376 = addmethodrealflags(obj374, "kind",&reader_lexer_kind_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 171;
  }
  adddatum2(obj374, alloc_Undefined(), 1);
  if (objclass374 == NULL) {
  Method *reader377 = addmethodrealflags(obj374, "value",&reader_lexer_value_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 172;
  }
  adddatum2(obj374, alloc_Undefined(), 2);
  if (objclass374 == NULL) {
  Method *reader378 = addmethodrealflags(obj374, "size",&reader_lexer_size_378, MFLAG_DEF);
  reader378->definitionModule = modulename;
  reader378->definitionLine = 173;
  }
  adddatum2(obj374, alloc_Undefined(), 3);
  sourceObject = obj374;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe379 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe380 = gc_frame_new();
// call case 3: self.outer request
  Object call381 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe380);
// compiled member node returning call381 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call382 = callmethodflags(call381, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe379);
// compiled call node returning call382 (depth = 2)
  struct UserObject *obj374_uo = (struct UserObject *)obj374;
  obj374_uo->super = call382;
  sourceObject = obj374;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit383 == NULL) {
    strlit383 = alloc_String("lsquare");
    gc_root(strlit383);
  }
// compiled string node returning strlit383 (depth = 2)
  adddatum2(obj374, strlit383, 1);
  sourceObject = obj374;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit384 == NULL) {
    strlit384 = alloc_String("[");
    gc_root(strlit384);
  }
// compiled string node returning strlit384 (depth = 2)
  adddatum2(obj374, strlit384, 2);
  sourceObject = obj374;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num385 = alloc_Float64(1);
// compiled num node returning num385 (depth = 2)
  adddatum2(obj374, num385, 3);
  objclass374 = obj374->class;
  objclass374->definitionModule = modulename;
  objclass374->definitionLine = 169;
  (*(struct UserObject *)self).data[0] = lowerouter374;
  self = oldself374;
  selfslot = oldselfslot374;
  stackframe = oldstackframe374;
  gc_frame_end(frame);
  return obj374;
}
Object meth_lexer_373_lSquareToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject374 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj374 = alloc_userobj2(3,4, objclass374);
  gc_frame_newslot(obj374);
  if (objclass374 == NULL) {
    glfree(obj374->class->name);
    obj374->class->name = "new.lSquareToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj374, self, 0);
  addmethodreal(obj374,"outer", &reader_lexer_outer_375);
  Object oldself374 = self;
  struct StackFrameObject *oldstackframe374 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe374);
  gc_frame_newslot((Object)stackframe);
  self = obj374;
  Object *oldselfslot374 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter374 = (*(struct UserObject *)self).data[0], lowerouter374 = thisouter374;
  if (inheritingObject374) {
    struct UserObject *inho374 = (struct UserObject *)inheritingObject374;
    while (inho374->super != GraceDefaultObject) inho374 = (struct UserObject *)inho374->super;
    inho374->super = obj374;
    self = inheritingObject374;
    *selfslot = self;
    lowerouter374 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter374;
  }
  if (objclass374 == NULL) {
  Method *reader376 = addmethodrealflags(obj374, "kind",&reader_lexer_kind_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 171;
  }
  adddatum2(obj374, alloc_Undefined(), 1);
  if (objclass374 == NULL) {
  Method *reader377 = addmethodrealflags(obj374, "value",&reader_lexer_value_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 172;
  }
  adddatum2(obj374, alloc_Undefined(), 2);
  if (objclass374 == NULL) {
  Method *reader378 = addmethodrealflags(obj374, "size",&reader_lexer_size_378, MFLAG_DEF);
  reader378->definitionModule = modulename;
  reader378->definitionLine = 173;
  }
  adddatum2(obj374, alloc_Undefined(), 3);
  sourceObject = obj374;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe379 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe380 = gc_frame_new();
// call case 3: self.outer request
  Object call381 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe380);
// compiled member node returning call381 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call382 = callmethodflags(call381, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe379);
// compiled call node returning call382 (depth = 2)
  struct UserObject *obj374_uo = (struct UserObject *)obj374;
  obj374_uo->super = call382;
  sourceObject = obj374;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit383 == NULL) {
    strlit383 = alloc_String("lsquare");
    gc_root(strlit383);
  }
// compiled string node returning strlit383 (depth = 2)
  adddatum2(obj374, strlit383, 1);
  sourceObject = obj374;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit384 == NULL) {
    strlit384 = alloc_String("[");
    gc_root(strlit384);
  }
// compiled string node returning strlit384 (depth = 2)
  adddatum2(obj374, strlit384, 2);
  sourceObject = obj374;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num385 = alloc_Float64(1);
// compiled num node returning num385 (depth = 2)
  adddatum2(obj374, num385, 3);
  objclass374 = obj374->class;
  objclass374->definitionModule = modulename;
  objclass374->definitionLine = 169;
  (*(struct UserObject *)self).data[0] = lowerouter374;
  self = oldself374;
  selfslot = oldselfslot374;
  stackframe = oldstackframe374;
  gc_frame_end(frame);
  return obj374;
}
Object meth_lexer_387_rSquareToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject388 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj388 = alloc_userobj2(3,4, objclass388);
  gc_frame_newslot(obj388);
  if (objclass388 == NULL) {
    glfree(obj388->class->name);
    obj388->class->name = "new.rSquareToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj388, self, 0);
  addmethodreal(obj388,"outer", &reader_lexer_outer_389);
  Object oldself388 = self;
  struct StackFrameObject *oldstackframe388 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe388);
  gc_frame_newslot((Object)stackframe);
  self = obj388;
  Object *oldselfslot388 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter388 = (*(struct UserObject *)self).data[0], lowerouter388 = thisouter388;
  if (inheritingObject388) {
    struct UserObject *inho388 = (struct UserObject *)inheritingObject388;
    while (inho388->super != GraceDefaultObject) inho388 = (struct UserObject *)inho388->super;
    inho388->super = obj388;
    self = inheritingObject388;
    *selfslot = self;
    lowerouter388 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter388;
  }
  if (objclass388 == NULL) {
  Method *reader390 = addmethodrealflags(obj388, "kind",&reader_lexer_kind_390, MFLAG_DEF);
  reader390->definitionModule = modulename;
  reader390->definitionLine = 177;
  }
  adddatum2(obj388, alloc_Undefined(), 1);
  if (objclass388 == NULL) {
  Method *reader391 = addmethodrealflags(obj388, "value",&reader_lexer_value_391, MFLAG_DEF);
  reader391->definitionModule = modulename;
  reader391->definitionLine = 178;
  }
  adddatum2(obj388, alloc_Undefined(), 2);
  if (objclass388 == NULL) {
  Method *reader392 = addmethodrealflags(obj388, "size",&reader_lexer_size_392, MFLAG_DEF);
  reader392->definitionModule = modulename;
  reader392->definitionLine = 179;
  }
  adddatum2(obj388, alloc_Undefined(), 3);
  sourceObject = obj388;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe393 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe394 = gc_frame_new();
// call case 3: self.outer request
  Object call395 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe394);
// compiled member node returning call395 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call396 = callmethodflags(call395, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe393);
// compiled call node returning call396 (depth = 2)
  struct UserObject *obj388_uo = (struct UserObject *)obj388;
  obj388_uo->super = call396;
  sourceObject = obj388;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit397 == NULL) {
    strlit397 = alloc_String("rsquare");
    gc_root(strlit397);
  }
// compiled string node returning strlit397 (depth = 2)
  adddatum2(obj388, strlit397, 1);
  sourceObject = obj388;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit398 == NULL) {
    strlit398 = alloc_String("]");
    gc_root(strlit398);
  }
// compiled string node returning strlit398 (depth = 2)
  adddatum2(obj388, strlit398, 2);
  sourceObject = obj388;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num399 = alloc_Float64(1);
// compiled num node returning num399 (depth = 2)
  adddatum2(obj388, num399, 3);
  objclass388 = obj388->class;
  objclass388->definitionModule = modulename;
  objclass388->definitionLine = 175;
  (*(struct UserObject *)self).data[0] = lowerouter388;
  self = oldself388;
  selfslot = oldselfslot388;
  stackframe = oldstackframe388;
  gc_frame_end(frame);
  return obj388;
}
Object meth_lexer_387_rSquareToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject388 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj388 = alloc_userobj2(3,4, objclass388);
  gc_frame_newslot(obj388);
  if (objclass388 == NULL) {
    glfree(obj388->class->name);
    obj388->class->name = "new.rSquareToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj388, self, 0);
  addmethodreal(obj388,"outer", &reader_lexer_outer_389);
  Object oldself388 = self;
  struct StackFrameObject *oldstackframe388 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe388);
  gc_frame_newslot((Object)stackframe);
  self = obj388;
  Object *oldselfslot388 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter388 = (*(struct UserObject *)self).data[0], lowerouter388 = thisouter388;
  if (inheritingObject388) {
    struct UserObject *inho388 = (struct UserObject *)inheritingObject388;
    while (inho388->super != GraceDefaultObject) inho388 = (struct UserObject *)inho388->super;
    inho388->super = obj388;
    self = inheritingObject388;
    *selfslot = self;
    lowerouter388 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter388;
  }
  if (objclass388 == NULL) {
  Method *reader390 = addmethodrealflags(obj388, "kind",&reader_lexer_kind_390, MFLAG_DEF);
  reader390->definitionModule = modulename;
  reader390->definitionLine = 177;
  }
  adddatum2(obj388, alloc_Undefined(), 1);
  if (objclass388 == NULL) {
  Method *reader391 = addmethodrealflags(obj388, "value",&reader_lexer_value_391, MFLAG_DEF);
  reader391->definitionModule = modulename;
  reader391->definitionLine = 178;
  }
  adddatum2(obj388, alloc_Undefined(), 2);
  if (objclass388 == NULL) {
  Method *reader392 = addmethodrealflags(obj388, "size",&reader_lexer_size_392, MFLAG_DEF);
  reader392->definitionModule = modulename;
  reader392->definitionLine = 179;
  }
  adddatum2(obj388, alloc_Undefined(), 3);
  sourceObject = obj388;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe393 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe394 = gc_frame_new();
// call case 3: self.outer request
  Object call395 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe394);
// compiled member node returning call395 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call396 = callmethodflags(call395, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe393);
// compiled call node returning call396 (depth = 2)
  struct UserObject *obj388_uo = (struct UserObject *)obj388;
  obj388_uo->super = call396;
  sourceObject = obj388;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit397 == NULL) {
    strlit397 = alloc_String("rsquare");
    gc_root(strlit397);
  }
// compiled string node returning strlit397 (depth = 2)
  adddatum2(obj388, strlit397, 1);
  sourceObject = obj388;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit398 == NULL) {
    strlit398 = alloc_String("]");
    gc_root(strlit398);
  }
// compiled string node returning strlit398 (depth = 2)
  adddatum2(obj388, strlit398, 2);
  sourceObject = obj388;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num399 = alloc_Float64(1);
// compiled num node returning num399 (depth = 2)
  adddatum2(obj388, num399, 3);
  objclass388 = obj388->class;
  objclass388->definitionModule = modulename;
  objclass388->definitionLine = 175;
  (*(struct UserObject *)self).data[0] = lowerouter388;
  self = oldself388;
  selfslot = oldselfslot388;
  stackframe = oldstackframe388;
  gc_frame_end(frame);
  return obj388;
}
Object meth_lexer_401_commaToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject402 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj402 = alloc_userobj2(3,4, objclass402);
  gc_frame_newslot(obj402);
  if (objclass402 == NULL) {
    glfree(obj402->class->name);
    obj402->class->name = "new.commaToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj402, self, 0);
  addmethodreal(obj402,"outer", &reader_lexer_outer_403);
  Object oldself402 = self;
  struct StackFrameObject *oldstackframe402 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe402);
  gc_frame_newslot((Object)stackframe);
  self = obj402;
  Object *oldselfslot402 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter402 = (*(struct UserObject *)self).data[0], lowerouter402 = thisouter402;
  if (inheritingObject402) {
    struct UserObject *inho402 = (struct UserObject *)inheritingObject402;
    while (inho402->super != GraceDefaultObject) inho402 = (struct UserObject *)inho402->super;
    inho402->super = obj402;
    self = inheritingObject402;
    *selfslot = self;
    lowerouter402 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter402;
  }
  if (objclass402 == NULL) {
  Method *reader404 = addmethodrealflags(obj402, "kind",&reader_lexer_kind_404, MFLAG_DEF);
  reader404->definitionModule = modulename;
  reader404->definitionLine = 183;
  }
  adddatum2(obj402, alloc_Undefined(), 1);
  if (objclass402 == NULL) {
  Method *reader405 = addmethodrealflags(obj402, "value",&reader_lexer_value_405, MFLAG_DEF);
  reader405->definitionModule = modulename;
  reader405->definitionLine = 184;
  }
  adddatum2(obj402, alloc_Undefined(), 2);
  if (objclass402 == NULL) {
  Method *reader406 = addmethodrealflags(obj402, "size",&reader_lexer_size_406, MFLAG_DEF);
  reader406->definitionModule = modulename;
  reader406->definitionLine = 185;
  }
  adddatum2(obj402, alloc_Undefined(), 3);
  sourceObject = obj402;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe407 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe408 = gc_frame_new();
// call case 3: self.outer request
  Object call409 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe408);
// compiled member node returning call409 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call410 = callmethodflags(call409, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe407);
// compiled call node returning call410 (depth = 2)
  struct UserObject *obj402_uo = (struct UserObject *)obj402;
  obj402_uo->super = call410;
  sourceObject = obj402;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit411 == NULL) {
    strlit411 = alloc_String("comma");
    gc_root(strlit411);
  }
// compiled string node returning strlit411 (depth = 2)
  adddatum2(obj402, strlit411, 1);
  sourceObject = obj402;
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit412 == NULL) {
    strlit412 = alloc_String(",");
    gc_root(strlit412);
  }
// compiled string node returning strlit412 (depth = 2)
  adddatum2(obj402, strlit412, 2);
  sourceObject = obj402;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num413 = alloc_Float64(1);
// compiled num node returning num413 (depth = 2)
  adddatum2(obj402, num413, 3);
  objclass402 = obj402->class;
  objclass402->definitionModule = modulename;
  objclass402->definitionLine = 181;
  (*(struct UserObject *)self).data[0] = lowerouter402;
  self = oldself402;
  selfslot = oldselfslot402;
  stackframe = oldstackframe402;
  gc_frame_end(frame);
  return obj402;
}
Object meth_lexer_401_commaToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject402 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj402 = alloc_userobj2(3,4, objclass402);
  gc_frame_newslot(obj402);
  if (objclass402 == NULL) {
    glfree(obj402->class->name);
    obj402->class->name = "new.commaToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj402, self, 0);
  addmethodreal(obj402,"outer", &reader_lexer_outer_403);
  Object oldself402 = self;
  struct StackFrameObject *oldstackframe402 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe402);
  gc_frame_newslot((Object)stackframe);
  self = obj402;
  Object *oldselfslot402 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter402 = (*(struct UserObject *)self).data[0], lowerouter402 = thisouter402;
  if (inheritingObject402) {
    struct UserObject *inho402 = (struct UserObject *)inheritingObject402;
    while (inho402->super != GraceDefaultObject) inho402 = (struct UserObject *)inho402->super;
    inho402->super = obj402;
    self = inheritingObject402;
    *selfslot = self;
    lowerouter402 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter402;
  }
  if (objclass402 == NULL) {
  Method *reader404 = addmethodrealflags(obj402, "kind",&reader_lexer_kind_404, MFLAG_DEF);
  reader404->definitionModule = modulename;
  reader404->definitionLine = 183;
  }
  adddatum2(obj402, alloc_Undefined(), 1);
  if (objclass402 == NULL) {
  Method *reader405 = addmethodrealflags(obj402, "value",&reader_lexer_value_405, MFLAG_DEF);
  reader405->definitionModule = modulename;
  reader405->definitionLine = 184;
  }
  adddatum2(obj402, alloc_Undefined(), 2);
  if (objclass402 == NULL) {
  Method *reader406 = addmethodrealflags(obj402, "size",&reader_lexer_size_406, MFLAG_DEF);
  reader406->definitionModule = modulename;
  reader406->definitionLine = 185;
  }
  adddatum2(obj402, alloc_Undefined(), 3);
  sourceObject = obj402;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe407 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe408 = gc_frame_new();
// call case 3: self.outer request
  Object call409 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe408);
// compiled member node returning call409 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call410 = callmethodflags(call409, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe407);
// compiled call node returning call410 (depth = 2)
  struct UserObject *obj402_uo = (struct UserObject *)obj402;
  obj402_uo->super = call410;
  sourceObject = obj402;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit411 == NULL) {
    strlit411 = alloc_String("comma");
    gc_root(strlit411);
  }
// compiled string node returning strlit411 (depth = 2)
  adddatum2(obj402, strlit411, 1);
  sourceObject = obj402;
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit412 == NULL) {
    strlit412 = alloc_String(",");
    gc_root(strlit412);
  }
// compiled string node returning strlit412 (depth = 2)
  adddatum2(obj402, strlit412, 2);
  sourceObject = obj402;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num413 = alloc_Float64(1);
// compiled num node returning num413 (depth = 2)
  adddatum2(obj402, num413, 3);
  objclass402 = obj402->class;
  objclass402->definitionModule = modulename;
  objclass402->definitionLine = 181;
  (*(struct UserObject *)self).data[0] = lowerouter402;
  self = oldself402;
  selfslot = oldselfslot402;
  stackframe = oldstackframe402;
  gc_frame_end(frame);
  return obj402;
}
Object meth_lexer_415_colonToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject416 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj416 = alloc_userobj2(3,4, objclass416);
  gc_frame_newslot(obj416);
  if (objclass416 == NULL) {
    glfree(obj416->class->name);
    obj416->class->name = "new.colonToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj416, self, 0);
  addmethodreal(obj416,"outer", &reader_lexer_outer_417);
  Object oldself416 = self;
  struct StackFrameObject *oldstackframe416 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe416);
  gc_frame_newslot((Object)stackframe);
  self = obj416;
  Object *oldselfslot416 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter416 = (*(struct UserObject *)self).data[0], lowerouter416 = thisouter416;
  if (inheritingObject416) {
    struct UserObject *inho416 = (struct UserObject *)inheritingObject416;
    while (inho416->super != GraceDefaultObject) inho416 = (struct UserObject *)inho416->super;
    inho416->super = obj416;
    self = inheritingObject416;
    *selfslot = self;
    lowerouter416 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter416;
  }
  if (objclass416 == NULL) {
  Method *reader418 = addmethodrealflags(obj416, "kind",&reader_lexer_kind_418, MFLAG_DEF);
  reader418->definitionModule = modulename;
  reader418->definitionLine = 189;
  }
  adddatum2(obj416, alloc_Undefined(), 1);
  if (objclass416 == NULL) {
  Method *reader419 = addmethodrealflags(obj416, "value",&reader_lexer_value_419, MFLAG_DEF);
  reader419->definitionModule = modulename;
  reader419->definitionLine = 190;
  }
  adddatum2(obj416, alloc_Undefined(), 2);
  if (objclass416 == NULL) {
  Method *reader420 = addmethodrealflags(obj416, "size",&reader_lexer_size_420, MFLAG_DEF);
  reader420->definitionModule = modulename;
  reader420->definitionLine = 191;
  }
  adddatum2(obj416, alloc_Undefined(), 3);
  sourceObject = obj416;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe421 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe422 = gc_frame_new();
// call case 3: self.outer request
  Object call423 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe422);
// compiled member node returning call423 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call424 = callmethodflags(call423, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe421);
// compiled call node returning call424 (depth = 2)
  struct UserObject *obj416_uo = (struct UserObject *)obj416;
  obj416_uo->super = call424;
  sourceObject = obj416;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit425 == NULL) {
    strlit425 = alloc_String("colon");
    gc_root(strlit425);
  }
// compiled string node returning strlit425 (depth = 2)
  adddatum2(obj416, strlit425, 1);
  sourceObject = obj416;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit426 == NULL) {
    strlit426 = alloc_String(":");
    gc_root(strlit426);
  }
// compiled string node returning strlit426 (depth = 2)
  adddatum2(obj416, strlit426, 2);
  sourceObject = obj416;
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num427 = alloc_Float64(1);
// compiled num node returning num427 (depth = 2)
  adddatum2(obj416, num427, 3);
  objclass416 = obj416->class;
  objclass416->definitionModule = modulename;
  objclass416->definitionLine = 187;
  (*(struct UserObject *)self).data[0] = lowerouter416;
  self = oldself416;
  selfslot = oldselfslot416;
  stackframe = oldstackframe416;
  gc_frame_end(frame);
  return obj416;
}
Object meth_lexer_415_colonToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject416 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj416 = alloc_userobj2(3,4, objclass416);
  gc_frame_newslot(obj416);
  if (objclass416 == NULL) {
    glfree(obj416->class->name);
    obj416->class->name = "new.colonToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj416, self, 0);
  addmethodreal(obj416,"outer", &reader_lexer_outer_417);
  Object oldself416 = self;
  struct StackFrameObject *oldstackframe416 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe416);
  gc_frame_newslot((Object)stackframe);
  self = obj416;
  Object *oldselfslot416 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter416 = (*(struct UserObject *)self).data[0], lowerouter416 = thisouter416;
  if (inheritingObject416) {
    struct UserObject *inho416 = (struct UserObject *)inheritingObject416;
    while (inho416->super != GraceDefaultObject) inho416 = (struct UserObject *)inho416->super;
    inho416->super = obj416;
    self = inheritingObject416;
    *selfslot = self;
    lowerouter416 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter416;
  }
  if (objclass416 == NULL) {
  Method *reader418 = addmethodrealflags(obj416, "kind",&reader_lexer_kind_418, MFLAG_DEF);
  reader418->definitionModule = modulename;
  reader418->definitionLine = 189;
  }
  adddatum2(obj416, alloc_Undefined(), 1);
  if (objclass416 == NULL) {
  Method *reader419 = addmethodrealflags(obj416, "value",&reader_lexer_value_419, MFLAG_DEF);
  reader419->definitionModule = modulename;
  reader419->definitionLine = 190;
  }
  adddatum2(obj416, alloc_Undefined(), 2);
  if (objclass416 == NULL) {
  Method *reader420 = addmethodrealflags(obj416, "size",&reader_lexer_size_420, MFLAG_DEF);
  reader420->definitionModule = modulename;
  reader420->definitionLine = 191;
  }
  adddatum2(obj416, alloc_Undefined(), 3);
  sourceObject = obj416;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe421 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe422 = gc_frame_new();
// call case 3: self.outer request
  Object call423 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe422);
// compiled member node returning call423 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call424 = callmethodflags(call423, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe421);
// compiled call node returning call424 (depth = 2)
  struct UserObject *obj416_uo = (struct UserObject *)obj416;
  obj416_uo->super = call424;
  sourceObject = obj416;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit425 == NULL) {
    strlit425 = alloc_String("colon");
    gc_root(strlit425);
  }
// compiled string node returning strlit425 (depth = 2)
  adddatum2(obj416, strlit425, 1);
  sourceObject = obj416;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit426 == NULL) {
    strlit426 = alloc_String(":");
    gc_root(strlit426);
  }
// compiled string node returning strlit426 (depth = 2)
  adddatum2(obj416, strlit426, 2);
  sourceObject = obj416;
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num427 = alloc_Float64(1);
// compiled num node returning num427 (depth = 2)
  adddatum2(obj416, num427, 3);
  objclass416 = obj416->class;
  objclass416->definitionModule = modulename;
  objclass416->definitionLine = 187;
  (*(struct UserObject *)self).data[0] = lowerouter416;
  self = oldself416;
  selfslot = oldselfslot416;
  stackframe = oldstackframe416;
  gc_frame_end(frame);
  return obj416;
}
Object meth_lexer_429_dotToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject430 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj430 = alloc_userobj2(3,4, objclass430);
  gc_frame_newslot(obj430);
  if (objclass430 == NULL) {
    glfree(obj430->class->name);
    obj430->class->name = "new.dotToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj430, self, 0);
  addmethodreal(obj430,"outer", &reader_lexer_outer_431);
  Object oldself430 = self;
  struct StackFrameObject *oldstackframe430 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe430);
  gc_frame_newslot((Object)stackframe);
  self = obj430;
  Object *oldselfslot430 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter430 = (*(struct UserObject *)self).data[0], lowerouter430 = thisouter430;
  if (inheritingObject430) {
    struct UserObject *inho430 = (struct UserObject *)inheritingObject430;
    while (inho430->super != GraceDefaultObject) inho430 = (struct UserObject *)inho430->super;
    inho430->super = obj430;
    self = inheritingObject430;
    *selfslot = self;
    lowerouter430 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter430;
  }
  if (objclass430 == NULL) {
  Method *reader432 = addmethodrealflags(obj430, "kind",&reader_lexer_kind_432, MFLAG_DEF);
  reader432->definitionModule = modulename;
  reader432->definitionLine = 195;
  }
  adddatum2(obj430, alloc_Undefined(), 1);
  if (objclass430 == NULL) {
  Method *reader433 = addmethodrealflags(obj430, "value",&reader_lexer_value_433, MFLAG_DEF);
  reader433->definitionModule = modulename;
  reader433->definitionLine = 196;
  }
  adddatum2(obj430, alloc_Undefined(), 2);
  if (objclass430 == NULL) {
  Method *reader434 = addmethodrealflags(obj430, "size",&reader_lexer_size_434, MFLAG_DEF);
  reader434->definitionModule = modulename;
  reader434->definitionLine = 197;
  }
  adddatum2(obj430, alloc_Undefined(), 3);
  sourceObject = obj430;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe435 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe436 = gc_frame_new();
// call case 3: self.outer request
  Object call437 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe436);
// compiled member node returning call437 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call438 = callmethodflags(call437, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe435);
// compiled call node returning call438 (depth = 2)
  struct UserObject *obj430_uo = (struct UserObject *)obj430;
  obj430_uo->super = call438;
  sourceObject = obj430;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit439 == NULL) {
    strlit439 = alloc_String("dot");
    gc_root(strlit439);
  }
// compiled string node returning strlit439 (depth = 2)
  adddatum2(obj430, strlit439, 1);
  sourceObject = obj430;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit440 == NULL) {
    strlit440 = alloc_String(".");
    gc_root(strlit440);
  }
// compiled string node returning strlit440 (depth = 2)
  adddatum2(obj430, strlit440, 2);
  sourceObject = obj430;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num441 = alloc_Float64(1);
// compiled num node returning num441 (depth = 2)
  adddatum2(obj430, num441, 3);
  objclass430 = obj430->class;
  objclass430->definitionModule = modulename;
  objclass430->definitionLine = 193;
  (*(struct UserObject *)self).data[0] = lowerouter430;
  self = oldself430;
  selfslot = oldselfslot430;
  stackframe = oldstackframe430;
  gc_frame_end(frame);
  return obj430;
}
Object meth_lexer_429_dotToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject430 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj430 = alloc_userobj2(3,4, objclass430);
  gc_frame_newslot(obj430);
  if (objclass430 == NULL) {
    glfree(obj430->class->name);
    obj430->class->name = "new.dotToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj430, self, 0);
  addmethodreal(obj430,"outer", &reader_lexer_outer_431);
  Object oldself430 = self;
  struct StackFrameObject *oldstackframe430 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe430);
  gc_frame_newslot((Object)stackframe);
  self = obj430;
  Object *oldselfslot430 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter430 = (*(struct UserObject *)self).data[0], lowerouter430 = thisouter430;
  if (inheritingObject430) {
    struct UserObject *inho430 = (struct UserObject *)inheritingObject430;
    while (inho430->super != GraceDefaultObject) inho430 = (struct UserObject *)inho430->super;
    inho430->super = obj430;
    self = inheritingObject430;
    *selfslot = self;
    lowerouter430 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter430;
  }
  if (objclass430 == NULL) {
  Method *reader432 = addmethodrealflags(obj430, "kind",&reader_lexer_kind_432, MFLAG_DEF);
  reader432->definitionModule = modulename;
  reader432->definitionLine = 195;
  }
  adddatum2(obj430, alloc_Undefined(), 1);
  if (objclass430 == NULL) {
  Method *reader433 = addmethodrealflags(obj430, "value",&reader_lexer_value_433, MFLAG_DEF);
  reader433->definitionModule = modulename;
  reader433->definitionLine = 196;
  }
  adddatum2(obj430, alloc_Undefined(), 2);
  if (objclass430 == NULL) {
  Method *reader434 = addmethodrealflags(obj430, "size",&reader_lexer_size_434, MFLAG_DEF);
  reader434->definitionModule = modulename;
  reader434->definitionLine = 197;
  }
  adddatum2(obj430, alloc_Undefined(), 3);
  sourceObject = obj430;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe435 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe436 = gc_frame_new();
// call case 3: self.outer request
  Object call437 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe436);
// compiled member node returning call437 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call438 = callmethodflags(call437, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe435);
// compiled call node returning call438 (depth = 2)
  struct UserObject *obj430_uo = (struct UserObject *)obj430;
  obj430_uo->super = call438;
  sourceObject = obj430;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit439 == NULL) {
    strlit439 = alloc_String("dot");
    gc_root(strlit439);
  }
// compiled string node returning strlit439 (depth = 2)
  adddatum2(obj430, strlit439, 1);
  sourceObject = obj430;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit440 == NULL) {
    strlit440 = alloc_String(".");
    gc_root(strlit440);
  }
// compiled string node returning strlit440 (depth = 2)
  adddatum2(obj430, strlit440, 2);
  sourceObject = obj430;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num441 = alloc_Float64(1);
// compiled num node returning num441 (depth = 2)
  adddatum2(obj430, num441, 3);
  objclass430 = obj430->class;
  objclass430->definitionModule = modulename;
  objclass430->definitionLine = 193;
  (*(struct UserObject *)self).data[0] = lowerouter430;
  self = oldself430;
  selfslot = oldselfslot430;
  stackframe = oldstackframe430;
  gc_frame_end(frame);
  return obj430;
}
Object meth_lexer_443_numToken_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method numToken(_,_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part numToken(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject444 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj444 = alloc_userobj2(4,5, objclass444);
  gc_frame_newslot(obj444);
  if (objclass444 == NULL) {
    glfree(obj444->class->name);
    obj444->class->name = "new.numToken(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj444, self, 0);
  addmethodreal(obj444,"outer", &reader_lexer_outer_445);
  Object oldself444 = self;
  struct StackFrameObject *oldstackframe444 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe444);
  gc_frame_newslot((Object)stackframe);
  self = obj444;
  Object *oldselfslot444 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter444 = (*(struct UserObject *)self).data[0], lowerouter444 = thisouter444;
  if (inheritingObject444) {
    struct UserObject *inho444 = (struct UserObject *)inheritingObject444;
    while (inho444->super != GraceDefaultObject) inho444 = (struct UserObject *)inho444->super;
    inho444->super = obj444;
    self = inheritingObject444;
    *selfslot = self;
    lowerouter444 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter444;
  }
  if (objclass444 == NULL) {
  Method *reader446 = addmethodrealflags(obj444, "kind",&reader_lexer_kind_446, MFLAG_DEF);
  reader446->definitionModule = modulename;
  reader446->definitionLine = 201;
  }
  adddatum2(obj444, alloc_Undefined(), 1);
  if (objclass444 == NULL) {
  Method *reader447 = addmethodrealflags(obj444, "value",&reader_lexer_value_447, MFLAG_DEF);
  reader447->definitionModule = modulename;
  reader447->definitionLine = 202;
  }
  adddatum2(obj444, alloc_Undefined(), 2);
  if (objclass444 == NULL) {
  Method *reader448 = addmethodrealflags(obj444, "base",&reader_lexer_base_448, MFLAG_DEF);
  reader448->definitionModule = modulename;
  reader448->definitionLine = 203;
  }
  adddatum2(obj444, alloc_Undefined(), 3);
  if (objclass444 == NULL) {
  Method *reader449 = addmethodrealflags(obj444, "size",&reader_lexer_size_449, MFLAG_DEF);
  reader449->definitionModule = modulename;
  reader449->definitionLine = 204;
  }
  adddatum2(obj444, alloc_Undefined(), 4);
  sourceObject = obj444;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe450 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe451 = gc_frame_new();
// call case 3: self.outer request
  Object call452 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe451);
// compiled member node returning call452 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call453 = callmethodflags(call452, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe450);
// compiled call node returning call453 (depth = 2)
  struct UserObject *obj444_uo = (struct UserObject *)obj444;
  obj444_uo->super = call453;
  sourceObject = obj444;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit454 == NULL) {
    strlit454 = alloc_String("num");
    gc_root(strlit454);
  }
// compiled string node returning strlit454 (depth = 2)
  adddatum2(obj444, strlit454, 1);
  sourceObject = obj444;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj444, *var_v, 2);
  sourceObject = obj444;
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj444, *var_b, 3);
  sourceObject = obj444;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe456 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe457 = gc_frame_new();
// call case 3: self.outer request
  Object call458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe457);
// compiled member node returning call458 (depth = 4)
  Object call459 = callmethodflags(call458, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe456);
// compiled member node returning call459 (depth = 3)
  int op_slot_right_455 = gc_frame_newslot(call459);
// starting to compile member node (depth = 3)
  int callframe461 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe462 = gc_frame_new();
// call case 3: self.outer request
  Object call463 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe462);
// compiled member node returning call463 (depth = 4)
  Object call464 = callmethodflags(call463, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe461);
// compiled member node returning call464 (depth = 3)
  int op_slot_left_455 = gc_frame_newslot(call464);
  params[0] = call459;
  partcv[0] = 1;
  Object diff465 = callmethod(call464, "-(1)", 1, partcv, params);
// compiled op node returning diff465 (depth = 2)
  adddatum2(obj444, diff465, 4);
  objclass444 = obj444->class;
  objclass444->definitionModule = modulename;
  objclass444->definitionLine = 199;
  (*(struct UserObject *)self).data[0] = lowerouter444;
  self = oldself444;
  selfslot = oldselfslot444;
  stackframe = oldstackframe444;
  gc_frame_end(frame);
  return obj444;
}
Object meth_lexer_443_numToken_40_2_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method numToken(_,_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part numToken(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject444 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj444 = alloc_userobj2(4,5, objclass444);
  gc_frame_newslot(obj444);
  if (objclass444 == NULL) {
    glfree(obj444->class->name);
    obj444->class->name = "new.numToken(_,_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj444, self, 0);
  addmethodreal(obj444,"outer", &reader_lexer_outer_445);
  Object oldself444 = self;
  struct StackFrameObject *oldstackframe444 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe444);
  gc_frame_newslot((Object)stackframe);
  self = obj444;
  Object *oldselfslot444 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter444 = (*(struct UserObject *)self).data[0], lowerouter444 = thisouter444;
  if (inheritingObject444) {
    struct UserObject *inho444 = (struct UserObject *)inheritingObject444;
    while (inho444->super != GraceDefaultObject) inho444 = (struct UserObject *)inho444->super;
    inho444->super = obj444;
    self = inheritingObject444;
    *selfslot = self;
    lowerouter444 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter444;
  }
  if (objclass444 == NULL) {
  Method *reader446 = addmethodrealflags(obj444, "kind",&reader_lexer_kind_446, MFLAG_DEF);
  reader446->definitionModule = modulename;
  reader446->definitionLine = 201;
  }
  adddatum2(obj444, alloc_Undefined(), 1);
  if (objclass444 == NULL) {
  Method *reader447 = addmethodrealflags(obj444, "value",&reader_lexer_value_447, MFLAG_DEF);
  reader447->definitionModule = modulename;
  reader447->definitionLine = 202;
  }
  adddatum2(obj444, alloc_Undefined(), 2);
  if (objclass444 == NULL) {
  Method *reader448 = addmethodrealflags(obj444, "base",&reader_lexer_base_448, MFLAG_DEF);
  reader448->definitionModule = modulename;
  reader448->definitionLine = 203;
  }
  adddatum2(obj444, alloc_Undefined(), 3);
  if (objclass444 == NULL) {
  Method *reader449 = addmethodrealflags(obj444, "size",&reader_lexer_size_449, MFLAG_DEF);
  reader449->definitionModule = modulename;
  reader449->definitionLine = 204;
  }
  adddatum2(obj444, alloc_Undefined(), 4);
  sourceObject = obj444;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe450 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe451 = gc_frame_new();
// call case 3: self.outer request
  Object call452 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe451);
// compiled member node returning call452 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call453 = callmethodflags(call452, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe450);
// compiled call node returning call453 (depth = 2)
  struct UserObject *obj444_uo = (struct UserObject *)obj444;
  obj444_uo->super = call453;
  sourceObject = obj444;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit454 == NULL) {
    strlit454 = alloc_String("num");
    gc_root(strlit454);
  }
// compiled string node returning strlit454 (depth = 2)
  adddatum2(obj444, strlit454, 1);
  sourceObject = obj444;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj444, *var_v, 2);
  sourceObject = obj444;
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj444, *var_b, 3);
  sourceObject = obj444;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe456 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe457 = gc_frame_new();
// call case 3: self.outer request
  Object call458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe457);
// compiled member node returning call458 (depth = 4)
  Object call459 = callmethodflags(call458, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe456);
// compiled member node returning call459 (depth = 3)
  int op_slot_right_455 = gc_frame_newslot(call459);
// starting to compile member node (depth = 3)
  int callframe461 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe462 = gc_frame_new();
// call case 3: self.outer request
  Object call463 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe462);
// compiled member node returning call463 (depth = 4)
  Object call464 = callmethodflags(call463, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe461);
// compiled member node returning call464 (depth = 3)
  int op_slot_left_455 = gc_frame_newslot(call464);
  params[0] = call459;
  partcv[0] = 1;
  Object diff465 = callmethod(call464, "-(1)", 1, partcv, params);
// compiled op node returning diff465 (depth = 2)
  adddatum2(obj444, diff465, 4);
  objclass444 = obj444->class;
  objclass444->definitionModule = modulename;
  objclass444->definitionLine = 199;
  (*(struct UserObject *)self).data[0] = lowerouter444;
  self = oldself444;
  selfslot = oldselfslot444;
  stackframe = oldstackframe444;
  gc_frame_end(frame);
  return obj444;
}
Object meth_lexer_467_keywordToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keywordToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keywordToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject468 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj468 = alloc_userobj2(3,4, objclass468);
  gc_frame_newslot(obj468);
  if (objclass468 == NULL) {
    glfree(obj468->class->name);
    obj468->class->name = "new.keywordToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj468, self, 0);
  addmethodreal(obj468,"outer", &reader_lexer_outer_469);
  Object oldself468 = self;
  struct StackFrameObject *oldstackframe468 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe468);
  gc_frame_newslot((Object)stackframe);
  self = obj468;
  Object *oldselfslot468 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter468 = (*(struct UserObject *)self).data[0], lowerouter468 = thisouter468;
  if (inheritingObject468) {
    struct UserObject *inho468 = (struct UserObject *)inheritingObject468;
    while (inho468->super != GraceDefaultObject) inho468 = (struct UserObject *)inho468->super;
    inho468->super = obj468;
    self = inheritingObject468;
    *selfslot = self;
    lowerouter468 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter468;
  }
  if (objclass468 == NULL) {
  Method *reader470 = addmethodrealflags(obj468, "kind",&reader_lexer_kind_470, MFLAG_DEF);
  reader470->definitionModule = modulename;
  reader470->definitionLine = 208;
  }
  adddatum2(obj468, alloc_Undefined(), 1);
  if (objclass468 == NULL) {
  Method *reader471 = addmethodrealflags(obj468, "value",&reader_lexer_value_471, MFLAG_DEF);
  reader471->definitionModule = modulename;
  reader471->definitionLine = 209;
  }
  adddatum2(obj468, alloc_Undefined(), 2);
  if (objclass468 == NULL) {
  Method *reader472 = addmethodrealflags(obj468, "size",&reader_lexer_size_472, MFLAG_DEF);
  reader472->definitionModule = modulename;
  reader472->definitionLine = 210;
  }
  adddatum2(obj468, alloc_Undefined(), 3);
  sourceObject = obj468;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe473 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe474 = gc_frame_new();
// call case 3: self.outer request
  Object call475 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe474);
// compiled member node returning call475 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call476 = callmethodflags(call475, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe473);
// compiled call node returning call476 (depth = 2)
  struct UserObject *obj468_uo = (struct UserObject *)obj468;
  obj468_uo->super = call476;
  sourceObject = obj468;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit477 == NULL) {
    strlit477 = alloc_String("keyword");
    gc_root(strlit477);
  }
// compiled string node returning strlit477 (depth = 2)
  adddatum2(obj468, strlit477, 1);
  sourceObject = obj468;
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj468, *var_v, 2);
  sourceObject = obj468;
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe478 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call479 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe478);
// compiled member node returning call479 (depth = 2)
  adddatum2(obj468, call479, 3);
  objclass468 = obj468->class;
  objclass468->definitionModule = modulename;
  objclass468->definitionLine = 206;
  (*(struct UserObject *)self).data[0] = lowerouter468;
  self = oldself468;
  selfslot = oldselfslot468;
  stackframe = oldstackframe468;
  gc_frame_end(frame);
  return obj468;
}
Object meth_lexer_467_keywordToken_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method keywordToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keywordToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject468 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj468 = alloc_userobj2(3,4, objclass468);
  gc_frame_newslot(obj468);
  if (objclass468 == NULL) {
    glfree(obj468->class->name);
    obj468->class->name = "new.keywordToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj468, self, 0);
  addmethodreal(obj468,"outer", &reader_lexer_outer_469);
  Object oldself468 = self;
  struct StackFrameObject *oldstackframe468 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe468);
  gc_frame_newslot((Object)stackframe);
  self = obj468;
  Object *oldselfslot468 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter468 = (*(struct UserObject *)self).data[0], lowerouter468 = thisouter468;
  if (inheritingObject468) {
    struct UserObject *inho468 = (struct UserObject *)inheritingObject468;
    while (inho468->super != GraceDefaultObject) inho468 = (struct UserObject *)inho468->super;
    inho468->super = obj468;
    self = inheritingObject468;
    *selfslot = self;
    lowerouter468 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter468;
  }
  if (objclass468 == NULL) {
  Method *reader470 = addmethodrealflags(obj468, "kind",&reader_lexer_kind_470, MFLAG_DEF);
  reader470->definitionModule = modulename;
  reader470->definitionLine = 208;
  }
  adddatum2(obj468, alloc_Undefined(), 1);
  if (objclass468 == NULL) {
  Method *reader471 = addmethodrealflags(obj468, "value",&reader_lexer_value_471, MFLAG_DEF);
  reader471->definitionModule = modulename;
  reader471->definitionLine = 209;
  }
  adddatum2(obj468, alloc_Undefined(), 2);
  if (objclass468 == NULL) {
  Method *reader472 = addmethodrealflags(obj468, "size",&reader_lexer_size_472, MFLAG_DEF);
  reader472->definitionModule = modulename;
  reader472->definitionLine = 210;
  }
  adddatum2(obj468, alloc_Undefined(), 3);
  sourceObject = obj468;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe473 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe474 = gc_frame_new();
// call case 3: self.outer request
  Object call475 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe474);
// compiled member node returning call475 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call476 = callmethodflags(call475, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe473);
// compiled call node returning call476 (depth = 2)
  struct UserObject *obj468_uo = (struct UserObject *)obj468;
  obj468_uo->super = call476;
  sourceObject = obj468;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit477 == NULL) {
    strlit477 = alloc_String("keyword");
    gc_root(strlit477);
  }
// compiled string node returning strlit477 (depth = 2)
  adddatum2(obj468, strlit477, 1);
  sourceObject = obj468;
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj468, *var_v, 2);
  sourceObject = obj468;
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe478 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call479 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe478);
// compiled member node returning call479 (depth = 2)
  adddatum2(obj468, call479, 3);
  objclass468 = obj468->class;
  objclass468->definitionModule = modulename;
  objclass468->definitionLine = 206;
  (*(struct UserObject *)self).data[0] = lowerouter468;
  self = oldself468;
  selfslot = oldselfslot468;
  stackframe = oldstackframe468;
  gc_frame_end(frame);
  return obj468;
}
Object meth_lexer_481_opToken_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method opToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part opToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject482 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj482 = alloc_userobj2(3,4, objclass482);
  gc_frame_newslot(obj482);
  if (objclass482 == NULL) {
    glfree(obj482->class->name);
    obj482->class->name = "new.opToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj482, self, 0);
  addmethodreal(obj482,"outer", &reader_lexer_outer_483);
  Object oldself482 = self;
  struct StackFrameObject *oldstackframe482 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe482);
  gc_frame_newslot((Object)stackframe);
  self = obj482;
  Object *oldselfslot482 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter482 = (*(struct UserObject *)self).data[0], lowerouter482 = thisouter482;
  if (inheritingObject482) {
    struct UserObject *inho482 = (struct UserObject *)inheritingObject482;
    while (inho482->super != GraceDefaultObject) inho482 = (struct UserObject *)inho482->super;
    inho482->super = obj482;
    self = inheritingObject482;
    *selfslot = self;
    lowerouter482 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter482;
  }
  if (objclass482 == NULL) {
  Method *reader484 = addmethodrealflags(obj482, "kind",&reader_lexer_kind_484, MFLAG_DEF);
  reader484->definitionModule = modulename;
  reader484->definitionLine = 214;
  }
  adddatum2(obj482, alloc_Undefined(), 1);
  if (objclass482 == NULL) {
  Method *reader485 = addmethodrealflags(obj482, "value",&reader_lexer_value_485, MFLAG_DEF);
  reader485->definitionModule = modulename;
  reader485->definitionLine = 215;
  }
  adddatum2(obj482, alloc_Undefined(), 2);
  if (objclass482 == NULL) {
  Method *reader486 = addmethodrealflags(obj482, "size",&reader_lexer_size_486, MFLAG_DEF);
  reader486->definitionModule = modulename;
  reader486->definitionLine = 216;
  }
  adddatum2(obj482, alloc_Undefined(), 3);
  sourceObject = obj482;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe487 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe488 = gc_frame_new();
// call case 3: self.outer request
  Object call489 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe488);
// compiled member node returning call489 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call490 = callmethodflags(call489, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe487);
// compiled call node returning call490 (depth = 2)
  struct UserObject *obj482_uo = (struct UserObject *)obj482;
  obj482_uo->super = call490;
  sourceObject = obj482;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit491 == NULL) {
    strlit491 = alloc_String("op");
    gc_root(strlit491);
  }
// compiled string node returning strlit491 (depth = 2)
  adddatum2(obj482, strlit491, 1);
  sourceObject = obj482;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj482, *var_v, 2);
  sourceObject = obj482;
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe492 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call493 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe492);
// compiled member node returning call493 (depth = 2)
  adddatum2(obj482, call493, 3);
  objclass482 = obj482->class;
  objclass482->definitionModule = modulename;
  objclass482->definitionLine = 212;
  (*(struct UserObject *)self).data[0] = lowerouter482;
  self = oldself482;
  selfslot = oldselfslot482;
  stackframe = oldstackframe482;
  gc_frame_end(frame);
  return obj482;
}
Object meth_lexer_481_opToken_40_1_41__object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method opToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part opToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject482 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj482 = alloc_userobj2(3,4, objclass482);
  gc_frame_newslot(obj482);
  if (objclass482 == NULL) {
    glfree(obj482->class->name);
    obj482->class->name = "new.opToken(_)";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj482, self, 0);
  addmethodreal(obj482,"outer", &reader_lexer_outer_483);
  Object oldself482 = self;
  struct StackFrameObject *oldstackframe482 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe482);
  gc_frame_newslot((Object)stackframe);
  self = obj482;
  Object *oldselfslot482 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter482 = (*(struct UserObject *)self).data[0], lowerouter482 = thisouter482;
  if (inheritingObject482) {
    struct UserObject *inho482 = (struct UserObject *)inheritingObject482;
    while (inho482->super != GraceDefaultObject) inho482 = (struct UserObject *)inho482->super;
    inho482->super = obj482;
    self = inheritingObject482;
    *selfslot = self;
    lowerouter482 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter482;
  }
  if (objclass482 == NULL) {
  Method *reader484 = addmethodrealflags(obj482, "kind",&reader_lexer_kind_484, MFLAG_DEF);
  reader484->definitionModule = modulename;
  reader484->definitionLine = 214;
  }
  adddatum2(obj482, alloc_Undefined(), 1);
  if (objclass482 == NULL) {
  Method *reader485 = addmethodrealflags(obj482, "value",&reader_lexer_value_485, MFLAG_DEF);
  reader485->definitionModule = modulename;
  reader485->definitionLine = 215;
  }
  adddatum2(obj482, alloc_Undefined(), 2);
  if (objclass482 == NULL) {
  Method *reader486 = addmethodrealflags(obj482, "size",&reader_lexer_size_486, MFLAG_DEF);
  reader486->definitionModule = modulename;
  reader486->definitionLine = 216;
  }
  adddatum2(obj482, alloc_Undefined(), 3);
  sourceObject = obj482;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe487 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe488 = gc_frame_new();
// call case 3: self.outer request
  Object call489 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe488);
// compiled member node returning call489 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call490 = callmethodflags(call489, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe487);
// compiled call node returning call490 (depth = 2)
  struct UserObject *obj482_uo = (struct UserObject *)obj482;
  obj482_uo->super = call490;
  sourceObject = obj482;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit491 == NULL) {
    strlit491 = alloc_String("op");
    gc_root(strlit491);
  }
// compiled string node returning strlit491 (depth = 2)
  adddatum2(obj482, strlit491, 1);
  sourceObject = obj482;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj482, *var_v, 2);
  sourceObject = obj482;
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe492 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call493 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe492);
// compiled member node returning call493 (depth = 2)
  adddatum2(obj482, call493, 3);
  objclass482 = obj482->class;
  objclass482->definitionModule = modulename;
  objclass482->definitionLine = 212;
  (*(struct UserObject *)self).data[0] = lowerouter482;
  self = oldself482;
  selfslot = oldselfslot482;
  stackframe = oldstackframe482;
  gc_frame_end(frame);
  return obj482;
}
Object meth_lexer_495_arrowToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject496 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj496 = alloc_userobj2(3,4, objclass496);
  gc_frame_newslot(obj496);
  if (objclass496 == NULL) {
    glfree(obj496->class->name);
    obj496->class->name = "new.arrowToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj496, self, 0);
  addmethodreal(obj496,"outer", &reader_lexer_outer_497);
  Object oldself496 = self;
  struct StackFrameObject *oldstackframe496 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe496);
  gc_frame_newslot((Object)stackframe);
  self = obj496;
  Object *oldselfslot496 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter496 = (*(struct UserObject *)self).data[0], lowerouter496 = thisouter496;
  if (inheritingObject496) {
    struct UserObject *inho496 = (struct UserObject *)inheritingObject496;
    while (inho496->super != GraceDefaultObject) inho496 = (struct UserObject *)inho496->super;
    inho496->super = obj496;
    self = inheritingObject496;
    *selfslot = self;
    lowerouter496 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter496;
  }
  if (objclass496 == NULL) {
  Method *reader498 = addmethodrealflags(obj496, "kind",&reader_lexer_kind_498, MFLAG_DEF);
  reader498->definitionModule = modulename;
  reader498->definitionLine = 220;
  }
  adddatum2(obj496, alloc_Undefined(), 1);
  if (objclass496 == NULL) {
  Method *reader499 = addmethodrealflags(obj496, "value",&reader_lexer_value_499, MFLAG_DEF);
  reader499->definitionModule = modulename;
  reader499->definitionLine = 221;
  }
  adddatum2(obj496, alloc_Undefined(), 2);
  if (objclass496 == NULL) {
  Method *reader500 = addmethodrealflags(obj496, "size",&reader_lexer_size_500, MFLAG_DEF);
  reader500->definitionModule = modulename;
  reader500->definitionLine = 222;
  }
  adddatum2(obj496, alloc_Undefined(), 3);
  sourceObject = obj496;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe501 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe502 = gc_frame_new();
// call case 3: self.outer request
  Object call503 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe502);
// compiled member node returning call503 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call504 = callmethodflags(call503, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe501);
// compiled call node returning call504 (depth = 2)
  struct UserObject *obj496_uo = (struct UserObject *)obj496;
  obj496_uo->super = call504;
  sourceObject = obj496;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit505 == NULL) {
    strlit505 = alloc_String("arrow");
    gc_root(strlit505);
  }
// compiled string node returning strlit505 (depth = 2)
  adddatum2(obj496, strlit505, 1);
  sourceObject = obj496;
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit506 == NULL) {
    strlit506 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit506);
  }
// compiled string node returning strlit506 (depth = 2)
  adddatum2(obj496, strlit506, 2);
  sourceObject = obj496;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num507 = alloc_Float64(1);
// compiled num node returning num507 (depth = 2)
  adddatum2(obj496, num507, 3);
  objclass496 = obj496->class;
  objclass496->definitionModule = modulename;
  objclass496->definitionLine = 218;
  (*(struct UserObject *)self).data[0] = lowerouter496;
  self = oldself496;
  selfslot = oldselfslot496;
  stackframe = oldstackframe496;
  gc_frame_end(frame);
  return obj496;
}
Object meth_lexer_495_arrowToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject496 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj496 = alloc_userobj2(3,4, objclass496);
  gc_frame_newslot(obj496);
  if (objclass496 == NULL) {
    glfree(obj496->class->name);
    obj496->class->name = "new.arrowToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj496, self, 0);
  addmethodreal(obj496,"outer", &reader_lexer_outer_497);
  Object oldself496 = self;
  struct StackFrameObject *oldstackframe496 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe496);
  gc_frame_newslot((Object)stackframe);
  self = obj496;
  Object *oldselfslot496 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter496 = (*(struct UserObject *)self).data[0], lowerouter496 = thisouter496;
  if (inheritingObject496) {
    struct UserObject *inho496 = (struct UserObject *)inheritingObject496;
    while (inho496->super != GraceDefaultObject) inho496 = (struct UserObject *)inho496->super;
    inho496->super = obj496;
    self = inheritingObject496;
    *selfslot = self;
    lowerouter496 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter496;
  }
  if (objclass496 == NULL) {
  Method *reader498 = addmethodrealflags(obj496, "kind",&reader_lexer_kind_498, MFLAG_DEF);
  reader498->definitionModule = modulename;
  reader498->definitionLine = 220;
  }
  adddatum2(obj496, alloc_Undefined(), 1);
  if (objclass496 == NULL) {
  Method *reader499 = addmethodrealflags(obj496, "value",&reader_lexer_value_499, MFLAG_DEF);
  reader499->definitionModule = modulename;
  reader499->definitionLine = 221;
  }
  adddatum2(obj496, alloc_Undefined(), 2);
  if (objclass496 == NULL) {
  Method *reader500 = addmethodrealflags(obj496, "size",&reader_lexer_size_500, MFLAG_DEF);
  reader500->definitionModule = modulename;
  reader500->definitionLine = 222;
  }
  adddatum2(obj496, alloc_Undefined(), 3);
  sourceObject = obj496;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe501 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe502 = gc_frame_new();
// call case 3: self.outer request
  Object call503 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe502);
// compiled member node returning call503 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call504 = callmethodflags(call503, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe501);
// compiled call node returning call504 (depth = 2)
  struct UserObject *obj496_uo = (struct UserObject *)obj496;
  obj496_uo->super = call504;
  sourceObject = obj496;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit505 == NULL) {
    strlit505 = alloc_String("arrow");
    gc_root(strlit505);
  }
// compiled string node returning strlit505 (depth = 2)
  adddatum2(obj496, strlit505, 1);
  sourceObject = obj496;
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit506 == NULL) {
    strlit506 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit506);
  }
// compiled string node returning strlit506 (depth = 2)
  adddatum2(obj496, strlit506, 2);
  sourceObject = obj496;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num507 = alloc_Float64(1);
// compiled num node returning num507 (depth = 2)
  adddatum2(obj496, num507, 3);
  objclass496 = obj496->class;
  objclass496->definitionModule = modulename;
  objclass496->definitionLine = 218;
  (*(struct UserObject *)self).data[0] = lowerouter496;
  self = oldself496;
  selfslot = oldselfslot496;
  stackframe = oldstackframe496;
  gc_frame_end(frame);
  return obj496;
}
Object meth_lexer_509_bindToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject510 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj510 = alloc_userobj2(3,4, objclass510);
  gc_frame_newslot(obj510);
  if (objclass510 == NULL) {
    glfree(obj510->class->name);
    obj510->class->name = "new.bindToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj510, self, 0);
  addmethodreal(obj510,"outer", &reader_lexer_outer_511);
  Object oldself510 = self;
  struct StackFrameObject *oldstackframe510 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe510);
  gc_frame_newslot((Object)stackframe);
  self = obj510;
  Object *oldselfslot510 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter510 = (*(struct UserObject *)self).data[0], lowerouter510 = thisouter510;
  if (inheritingObject510) {
    struct UserObject *inho510 = (struct UserObject *)inheritingObject510;
    while (inho510->super != GraceDefaultObject) inho510 = (struct UserObject *)inho510->super;
    inho510->super = obj510;
    self = inheritingObject510;
    *selfslot = self;
    lowerouter510 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter510;
  }
  if (objclass510 == NULL) {
  Method *reader512 = addmethodrealflags(obj510, "kind",&reader_lexer_kind_512, MFLAG_DEF);
  reader512->definitionModule = modulename;
  reader512->definitionLine = 226;
  }
  adddatum2(obj510, alloc_Undefined(), 1);
  if (objclass510 == NULL) {
  Method *reader513 = addmethodrealflags(obj510, "value",&reader_lexer_value_513, MFLAG_DEF);
  reader513->definitionModule = modulename;
  reader513->definitionLine = 227;
  }
  adddatum2(obj510, alloc_Undefined(), 2);
  if (objclass510 == NULL) {
  Method *reader514 = addmethodrealflags(obj510, "size",&reader_lexer_size_514, MFLAG_DEF);
  reader514->definitionModule = modulename;
  reader514->definitionLine = 228;
  }
  adddatum2(obj510, alloc_Undefined(), 3);
  sourceObject = obj510;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe515 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe516 = gc_frame_new();
// call case 3: self.outer request
  Object call517 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe516);
// compiled member node returning call517 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call518 = callmethodflags(call517, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe515);
// compiled call node returning call518 (depth = 2)
  struct UserObject *obj510_uo = (struct UserObject *)obj510;
  obj510_uo->super = call518;
  sourceObject = obj510;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit519 == NULL) {
    strlit519 = alloc_String("bind");
    gc_root(strlit519);
  }
// compiled string node returning strlit519 (depth = 2)
  adddatum2(obj510, strlit519, 1);
  sourceObject = obj510;
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit520 == NULL) {
    strlit520 = alloc_String(":=");
    gc_root(strlit520);
  }
// compiled string node returning strlit520 (depth = 2)
  adddatum2(obj510, strlit520, 2);
  sourceObject = obj510;
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num521 = alloc_Float64(2);
// compiled num node returning num521 (depth = 2)
  adddatum2(obj510, num521, 3);
  objclass510 = obj510->class;
  objclass510->definitionModule = modulename;
  objclass510->definitionLine = 224;
  (*(struct UserObject *)self).data[0] = lowerouter510;
  self = oldself510;
  selfslot = oldselfslot510;
  stackframe = oldstackframe510;
  gc_frame_end(frame);
  return obj510;
}
Object meth_lexer_509_bindToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject510 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj510 = alloc_userobj2(3,4, objclass510);
  gc_frame_newslot(obj510);
  if (objclass510 == NULL) {
    glfree(obj510->class->name);
    obj510->class->name = "new.bindToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj510, self, 0);
  addmethodreal(obj510,"outer", &reader_lexer_outer_511);
  Object oldself510 = self;
  struct StackFrameObject *oldstackframe510 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe510);
  gc_frame_newslot((Object)stackframe);
  self = obj510;
  Object *oldselfslot510 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter510 = (*(struct UserObject *)self).data[0], lowerouter510 = thisouter510;
  if (inheritingObject510) {
    struct UserObject *inho510 = (struct UserObject *)inheritingObject510;
    while (inho510->super != GraceDefaultObject) inho510 = (struct UserObject *)inho510->super;
    inho510->super = obj510;
    self = inheritingObject510;
    *selfslot = self;
    lowerouter510 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter510;
  }
  if (objclass510 == NULL) {
  Method *reader512 = addmethodrealflags(obj510, "kind",&reader_lexer_kind_512, MFLAG_DEF);
  reader512->definitionModule = modulename;
  reader512->definitionLine = 226;
  }
  adddatum2(obj510, alloc_Undefined(), 1);
  if (objclass510 == NULL) {
  Method *reader513 = addmethodrealflags(obj510, "value",&reader_lexer_value_513, MFLAG_DEF);
  reader513->definitionModule = modulename;
  reader513->definitionLine = 227;
  }
  adddatum2(obj510, alloc_Undefined(), 2);
  if (objclass510 == NULL) {
  Method *reader514 = addmethodrealflags(obj510, "size",&reader_lexer_size_514, MFLAG_DEF);
  reader514->definitionModule = modulename;
  reader514->definitionLine = 228;
  }
  adddatum2(obj510, alloc_Undefined(), 3);
  sourceObject = obj510;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe515 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe516 = gc_frame_new();
// call case 3: self.outer request
  Object call517 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe516);
// compiled member node returning call517 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call518 = callmethodflags(call517, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe515);
// compiled call node returning call518 (depth = 2)
  struct UserObject *obj510_uo = (struct UserObject *)obj510;
  obj510_uo->super = call518;
  sourceObject = obj510;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit519 == NULL) {
    strlit519 = alloc_String("bind");
    gc_root(strlit519);
  }
// compiled string node returning strlit519 (depth = 2)
  adddatum2(obj510, strlit519, 1);
  sourceObject = obj510;
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit520 == NULL) {
    strlit520 = alloc_String(":=");
    gc_root(strlit520);
  }
// compiled string node returning strlit520 (depth = 2)
  adddatum2(obj510, strlit520, 2);
  sourceObject = obj510;
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num521 = alloc_Float64(2);
// compiled num node returning num521 (depth = 2)
  adddatum2(obj510, num521, 3);
  objclass510 = obj510->class;
  objclass510->definitionModule = modulename;
  objclass510->definitionLine = 224;
  (*(struct UserObject *)self).data[0] = lowerouter510;
  self = oldself510;
  selfslot = oldselfslot510;
  stackframe = oldstackframe510;
  gc_frame_end(frame);
  return obj510;
}
Object meth_lexer_523_semicolonToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject524 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj524 = alloc_userobj2(3,4, objclass524);
  gc_frame_newslot(obj524);
  if (objclass524 == NULL) {
    glfree(obj524->class->name);
    obj524->class->name = "new.semicolonToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj524, self, 0);
  addmethodreal(obj524,"outer", &reader_lexer_outer_525);
  Object oldself524 = self;
  struct StackFrameObject *oldstackframe524 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe524);
  gc_frame_newslot((Object)stackframe);
  self = obj524;
  Object *oldselfslot524 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter524 = (*(struct UserObject *)self).data[0], lowerouter524 = thisouter524;
  if (inheritingObject524) {
    struct UserObject *inho524 = (struct UserObject *)inheritingObject524;
    while (inho524->super != GraceDefaultObject) inho524 = (struct UserObject *)inho524->super;
    inho524->super = obj524;
    self = inheritingObject524;
    *selfslot = self;
    lowerouter524 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter524;
  }
  if (objclass524 == NULL) {
  Method *reader526 = addmethodrealflags(obj524, "kind",&reader_lexer_kind_526, MFLAG_DEF);
  reader526->definitionModule = modulename;
  reader526->definitionLine = 232;
  }
  adddatum2(obj524, alloc_Undefined(), 1);
  if (objclass524 == NULL) {
  Method *reader527 = addmethodrealflags(obj524, "value",&reader_lexer_value_527, MFLAG_DEF);
  reader527->definitionModule = modulename;
  reader527->definitionLine = 233;
  }
  adddatum2(obj524, alloc_Undefined(), 2);
  if (objclass524 == NULL) {
  Method *reader528 = addmethodrealflags(obj524, "size",&reader_lexer_size_528, MFLAG_DEF);
  reader528->definitionModule = modulename;
  reader528->definitionLine = 234;
  }
  adddatum2(obj524, alloc_Undefined(), 3);
  sourceObject = obj524;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe529 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe530 = gc_frame_new();
// call case 3: self.outer request
  Object call531 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe530);
// compiled member node returning call531 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call532 = callmethodflags(call531, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe529);
// compiled call node returning call532 (depth = 2)
  struct UserObject *obj524_uo = (struct UserObject *)obj524;
  obj524_uo->super = call532;
  sourceObject = obj524;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit533 == NULL) {
    strlit533 = alloc_String("semicolon");
    gc_root(strlit533);
  }
// compiled string node returning strlit533 (depth = 2)
  adddatum2(obj524, strlit533, 1);
  sourceObject = obj524;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit534 == NULL) {
    strlit534 = alloc_String(";");
    gc_root(strlit534);
  }
// compiled string node returning strlit534 (depth = 2)
  adddatum2(obj524, strlit534, 2);
  sourceObject = obj524;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num535 = alloc_Float64(1);
// compiled num node returning num535 (depth = 2)
  adddatum2(obj524, num535, 3);
  objclass524 = obj524->class;
  objclass524->definitionModule = modulename;
  objclass524->definitionLine = 230;
  (*(struct UserObject *)self).data[0] = lowerouter524;
  self = oldself524;
  selfslot = oldselfslot524;
  stackframe = oldstackframe524;
  gc_frame_end(frame);
  return obj524;
}
Object meth_lexer_523_semicolonToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject524 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj524 = alloc_userobj2(3,4, objclass524);
  gc_frame_newslot(obj524);
  if (objclass524 == NULL) {
    glfree(obj524->class->name);
    obj524->class->name = "new.semicolonToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj524, self, 0);
  addmethodreal(obj524,"outer", &reader_lexer_outer_525);
  Object oldself524 = self;
  struct StackFrameObject *oldstackframe524 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe524);
  gc_frame_newslot((Object)stackframe);
  self = obj524;
  Object *oldselfslot524 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter524 = (*(struct UserObject *)self).data[0], lowerouter524 = thisouter524;
  if (inheritingObject524) {
    struct UserObject *inho524 = (struct UserObject *)inheritingObject524;
    while (inho524->super != GraceDefaultObject) inho524 = (struct UserObject *)inho524->super;
    inho524->super = obj524;
    self = inheritingObject524;
    *selfslot = self;
    lowerouter524 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter524;
  }
  if (objclass524 == NULL) {
  Method *reader526 = addmethodrealflags(obj524, "kind",&reader_lexer_kind_526, MFLAG_DEF);
  reader526->definitionModule = modulename;
  reader526->definitionLine = 232;
  }
  adddatum2(obj524, alloc_Undefined(), 1);
  if (objclass524 == NULL) {
  Method *reader527 = addmethodrealflags(obj524, "value",&reader_lexer_value_527, MFLAG_DEF);
  reader527->definitionModule = modulename;
  reader527->definitionLine = 233;
  }
  adddatum2(obj524, alloc_Undefined(), 2);
  if (objclass524 == NULL) {
  Method *reader528 = addmethodrealflags(obj524, "size",&reader_lexer_size_528, MFLAG_DEF);
  reader528->definitionModule = modulename;
  reader528->definitionLine = 234;
  }
  adddatum2(obj524, alloc_Undefined(), 3);
  sourceObject = obj524;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe529 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe530 = gc_frame_new();
// call case 3: self.outer request
  Object call531 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe530);
// compiled member node returning call531 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call532 = callmethodflags(call531, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe529);
// compiled call node returning call532 (depth = 2)
  struct UserObject *obj524_uo = (struct UserObject *)obj524;
  obj524_uo->super = call532;
  sourceObject = obj524;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit533 == NULL) {
    strlit533 = alloc_String("semicolon");
    gc_root(strlit533);
  }
// compiled string node returning strlit533 (depth = 2)
  adddatum2(obj524, strlit533, 1);
  sourceObject = obj524;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit534 == NULL) {
    strlit534 = alloc_String(";");
    gc_root(strlit534);
  }
// compiled string node returning strlit534 (depth = 2)
  adddatum2(obj524, strlit534, 2);
  sourceObject = obj524;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num535 = alloc_Float64(1);
// compiled num node returning num535 (depth = 2)
  adddatum2(obj524, num535, 3);
  objclass524 = obj524->class;
  objclass524->definitionModule = modulename;
  objclass524->definitionLine = 230;
  (*(struct UserObject *)self).data[0] = lowerouter524;
  self = oldself524;
  selfslot = oldselfslot524;
  stackframe = oldstackframe524;
  gc_frame_end(frame);
  return obj524;
}
Object meth_lexer_537_lGenericToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject538 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj538 = alloc_userobj2(3,4, objclass538);
  gc_frame_newslot(obj538);
  if (objclass538 == NULL) {
    glfree(obj538->class->name);
    obj538->class->name = "new.lGenericToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj538, self, 0);
  addmethodreal(obj538,"outer", &reader_lexer_outer_539);
  Object oldself538 = self;
  struct StackFrameObject *oldstackframe538 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe538);
  gc_frame_newslot((Object)stackframe);
  self = obj538;
  Object *oldselfslot538 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter538 = (*(struct UserObject *)self).data[0], lowerouter538 = thisouter538;
  if (inheritingObject538) {
    struct UserObject *inho538 = (struct UserObject *)inheritingObject538;
    while (inho538->super != GraceDefaultObject) inho538 = (struct UserObject *)inho538->super;
    inho538->super = obj538;
    self = inheritingObject538;
    *selfslot = self;
    lowerouter538 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter538;
  }
  if (objclass538 == NULL) {
  Method *reader540 = addmethodrealflags(obj538, "kind",&reader_lexer_kind_540, MFLAG_DEF);
  reader540->definitionModule = modulename;
  reader540->definitionLine = 238;
  }
  adddatum2(obj538, alloc_Undefined(), 1);
  if (objclass538 == NULL) {
  Method *reader541 = addmethodrealflags(obj538, "value",&reader_lexer_value_541, MFLAG_DEF);
  reader541->definitionModule = modulename;
  reader541->definitionLine = 239;
  }
  adddatum2(obj538, alloc_Undefined(), 2);
  if (objclass538 == NULL) {
  Method *reader542 = addmethodrealflags(obj538, "size",&reader_lexer_size_542, MFLAG_DEF);
  reader542->definitionModule = modulename;
  reader542->definitionLine = 240;
  }
  adddatum2(obj538, alloc_Undefined(), 3);
  sourceObject = obj538;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe543 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe544 = gc_frame_new();
// call case 3: self.outer request
  Object call545 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe544);
// compiled member node returning call545 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call546 = callmethodflags(call545, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe543);
// compiled call node returning call546 (depth = 2)
  struct UserObject *obj538_uo = (struct UserObject *)obj538;
  obj538_uo->super = call546;
  sourceObject = obj538;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit547 == NULL) {
    strlit547 = alloc_String("lgeneric");
    gc_root(strlit547);
  }
// compiled string node returning strlit547 (depth = 2)
  adddatum2(obj538, strlit547, 1);
  sourceObject = obj538;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit548 == NULL) {
    strlit548 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit548);
  }
// compiled string node returning strlit548 (depth = 2)
  adddatum2(obj538, strlit548, 2);
  sourceObject = obj538;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num549 = alloc_Float64(1);
// compiled num node returning num549 (depth = 2)
  adddatum2(obj538, num549, 3);
  objclass538 = obj538->class;
  objclass538->definitionModule = modulename;
  objclass538->definitionLine = 236;
  (*(struct UserObject *)self).data[0] = lowerouter538;
  self = oldself538;
  selfslot = oldselfslot538;
  stackframe = oldstackframe538;
  gc_frame_end(frame);
  return obj538;
}
Object meth_lexer_537_lGenericToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject538 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj538 = alloc_userobj2(3,4, objclass538);
  gc_frame_newslot(obj538);
  if (objclass538 == NULL) {
    glfree(obj538->class->name);
    obj538->class->name = "new.lGenericToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj538, self, 0);
  addmethodreal(obj538,"outer", &reader_lexer_outer_539);
  Object oldself538 = self;
  struct StackFrameObject *oldstackframe538 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe538);
  gc_frame_newslot((Object)stackframe);
  self = obj538;
  Object *oldselfslot538 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter538 = (*(struct UserObject *)self).data[0], lowerouter538 = thisouter538;
  if (inheritingObject538) {
    struct UserObject *inho538 = (struct UserObject *)inheritingObject538;
    while (inho538->super != GraceDefaultObject) inho538 = (struct UserObject *)inho538->super;
    inho538->super = obj538;
    self = inheritingObject538;
    *selfslot = self;
    lowerouter538 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter538;
  }
  if (objclass538 == NULL) {
  Method *reader540 = addmethodrealflags(obj538, "kind",&reader_lexer_kind_540, MFLAG_DEF);
  reader540->definitionModule = modulename;
  reader540->definitionLine = 238;
  }
  adddatum2(obj538, alloc_Undefined(), 1);
  if (objclass538 == NULL) {
  Method *reader541 = addmethodrealflags(obj538, "value",&reader_lexer_value_541, MFLAG_DEF);
  reader541->definitionModule = modulename;
  reader541->definitionLine = 239;
  }
  adddatum2(obj538, alloc_Undefined(), 2);
  if (objclass538 == NULL) {
  Method *reader542 = addmethodrealflags(obj538, "size",&reader_lexer_size_542, MFLAG_DEF);
  reader542->definitionModule = modulename;
  reader542->definitionLine = 240;
  }
  adddatum2(obj538, alloc_Undefined(), 3);
  sourceObject = obj538;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe543 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe544 = gc_frame_new();
// call case 3: self.outer request
  Object call545 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe544);
// compiled member node returning call545 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call546 = callmethodflags(call545, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe543);
// compiled call node returning call546 (depth = 2)
  struct UserObject *obj538_uo = (struct UserObject *)obj538;
  obj538_uo->super = call546;
  sourceObject = obj538;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit547 == NULL) {
    strlit547 = alloc_String("lgeneric");
    gc_root(strlit547);
  }
// compiled string node returning strlit547 (depth = 2)
  adddatum2(obj538, strlit547, 1);
  sourceObject = obj538;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit548 == NULL) {
    strlit548 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit548);
  }
// compiled string node returning strlit548 (depth = 2)
  adddatum2(obj538, strlit548, 2);
  sourceObject = obj538;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num549 = alloc_Float64(1);
// compiled num node returning num549 (depth = 2)
  adddatum2(obj538, num549, 3);
  objclass538 = obj538->class;
  objclass538->definitionModule = modulename;
  objclass538->definitionLine = 236;
  (*(struct UserObject *)self).data[0] = lowerouter538;
  self = oldself538;
  selfslot = oldselfslot538;
  stackframe = oldstackframe538;
  gc_frame_end(frame);
  return obj538;
}
Object meth_lexer_551_rGenericToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject552 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj552 = alloc_userobj2(3,4, objclass552);
  gc_frame_newslot(obj552);
  if (objclass552 == NULL) {
    glfree(obj552->class->name);
    obj552->class->name = "new.rGenericToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj552, self, 0);
  addmethodreal(obj552,"outer", &reader_lexer_outer_553);
  Object oldself552 = self;
  struct StackFrameObject *oldstackframe552 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe552);
  gc_frame_newslot((Object)stackframe);
  self = obj552;
  Object *oldselfslot552 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter552 = (*(struct UserObject *)self).data[0], lowerouter552 = thisouter552;
  if (inheritingObject552) {
    struct UserObject *inho552 = (struct UserObject *)inheritingObject552;
    while (inho552->super != GraceDefaultObject) inho552 = (struct UserObject *)inho552->super;
    inho552->super = obj552;
    self = inheritingObject552;
    *selfslot = self;
    lowerouter552 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter552;
  }
  if (objclass552 == NULL) {
  Method *reader554 = addmethodrealflags(obj552, "kind",&reader_lexer_kind_554, MFLAG_DEF);
  reader554->definitionModule = modulename;
  reader554->definitionLine = 244;
  }
  adddatum2(obj552, alloc_Undefined(), 1);
  if (objclass552 == NULL) {
  Method *reader555 = addmethodrealflags(obj552, "value",&reader_lexer_value_555, MFLAG_DEF);
  reader555->definitionModule = modulename;
  reader555->definitionLine = 245;
  }
  adddatum2(obj552, alloc_Undefined(), 2);
  if (objclass552 == NULL) {
  Method *reader556 = addmethodrealflags(obj552, "size",&reader_lexer_size_556, MFLAG_DEF);
  reader556->definitionModule = modulename;
  reader556->definitionLine = 246;
  }
  adddatum2(obj552, alloc_Undefined(), 3);
  sourceObject = obj552;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe557 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe558 = gc_frame_new();
// call case 3: self.outer request
  Object call559 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe558);
// compiled member node returning call559 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call560 = callmethodflags(call559, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe557);
// compiled call node returning call560 (depth = 2)
  struct UserObject *obj552_uo = (struct UserObject *)obj552;
  obj552_uo->super = call560;
  sourceObject = obj552;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit561 == NULL) {
    strlit561 = alloc_String("rgeneric");
    gc_root(strlit561);
  }
// compiled string node returning strlit561 (depth = 2)
  adddatum2(obj552, strlit561, 1);
  sourceObject = obj552;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit562 == NULL) {
    strlit562 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit562);
  }
// compiled string node returning strlit562 (depth = 2)
  adddatum2(obj552, strlit562, 2);
  sourceObject = obj552;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num563 = alloc_Float64(1);
// compiled num node returning num563 (depth = 2)
  adddatum2(obj552, num563, 3);
  objclass552 = obj552->class;
  objclass552->definitionModule = modulename;
  objclass552->definitionLine = 242;
  (*(struct UserObject *)self).data[0] = lowerouter552;
  self = oldself552;
  selfslot = oldselfslot552;
  stackframe = oldstackframe552;
  gc_frame_end(frame);
  return obj552;
}
Object meth_lexer_551_rGenericToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject552 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj552 = alloc_userobj2(3,4, objclass552);
  gc_frame_newslot(obj552);
  if (objclass552 == NULL) {
    glfree(obj552->class->name);
    obj552->class->name = "new.rGenericToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj552, self, 0);
  addmethodreal(obj552,"outer", &reader_lexer_outer_553);
  Object oldself552 = self;
  struct StackFrameObject *oldstackframe552 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe552);
  gc_frame_newslot((Object)stackframe);
  self = obj552;
  Object *oldselfslot552 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter552 = (*(struct UserObject *)self).data[0], lowerouter552 = thisouter552;
  if (inheritingObject552) {
    struct UserObject *inho552 = (struct UserObject *)inheritingObject552;
    while (inho552->super != GraceDefaultObject) inho552 = (struct UserObject *)inho552->super;
    inho552->super = obj552;
    self = inheritingObject552;
    *selfslot = self;
    lowerouter552 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter552;
  }
  if (objclass552 == NULL) {
  Method *reader554 = addmethodrealflags(obj552, "kind",&reader_lexer_kind_554, MFLAG_DEF);
  reader554->definitionModule = modulename;
  reader554->definitionLine = 244;
  }
  adddatum2(obj552, alloc_Undefined(), 1);
  if (objclass552 == NULL) {
  Method *reader555 = addmethodrealflags(obj552, "value",&reader_lexer_value_555, MFLAG_DEF);
  reader555->definitionModule = modulename;
  reader555->definitionLine = 245;
  }
  adddatum2(obj552, alloc_Undefined(), 2);
  if (objclass552 == NULL) {
  Method *reader556 = addmethodrealflags(obj552, "size",&reader_lexer_size_556, MFLAG_DEF);
  reader556->definitionModule = modulename;
  reader556->definitionLine = 246;
  }
  adddatum2(obj552, alloc_Undefined(), 3);
  sourceObject = obj552;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe557 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe558 = gc_frame_new();
// call case 3: self.outer request
  Object call559 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe558);
// compiled member node returning call559 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call560 = callmethodflags(call559, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe557);
// compiled call node returning call560 (depth = 2)
  struct UserObject *obj552_uo = (struct UserObject *)obj552;
  obj552_uo->super = call560;
  sourceObject = obj552;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit561 == NULL) {
    strlit561 = alloc_String("rgeneric");
    gc_root(strlit561);
  }
// compiled string node returning strlit561 (depth = 2)
  adddatum2(obj552, strlit561, 1);
  sourceObject = obj552;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit562 == NULL) {
    strlit562 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit562);
  }
// compiled string node returning strlit562 (depth = 2)
  adddatum2(obj552, strlit562, 2);
  sourceObject = obj552;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num563 = alloc_Float64(1);
// compiled num node returning num563 (depth = 2)
  adddatum2(obj552, num563, 3);
  objclass552 = obj552->class;
  objclass552->definitionModule = modulename;
  objclass552->definitionLine = 242;
  (*(struct UserObject *)self).data[0] = lowerouter552;
  self = oldself552;
  selfslot = oldselfslot552;
  stackframe = oldstackframe552;
  gc_frame_end(frame);
  return obj552;
}
Object meth_lexer_565_eofToken(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject566 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj566 = alloc_userobj2(3,4, objclass566);
  gc_frame_newslot(obj566);
  if (objclass566 == NULL) {
    glfree(obj566->class->name);
    obj566->class->name = "new.eofToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj566, self, 0);
  addmethodreal(obj566,"outer", &reader_lexer_outer_567);
  Object oldself566 = self;
  struct StackFrameObject *oldstackframe566 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe566);
  gc_frame_newslot((Object)stackframe);
  self = obj566;
  Object *oldselfslot566 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter566 = (*(struct UserObject *)self).data[0], lowerouter566 = thisouter566;
  if (inheritingObject566) {
    struct UserObject *inho566 = (struct UserObject *)inheritingObject566;
    while (inho566->super != GraceDefaultObject) inho566 = (struct UserObject *)inho566->super;
    inho566->super = obj566;
    self = inheritingObject566;
    *selfslot = self;
    lowerouter566 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter566;
  }
  if (objclass566 == NULL) {
  Method *reader568 = addmethodrealflags(obj566, "kind",&reader_lexer_kind_568, MFLAG_DEF);
  reader568->definitionModule = modulename;
  reader568->definitionLine = 250;
  }
  adddatum2(obj566, alloc_Undefined(), 1);
  if (objclass566 == NULL) {
  Method *reader569 = addmethodrealflags(obj566, "value",&reader_lexer_value_569, MFLAG_DEF);
  reader569->definitionModule = modulename;
  reader569->definitionLine = 251;
  }
  adddatum2(obj566, alloc_Undefined(), 2);
  if (objclass566 == NULL) {
  Method *reader570 = addmethodrealflags(obj566, "size",&reader_lexer_size_570, MFLAG_DEF);
  reader570->definitionModule = modulename;
  reader570->definitionLine = 252;
  }
  adddatum2(obj566, alloc_Undefined(), 3);
  sourceObject = obj566;
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe571 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe572 = gc_frame_new();
// call case 3: self.outer request
  Object call573 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe572);
// compiled member node returning call573 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call574 = callmethodflags(call573, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe571);
// compiled call node returning call574 (depth = 2)
  struct UserObject *obj566_uo = (struct UserObject *)obj566;
  obj566_uo->super = call574;
  sourceObject = obj566;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit575 == NULL) {
    strlit575 = alloc_String("eof");
    gc_root(strlit575);
  }
// compiled string node returning strlit575 (depth = 2)
  adddatum2(obj566, strlit575, 1);
  sourceObject = obj566;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit576 == NULL) {
    strlit576 = alloc_String("");
    gc_root(strlit576);
  }
// compiled string node returning strlit576 (depth = 2)
  adddatum2(obj566, strlit576, 2);
  sourceObject = obj566;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num577 = alloc_Float64(0);
// compiled num node returning num577 (depth = 2)
  adddatum2(obj566, num577, 3);
  objclass566 = obj566->class;
  objclass566->definitionModule = modulename;
  objclass566->definitionLine = 248;
  (*(struct UserObject *)self).data[0] = lowerouter566;
  self = oldself566;
  selfslot = oldselfslot566;
  stackframe = oldstackframe566;
  gc_frame_end(frame);
  return obj566;
}
Object meth_lexer_565_eofToken_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject566 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj566 = alloc_userobj2(3,4, objclass566);
  gc_frame_newslot(obj566);
  if (objclass566 == NULL) {
    glfree(obj566->class->name);
    obj566->class->name = "new.eofToken";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj566, self, 0);
  addmethodreal(obj566,"outer", &reader_lexer_outer_567);
  Object oldself566 = self;
  struct StackFrameObject *oldstackframe566 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe566);
  gc_frame_newslot((Object)stackframe);
  self = obj566;
  Object *oldselfslot566 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter566 = (*(struct UserObject *)self).data[0], lowerouter566 = thisouter566;
  if (inheritingObject566) {
    struct UserObject *inho566 = (struct UserObject *)inheritingObject566;
    while (inho566->super != GraceDefaultObject) inho566 = (struct UserObject *)inho566->super;
    inho566->super = obj566;
    self = inheritingObject566;
    *selfslot = self;
    lowerouter566 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter566;
  }
  if (objclass566 == NULL) {
  Method *reader568 = addmethodrealflags(obj566, "kind",&reader_lexer_kind_568, MFLAG_DEF);
  reader568->definitionModule = modulename;
  reader568->definitionLine = 250;
  }
  adddatum2(obj566, alloc_Undefined(), 1);
  if (objclass566 == NULL) {
  Method *reader569 = addmethodrealflags(obj566, "value",&reader_lexer_value_569, MFLAG_DEF);
  reader569->definitionModule = modulename;
  reader569->definitionLine = 251;
  }
  adddatum2(obj566, alloc_Undefined(), 2);
  if (objclass566 == NULL) {
  Method *reader570 = addmethodrealflags(obj566, "size",&reader_lexer_size_570, MFLAG_DEF);
  reader570->definitionModule = modulename;
  reader570->definitionLine = 252;
  }
  adddatum2(obj566, alloc_Undefined(), 3);
  sourceObject = obj566;
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe571 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe572 = gc_frame_new();
// call case 3: self.outer request
  Object call573 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe572);
// compiled member node returning call573 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call574 = callmethodflags(call573, "token$object(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe571);
// compiled call node returning call574 (depth = 2)
  struct UserObject *obj566_uo = (struct UserObject *)obj566;
  obj566_uo->super = call574;
  sourceObject = obj566;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit575 == NULL) {
    strlit575 = alloc_String("eof");
    gc_root(strlit575);
  }
// compiled string node returning strlit575 (depth = 2)
  adddatum2(obj566, strlit575, 1);
  sourceObject = obj566;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit576 == NULL) {
    strlit576 = alloc_String("");
    gc_root(strlit576);
  }
// compiled string node returning strlit576 (depth = 2)
  adddatum2(obj566, strlit576, 2);
  sourceObject = obj566;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num577 = alloc_Float64(0);
// compiled num node returning num577 (depth = 2)
  adddatum2(obj566, num577, 3);
  objclass566 = obj566->class;
  objclass566->definitionModule = modulename;
  objclass566->definitionLine = 248;
  (*(struct UserObject *)self).data[0] = lowerouter566;
  self = oldself566;
  selfslot = oldselfslot566;
  stackframe = oldstackframe566;
  gc_frame_end(frame);
  return obj566;
}
Object meth_lexer_586_advanceTo_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "advanceTo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method advanceTo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for advanceTo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part advanceTo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe587 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_newslot(*var_s);
// call case 4: self request
  params[0] = *var_s;
  partcv[0] = 1;
  Object call588 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe587);
// compiled call node returning call588 (depth = 2)
  gc_frame_end(frame);
  return call588;
}
Object meth_lexer_589_emit_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "emit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method emit(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for emit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part emit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe590 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe591 = gc_frame_new();
// call case 4: self request
  Object call592 = callmethodflags(self, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe591);
// compiled member node returning call592 (depth = 3)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call593 = callmethodflags(call592, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe590);
// compiled call node returning call593 (depth = 2)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe594 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit595 == NULL) {
    strlit595 = alloc_String("");
    gc_root(strlit595);
  }
// compiled string node returning strlit595 (depth = 3)
  gc_frame_newslot(strlit595);
// call case 4: self request
  params[0] = strlit595;
  partcv[0] = 1;
  Object call596 = callmethodflags(self, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe594);
// compiled call node returning call596 (depth = 2)
  gc_frame_end(frame);
  return call596;
}
Object meth_lexer_597_store_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "store(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method store(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for store(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part store(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe598 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_right_599 = gc_frame_newslot(*var_c);
// starting to compile member node (depth = 4)
  int callframe601 = gc_frame_new();
// call case 4: self request
  Object call602 = callmethodflags(self, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe601);
// compiled member node returning call602 (depth = 4)
  int op_slot_left_599 = gc_frame_newslot(call602);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult603 = callmethod(call602, "++(1)", 1, partcv, params);
// compiled op node returning opresult603 (depth = 3)
  gc_frame_newslot(opresult603);
// call case 4: self request
  params[0] = opresult603;
  partcv[0] = 1;
  Object call604 = callmethodflags(self, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe598);
// compiled call node returning call604 (depth = 2)
  gc_frame_end(frame);
  return call604;
}
Object meth_lexer_648__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit650 == NULL) {
    strlit650 = alloc_String("{");
    gc_root(strlit650);
  }
// compiled string node returning strlit650 (depth = 6)
  int op_slot_right_649 = gc_frame_newslot(strlit650);
// starting to compile call node (depth = 6)
  int callframe652 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe653 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe654 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  Object call655 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe654);
// compiled member node returning call655 (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call656 = callmethodflags(call655, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe653);
// compiled call node returning call656 (depth = 7)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call657 = callmethodflags(call656, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe652);
// compiled call node returning call657 (depth = 6)
  int op_slot_left_649 = gc_frame_newslot(call657);
  params[0] = strlit650;
  partcv[0] = 1;
  Object opresult658 = callmethod(call657, "≠(1)", 1, partcv, params);
// compiled op node returning opresult658 (depth = 5)
  gc_frame_end(frame);
  return opresult658;
}
Object meth_lexer_661__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num663 = alloc_Float64(1);
// compiled num node returning num663 (depth = 7)
  int op_slot_right_662 = gc_frame_newslot(num663);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_662 = gc_frame_newslot(*var_i);
  params[0] = num663;
  partcv[0] = 1;
  Object diff665 = callmethod(*var_i, "-(1)", 1, partcv, params);
// compiled op node returning diff665 (depth = 6)
  *var_i = diff665;
  if (diff665 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num669 = alloc_Float64(0);
// compiled num node returning num669 (depth = 7)
  int op_slot_right_668 = gc_frame_newslot(num669);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_668 = gc_frame_newslot(*var_i);
  params[0] = num669;
  partcv[0] = 1;
  Object opresult671 = callmethod(*var_i, "==(1)", 1, partcv, params);
// compiled op node returning opresult671 (depth = 6)
  Object if667 = done;
  if (istrue(opresult671)) {
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe672 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num674 = alloc_Float64(1);
// compiled num node returning num674 (depth = 8)
  int op_slot_right_673 = gc_frame_newslot(num674);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  int op_slot_left_673 = gc_frame_newslot(*var_line);
  params[0] = num674;
  partcv[0] = 1;
  Object diff676 = callmethod(*var_line, "-(1)", 1, partcv, params);
// compiled op node returning diff676 (depth = 7)
  gc_frame_newslot(diff676);
// call case 4: self request
  params[0] = diff676;
  partcv[0] = 1;
  Object call677 = callmethodflags(self, "lineNumber:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe672);
// compiled call node returning call677 (depth = 6)
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe678 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe679 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe680 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  Object call681 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe680);
// compiled member node returning call681 (depth = 9)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call682 = callmethodflags(call681, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe679);
// compiled call node returning call682 (depth = 8)
  Object call683 = callmethodflags(call682, "size", 0, partcv, params, 0);
  gc_frame_end(callframe678);
// compiled member node returning call683 (depth = 7)
  *var_i = call683;
  if (call683 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if667 = done;
  } else {
  }
// compiled if node returning if667 (depth = 5)
  gc_frame_end(frame);
  return if667;
}
Object meth_lexer_796__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe798 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextLine (depth = 7)
  Object call799 = callmethodflags(*var_nextLine, "size", 0, partcv, params, 0);
  gc_frame_end(callframe798);
// compiled member node returning call799 (depth = 6)
  int op_slot_right_797 = gc_frame_newslot(call799);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_797 = gc_frame_newslot(*var_i);
  params[0] = call799;
  partcv[0] = 1;
  Object opresult801 = callmethod(*var_i, "≤(1)", 1, partcv, params);
// compiled op node returning opresult801 (depth = 5)
  gc_frame_end(frame);
  return opresult801;
}
Object meth_lexer_804__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_nextLine = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit807 == NULL) {
    strlit807 = alloc_String("""\x22""");
    gc_root(strlit807);
  }
// compiled string node returning strlit807 (depth = 7)
  int op_slot_right_806 = gc_frame_newslot(strlit807);
// starting to compile call node (depth = 7)
  int callframe809 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextLine (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call810 = callmethodflags(*var_nextLine, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe809);
// compiled call node returning call810 (depth = 7)
  int op_slot_left_806 = gc_frame_newslot(call810);
  params[0] = strlit807;
  partcv[0] = 1;
  Object opresult811 = callmethod(call810, "==(1)", 1, partcv, params);
// compiled op node returning opresult811 (depth = 6)
  Object if805 = done;
  if (istrue(opresult811)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num813 = alloc_Float64(1);
// compiled num node returning num813 (depth = 8)
  int op_slot_right_812 = gc_frame_newslot(num813);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_count (depth = 8)
  int op_slot_left_812 = gc_frame_newslot(*var_count);
  params[0] = num813;
  partcv[0] = 1;
  Object sum815 = callmethod(*var_count, "+(1)", 1, partcv, params);
// compiled op node returning sum815 (depth = 7)
  *var_count = sum815;
  if (sum815 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if805 = done;
  } else {
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit819 == NULL) {
    strlit819 = alloc_String("\\");
    gc_root(strlit819);
  }
// compiled string node returning strlit819 (depth = 8)
  int op_slot_right_818 = gc_frame_newslot(strlit819);
// starting to compile call node (depth = 8)
  int callframe821 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextLine (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call822 = callmethodflags(*var_nextLine, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe821);
// compiled call node returning call822 (depth = 8)
  int op_slot_left_818 = gc_frame_newslot(call822);
  params[0] = strlit819;
  partcv[0] = 1;
  Object opresult823 = callmethod(call822, "==(1)", 1, partcv, params);
// compiled op node returning opresult823 (depth = 7)
  Object if817 = done;
  if (istrue(opresult823)) {
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num825 = alloc_Float64(1);
// compiled num node returning num825 (depth = 9)
  int op_slot_right_824 = gc_frame_newslot(num825);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_left_824 = gc_frame_newslot(*var_i);
  params[0] = num825;
  partcv[0] = 1;
  Object sum827 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum827 (depth = 8)
  *var_i = sum827;
  if (sum827 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if817 = done;
  } else {
  }
// compiled if node returning if817 (depth = 6)
    gc_frame_newslot(if817);
    if805 = if817;
  }
// compiled if node returning if805 (depth = 5)
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num830 = alloc_Float64(1);
// compiled num node returning num830 (depth = 7)
  int op_slot_right_829 = gc_frame_newslot(num830);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_829 = gc_frame_newslot(*var_i);
  params[0] = num830;
  partcv[0] = 1;
  Object sum832 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum832 (depth = 6)
  *var_i = sum832;
  if (sum832 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_630_newLineError(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 67, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newLineError");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
// definebindings:
// definebindings:
// definebindings:
  Object *var_errorLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "errorLine");
  Object *var_nextLine = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextLine");
  Object *var_count = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "count");
// definebindings:
// definebindings:
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num633 = alloc_Float64(0);
// compiled num node returning num633 (depth = 4)
  int op_slot_right_632 = gc_frame_newslot(num633);
// starting to compile member node (depth = 4)
  int callframe635 = gc_frame_new();
// call case 4: self request
  Object call636 = callmethodflags(self, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe635);
// compiled member node returning call636 (depth = 4)
  int op_slot_left_632 = gc_frame_newslot(call636);
  params[0] = num633;
  partcv[0] = 1;
  Object opresult637 = callmethod(call636, ">(1)", 1, partcv, params);
// compiled op node returning opresult637 (depth = 3)
  Object if631 = done;
  if (istrue(opresult637)) {
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe638 = gc_frame_new();
// call case 4: self request
  Object call639 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe638);
// compiled member node returning call639 (depth = 4)
  *var_line = call639;
  if (call639 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe640 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe641 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe642 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call643 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe642);
// compiled member node returning call643 (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call644 = callmethodflags(call643, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe641);
// compiled call node returning call644 (depth = 5)
  Object call645 = callmethodflags(call644, "size", 0, partcv, params, 0);
  gc_frame_end(callframe640);
// compiled member node returning call645 (depth = 4)
  *var_i = call645;
  if (call645 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe646 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block647 = alloc_Block(NULL, NULL, "lexer", 811);
  gc_frame_newslot(block647);
// method "_apply"
  block_savedest(block647);
  Object closure648 = createclosure(4, "_apply");
  setclosureframe(closure648, stackframe);
  addtoclosure(closure648, var_i);
  addtoclosure(closure648, var_line);
  addtoclosure(closure648, var_util);
  addtoclosure(closure648, selfslot);
  struct UserObject *uo648 = (struct UserObject*)block647;
  uo648->data[0] = (Object)closure648;
  Method *meth_meth_lexer_648__apply = addmethod2pos(block647, "_apply", &meth_lexer_648__apply, 0);
  int argcv_meth_lexer_648__apply[] = {0};
  meth_meth_lexer_648__apply->type = alloc_MethodType(1, argcv_meth_lexer_648__apply);
  meth_meth_lexer_648__apply->definitionModule = modulename;
  meth_meth_lexer_648__apply->definitionLine = 1204;
// compiled block node returning block647 (depth = 4)
  gc_frame_newslot(block647);
// starting to compile block node (depth = 4)
  Object block660 = alloc_Block(NULL, NULL, "lexer", 811);
  gc_frame_newslot(block660);
// method "_apply"
  block_savedest(block660);
  Object closure661 = createclosure(4, "_apply");
  setclosureframe(closure661, stackframe);
  addtoclosure(closure661, var_i);
  addtoclosure(closure661, var_line);
  addtoclosure(closure661, var_util);
  addtoclosure(closure661, selfslot);
  struct UserObject *uo661 = (struct UserObject*)block660;
  uo661->data[0] = (Object)closure661;
  Method *meth_meth_lexer_661__apply = addmethod2pos(block660, "_apply", &meth_lexer_661__apply, 0);
  int argcv_meth_lexer_661__apply[] = {0};
  meth_meth_lexer_661__apply->type = alloc_MethodType(1, argcv_meth_lexer_661__apply);
  meth_meth_lexer_661__apply->definitionModule = modulename;
  meth_meth_lexer_661__apply->definitionLine = 1204;
// compiled block node returning block660 (depth = 4)
  gc_frame_newslot(block660);
// call case 5: prelude request
  params[0] = block647;
  params[1] = block660;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call686 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe646);
// compiled call node returning call686 (depth = 3)
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array687 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array687 (depth = 4)
  *var_suggestions = array687;
  if (array687 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe688 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe689 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call690 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe689);
// compiled member node returning call690 (depth = 5)
  Object call691 = callmethodflags(call690, "new", 0, partcv, params, 0);
  gc_frame_end(callframe688);
// compiled member node returning call691 (depth = 4)
  *var_suggestion = call691;
  if (call691 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe692 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit693 == NULL) {
    strlit693 = alloc_String("\\");
    gc_root(strlit693);
  }
// compiled string node returning strlit693 (depth = 4)
  gc_frame_newslot(strlit693);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_i (depth = 4)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit693;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call694 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe692);
// compiled call node returning call694 (depth = 3)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe695 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call696 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe695);
// compiled call node returning call696 (depth = 3)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num701 = alloc_Float64(2);
// compiled num node returning num701 (depth = 7)
  int op_slot_right_700 = gc_frame_newslot(num701);
// starting to compile member node (depth = 7)
  int callframe703 = gc_frame_new();
// call case 4: self request
  Object call704 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe703);
// compiled member node returning call704 (depth = 7)
  int op_slot_left_700 = gc_frame_newslot(call704);
  params[0] = num701;
  partcv[0] = 1;
  Object diff705 = callmethod(call704, "-(1)", 1, partcv, params);
// compiled op node returning diff705 (depth = 6)
  int op_slot_right_699 = gc_frame_newslot(diff705);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_699 = gc_frame_newslot(*var_i);
  params[0] = diff705;
  partcv[0] = 1;
  Object opresult707 = callmethod(*var_i, "==(1)", 1, partcv, params);
// compiled op node returning opresult707 (depth = 5)
  int op_slot_right_698 = gc_frame_newslot(opresult707);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe710 = gc_frame_new();
// call case 4: self request
  Object call711 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe710);
// compiled member node returning call711 (depth = 6)
  int op_slot_right_709 = gc_frame_newslot(call711);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  int op_slot_left_709 = gc_frame_newslot(*var_line);
  params[0] = call711;
  partcv[0] = 1;
  Object opresult713 = callmethod(*var_line, "==(1)", 1, partcv, params);
// compiled op node returning opresult713 (depth = 5)
  int op_slot_left_698 = gc_frame_newslot(opresult713);
  params[0] = opresult707;
  partcv[0] = 1;
  Object opresult714 = callmethod(opresult713, "&&(1)", 1, partcv, params);
// compiled op node returning opresult714 (depth = 4)
  Object if697 = done;
  if (istrue(opresult714)) {
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe715 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit716 == NULL) {
    strlit716 = alloc_String("for a '{' character in a string use '\\{'.");
    gc_root(strlit716);
  }
// compiled string node returning strlit716 (depth = 5)
  gc_frame_newslot(strlit716);
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_line (depth = 5)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit716;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call717 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe715);
// compiled call node returning call717 (depth = 4)
    gc_frame_newslot(call717);
    if697 = call717;
  } else {
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe718 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe719 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call720 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe719);
// compiled member node returning call720 (depth = 6)
  Object call721 = callmethodflags(call720, "new", 0, partcv, params, 0);
  gc_frame_end(callframe718);
// compiled member node returning call721 (depth = 5)
  *var_suggestion = call721;
  if (call721 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe723 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit724 == NULL) {
    strlit724 = alloc_String("}");
    gc_root(strlit724);
  }
// compiled string node returning strlit724 (depth = 5)
  gc_frame_newslot(strlit724);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num726 = alloc_Float64(1);
// compiled num node returning num726 (depth = 6)
  int op_slot_right_725 = gc_frame_newslot(num726);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe729 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe730 = gc_frame_new();
// call case 4: self request
  Object call731 = callmethodflags(self, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe730);
// compiled member node returning call731 (depth = 8)
  Object call732 = callmethodflags(call731, "size", 0, partcv, params, 0);
  gc_frame_end(callframe729);
// compiled member node returning call732 (depth = 7)
  int op_slot_right_728 = gc_frame_newslot(call732);
// starting to compile member node (depth = 7)
  int callframe734 = gc_frame_new();
// call case 4: self request
  Object call735 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe734);
// compiled member node returning call735 (depth = 7)
  int op_slot_left_728 = gc_frame_newslot(call735);
  params[0] = call732;
  partcv[0] = 1;
  Object diff736 = callmethod(call735, "-(1)", 1, partcv, params);
// compiled op node returning diff736 (depth = 6)
  int op_slot_left_725 = gc_frame_newslot(diff736);
  params[0] = num726;
  partcv[0] = 1;
  Object diff737 = callmethod(diff736, "-(1)", 1, partcv, params);
// compiled op node returning diff737 (depth = 5)
  gc_frame_newslot(diff737);
// starting to compile member node (depth = 5)
  int callframe738 = gc_frame_new();
// call case 4: self request
  Object call739 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe738);
// compiled member node returning call739 (depth = 5)
  gc_frame_newslot(call739);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit724;
  params[1] = diff737;
  params[2] = call739;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call740 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe723);
// compiled call node returning call740 (depth = 4)
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe741 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call742 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe741);
// compiled call node returning call742 (depth = 4)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe743 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit744 == NULL) {
    strlit744 = alloc_String("a string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit744);
  }
// compiled string node returning strlit744 (depth = 5)
  gc_frame_newslot(strlit744);
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe745 = gc_frame_new();
// call case 4: self request
  Object call746 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe745);
// compiled member node returning call746 (depth = 5)
  gc_frame_newslot(call746);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num748 = alloc_Float64(1);
// compiled num node returning num748 (depth = 6)
  int op_slot_right_747 = gc_frame_newslot(num748);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe751 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe752 = gc_frame_new();
// call case 4: self request
  Object call753 = callmethodflags(self, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe752);
// compiled member node returning call753 (depth = 8)
  Object call754 = callmethodflags(call753, "size", 0, partcv, params, 0);
  gc_frame_end(callframe751);
// compiled member node returning call754 (depth = 7)
  int op_slot_right_750 = gc_frame_newslot(call754);
// starting to compile member node (depth = 7)
  int callframe756 = gc_frame_new();
// call case 4: self request
  Object call757 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe756);
// compiled member node returning call757 (depth = 7)
  int op_slot_left_750 = gc_frame_newslot(call757);
  params[0] = call754;
  partcv[0] = 1;
  Object diff758 = callmethod(call757, "-(1)", 1, partcv, params);
// compiled op node returning diff758 (depth = 6)
  int op_slot_left_747 = gc_frame_newslot(diff758);
  params[0] = num748;
  partcv[0] = 1;
  Object diff759 = callmethod(diff758, "-(1)", 1, partcv, params);
// compiled op node returning diff759 (depth = 5)
  gc_frame_newslot(diff759);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit744;
  params[1] = call746;
  params[2] = diff759;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call760 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe743);
// compiled call node returning call760 (depth = 4)
    gc_frame_newslot(call760);
    if697 = call760;
  }
// compiled if node returning if697 (depth = 3)
    gc_frame_newslot(if697);
    if631 = if697;
  } else {
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe761 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe762 = gc_frame_new();
// call case 4: self request
  Object call763 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe762);
// compiled member node returning call763 (depth = 5)
  gc_frame_newslot(call763);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe764 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call765 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe764);
// compiled member node returning call765 (depth = 5)
  params[0] = call763;
  partcv[0] = 1;
  Object call766 = callmethodflags(call765, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe761);
// compiled call node returning call766 (depth = 4)
  *var_errorLine = call766;
  if (call766 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num770 = alloc_Float64(1);
// compiled num node returning num770 (depth = 7)
  int op_slot_right_769 = gc_frame_newslot(num770);
// starting to compile member node (depth = 7)
  int callframe772 = gc_frame_new();
// call case 4: self request
  Object call773 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe772);
// compiled member node returning call773 (depth = 7)
  int op_slot_left_769 = gc_frame_newslot(call773);
  params[0] = num770;
  partcv[0] = 1;
  Object sum774 = callmethod(call773, "+(1)", 1, partcv, params);
// compiled op node returning sum774 (depth = 6)
  int op_slot_right_768 = gc_frame_newslot(sum774);
// starting to compile member node (depth = 6)
  int callframe776 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe777 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call778 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe777);
// compiled member node returning call778 (depth = 7)
  Object call779 = callmethodflags(call778, "size", 0, partcv, params, 0);
  gc_frame_end(callframe776);
// compiled member node returning call779 (depth = 6)
  int op_slot_left_768 = gc_frame_newslot(call779);
  params[0] = sum774;
  partcv[0] = 1;
  Object opresult780 = callmethod(call779, "≥(1)", 1, partcv, params);
// compiled op node returning opresult780 (depth = 5)
  Object if767 = done;
struct StackFrameObject *iftmpstackframe767 = stackframe;
  if (istrue(opresult780)) {
stackframe = alloc_StackFrame(0, iftmpstackframe767);
gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe781 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num783 = alloc_Float64(1);
// compiled num node returning num783 (depth = 7)
  int op_slot_right_782 = gc_frame_newslot(num783);
// starting to compile member node (depth = 7)
  int callframe785 = gc_frame_new();
// call case 4: self request
  Object call786 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe785);
// compiled member node returning call786 (depth = 7)
  int op_slot_left_782 = gc_frame_newslot(call786);
  params[0] = num783;
  partcv[0] = 1;
  Object sum787 = callmethod(call786, "+(1)", 1, partcv, params);
// compiled op node returning sum787 (depth = 6)
  gc_frame_newslot(sum787);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe788 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call789 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe788);
// compiled member node returning call789 (depth = 6)
  params[0] = sum787;
  partcv[0] = 1;
  Object call790 = callmethodflags(call789, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe781);
// compiled call node returning call790 (depth = 5)
    gc_frame_newslot(call790);
    if767 = call790;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe767);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit791 == NULL) {
    strlit791 = alloc_String("");
    gc_root(strlit791);
  }
// compiled string node returning strlit791 (depth = 5)
    gc_frame_newslot(strlit791);
    if767 = strlit791;
  }
stackframe = iftmpstackframe767;
// compiled if node returning if767 (depth = 4)
  *var_nextLine = if767;
  if (if767 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num792 = alloc_Float64(1);
// compiled num node returning num792 (depth = 4)
  *var_i = num792;
  if (num792 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num793 = alloc_Float64(0);
// compiled num node returning num793 (depth = 4)
  *var_count = num793;
  if (num793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe794 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block795 = alloc_Block(NULL, NULL, "lexer", 842);
  gc_frame_newslot(block795);
// method "_apply"
  block_savedest(block795);
  Object closure796 = createclosure(3, "_apply");
  setclosureframe(closure796, stackframe);
  addtoclosure(closure796, var_nextLine);
  addtoclosure(closure796, var_i);
  addtoclosure(closure796, selfslot);
  struct UserObject *uo796 = (struct UserObject*)block795;
  uo796->data[0] = (Object)closure796;
  Method *meth_meth_lexer_796__apply = addmethod2pos(block795, "_apply", &meth_lexer_796__apply, 0);
  int argcv_meth_lexer_796__apply[] = {0};
  meth_meth_lexer_796__apply->type = alloc_MethodType(1, argcv_meth_lexer_796__apply);
  meth_meth_lexer_796__apply->definitionModule = modulename;
  meth_meth_lexer_796__apply->definitionLine = 1204;
// compiled block node returning block795 (depth = 4)
  gc_frame_newslot(block795);
// starting to compile block node (depth = 4)
  Object block803 = alloc_Block(NULL, NULL, "lexer", 842);
  gc_frame_newslot(block803);
// method "_apply"
  block_savedest(block803);
  Object closure804 = createclosure(4, "_apply");
  setclosureframe(closure804, stackframe);
  addtoclosure(closure804, var_i);
  addtoclosure(closure804, var_nextLine);
  addtoclosure(closure804, var_count);
  addtoclosure(closure804, selfslot);
  struct UserObject *uo804 = (struct UserObject*)block803;
  uo804->data[0] = (Object)closure804;
  Method *meth_meth_lexer_804__apply = addmethod2pos(block803, "_apply", &meth_lexer_804__apply, 0);
  int argcv_meth_lexer_804__apply[] = {0};
  meth_meth_lexer_804__apply->type = alloc_MethodType(1, argcv_meth_lexer_804__apply);
  meth_meth_lexer_804__apply->definitionModule = modulename;
  meth_meth_lexer_804__apply->definitionLine = 1204;
// compiled block node returning block803 (depth = 4)
  gc_frame_newslot(block803);
// call case 5: prelude request
  params[0] = block795;
  params[1] = block803;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call835 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe794);
// compiled call node returning call835 (depth = 3)
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num838 = alloc_Float64(1);
// compiled num node returning num838 (depth = 5)
  int op_slot_right_837 = gc_frame_newslot(num838);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num841 = alloc_Float64(2);
// compiled num node returning num841 (depth = 6)
  int op_slot_right_840 = gc_frame_newslot(num841);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_count (depth = 6)
  int op_slot_left_840 = gc_frame_newslot(*var_count);
  params[0] = num841;
  partcv[0] = 1;
  Object modulus843 = callmethod(*var_count, "%(1)", 1, partcv, params);
// compiled op node returning modulus843 (depth = 5)
  int op_slot_left_837 = gc_frame_newslot(modulus843);
  params[0] = num838;
  partcv[0] = 1;
  Object opresult844 = callmethod(modulus843, "==(1)", 1, partcv, params);
// compiled op node returning opresult844 (depth = 4)
  Object if836 = done;
  if (istrue(opresult844)) {
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array845 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array845 (depth = 5)
  *var_suggestions = array845;
  if (array845 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe846 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe847 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call848 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe847);
// compiled member node returning call848 (depth = 6)
  Object call849 = callmethodflags(call848, "new", 0, partcv, params, 0);
  gc_frame_end(callframe846);
// compiled member node returning call849 (depth = 5)
  *var_suggestion = call849;
  if (call849 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe850 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe851 = gc_frame_new();
// call case 4: self request
  Object call852 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe851);
// compiled member node returning call852 (depth = 5)
  gc_frame_newslot(call852);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextLine (depth = 6)
  int op_slot_right_853 = gc_frame_newslot(*var_nextLine);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errorLine (depth = 6)
  int op_slot_left_853 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult855 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult855 (depth = 5)
  gc_frame_newslot(opresult855);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call852;
  params[1] = opresult855;
  partcv[0] = 2;
  Object call856 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe850);
// compiled call node returning call856 (depth = 4)
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe857 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num859 = alloc_Float64(1);
// compiled num node returning num859 (depth = 6)
  int op_slot_right_858 = gc_frame_newslot(num859);
// starting to compile member node (depth = 6)
  int callframe861 = gc_frame_new();
// call case 4: self request
  Object call862 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe861);
// compiled member node returning call862 (depth = 6)
  int op_slot_left_858 = gc_frame_newslot(call862);
  params[0] = num859;
  partcv[0] = 1;
  Object sum863 = callmethod(call862, "+(1)", 1, partcv, params);
// compiled op node returning sum863 (depth = 5)
  gc_frame_newslot(sum863);
// starting to compile string node (depth = 5)
  if (strlit864 == NULL) {
    strlit864 = alloc_String("");
    gc_root(strlit864);
  }
// compiled string node returning strlit864 (depth = 5)
  gc_frame_newslot(strlit864);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = sum863;
  params[1] = strlit864;
  partcv[0] = 2;
  Object call865 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe857);
// compiled call node returning call865 (depth = 4)
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe866 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call867 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe866);
// compiled call node returning call867 (depth = 4)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe868 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe869 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call870 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe869);
// compiled member node returning call870 (depth = 6)
  Object call871 = callmethodflags(call870, "new", 0, partcv, params, 0);
  gc_frame_end(callframe868);
// compiled member node returning call871 (depth = 5)
  *var_suggestion = call871;
  if (call871 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe873 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe874 = gc_frame_new();
// call case 4: self request
  Object call875 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe874);
// compiled member node returning call875 (depth = 5)
  gc_frame_newslot(call875);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit877 == NULL) {
    strlit877 = alloc_String("""\x22""");
    gc_root(strlit877);
  }
// compiled string node returning strlit877 (depth = 6)
  int op_slot_right_876 = gc_frame_newslot(strlit877);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errorLine (depth = 6)
  int op_slot_left_876 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit877;
  partcv[0] = 1;
  Object opresult879 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult879 (depth = 5)
  gc_frame_newslot(opresult879);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call875;
  params[1] = opresult879;
  partcv[0] = 2;
  Object call880 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe873);
// compiled call node returning call880 (depth = 4)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe881 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num883 = alloc_Float64(1);
// compiled num node returning num883 (depth = 6)
  int op_slot_right_882 = gc_frame_newslot(num883);
// starting to compile member node (depth = 6)
  int callframe885 = gc_frame_new();
// call case 4: self request
  Object call886 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe885);
// compiled member node returning call886 (depth = 6)
  int op_slot_left_882 = gc_frame_newslot(call886);
  params[0] = num883;
  partcv[0] = 1;
  Object sum887 = callmethod(call886, "+(1)", 1, partcv, params);
// compiled op node returning sum887 (depth = 5)
  gc_frame_newslot(sum887);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextLine (depth = 6)
  int op_slot_right_888 = gc_frame_newslot(*var_nextLine);
// starting to compile string node (depth = 6)
  if (strlit890 == NULL) {
    strlit890 = alloc_String("    ++ ""\x22""");
    gc_root(strlit890);
  }
// compiled string node returning strlit890 (depth = 6)
  int op_slot_left_888 = gc_frame_newslot(strlit890);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult891 = callmethod(strlit890, "++(1)", 1, partcv, params);
// compiled op node returning opresult891 (depth = 5)
  gc_frame_newslot(opresult891);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = sum887;
  params[1] = opresult891;
  partcv[0] = 2;
  Object call892 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe881);
// compiled call node returning call892 (depth = 4)
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe893 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call894 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe893);
// compiled call node returning call894 (depth = 4)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe895 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe896 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call897 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe896);
// compiled member node returning call897 (depth = 6)
  Object call898 = callmethodflags(call897, "new", 0, partcv, params, 0);
  gc_frame_end(callframe895);
// compiled member node returning call898 (depth = 5)
  *var_suggestion = call898;
  if (call898 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe900 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe901 = gc_frame_new();
// call case 4: self request
  Object call902 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe901);
// compiled member node returning call902 (depth = 5)
  gc_frame_newslot(call902);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextLine (depth = 6)
  int op_slot_right_903 = gc_frame_newslot(*var_nextLine);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit906 == NULL) {
    strlit906 = alloc_String("\\n");
    gc_root(strlit906);
  }
// compiled string node returning strlit906 (depth = 7)
  int op_slot_right_905 = gc_frame_newslot(strlit906);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errorLine (depth = 7)
  int op_slot_left_905 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit906;
  partcv[0] = 1;
  Object opresult908 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult908 (depth = 6)
  int op_slot_left_903 = gc_frame_newslot(opresult908);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult909 = callmethod(opresult908, "++(1)", 1, partcv, params);
// compiled op node returning opresult909 (depth = 5)
  gc_frame_newslot(opresult909);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call902;
  params[1] = opresult909;
  partcv[0] = 2;
  Object call910 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe900);
// compiled call node returning call910 (depth = 4)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe911 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num913 = alloc_Float64(1);
// compiled num node returning num913 (depth = 6)
  int op_slot_right_912 = gc_frame_newslot(num913);
// starting to compile member node (depth = 6)
  int callframe915 = gc_frame_new();
// call case 4: self request
  Object call916 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe915);
// compiled member node returning call916 (depth = 6)
  int op_slot_left_912 = gc_frame_newslot(call916);
  params[0] = num913;
  partcv[0] = 1;
  Object sum917 = callmethod(call916, "+(1)", 1, partcv, params);
// compiled op node returning sum917 (depth = 5)
  gc_frame_newslot(sum917);
// starting to compile string node (depth = 5)
  if (strlit918 == NULL) {
    strlit918 = alloc_String("");
    gc_root(strlit918);
  }
// compiled string node returning strlit918 (depth = 5)
  gc_frame_newslot(strlit918);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = sum917;
  params[1] = strlit918;
  partcv[0] = 2;
  Object call919 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe911);
// compiled call node returning call919 (depth = 4)
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe920 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call921 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe920);
// compiled call node returning call921 (depth = 4)
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe922 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit923 == NULL) {
    strlit923 = alloc_String("a string must be terminated by a ""\x22"" before the end of the line. To insert a newline in a string, use '\\n'. To split a string over multiple lines, use '++' to join strings together.");
    gc_root(strlit923);
  }
// compiled string node returning strlit923 (depth = 5)
  gc_frame_newslot(strlit923);
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe924 = gc_frame_new();
// call case 4: self request
  Object call925 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe924);
// compiled member node returning call925 (depth = 5)
  gc_frame_newslot(call925);
// starting to compile member node (depth = 5)
  int callframe926 = gc_frame_new();
// call case 4: self request
  Object call927 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe926);
// compiled member node returning call927 (depth = 5)
  gc_frame_newslot(call927);
// starting to compile member node (depth = 5)
  int callframe928 = gc_frame_new();
// call case 4: self request
  Object call929 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe928);
// compiled member node returning call929 (depth = 5)
  gc_frame_newslot(call929);
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit923;
  params[1] = call925;
  params[2] = call927;
  params[3] = call929;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call930 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe922);
// compiled call node returning call930 (depth = 4)
    gc_frame_newslot(call930);
    if836 = call930;
  } else {
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe931 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe932 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call933 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe932);
// compiled member node returning call933 (depth = 6)
  Object call934 = callmethodflags(call933, "new", 0, partcv, params, 0);
  gc_frame_end(callframe931);
// compiled member node returning call934 (depth = 5)
  *var_suggestion = call934;
  if (call934 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe935 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe936 = gc_frame_new();
// call case 4: self request
  Object call937 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe936);
// compiled member node returning call937 (depth = 5)
  gc_frame_newslot(call937);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit939 == NULL) {
    strlit939 = alloc_String("""\x22""");
    gc_root(strlit939);
  }
// compiled string node returning strlit939 (depth = 6)
  int op_slot_right_938 = gc_frame_newslot(strlit939);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errorLine (depth = 6)
  int op_slot_left_938 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit939;
  partcv[0] = 1;
  Object opresult941 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult941 (depth = 5)
  gc_frame_newslot(opresult941);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call937;
  params[1] = opresult941;
  partcv[0] = 2;
  Object call942 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe935);
// compiled call node returning call942 (depth = 4)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe943 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit945 == NULL) {
    strlit945 = alloc_String("by a ""\x22"" before the end of the line.");
    gc_root(strlit945);
  }
// compiled string node returning strlit945 (depth = 6)
  int op_slot_right_944 = gc_frame_newslot(strlit945);
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit947 == NULL) {
    strlit947 = alloc_String("a string must be terminated ");
    gc_root(strlit947);
  }
// compiled string node returning strlit947 (depth = 6)
  int op_slot_left_944 = gc_frame_newslot(strlit947);
  params[0] = strlit945;
  partcv[0] = 1;
  Object opresult948 = callmethod(strlit947, "++(1)", 1, partcv, params);
// compiled op node returning opresult948 (depth = 5)
  gc_frame_newslot(opresult948);
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe949 = gc_frame_new();
// call case 4: self request
  Object call950 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe949);
// compiled member node returning call950 (depth = 5)
  gc_frame_newslot(call950);
// starting to compile member node (depth = 5)
  int callframe951 = gc_frame_new();
// call case 4: self request
  Object call952 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe951);
// compiled member node returning call952 (depth = 5)
  gc_frame_newslot(call952);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult948;
  params[1] = call950;
  params[2] = call952;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call953 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe943);
// compiled call node returning call953 (depth = 4)
    gc_frame_newslot(call953);
    if836 = call953;
  }
// compiled if node returning if836 (depth = 3)
    gc_frame_newslot(if836);
    if631 = if836;
  }
// compiled if node returning if631 (depth = 2)
  gc_frame_end(frame);
  return if631;
}
Object meth_lexer_954_isSpaceChar_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isSpaceChar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSpaceChar(_)");
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSpaceChar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSpaceChar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe955 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_spaceChars (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call956 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe955);
// compiled call node returning call956 (depth = 2)
  gc_frame_end(frame);
  return call956;
}
Object meth_lexer_957_checkSeparatorString_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 69, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkSeparatorString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkSeparatorString(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkSeparatorString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkSeparatorString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_ordval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ordval");
// definebindings:
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe958 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call959 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe958);
// compiled member node returning call959 (depth = 3)
  *var_ordval = call959;
  if (call959 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe961 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call962 = callmethodflags(module_lexer, "isBadSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe961);
// compiled call node returning call962 (depth = 3)
  Object if960 = done;
  if (istrue(call962)) {
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe963 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe964 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call965 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe964);
// compiled member node returning call965 (depth = 5)
  Object call966 = callmethodflags(call965, "new", 0, partcv, params, 0);
  gc_frame_end(callframe963);
// compiled member node returning call966 (depth = 4)
  *var_suggestion = call966;
  if (call966 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe967 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe968 = gc_frame_new();
// call case 4: self request
  Object call969 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe968);
// compiled member node returning call969 (depth = 4)
  gc_frame_newslot(call969);
// starting to compile string node (depth = 4)
  if (strlit970 == NULL) {
    strlit970 = alloc_String(" ");
    gc_root(strlit970);
  }
// compiled string node returning strlit970 (depth = 4)
  gc_frame_newslot(strlit970);
// starting to compile member node (depth = 4)
  int callframe971 = gc_frame_new();
// call case 4: self request
  Object call972 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe971);
// compiled member node returning call972 (depth = 4)
  gc_frame_newslot(call972);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = call969;
  params[1] = strlit970;
  params[2] = call972;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call973 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe967);
// compiled call node returning call973 (depth = 3)
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num976 = alloc_Float64(9);
// compiled num node returning num976 (depth = 5)
  int op_slot_right_975 = gc_frame_newslot(num976);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ordval (depth = 5)
  int op_slot_left_975 = gc_frame_newslot(*var_ordval);
  params[0] = num976;
  partcv[0] = 1;
  Object opresult978 = callmethod(*var_ordval, "==(1)", 1, partcv, params);
// compiled op node returning opresult978 (depth = 4)
  Object if974 = done;
  if (istrue(opresult978)) {
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe979 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe980 = gc_frame_new();
// call case 4: self request
  Object call981 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe980);
// compiled member node returning call981 (depth = 5)
  gc_frame_newslot(call981);
// starting to compile member node (depth = 5)
  int callframe982 = gc_frame_new();
// call case 4: self request
  Object call983 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe982);
// compiled member node returning call983 (depth = 5)
  gc_frame_newslot(call983);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit984 == NULL) {
    strlit984 = alloc_String("\\t");
    gc_root(strlit984);
  }
// compiled string node returning strlit984 (depth = 5)
  gc_frame_newslot(strlit984);
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe985 = gc_frame_new();
// call case 4: self request
  Object call986 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe985);
// compiled member node returning call986 (depth = 5)
  gc_frame_newslot(call986);
// call case 6: other requests
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call981;
  params[1] = call983;
  params[2] = strlit984;
  params[3] = call986;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call987 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe979);
// compiled call node returning call987 (depth = 4)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe988 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit990 == NULL) {
    strlit990 = alloc_String("use the string escape \\t instead");
    gc_root(strlit990);
  }
// compiled string node returning strlit990 (depth = 6)
  int op_slot_right_989 = gc_frame_newslot(strlit990);
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit993 == NULL) {
    strlit993 = alloc_String("written in the source code; ");
    gc_root(strlit993);
  }
// compiled string node returning strlit993 (depth = 7)
  int op_slot_right_992 = gc_frame_newslot(strlit993);
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit995 == NULL) {
    strlit995 = alloc_String("tabs cannot be ");
    gc_root(strlit995);
  }
// compiled string node returning strlit995 (depth = 7)
  int op_slot_left_992 = gc_frame_newslot(strlit995);
  params[0] = strlit993;
  partcv[0] = 1;
  Object opresult996 = callmethod(strlit995, "++(1)", 1, partcv, params);
// compiled op node returning opresult996 (depth = 6)
  int op_slot_left_989 = gc_frame_newslot(opresult996);
  params[0] = strlit990;
  partcv[0] = 1;
  Object opresult997 = callmethod(opresult996, "++(1)", 1, partcv, params);
// compiled op node returning opresult997 (depth = 5)
  gc_frame_newslot(opresult997);
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe998 = gc_frame_new();
// call case 4: self request
  Object call999 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe998);
// compiled member node returning call999 (depth = 5)
  gc_frame_newslot(call999);
// starting to compile member node (depth = 5)
  int callframe1000 = gc_frame_new();
// call case 4: self request
  Object call1001 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1000);
// compiled member node returning call1001 (depth = 5)
  gc_frame_newslot(call1001);
// starting to compile member node (depth = 5)
  int callframe1002 = gc_frame_new();
// call case 4: self request
  Object call1003 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1002);
// compiled member node returning call1003 (depth = 5)
  gc_frame_newslot(call1003);
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult997;
  params[1] = call999;
  params[2] = call1001;
  params[3] = call1003;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1004 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe988);
// compiled call node returning call1004 (depth = 4)
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1005 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1006 == NULL) {
    strlit1006 = alloc_String("tabs are not allowed; use spaces instead.");
    gc_root(strlit1006);
  }
// compiled string node returning strlit1006 (depth = 5)
  gc_frame_newslot(strlit1006);
// starting to compile member node (depth = 5)
  int callframe1007 = gc_frame_new();
// call case 4: self request
  Object call1008 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1007);
// compiled member node returning call1008 (depth = 5)
  gc_frame_newslot(call1008);
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1009 = gc_frame_new();
// call case 4: self request
  Object call1010 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1009);
// compiled member node returning call1010 (depth = 5)
  gc_frame_newslot(call1010);
// starting to compile member node (depth = 5)
  int callframe1011 = gc_frame_new();
// call case 4: self request
  Object call1012 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1011);
// compiled member node returning call1012 (depth = 5)
  gc_frame_newslot(call1012);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1006;
  params[1] = call1008;
  params[2] = call1010;
  params[3] = call1012;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1013 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1005);
// compiled call node returning call1013 (depth = 4)
    gc_frame_newslot(call1013);
    if974 = call1013;
  } else {
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1014 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1015 = gc_frame_new();
// call case 4: self request
  Object call1016 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1015);
// compiled member node returning call1016 (depth = 5)
  gc_frame_newslot(call1016);
// starting to compile member node (depth = 5)
  int callframe1017 = gc_frame_new();
// call case 4: self request
  Object call1018 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1017);
// compiled member node returning call1018 (depth = 5)
  gc_frame_newslot(call1018);
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1020 == NULL) {
    strlit1020 = alloc_String("");
    gc_root(strlit1020);
  }
// compiled string node returning strlit1020 (depth = 6)
  int op_slot_right_1019 = gc_frame_newslot(strlit1020);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1023 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1024 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1025 = alloc_Float64(16);
// compiled num node returning num1025 (depth = 9)
  gc_frame_newslot(num1025);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1025;
  partcv[0] = 1;
  Object call1026 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1024);
// compiled call node returning call1026 (depth = 8)
  gc_frame_newslot(call1026);
// starting to compile num node (depth = 8)
  Object num1027 = alloc_Float64(4);
// compiled num node returning num1027 (depth = 8)
  gc_frame_newslot(num1027);
// starting to compile string node (depth = 8)
  if (strlit1028 == NULL) {
    strlit1028 = alloc_String("0");
    gc_root(strlit1028);
  }
// compiled string node returning strlit1028 (depth = 8)
  gc_frame_newslot(strlit1028);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning module_lexer (depth = 8)
  params[0] = call1026;
  params[1] = num1027;
  params[2] = strlit1028;
  partcv[0] = 3;
  Object call1029 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1023);
// compiled call node returning call1029 (depth = 7)
  int op_slot_right_1022 = gc_frame_newslot(call1029);
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1031 == NULL) {
    strlit1031 = alloc_String("\\u");
    gc_root(strlit1031);
  }
// compiled string node returning strlit1031 (depth = 7)
  int op_slot_left_1022 = gc_frame_newslot(strlit1031);
  params[0] = call1029;
  partcv[0] = 1;
  Object opresult1032 = callmethod(strlit1031, "++(1)", 1, partcv, params);
// compiled op node returning opresult1032 (depth = 6)
  int op_slot_left_1019 = gc_frame_newslot(opresult1032);
  params[0] = strlit1020;
  partcv[0] = 1;
  Object opresult1033 = callmethod(opresult1032, "++(1)", 1, partcv, params);
// compiled op node returning opresult1033 (depth = 5)
  gc_frame_newslot(opresult1033);
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1034 = gc_frame_new();
// call case 4: self request
  Object call1035 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1034);
// compiled member node returning call1035 (depth = 5)
  gc_frame_newslot(call1035);
// call case 6: other requests
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1016;
  params[1] = call1018;
  params[2] = opresult1033;
  params[3] = call1035;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1036 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1014);
// compiled call node returning call1036 (depth = 4)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1037 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1039 == NULL) {
    strlit1039 = alloc_String(" instead");
    gc_root(strlit1039);
  }
// compiled string node returning strlit1039 (depth = 6)
  int op_slot_right_1038 = gc_frame_newslot(strlit1039);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1042 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1043 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1044 = alloc_Float64(16);
// compiled num node returning num1044 (depth = 9)
  gc_frame_newslot(num1044);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1044;
  partcv[0] = 1;
  Object call1045 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1043);
// compiled call node returning call1045 (depth = 8)
  gc_frame_newslot(call1045);
// starting to compile num node (depth = 8)
  Object num1046 = alloc_Float64(4);
// compiled num node returning num1046 (depth = 8)
  gc_frame_newslot(num1046);
// starting to compile string node (depth = 8)
  if (strlit1047 == NULL) {
    strlit1047 = alloc_String("0");
    gc_root(strlit1047);
  }
// compiled string node returning strlit1047 (depth = 8)
  gc_frame_newslot(strlit1047);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning module_lexer (depth = 8)
  params[0] = call1045;
  params[1] = num1046;
  params[2] = strlit1047;
  partcv[0] = 3;
  Object call1048 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1042);
// compiled call node returning call1048 (depth = 7)
  int op_slot_right_1041 = gc_frame_newslot(call1048);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1051 == NULL) {
    strlit1051 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit1051);
  }
// compiled string node returning strlit1051 (depth = 8)
  int op_slot_right_1050 = gc_frame_newslot(strlit1051);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit1054 == NULL) {
    strlit1054 = alloc_String("written in the source code; ");
    gc_root(strlit1054);
  }
// compiled string node returning strlit1054 (depth = 9)
  int op_slot_right_1053 = gc_frame_newslot(strlit1054);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1057 == NULL) {
    strlit1057 = alloc_String(" and cannot be ");
    gc_root(strlit1057);
  }
// compiled string node returning strlit1057 (depth = 10)
  int op_slot_right_1056 = gc_frame_newslot(strlit1057);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit1060 == NULL) {
    strlit1060 = alloc_String("is not a valid whitespace character");
    gc_root(strlit1060);
  }
// compiled string node returning strlit1060 (depth = 11)
  int op_slot_right_1059 = gc_frame_newslot(strlit1060);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1063 == NULL) {
    strlit1063 = alloc_String(") ");
    gc_root(strlit1063);
  }
// compiled string node returning strlit1063 (depth = 12)
  int op_slot_right_1062 = gc_frame_newslot(strlit1063);
// starting to compile op node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1066 = gc_frame_new();
// starting to compile call node (depth = 14)
  int callframe1067 = gc_frame_new();
// starting to compile num node (depth = 15)
  Object num1068 = alloc_Float64(16);
// compiled num node returning num1068 (depth = 15)
  gc_frame_newslot(num1068);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_ordval (depth = 15)
  params[0] = num1068;
  partcv[0] = 1;
  Object call1069 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1067);
// compiled call node returning call1069 (depth = 14)
  gc_frame_newslot(call1069);
// starting to compile num node (depth = 14)
  Object num1070 = alloc_Float64(4);
// compiled num node returning num1070 (depth = 14)
  gc_frame_newslot(num1070);
// starting to compile string node (depth = 14)
  if (strlit1071 == NULL) {
    strlit1071 = alloc_String("0");
    gc_root(strlit1071);
  }
// compiled string node returning strlit1071 (depth = 14)
  gc_frame_newslot(strlit1071);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning module_lexer (depth = 14)
  params[0] = call1069;
  params[1] = num1070;
  params[2] = strlit1071;
  partcv[0] = 3;
  Object call1072 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1066);
// compiled call node returning call1072 (depth = 13)
  int op_slot_right_1065 = gc_frame_newslot(call1072);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit1075 == NULL) {
    strlit1075 = alloc_String(" (U+");
    gc_root(strlit1075);
  }
// compiled string node returning strlit1075 (depth = 14)
  int op_slot_right_1074 = gc_frame_newslot(strlit1075);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1078 = gc_frame_new();
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_unicode (depth = 16)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1079 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1078);
// compiled call node returning call1079 (depth = 15)
  int op_slot_right_1077 = gc_frame_newslot(call1079);
// starting to compile string node (depth = 15)
  if (strlit1081 == NULL) {
    strlit1081 = alloc_String("");
    gc_root(strlit1081);
  }
// compiled string node returning strlit1081 (depth = 15)
  int op_slot_left_1077 = gc_frame_newslot(strlit1081);
  params[0] = call1079;
  partcv[0] = 1;
  Object opresult1082 = callmethod(strlit1081, "++(1)", 1, partcv, params);
// compiled op node returning opresult1082 (depth = 14)
  int op_slot_left_1074 = gc_frame_newslot(opresult1082);
  params[0] = strlit1075;
  partcv[0] = 1;
  Object opresult1083 = callmethod(opresult1082, "++(1)", 1, partcv, params);
// compiled op node returning opresult1083 (depth = 13)
  int op_slot_left_1065 = gc_frame_newslot(opresult1083);
  params[0] = call1072;
  partcv[0] = 1;
  Object opresult1084 = callmethod(opresult1083, "++(1)", 1, partcv, params);
// compiled op node returning opresult1084 (depth = 12)
  int op_slot_left_1062 = gc_frame_newslot(opresult1084);
  params[0] = strlit1063;
  partcv[0] = 1;
  Object opresult1085 = callmethod(opresult1084, "++(1)", 1, partcv, params);
// compiled op node returning opresult1085 (depth = 11)
  int op_slot_left_1059 = gc_frame_newslot(opresult1085);
  params[0] = strlit1060;
  partcv[0] = 1;
  Object opresult1086 = callmethod(opresult1085, "++(1)", 1, partcv, params);
// compiled op node returning opresult1086 (depth = 10)
  int op_slot_left_1056 = gc_frame_newslot(opresult1086);
  params[0] = strlit1057;
  partcv[0] = 1;
  Object opresult1087 = callmethod(opresult1086, "++(1)", 1, partcv, params);
// compiled op node returning opresult1087 (depth = 9)
  int op_slot_left_1053 = gc_frame_newslot(opresult1087);
  params[0] = strlit1054;
  partcv[0] = 1;
  Object opresult1088 = callmethod(opresult1087, "++(1)", 1, partcv, params);
// compiled op node returning opresult1088 (depth = 8)
  int op_slot_left_1050 = gc_frame_newslot(opresult1088);
  params[0] = strlit1051;
  partcv[0] = 1;
  Object opresult1089 = callmethod(opresult1088, "++(1)", 1, partcv, params);
// compiled op node returning opresult1089 (depth = 7)
  int op_slot_left_1041 = gc_frame_newslot(opresult1089);
  params[0] = call1048;
  partcv[0] = 1;
  Object opresult1090 = callmethod(opresult1089, "++(1)", 1, partcv, params);
// compiled op node returning opresult1090 (depth = 6)
  int op_slot_left_1038 = gc_frame_newslot(opresult1090);
  params[0] = strlit1039;
  partcv[0] = 1;
  Object opresult1091 = callmethod(opresult1090, "++(1)", 1, partcv, params);
// compiled op node returning opresult1091 (depth = 5)
  gc_frame_newslot(opresult1091);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1092 = gc_frame_new();
// call case 4: self request
  Object call1093 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1092);
// compiled member node returning call1093 (depth = 5)
  gc_frame_newslot(call1093);
// starting to compile member node (depth = 5)
  int callframe1094 = gc_frame_new();
// call case 4: self request
  Object call1095 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1094);
// compiled member node returning call1095 (depth = 5)
  gc_frame_newslot(call1095);
// starting to compile member node (depth = 5)
  int callframe1096 = gc_frame_new();
// call case 4: self request
  Object call1097 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1096);
// compiled member node returning call1097 (depth = 5)
  gc_frame_newslot(call1097);
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1091;
  params[1] = call1093;
  params[2] = call1095;
  params[3] = call1097;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1098 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1037);
// compiled call node returning call1098 (depth = 4)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1099 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1101 == NULL) {
    strlit1101 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit1101);
  }
// compiled string node returning strlit1101 (depth = 6)
  int op_slot_right_1100 = gc_frame_newslot(strlit1101);
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1104 == NULL) {
    strlit1104 = alloc_String(") ");
    gc_root(strlit1104);
  }
// compiled string node returning strlit1104 (depth = 7)
  int op_slot_right_1103 = gc_frame_newslot(strlit1104);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1107 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1108 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1109 = alloc_Float64(16);
// compiled num node returning num1109 (depth = 10)
  gc_frame_newslot(num1109);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1109;
  partcv[0] = 1;
  Object call1110 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1108);
// compiled call node returning call1110 (depth = 9)
  gc_frame_newslot(call1110);
// starting to compile num node (depth = 9)
  Object num1111 = alloc_Float64(4);
// compiled num node returning num1111 (depth = 9)
  gc_frame_newslot(num1111);
// starting to compile string node (depth = 9)
  if (strlit1112 == NULL) {
    strlit1112 = alloc_String("0");
    gc_root(strlit1112);
  }
// compiled string node returning strlit1112 (depth = 9)
  gc_frame_newslot(strlit1112);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning module_lexer (depth = 9)
  params[0] = call1110;
  params[1] = num1111;
  params[2] = strlit1112;
  partcv[0] = 3;
  Object call1113 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1107);
// compiled call node returning call1113 (depth = 8)
  int op_slot_right_1106 = gc_frame_newslot(call1113);
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1116 == NULL) {
    strlit1116 = alloc_String(" (U+");
    gc_root(strlit1116);
  }
// compiled string node returning strlit1116 (depth = 9)
  int op_slot_right_1115 = gc_frame_newslot(strlit1116);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1119 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1120 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1119);
// compiled call node returning call1120 (depth = 10)
  int op_slot_right_1118 = gc_frame_newslot(call1120);
// starting to compile string node (depth = 10)
  if (strlit1122 == NULL) {
    strlit1122 = alloc_String("");
    gc_root(strlit1122);
  }
// compiled string node returning strlit1122 (depth = 10)
  int op_slot_left_1118 = gc_frame_newslot(strlit1122);
  params[0] = call1120;
  partcv[0] = 1;
  Object opresult1123 = callmethod(strlit1122, "++(1)", 1, partcv, params);
// compiled op node returning opresult1123 (depth = 9)
  int op_slot_left_1115 = gc_frame_newslot(opresult1123);
  params[0] = strlit1116;
  partcv[0] = 1;
  Object opresult1124 = callmethod(opresult1123, "++(1)", 1, partcv, params);
// compiled op node returning opresult1124 (depth = 8)
  int op_slot_left_1106 = gc_frame_newslot(opresult1124);
  params[0] = call1113;
  partcv[0] = 1;
  Object opresult1125 = callmethod(opresult1124, "++(1)", 1, partcv, params);
// compiled op node returning opresult1125 (depth = 7)
  int op_slot_left_1103 = gc_frame_newslot(opresult1125);
  params[0] = strlit1104;
  partcv[0] = 1;
  Object opresult1126 = callmethod(opresult1125, "++(1)", 1, partcv, params);
// compiled op node returning opresult1126 (depth = 6)
  int op_slot_left_1100 = gc_frame_newslot(opresult1126);
  params[0] = strlit1101;
  partcv[0] = 1;
  Object opresult1127 = callmethod(opresult1126, "++(1)", 1, partcv, params);
// compiled op node returning opresult1127 (depth = 5)
  gc_frame_newslot(opresult1127);
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1128 = gc_frame_new();
// call case 4: self request
  Object call1129 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1128);
// compiled member node returning call1129 (depth = 5)
  gc_frame_newslot(call1129);
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1130 = gc_frame_new();
// call case 4: self request
  Object call1131 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1130);
// compiled member node returning call1131 (depth = 5)
  gc_frame_newslot(call1131);
// starting to compile member node (depth = 5)
  int callframe1132 = gc_frame_new();
// call case 4: self request
  Object call1133 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1132);
// compiled member node returning call1133 (depth = 5)
  gc_frame_newslot(call1133);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1127;
  params[1] = call1129;
  params[2] = call1131;
  params[3] = call1133;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1134 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1099);
// compiled call node returning call1134 (depth = 4)
    gc_frame_newslot(call1134);
    if974 = call1134;
  }
// compiled if node returning if974 (depth = 3)
    gc_frame_newslot(if974);
    if960 = if974;
  } else {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1136 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1137 = callmethodflags(module_lexer, "isBadControl(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1136);
// compiled call node returning call1137 (depth = 4)
  Object if1135 = done;
  if (istrue(call1137)) {
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1138 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1139 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1140 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1139);
// compiled member node returning call1140 (depth = 6)
  Object call1141 = callmethodflags(call1140, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1138);
// compiled member node returning call1141 (depth = 5)
  *var_suggestion = call1141;
  if (call1141 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1142 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1143 = gc_frame_new();
// call case 4: self request
  Object call1144 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1143);
// compiled member node returning call1144 (depth = 5)
  gc_frame_newslot(call1144);
// starting to compile member node (depth = 5)
  int callframe1145 = gc_frame_new();
// call case 4: self request
  Object call1146 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1145);
// compiled member node returning call1146 (depth = 5)
  gc_frame_newslot(call1146);
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1148 == NULL) {
    strlit1148 = alloc_String("");
    gc_root(strlit1148);
  }
// compiled string node returning strlit1148 (depth = 6)
  int op_slot_right_1147 = gc_frame_newslot(strlit1148);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1151 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1152 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1153 = alloc_Float64(16);
// compiled num node returning num1153 (depth = 9)
  gc_frame_newslot(num1153);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1153;
  partcv[0] = 1;
  Object call1154 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1152);
// compiled call node returning call1154 (depth = 8)
  gc_frame_newslot(call1154);
// starting to compile num node (depth = 8)
  Object num1155 = alloc_Float64(4);
// compiled num node returning num1155 (depth = 8)
  gc_frame_newslot(num1155);
// starting to compile string node (depth = 8)
  if (strlit1156 == NULL) {
    strlit1156 = alloc_String("0");
    gc_root(strlit1156);
  }
// compiled string node returning strlit1156 (depth = 8)
  gc_frame_newslot(strlit1156);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning module_lexer (depth = 8)
  params[0] = call1154;
  params[1] = num1155;
  params[2] = strlit1156;
  partcv[0] = 3;
  Object call1157 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1151);
// compiled call node returning call1157 (depth = 7)
  int op_slot_right_1150 = gc_frame_newslot(call1157);
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1159 == NULL) {
    strlit1159 = alloc_String("\\u");
    gc_root(strlit1159);
  }
// compiled string node returning strlit1159 (depth = 7)
  int op_slot_left_1150 = gc_frame_newslot(strlit1159);
  params[0] = call1157;
  partcv[0] = 1;
  Object opresult1160 = callmethod(strlit1159, "++(1)", 1, partcv, params);
// compiled op node returning opresult1160 (depth = 6)
  int op_slot_left_1147 = gc_frame_newslot(opresult1160);
  params[0] = strlit1148;
  partcv[0] = 1;
  Object opresult1161 = callmethod(opresult1160, "++(1)", 1, partcv, params);
// compiled op node returning opresult1161 (depth = 5)
  gc_frame_newslot(opresult1161);
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1162 = gc_frame_new();
// call case 4: self request
  Object call1163 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1162);
// compiled member node returning call1163 (depth = 5)
  gc_frame_newslot(call1163);
// call case 6: other requests
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1144;
  params[1] = call1146;
  params[2] = opresult1161;
  params[3] = call1163;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1164 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1142);
// compiled call node returning call1164 (depth = 4)
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1165 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1167 == NULL) {
    strlit1167 = alloc_String(" instead");
    gc_root(strlit1167);
  }
// compiled string node returning strlit1167 (depth = 6)
  int op_slot_right_1166 = gc_frame_newslot(strlit1167);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1170 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1171 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1172 = alloc_Float64(16);
// compiled num node returning num1172 (depth = 9)
  gc_frame_newslot(num1172);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1172;
  partcv[0] = 1;
  Object call1173 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1171);
// compiled call node returning call1173 (depth = 8)
  gc_frame_newslot(call1173);
// starting to compile num node (depth = 8)
  Object num1174 = alloc_Float64(4);
// compiled num node returning num1174 (depth = 8)
  gc_frame_newslot(num1174);
// starting to compile string node (depth = 8)
  if (strlit1175 == NULL) {
    strlit1175 = alloc_String("0");
    gc_root(strlit1175);
  }
// compiled string node returning strlit1175 (depth = 8)
  gc_frame_newslot(strlit1175);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning module_lexer (depth = 8)
  params[0] = call1173;
  params[1] = num1174;
  params[2] = strlit1175;
  partcv[0] = 3;
  Object call1176 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1170);
// compiled call node returning call1176 (depth = 7)
  int op_slot_right_1169 = gc_frame_newslot(call1176);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1179 == NULL) {
    strlit1179 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit1179);
  }
// compiled string node returning strlit1179 (depth = 8)
  int op_slot_right_1178 = gc_frame_newslot(strlit1179);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit1182 == NULL) {
    strlit1182 = alloc_String("written in the source code; ");
    gc_root(strlit1182);
  }
// compiled string node returning strlit1182 (depth = 9)
  int op_slot_right_1181 = gc_frame_newslot(strlit1182);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1185 == NULL) {
    strlit1185 = alloc_String("is a control character and cannot be ");
    gc_root(strlit1185);
  }
// compiled string node returning strlit1185 (depth = 10)
  int op_slot_right_1184 = gc_frame_newslot(strlit1185);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1188 == NULL) {
    strlit1188 = alloc_String(") ");
    gc_root(strlit1188);
  }
// compiled string node returning strlit1188 (depth = 11)
  int op_slot_right_1187 = gc_frame_newslot(strlit1188);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1191 = gc_frame_new();
// starting to compile call node (depth = 13)
  int callframe1192 = gc_frame_new();
// starting to compile num node (depth = 14)
  Object num1193 = alloc_Float64(16);
// compiled num node returning num1193 (depth = 14)
  gc_frame_newslot(num1193);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ordval (depth = 14)
  params[0] = num1193;
  partcv[0] = 1;
  Object call1194 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1192);
// compiled call node returning call1194 (depth = 13)
  gc_frame_newslot(call1194);
// starting to compile num node (depth = 13)
  Object num1195 = alloc_Float64(4);
// compiled num node returning num1195 (depth = 13)
  gc_frame_newslot(num1195);
// starting to compile string node (depth = 13)
  if (strlit1196 == NULL) {
    strlit1196 = alloc_String("0");
    gc_root(strlit1196);
  }
// compiled string node returning strlit1196 (depth = 13)
  gc_frame_newslot(strlit1196);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning module_lexer (depth = 13)
  params[0] = call1194;
  params[1] = num1195;
  params[2] = strlit1196;
  partcv[0] = 3;
  Object call1197 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1191);
// compiled call node returning call1197 (depth = 12)
  int op_slot_right_1190 = gc_frame_newslot(call1197);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1200 == NULL) {
    strlit1200 = alloc_String(" (U+");
    gc_root(strlit1200);
  }
// compiled string node returning strlit1200 (depth = 13)
  int op_slot_right_1199 = gc_frame_newslot(strlit1200);
// starting to compile op node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe1203 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_unicode (depth = 15)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1204 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1203);
// compiled call node returning call1204 (depth = 14)
  int op_slot_right_1202 = gc_frame_newslot(call1204);
// starting to compile string node (depth = 14)
  if (strlit1206 == NULL) {
    strlit1206 = alloc_String("");
    gc_root(strlit1206);
  }
// compiled string node returning strlit1206 (depth = 14)
  int op_slot_left_1202 = gc_frame_newslot(strlit1206);
  params[0] = call1204;
  partcv[0] = 1;
  Object opresult1207 = callmethod(strlit1206, "++(1)", 1, partcv, params);
// compiled op node returning opresult1207 (depth = 13)
  int op_slot_left_1199 = gc_frame_newslot(opresult1207);
  params[0] = strlit1200;
  partcv[0] = 1;
  Object opresult1208 = callmethod(opresult1207, "++(1)", 1, partcv, params);
// compiled op node returning opresult1208 (depth = 12)
  int op_slot_left_1190 = gc_frame_newslot(opresult1208);
  params[0] = call1197;
  partcv[0] = 1;
  Object opresult1209 = callmethod(opresult1208, "++(1)", 1, partcv, params);
// compiled op node returning opresult1209 (depth = 11)
  int op_slot_left_1187 = gc_frame_newslot(opresult1209);
  params[0] = strlit1188;
  partcv[0] = 1;
  Object opresult1210 = callmethod(opresult1209, "++(1)", 1, partcv, params);
// compiled op node returning opresult1210 (depth = 10)
  int op_slot_left_1184 = gc_frame_newslot(opresult1210);
  params[0] = strlit1185;
  partcv[0] = 1;
  Object opresult1211 = callmethod(opresult1210, "++(1)", 1, partcv, params);
// compiled op node returning opresult1211 (depth = 9)
  int op_slot_left_1181 = gc_frame_newslot(opresult1211);
  params[0] = strlit1182;
  partcv[0] = 1;
  Object opresult1212 = callmethod(opresult1211, "++(1)", 1, partcv, params);
// compiled op node returning opresult1212 (depth = 8)
  int op_slot_left_1178 = gc_frame_newslot(opresult1212);
  params[0] = strlit1179;
  partcv[0] = 1;
  Object opresult1213 = callmethod(opresult1212, "++(1)", 1, partcv, params);
// compiled op node returning opresult1213 (depth = 7)
  int op_slot_left_1169 = gc_frame_newslot(opresult1213);
  params[0] = call1176;
  partcv[0] = 1;
  Object opresult1214 = callmethod(opresult1213, "++(1)", 1, partcv, params);
// compiled op node returning opresult1214 (depth = 6)
  int op_slot_left_1166 = gc_frame_newslot(opresult1214);
  params[0] = strlit1167;
  partcv[0] = 1;
  Object opresult1215 = callmethod(opresult1214, "++(1)", 1, partcv, params);
// compiled op node returning opresult1215 (depth = 5)
  gc_frame_newslot(opresult1215);
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1216 = gc_frame_new();
// call case 4: self request
  Object call1217 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1216);
// compiled member node returning call1217 (depth = 5)
  gc_frame_newslot(call1217);
// starting to compile member node (depth = 5)
  int callframe1218 = gc_frame_new();
// call case 4: self request
  Object call1219 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1218);
// compiled member node returning call1219 (depth = 5)
  gc_frame_newslot(call1219);
// starting to compile member node (depth = 5)
  int callframe1220 = gc_frame_new();
// call case 4: self request
  Object call1221 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1220);
// compiled member node returning call1221 (depth = 5)
  gc_frame_newslot(call1221);
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1215;
  params[1] = call1217;
  params[2] = call1219;
  params[3] = call1221;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1222 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1165);
// compiled call node returning call1222 (depth = 4)
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1223 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1224 = gc_frame_new();
// call case 4: self request
  Object call1225 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1224);
// compiled member node returning call1225 (depth = 5)
  gc_frame_newslot(call1225);
// starting to compile member node (depth = 5)
  int callframe1226 = gc_frame_new();
// call case 4: self request
  Object call1227 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1226);
// compiled member node returning call1227 (depth = 5)
  gc_frame_newslot(call1227);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1225;
  params[1] = call1227;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1228 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1223);
// compiled call node returning call1228 (depth = 4)
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1229 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1231 == NULL) {
    strlit1231 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit1231);
  }
// compiled string node returning strlit1231 (depth = 6)
  int op_slot_right_1230 = gc_frame_newslot(strlit1231);
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1234 == NULL) {
    strlit1234 = alloc_String(") ");
    gc_root(strlit1234);
  }
// compiled string node returning strlit1234 (depth = 7)
  int op_slot_right_1233 = gc_frame_newslot(strlit1234);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1237 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1238 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1239 = alloc_Float64(16);
// compiled num node returning num1239 (depth = 10)
  gc_frame_newslot(num1239);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1239;
  partcv[0] = 1;
  Object call1240 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1238);
// compiled call node returning call1240 (depth = 9)
  gc_frame_newslot(call1240);
// starting to compile num node (depth = 9)
  Object num1241 = alloc_Float64(4);
// compiled num node returning num1241 (depth = 9)
  gc_frame_newslot(num1241);
// starting to compile string node (depth = 9)
  if (strlit1242 == NULL) {
    strlit1242 = alloc_String("0");
    gc_root(strlit1242);
  }
// compiled string node returning strlit1242 (depth = 9)
  gc_frame_newslot(strlit1242);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning module_lexer (depth = 9)
  params[0] = call1240;
  params[1] = num1241;
  params[2] = strlit1242;
  partcv[0] = 3;
  Object call1243 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1237);
// compiled call node returning call1243 (depth = 8)
  int op_slot_right_1236 = gc_frame_newslot(call1243);
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1246 == NULL) {
    strlit1246 = alloc_String(" (U+");
    gc_root(strlit1246);
  }
// compiled string node returning strlit1246 (depth = 9)
  int op_slot_right_1245 = gc_frame_newslot(strlit1246);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1249 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1250 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1249);
// compiled call node returning call1250 (depth = 10)
  int op_slot_right_1248 = gc_frame_newslot(call1250);
// starting to compile string node (depth = 10)
  if (strlit1252 == NULL) {
    strlit1252 = alloc_String("");
    gc_root(strlit1252);
  }
// compiled string node returning strlit1252 (depth = 10)
  int op_slot_left_1248 = gc_frame_newslot(strlit1252);
  params[0] = call1250;
  partcv[0] = 1;
  Object opresult1253 = callmethod(strlit1252, "++(1)", 1, partcv, params);
// compiled op node returning opresult1253 (depth = 9)
  int op_slot_left_1245 = gc_frame_newslot(opresult1253);
  params[0] = strlit1246;
  partcv[0] = 1;
  Object opresult1254 = callmethod(opresult1253, "++(1)", 1, partcv, params);
// compiled op node returning opresult1254 (depth = 8)
  int op_slot_left_1236 = gc_frame_newslot(opresult1254);
  params[0] = call1243;
  partcv[0] = 1;
  Object opresult1255 = callmethod(opresult1254, "++(1)", 1, partcv, params);
// compiled op node returning opresult1255 (depth = 7)
  int op_slot_left_1233 = gc_frame_newslot(opresult1255);
  params[0] = strlit1234;
  partcv[0] = 1;
  Object opresult1256 = callmethod(opresult1255, "++(1)", 1, partcv, params);
// compiled op node returning opresult1256 (depth = 6)
  int op_slot_left_1230 = gc_frame_newslot(opresult1256);
  params[0] = strlit1231;
  partcv[0] = 1;
  Object opresult1257 = callmethod(opresult1256, "++(1)", 1, partcv, params);
// compiled op node returning opresult1257 (depth = 5)
  gc_frame_newslot(opresult1257);
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1258 = gc_frame_new();
// call case 4: self request
  Object call1259 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1258);
// compiled member node returning call1259 (depth = 5)
  gc_frame_newslot(call1259);
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1260 = gc_frame_new();
// call case 4: self request
  Object call1261 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1260);
// compiled member node returning call1261 (depth = 5)
  gc_frame_newslot(call1261);
// starting to compile member node (depth = 5)
  int callframe1262 = gc_frame_new();
// call case 4: self request
  Object call1263 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1262);
// compiled member node returning call1263 (depth = 5)
  gc_frame_newslot(call1263);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1257;
  params[1] = call1259;
  params[2] = call1261;
  params[3] = call1263;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1264 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1229);
// compiled call node returning call1264 (depth = 4)
    gc_frame_newslot(call1264);
    if1135 = call1264;
  } else {
  }
// compiled if node returning if1135 (depth = 3)
    gc_frame_newslot(if1135);
    if960 = if1135;
  }
// compiled if node returning if960 (depth = 2)
  gc_frame_end(frame);
  return if960;
}
Object meth_lexer_1265_checkSeparator_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 70, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkSeparator(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkSeparator(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkSeparator(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkSeparator(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_ordval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ordval");
// definebindings:
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1266 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call1267 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1266);
// compiled member node returning call1267 (depth = 3)
  *var_ordval = call1267;
  if (call1267 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1269 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1270 = callmethodflags(module_lexer, "isBadSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1269);
// compiled call node returning call1270 (depth = 3)
  Object if1268 = done;
  if (istrue(call1270)) {
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1271 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1272 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call1273 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1272);
// compiled member node returning call1273 (depth = 5)
  Object call1274 = callmethodflags(call1273, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1271);
// compiled member node returning call1274 (depth = 4)
  *var_suggestion = call1274;
  if (call1274 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1275 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1276 = gc_frame_new();
// call case 4: self request
  Object call1277 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1276);
// compiled member node returning call1277 (depth = 4)
  gc_frame_newslot(call1277);
// starting to compile string node (depth = 4)
  if (strlit1278 == NULL) {
    strlit1278 = alloc_String(" ");
    gc_root(strlit1278);
  }
// compiled string node returning strlit1278 (depth = 4)
  gc_frame_newslot(strlit1278);
// starting to compile member node (depth = 4)
  int callframe1279 = gc_frame_new();
// call case 4: self request
  Object call1280 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1279);
// compiled member node returning call1280 (depth = 4)
  gc_frame_newslot(call1280);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = call1277;
  params[1] = strlit1278;
  params[2] = call1280;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1281 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1275);
// compiled call node returning call1281 (depth = 3)
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1284 = alloc_Float64(9);
// compiled num node returning num1284 (depth = 5)
  int op_slot_right_1283 = gc_frame_newslot(num1284);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ordval (depth = 5)
  int op_slot_left_1283 = gc_frame_newslot(*var_ordval);
  params[0] = num1284;
  partcv[0] = 1;
  Object opresult1286 = callmethod(*var_ordval, "==(1)", 1, partcv, params);
// compiled op node returning opresult1286 (depth = 4)
  Object if1282 = done;
  if (istrue(opresult1286)) {
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1287 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1288 == NULL) {
    strlit1288 = alloc_String("tabs are not allowed; use spaces instead.");
    gc_root(strlit1288);
  }
// compiled string node returning strlit1288 (depth = 5)
  gc_frame_newslot(strlit1288);
// starting to compile member node (depth = 5)
  int callframe1289 = gc_frame_new();
// call case 4: self request
  Object call1290 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1289);
// compiled member node returning call1290 (depth = 5)
  gc_frame_newslot(call1290);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1291 = gc_frame_new();
// call case 4: self request
  Object call1292 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1291);
// compiled member node returning call1292 (depth = 5)
  gc_frame_newslot(call1292);
// starting to compile member node (depth = 5)
  int callframe1293 = gc_frame_new();
// call case 4: self request
  Object call1294 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1293);
// compiled member node returning call1294 (depth = 5)
  gc_frame_newslot(call1294);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1288;
  params[1] = call1290;
  params[2] = call1292;
  params[3] = call1294;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1295 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1287);
// compiled call node returning call1295 (depth = 4)
    gc_frame_newslot(call1295);
    if1282 = call1295;
  } else {
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1296 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1298 == NULL) {
    strlit1298 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit1298);
  }
// compiled string node returning strlit1298 (depth = 6)
  int op_slot_right_1297 = gc_frame_newslot(strlit1298);
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1301 == NULL) {
    strlit1301 = alloc_String(") ");
    gc_root(strlit1301);
  }
// compiled string node returning strlit1301 (depth = 7)
  int op_slot_right_1300 = gc_frame_newslot(strlit1301);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1304 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1305 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1306 = alloc_Float64(16);
// compiled num node returning num1306 (depth = 10)
  gc_frame_newslot(num1306);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1306;
  partcv[0] = 1;
  Object call1307 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1305);
// compiled call node returning call1307 (depth = 9)
  gc_frame_newslot(call1307);
// starting to compile num node (depth = 9)
  Object num1308 = alloc_Float64(4);
// compiled num node returning num1308 (depth = 9)
  gc_frame_newslot(num1308);
// starting to compile string node (depth = 9)
  if (strlit1309 == NULL) {
    strlit1309 = alloc_String("0");
    gc_root(strlit1309);
  }
// compiled string node returning strlit1309 (depth = 9)
  gc_frame_newslot(strlit1309);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning module_lexer (depth = 9)
  params[0] = call1307;
  params[1] = num1308;
  params[2] = strlit1309;
  partcv[0] = 3;
  Object call1310 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1304);
// compiled call node returning call1310 (depth = 8)
  int op_slot_right_1303 = gc_frame_newslot(call1310);
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1313 == NULL) {
    strlit1313 = alloc_String(" (U+");
    gc_root(strlit1313);
  }
// compiled string node returning strlit1313 (depth = 9)
  int op_slot_right_1312 = gc_frame_newslot(strlit1313);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1316 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1317 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1316);
// compiled call node returning call1317 (depth = 10)
  int op_slot_right_1315 = gc_frame_newslot(call1317);
// starting to compile string node (depth = 10)
  if (strlit1319 == NULL) {
    strlit1319 = alloc_String("");
    gc_root(strlit1319);
  }
// compiled string node returning strlit1319 (depth = 10)
  int op_slot_left_1315 = gc_frame_newslot(strlit1319);
  params[0] = call1317;
  partcv[0] = 1;
  Object opresult1320 = callmethod(strlit1319, "++(1)", 1, partcv, params);
// compiled op node returning opresult1320 (depth = 9)
  int op_slot_left_1312 = gc_frame_newslot(opresult1320);
  params[0] = strlit1313;
  partcv[0] = 1;
  Object opresult1321 = callmethod(opresult1320, "++(1)", 1, partcv, params);
// compiled op node returning opresult1321 (depth = 8)
  int op_slot_left_1303 = gc_frame_newslot(opresult1321);
  params[0] = call1310;
  partcv[0] = 1;
  Object opresult1322 = callmethod(opresult1321, "++(1)", 1, partcv, params);
// compiled op node returning opresult1322 (depth = 7)
  int op_slot_left_1300 = gc_frame_newslot(opresult1322);
  params[0] = strlit1301;
  partcv[0] = 1;
  Object opresult1323 = callmethod(opresult1322, "++(1)", 1, partcv, params);
// compiled op node returning opresult1323 (depth = 6)
  int op_slot_left_1297 = gc_frame_newslot(opresult1323);
  params[0] = strlit1298;
  partcv[0] = 1;
  Object opresult1324 = callmethod(opresult1323, "++(1)", 1, partcv, params);
// compiled op node returning opresult1324 (depth = 5)
  gc_frame_newslot(opresult1324);
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1325 = gc_frame_new();
// call case 4: self request
  Object call1326 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1325);
// compiled member node returning call1326 (depth = 5)
  gc_frame_newslot(call1326);
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1327 = gc_frame_new();
// call case 4: self request
  Object call1328 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1327);
// compiled member node returning call1328 (depth = 5)
  gc_frame_newslot(call1328);
// starting to compile member node (depth = 5)
  int callframe1329 = gc_frame_new();
// call case 4: self request
  Object call1330 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1329);
// compiled member node returning call1330 (depth = 5)
  gc_frame_newslot(call1330);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1324;
  params[1] = call1326;
  params[2] = call1328;
  params[3] = call1330;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1331 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1296);
// compiled call node returning call1331 (depth = 4)
    gc_frame_newslot(call1331);
    if1282 = call1331;
  }
// compiled if node returning if1282 (depth = 3)
    gc_frame_newslot(if1282);
    if1268 = if1282;
  } else {
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1333 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1334 = callmethodflags(module_lexer, "isBadControl(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1333);
// compiled call node returning call1334 (depth = 4)
  Object if1332 = done;
  if (istrue(call1334)) {
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1335 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1337 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1336);
// compiled member node returning call1337 (depth = 6)
  Object call1338 = callmethodflags(call1337, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1335);
// compiled member node returning call1338 (depth = 5)
  *var_suggestion = call1338;
  if (call1338 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1339 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1340 = gc_frame_new();
// call case 4: self request
  Object call1341 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1340);
// compiled member node returning call1341 (depth = 5)
  gc_frame_newslot(call1341);
// starting to compile member node (depth = 5)
  int callframe1342 = gc_frame_new();
// call case 4: self request
  Object call1343 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1342);
// compiled member node returning call1343 (depth = 5)
  gc_frame_newslot(call1343);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1341;
  params[1] = call1343;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1344 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1339);
// compiled call node returning call1344 (depth = 4)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1345 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1347 == NULL) {
    strlit1347 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit1347);
  }
// compiled string node returning strlit1347 (depth = 6)
  int op_slot_right_1346 = gc_frame_newslot(strlit1347);
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1350 == NULL) {
    strlit1350 = alloc_String(") ");
    gc_root(strlit1350);
  }
// compiled string node returning strlit1350 (depth = 7)
  int op_slot_right_1349 = gc_frame_newslot(strlit1350);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1353 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1354 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1355 = alloc_Float64(16);
// compiled num node returning num1355 (depth = 10)
  gc_frame_newslot(num1355);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1355;
  partcv[0] = 1;
  Object call1356 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1354);
// compiled call node returning call1356 (depth = 9)
  gc_frame_newslot(call1356);
// starting to compile num node (depth = 9)
  Object num1357 = alloc_Float64(4);
// compiled num node returning num1357 (depth = 9)
  gc_frame_newslot(num1357);
// starting to compile string node (depth = 9)
  if (strlit1358 == NULL) {
    strlit1358 = alloc_String("0");
    gc_root(strlit1358);
  }
// compiled string node returning strlit1358 (depth = 9)
  gc_frame_newslot(strlit1358);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning module_lexer (depth = 9)
  params[0] = call1356;
  params[1] = num1357;
  params[2] = strlit1358;
  partcv[0] = 3;
  Object call1359 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1353);
// compiled call node returning call1359 (depth = 8)
  int op_slot_right_1352 = gc_frame_newslot(call1359);
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1362 == NULL) {
    strlit1362 = alloc_String(" (U+");
    gc_root(strlit1362);
  }
// compiled string node returning strlit1362 (depth = 9)
  int op_slot_right_1361 = gc_frame_newslot(strlit1362);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1365 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1366 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1365);
// compiled call node returning call1366 (depth = 10)
  int op_slot_right_1364 = gc_frame_newslot(call1366);
// starting to compile string node (depth = 10)
  if (strlit1368 == NULL) {
    strlit1368 = alloc_String("");
    gc_root(strlit1368);
  }
// compiled string node returning strlit1368 (depth = 10)
  int op_slot_left_1364 = gc_frame_newslot(strlit1368);
  params[0] = call1366;
  partcv[0] = 1;
  Object opresult1369 = callmethod(strlit1368, "++(1)", 1, partcv, params);
// compiled op node returning opresult1369 (depth = 9)
  int op_slot_left_1361 = gc_frame_newslot(opresult1369);
  params[0] = strlit1362;
  partcv[0] = 1;
  Object opresult1370 = callmethod(opresult1369, "++(1)", 1, partcv, params);
// compiled op node returning opresult1370 (depth = 8)
  int op_slot_left_1352 = gc_frame_newslot(opresult1370);
  params[0] = call1359;
  partcv[0] = 1;
  Object opresult1371 = callmethod(opresult1370, "++(1)", 1, partcv, params);
// compiled op node returning opresult1371 (depth = 7)
  int op_slot_left_1349 = gc_frame_newslot(opresult1371);
  params[0] = strlit1350;
  partcv[0] = 1;
  Object opresult1372 = callmethod(opresult1371, "++(1)", 1, partcv, params);
// compiled op node returning opresult1372 (depth = 6)
  int op_slot_left_1346 = gc_frame_newslot(opresult1372);
  params[0] = strlit1347;
  partcv[0] = 1;
  Object opresult1373 = callmethod(opresult1372, "++(1)", 1, partcv, params);
// compiled op node returning opresult1373 (depth = 5)
  gc_frame_newslot(opresult1373);
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1374 = gc_frame_new();
// call case 4: self request
  Object call1375 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1374);
// compiled member node returning call1375 (depth = 5)
  gc_frame_newslot(call1375);
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1376 = gc_frame_new();
// call case 4: self request
  Object call1377 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1376);
// compiled member node returning call1377 (depth = 5)
  gc_frame_newslot(call1377);
// starting to compile member node (depth = 5)
  int callframe1378 = gc_frame_new();
// call case 4: self request
  Object call1379 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1378);
// compiled member node returning call1379 (depth = 5)
  gc_frame_newslot(call1379);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1373;
  params[1] = call1375;
  params[2] = call1377;
  params[3] = call1379;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1380 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1345);
// compiled call node returning call1380 (depth = 4)
    gc_frame_newslot(call1380);
    if1332 = call1380;
  } else {
  }
// compiled if node returning if1332 (depth = 3)
    gc_frame_newslot(if1332);
    if1268 = if1332;
  }
// compiled if node returning if1268 (depth = 2)
  gc_frame_end(frame);
  return if1268;
}
Object meth_lexer_1386__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_unicode = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
// definebindings:
// definebindings:
// definebindings:
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// definebindings:
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1387 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  Object call1388 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1387);
// compiled member node returning call1388 (depth = 5)
  *var_n = call1388;
  if (call1388 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1389 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1389 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1391 = callmethod(*var_val, "*(1)", 1, partcv, params);
// compiled op node returning prod1391 (depth = 5)
  *var_val = prod1391;
  if (prod1391 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1393 = alloc_Float64(0);
// compiled num node returning num1393 (depth = 5)
  *var_inc = num1393;
  if (num1393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1397 = alloc_Float64(57);
// compiled num node returning num1397 (depth = 7)
  int op_slot_right_1396 = gc_frame_newslot(num1397);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1396 = gc_frame_newslot(*var_n);
  params[0] = num1397;
  partcv[0] = 1;
  Object opresult1399 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1399 (depth = 6)
  int op_slot_right_1395 = gc_frame_newslot(opresult1399);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1402 = alloc_Float64(48);
// compiled num node returning num1402 (depth = 7)
  int op_slot_right_1401 = gc_frame_newslot(num1402);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1401 = gc_frame_newslot(*var_n);
  params[0] = num1402;
  partcv[0] = 1;
  Object opresult1404 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1404 (depth = 6)
  int op_slot_left_1395 = gc_frame_newslot(opresult1404);
  params[0] = opresult1399;
  partcv[0] = 1;
  Object opresult1405 = callmethod(opresult1404, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1405 (depth = 5)
  Object if1394 = done;
  if (istrue(opresult1405)) {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1407 = alloc_Float64(48);
// compiled num node returning num1407 (depth = 7)
  int op_slot_right_1406 = gc_frame_newslot(num1407);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1406 = gc_frame_newslot(*var_n);
  params[0] = num1407;
  partcv[0] = 1;
  Object diff1409 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1409 (depth = 6)
  *var_inc = diff1409;
  if (diff1409 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1394 = done;
  } else {
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1414 = alloc_Float64(90);
// compiled num node returning num1414 (depth = 8)
  int op_slot_right_1413 = gc_frame_newslot(num1414);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1413 = gc_frame_newslot(*var_n);
  params[0] = num1414;
  partcv[0] = 1;
  Object opresult1416 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1416 (depth = 7)
  int op_slot_right_1412 = gc_frame_newslot(opresult1416);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1419 = alloc_Float64(65);
// compiled num node returning num1419 (depth = 8)
  int op_slot_right_1418 = gc_frame_newslot(num1419);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1418 = gc_frame_newslot(*var_n);
  params[0] = num1419;
  partcv[0] = 1;
  Object opresult1421 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1421 (depth = 7)
  int op_slot_left_1412 = gc_frame_newslot(opresult1421);
  params[0] = opresult1416;
  partcv[0] = 1;
  Object opresult1422 = callmethod(opresult1421, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1422 (depth = 6)
  Object if1411 = done;
  if (istrue(opresult1422)) {
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1424 = alloc_Float64(55);
// compiled num node returning num1424 (depth = 8)
  int op_slot_right_1423 = gc_frame_newslot(num1424);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1423 = gc_frame_newslot(*var_n);
  params[0] = num1424;
  partcv[0] = 1;
  Object diff1426 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1426 (depth = 7)
  *var_inc = diff1426;
  if (diff1426 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1411 = done;
  } else {
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1429 = alloc_Float64(87);
// compiled num node returning num1429 (depth = 8)
  int op_slot_right_1428 = gc_frame_newslot(num1429);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1428 = gc_frame_newslot(*var_n);
  params[0] = num1429;
  partcv[0] = 1;
  Object diff1431 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1431 (depth = 7)
  *var_inc = diff1431;
  if (diff1431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1411 = done;
  }
// compiled if node returning if1411 (depth = 5)
    gc_frame_newslot(if1411);
    if1394 = if1411;
  }
// compiled if node returning if1394 (depth = 4)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1434 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_left_1434 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1436 = callmethod(*var_inc, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1436 (depth = 5)
  Object if1433 = done;
  if (istrue(opresult1436)) {
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1440 = alloc_Float64(16);
// compiled num node returning num1440 (depth = 8)
  int op_slot_right_1439 = gc_frame_newslot(num1440);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_inc (depth = 8)
  int op_slot_left_1439 = gc_frame_newslot(*var_inc);
  params[0] = num1440;
  partcv[0] = 1;
  Object opresult1442 = callmethod(*var_inc, "<(1)", 1, partcv, params);
// compiled op node returning opresult1442 (depth = 7)
  int op_slot_right_1438 = gc_frame_newslot(opresult1442);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1445 == NULL) {
    strlit1445 = alloc_String("0");
    gc_root(strlit1445);
  }
// compiled string node returning strlit1445 (depth = 8)
  int op_slot_right_1444 = gc_frame_newslot(strlit1445);
// starting to compile member node (depth = 8)
  int callframe1447 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1448 = callmethodflags(*var_str, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1447);
// compiled member node returning call1448 (depth = 8)
  int op_slot_left_1444 = gc_frame_newslot(call1448);
  params[0] = strlit1445;
  partcv[0] = 1;
  Object opresult1449 = callmethod(call1448, "==(1)", 1, partcv, params);
// compiled op node returning opresult1449 (depth = 7)
  int op_slot_left_1438 = gc_frame_newslot(opresult1449);
  params[0] = opresult1442;
  partcv[0] = 1;
  Object opresult1450 = callmethod(opresult1449, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1450 (depth = 6)
  Object if1437 = done;
  if (istrue(opresult1450)) {
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1451 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1452 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1453 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1452);
// compiled member node returning call1453 (depth = 8)
  Object call1454 = callmethodflags(call1453, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1451);
// compiled member node returning call1454 (depth = 7)
  *var_suggestion = call1454;
  if (call1454 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1455 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1456 == NULL) {
    strlit1456 = alloc_String("x");
    gc_root(strlit1456);
  }
// compiled string node returning strlit1456 (depth = 7)
  gc_frame_newslot(strlit1456);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1458 = alloc_Float64(1);
// compiled num node returning num1458 (depth = 8)
  int op_slot_right_1457 = gc_frame_newslot(num1458);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1461 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1462 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1461);
// compiled member node returning call1462 (depth = 9)
  int op_slot_right_1460 = gc_frame_newslot(call1462);
// starting to compile member node (depth = 9)
  int callframe1464 = gc_frame_new();
// call case 4: self request
  Object call1465 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1464);
// compiled member node returning call1465 (depth = 9)
  int op_slot_left_1460 = gc_frame_newslot(call1465);
  params[0] = call1462;
  partcv[0] = 1;
  Object diff1466 = callmethod(call1465, "-(1)", 1, partcv, params);
// compiled op node returning diff1466 (depth = 8)
  int op_slot_left_1457 = gc_frame_newslot(diff1466);
  params[0] = num1458;
  partcv[0] = 1;
  Object sum1467 = callmethod(diff1466, "+(1)", 1, partcv, params);
// compiled op node returning sum1467 (depth = 7)
  gc_frame_newslot(sum1467);
// starting to compile member node (depth = 7)
  int callframe1468 = gc_frame_new();
// call case 4: self request
  Object call1469 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1468);
// compiled member node returning call1469 (depth = 7)
  gc_frame_newslot(call1469);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1456;
  params[1] = sum1467;
  params[2] = call1469;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1470 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1455);
// compiled call node returning call1470 (depth = 6)
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1471 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1472 == NULL) {
    strlit1472 = alloc_String("a number in base 16 must start with '0x'.");
    gc_root(strlit1472);
  }
// compiled string node returning strlit1472 (depth = 7)
  gc_frame_newslot(strlit1472);
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1473 = gc_frame_new();
// call case 4: self request
  Object call1474 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1473);
// compiled member node returning call1474 (depth = 7)
  gc_frame_newslot(call1474);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1476 = alloc_Float64(1);
// compiled num node returning num1476 (depth = 8)
  int op_slot_right_1475 = gc_frame_newslot(num1476);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1479 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1480 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1479);
// compiled member node returning call1480 (depth = 9)
  int op_slot_right_1478 = gc_frame_newslot(call1480);
// starting to compile member node (depth = 9)
  int callframe1482 = gc_frame_new();
// call case 4: self request
  Object call1483 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1482);
// compiled member node returning call1483 (depth = 9)
  int op_slot_left_1478 = gc_frame_newslot(call1483);
  params[0] = call1480;
  partcv[0] = 1;
  Object diff1484 = callmethod(call1483, "-(1)", 1, partcv, params);
// compiled op node returning diff1484 (depth = 8)
  int op_slot_left_1475 = gc_frame_newslot(diff1484);
  params[0] = num1476;
  partcv[0] = 1;
  Object sum1485 = callmethod(diff1484, "+(1)", 1, partcv, params);
// compiled op node returning sum1485 (depth = 7)
  gc_frame_newslot(sum1485);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1472;
  params[1] = call1474;
  params[2] = sum1485;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1486 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1471);
// compiled call node returning call1486 (depth = 6)
    gc_frame_newslot(call1486);
    if1437 = call1486;
  } else {
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1487 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1488 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1489 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1488);
// compiled member node returning call1489 (depth = 8)
  Object call1490 = callmethodflags(call1489, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1487);
// compiled member node returning call1490 (depth = 7)
  *var_suggestion = call1490;
  if (call1490 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1493 = alloc_Float64(1);
// compiled num node returning num1493 (depth = 8)
  int op_slot_right_1492 = gc_frame_newslot(num1493);
// starting to compile member node (depth = 8)
  int callframe1495 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1496 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1495);
// compiled member node returning call1496 (depth = 8)
  int op_slot_left_1492 = gc_frame_newslot(call1496);
  params[0] = num1493;
  partcv[0] = 1;
  Object opresult1497 = callmethod(call1496, "==(1)", 1, partcv, params);
// compiled op node returning opresult1497 (depth = 7)
  Object if1491 = done;
  if (istrue(opresult1497)) {
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1498 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1500 = alloc_Float64(1);
// compiled num node returning num1500 (depth = 9)
  int op_slot_right_1499 = gc_frame_newslot(num1500);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1503 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  Object call1504 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1503);
// compiled member node returning call1504 (depth = 10)
  int op_slot_right_1502 = gc_frame_newslot(call1504);
// starting to compile member node (depth = 10)
  int callframe1506 = gc_frame_new();
// call case 4: self request
  Object call1507 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1506);
// compiled member node returning call1507 (depth = 10)
  int op_slot_left_1502 = gc_frame_newslot(call1507);
  params[0] = call1504;
  partcv[0] = 1;
  Object diff1508 = callmethod(call1507, "-(1)", 1, partcv, params);
// compiled op node returning diff1508 (depth = 9)
  int op_slot_left_1499 = gc_frame_newslot(diff1508);
  params[0] = num1500;
  partcv[0] = 1;
  Object diff1509 = callmethod(diff1508, "-(1)", 1, partcv, params);
// compiled op node returning diff1509 (depth = 8)
  gc_frame_newslot(diff1509);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1511 = alloc_Float64(1);
// compiled num node returning num1511 (depth = 9)
  int op_slot_right_1510 = gc_frame_newslot(num1511);
// starting to compile member node (depth = 9)
  int callframe1513 = gc_frame_new();
// call case 4: self request
  Object call1514 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1513);
// compiled member node returning call1514 (depth = 9)
  int op_slot_left_1510 = gc_frame_newslot(call1514);
  params[0] = num1511;
  partcv[0] = 1;
  Object diff1515 = callmethod(call1514, "-(1)", 1, partcv, params);
// compiled op node returning diff1515 (depth = 8)
  gc_frame_newslot(diff1515);
// starting to compile member node (depth = 8)
  int callframe1516 = gc_frame_new();
// call case 4: self request
  Object call1517 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1516);
// compiled member node returning call1517 (depth = 8)
  gc_frame_newslot(call1517);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = diff1509;
  params[1] = diff1515;
  params[2] = call1517;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1518 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1498);
// compiled call node returning call1518 (depth = 7)
    gc_frame_newslot(call1518);
    if1491 = call1518;
  } else {
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1519 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1520 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1523 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  Object call1524 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1523);
// compiled member node returning call1524 (depth = 10)
  int op_slot_right_1522 = gc_frame_newslot(call1524);
// starting to compile member node (depth = 10)
  int callframe1526 = gc_frame_new();
// call case 4: self request
  Object call1527 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1526);
// compiled member node returning call1527 (depth = 10)
  int op_slot_left_1522 = gc_frame_newslot(call1527);
  params[0] = call1524;
  partcv[0] = 1;
  Object diff1528 = callmethod(call1527, "-(1)", 1, partcv, params);
// compiled op node returning diff1528 (depth = 9)
  int op_slot_left_1520 = gc_frame_newslot(diff1528);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1529 = callmethod(diff1528, "+(1)", 1, partcv, params);
// compiled op node returning sum1529 (depth = 8)
  gc_frame_newslot(sum1529);
// starting to compile member node (depth = 8)
  int callframe1530 = gc_frame_new();
// call case 4: self request
  Object call1531 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1530);
// compiled member node returning call1531 (depth = 8)
  gc_frame_newslot(call1531);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum1529;
  params[1] = call1531;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1532 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1519);
// compiled call node returning call1532 (depth = 7)
    gc_frame_newslot(call1532);
    if1491 = call1532;
  }
// compiled if node returning if1491 (depth = 6)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1535 = alloc_Float64(10);
// compiled num node returning num1535 (depth = 9)
  int op_slot_right_1534 = gc_frame_newslot(num1535);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_left_1534 = gc_frame_newslot(*var_base);
  params[0] = num1535;
  partcv[0] = 1;
  Object opresult1537 = callmethod(*var_base, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1537 (depth = 8)
  Object if1533 = done;
struct StackFrameObject *iftmpstackframe1533 = stackframe;
  if (istrue(opresult1537)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1533);
gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1539 == NULL) {
    strlit1539 = alloc_String("'");
    gc_root(strlit1539);
  }
// compiled string node returning strlit1539 (depth = 9)
  int op_slot_right_1538 = gc_frame_newslot(strlit1539);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1543 = alloc_Float64(1);
// compiled num node returning num1543 (depth = 11)
  int op_slot_right_1542 = gc_frame_newslot(num1543);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_left_1542 = gc_frame_newslot(*var_base);
  params[0] = num1543;
  partcv[0] = 1;
  Object diff1545 = callmethod(*var_base, "-(1)", 1, partcv, params);
// compiled op node returning diff1545 (depth = 10)
  int op_slot_right_1541 = gc_frame_newslot(diff1545);
// starting to compile string node (depth = 10)
  if (strlit1547 == NULL) {
    strlit1547 = alloc_String("'0' to '");
    gc_root(strlit1547);
  }
// compiled string node returning strlit1547 (depth = 10)
  int op_slot_left_1541 = gc_frame_newslot(strlit1547);
  params[0] = diff1545;
  partcv[0] = 1;
  Object opresult1548 = callmethod(strlit1547, "++(1)", 1, partcv, params);
// compiled op node returning opresult1548 (depth = 9)
  int op_slot_left_1538 = gc_frame_newslot(opresult1548);
  params[0] = strlit1539;
  partcv[0] = 1;
  Object opresult1549 = callmethod(opresult1548, "++(1)", 1, partcv, params);
// compiled op node returning opresult1549 (depth = 8)
    gc_frame_newslot(opresult1549);
    if1533 = opresult1549;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1533);
  gc_frame_newslot((Object)stackframe);
// definebindings:
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1551 == NULL) {
    strlit1551 = alloc_String("'");
    gc_root(strlit1551);
  }
// compiled string node returning strlit1551 (depth = 9)
  int op_slot_right_1550 = gc_frame_newslot(strlit1551);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1554 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_base (depth = 12)
  int op_slot_right_1555 = gc_frame_newslot(*var_base);
// starting to compile num node (depth = 12)
  Object num1557 = alloc_Float64(87);
// compiled num node returning num1557 (depth = 12)
  int op_slot_left_1555 = gc_frame_newslot(num1557);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1558 = callmethod(num1557, "+(1)", 1, partcv, params);
// compiled op node returning sum1558 (depth = 11)
  gc_frame_newslot(sum1558);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = sum1558;
  partcv[0] = 1;
  Object call1559 = callmethodflags(*var_unicode, "create(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1554);
// compiled call node returning call1559 (depth = 10)
  int op_slot_right_1553 = gc_frame_newslot(call1559);
// starting to compile string node (depth = 10)
  if (strlit1561 == NULL) {
    strlit1561 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1561);
  }
// compiled string node returning strlit1561 (depth = 10)
  int op_slot_left_1553 = gc_frame_newslot(strlit1561);
  params[0] = call1559;
  partcv[0] = 1;
  Object opresult1562 = callmethod(strlit1561, "++(1)", 1, partcv, params);
// compiled op node returning opresult1562 (depth = 9)
  int op_slot_left_1550 = gc_frame_newslot(opresult1562);
  params[0] = strlit1551;
  partcv[0] = 1;
  Object opresult1563 = callmethod(opresult1562, "++(1)", 1, partcv, params);
// compiled op node returning opresult1563 (depth = 8)
    gc_frame_newslot(opresult1563);
    if1533 = opresult1563;
  }
stackframe = iftmpstackframe1533;
// compiled if node returning if1533 (depth = 7)
  *var_validDigits = if1533;
  if (if1533 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1564 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1566 == NULL) {
    strlit1566 = alloc_String(".");
    gc_root(strlit1566);
  }
// compiled string node returning strlit1566 (depth = 8)
  int op_slot_right_1565 = gc_frame_newslot(strlit1566);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_validDigits (depth = 9)
  int op_slot_right_1568 = gc_frame_newslot(*var_validDigits);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1571 == NULL) {
    strlit1571 = alloc_String(". Valid digits are ");
    gc_root(strlit1571);
  }
// compiled string node returning strlit1571 (depth = 10)
  int op_slot_right_1570 = gc_frame_newslot(strlit1571);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_right_1573 = gc_frame_newslot(*var_base);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1576 == NULL) {
    strlit1576 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1576);
  }
// compiled string node returning strlit1576 (depth = 12)
  int op_slot_right_1575 = gc_frame_newslot(strlit1576);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_right_1578 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 13)
  if (strlit1580 == NULL) {
    strlit1580 = alloc_String("'");
    gc_root(strlit1580);
  }
// compiled string node returning strlit1580 (depth = 13)
  int op_slot_left_1578 = gc_frame_newslot(strlit1580);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1581 = callmethod(strlit1580, "++(1)", 1, partcv, params);
// compiled op node returning opresult1581 (depth = 12)
  int op_slot_left_1575 = gc_frame_newslot(opresult1581);
  params[0] = strlit1576;
  partcv[0] = 1;
  Object opresult1582 = callmethod(opresult1581, "++(1)", 1, partcv, params);
// compiled op node returning opresult1582 (depth = 11)
  int op_slot_left_1573 = gc_frame_newslot(opresult1582);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1583 = callmethod(opresult1582, "++(1)", 1, partcv, params);
// compiled op node returning opresult1583 (depth = 10)
  int op_slot_left_1570 = gc_frame_newslot(opresult1583);
  params[0] = strlit1571;
  partcv[0] = 1;
  Object opresult1584 = callmethod(opresult1583, "++(1)", 1, partcv, params);
// compiled op node returning opresult1584 (depth = 9)
  int op_slot_left_1568 = gc_frame_newslot(opresult1584);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1585 = callmethod(opresult1584, "++(1)", 1, partcv, params);
// compiled op node returning opresult1585 (depth = 8)
  int op_slot_left_1565 = gc_frame_newslot(opresult1585);
  params[0] = strlit1566;
  partcv[0] = 1;
  Object opresult1586 = callmethod(opresult1585, "++(1)", 1, partcv, params);
// compiled op node returning opresult1586 (depth = 7)
  gc_frame_newslot(opresult1586);
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1587 = gc_frame_new();
// call case 4: self request
  Object call1588 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1587);
// compiled member node returning call1588 (depth = 7)
  gc_frame_newslot(call1588);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1589 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1592 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1593 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1592);
// compiled member node returning call1593 (depth = 9)
  int op_slot_right_1591 = gc_frame_newslot(call1593);
// starting to compile member node (depth = 9)
  int callframe1595 = gc_frame_new();
// call case 4: self request
  Object call1596 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1595);
// compiled member node returning call1596 (depth = 9)
  int op_slot_left_1591 = gc_frame_newslot(call1596);
  params[0] = call1593;
  partcv[0] = 1;
  Object diff1597 = callmethod(call1596, "-(1)", 1, partcv, params);
// compiled op node returning diff1597 (depth = 8)
  int op_slot_left_1589 = gc_frame_newslot(diff1597);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1598 = callmethod(diff1597, "+(1)", 1, partcv, params);
// compiled op node returning sum1598 (depth = 7)
  gc_frame_newslot(sum1598);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1599 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1602 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1603 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1602);
// compiled member node returning call1603 (depth = 9)
  int op_slot_right_1601 = gc_frame_newslot(call1603);
// starting to compile member node (depth = 9)
  int callframe1605 = gc_frame_new();
// call case 4: self request
  Object call1606 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1605);
// compiled member node returning call1606 (depth = 9)
  int op_slot_left_1601 = gc_frame_newslot(call1606);
  params[0] = call1603;
  partcv[0] = 1;
  Object diff1607 = callmethod(call1606, "-(1)", 1, partcv, params);
// compiled op node returning diff1607 (depth = 8)
  int op_slot_left_1599 = gc_frame_newslot(diff1607);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1608 = callmethod(diff1607, "+(1)", 1, partcv, params);
// compiled op node returning sum1608 (depth = 7)
  gc_frame_newslot(sum1608);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1586;
  params[1] = call1588;
  params[2] = sum1598;
  params[3] = sum1608;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1609 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1564);
// compiled call node returning call1609 (depth = 6)
    gc_frame_newslot(call1609);
    if1437 = call1609;
  }
// compiled if node returning if1437 (depth = 5)
    gc_frame_newslot(if1437);
    if1433 = if1437;
  } else {
  }
// compiled if node returning if1433 (depth = 4)
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_right_1610 = gc_frame_newslot(*var_inc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1610 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1612 = callmethod(*var_val, "+(1)", 1, partcv, params);
// compiled op node returning sum1612 (depth = 5)
  *var_val = sum1612;
  if (sum1612 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1615 = alloc_Float64(1);
// compiled num node returning num1615 (depth = 6)
  int op_slot_right_1614 = gc_frame_newslot(num1615);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1614 = gc_frame_newslot(*var_i);
  params[0] = num1615;
  partcv[0] = 1;
  Object sum1617 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1617 (depth = 5)
  *var_i = sum1617;
  if (sum1617 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_1381_fromBase_40_2_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 71, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method fromBase(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromBase(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part fromBase(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1382 = alloc_Float64(0);
// compiled num node returning num1382 (depth = 3)
  *var_val = num1382;
  if (num1382 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1383 = alloc_Float64(0);
// compiled num node returning num1383 (depth = 3)
  *var_i = num1383;
  if (num1383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1384 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_str (depth = 3)
  gc_frame_newslot(*var_str);
// starting to compile block node (depth = 3)
  Object block1385 = alloc_Block(NULL, NULL, "lexer", 966);
  gc_frame_newslot(block1385);
// method "_apply(_)"
  block_savedest(block1385);
  Object closure1386 = createclosure(7, "_apply(1)");
  setclosureframe(closure1386, stackframe);
  addtoclosure(closure1386, var_base);
  addtoclosure(closure1386, var_val);
  addtoclosure(closure1386, var_str);
  addtoclosure(closure1386, var_errormessages);
  addtoclosure(closure1386, var_i);
  addtoclosure(closure1386, var_unicode);
  addtoclosure(closure1386, selfslot);
  struct UserObject *uo1386 = (struct UserObject*)block1385;
  uo1386->data[0] = (Object)closure1386;
  Method *meth_meth_lexer_1386__apply_40_1_41_ = addmethod2pos(block1385, "_apply(1)", &meth_lexer_1386__apply_40_1_41_, 0);
  int argcv_meth_lexer_1386__apply_40_1_41_[] = {1};
  meth_meth_lexer_1386__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1386__apply_40_1_41_);
  meth_meth_lexer_1386__apply_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1386__apply_40_1_41_->definitionLine = 1204;
// compiled block node returning block1385 (depth = 3)
  gc_frame_newslot(block1385);
// call case 5: prelude request
  params[0] = *var_str;
  params[1] = block1385;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1620 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1384);
// compiled call node returning call1620 (depth = 2)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_val (depth = 2)
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer_1621_hexdecchar_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 72, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hexdecchar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method hexdecchar(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for hexdecchar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part hexdecchar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_AOrd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "AOrd");
  Object *var_aOrd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "aOrd");
  Object *var_zeroOrd = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "zeroOrd");
  Object *var_cOrd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cOrd");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1622 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1623 == NULL) {
    strlit1623 = alloc_String("A");
    gc_root(strlit1623);
  }
// compiled string node returning strlit1623 (depth = 4)
  Object call1624 = callmethodflags(strlit1623, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1622);
// compiled member node returning call1624 (depth = 3)
  *var_AOrd = call1624;
  if (call1624 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1625 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1626 == NULL) {
    strlit1626 = alloc_String("a");
    gc_root(strlit1626);
  }
// compiled string node returning strlit1626 (depth = 4)
  Object call1627 = callmethodflags(strlit1626, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1625);
// compiled member node returning call1627 (depth = 3)
  *var_aOrd = call1627;
  if (call1627 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1628 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1629 == NULL) {
    strlit1629 = alloc_String("0");
    gc_root(strlit1629);
  }
// compiled string node returning strlit1629 (depth = 4)
  Object call1630 = callmethodflags(strlit1629, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1628);
// compiled member node returning call1630 (depth = 3)
  *var_zeroOrd = call1630;
  if (call1630 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1631 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call1632 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1631);
// compiled member node returning call1632 (depth = 3)
  *var_cOrd = call1632;
  if (call1632 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1636 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 6)
  if (strlit1637 == NULL) {
    strlit1637 = alloc_String("F");
    gc_root(strlit1637);
  }
// compiled string node returning strlit1637 (depth = 6)
  Object call1638 = callmethodflags(strlit1637, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1636);
// compiled member node returning call1638 (depth = 5)
  int op_slot_right_1635 = gc_frame_newslot(call1638);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1635 = gc_frame_newslot(*var_cOrd);
  params[0] = call1638;
  partcv[0] = 1;
  Object opresult1640 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1640 (depth = 4)
  int op_slot_right_1634 = gc_frame_newslot(opresult1640);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1642 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1642 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object opresult1644 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1644 (depth = 4)
  int op_slot_left_1634 = gc_frame_newslot(opresult1644);
  params[0] = opresult1640;
  partcv[0] = 1;
  Object opresult1645 = callmethod(opresult1644, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1645 (depth = 3)
  Object if1633 = done;
  if (istrue(opresult1645)) {
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1647 = alloc_Float64(10);
// compiled num node returning num1647 (depth = 4)
  int op_slot_right_1646 = gc_frame_newslot(num1647);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1649 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1649 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object diff1651 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1651 (depth = 4)
  int op_slot_left_1646 = gc_frame_newslot(diff1651);
  params[0] = num1647;
  partcv[0] = 1;
  Object sum1652 = callmethod(diff1651, "+(1)", 1, partcv, params);
// compiled op node returning sum1652 (depth = 3)
    gc_frame_newslot(sum1652);
    if1633 = sum1652;
  } else {
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1656 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 7)
  if (strlit1657 == NULL) {
    strlit1657 = alloc_String("f");
    gc_root(strlit1657);
  }
// compiled string node returning strlit1657 (depth = 7)
  Object call1658 = callmethodflags(strlit1657, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1656);
// compiled member node returning call1658 (depth = 6)
  int op_slot_right_1655 = gc_frame_newslot(call1658);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1655 = gc_frame_newslot(*var_cOrd);
  params[0] = call1658;
  partcv[0] = 1;
  Object opresult1660 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1660 (depth = 5)
  int op_slot_right_1654 = gc_frame_newslot(opresult1660);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1662 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1662 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object opresult1664 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1664 (depth = 5)
  int op_slot_left_1654 = gc_frame_newslot(opresult1664);
  params[0] = opresult1660;
  partcv[0] = 1;
  Object opresult1665 = callmethod(opresult1664, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1665 (depth = 4)
  Object if1653 = done;
  if (istrue(opresult1665)) {
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1667 = alloc_Float64(10);
// compiled num node returning num1667 (depth = 5)
  int op_slot_right_1666 = gc_frame_newslot(num1667);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1669 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1669 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object diff1671 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1671 (depth = 5)
  int op_slot_left_1666 = gc_frame_newslot(diff1671);
  params[0] = num1667;
  partcv[0] = 1;
  Object sum1672 = callmethod(diff1671, "+(1)", 1, partcv, params);
// compiled op node returning sum1672 (depth = 4)
    gc_frame_newslot(sum1672);
    if1653 = sum1672;
  } else {
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1676 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 8)
  if (strlit1677 == NULL) {
    strlit1677 = alloc_String("9");
    gc_root(strlit1677);
  }
// compiled string node returning strlit1677 (depth = 8)
  Object call1678 = callmethodflags(strlit1677, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1676);
// compiled member node returning call1678 (depth = 7)
  int op_slot_right_1675 = gc_frame_newslot(call1678);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1675 = gc_frame_newslot(*var_cOrd);
  params[0] = call1678;
  partcv[0] = 1;
  Object opresult1680 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1680 (depth = 6)
  int op_slot_right_1674 = gc_frame_newslot(opresult1680);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_zeroOrd (depth = 7)
  int op_slot_right_1682 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1682 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object opresult1684 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1684 (depth = 6)
  int op_slot_left_1674 = gc_frame_newslot(opresult1684);
  params[0] = opresult1680;
  partcv[0] = 1;
  Object opresult1685 = callmethod(opresult1684, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1685 (depth = 5)
  Object if1673 = done;
  if (istrue(opresult1685)) {
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_zeroOrd (depth = 6)
  int op_slot_right_1686 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1686 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object diff1688 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1688 (depth = 5)
    gc_frame_newslot(diff1688);
    if1673 = diff1688;
  } else {
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1689 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1691 == NULL) {
    strlit1691 = alloc_String("' must be a hexadecimal digit");
    gc_root(strlit1691);
  }
// compiled string node returning strlit1691 (depth = 7)
  int op_slot_right_1690 = gc_frame_newslot(strlit1691);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_1693 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 8)
  if (strlit1695 == NULL) {
    strlit1695 = alloc_String("the character '");
    gc_root(strlit1695);
  }
// compiled string node returning strlit1695 (depth = 8)
  int op_slot_left_1693 = gc_frame_newslot(strlit1695);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1696 = callmethod(strlit1695, "++(1)", 1, partcv, params);
// compiled op node returning opresult1696 (depth = 7)
  int op_slot_left_1690 = gc_frame_newslot(opresult1696);
  params[0] = strlit1691;
  partcv[0] = 1;
  Object opresult1697 = callmethod(opresult1696, "++(1)", 1, partcv, params);
// compiled op node returning opresult1697 (depth = 6)
  gc_frame_newslot(opresult1697);
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1698 = gc_frame_new();
// call case 4: self request
  Object call1699 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1698);
// compiled member node returning call1699 (depth = 6)
  gc_frame_newslot(call1699);
// starting to compile member node (depth = 6)
  int callframe1700 = gc_frame_new();
// call case 4: self request
  Object call1701 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1700);
// compiled member node returning call1701 (depth = 6)
  gc_frame_newslot(call1701);
// starting to compile member node (depth = 6)
  int callframe1702 = gc_frame_new();
// call case 4: self request
  Object call1703 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1702);
// compiled member node returning call1703 (depth = 6)
  gc_frame_newslot(call1703);
// call case 6: other requests
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult1697;
  params[1] = call1699;
  params[2] = call1701;
  params[3] = call1703;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1704 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe1689);
// compiled call node returning call1704 (depth = 5)
    gc_frame_newslot(call1704);
    if1673 = call1704;
  }
// compiled if node returning if1673 (depth = 4)
    gc_frame_newslot(if1673);
    if1653 = if1673;
  }
// compiled if node returning if1653 (depth = 3)
    gc_frame_newslot(if1653);
    if1633 = if1653;
  }
// compiled if node returning if1633 (depth = 2)
  gc_frame_end(frame);
  return if1633;
}
Object meth_lexer_1721__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_wasCR = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1724 == NULL) {
    strlit1724 = alloc_String("""\x0d""");
    gc_root(strlit1724);
  }
// compiled string node returning strlit1724 (depth = 6)
  int op_slot_right_1723 = gc_frame_newslot(strlit1724);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_1723 = gc_frame_newslot(*var_c);
  params[0] = strlit1724;
  partcv[0] = 1;
  Object opresult1726 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1726 (depth = 5)
  Object if1722 = done;
  if (istrue(opresult1726)) {
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1727 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lines (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1728 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1727);
// compiled call node returning call1728 (depth = 5)
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1729 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLine (depth = 6)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLines (depth = 6)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1730 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1729);
// compiled call node returning call1730 (depth = 5)
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1731 == NULL) {
    strlit1731 = alloc_String("");
    gc_root(strlit1731);
  }
// compiled string node returning strlit1731 (depth = 6)
  *var_line = strlit1731;
  if (strlit1731 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1733 == NULL) {
    strlit1733 = alloc_String("");
    gc_root(strlit1733);
  }
// compiled string node returning strlit1733 (depth = 6)
  *var_cLine = strlit1733;
  if (strlit1733 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1735 = alloc_Boolean(1);
// compiled identifier node returning bool1735 (depth = 6)
  *var_wasCR = bool1735;
  if (bool1735 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1722 = done;
  } else {
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1739 == NULL) {
    strlit1739 = alloc_String("""\x0a""");
    gc_root(strlit1739);
  }
// compiled string node returning strlit1739 (depth = 7)
  int op_slot_right_1738 = gc_frame_newslot(strlit1739);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1738 = gc_frame_newslot(*var_c);
  params[0] = strlit1739;
  partcv[0] = 1;
  Object opresult1741 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1741 (depth = 6)
  Object if1737 = done;
  if (istrue(opresult1741)) {
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_wasCR (depth = 7)
  Object if1742 = done;
  if (istrue(*var_wasCR)) {
    gc_frame_newslot(done);
    if1742 = done;
  } else {
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1743 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1744 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1743);
// compiled call node returning call1744 (depth = 7)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1745 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1746 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1745);
// compiled call node returning call1746 (depth = 7)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1747 == NULL) {
    strlit1747 = alloc_String("");
    gc_root(strlit1747);
  }
// compiled string node returning strlit1747 (depth = 8)
  *var_line = strlit1747;
  if (strlit1747 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1749 == NULL) {
    strlit1749 = alloc_String("");
    gc_root(strlit1749);
  }
// compiled string node returning strlit1749 (depth = 8)
  *var_cLine = strlit1749;
  if (strlit1749 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1742 = done;
  }
// compiled if node returning if1742 (depth = 6)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1751 = alloc_Boolean(0);
// compiled identifier node returning bool1751 (depth = 7)
  *var_wasCR = bool1751;
  if (bool1751 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1737 = done;
  } else {
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1755 == NULL) {
    strlit1755 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1755);
  }
// compiled string node returning strlit1755 (depth = 8)
  int op_slot_right_1754 = gc_frame_newslot(strlit1755);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_1754 = gc_frame_newslot(*var_c);
  params[0] = strlit1755;
  partcv[0] = 1;
  Object opresult1757 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1757 (depth = 7)
  Object if1753 = done;
  if (istrue(opresult1757)) {
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1758 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1759 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1758);
// compiled call node returning call1759 (depth = 7)
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1760 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1761 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1760);
// compiled call node returning call1761 (depth = 7)
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1762 == NULL) {
    strlit1762 = alloc_String("");
    gc_root(strlit1762);
  }
// compiled string node returning strlit1762 (depth = 8)
  *var_line = strlit1762;
  if (strlit1762 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1764 == NULL) {
    strlit1764 = alloc_String("");
    gc_root(strlit1764);
  }
// compiled string node returning strlit1764 (depth = 8)
  *var_cLine = strlit1764;
  if (strlit1764 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1766 = alloc_Boolean(0);
// compiled identifier node returning bool1766 (depth = 8)
  *var_wasCR = bool1766;
  if (bool1766 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1753 = done;
  } else {
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1770 == NULL) {
    strlit1770 = alloc_String("\\");
    gc_root(strlit1770);
  }
// compiled string node returning strlit1770 (depth = 9)
  int op_slot_right_1769 = gc_frame_newslot(strlit1770);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_1769 = gc_frame_newslot(*var_c);
  params[0] = strlit1770;
  partcv[0] = 1;
  Object opresult1772 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1772 (depth = 8)
  Object if1768 = done;
  if (istrue(opresult1772)) {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_1773 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_1773 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1775 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1775 (depth = 9)
  *var_line = opresult1775;
  if (opresult1775 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1778 == NULL) {
    strlit1778 = alloc_String("\\\\");
    gc_root(strlit1778);
  }
// compiled string node returning strlit1778 (depth = 10)
  int op_slot_right_1777 = gc_frame_newslot(strlit1778);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_cLine (depth = 10)
  int op_slot_left_1777 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1778;
  partcv[0] = 1;
  Object opresult1780 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1780 (depth = 9)
  *var_cLine = opresult1780;
  if (opresult1780 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool1782 = alloc_Boolean(0);
// compiled identifier node returning bool1782 (depth = 9)
  *var_wasCR = bool1782;
  if (bool1782 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1768 = done;
  } else {
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1786 == NULL) {
    strlit1786 = alloc_String("""\x22""");
    gc_root(strlit1786);
  }
// compiled string node returning strlit1786 (depth = 10)
  int op_slot_right_1785 = gc_frame_newslot(strlit1786);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_1785 = gc_frame_newslot(*var_c);
  params[0] = strlit1786;
  partcv[0] = 1;
  Object opresult1788 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1788 (depth = 9)
  Object if1784 = done;
  if (istrue(opresult1788)) {
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1789 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1789 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1791 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1791 (depth = 10)
  *var_line = opresult1791;
  if (opresult1791 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1794 == NULL) {
    strlit1794 = alloc_String("\\""\x22""");
    gc_root(strlit1794);
  }
// compiled string node returning strlit1794 (depth = 11)
  int op_slot_right_1793 = gc_frame_newslot(strlit1794);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1793 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1794;
  partcv[0] = 1;
  Object opresult1796 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1796 (depth = 10)
  *var_cLine = opresult1796;
  if (opresult1796 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1798 = alloc_Boolean(0);
// compiled identifier node returning bool1798 (depth = 10)
  *var_wasCR = bool1798;
  if (bool1798 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1784 = done;
  } else {
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1800 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1800 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1802 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1802 (depth = 10)
  *var_line = opresult1802;
  if (opresult1802 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1804 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1804 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1806 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1806 (depth = 10)
  *var_cLine = opresult1806;
  if (opresult1806 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1808 = alloc_Boolean(0);
// compiled identifier node returning bool1808 (depth = 10)
  *var_wasCR = bool1808;
  if (bool1808 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1784 = done;
  }
// compiled if node returning if1784 (depth = 8)
    gc_frame_newslot(if1784);
    if1768 = if1784;
  }
// compiled if node returning if1768 (depth = 7)
    gc_frame_newslot(if1768);
    if1753 = if1768;
  }
// compiled if node returning if1753 (depth = 6)
    gc_frame_newslot(if1753);
    if1737 = if1753;
  }
// compiled if node returning if1737 (depth = 5)
    gc_frame_newslot(if1737);
    if1722 = if1737;
  }
// compiled if node returning if1722 (depth = 4)
  gc_frame_end(frame);
  return if1722;
}
Object meth_lexer_1705_lexfile_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 73, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexfile(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexfile(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lexfile(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_wasCR = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "wasCR");
// definebindings:
// definebindings:
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1706 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1707 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1708 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe1707);
// compiled member node returning call1708 (depth = 4)
  Object call1709 = callmethodflags(call1708, "makeEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1706);
// compiled member node returning call1709 (depth = 3)
  *var_lines = call1709;
  if (call1709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1710 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1711 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1712 = callmethodflags(*var_util, "cLines", 0, partcv, params, 0);
  gc_frame_end(callframe1711);
// compiled member node returning call1712 (depth = 4)
  Object call1713 = callmethodflags(call1712, "makeEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1710);
// compiled member node returning call1713 (depth = 3)
  *var_cLines = call1713;
  if (call1713 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1714 == NULL) {
    strlit1714 = alloc_String("");
    gc_root(strlit1714);
  }
// compiled string node returning strlit1714 (depth = 3)
  *var_line = strlit1714;
  if (strlit1714 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1715 == NULL) {
    strlit1715 = alloc_String("");
    gc_root(strlit1715);
  }
// compiled string node returning strlit1715 (depth = 3)
  *var_cLine = strlit1715;
  if (strlit1715 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1716 = alloc_Boolean(0);
// compiled identifier node returning bool1716 (depth = 3)
  *var_wasCR = bool1716;
  if (bool1716 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1717 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1718 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_file (depth = 4)
  Object call1719 = callmethodflags(*var_file, "read", 0, partcv, params, 0);
  gc_frame_end(callframe1718);
// compiled member node returning call1719 (depth = 3)
  gc_frame_newslot(call1719);
// starting to compile block node (depth = 3)
  Object block1720 = alloc_Block(NULL, NULL, "lexer", 1033);
  gc_frame_newslot(block1720);
// method "_apply(_)"
  block_savedest(block1720);
  Object closure1721 = createclosure(6, "_apply(1)");
  setclosureframe(closure1721, stackframe);
  addtoclosure(closure1721, var_line);
  addtoclosure(closure1721, var_lines);
  addtoclosure(closure1721, var_cLine);
  addtoclosure(closure1721, var_cLines);
  addtoclosure(closure1721, var_wasCR);
  addtoclosure(closure1721, selfslot);
  struct UserObject *uo1721 = (struct UserObject*)block1720;
  uo1721->data[0] = (Object)closure1721;
  Method *meth_meth_lexer_1721__apply_40_1_41_ = addmethod2pos(block1720, "_apply(1)", &meth_lexer_1721__apply_40_1_41_, 0);
  int argcv_meth_lexer_1721__apply_40_1_41_[] = {1};
  meth_meth_lexer_1721__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1721__apply_40_1_41_);
  meth_meth_lexer_1721__apply_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1721__apply_40_1_41_->definitionLine = 1204;
// compiled block node returning block1720 (depth = 3)
  gc_frame_newslot(block1720);
// call case 5: prelude request
  params[0] = call1719;
  params[1] = block1720;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1811 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1717);
// compiled call node returning call1811 (depth = 2)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1814 == NULL) {
    strlit1814 = alloc_String("");
    gc_root(strlit1814);
  }
// compiled string node returning strlit1814 (depth = 4)
  int op_slot_right_1813 = gc_frame_newslot(strlit1814);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  int op_slot_left_1813 = gc_frame_newslot(*var_line);
  params[0] = strlit1814;
  partcv[0] = 1;
  Object opresult1816 = callmethod(*var_line, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1816 (depth = 3)
  Object if1812 = done;
  if (istrue(opresult1816)) {
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1817 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lines (depth = 4)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1818 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1817);
// compiled call node returning call1818 (depth = 3)
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1819 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLine (depth = 4)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLines (depth = 4)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1820 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1819);
// compiled call node returning call1820 (depth = 3)
    gc_frame_newslot(call1820);
    if1812 = call1820;
  } else {
  }
// compiled if node returning if1812 (depth = 2)
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1821 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lines (depth = 3)
  gc_frame_newslot(*var_lines);
// call case 4: self request
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1822 = callmethodflags(self, "lexinput(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1821);
// compiled call node returning call1822 (depth = 2)
  gc_frame_end(frame);
  return call1822;
}
Object meth_lexer_1830_savePosition(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "savePosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile array node (depth = 5)
  Object array1831 = alloc_BuiltinList();
  gc_pause();
// starting to compile member node (depth = 6)
  int callframe1832 = gc_frame_new();
// call case 4: self request
  Object call1833 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1832);
// compiled member node returning call1833 (depth = 6)
  params[0] = call1833;
  partcv[0] = 1;
  callmethodflags(array1831, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile member node (depth = 6)
  int callframe1834 = gc_frame_new();
// call case 4: self request
  Object call1835 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1834);
// compiled member node returning call1835 (depth = 6)
  params[0] = call1835;
  partcv[0] = 1;
  callmethodflags(array1831, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile member node (depth = 6)
  int callframe1836 = gc_frame_new();
// call case 4: self request
  Object call1837 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1836);
// compiled member node returning call1837 (depth = 6)
  params[0] = call1837;
  partcv[0] = 1;
  callmethodflags(array1831, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1831 (depth = 5)
  return array1831;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_1838_restorePosition_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "restorePosition(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method restorePosition(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for restorePosition(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_saved = &(stackframe->slots[0]);
  *var_saved = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part restorePosition(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1839 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1840 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_saved (depth = 6)
  Object call1841 = callmethodflags(*var_saved, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1840);
// compiled member node returning call1841 (depth = 5)
  gc_frame_newslot(call1841);
// call case 4: self request
  params[0] = call1841;
  partcv[0] = 1;
  Object call1842 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1839);
// compiled call node returning call1842 (depth = 4)
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1843 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1844 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_saved (depth = 6)
  Object call1845 = callmethodflags(*var_saved, "second", 0, partcv, params, 0);
  gc_frame_end(callframe1844);
// compiled member node returning call1845 (depth = 5)
  gc_frame_newslot(call1845);
// call case 4: self request
  params[0] = call1845;
  partcv[0] = 1;
  Object call1846 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1843);
// compiled call node returning call1846 (depth = 4)
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1847 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1848 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_saved (depth = 6)
  Object call1849 = callmethodflags(*var_saved, "third", 0, partcv, params, 0);
  gc_frame_end(callframe1848);
// compiled member node returning call1849 (depth = 5)
  gc_frame_newslot(call1849);
// call case 4: self request
  params[0] = call1849;
  partcv[0] = 1;
  Object call1850 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1847);
// compiled call node returning call1850 (depth = 4)
  gc_frame_end(frame);
  return call1850;
}
Object meth_lexer_1851_push_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "push(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method push(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for push(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part push(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
  Object *var_m1 = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "m1");
  Object *var_m2 = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "m2");
  Object *var_m3 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "m3");
  Object *var_m4 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "m4");
  Object *var_m5 = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "m5");
  Object *var_m6 = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "m6");
  Object *var_msg = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "msg");
// definebindings:
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1854 = alloc_Boolean(0);
// compiled identifier node returning bool1854 (depth = 6)
  int op_slot_right_1853 = gc_frame_newslot(bool1854);
// starting to compile member node (depth = 6)
  int callframe1856 = gc_frame_new();
// call case 4: self request
  Object call1857 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1856);
// compiled member node returning call1857 (depth = 6)
  int op_slot_left_1853 = gc_frame_newslot(call1857);
  params[0] = bool1854;
  partcv[0] = 1;
  Object opresult1858 = callmethod(call1857, "==(1)", 1, partcv, params);
// compiled op node returning opresult1858 (depth = 5)
  Object if1852 = done;
  if (istrue(opresult1858)) {
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1859 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1860 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1859);
// compiled call node returning call1860 (depth = 5)
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1861 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1862 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1861);
// compiled call node returning call1862 (depth = 5)
    gc_frame_newslot(call1862);
    if1852 = call1862;
  } else {
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1863 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1864 = gc_frame_new();
// call case 4: self request
  Object call1865 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1864);
// compiled member node returning call1865 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1866 = callmethodflags(call1865, "next:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1863);
// compiled call node returning call1866 (depth = 5)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1867 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1868 = gc_frame_new();
// call case 4: self request
  Object call1869 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1868);
// compiled member node returning call1869 (depth = 6)
  gc_frame_newslot(call1869);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  params[0] = call1869;
  partcv[0] = 1;
  Object call1870 = callmethodflags(*var_t, "prev:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1867);
// compiled call node returning call1870 (depth = 5)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1873 = alloc_Float64(1);
// compiled num node returning num1873 (depth = 7)
  int op_slot_right_1872 = gc_frame_newslot(num1873);
// starting to compile member node (depth = 7)
  int callframe1875 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1877 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1878 = gc_frame_new();
// call case 4: self request
  Object call1879 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1878);
// compiled member node returning call1879 (depth = 10)
  Object call1880 = callmethodflags(call1879, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe1877);
// compiled member node returning call1880 (depth = 9)
  int op_slot_right_1876 = gc_frame_newslot(call1880);
// starting to compile member node (depth = 9)
  int callframe1882 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call1883 = callmethodflags(*var_t, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe1882);
// compiled member node returning call1883 (depth = 9)
  int op_slot_left_1876 = gc_frame_newslot(call1883);
  params[0] = call1880;
  partcv[0] = 1;
  Object diff1884 = callmethod(call1883, "-(1)", 1, partcv, params);
// compiled op node returning diff1884 (depth = 8)
  Object call1885 = callmethodflags(diff1884, "abs", 0, partcv, params, 0);
  gc_frame_end(callframe1875);
// compiled member node returning call1885 (depth = 7)
  int op_slot_left_1872 = gc_frame_newslot(call1885);
  params[0] = num1873;
  partcv[0] = 1;
  Object opresult1886 = callmethod(call1885, "==(1)", 1, partcv, params);
// compiled op node returning opresult1886 (depth = 6)
  Object if1871 = done;
  if (istrue(opresult1886)) {
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1887 == NULL) {
    strlit1887 = alloc_String("the indentation for this line can't differ ");
    gc_root(strlit1887);
  }
// compiled string node returning strlit1887 (depth = 7)
  *var_m1 = strlit1887;
  if (strlit1887 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1888 == NULL) {
    strlit1888 = alloc_String("from that of the previous line by 1.""\x0a""  To start a block, or ");
    gc_root(strlit1888);
  }
// compiled string node returning strlit1888 (depth = 7)
  *var_m2 = strlit1888;
  if (strlit1888 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1889 == NULL) {
    strlit1889 = alloc_String("continue a statement on the next line line, indent by 2 or more. ");
    gc_root(strlit1889);
  }
// compiled string node returning strlit1889 (depth = 7)
  *var_m3 = strlit1889;
  if (strlit1889 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1890 == NULL) {
    strlit1890 = alloc_String("To end a block, or end the continuation, decrease the indent ");
    gc_root(strlit1890);
  }
// compiled string node returning strlit1890 (depth = 7)
  *var_m4 = strlit1890;
  if (strlit1890 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1891 == NULL) {
    strlit1891 = alloc_String("to the prior level. ");
    gc_root(strlit1891);
  }
// compiled string node returning strlit1891 (depth = 7)
  *var_m5 = strlit1891;
  if (strlit1891 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1892 == NULL) {
    strlit1892 = alloc_String("Otherwise, use the same indentation as the previous line.");
    gc_root(strlit1892);
  }
// compiled string node returning strlit1892 (depth = 7)
  *var_m6 = strlit1892;
  if (strlit1892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_m6 (depth = 8)
  int op_slot_right_1893 = gc_frame_newslot(*var_m6);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_m5 (depth = 9)
  int op_slot_right_1895 = gc_frame_newslot(*var_m5);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_m4 (depth = 10)
  int op_slot_right_1897 = gc_frame_newslot(*var_m4);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_m3 (depth = 11)
  int op_slot_right_1899 = gc_frame_newslot(*var_m3);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_m2 (depth = 12)
  int op_slot_right_1901 = gc_frame_newslot(*var_m2);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_m1 (depth = 12)
  int op_slot_left_1901 = gc_frame_newslot(*var_m1);
  params[0] = *var_m2;
  partcv[0] = 1;
  Object opresult1903 = callmethod(*var_m1, "++(1)", 1, partcv, params);
// compiled op node returning opresult1903 (depth = 11)
  int op_slot_left_1899 = gc_frame_newslot(opresult1903);
  params[0] = *var_m3;
  partcv[0] = 1;
  Object opresult1904 = callmethod(opresult1903, "++(1)", 1, partcv, params);
// compiled op node returning opresult1904 (depth = 10)
  int op_slot_left_1897 = gc_frame_newslot(opresult1904);
  params[0] = *var_m4;
  partcv[0] = 1;
  Object opresult1905 = callmethod(opresult1904, "++(1)", 1, partcv, params);
// compiled op node returning opresult1905 (depth = 9)
  int op_slot_left_1895 = gc_frame_newslot(opresult1905);
  params[0] = *var_m5;
  partcv[0] = 1;
  Object opresult1906 = callmethod(opresult1905, "++(1)", 1, partcv, params);
// compiled op node returning opresult1906 (depth = 8)
  int op_slot_left_1893 = gc_frame_newslot(opresult1906);
  params[0] = *var_m6;
  partcv[0] = 1;
  Object opresult1907 = callmethod(opresult1906, "++(1)", 1, partcv, params);
// compiled op node returning opresult1907 (depth = 7)
  *var_msg = opresult1907;
  if (opresult1907 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1908 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_msg (depth = 7)
  gc_frame_newslot(*var_msg);
// starting to compile member node (depth = 7)
  int callframe1909 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  Object call1910 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1909);
// compiled member node returning call1910 (depth = 7)
  gc_frame_newslot(call1910);
// starting to compile num node (depth = 7)
  Object num1911 = alloc_Float64(1);
// compiled num node returning num1911 (depth = 7)
  gc_frame_newslot(num1911);
// starting to compile member node (depth = 7)
  int callframe1912 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  Object call1913 = callmethodflags(*var_t, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe1912);
// compiled member node returning call1913 (depth = 7)
  gc_frame_newslot(call1913);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = *var_msg;
  params[1] = call1910;
  params[2] = num1911;
  params[3] = call1913;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1914 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe1908);
// compiled call node returning call1914 (depth = 6)
    gc_frame_newslot(call1914);
    if1871 = call1914;
  } else {
  }
// compiled if node returning if1871 (depth = 5)
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1915 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1916 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1915);
// compiled call node returning call1916 (depth = 5)
    gc_frame_newslot(call1916);
    if1852 = call1916;
  }
// compiled if node returning if1852 (depth = 4)
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1917 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1919 = alloc_Float64(1);
// compiled num node returning num1919 (depth = 6)
  int op_slot_right_1918 = gc_frame_newslot(num1919);
// starting to compile member node (depth = 6)
  int callframe1921 = gc_frame_new();
// call case 4: self request
  Object call1922 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1921);
// compiled member node returning call1922 (depth = 6)
  int op_slot_left_1918 = gc_frame_newslot(call1922);
  params[0] = num1919;
  partcv[0] = 1;
  Object sum1923 = callmethod(call1922, "+(1)", 1, partcv, params);
// compiled op node returning sum1923 (depth = 5)
  gc_frame_newslot(sum1923);
// call case 4: self request
  params[0] = sum1923;
  partcv[0] = 1;
  Object call1924 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1917);
// compiled call node returning call1924 (depth = 4)
  gc_frame_end(frame);
  return call1924;
}
Object meth_lexer_1925_pop(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1928 = alloc_Boolean(0);
// compiled identifier node returning bool1928 (depth = 6)
  int op_slot_right_1927 = gc_frame_newslot(bool1928);
// starting to compile member node (depth = 6)
  int callframe1930 = gc_frame_new();
// call case 4: self request
  Object call1931 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1930);
// compiled member node returning call1931 (depth = 6)
  int op_slot_left_1927 = gc_frame_newslot(call1931);
  params[0] = bool1928;
  partcv[0] = 1;
  Object opresult1932 = callmethod(call1931, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1932 (depth = 5)
  Object if1926 = done;
  if (istrue(opresult1932)) {
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1933 = gc_frame_new();
// call case 4: self request
  Object call1934 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1933);
// compiled member node returning call1934 (depth = 6)
  *var_popped = call1934;
  if (call1934 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1935 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1936 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1937 = gc_frame_new();
// call case 4: self request
  Object call1938 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1937);
// compiled member node returning call1938 (depth = 7)
  Object call1939 = callmethodflags(call1938, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1936);
// compiled member node returning call1939 (depth = 6)
  gc_frame_newslot(call1939);
// call case 4: self request
  params[0] = call1939;
  partcv[0] = 1;
  Object call1940 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1935);
// compiled call node returning call1940 (depth = 5)
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1943 = alloc_Boolean(0);
// compiled identifier node returning bool1943 (depth = 7)
  int op_slot_right_1942 = gc_frame_newslot(bool1943);
// starting to compile member node (depth = 7)
  int callframe1945 = gc_frame_new();
// call case 4: self request
  Object call1946 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1945);
// compiled member node returning call1946 (depth = 7)
  int op_slot_left_1942 = gc_frame_newslot(call1946);
  params[0] = bool1943;
  partcv[0] = 1;
  Object opresult1947 = callmethod(call1946, "==(1)", 1, partcv, params);
// compiled op node returning opresult1947 (depth = 6)
  Object if1941 = done;
  if (istrue(opresult1947)) {
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1948 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1949 = alloc_Boolean(0);
// compiled identifier node returning bool1949 (depth = 7)
  gc_frame_newslot(bool1949);
// call case 4: self request
  params[0] = bool1949;
  partcv[0] = 1;
  Object call1950 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1948);
// compiled call node returning call1950 (depth = 6)
    gc_frame_newslot(call1950);
    if1941 = call1950;
  } else {
  }
// compiled if node returning if1941 (depth = 5)
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1951 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1953 = alloc_Float64(1);
// compiled num node returning num1953 (depth = 7)
  int op_slot_right_1952 = gc_frame_newslot(num1953);
// starting to compile member node (depth = 7)
  int callframe1955 = gc_frame_new();
// call case 4: self request
  Object call1956 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1955);
// compiled member node returning call1956 (depth = 7)
  int op_slot_left_1952 = gc_frame_newslot(call1956);
  params[0] = num1953;
  partcv[0] = 1;
  Object diff1957 = callmethod(call1956, "-(1)", 1, partcv, params);
// compiled op node returning diff1957 (depth = 6)
  gc_frame_newslot(diff1957);
// call case 4: self request
  params[0] = diff1957;
  partcv[0] = 1;
  Object call1958 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1951);
// compiled call node returning call1958 (depth = 5)
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_popped (depth = 5)
    gc_frame_newslot(*var_popped);
    if1926 = *var_popped;
  } else {
  }
// compiled if node returning if1926 (depth = 4)
  gc_frame_end(frame);
  return if1926;
}
Object meth_lexer_1959_poll(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// definebindings:
// definebindings:
// definebindings:
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1962 = alloc_Boolean(0);
// compiled identifier node returning bool1962 (depth = 6)
  int op_slot_right_1961 = gc_frame_newslot(bool1962);
// starting to compile member node (depth = 6)
  int callframe1964 = gc_frame_new();
// call case 4: self request
  Object call1965 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1964);
// compiled member node returning call1965 (depth = 6)
  int op_slot_left_1961 = gc_frame_newslot(call1965);
  params[0] = bool1962;
  partcv[0] = 1;
  Object opresult1966 = callmethod(call1965, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1966 (depth = 5)
  Object if1960 = done;
  if (istrue(opresult1966)) {
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1967 = gc_frame_new();
// call case 4: self request
  Object call1968 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1967);
// compiled member node returning call1968 (depth = 6)
  *var_polled = call1968;
  if (call1968 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1969 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1970 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1971 = gc_frame_new();
// call case 4: self request
  Object call1972 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1971);
// compiled member node returning call1972 (depth = 7)
  Object call1973 = callmethodflags(call1972, "next", 0, partcv, params, 0);
  gc_frame_end(callframe1970);
// compiled member node returning call1973 (depth = 6)
  gc_frame_newslot(call1973);
// call case 4: self request
  params[0] = call1973;
  partcv[0] = 1;
  Object call1974 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1969);
// compiled call node returning call1974 (depth = 5)
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1977 = alloc_Boolean(0);
// compiled identifier node returning bool1977 (depth = 7)
  int op_slot_right_1976 = gc_frame_newslot(bool1977);
// starting to compile member node (depth = 7)
  int callframe1979 = gc_frame_new();
// call case 4: self request
  Object call1980 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1979);
// compiled member node returning call1980 (depth = 7)
  int op_slot_left_1976 = gc_frame_newslot(call1980);
  params[0] = bool1977;
  partcv[0] = 1;
  Object opresult1981 = callmethod(call1980, "==(1)", 1, partcv, params);
// compiled op node returning opresult1981 (depth = 6)
  Object if1975 = done;
  if (istrue(opresult1981)) {
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1982 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1983 = alloc_Boolean(0);
// compiled identifier node returning bool1983 (depth = 7)
  gc_frame_newslot(bool1983);
// call case 4: self request
  params[0] = bool1983;
  partcv[0] = 1;
  Object call1984 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1982);
// compiled call node returning call1984 (depth = 6)
    gc_frame_newslot(call1984);
    if1975 = call1984;
  } else {
  }
// compiled if node returning if1975 (depth = 5)
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1985 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1987 = alloc_Float64(1);
// compiled num node returning num1987 (depth = 7)
  int op_slot_right_1986 = gc_frame_newslot(num1987);
// starting to compile member node (depth = 7)
  int callframe1989 = gc_frame_new();
// call case 4: self request
  Object call1990 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1989);
// compiled member node returning call1990 (depth = 7)
  int op_slot_left_1986 = gc_frame_newslot(call1990);
  params[0] = num1987;
  partcv[0] = 1;
  Object diff1991 = callmethod(call1990, "-(1)", 1, partcv, params);
// compiled op node returning diff1991 (depth = 6)
  gc_frame_newslot(diff1991);
// call case 4: self request
  params[0] = diff1991;
  partcv[0] = 1;
  Object call1992 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1985);
// compiled call node returning call1992 (depth = 5)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_polled (depth = 5)
    gc_frame_newslot(*var_polled);
    if1960 = *var_polled;
  } else {
  }
// compiled if node returning if1960 (depth = 4)
  gc_frame_end(frame);
  return if1960;
}
Object meth_lexer_1997_hasNext(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool1999 = alloc_Boolean(0);
// compiled identifier node returning bool1999 (depth = 5)
  int op_slot_right_1998 = gc_frame_newslot(bool1999);
// starting to compile member node (depth = 5)
  int callframe2001 = gc_frame_new();
// call case 4: self request
  Object call2002 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2001);
// compiled member node returning call2002 (depth = 5)
  int op_slot_left_1998 = gc_frame_newslot(call2002);
  params[0] = bool1999;
  partcv[0] = 1;
  Object opresult2003 = callmethod(call2002, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2003 (depth = 4)
  gc_frame_end(frame);
  return opresult2003;
}
Object meth_lexer_2004_next(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2005 = gc_frame_new();
// call case 4: self request
  Object call2006 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2005);
// compiled member node returning call2006 (depth = 5)
  *var_ret = call2006;
  if (call2006 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2007 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2008 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2009 = gc_frame_new();
// call case 4: self request
  Object call2010 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2009);
// compiled member node returning call2010 (depth = 6)
  Object call2011 = callmethodflags(call2010, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2008);
// compiled member node returning call2011 (depth = 5)
  gc_frame_newslot(call2011);
// call case 4: self request
  params[0] = call2011;
  partcv[0] = 1;
  Object call2012 = callmethodflags(self, "n:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2007);
// compiled call node returning call2012 (depth = 4)
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ret (depth = 4)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_1993_iterator(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1994 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1994 = alloc_userobj2(4,4, objclass1994);
  gc_frame_newslot(obj1994);
  if (objclass1994 == NULL) {
    glfree(obj1994->class->name);
    obj1994->class->name = "iterator";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1994, self, 0);
  addmethodreal(obj1994,"outer", &reader_lexer_outer_1995);
  Object oldself1994 = self;
  struct StackFrameObject *oldstackframe1994 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1994);
  gc_frame_newslot((Object)stackframe);
  self = obj1994;
  Object *oldselfslot1994 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1994 = (*(struct UserObject *)self).data[0], lowerouter1994 = thisouter1994;
  if (inheritingObject1994) {
    struct UserObject *inho1994 = (struct UserObject *)inheritingObject1994;
    while (inho1994->super != GraceDefaultObject) inho1994 = (struct UserObject *)inho1994->super;
    inho1994->super = obj1994;
    self = inheritingObject1994;
    *selfslot = self;
    lowerouter1994 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1994;
  }
  if (objclass1994 == NULL) {
    Method *reader1996 = addmethodrealflags(obj1994, "n", &reader_lexer_n_1996, MFLAG_CONFIDENTIAL);
    Method *writer1996 = addmethodrealflags(obj1994, "n:=(1)", &writer_lexer_n_1996, MFLAG_CONFIDENTIAL);
    reader1996->definitionModule = modulename;
    writer1996->definitionModule = modulename;
    reader1996->definitionLine = 1143;
    writer1996->definitionLine = 1143;
  }
  obj1994->flags |= OFLAG_MUTABLE;
  adddatum2(obj1994, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo1997 = (struct UserObject*)obj1994;
  uo1997->data[2] = emptyclosure;
  Method *meth_meth_lexer_1997_hasNext = addmethod2pos(obj1994, "hasNext", &meth_lexer_1997_hasNext, 2);
  int argcv_meth_lexer_1997_hasNext[] = {0};
  meth_meth_lexer_1997_hasNext->type = alloc_MethodType(1, argcv_meth_lexer_1997_hasNext);
  meth_meth_lexer_1997_hasNext->definitionModule = modulename;
  meth_meth_lexer_1997_hasNext->definitionLine = 1144;
// method "next"
  struct UserObject *uo2004 = (struct UserObject*)obj1994;
  uo2004->data[3] = emptyclosure;
  Method *meth_meth_lexer_2004_next = addmethod2pos(obj1994, "next", &meth_lexer_2004_next, 3);
  int argcv_meth_lexer_2004_next[] = {0};
  meth_meth_lexer_2004_next->type = alloc_MethodType(1, argcv_meth_lexer_2004_next);
  meth_meth_lexer_2004_next->definitionModule = modulename;
  meth_meth_lexer_2004_next->definitionLine = 1147;
  sourceObject = obj1994;
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2013 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2014 = gc_frame_new();
// call case 3: self.outer request
  Object call2015 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2014);
// compiled member node returning call2015 (depth = 5)
  Object call2016 = callmethodflags(call2015, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2013);
// compiled member node returning call2016 (depth = 4)
  adddatum2(obj1994, call2016, 1);
  sourceObject = obj1994;
  sourceObject = obj1994;
  objclass1994 = obj1994->class;
  objclass1994->definitionModule = modulename;
  objclass1994->definitionLine = 1142;
  (*(struct UserObject *)self).data[0] = lowerouter1994;
  self = oldself1994;
  selfslot = oldselfslot1994;
  stackframe = oldstackframe1994;
  gc_frame_end(frame);
  return obj1994;
}
Object meth_lexer_1993_iterator_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1994 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1994 = alloc_userobj2(4,4, objclass1994);
  gc_frame_newslot(obj1994);
  if (objclass1994 == NULL) {
    glfree(obj1994->class->name);
    obj1994->class->name = "iterator";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj1994, self, 0);
  addmethodreal(obj1994,"outer", &reader_lexer_outer_1995);
  Object oldself1994 = self;
  struct StackFrameObject *oldstackframe1994 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1994);
  gc_frame_newslot((Object)stackframe);
  self = obj1994;
  Object *oldselfslot1994 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1994 = (*(struct UserObject *)self).data[0], lowerouter1994 = thisouter1994;
  if (inheritingObject1994) {
    struct UserObject *inho1994 = (struct UserObject *)inheritingObject1994;
    while (inho1994->super != GraceDefaultObject) inho1994 = (struct UserObject *)inho1994->super;
    inho1994->super = obj1994;
    self = inheritingObject1994;
    *selfslot = self;
    lowerouter1994 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1994;
  }
  if (objclass1994 == NULL) {
    Method *reader1996 = addmethodrealflags(obj1994, "n", &reader_lexer_n_1996, MFLAG_CONFIDENTIAL);
    Method *writer1996 = addmethodrealflags(obj1994, "n:=(1)", &writer_lexer_n_1996, MFLAG_CONFIDENTIAL);
    reader1996->definitionModule = modulename;
    writer1996->definitionModule = modulename;
    reader1996->definitionLine = 1143;
    writer1996->definitionLine = 1143;
  }
  obj1994->flags |= OFLAG_MUTABLE;
  adddatum2(obj1994, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo1997 = (struct UserObject*)obj1994;
  uo1997->data[2] = emptyclosure;
  Method *meth_meth_lexer_1997_hasNext = addmethod2pos(obj1994, "hasNext", &meth_lexer_1997_hasNext, 2);
  int argcv_meth_lexer_1997_hasNext[] = {0};
  meth_meth_lexer_1997_hasNext->type = alloc_MethodType(1, argcv_meth_lexer_1997_hasNext);
  meth_meth_lexer_1997_hasNext->definitionModule = modulename;
  meth_meth_lexer_1997_hasNext->definitionLine = 1144;
// method "next"
  struct UserObject *uo2004 = (struct UserObject*)obj1994;
  uo2004->data[3] = emptyclosure;
  Method *meth_meth_lexer_2004_next = addmethod2pos(obj1994, "next", &meth_lexer_2004_next, 3);
  int argcv_meth_lexer_2004_next[] = {0};
  meth_meth_lexer_2004_next->type = alloc_MethodType(1, argcv_meth_lexer_2004_next);
  meth_meth_lexer_2004_next->definitionModule = modulename;
  meth_meth_lexer_2004_next->definitionLine = 1147;
  sourceObject = obj1994;
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2013 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2014 = gc_frame_new();
// call case 3: self.outer request
  Object call2015 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2014);
// compiled member node returning call2015 (depth = 5)
  Object call2016 = callmethodflags(call2015, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2013);
// compiled member node returning call2016 (depth = 4)
  adddatum2(obj1994, call2016, 1);
  sourceObject = obj1994;
  sourceObject = obj1994;
  objclass1994 = obj1994->class;
  objclass1994->definitionModule = modulename;
  objclass1994->definitionLine = 1142;
  (*(struct UserObject *)self).data[0] = lowerouter1994;
  self = oldself1994;
  selfslot = oldselfslot1994;
  stackframe = oldstackframe1994;
  gc_frame_end(frame);
  return obj1994;
}
Object meth_lexer_2023__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2025 = alloc_Boolean(0);
// compiled identifier node returning bool2025 (depth = 7)
  int op_slot_right_2024 = gc_frame_newslot(bool2025);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_2024 = gc_frame_newslot(*var_n);
  params[0] = bool2025;
  partcv[0] = 1;
  Object opresult2027 = callmethod(*var_n, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2027 (depth = 6)
  gc_frame_end(frame);
  return opresult2027;
}
Object meth_lexer_2030__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_action = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2031 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2032 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2031);
// compiled call node returning call2032 (depth = 6)
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2033 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call2034 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2033);
// compiled member node returning call2034 (depth = 7)
  *var_n = call2034;
  if (call2034 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_2018_do_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2019 = gc_frame_new();
// call case 4: self request
  Object call2020 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2019);
// compiled member node returning call2020 (depth = 5)
  *var_n = call2020;
  if (call2020 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2021 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2022 = alloc_Block(NULL, NULL, "lexer", 1156);
  gc_frame_newslot(block2022);
// method "_apply"
  block_savedest(block2022);
  Object closure2023 = createclosure(2, "_apply");
  setclosureframe(closure2023, stackframe);
  addtoclosure(closure2023, var_n);
  addtoclosure(closure2023, selfslot);
  struct UserObject *uo2023 = (struct UserObject*)block2022;
  uo2023->data[0] = (Object)closure2023;
  Method *meth_meth_lexer_2023__apply = addmethod2pos(block2022, "_apply", &meth_lexer_2023__apply, 0);
  int argcv_meth_lexer_2023__apply[] = {0};
  meth_meth_lexer_2023__apply->type = alloc_MethodType(1, argcv_meth_lexer_2023__apply);
  meth_meth_lexer_2023__apply->definitionModule = modulename;
  meth_meth_lexer_2023__apply->definitionLine = 1204;
// compiled block node returning block2022 (depth = 5)
  gc_frame_newslot(block2022);
// starting to compile block node (depth = 5)
  Object block2029 = alloc_Block(NULL, NULL, "lexer", 1156);
  gc_frame_newslot(block2029);
// method "_apply"
  block_savedest(block2029);
  Object closure2030 = createclosure(3, "_apply");
  setclosureframe(closure2030, stackframe);
  addtoclosure(closure2030, var_n);
  addtoclosure(closure2030, var_action);
  addtoclosure(closure2030, selfslot);
  struct UserObject *uo2030 = (struct UserObject*)block2029;
  uo2030->data[0] = (Object)closure2030;
  Method *meth_meth_lexer_2030__apply = addmethod2pos(block2029, "_apply", &meth_lexer_2030__apply, 0);
  int argcv_meth_lexer_2030__apply[] = {0};
  meth_meth_lexer_2030__apply->type = alloc_MethodType(1, argcv_meth_lexer_2030__apply);
  meth_meth_lexer_2030__apply->definitionModule = modulename;
  meth_meth_lexer_2030__apply->definitionLine = 1204;
// compiled block node returning block2029 (depth = 5)
  gc_frame_newslot(block2029);
// call case 5: prelude request
  params[0] = block2022;
  params[1] = block2029;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2037 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2021);
// compiled call node returning call2037 (depth = 4)
  gc_frame_end(frame);
  return call2037;
}
Object meth_lexer_2059__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_charS = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile member node (depth = 6)
  int callframe2060 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_charS (depth = 7)
  Object call2061 = callmethodflags(*var_charS, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe2060);
// compiled member node returning call2061 (depth = 6)
  gc_frame_end(frame);
  return call2061;
}
Object meth_lexer_2082__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ch = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile call node (depth = 10)
  int callframe2083 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ch (depth = 11)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile string node (depth = 11)
  if (strlit2084 == NULL) {
    strlit2084 = alloc_String("><![]-");
    gc_root(strlit2084);
  }
// compiled string node returning strlit2084 (depth = 11)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call2085 = callmethodflags(strlit2084, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2083);
// compiled call node returning call2085 (depth = 10)
  gc_frame_end(frame);
  return call2085;
}
Object meth_lexer_2064__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_charS = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_ch = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ch");
// definebindings:
  Object *var_nextCh = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextCh");
  Object *var_bigraph = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "bigraph");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2065 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_charS (depth = 8)
  Object call2066 = callmethodflags(*var_charS, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2065);
// compiled member node returning call2066 (depth = 7)
  *var_ch = call2066;
  if (call2066 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2067 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2069 = alloc_Float64(1);
// compiled num node returning num2069 (depth = 8)
  int op_slot_right_2068 = gc_frame_newslot(num2069);
// starting to compile member node (depth = 8)
  int callframe2071 = gc_frame_new();
// call case 4: self request
  Object call2072 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2071);
// compiled member node returning call2072 (depth = 8)
  int op_slot_left_2068 = gc_frame_newslot(call2072);
  params[0] = num2069;
  partcv[0] = 1;
  Object sum2073 = callmethod(call2072, "+(1)", 1, partcv, params);
// compiled op node returning sum2073 (depth = 7)
  gc_frame_newslot(sum2073);
// call case 4: self request
  params[0] = sum2073;
  partcv[0] = 1;
  Object call2074 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2067);
// compiled call node returning call2074 (depth = 6)
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2077 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_charS (depth = 9)
  Object call2078 = callmethodflags(*var_charS, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe2077);
// compiled member node returning call2078 (depth = 8)
  int op_slot_right_2076 = gc_frame_newslot(call2078);
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block2081 = alloc_Block(NULL, NULL, "lexer", 1172);
  gc_frame_newslot(block2081);
// method "_apply"
  block_savedest(block2081);
  Object closure2082 = createclosure(2, "_apply");
  setclosureframe(closure2082, stackframe);
  addtoclosure(closure2082, var_ch);
  addtoclosure(closure2082, selfslot);
  struct UserObject *uo2082 = (struct UserObject*)block2081;
  uo2082->data[0] = (Object)closure2082;
  Method *meth_meth_lexer_2082__apply = addmethod2pos(block2081, "_apply", &meth_lexer_2082__apply, 0);
  int argcv_meth_lexer_2082__apply[] = {0};
  meth_meth_lexer_2082__apply->type = alloc_MethodType(1, argcv_meth_lexer_2082__apply);
  meth_meth_lexer_2082__apply->definitionModule = modulename;
  meth_meth_lexer_2082__apply->definitionLine = 1204;
// compiled block node returning block2081 (depth = 9)
  int op_slot_right_2080 = gc_frame_newslot(block2081);
// starting to compile member node (depth = 9)
  int callframe2088 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2089 = gc_frame_new();
// call case 4: self request
  Object call2090 = callmethodflags(self, "inStr", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2089);
// compiled member node returning call2090 (depth = 10)
  Object call2091 = callmethodflags(call2090, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2088);
// compiled member node returning call2091 (depth = 9)
  int op_slot_left_2080 = gc_frame_newslot(call2091);
  params[0] = block2081;
  partcv[0] = 1;
  Object opresult2092 = callmethod(call2091, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2092 (depth = 8)
  int op_slot_left_2076 = gc_frame_newslot(opresult2092);
  params[0] = call2078;
  partcv[0] = 1;
  Object opresult2093 = callmethod(opresult2092, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2093 (depth = 7)
  Object if2075 = done;
  if (istrue(opresult2093)) {
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2094 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_charS (depth = 9)
  Object call2095 = callmethodflags(*var_charS, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2094);
// compiled member node returning call2095 (depth = 8)
  *var_nextCh = call2095;
  if (call2095 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2096 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2098 = alloc_Float64(1);
// compiled num node returning num2098 (depth = 9)
  int op_slot_right_2097 = gc_frame_newslot(num2098);
// starting to compile member node (depth = 9)
  int callframe2100 = gc_frame_new();
// call case 4: self request
  Object call2101 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2100);
// compiled member node returning call2101 (depth = 9)
  int op_slot_left_2097 = gc_frame_newslot(call2101);
  params[0] = num2098;
  partcv[0] = 1;
  Object sum2102 = callmethod(call2101, "+(1)", 1, partcv, params);
// compiled op node returning sum2102 (depth = 8)
  gc_frame_newslot(sum2102);
// call case 4: self request
  params[0] = sum2102;
  partcv[0] = 1;
  Object call2103 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2096);
// compiled call node returning call2103 (depth = 7)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextCh (depth = 9)
  int op_slot_right_2104 = gc_frame_newslot(*var_nextCh);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ch (depth = 9)
  int op_slot_left_2104 = gc_frame_newslot(*var_ch);
  params[0] = *var_nextCh;
  partcv[0] = 1;
  Object opresult2106 = callmethod(*var_ch, "++(1)", 1, partcv, params);
// compiled op node returning opresult2106 (depth = 8)
  *var_bigraph = opresult2106;
  if (opresult2106 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2109 == NULL) {
    strlit2109 = alloc_String(">=");
    gc_root(strlit2109);
  }
// compiled string node returning strlit2109 (depth = 9)
  int op_slot_right_2108 = gc_frame_newslot(strlit2109);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_bigraph (depth = 9)
  int op_slot_left_2108 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2109;
  partcv[0] = 1;
  Object opresult2111 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2111 (depth = 8)
  Object if2107 = done;
  if (istrue(opresult2111)) {
// starting to compile call node (depth = 8)
  int callframe2112 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2113 == NULL) {
    strlit2113 = alloc_String("""\xe2""""\x89""""\xa5""");
    gc_root(strlit2113);
  }
// compiled string node returning strlit2113 (depth = 9)
  gc_frame_newslot(strlit2113);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2114 = gc_frame_new();
// call case 4: self request
  Object call2115 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2114);
// compiled member node returning call2115 (depth = 9)
  params[0] = strlit2113;
  partcv[0] = 1;
  Object call2116 = callmethodflags(call2115, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2112);
// compiled call node returning call2116 (depth = 8)
    gc_frame_newslot(call2116);
    if2107 = call2116;
  } else {
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2119 == NULL) {
    strlit2119 = alloc_String("<=");
    gc_root(strlit2119);
  }
// compiled string node returning strlit2119 (depth = 10)
  int op_slot_right_2118 = gc_frame_newslot(strlit2119);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_bigraph (depth = 10)
  int op_slot_left_2118 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2119;
  partcv[0] = 1;
  Object opresult2121 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2121 (depth = 9)
  Object if2117 = done;
  if (istrue(opresult2121)) {
// starting to compile call node (depth = 9)
  int callframe2122 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2123 == NULL) {
    strlit2123 = alloc_String("""\xe2""""\x89""""\xa4""");
    gc_root(strlit2123);
  }
// compiled string node returning strlit2123 (depth = 10)
  gc_frame_newslot(strlit2123);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2124 = gc_frame_new();
// call case 4: self request
  Object call2125 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2124);
// compiled member node returning call2125 (depth = 10)
  params[0] = strlit2123;
  partcv[0] = 1;
  Object call2126 = callmethodflags(call2125, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2122);
// compiled call node returning call2126 (depth = 9)
    gc_frame_newslot(call2126);
    if2117 = call2126;
  } else {
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2129 == NULL) {
    strlit2129 = alloc_String("!=");
    gc_root(strlit2129);
  }
// compiled string node returning strlit2129 (depth = 11)
  int op_slot_right_2128 = gc_frame_newslot(strlit2129);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_bigraph (depth = 11)
  int op_slot_left_2128 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2129;
  partcv[0] = 1;
  Object opresult2131 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2131 (depth = 10)
  Object if2127 = done;
  if (istrue(opresult2131)) {
// starting to compile call node (depth = 10)
  int callframe2132 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2133 == NULL) {
    strlit2133 = alloc_String("""\xe2""""\x89""""\xa0""");
    gc_root(strlit2133);
  }
// compiled string node returning strlit2133 (depth = 11)
  gc_frame_newslot(strlit2133);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2134 = gc_frame_new();
// call case 4: self request
  Object call2135 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2134);
// compiled member node returning call2135 (depth = 11)
  params[0] = strlit2133;
  partcv[0] = 1;
  Object call2136 = callmethodflags(call2135, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2132);
// compiled call node returning call2136 (depth = 10)
    gc_frame_newslot(call2136);
    if2127 = call2136;
  } else {
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2139 == NULL) {
    strlit2139 = alloc_String("[[");
    gc_root(strlit2139);
  }
// compiled string node returning strlit2139 (depth = 12)
  int op_slot_right_2138 = gc_frame_newslot(strlit2139);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_bigraph (depth = 12)
  int op_slot_left_2138 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2139;
  partcv[0] = 1;
  Object opresult2141 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2141 (depth = 11)
  Object if2137 = done;
  if (istrue(opresult2141)) {
// starting to compile call node (depth = 11)
  int callframe2142 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2143 == NULL) {
    strlit2143 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit2143);
  }
// compiled string node returning strlit2143 (depth = 12)
  gc_frame_newslot(strlit2143);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2144 = gc_frame_new();
// call case 4: self request
  Object call2145 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2144);
// compiled member node returning call2145 (depth = 12)
  params[0] = strlit2143;
  partcv[0] = 1;
  Object call2146 = callmethodflags(call2145, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2142);
// compiled call node returning call2146 (depth = 11)
    gc_frame_newslot(call2146);
    if2137 = call2146;
  } else {
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2149 == NULL) {
    strlit2149 = alloc_String("]]");
    gc_root(strlit2149);
  }
// compiled string node returning strlit2149 (depth = 13)
  int op_slot_right_2148 = gc_frame_newslot(strlit2149);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_bigraph (depth = 13)
  int op_slot_left_2148 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2149;
  partcv[0] = 1;
  Object opresult2151 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2151 (depth = 12)
  Object if2147 = done;
  if (istrue(opresult2151)) {
// starting to compile call node (depth = 12)
  int callframe2152 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2153 == NULL) {
    strlit2153 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2153);
  }
// compiled string node returning strlit2153 (depth = 13)
  gc_frame_newslot(strlit2153);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2154 = gc_frame_new();
// call case 4: self request
  Object call2155 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2154);
// compiled member node returning call2155 (depth = 13)
  params[0] = strlit2153;
  partcv[0] = 1;
  Object call2156 = callmethodflags(call2155, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2152);
// compiled call node returning call2156 (depth = 12)
    gc_frame_newslot(call2156);
    if2147 = call2156;
  } else {
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2159 == NULL) {
    strlit2159 = alloc_String("->");
    gc_root(strlit2159);
  }
// compiled string node returning strlit2159 (depth = 14)
  int op_slot_right_2158 = gc_frame_newslot(strlit2159);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_bigraph (depth = 14)
  int op_slot_left_2158 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2159;
  partcv[0] = 1;
  Object opresult2161 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2161 (depth = 13)
  Object if2157 = done;
  if (istrue(opresult2161)) {
// starting to compile call node (depth = 13)
  int callframe2162 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit2163 == NULL) {
    strlit2163 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit2163);
  }
// compiled string node returning strlit2163 (depth = 14)
  gc_frame_newslot(strlit2163);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2164 = gc_frame_new();
// call case 4: self request
  Object call2165 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2164);
// compiled member node returning call2165 (depth = 14)
  params[0] = strlit2163;
  partcv[0] = 1;
  Object call2166 = callmethodflags(call2165, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2162);
// compiled call node returning call2166 (depth = 13)
    gc_frame_newslot(call2166);
    if2157 = call2166;
  } else {
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2167 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num2169 = alloc_Float64(1);
// compiled num node returning num2169 (depth = 15)
  int op_slot_right_2168 = gc_frame_newslot(num2169);
// starting to compile member node (depth = 15)
  int callframe2171 = gc_frame_new();
// call case 4: self request
  Object call2172 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2171);
// compiled member node returning call2172 (depth = 15)
  int op_slot_left_2168 = gc_frame_newslot(call2172);
  params[0] = num2169;
  partcv[0] = 1;
  Object diff2173 = callmethod(call2172, "-(1)", 1, partcv, params);
// compiled op node returning diff2173 (depth = 14)
  gc_frame_newslot(diff2173);
// call case 4: self request
  params[0] = diff2173;
  partcv[0] = 1;
  Object call2174 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2167);
// compiled call node returning call2174 (depth = 13)
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2175 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ch (depth = 14)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2176 = gc_frame_new();
// call case 4: self request
  Object call2177 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2176);
// compiled member node returning call2177 (depth = 14)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call2178 = callmethodflags(call2177, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2175);
// compiled call node returning call2178 (depth = 13)
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2179 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num2181 = alloc_Float64(1);
// compiled num node returning num2181 (depth = 15)
  int op_slot_right_2180 = gc_frame_newslot(num2181);
// starting to compile member node (depth = 15)
  int callframe2183 = gc_frame_new();
// call case 4: self request
  Object call2184 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2183);
// compiled member node returning call2184 (depth = 15)
  int op_slot_left_2180 = gc_frame_newslot(call2184);
  params[0] = num2181;
  partcv[0] = 1;
  Object sum2185 = callmethod(call2184, "+(1)", 1, partcv, params);
// compiled op node returning sum2185 (depth = 14)
  gc_frame_newslot(sum2185);
// call case 4: self request
  params[0] = sum2185;
  partcv[0] = 1;
  Object call2186 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2179);
// compiled call node returning call2186 (depth = 13)
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2187 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextCh (depth = 14)
  gc_frame_newslot(*var_nextCh);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2188 = gc_frame_new();
// call case 4: self request
  Object call2189 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2188);
// compiled member node returning call2189 (depth = 14)
  params[0] = *var_nextCh;
  partcv[0] = 1;
  Object call2190 = callmethodflags(call2189, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2187);
// compiled call node returning call2190 (depth = 13)
    gc_frame_newslot(call2190);
    if2157 = call2190;
  }
// compiled if node returning if2157 (depth = 12)
    gc_frame_newslot(if2157);
    if2147 = if2157;
  }
// compiled if node returning if2147 (depth = 11)
    gc_frame_newslot(if2147);
    if2137 = if2147;
  }
// compiled if node returning if2137 (depth = 10)
    gc_frame_newslot(if2137);
    if2127 = if2137;
  }
// compiled if node returning if2127 (depth = 9)
    gc_frame_newslot(if2127);
    if2117 = if2127;
  }
// compiled if node returning if2117 (depth = 8)
    gc_frame_newslot(if2117);
    if2107 = if2117;
  }
// compiled if node returning if2107 (depth = 7)
    gc_frame_newslot(if2107);
    if2075 = if2107;
  } else {
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2191 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ch (depth = 8)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2192 = gc_frame_new();
// call case 4: self request
  Object call2193 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2192);
// compiled member node returning call2193 (depth = 8)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call2194 = callmethodflags(call2193, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2191);
// compiled call node returning call2194 (depth = 7)
    gc_frame_newslot(call2194);
    if2075 = call2194;
  }
// compiled if node returning if2075 (depth = 6)
  gc_frame_end(frame);
  return if2075;
}
Object meth_lexer_2054__apply_40_1_41_(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_eachLine = &(stackframe->slots[0]);
  *var_eachLine = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_charS = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "charS");
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2055 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_eachLine (depth = 6)
  Object call2056 = callmethodflags(*var_eachLine, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe2055);
// compiled member node returning call2056 (depth = 5)
  *var_charS = call2056;
  if (call2056 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2057 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2058 = alloc_Block(NULL, NULL, "lexer", 1169);
  gc_frame_newslot(block2058);
// method "_apply"
  block_savedest(block2058);
  Object closure2059 = createclosure(2, "_apply");
  setclosureframe(closure2059, stackframe);
  addtoclosure(closure2059, var_charS);
  addtoclosure(closure2059, selfslot);
  struct UserObject *uo2059 = (struct UserObject*)block2058;
  uo2059->data[0] = (Object)closure2059;
  Method *meth_meth_lexer_2059__apply = addmethod2pos(block2058, "_apply", &meth_lexer_2059__apply, 0);
  int argcv_meth_lexer_2059__apply[] = {0};
  meth_meth_lexer_2059__apply->type = alloc_MethodType(1, argcv_meth_lexer_2059__apply);
  meth_meth_lexer_2059__apply->definitionModule = modulename;
  meth_meth_lexer_2059__apply->definitionLine = 1204;
// compiled block node returning block2058 (depth = 5)
  gc_frame_newslot(block2058);
// starting to compile block node (depth = 5)
  Object block2063 = alloc_Block(NULL, NULL, "lexer", 1169);
  gc_frame_newslot(block2063);
// method "_apply"
  block_savedest(block2063);
  Object closure2064 = createclosure(2, "_apply");
  setclosureframe(closure2064, stackframe);
  addtoclosure(closure2064, var_charS);
  addtoclosure(closure2064, selfslot);
  struct UserObject *uo2064 = (struct UserObject*)block2063;
  uo2064->data[0] = (Object)closure2064;
  Method *meth_meth_lexer_2064__apply = addmethod2pos(block2063, "_apply", &meth_lexer_2064__apply, 0);
  int argcv_meth_lexer_2064__apply[] = {0};
  meth_meth_lexer_2064__apply->type = alloc_MethodType(1, argcv_meth_lexer_2064__apply);
  meth_meth_lexer_2064__apply->definitionModule = modulename;
  meth_meth_lexer_2064__apply->definitionLine = 1204;
// compiled block node returning block2063 (depth = 5)
  gc_frame_newslot(block2063);
// call case 5: prelude request
  params[0] = block2058;
  params[1] = block2063;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2196 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2057);
// compiled call node returning call2196 (depth = 4)
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2197 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2198 == NULL) {
    strlit2198 = alloc_String("""\x0a""");
    gc_root(strlit2198);
  }
// compiled string node returning strlit2198 (depth = 5)
  gc_frame_newslot(strlit2198);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2199 = gc_frame_new();
// call case 4: self request
  Object call2200 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2199);
// compiled member node returning call2200 (depth = 5)
  params[0] = strlit2198;
  partcv[0] = 1;
  Object call2201 = callmethodflags(call2200, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2197);
// compiled call node returning call2201 (depth = 4)
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2202 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num2203 = alloc_Float64(0);
// compiled num node returning num2203 (depth = 5)
  gc_frame_newslot(num2203);
// call case 4: self request
  params[0] = num2203;
  partcv[0] = 1;
  Object call2204 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2202);
// compiled call node returning call2204 (depth = 4)
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2205 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2207 = alloc_Float64(1);
// compiled num node returning num2207 (depth = 6)
  int op_slot_right_2206 = gc_frame_newslot(num2207);
// starting to compile member node (depth = 6)
  int callframe2209 = gc_frame_new();
// call case 4: self request
  Object call2210 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2209);
// compiled member node returning call2210 (depth = 6)
  int op_slot_left_2206 = gc_frame_newslot(call2210);
  params[0] = num2207;
  partcv[0] = 1;
  Object sum2211 = callmethod(call2210, "+(1)", 1, partcv, params);
// compiled op node returning sum2211 (depth = 5)
  gc_frame_newslot(sum2211);
// call case 4: self request
  params[0] = sum2211;
  partcv[0] = 1;
  Object call2212 = callmethodflags(self, "lineNumber:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2205);
// compiled call node returning call2212 (depth = 4)
  gc_frame_end(frame);
  return call2212;
}
Object meth_lexer_1823_lexinput_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 74, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexinput(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexinput(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_inputLines = &(stackframe->slots[0]);
  *var_inputLines = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lexinput(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1824 = gc_frame_new();
// starting to compile object node (depth = 3)
  Object inheritingObject1825 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1825 = alloc_userobj2(14,12, objclass1825);
  gc_frame_newslot(obj1825);
// OBJECT OUTER DEC outer
  adddatum2(obj1825, self, 0);
  addmethodreal(obj1825,"outer", &reader_lexer_outer_1826);
  Object oldself1825 = self;
  struct StackFrameObject *oldstackframe1825 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1825);
  gc_frame_newslot((Object)stackframe);
  self = obj1825;
  Object *oldselfslot1825 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1825 = (*(struct UserObject *)self).data[0], lowerouter1825 = thisouter1825;
  if (inheritingObject1825) {
    struct UserObject *inho1825 = (struct UserObject *)inheritingObject1825;
    while (inho1825->super != GraceDefaultObject) inho1825 = (struct UserObject *)inho1825->super;
    inho1825->super = obj1825;
    self = inheritingObject1825;
    *selfslot = self;
    lowerouter1825 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1825;
  }
  if (objclass1825 == NULL) {
    Method *reader1827 = addmethodrealflags(obj1825, "first", &reader_lexer_first_1827, 0);
    Method *writer1827 = addmethodrealflags(obj1825, "first:=(1)", &writer_lexer_first_1827, MFLAG_CONFIDENTIAL);
    reader1827->definitionModule = modulename;
    writer1827->definitionModule = modulename;
    reader1827->definitionLine = 1082;
    writer1827->definitionLine = 1082;
  }
  obj1825->flags |= OFLAG_MUTABLE;
  adddatum2(obj1825, alloc_Undefined(), 1);
  if (objclass1825 == NULL) {
    Method *reader1828 = addmethodrealflags(obj1825, "last", &reader_lexer_last_1828, 0);
    Method *writer1828 = addmethodrealflags(obj1825, "last:=(1)", &writer_lexer_last_1828, MFLAG_CONFIDENTIAL);
    reader1828->definitionModule = modulename;
    writer1828->definitionModule = modulename;
    reader1828->definitionLine = 1083;
    writer1828->definitionLine = 1083;
  }
  obj1825->flags |= OFLAG_MUTABLE;
  adddatum2(obj1825, alloc_Undefined(), 2);
  if (objclass1825 == NULL) {
    Method *reader1829 = addmethodrealflags(obj1825, "size", &reader_lexer_size_1829, 0);
    Method *writer1829 = addmethodrealflags(obj1825, "size:=(1)", &writer_lexer_size_1829, MFLAG_CONFIDENTIAL);
    reader1829->definitionModule = modulename;
    writer1829->definitionModule = modulename;
    reader1829->definitionLine = 1084;
    writer1829->definitionLine = 1084;
  }
  obj1825->flags |= OFLAG_MUTABLE;
  adddatum2(obj1825, alloc_Undefined(), 3);
// method "savePosition"
  struct UserObject *uo1830 = (struct UserObject*)obj1825;
  uo1830->data[4] = emptyclosure;
  Method *meth_meth_lexer_1830_savePosition = addmethod2pos(obj1825, "savePosition", &meth_lexer_1830_savePosition, 4);
  int argcv_meth_lexer_1830_savePosition[] = {0};
  meth_meth_lexer_1830_savePosition->type = alloc_MethodType(1, argcv_meth_lexer_1830_savePosition);
  meth_meth_lexer_1830_savePosition->definitionModule = modulename;
  meth_meth_lexer_1830_savePosition->definitionLine = 1086;
// method "restorePosition(_)"
  struct UserObject *uo1838 = (struct UserObject*)obj1825;
  uo1838->data[5] = emptyclosure;
  Method *meth_meth_lexer_1838_restorePosition_40_1_41_ = addmethod2pos(obj1825, "restorePosition(1)", &meth_lexer_1838_restorePosition_40_1_41_, 5);
  int argcv_meth_lexer_1838_restorePosition_40_1_41_[] = {1};
  meth_meth_lexer_1838_restorePosition_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1838_restorePosition_40_1_41_);
  meth_meth_lexer_1838_restorePosition_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1838_restorePosition_40_1_41_->definitionLine = 1090;
// method "push(_)"
  block_savedest(obj1825);
  Object closure1851 = createclosure(1, "push(1)");
  setclosureframe(closure1851, stackframe);
  addtoclosure(closure1851, var_errormessages);
  struct UserObject *uo1851 = (struct UserObject*)obj1825;
  uo1851->data[6] = (Object)closure1851;
  Method *meth_meth_lexer_1851_push_40_1_41_ = addmethod2pos(obj1825, "push(1)", &meth_lexer_1851_push_40_1_41_, 6);
  int argcv_meth_lexer_1851_push_40_1_41_[] = {1};
  meth_meth_lexer_1851_push_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1851_push_40_1_41_);
  meth_meth_lexer_1851_push_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1851_push_40_1_41_->definitionLine = 1096;
// method "pop"
  struct UserObject *uo1925 = (struct UserObject*)obj1825;
  uo1925->data[7] = emptyclosure;
  Method *meth_meth_lexer_1925_pop = addmethod2pos(obj1825, "pop", &meth_lexer_1925_pop, 7);
  int argcv_meth_lexer_1925_pop[] = {0};
  meth_meth_lexer_1925_pop->type = alloc_MethodType(1, argcv_meth_lexer_1925_pop);
  meth_meth_lexer_1925_pop->definitionModule = modulename;
  meth_meth_lexer_1925_pop->definitionLine = 1118;
// method "poll"
  struct UserObject *uo1959 = (struct UserObject*)obj1825;
  uo1959->data[8] = emptyclosure;
  Method *meth_meth_lexer_1959_poll = addmethod2pos(obj1825, "poll", &meth_lexer_1959_poll, 8);
  int argcv_meth_lexer_1959_poll[] = {0};
  meth_meth_lexer_1959_poll->type = alloc_MethodType(1, argcv_meth_lexer_1959_poll);
  meth_meth_lexer_1959_poll->definitionModule = modulename;
  meth_meth_lexer_1959_poll->definitionLine = 1130;
// method "iterator"
  struct UserObject *uo1993 = (struct UserObject*)obj1825;
  uo1993->data[9] = emptyclosure;
  Method *meth_meth_lexer_1993_iterator = addmethod2pos(obj1825, "iterator", &meth_lexer_1993_iterator, 9);
  int argcv_meth_lexer_1993_iterator[] = {0};
  meth_meth_lexer_1993_iterator->type = alloc_MethodType(1, argcv_meth_lexer_1993_iterator);
  meth_meth_lexer_1993_iterator->definitionModule = modulename;
  meth_meth_lexer_1993_iterator->definitionLine = 1142;
  Method *meth_meth_lexer_1993_iterator_object = addmethod2pos(obj1825, "iterator$object(1)", &meth_lexer_1993_iterator_object, 9);
  int argcv_meth_lexer_1993_iterator_object[] = {0};
  meth_meth_lexer_1993_iterator_object->type = alloc_MethodType(1, argcv_meth_lexer_1993_iterator_object);
  meth_meth_lexer_1993_iterator_object->definitionModule = modulename;
  meth_meth_lexer_1993_iterator_object->definitionLine = 1142;
// method "do(_)"
  struct UserObject *uo2018 = (struct UserObject*)obj1825;
  uo2018->data[10] = emptyclosure;
  Method *meth_meth_lexer_2018_do_40_1_41_ = addmethod2pos(obj1825, "do(1)", &meth_lexer_2018_do_40_1_41_, 10);
  int argcv_meth_lexer_2018_do_40_1_41_[] = {1};
  meth_meth_lexer_2018_do_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2018_do_40_1_41_);
  meth_meth_lexer_2018_do_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2018_do_40_1_41_->definitionLine = 1154;
  sourceObject = obj1825;
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2038 = alloc_Boolean(0);
// compiled identifier node returning bool2038 (depth = 4)
  adddatum2(obj1825, bool2038, 1);
  sourceObject = obj1825;
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2039 = alloc_Boolean(0);
// compiled identifier node returning bool2039 (depth = 4)
  adddatum2(obj1825, bool2039, 2);
  sourceObject = obj1825;
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num2040 = alloc_Float64(0);
// compiled num node returning num2040 (depth = 4)
  adddatum2(obj1825, num2040, 3);
  sourceObject = obj1825;
  sourceObject = obj1825;
  sourceObject = obj1825;
  sourceObject = obj1825;
  sourceObject = obj1825;
  sourceObject = obj1825;
  sourceObject = obj1825;
  objclass1825 = obj1825->class;
  objclass1825->definitionModule = modulename;
  objclass1825->definitionLine = 1081;
  (*(struct UserObject *)self).data[0] = lowerouter1825;
  self = oldself1825;
  selfslot = oldselfslot1825;
  stackframe = oldstackframe1825;
// compiled object node returning obj1825 (depth = 3)
  gc_frame_newslot(obj1825);
// call case 4: self request
  params[0] = obj1825;
  partcv[0] = 1;
  Object call2041 = callmethodflags(self, "tokens:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1824);
// compiled call node returning call2041 (depth = 2)
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2042 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num2043 = alloc_Float64(0);
// compiled num node returning num2043 (depth = 3)
  gc_frame_newslot(num2043);
// call case 4: self request
  params[0] = num2043;
  partcv[0] = 1;
  Object call2044 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2042);
// compiled call node returning call2044 (depth = 2)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2045 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit2046 == NULL) {
    strlit2046 = alloc_String("lexing.");
    gc_root(strlit2046);
  }
// compiled string node returning strlit2046 (depth = 3)
  gc_frame_newslot(strlit2046);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit2046;
  partcv[0] = 1;
  Object call2047 = callmethodflags(*var_util, "log_verbose(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2045);
// compiled call node returning call2047 (depth = 2)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2048 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2049 = gc_frame_new();
// call case 4: self request
  Object call2050 = callmethodflags(self, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2049);
// compiled member node returning call2050 (depth = 3)
  gc_frame_newslot(call2050);
// call case 4: self request
  params[0] = call2050;
  partcv[0] = 1;
  Object call2051 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2048);
// compiled call node returning call2051 (depth = 2)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2052 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inputLines (depth = 3)
  gc_frame_newslot(*var_inputLines);
// starting to compile block node (depth = 3)
  Object block2053 = alloc_Block(NULL, NULL, "lexer", 1167);
  gc_frame_newslot(block2053);
// method "_apply(_)"
  block_savedest(block2053);
  Object closure2054 = createclosure(1, "_apply(1)");
  setclosureframe(closure2054, stackframe);
  addtoclosure(closure2054, selfslot);
  struct UserObject *uo2054 = (struct UserObject*)block2053;
  uo2054->data[0] = (Object)closure2054;
  Method *meth_meth_lexer_2054__apply_40_1_41_ = addmethod2pos(block2053, "_apply(1)", &meth_lexer_2054__apply_40_1_41_, 0);
  int argcv_meth_lexer_2054__apply_40_1_41_[] = {1};
  meth_meth_lexer_2054__apply_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2054__apply_40_1_41_);
  meth_meth_lexer_2054__apply_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2054__apply_40_1_41_->definitionLine = 1204;
// compiled block node returning block2053 (depth = 3)
  gc_frame_newslot(block2053);
// call case 5: prelude request
  params[0] = *var_inputLines;
  params[1] = block2053;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2214 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2052);
// compiled call node returning call2214 (depth = 2)
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2215 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2217 = alloc_Float64(1);
// compiled num node returning num2217 (depth = 4)
  int op_slot_right_2216 = gc_frame_newslot(num2217);
// starting to compile member node (depth = 4)
  int callframe2219 = gc_frame_new();
// call case 4: self request
  Object call2220 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2219);
// compiled member node returning call2220 (depth = 4)
  int op_slot_left_2216 = gc_frame_newslot(call2220);
  params[0] = num2217;
  partcv[0] = 1;
  Object sum2221 = callmethod(call2220, "+(1)", 1, partcv, params);
// compiled op node returning sum2221 (depth = 3)
  gc_frame_newslot(sum2221);
// call case 4: self request
  params[0] = sum2221;
  partcv[0] = 1;
  Object call2222 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2215);
// compiled call node returning call2222 (depth = 2)
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2224 = gc_frame_new();
// call case 4: self request
  Object call2225 = callmethodflags(self, "inStr", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2224);
// compiled member node returning call2225 (depth = 3)
  Object if2223 = done;
  if (istrue(call2225)) {
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2226 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2229 == NULL) {
    strlit2229 = alloc_String(" and unclosed at end of input.");
    gc_root(strlit2229);
  }
// compiled string node returning strlit2229 (depth = 6)
  int op_slot_right_2228 = gc_frame_newslot(strlit2229);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2232 = gc_frame_new();
// call case 4: self request
  Object call2233 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2232);
// compiled member node returning call2233 (depth = 7)
  int op_slot_right_2231 = gc_frame_newslot(call2233);
// starting to compile string node (depth = 7)
  if (strlit2235 == NULL) {
    strlit2235 = alloc_String("String opened on line ");
    gc_root(strlit2235);
  }
// compiled string node returning strlit2235 (depth = 7)
  int op_slot_left_2231 = gc_frame_newslot(strlit2235);
  params[0] = call2233;
  partcv[0] = 1;
  Object opresult2236 = callmethod(strlit2235, "++(1)", 1, partcv, params);
// compiled op node returning opresult2236 (depth = 6)
  int op_slot_left_2228 = gc_frame_newslot(opresult2236);
  params[0] = strlit2229;
  partcv[0] = 1;
  Object opresult2237 = callmethod(opresult2236, "++(1)", 1, partcv, params);
// compiled op node returning opresult2237 (depth = 5)
  int op_slot_right_2227 = gc_frame_newslot(opresult2237);
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2239 == NULL) {
    strlit2239 = alloc_String("a multi-line string must end with a '""\xe2""""\x80""""\xba""'.""\x0a""");
    gc_root(strlit2239);
  }
// compiled string node returning strlit2239 (depth = 5)
  int op_slot_left_2227 = gc_frame_newslot(strlit2239);
  params[0] = opresult2237;
  partcv[0] = 1;
  Object opresult2240 = callmethod(strlit2239, "++(1)", 1, partcv, params);
// compiled op node returning opresult2240 (depth = 4)
  gc_frame_newslot(opresult2240);
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2241 = gc_frame_new();
// call case 4: self request
  Object call2242 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2241);
// compiled member node returning call2242 (depth = 4)
  gc_frame_newslot(call2242);
// starting to compile member node (depth = 4)
  int callframe2243 = gc_frame_new();
// call case 4: self request
  Object call2244 = callmethodflags(self, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2243);
// compiled member node returning call2244 (depth = 4)
  gc_frame_newslot(call2244);
// starting to compile member node (depth = 4)
  int callframe2245 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe2246 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2247 = gc_frame_new();
// call case 4: self request
  Object call2248 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2247);
// compiled member node returning call2248 (depth = 6)
  gc_frame_newslot(call2248);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2249 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call2250 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe2249);
// compiled member node returning call2250 (depth = 6)
  params[0] = call2248;
  partcv[0] = 1;
  Object call2251 = callmethodflags(call2250, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2246);
// compiled call node returning call2251 (depth = 5)
  Object call2252 = callmethodflags(call2251, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2245);
// compiled member node returning call2252 (depth = 4)
  gc_frame_newslot(call2252);
// call case 6: other requests
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult2240;
  params[1] = call2242;
  params[2] = call2244;
  params[3] = call2252;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2253 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2226);
// compiled call node returning call2253 (depth = 3)
    gc_frame_newslot(call2253);
    if2223 = call2253;
  } else {
  }
// compiled if node returning if2223 (depth = 2)
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2254 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2255 = gc_frame_new();
// call case 4: self request
  Object call2256 = callmethodflags(self, "eofToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2255);
// compiled member node returning call2256 (depth = 3)
  gc_frame_newslot(call2256);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2257 = gc_frame_new();
// call case 4: self request
  Object call2258 = callmethodflags(self, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2257);
// compiled member node returning call2258 (depth = 3)
  params[0] = call2256;
  partcv[0] = 1;
  Object call2259 = callmethodflags(call2258, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2254);
// compiled call node returning call2259 (depth = 2)
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2260 = gc_frame_new();
// call case 4: self request
  Object call2261 = callmethodflags(self, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2260);
// compiled member node returning call2261 (depth = 2)
  gc_frame_end(frame);
  return call2261;
}
Object meth_lexer_2276_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2279 == NULL) {
    strlit2279 = alloc_String("#");
    gc_root(strlit2279);
  }
// compiled string node returning strlit2279 (depth = 4)
  int op_slot_right_2278 = gc_frame_newslot(strlit2279);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2278 = gc_frame_newslot(*var_c);
  params[0] = strlit2279;
  partcv[0] = 1;
  Object opresult2281 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2281 (depth = 3)
  Object if2277 = done;
  if (istrue(opresult2281)) {
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2282 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2283 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2284 = gc_frame_new();
// call case 3: self.outer request
  Object call2285 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2284);
// compiled member node returning call2285 (depth = 5)
  Object call2286 = callmethodflags(call2285, "pragmaPrefixState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2283);
// compiled member node returning call2286 (depth = 4)
  gc_frame_newslot(call2286);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2287 = gc_frame_new();
// call case 3: self.outer request
  Object call2288 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2287);
// compiled member node returning call2288 (depth = 4)
  params[0] = call2286;
  partcv[0] = 1;
  Object call2289 = callmethodflags(call2288, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2282);
// compiled call node returning call2289 (depth = 3)
    gc_frame_newslot(call2289);
    if2277 = call2289;
  } else {
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2290 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2291 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2292 = gc_frame_new();
// call case 3: self.outer request
  Object call2293 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2292);
// compiled member node returning call2293 (depth = 5)
  Object call2294 = callmethodflags(call2293, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2291);
// compiled member node returning call2294 (depth = 4)
  gc_frame_newslot(call2294);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2295 = gc_frame_new();
// call case 3: self.outer request
  Object call2296 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2295);
// compiled member node returning call2296 (depth = 4)
  params[0] = call2294;
  partcv[0] = 1;
  Object call2297 = callmethodflags(call2296, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2290);
// compiled call node returning call2297 (depth = 3)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2298 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2299 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2300 = gc_frame_new();
// call case 3: self.outer request
  Object call2301 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2300);
// compiled member node returning call2301 (depth = 5)
  Object call2302 = callmethodflags(call2301, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2299);
// compiled member node returning call2302 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2303 = callmethodflags(call2302, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2298);
// compiled call node returning call2303 (depth = 3)
    gc_frame_newslot(call2303);
    if2277 = call2303;
  }
// compiled if node returning if2277 (depth = 2)
  gc_frame_end(frame);
  return if2277;
}
Object meth_lexer_2310_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2311 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2312 = gc_frame_new();
// call case 3: self.outer request
  Object call2313 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2312);
// compiled member node returning call2313 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2314 = callmethodflags(call2313, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2311);
// compiled call node returning call2314 (depth = 2)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2317 == NULL) {
    strlit2317 = alloc_String("""\x0a""");
    gc_root(strlit2317);
  }
// compiled string node returning strlit2317 (depth = 4)
  int op_slot_right_2316 = gc_frame_newslot(strlit2317);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2316 = gc_frame_newslot(*var_c);
  params[0] = strlit2317;
  partcv[0] = 1;
  Object opresult2319 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2319 (depth = 3)
  Object if2315 = done;
  if (istrue(opresult2319)) {
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2320 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2321 == NULL) {
    strlit2321 = alloc_String("Incomplete pragma definition ");
    gc_root(strlit2321);
  }
// compiled string node returning strlit2321 (depth = 4)
  gc_frame_newslot(strlit2321);
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2322 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2323 = gc_frame_new();
// call case 3: self.outer request
  Object call2324 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2323);
// compiled member node returning call2324 (depth = 5)
  Object call2325 = callmethodflags(call2324, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2322);
// compiled member node returning call2325 (depth = 4)
  gc_frame_newslot(call2325);
// starting to compile member node (depth = 4)
  int callframe2326 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2327 = gc_frame_new();
// call case 3: self.outer request
  Object call2328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2327);
// compiled member node returning call2328 (depth = 5)
  Object call2329 = callmethodflags(call2328, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2326);
// compiled member node returning call2329 (depth = 4)
  gc_frame_newslot(call2329);
// starting to compile member node (depth = 4)
  int callframe2330 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2331 = gc_frame_new();
// call case 3: self.outer request
  Object call2332 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2331);
// compiled member node returning call2332 (depth = 5)
  Object call2333 = callmethodflags(call2332, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2330);
// compiled member node returning call2333 (depth = 4)
  gc_frame_newslot(call2333);
// call case 6: other requests
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit2321;
  params[1] = call2325;
  params[2] = call2329;
  params[3] = call2333;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2334 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2320);
// compiled call node returning call2334 (depth = 3)
    gc_frame_newslot(call2334);
    if2315 = call2334;
  } else {
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2336 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2337 = gc_frame_new();
// call case 3: self.outer request
  Object call2338 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2337);
// compiled member node returning call2338 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2339 = callmethodflags(call2338, "isSpaceChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2336);
// compiled call node returning call2339 (depth = 4)
  Object if2335 = done;
  if (istrue(call2339)) {
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2342 == NULL) {
    strlit2342 = alloc_String("pragma");
    gc_root(strlit2342);
  }
// compiled string node returning strlit2342 (depth = 6)
  int op_slot_right_2341 = gc_frame_newslot(strlit2342);
// starting to compile member node (depth = 6)
  int callframe2344 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2345 = gc_frame_new();
// call case 3: self.outer request
  Object call2346 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2345);
// compiled member node returning call2346 (depth = 7)
  Object call2347 = callmethodflags(call2346, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2344);
// compiled member node returning call2347 (depth = 6)
  int op_slot_left_2341 = gc_frame_newslot(call2347);
  params[0] = strlit2342;
  partcv[0] = 1;
  Object opresult2348 = callmethod(call2347, "==(1)", 1, partcv, params);
// compiled op node returning opresult2348 (depth = 5)
  Object if2340 = done;
  if (istrue(opresult2348)) {
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2349 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2350 == NULL) {
    strlit2350 = alloc_String("");
    gc_root(strlit2350);
  }
// compiled string node returning strlit2350 (depth = 6)
  gc_frame_newslot(strlit2350);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2351 = gc_frame_new();
// call case 3: self.outer request
  Object call2352 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2351);
// compiled member node returning call2352 (depth = 6)
  params[0] = strlit2350;
  partcv[0] = 1;
  Object call2353 = callmethodflags(call2352, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2349);
// compiled call node returning call2353 (depth = 5)
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2354 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2355 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2356 = gc_frame_new();
// call case 3: self.outer request
  Object call2357 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2356);
// compiled member node returning call2357 (depth = 7)
  Object call2358 = callmethodflags(call2357, "pragmaBodyState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2355);
// compiled member node returning call2358 (depth = 6)
  gc_frame_newslot(call2358);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2359 = gc_frame_new();
// call case 3: self.outer request
  Object call2360 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2359);
// compiled member node returning call2360 (depth = 6)
  params[0] = call2358;
  partcv[0] = 1;
  Object call2361 = callmethodflags(call2360, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2354);
// compiled call node returning call2361 (depth = 5)
    gc_frame_newslot(call2361);
    if2340 = call2361;
  } else {
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2362 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2363 == NULL) {
    strlit2363 = alloc_String("Pragmas must start with #pragma ");
    gc_root(strlit2363);
  }
// compiled string node returning strlit2363 (depth = 6)
  gc_frame_newslot(strlit2363);
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2364 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2365 = gc_frame_new();
// call case 3: self.outer request
  Object call2366 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2365);
// compiled member node returning call2366 (depth = 7)
  Object call2367 = callmethodflags(call2366, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2364);
// compiled member node returning call2367 (depth = 6)
  gc_frame_newslot(call2367);
// starting to compile member node (depth = 6)
  int callframe2368 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2369 = gc_frame_new();
// call case 3: self.outer request
  Object call2370 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2369);
// compiled member node returning call2370 (depth = 7)
  Object call2371 = callmethodflags(call2370, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2368);
// compiled member node returning call2371 (depth = 6)
  gc_frame_newslot(call2371);
// starting to compile member node (depth = 6)
  int callframe2372 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2373 = gc_frame_new();
// call case 3: self.outer request
  Object call2374 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2373);
// compiled member node returning call2374 (depth = 7)
  Object call2375 = callmethodflags(call2374, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2372);
// compiled member node returning call2375 (depth = 6)
  gc_frame_newslot(call2375);
// call case 6: other requests
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit2363;
  params[1] = call2367;
  params[2] = call2371;
  params[3] = call2375;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2376 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2362);
// compiled call node returning call2376 (depth = 5)
    gc_frame_newslot(call2376);
    if2340 = call2376;
  }
// compiled if node returning if2340 (depth = 4)
    gc_frame_newslot(if2340);
    if2335 = if2340;
  } else {
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2377 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2378 = gc_frame_new();
// call case 3: self.outer request
  Object call2379 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2378);
// compiled member node returning call2379 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2380 = callmethodflags(call2379, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2377);
// compiled call node returning call2380 (depth = 4)
    gc_frame_newslot(call2380);
    if2335 = call2380;
  }
// compiled if node returning if2335 (depth = 3)
    gc_frame_newslot(if2335);
    if2315 = if2335;
  }
// compiled if node returning if2315 (depth = 2)
  gc_frame_end(frame);
  return if2315;
}
Object meth_lexer_2383_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2384 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2385 = gc_frame_new();
// call case 3: self.outer request
  Object call2386 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2385);
// compiled member node returning call2386 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2387 = callmethodflags(call2386, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2384);
// compiled call node returning call2387 (depth = 2)
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2390 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2391 = gc_frame_new();
// call case 3: self.outer request
  Object call2392 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2391);
// compiled member node returning call2392 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2393 = callmethodflags(call2392, "isSpaceChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compiled call node returning call2393 (depth = 4)
  int op_slot_right_2389 = gc_frame_newslot(call2393);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2396 == NULL) {
    strlit2396 = alloc_String("""\x0a""");
    gc_root(strlit2396);
  }
// compiled string node returning strlit2396 (depth = 5)
  int op_slot_right_2395 = gc_frame_newslot(strlit2396);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_2395 = gc_frame_newslot(*var_c);
  params[0] = strlit2396;
  partcv[0] = 1;
  Object opresult2398 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2398 (depth = 4)
  int op_slot_left_2389 = gc_frame_newslot(opresult2398);
  params[0] = call2393;
  partcv[0] = 1;
  Object opresult2399 = callmethod(opresult2398, "||(1)", 1, partcv, params);
// compiled op node returning opresult2399 (depth = 3)
  Object if2388 = done;
  if (istrue(opresult2399)) {
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2400 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2401 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2402 = gc_frame_new();
// call case 3: self.outer request
  Object call2403 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2402);
// compiled member node returning call2403 (depth = 5)
  Object call2404 = callmethodflags(call2403, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2401);
// compiled member node returning call2404 (depth = 4)
  gc_frame_newslot(call2404);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call2404;
  partcv[0] = 1;
  Object call2405 = callmethodflags(*var_util, "processExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2400);
// compiled call node returning call2405 (depth = 3)
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2406 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2407 == NULL) {
    strlit2407 = alloc_String("");
    gc_root(strlit2407);
  }
// compiled string node returning strlit2407 (depth = 4)
  gc_frame_newslot(strlit2407);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2408 = gc_frame_new();
// call case 3: self.outer request
  Object call2409 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2408);
// compiled member node returning call2409 (depth = 4)
  params[0] = strlit2407;
  partcv[0] = 1;
  Object call2410 = callmethodflags(call2409, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2406);
// compiled call node returning call2410 (depth = 3)
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2411 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2412 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2413 = gc_frame_new();
// call case 3: self.outer request
  Object call2414 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2413);
// compiled member node returning call2414 (depth = 5)
  Object call2415 = callmethodflags(call2414, "pragmaTrailingWhitespaceState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2412);
// compiled member node returning call2415 (depth = 4)
  gc_frame_newslot(call2415);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2416 = gc_frame_new();
// call case 3: self.outer request
  Object call2417 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2416);
// compiled member node returning call2417 (depth = 4)
  params[0] = call2415;
  partcv[0] = 1;
  Object call2418 = callmethodflags(call2417, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2411);
// compiled call node returning call2418 (depth = 3)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2419 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2420 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2421 = gc_frame_new();
// call case 3: self.outer request
  Object call2422 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2421);
// compiled member node returning call2422 (depth = 5)
  Object call2423 = callmethodflags(call2422, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2420);
// compiled member node returning call2423 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2424 = callmethodflags(call2423, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2419);
// compiled call node returning call2424 (depth = 3)
    gc_frame_newslot(call2424);
    if2388 = call2424;
  } else {
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2425 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2426 = gc_frame_new();
// call case 3: self.outer request
  Object call2427 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2426);
// compiled member node returning call2427 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2428 = callmethodflags(call2427, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2425);
// compiled call node returning call2428 (depth = 3)
    gc_frame_newslot(call2428);
    if2388 = call2428;
  }
// compiled if node returning if2388 (depth = 2)
  gc_frame_end(frame);
  return if2388;
}
Object meth_lexer_2431_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2432 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2433 = gc_frame_new();
// call case 3: self.outer request
  Object call2434 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2433);
// compiled member node returning call2434 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2435 = callmethodflags(call2434, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2432);
// compiled call node returning call2435 (depth = 2)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2438 == NULL) {
    strlit2438 = alloc_String("""\x0a""");
    gc_root(strlit2438);
  }
// compiled string node returning strlit2438 (depth = 4)
  int op_slot_right_2437 = gc_frame_newslot(strlit2438);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2437 = gc_frame_newslot(*var_c);
  params[0] = strlit2438;
  partcv[0] = 1;
  Object opresult2440 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2440 (depth = 3)
  Object if2436 = done;
  if (istrue(opresult2440)) {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2441 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2442 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2443 = gc_frame_new();
// call case 3: self.outer request
  Object call2444 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2443);
// compiled member node returning call2444 (depth = 5)
  Object call2445 = callmethodflags(call2444, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2442);
// compiled member node returning call2445 (depth = 4)
  gc_frame_newslot(call2445);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2446 = gc_frame_new();
// call case 3: self.outer request
  Object call2447 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2446);
// compiled member node returning call2447 (depth = 4)
  params[0] = call2445;
  partcv[0] = 1;
  Object call2448 = callmethodflags(call2447, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2441);
// compiled call node returning call2448 (depth = 3)
    gc_frame_newslot(call2448);
    if2436 = call2448;
  } else {
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2450 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe2451 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2452 = gc_frame_new();
// call case 3: self.outer request
  Object call2453 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2452);
// compiled member node returning call2453 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2454 = callmethodflags(call2453, "isSpaceChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2451);
// compiled call node returning call2454 (depth = 5)
  partcv[0] = 0;
  Object call2455 = callmethodflags(call2454, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe2450);
// compiled call node returning call2455 (depth = 4)
  Object if2449 = done;
  if (istrue(call2455)) {
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2456 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2457 == NULL) {
    strlit2457 = alloc_String("Pragmas must be a single word ");
    gc_root(strlit2457);
  }
// compiled string node returning strlit2457 (depth = 5)
  gc_frame_newslot(strlit2457);
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe2458 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2459 = gc_frame_new();
// call case 3: self.outer request
  Object call2460 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2459);
// compiled member node returning call2460 (depth = 6)
  Object call2461 = callmethodflags(call2460, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2458);
// compiled member node returning call2461 (depth = 5)
  gc_frame_newslot(call2461);
// starting to compile member node (depth = 5)
  int callframe2462 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2463 = gc_frame_new();
// call case 3: self.outer request
  Object call2464 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2463);
// compiled member node returning call2464 (depth = 6)
  Object call2465 = callmethodflags(call2464, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2462);
// compiled member node returning call2465 (depth = 5)
  gc_frame_newslot(call2465);
// starting to compile member node (depth = 5)
  int callframe2466 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2467 = gc_frame_new();
// call case 3: self.outer request
  Object call2468 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2467);
// compiled member node returning call2468 (depth = 6)
  Object call2469 = callmethodflags(call2468, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2466);
// compiled member node returning call2469 (depth = 5)
  gc_frame_newslot(call2469);
// call case 6: other requests
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit2457;
  params[1] = call2461;
  params[2] = call2465;
  params[3] = call2469;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2470 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2456);
// compiled call node returning call2470 (depth = 4)
    gc_frame_newslot(call2470);
    if2449 = call2470;
  } else {
  }
// compiled if node returning if2449 (depth = 3)
    gc_frame_newslot(if2449);
    if2436 = if2449;
  }
// compiled if node returning if2436 (depth = 2)
  gc_frame_end(frame);
  return if2436;
}
Object meth_lexer_2557__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2559 == NULL) {
    strlit2559 = alloc_String("num");
    gc_root(strlit2559);
  }
// compiled string node returning strlit2559 (depth = 10)
  int op_slot_right_2558 = gc_frame_newslot(strlit2559);
// starting to compile member node (depth = 10)
  int callframe2561 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2562 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2563 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2564 = gc_frame_new();
// call case 3: self.outer request
  Object call2565 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2564);
// compiled member node returning call2565 (depth = 13)
  Object call2566 = callmethodflags(call2565, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2563);
// compiled member node returning call2566 (depth = 12)
  Object call2567 = callmethodflags(call2566, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2562);
// compiled member node returning call2567 (depth = 11)
  Object call2568 = callmethodflags(call2567, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2561);
// compiled member node returning call2568 (depth = 10)
  int op_slot_left_2558 = gc_frame_newslot(call2568);
  params[0] = strlit2559;
  partcv[0] = 1;
  Object opresult2569 = callmethod(call2568, "==(1)", 1, partcv, params);
// compiled op node returning opresult2569 (depth = 9)
  gc_frame_end(frame);
  return opresult2569;
}
Object meth_lexer_2806__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2808 == NULL) {
    strlit2808 = alloc_String("lparen");
    gc_root(strlit2808);
  }
// compiled string node returning strlit2808 (depth = 19)
  int op_slot_right_2807 = gc_frame_newslot(strlit2808);
// starting to compile member node (depth = 19)
  int callframe2810 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2811 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 21)
  int callframe2812 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2813 = gc_frame_new();
// call case 3: self.outer request
  Object call2814 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2813);
// compiled member node returning call2814 (depth = 22)
  Object call2815 = callmethodflags(call2814, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2812);
// compiled member node returning call2815 (depth = 21)
  Object call2816 = callmethodflags(call2815, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2811);
// compiled member node returning call2816 (depth = 20)
  Object call2817 = callmethodflags(call2816, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2810);
// compiled member node returning call2817 (depth = 19)
  int op_slot_left_2807 = gc_frame_newslot(call2817);
  params[0] = strlit2808;
  partcv[0] = 1;
  Object opresult2818 = callmethod(call2817, "==(1)", 1, partcv, params);
// compiled op node returning opresult2818 (depth = 18)
  gc_frame_end(frame);
  return opresult2818;
}
Object meth_lexer_2473_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[5];
  int partcv[3];
  Object *var_spaceChars = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  Object *var_ordval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ordval");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2474 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call2475 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe2474);
// compiled member node returning call2475 (depth = 3)
  *var_ordval = call2475;
  if (call2475 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2476 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2477 = gc_frame_new();
// call case 3: self.outer request
  Object call2478 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2477);
// compiled member node returning call2478 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2479 = callmethodflags(call2478, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2476);
// compiled call node returning call2479 (depth = 2)
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2480 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2481 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2482 = gc_frame_new();
// call case 3: self.outer request
  Object call2483 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2482);
// compiled member node returning call2483 (depth = 4)
  Object call2484 = callmethodflags(call2483, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2481);
// compiled member node returning call2484 (depth = 3)
  gc_frame_newslot(call2484);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2485 = gc_frame_new();
// call case 3: self.outer request
  Object call2486 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2485);
// compiled member node returning call2486 (depth = 3)
  params[0] = call2484;
  partcv[0] = 1;
  Object call2487 = callmethodflags(call2486, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2480);
// compiled call node returning call2487 (depth = 2)
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2488 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2489 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2490 = gc_frame_new();
// call case 3: self.outer request
  Object call2491 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2490);
// compiled member node returning call2491 (depth = 4)
  Object call2492 = callmethodflags(call2491, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2489);
// compiled member node returning call2492 (depth = 3)
  gc_frame_newslot(call2492);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2493 = gc_frame_new();
// call case 3: self.outer request
  Object call2494 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2493);
// compiled member node returning call2494 (depth = 3)
  params[0] = call2492;
  partcv[0] = 1;
  Object call2495 = callmethodflags(call2494, "startLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2488);
// compiled call node returning call2495 (depth = 2)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2497 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2498 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2497);
// compiled call node returning call2498 (depth = 3)
  Object if2496 = done;
  if (istrue(call2498)) {
    gc_frame_newslot(done);
    if2496 = done;
  } else {
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2501 == NULL) {
    strlit2501 = alloc_String("""\x22""");
    gc_root(strlit2501);
  }
// compiled string node returning strlit2501 (depth = 5)
  int op_slot_right_2500 = gc_frame_newslot(strlit2501);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_2500 = gc_frame_newslot(*var_c);
  params[0] = strlit2501;
  partcv[0] = 1;
  Object opresult2503 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2503 (depth = 4)
  Object if2499 = done;
  if (istrue(opresult2503)) {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2504 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool2505 = alloc_Boolean(1);
// compiled identifier node returning bool2505 (depth = 5)
  gc_frame_newslot(bool2505);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2506 = gc_frame_new();
// call case 3: self.outer request
  Object call2507 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2506);
// compiled member node returning call2507 (depth = 5)
  params[0] = bool2505;
  partcv[0] = 1;
  Object call2508 = callmethodflags(call2507, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2504);
// compiled call node returning call2508 (depth = 4)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2509 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2510 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2511 = gc_frame_new();
// call case 3: self.outer request
  Object call2512 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2511);
// compiled member node returning call2512 (depth = 6)
  Object call2513 = callmethodflags(call2512, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2510);
// compiled member node returning call2513 (depth = 5)
  gc_frame_newslot(call2513);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2514 = gc_frame_new();
// call case 3: self.outer request
  Object call2515 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2514);
// compiled member node returning call2515 (depth = 5)
  params[0] = call2513;
  partcv[0] = 1;
  Object call2516 = callmethodflags(call2515, "stringStart:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2509);
// compiled call node returning call2516 (depth = 4)
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2517 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2518 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2519 = gc_frame_new();
// call case 3: self.outer request
  Object call2520 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2519);
// compiled member node returning call2520 (depth = 6)
  Object call2521 = callmethodflags(call2520, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2518);
// compiled member node returning call2521 (depth = 5)
  gc_frame_newslot(call2521);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2522 = gc_frame_new();
// call case 3: self.outer request
  Object call2523 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2522);
// compiled member node returning call2523 (depth = 5)
  params[0] = call2521;
  partcv[0] = 1;
  Object call2524 = callmethodflags(call2523, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2517);
// compiled call node returning call2524 (depth = 4)
    gc_frame_newslot(call2524);
    if2499 = call2524;
  } else {
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2527 == NULL) {
    strlit2527 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit2527);
  }
// compiled string node returning strlit2527 (depth = 6)
  int op_slot_right_2526 = gc_frame_newslot(strlit2527);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_2526 = gc_frame_newslot(*var_c);
  params[0] = strlit2527;
  partcv[0] = 1;
  Object opresult2529 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2529 (depth = 5)
  Object if2525 = done;
  if (istrue(opresult2529)) {
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2530 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool2531 = alloc_Boolean(1);
// compiled identifier node returning bool2531 (depth = 6)
  gc_frame_newslot(bool2531);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2532 = gc_frame_new();
// call case 3: self.outer request
  Object call2533 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2532);
// compiled member node returning call2533 (depth = 6)
  params[0] = bool2531;
  partcv[0] = 1;
  Object call2534 = callmethodflags(call2533, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2530);
// compiled call node returning call2534 (depth = 5)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2535 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2536 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2537 = gc_frame_new();
// call case 3: self.outer request
  Object call2538 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2537);
// compiled member node returning call2538 (depth = 7)
  Object call2539 = callmethodflags(call2538, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2536);
// compiled member node returning call2539 (depth = 6)
  gc_frame_newslot(call2539);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2540 = gc_frame_new();
// call case 3: self.outer request
  Object call2541 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2540);
// compiled member node returning call2541 (depth = 6)
  params[0] = call2539;
  partcv[0] = 1;
  Object call2542 = callmethodflags(call2541, "stringStart:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2535);
// compiled call node returning call2542 (depth = 5)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2543 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2544 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2545 = gc_frame_new();
// call case 3: self.outer request
  Object call2546 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2545);
// compiled member node returning call2546 (depth = 7)
  Object call2547 = callmethodflags(call2546, "extendedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2544);
// compiled member node returning call2547 (depth = 6)
  gc_frame_newslot(call2547);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2548 = gc_frame_new();
// call case 3: self.outer request
  Object call2549 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2548);
// compiled member node returning call2549 (depth = 6)
  params[0] = call2547;
  partcv[0] = 1;
  Object call2550 = callmethodflags(call2549, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2543);
// compiled call node returning call2550 (depth = 5)
    gc_frame_newslot(call2550);
    if2525 = call2550;
  } else {
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2552 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning module_lexer (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2553 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2552);
// compiled call node returning call2553 (depth = 6)
  Object if2551 = done;
  if (istrue(call2553)) {
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile block node (depth = 8)
  Object block2556 = alloc_Block(NULL, NULL, "lexer", 348);
  gc_frame_newslot(block2556);
// method "_apply"
  block_savedest(block2556);
  Object closure2557 = createclosure(1, "_apply");
  setclosureframe(closure2557, stackframe);
  addtoclosure(closure2557, selfslot);
  struct UserObject *uo2557 = (struct UserObject*)block2556;
  uo2557->data[0] = (Object)closure2557;
  Method *meth_meth_lexer_2557__apply = addmethod2pos(block2556, "_apply", &meth_lexer_2557__apply, 0);
  int argcv_meth_lexer_2557__apply[] = {0};
  meth_meth_lexer_2557__apply->type = alloc_MethodType(1, argcv_meth_lexer_2557__apply);
  meth_meth_lexer_2557__apply->definitionModule = modulename;
  meth_meth_lexer_2557__apply->definitionLine = 1204;
// compiled block node returning block2556 (depth = 8)
  int op_slot_right_2555 = gc_frame_newslot(block2556);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2573 = alloc_Float64(0);
// compiled num node returning num2573 (depth = 9)
  int op_slot_right_2572 = gc_frame_newslot(num2573);
// starting to compile member node (depth = 9)
  int callframe2575 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2576 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2577 = gc_frame_new();
// call case 3: self.outer request
  Object call2578 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2577);
// compiled member node returning call2578 (depth = 11)
  Object call2579 = callmethodflags(call2578, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2576);
// compiled member node returning call2579 (depth = 10)
  Object call2580 = callmethodflags(call2579, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2575);
// compiled member node returning call2580 (depth = 9)
  int op_slot_left_2572 = gc_frame_newslot(call2580);
  params[0] = num2573;
  partcv[0] = 1;
  Object opresult2581 = callmethod(call2580, ">(1)", 1, partcv, params);
// compiled op node returning opresult2581 (depth = 8)
  int op_slot_left_2555 = gc_frame_newslot(opresult2581);
  params[0] = block2556;
  partcv[0] = 1;
  Object opresult2582 = callmethod(opresult2581, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2582 (depth = 7)
  Object if2554 = done;
  if (istrue(opresult2582)) {
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2583 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2584 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2585 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2584);
// compiled member node returning call2585 (depth = 9)
  Object call2586 = callmethodflags(call2585, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2583);
// compiled member node returning call2586 (depth = 8)
  *var_suggestion = call2586;
  if (call2586 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2587 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2589 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2590 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2591 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2592 = gc_frame_new();
// call case 3: self.outer request
  Object call2593 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2592);
// compiled member node returning call2593 (depth = 12)
  Object call2594 = callmethodflags(call2593, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2591);
// compiled member node returning call2594 (depth = 11)
  Object call2595 = callmethodflags(call2594, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2590);
// compiled member node returning call2595 (depth = 10)
  Object call2596 = callmethodflags(call2595, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2589);
// compiled member node returning call2596 (depth = 9)
  int op_slot_right_2588 = gc_frame_newslot(call2596);
// starting to compile member node (depth = 9)
  int callframe2598 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2599 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2600 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2601 = gc_frame_new();
// call case 3: self.outer request
  Object call2602 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2601);
// compiled member node returning call2602 (depth = 12)
  Object call2603 = callmethodflags(call2602, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2600);
// compiled member node returning call2603 (depth = 11)
  Object call2604 = callmethodflags(call2603, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2599);
// compiled member node returning call2604 (depth = 10)
  Object call2605 = callmethodflags(call2604, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2598);
// compiled member node returning call2605 (depth = 9)
  int op_slot_left_2588 = gc_frame_newslot(call2605);
  params[0] = call2596;
  partcv[0] = 1;
  Object sum2606 = callmethod(call2605, "+(1)", 1, partcv, params);
// compiled op node returning sum2606 (depth = 8)
  gc_frame_newslot(sum2606);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2608 = alloc_Float64(1);
// compiled num node returning num2608 (depth = 9)
  int op_slot_right_2607 = gc_frame_newslot(num2608);
// starting to compile member node (depth = 9)
  int callframe2610 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2611 = gc_frame_new();
// call case 3: self.outer request
  Object call2612 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2611);
// compiled member node returning call2612 (depth = 10)
  Object call2613 = callmethodflags(call2612, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2610);
// compiled member node returning call2613 (depth = 9)
  int op_slot_left_2607 = gc_frame_newslot(call2613);
  params[0] = num2608;
  partcv[0] = 1;
  Object diff2614 = callmethod(call2613, "-(1)", 1, partcv, params);
// compiled op node returning diff2614 (depth = 8)
  gc_frame_newslot(diff2614);
// starting to compile member node (depth = 8)
  int callframe2615 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2616 = gc_frame_new();
// call case 3: self.outer request
  Object call2617 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2616);
// compiled member node returning call2617 (depth = 9)
  Object call2618 = callmethodflags(call2617, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2615);
// compiled member node returning call2618 (depth = 8)
  gc_frame_newslot(call2618);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum2606;
  params[1] = diff2614;
  params[2] = call2618;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2619 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2587);
// compiled call node returning call2619 (depth = 7)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2620 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2621 == NULL) {
    strlit2621 = alloc_String("Consecutive numbers are not allowed.");
    gc_root(strlit2621);
  }
// compiled string node returning strlit2621 (depth = 8)
  gc_frame_newslot(strlit2621);
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2622 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2623 = gc_frame_new();
// call case 3: self.outer request
  Object call2624 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2623);
// compiled member node returning call2624 (depth = 9)
  Object call2625 = callmethodflags(call2624, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2622);
// compiled member node returning call2625 (depth = 8)
  gc_frame_newslot(call2625);
// starting to compile member node (depth = 8)
  int callframe2626 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2627 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2629 = gc_frame_new();
// call case 3: self.outer request
  Object call2630 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2629);
// compiled member node returning call2630 (depth = 11)
  Object call2631 = callmethodflags(call2630, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2628);
// compiled member node returning call2631 (depth = 10)
  Object call2632 = callmethodflags(call2631, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2627);
// compiled member node returning call2632 (depth = 9)
  Object call2633 = callmethodflags(call2632, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2626);
// compiled member node returning call2633 (depth = 8)
  gc_frame_newslot(call2633);
// starting to compile member node (depth = 8)
  int callframe2634 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2635 = gc_frame_new();
// call case 3: self.outer request
  Object call2636 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2635);
// compiled member node returning call2636 (depth = 9)
  Object call2637 = callmethodflags(call2636, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2634);
// compiled member node returning call2637 (depth = 8)
  gc_frame_newslot(call2637);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2621;
  params[1] = call2625;
  params[2] = call2633;
  params[3] = call2637;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2638 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2620);
// compiled call node returning call2638 (depth = 7)
    gc_frame_newslot(call2638);
    if2554 = call2638;
  } else {
  }
// compiled if node returning if2554 (depth = 6)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2639 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2640 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2641 = gc_frame_new();
// call case 3: self.outer request
  Object call2642 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2641);
// compiled member node returning call2642 (depth = 8)
  Object call2643 = callmethodflags(call2642, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2640);
// compiled member node returning call2643 (depth = 7)
  gc_frame_newslot(call2643);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2644 = gc_frame_new();
// call case 3: self.outer request
  Object call2645 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2644);
// compiled member node returning call2645 (depth = 7)
  params[0] = call2643;
  partcv[0] = 1;
  Object call2646 = callmethodflags(call2645, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2639);
// compiled call node returning call2646 (depth = 6)
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2647 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2648 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2649 = gc_frame_new();
// call case 3: self.outer request
  Object call2650 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2649);
// compiled member node returning call2650 (depth = 8)
  Object call2651 = callmethodflags(call2650, "numberStartState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2648);
// compiled member node returning call2651 (depth = 7)
  gc_frame_newslot(call2651);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2652 = gc_frame_new();
// call case 3: self.outer request
  Object call2653 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2652);
// compiled member node returning call2653 (depth = 7)
  params[0] = call2651;
  partcv[0] = 1;
  Object call2654 = callmethodflags(call2653, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2647);
// compiled call node returning call2654 (depth = 6)
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2655 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2656 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2657 = gc_frame_new();
// call case 3: self.outer request
  Object call2658 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2657);
// compiled member node returning call2658 (depth = 8)
  Object call2659 = callmethodflags(call2658, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2656);
// compiled member node returning call2659 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2660 = callmethodflags(call2659, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2655);
// compiled call node returning call2660 (depth = 6)
    gc_frame_newslot(call2660);
    if2551 = call2660;
  } else {
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2662 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning module_lexer (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2663 = callmethodflags(module_lexer, "isIdentifierChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2662);
// compiled call node returning call2663 (depth = 7)
  Object if2661 = done;
  if (istrue(call2663)) {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2664 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2665 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2666 = gc_frame_new();
// call case 3: self.outer request
  Object call2667 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2666);
// compiled member node returning call2667 (depth = 9)
  Object call2668 = callmethodflags(call2667, "identifierState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2665);
// compiled member node returning call2668 (depth = 8)
  gc_frame_newslot(call2668);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2669 = gc_frame_new();
// call case 3: self.outer request
  Object call2670 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2669);
// compiled member node returning call2670 (depth = 8)
  params[0] = call2668;
  partcv[0] = 1;
  Object call2671 = callmethodflags(call2670, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2664);
// compiled call node returning call2671 (depth = 7)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2672 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2673 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2674 = gc_frame_new();
// call case 3: self.outer request
  Object call2675 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2674);
// compiled member node returning call2675 (depth = 9)
  Object call2676 = callmethodflags(call2675, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2673);
// compiled member node returning call2676 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2677 = callmethodflags(call2676, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2672);
// compiled call node returning call2677 (depth = 7)
    gc_frame_newslot(call2677);
    if2661 = call2677;
  } else {
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2680 == NULL) {
    strlit2680 = alloc_String("/");
    gc_root(strlit2680);
  }
// compiled string node returning strlit2680 (depth = 9)
  int op_slot_right_2679 = gc_frame_newslot(strlit2680);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2679 = gc_frame_newslot(*var_c);
  params[0] = strlit2680;
  partcv[0] = 1;
  Object opresult2682 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2682 (depth = 8)
  Object if2678 = done;
  if (istrue(opresult2682)) {
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2683 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe2684 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2685 = gc_frame_new();
// call case 3: self.outer request
  Object call2686 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2685);
// compiled member node returning call2686 (depth = 10)
  Object call2687 = callmethodflags(call2686, "slashState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2684);
// compiled member node returning call2687 (depth = 9)
  gc_frame_newslot(call2687);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2688 = gc_frame_new();
// call case 3: self.outer request
  Object call2689 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2688);
// compiled member node returning call2689 (depth = 9)
  params[0] = call2687;
  partcv[0] = 1;
  Object call2690 = callmethodflags(call2689, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2683);
// compiled call node returning call2690 (depth = 8)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2691 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2692 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2693 = gc_frame_new();
// call case 3: self.outer request
  Object call2694 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2693);
// compiled member node returning call2694 (depth = 10)
  Object call2695 = callmethodflags(call2694, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2692);
// compiled member node returning call2695 (depth = 9)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2696 = callmethodflags(call2695, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2691);
// compiled call node returning call2696 (depth = 8)
    gc_frame_newslot(call2696);
    if2678 = call2696;
  } else {
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2699 == NULL) {
    strlit2699 = alloc_String(".");
    gc_root(strlit2699);
  }
// compiled string node returning strlit2699 (depth = 10)
  int op_slot_right_2698 = gc_frame_newslot(strlit2699);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_2698 = gc_frame_newslot(*var_c);
  params[0] = strlit2699;
  partcv[0] = 1;
  Object opresult2701 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2701 (depth = 9)
  Object if2697 = done;
  if (istrue(opresult2701)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2702 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe2703 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2704 = gc_frame_new();
// call case 3: self.outer request
  Object call2705 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2704);
// compiled member node returning call2705 (depth = 11)
  Object call2706 = callmethodflags(call2705, "dotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2703);
// compiled member node returning call2706 (depth = 10)
  gc_frame_newslot(call2706);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2707 = gc_frame_new();
// call case 3: self.outer request
  Object call2708 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2707);
// compiled member node returning call2708 (depth = 10)
  params[0] = call2706;
  partcv[0] = 1;
  Object call2709 = callmethodflags(call2708, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2702);
// compiled call node returning call2709 (depth = 9)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2710 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2711 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2712 = gc_frame_new();
// call case 3: self.outer request
  Object call2713 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2712);
// compiled member node returning call2713 (depth = 11)
  Object call2714 = callmethodflags(call2713, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2711);
// compiled member node returning call2714 (depth = 10)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2715 = callmethodflags(call2714, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2710);
// compiled call node returning call2715 (depth = 9)
    gc_frame_newslot(call2715);
    if2697 = call2715;
  } else {
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2718 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning module_lexer (depth = 12)
  params[0] = *var_c;
  params[1] = *var_ordval;
  partcv[0] = 2;
  Object call2719 = callmethodflags(module_lexer, "isOperatorChar(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2718);
// compiled call node returning call2719 (depth = 11)
  int op_slot_right_2717 = gc_frame_newslot(call2719);
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2722 == NULL) {
    strlit2722 = alloc_String("<");
    gc_root(strlit2722);
  }
// compiled string node returning strlit2722 (depth = 12)
  int op_slot_right_2721 = gc_frame_newslot(strlit2722);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_2721 = gc_frame_newslot(*var_c);
  params[0] = strlit2722;
  partcv[0] = 1;
  Object opresult2724 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2724 (depth = 11)
  int op_slot_left_2717 = gc_frame_newslot(opresult2724);
  params[0] = call2719;
  partcv[0] = 1;
  Object opresult2725 = callmethod(opresult2724, "||(1)", 1, partcv, params);
// compiled op node returning opresult2725 (depth = 10)
  Object if2716 = done;
  if (istrue(opresult2725)) {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2726 = gc_frame_new();
// starting to compile member node (depth = 11)
  int callframe2727 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2728 = gc_frame_new();
// call case 3: self.outer request
  Object call2729 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2728);
// compiled member node returning call2729 (depth = 12)
  Object call2730 = callmethodflags(call2729, "operatorState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2727);
// compiled member node returning call2730 (depth = 11)
  gc_frame_newslot(call2730);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2731 = gc_frame_new();
// call case 3: self.outer request
  Object call2732 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2731);
// compiled member node returning call2732 (depth = 11)
  params[0] = call2730;
  partcv[0] = 1;
  Object call2733 = callmethodflags(call2732, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2726);
// compiled call node returning call2733 (depth = 10)
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2734 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2735 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2736 = gc_frame_new();
// call case 3: self.outer request
  Object call2737 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2736);
// compiled member node returning call2737 (depth = 12)
  Object call2738 = callmethodflags(call2737, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2735);
// compiled member node returning call2738 (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2739 = callmethodflags(call2738, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2734);
// compiled call node returning call2739 (depth = 10)
    gc_frame_newslot(call2739);
    if2716 = call2739;
  } else {
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2742 == NULL) {
    strlit2742 = alloc_String(",");
    gc_root(strlit2742);
  }
// compiled string node returning strlit2742 (depth = 12)
  int op_slot_right_2741 = gc_frame_newslot(strlit2742);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_2741 = gc_frame_newslot(*var_c);
  params[0] = strlit2742;
  partcv[0] = 1;
  Object opresult2744 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2744 (depth = 11)
  Object if2740 = done;
  if (istrue(opresult2744)) {
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2745 = gc_frame_new();
// starting to compile member node (depth = 12)
  int callframe2746 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2747 = gc_frame_new();
// call case 3: self.outer request
  Object call2748 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2747);
// compiled member node returning call2748 (depth = 13)
  Object call2749 = callmethodflags(call2748, "commaToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2746);
// compiled member node returning call2749 (depth = 12)
  gc_frame_newslot(call2749);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2750 = gc_frame_new();
// call case 3: self.outer request
  Object call2751 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2750);
// compiled member node returning call2751 (depth = 12)
  params[0] = call2749;
  partcv[0] = 1;
  Object call2752 = callmethodflags(call2751, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2745);
// compiled call node returning call2752 (depth = 11)
    gc_frame_newslot(call2752);
    if2740 = call2752;
  } else {
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2755 == NULL) {
    strlit2755 = alloc_String("{");
    gc_root(strlit2755);
  }
// compiled string node returning strlit2755 (depth = 13)
  int op_slot_right_2754 = gc_frame_newslot(strlit2755);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_2754 = gc_frame_newslot(*var_c);
  params[0] = strlit2755;
  partcv[0] = 1;
  Object opresult2757 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2757 (depth = 12)
  Object if2753 = done;
  if (istrue(opresult2757)) {
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2758 = gc_frame_new();
// starting to compile member node (depth = 13)
  int callframe2759 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2760 = gc_frame_new();
// call case 3: self.outer request
  Object call2761 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2760);
// compiled member node returning call2761 (depth = 14)
  Object call2762 = callmethodflags(call2761, "lBraceToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2759);
// compiled member node returning call2762 (depth = 13)
  gc_frame_newslot(call2762);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2763 = gc_frame_new();
// call case 3: self.outer request
  Object call2764 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2763);
// compiled member node returning call2764 (depth = 13)
  params[0] = call2762;
  partcv[0] = 1;
  Object call2765 = callmethodflags(call2764, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2758);
// compiled call node returning call2765 (depth = 12)
    gc_frame_newslot(call2765);
    if2753 = call2765;
  } else {
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2768 == NULL) {
    strlit2768 = alloc_String("}");
    gc_root(strlit2768);
  }
// compiled string node returning strlit2768 (depth = 14)
  int op_slot_right_2767 = gc_frame_newslot(strlit2768);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_2767 = gc_frame_newslot(*var_c);
  params[0] = strlit2768;
  partcv[0] = 1;
  Object opresult2770 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2770 (depth = 13)
  Object if2766 = done;
  if (istrue(opresult2770)) {
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2771 = gc_frame_new();
// starting to compile member node (depth = 14)
  int callframe2772 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe2773 = gc_frame_new();
// call case 3: self.outer request
  Object call2774 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2773);
// compiled member node returning call2774 (depth = 15)
  Object call2775 = callmethodflags(call2774, "rBraceState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2772);
// compiled member node returning call2775 (depth = 14)
  gc_frame_newslot(call2775);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2776 = gc_frame_new();
// call case 3: self.outer request
  Object call2777 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2776);
// compiled member node returning call2777 (depth = 14)
  params[0] = call2775;
  partcv[0] = 1;
  Object call2778 = callmethodflags(call2777, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2771);
// compiled call node returning call2778 (depth = 13)
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2779 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2780 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe2781 = gc_frame_new();
// call case 3: self.outer request
  Object call2782 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2781);
// compiled member node returning call2782 (depth = 15)
  Object call2783 = callmethodflags(call2782, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2780);
// compiled member node returning call2783 (depth = 14)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2784 = callmethodflags(call2783, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2779);
// compiled call node returning call2784 (depth = 13)
    gc_frame_newslot(call2784);
    if2766 = call2784;
  } else {
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2787 == NULL) {
    strlit2787 = alloc_String("(");
    gc_root(strlit2787);
  }
// compiled string node returning strlit2787 (depth = 15)
  int op_slot_right_2786 = gc_frame_newslot(strlit2787);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_2786 = gc_frame_newslot(*var_c);
  params[0] = strlit2787;
  partcv[0] = 1;
  Object opresult2789 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2789 (depth = 14)
  Object if2785 = done;
  if (istrue(opresult2789)) {
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe2790 = gc_frame_new();
// starting to compile member node (depth = 15)
  int callframe2791 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2792 = gc_frame_new();
// call case 3: self.outer request
  Object call2793 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2792);
// compiled member node returning call2793 (depth = 16)
  Object call2794 = callmethodflags(call2793, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2791);
// compiled member node returning call2794 (depth = 15)
  gc_frame_newslot(call2794);
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe2795 = gc_frame_new();
// call case 3: self.outer request
  Object call2796 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2795);
// compiled member node returning call2796 (depth = 15)
  params[0] = call2794;
  partcv[0] = 1;
  Object call2797 = callmethodflags(call2796, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2790);
// compiled call node returning call2797 (depth = 14)
    gc_frame_newslot(call2797);
    if2785 = call2797;
  } else {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit2800 == NULL) {
    strlit2800 = alloc_String(")");
    gc_root(strlit2800);
  }
// compiled string node returning strlit2800 (depth = 16)
  int op_slot_right_2799 = gc_frame_newslot(strlit2800);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  int op_slot_left_2799 = gc_frame_newslot(*var_c);
  params[0] = strlit2800;
  partcv[0] = 1;
  Object opresult2802 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2802 (depth = 15)
  Object if2798 = done;
  if (istrue(opresult2802)) {
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// starting to compile op node (depth = 16)
// starting to compile block node (depth = 17)
  Object block2805 = alloc_Block(NULL, NULL, "lexer", 379);
  gc_frame_newslot(block2805);
// method "_apply"
  block_savedest(block2805);
  Object closure2806 = createclosure(1, "_apply");
  setclosureframe(closure2806, stackframe);
  addtoclosure(closure2806, selfslot);
  struct UserObject *uo2806 = (struct UserObject*)block2805;
  uo2806->data[0] = (Object)closure2806;
  Method *meth_meth_lexer_2806__apply = addmethod2pos(block2805, "_apply", &meth_lexer_2806__apply, 0);
  int argcv_meth_lexer_2806__apply[] = {0};
  meth_meth_lexer_2806__apply->type = alloc_MethodType(1, argcv_meth_lexer_2806__apply);
  meth_meth_lexer_2806__apply->definitionModule = modulename;
  meth_meth_lexer_2806__apply->definitionLine = 1204;
// compiled block node returning block2805 (depth = 17)
  int op_slot_right_2804 = gc_frame_newslot(block2805);
// starting to compile op node (depth = 17)
// starting to compile num node (depth = 18)
  Object num2822 = alloc_Float64(0);
// compiled num node returning num2822 (depth = 18)
  int op_slot_right_2821 = gc_frame_newslot(num2822);
// starting to compile member node (depth = 18)
  int callframe2824 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2825 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2826 = gc_frame_new();
// call case 3: self.outer request
  Object call2827 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2826);
// compiled member node returning call2827 (depth = 20)
  Object call2828 = callmethodflags(call2827, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2825);
// compiled member node returning call2828 (depth = 19)
  Object call2829 = callmethodflags(call2828, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2824);
// compiled member node returning call2829 (depth = 18)
  int op_slot_left_2821 = gc_frame_newslot(call2829);
  params[0] = num2822;
  partcv[0] = 1;
  Object opresult2830 = callmethod(call2829, ">(1)", 1, partcv, params);
// compiled op node returning opresult2830 (depth = 17)
  int op_slot_left_2804 = gc_frame_newslot(opresult2830);
  params[0] = block2805;
  partcv[0] = 1;
  Object opresult2831 = callmethod(opresult2830, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2831 (depth = 16)
  Object if2803 = done;
  if (istrue(opresult2831)) {
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 16)
  int callframe2832 = gc_frame_new();
// starting to compile op node (depth = 17)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 18)
  if (strlit2834 == NULL) {
    strlit2834 = alloc_String("Remove them, or put something between them.");
    gc_root(strlit2834);
  }
// compiled string node returning strlit2834 (depth = 18)
  int op_slot_right_2833 = gc_frame_newslot(strlit2834);
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 18)
  if (strlit2836 == NULL) {
    strlit2836 = alloc_String("empty parenthesis are not allowed. ");
    gc_root(strlit2836);
  }
// compiled string node returning strlit2836 (depth = 18)
  int op_slot_left_2833 = gc_frame_newslot(strlit2836);
  params[0] = strlit2834;
  partcv[0] = 1;
  Object opresult2837 = callmethod(strlit2836, "++(1)", 1, partcv, params);
// compiled op node returning opresult2837 (depth = 17)
  gc_frame_newslot(opresult2837);
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 17)
  int callframe2838 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2839 = gc_frame_new();
// call case 3: self.outer request
  Object call2840 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2839);
// compiled member node returning call2840 (depth = 18)
  Object call2841 = callmethodflags(call2840, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2838);
// compiled member node returning call2841 (depth = 17)
  gc_frame_newslot(call2841);
// starting to compile member node (depth = 17)
  int callframe2842 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2843 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2844 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2845 = gc_frame_new();
// call case 3: self.outer request
  Object call2846 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2845);
// compiled member node returning call2846 (depth = 20)
  Object call2847 = callmethodflags(call2846, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2844);
// compiled member node returning call2847 (depth = 19)
  Object call2848 = callmethodflags(call2847, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2843);
// compiled member node returning call2848 (depth = 18)
  Object call2849 = callmethodflags(call2848, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2842);
// compiled member node returning call2849 (depth = 17)
  gc_frame_newslot(call2849);
// starting to compile member node (depth = 17)
  int callframe2850 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2851 = gc_frame_new();
// call case 3: self.outer request
  Object call2852 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2851);
// compiled member node returning call2852 (depth = 18)
  Object call2853 = callmethodflags(call2852, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2850);
// compiled member node returning call2853 (depth = 17)
  gc_frame_newslot(call2853);
// call case 6: other requests
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_errormessages (depth = 17)
  params[0] = opresult2837;
  params[1] = call2841;
  params[2] = call2849;
  params[3] = call2853;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2854 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2832);
// compiled call node returning call2854 (depth = 16)
    gc_frame_newslot(call2854);
    if2803 = call2854;
  } else {
  }
// compiled if node returning if2803 (depth = 15)
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 15)
  int callframe2855 = gc_frame_new();
// starting to compile member node (depth = 16)
  int callframe2856 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 17)
  int callframe2857 = gc_frame_new();
// call case 3: self.outer request
  Object call2858 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2857);
// compiled member node returning call2858 (depth = 17)
  Object call2859 = callmethodflags(call2858, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2856);
// compiled member node returning call2859 (depth = 16)
  gc_frame_newslot(call2859);
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2860 = gc_frame_new();
// call case 3: self.outer request
  Object call2861 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2860);
// compiled member node returning call2861 (depth = 16)
  params[0] = call2859;
  partcv[0] = 1;
  Object call2862 = callmethodflags(call2861, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2855);
// compiled call node returning call2862 (depth = 15)
    gc_frame_newslot(call2862);
    if2798 = call2862;
  } else {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2865 == NULL) {
    strlit2865 = alloc_String("[");
    gc_root(strlit2865);
  }
// compiled string node returning strlit2865 (depth = 17)
  int op_slot_right_2864 = gc_frame_newslot(strlit2865);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_c (depth = 17)
  int op_slot_left_2864 = gc_frame_newslot(*var_c);
  params[0] = strlit2865;
  partcv[0] = 1;
  Object opresult2867 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2867 (depth = 16)
  Object if2863 = done;
  if (istrue(opresult2867)) {
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 16)
  int callframe2868 = gc_frame_new();
// starting to compile member node (depth = 17)
  int callframe2869 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2870 = gc_frame_new();
// call case 3: self.outer request
  Object call2871 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2870);
// compiled member node returning call2871 (depth = 18)
  Object call2872 = callmethodflags(call2871, "lSquareToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2869);
// compiled member node returning call2872 (depth = 17)
  gc_frame_newslot(call2872);
// call case 6: other requests
// starting to compile member node (depth = 17)
  int callframe2873 = gc_frame_new();
// call case 3: self.outer request
  Object call2874 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2873);
// compiled member node returning call2874 (depth = 17)
  params[0] = call2872;
  partcv[0] = 1;
  Object call2875 = callmethodflags(call2874, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2868);
// compiled call node returning call2875 (depth = 16)
    gc_frame_newslot(call2875);
    if2863 = call2875;
  } else {
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String("]");
    gc_root(strlit2878);
  }
// compiled string node returning strlit2878 (depth = 18)
  int op_slot_right_2877 = gc_frame_newslot(strlit2878);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  int op_slot_left_2877 = gc_frame_newslot(*var_c);
  params[0] = strlit2878;
  partcv[0] = 1;
  Object opresult2880 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2880 (depth = 17)
  Object if2876 = done;
  if (istrue(opresult2880)) {
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 17)
  int callframe2881 = gc_frame_new();
// starting to compile member node (depth = 18)
  int callframe2882 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2883 = gc_frame_new();
// call case 3: self.outer request
  Object call2884 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2883);
// compiled member node returning call2884 (depth = 19)
  Object call2885 = callmethodflags(call2884, "rSquareToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2882);
// compiled member node returning call2885 (depth = 18)
  gc_frame_newslot(call2885);
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2886 = gc_frame_new();
// call case 3: self.outer request
  Object call2887 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2886);
// compiled member node returning call2887 (depth = 18)
  params[0] = call2885;
  partcv[0] = 1;
  Object call2888 = callmethodflags(call2887, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2881);
// compiled call node returning call2888 (depth = 17)
    gc_frame_newslot(call2888);
    if2876 = call2888;
  } else {
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 17)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2891 == NULL) {
    strlit2891 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit2891);
  }
// compiled string node returning strlit2891 (depth = 19)
  int op_slot_right_2890 = gc_frame_newslot(strlit2891);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  int op_slot_left_2890 = gc_frame_newslot(*var_c);
  params[0] = strlit2891;
  partcv[0] = 1;
  Object opresult2893 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2893 (depth = 18)
  Object if2889 = done;
  if (istrue(opresult2893)) {
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 18)
  int callframe2894 = gc_frame_new();
// starting to compile member node (depth = 19)
  int callframe2895 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2896 = gc_frame_new();
// call case 3: self.outer request
  Object call2897 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2896);
// compiled member node returning call2897 (depth = 20)
  Object call2898 = callmethodflags(call2897, "lGenericToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2895);
// compiled member node returning call2898 (depth = 19)
  gc_frame_newslot(call2898);
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2899 = gc_frame_new();
// call case 3: self.outer request
  Object call2900 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2899);
// compiled member node returning call2900 (depth = 19)
  params[0] = call2898;
  partcv[0] = 1;
  Object call2901 = callmethodflags(call2900, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2894);
// compiled call node returning call2901 (depth = 18)
    gc_frame_newslot(call2901);
    if2889 = call2901;
  } else {
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 18)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 19)
// starting to compile string node (depth = 20)
  if (strlit2904 == NULL) {
    strlit2904 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2904);
  }
// compiled string node returning strlit2904 (depth = 20)
  int op_slot_right_2903 = gc_frame_newslot(strlit2904);
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_c (depth = 20)
  int op_slot_left_2903 = gc_frame_newslot(*var_c);
  params[0] = strlit2904;
  partcv[0] = 1;
  Object opresult2906 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2906 (depth = 19)
  Object if2902 = done;
  if (istrue(opresult2906)) {
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 19)
  int callframe2907 = gc_frame_new();
// starting to compile member node (depth = 20)
  int callframe2908 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 21)
  int callframe2909 = gc_frame_new();
// call case 3: self.outer request
  Object call2910 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2909);
// compiled member node returning call2910 (depth = 21)
  Object call2911 = callmethodflags(call2910, "rGenericToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2908);
// compiled member node returning call2911 (depth = 20)
  gc_frame_newslot(call2911);
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2912 = gc_frame_new();
// call case 3: self.outer request
  Object call2913 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2912);
// compiled member node returning call2913 (depth = 20)
  params[0] = call2911;
  partcv[0] = 1;
  Object call2914 = callmethodflags(call2913, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2907);
// compiled call node returning call2914 (depth = 19)
    gc_frame_newslot(call2914);
    if2902 = call2914;
  } else {
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit2917 == NULL) {
    strlit2917 = alloc_String(";");
    gc_root(strlit2917);
  }
// compiled string node returning strlit2917 (depth = 21)
  int op_slot_right_2916 = gc_frame_newslot(strlit2917);
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_c (depth = 21)
  int op_slot_left_2916 = gc_frame_newslot(*var_c);
  params[0] = strlit2917;
  partcv[0] = 1;
  Object opresult2919 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2919 (depth = 20)
  Object if2915 = done;
  if (istrue(opresult2919)) {
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 20)
  int callframe2920 = gc_frame_new();
// starting to compile member node (depth = 21)
  int callframe2921 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2922 = gc_frame_new();
// call case 3: self.outer request
  Object call2923 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2922);
// compiled member node returning call2923 (depth = 22)
  Object call2924 = callmethodflags(call2923, "semicolonToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2921);
// compiled member node returning call2924 (depth = 21)
  gc_frame_newslot(call2924);
// call case 6: other requests
// starting to compile member node (depth = 21)
  int callframe2925 = gc_frame_new();
// call case 3: self.outer request
  Object call2926 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2925);
// compiled member node returning call2926 (depth = 21)
  params[0] = call2924;
  partcv[0] = 1;
  Object call2927 = callmethodflags(call2926, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2920);
// compiled call node returning call2927 (depth = 20)
    gc_frame_newslot(call2927);
    if2915 = call2927;
  } else {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit2930 == NULL) {
    strlit2930 = alloc_String("""\x0a""");
    gc_root(strlit2930);
  }
// compiled string node returning strlit2930 (depth = 22)
  int op_slot_right_2929 = gc_frame_newslot(strlit2930);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_c (depth = 22)
  int op_slot_left_2929 = gc_frame_newslot(*var_c);
  params[0] = strlit2930;
  partcv[0] = 1;
  Object opresult2932 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2932 (depth = 21)
  Object if2928 = done;
  if (istrue(opresult2932)) {
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe2933 = gc_frame_new();
// starting to compile num node (depth = 22)
  Object num2934 = alloc_Float64(0);
// compiled num node returning num2934 (depth = 22)
  gc_frame_newslot(num2934);
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2935 = gc_frame_new();
// call case 3: self.outer request
  Object call2936 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2935);
// compiled member node returning call2936 (depth = 22)
  params[0] = num2934;
  partcv[0] = 1;
  Object call2937 = callmethodflags(call2936, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2933);
// compiled call node returning call2937 (depth = 21)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe2938 = gc_frame_new();
// starting to compile member node (depth = 22)
  int callframe2939 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe2940 = gc_frame_new();
// call case 3: self.outer request
  Object call2941 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2940);
// compiled member node returning call2941 (depth = 23)
  Object call2942 = callmethodflags(call2941, "indentationState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2939);
// compiled member node returning call2942 (depth = 22)
  gc_frame_newslot(call2942);
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2943 = gc_frame_new();
// call case 3: self.outer request
  Object call2944 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2943);
// compiled member node returning call2944 (depth = 22)
  params[0] = call2942;
  partcv[0] = 1;
  Object call2945 = callmethodflags(call2944, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2938);
// compiled call node returning call2945 (depth = 21)
    gc_frame_newslot(call2945);
    if2928 = call2945;
  } else {
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// starting to compile op node (depth = 22)
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num2949 = alloc_Float64(32);
// compiled num node returning num2949 (depth = 24)
  int op_slot_right_2948 = gc_frame_newslot(num2949);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_ordval (depth = 24)
  int op_slot_left_2948 = gc_frame_newslot(*var_ordval);
  params[0] = num2949;
  partcv[0] = 1;
  Object opresult2951 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2951 (depth = 23)
  int op_slot_right_2947 = gc_frame_newslot(opresult2951);
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// starting to compile num node (depth = 25)
  Object num2955 = alloc_Float64(13);
// compiled num node returning num2955 (depth = 25)
  int op_slot_right_2954 = gc_frame_newslot(num2955);
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_ordval (depth = 25)
  int op_slot_left_2954 = gc_frame_newslot(*var_ordval);
  params[0] = num2955;
  partcv[0] = 1;
  Object opresult2957 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2957 (depth = 24)
  int op_slot_right_2953 = gc_frame_newslot(opresult2957);
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 25)
// starting to compile num node (depth = 26)
  Object num2961 = alloc_Float64(10);
// compiled num node returning num2961 (depth = 26)
  int op_slot_right_2960 = gc_frame_newslot(num2961);
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_ordval (depth = 26)
  int op_slot_left_2960 = gc_frame_newslot(*var_ordval);
  params[0] = num2961;
  partcv[0] = 1;
  Object opresult2963 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2963 (depth = 25)
  int op_slot_right_2959 = gc_frame_newslot(opresult2963);
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 25)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 26)
  int callframe2966 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 27)
  int callframe2967 = gc_frame_new();
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_ordval (depth = 28)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_unicode (depth = 28)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2968 = callmethodflags(*var_unicode, "isControl(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2967);
// compiled call node returning call2968 (depth = 27)
  Object call2969 = callmethodflags(call2968, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2966);
// compiled member node returning call2969 (depth = 26)
  int op_slot_right_2965 = gc_frame_newslot(call2969);
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 26)
  int callframe2971 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 27)
  int callframe2972 = gc_frame_new();
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_ordval (depth = 28)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_unicode (depth = 28)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2973 = callmethodflags(*var_unicode, "isSeparator(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2972);
// compiled call node returning call2973 (depth = 27)
  Object call2974 = callmethodflags(call2973, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2971);
// compiled member node returning call2974 (depth = 26)
  int op_slot_left_2965 = gc_frame_newslot(call2974);
  params[0] = call2969;
  partcv[0] = 1;
  Object opresult2975 = callmethod(call2974, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2975 (depth = 25)
  int op_slot_left_2959 = gc_frame_newslot(opresult2975);
  params[0] = opresult2963;
  partcv[0] = 1;
  Object opresult2976 = callmethod(opresult2975, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2976 (depth = 24)
  int op_slot_left_2953 = gc_frame_newslot(opresult2976);
  params[0] = opresult2957;
  partcv[0] = 1;
  Object opresult2977 = callmethod(opresult2976, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2977 (depth = 23)
  int op_slot_left_2947 = gc_frame_newslot(opresult2977);
  params[0] = opresult2951;
  partcv[0] = 1;
  Object opresult2978 = callmethod(opresult2977, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2978 (depth = 22)
  Object if2946 = done;
  if (istrue(opresult2978)) {
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe2979 = gc_frame_new();
// starting to compile op node (depth = 23)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 24)
  if (strlit2981 == NULL) {
    strlit2981 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2981);
  }
// compiled string node returning strlit2981 (depth = 24)
  int op_slot_right_2980 = gc_frame_newslot(strlit2981);
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit2984 == NULL) {
    strlit2984 = alloc_String(") ");
    gc_root(strlit2984);
  }
// compiled string node returning strlit2984 (depth = 25)
  int op_slot_right_2983 = gc_frame_newslot(strlit2984);
// starting to compile op node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe2987 = gc_frame_new();
// starting to compile call node (depth = 27)
  int callframe2988 = gc_frame_new();
// starting to compile num node (depth = 28)
  Object num2989 = alloc_Float64(16);
// compiled num node returning num2989 (depth = 28)
  gc_frame_newslot(num2989);
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_ordval (depth = 28)
  params[0] = num2989;
  partcv[0] = 1;
  Object call2990 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2988);
// compiled call node returning call2990 (depth = 27)
  gc_frame_newslot(call2990);
// starting to compile num node (depth = 27)
  Object num2991 = alloc_Float64(4);
// compiled num node returning num2991 (depth = 27)
  gc_frame_newslot(num2991);
// starting to compile string node (depth = 27)
  if (strlit2992 == NULL) {
    strlit2992 = alloc_String("0");
    gc_root(strlit2992);
  }
// compiled string node returning strlit2992 (depth = 27)
  gc_frame_newslot(strlit2992);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 27)
// compiled identifier node returning module_lexer (depth = 27)
  params[0] = call2990;
  params[1] = num2991;
  params[2] = strlit2992;
  partcv[0] = 3;
  Object call2993 = callmethodflags(module_lexer, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2987);
// compiled call node returning call2993 (depth = 26)
  int op_slot_right_2986 = gc_frame_newslot(call2993);
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 26)
// starting to compile string node (depth = 27)
  if (strlit2996 == NULL) {
    strlit2996 = alloc_String(" (U+");
    gc_root(strlit2996);
  }
// compiled string node returning strlit2996 (depth = 27)
  int op_slot_right_2995 = gc_frame_newslot(strlit2996);
// starting to compile op node (depth = 27)
// starting to compile call node (depth = 28)
  int callframe2999 = gc_frame_new();
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_c (depth = 29)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_unicode (depth = 29)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3000 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2999);
// compiled call node returning call3000 (depth = 28)
  int op_slot_right_2998 = gc_frame_newslot(call3000);
// starting to compile string node (depth = 28)
  if (strlit3002 == NULL) {
    strlit3002 = alloc_String("");
    gc_root(strlit3002);
  }
// compiled string node returning strlit3002 (depth = 28)
  int op_slot_left_2998 = gc_frame_newslot(strlit3002);
  params[0] = call3000;
  partcv[0] = 1;
  Object opresult3003 = callmethod(strlit3002, "++(1)", 1, partcv, params);
// compiled op node returning opresult3003 (depth = 27)
  int op_slot_left_2995 = gc_frame_newslot(opresult3003);
  params[0] = strlit2996;
  partcv[0] = 1;
  Object opresult3004 = callmethod(opresult3003, "++(1)", 1, partcv, params);
// compiled op node returning opresult3004 (depth = 26)
  int op_slot_left_2986 = gc_frame_newslot(opresult3004);
  params[0] = call2993;
  partcv[0] = 1;
  Object opresult3005 = callmethod(opresult3004, "++(1)", 1, partcv, params);
// compiled op node returning opresult3005 (depth = 25)
  int op_slot_left_2983 = gc_frame_newslot(opresult3005);
  params[0] = strlit2984;
  partcv[0] = 1;
  Object opresult3006 = callmethod(opresult3005, "++(1)", 1, partcv, params);
// compiled op node returning opresult3006 (depth = 24)
  int op_slot_left_2980 = gc_frame_newslot(opresult3006);
  params[0] = strlit2981;
  partcv[0] = 1;
  Object opresult3007 = callmethod(opresult3006, "++(1)", 1, partcv, params);
// compiled op node returning opresult3007 (depth = 23)
  gc_frame_newslot(opresult3007);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 23)
  int callframe3008 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe3009 = gc_frame_new();
// call case 3: self.outer request
  Object call3010 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3009);
// compiled member node returning call3010 (depth = 24)
  Object call3011 = callmethodflags(call3010, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3008);
// compiled member node returning call3011 (depth = 23)
  gc_frame_newslot(call3011);
// starting to compile member node (depth = 23)
  int callframe3012 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe3013 = gc_frame_new();
// call case 3: self.outer request
  Object call3014 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3013);
// compiled member node returning call3014 (depth = 24)
  Object call3015 = callmethodflags(call3014, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3012);
// compiled member node returning call3015 (depth = 23)
  gc_frame_newslot(call3015);
// starting to compile member node (depth = 23)
  int callframe3016 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe3017 = gc_frame_new();
// call case 3: self.outer request
  Object call3018 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3017);
// compiled member node returning call3018 (depth = 24)
  Object call3019 = callmethodflags(call3018, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3016);
// compiled member node returning call3019 (depth = 23)
  gc_frame_newslot(call3019);
// call case 6: other requests
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_errormessages (depth = 23)
  params[0] = opresult3007;
  params[1] = call3011;
  params[2] = call3015;
  params[3] = call3019;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3020 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2979);
// compiled call node returning call3020 (depth = 22)
    gc_frame_newslot(call3020);
    if2946 = call3020;
  } else {
  }
// compiled if node returning if2946 (depth = 21)
    gc_frame_newslot(if2946);
    if2928 = if2946;
  }
// compiled if node returning if2928 (depth = 20)
    gc_frame_newslot(if2928);
    if2915 = if2928;
  }
// compiled if node returning if2915 (depth = 19)
    gc_frame_newslot(if2915);
    if2902 = if2915;
  }
// compiled if node returning if2902 (depth = 18)
    gc_frame_newslot(if2902);
    if2889 = if2902;
  }
// compiled if node returning if2889 (depth = 17)
    gc_frame_newslot(if2889);
    if2876 = if2889;
  }
// compiled if node returning if2876 (depth = 16)
    gc_frame_newslot(if2876);
    if2863 = if2876;
  }
// compiled if node returning if2863 (depth = 15)
    gc_frame_newslot(if2863);
    if2798 = if2863;
  }
// compiled if node returning if2798 (depth = 14)
    gc_frame_newslot(if2798);
    if2785 = if2798;
  }
// compiled if node returning if2785 (depth = 13)
    gc_frame_newslot(if2785);
    if2766 = if2785;
  }
// compiled if node returning if2766 (depth = 12)
    gc_frame_newslot(if2766);
    if2753 = if2766;
  }
// compiled if node returning if2753 (depth = 11)
    gc_frame_newslot(if2753);
    if2740 = if2753;
  }
// compiled if node returning if2740 (depth = 10)
    gc_frame_newslot(if2740);
    if2716 = if2740;
  }
// compiled if node returning if2716 (depth = 9)
    gc_frame_newslot(if2716);
    if2697 = if2716;
  }
// compiled if node returning if2697 (depth = 8)
    gc_frame_newslot(if2697);
    if2678 = if2697;
  }
// compiled if node returning if2678 (depth = 7)
    gc_frame_newslot(if2678);
    if2661 = if2678;
  }
// compiled if node returning if2661 (depth = 6)
    gc_frame_newslot(if2661);
    if2551 = if2661;
  }
// compiled if node returning if2551 (depth = 5)
    gc_frame_newslot(if2551);
    if2525 = if2551;
  }
// compiled if node returning if2525 (depth = 4)
    gc_frame_newslot(if2525);
    if2499 = if2525;
  }
// compiled if node returning if2499 (depth = 3)
    gc_frame_newslot(if2499);
    if2496 = if2499;
  }
// compiled if node returning if2496 (depth = 2)
  gc_frame_end(frame);
  return if2496;
}
Object meth_lexer_3023_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
  Object *var_suggestion1 = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion1");
  Object *var_suggestion2 = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion2");
// definebindings:
// definebindings:
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3026 = alloc_Float64(0);
// compiled num node returning num3026 (depth = 4)
  int op_slot_right_3025 = gc_frame_newslot(num3026);
// starting to compile member node (depth = 4)
  int callframe3028 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3029 = gc_frame_new();
// call case 3: self.outer request
  Object call3030 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3029);
// compiled member node returning call3030 (depth = 5)
  Object call3031 = callmethodflags(call3030, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3028);
// compiled member node returning call3031 (depth = 4)
  int op_slot_left_3025 = gc_frame_newslot(call3031);
  params[0] = num3026;
  partcv[0] = 1;
  Object opresult3032 = callmethod(call3031, ">(1)", 1, partcv, params);
// compiled op node returning opresult3032 (depth = 3)
  Object if3024 = done;
  if (istrue(opresult3032)) {
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3035 == NULL) {
    strlit3035 = alloc_String("lparen");
    gc_root(strlit3035);
  }
// compiled string node returning strlit3035 (depth = 5)
  int op_slot_right_3034 = gc_frame_newslot(strlit3035);
// starting to compile member node (depth = 5)
  int callframe3037 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3038 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3039 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3040 = gc_frame_new();
// call case 3: self.outer request
  Object call3041 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3040);
// compiled member node returning call3041 (depth = 8)
  Object call3042 = callmethodflags(call3041, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3039);
// compiled member node returning call3042 (depth = 7)
  Object call3043 = callmethodflags(call3042, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3038);
// compiled member node returning call3043 (depth = 6)
  Object call3044 = callmethodflags(call3043, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3037);
// compiled member node returning call3044 (depth = 5)
  int op_slot_left_3034 = gc_frame_newslot(call3044);
  params[0] = strlit3035;
  partcv[0] = 1;
  Object opresult3045 = callmethod(call3044, "==(1)", 1, partcv, params);
// compiled op node returning opresult3045 (depth = 4)
  Object if3033 = done;
  if (istrue(opresult3045)) {
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3046 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3047 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3048 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3047);
// compiled member node returning call3048 (depth = 6)
  Object call3049 = callmethodflags(call3048, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3046);
// compiled member node returning call3049 (depth = 5)
  *var_suggestion1 = call3049;
  if (call3049 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3050 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3051 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3052 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3053 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3054 = gc_frame_new();
// call case 3: self.outer request
  Object call3055 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3054);
// compiled member node returning call3055 (depth = 8)
  Object call3056 = callmethodflags(call3055, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3053);
// compiled member node returning call3056 (depth = 7)
  Object call3057 = callmethodflags(call3056, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3052);
// compiled member node returning call3057 (depth = 6)
  Object call3058 = callmethodflags(call3057, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3051);
// compiled member node returning call3058 (depth = 5)
  gc_frame_newslot(call3058);
// starting to compile member node (depth = 5)
  int callframe3059 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3060 = gc_frame_new();
// call case 3: self.outer request
  Object call3061 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3060);
// compiled member node returning call3061 (depth = 6)
  Object call3062 = callmethodflags(call3061, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3059);
// compiled member node returning call3062 (depth = 5)
  gc_frame_newslot(call3062);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3063 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3064 = gc_frame_new();
// call case 3: self.outer request
  Object call3065 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3064);
// compiled member node returning call3065 (depth = 6)
  Object call3066 = callmethodflags(call3065, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3063);
// compiled member node returning call3066 (depth = 5)
  gc_frame_newslot(call3066);
// call case 6: other requests
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion1 (depth = 5)
  params[0] = call3058;
  params[1] = call3062;
  params[2] = call3066;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3067 = callmethodflags(*var_suggestion1, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3050);
// compiled call node returning call3067 (depth = 4)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3068 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3069 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3070 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3069);
// compiled member node returning call3070 (depth = 6)
  Object call3071 = callmethodflags(call3070, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3068);
// compiled member node returning call3071 (depth = 5)
  *var_suggestion2 = call3071;
  if (call3071 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3072 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3073 == NULL) {
    strlit3073 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3073);
  }
// compiled string node returning strlit3073 (depth = 5)
  gc_frame_newslot(strlit3073);
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3075 = alloc_Float64(1);
// compiled num node returning num3075 (depth = 6)
  int op_slot_right_3074 = gc_frame_newslot(num3075);
// starting to compile member node (depth = 6)
  int callframe3077 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3078 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3079 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3080 = gc_frame_new();
// call case 3: self.outer request
  Object call3081 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3080);
// compiled member node returning call3081 (depth = 9)
  Object call3082 = callmethodflags(call3081, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3079);
// compiled member node returning call3082 (depth = 8)
  Object call3083 = callmethodflags(call3082, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3078);
// compiled member node returning call3083 (depth = 7)
  Object call3084 = callmethodflags(call3083, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3077);
// compiled member node returning call3084 (depth = 6)
  int op_slot_left_3074 = gc_frame_newslot(call3084);
  params[0] = num3075;
  partcv[0] = 1;
  Object sum3085 = callmethod(call3084, "+(1)", 1, partcv, params);
// compiled op node returning sum3085 (depth = 5)
  gc_frame_newslot(sum3085);
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3086 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3087 = gc_frame_new();
// call case 3: self.outer request
  Object call3088 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3087);
// compiled member node returning call3088 (depth = 6)
  Object call3089 = callmethodflags(call3088, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3086);
// compiled member node returning call3089 (depth = 5)
  gc_frame_newslot(call3089);
// call case 6: other requests
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion2 (depth = 5)
  params[0] = strlit3073;
  params[1] = sum3085;
  params[2] = call3089;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3090 = callmethodflags(*var_suggestion2, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3072);
// compiled call node returning call3090 (depth = 4)
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3091 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3092 == NULL) {
    strlit3092 = alloc_String("a string interpolation cannot be empty.");
    gc_root(strlit3092);
  }
// compiled string node returning strlit3092 (depth = 5)
  gc_frame_newslot(strlit3092);
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3093 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3094 = gc_frame_new();
// call case 3: self.outer request
  Object call3095 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3094);
// compiled member node returning call3095 (depth = 6)
  Object call3096 = callmethodflags(call3095, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3093);
// compiled member node returning call3096 (depth = 5)
  gc_frame_newslot(call3096);
// starting to compile member node (depth = 5)
  int callframe3097 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3098 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3099 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3100 = gc_frame_new();
// call case 3: self.outer request
  Object call3101 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3100);
// compiled member node returning call3101 (depth = 8)
  Object call3102 = callmethodflags(call3101, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3099);
// compiled member node returning call3102 (depth = 7)
  Object call3103 = callmethodflags(call3102, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3098);
// compiled member node returning call3103 (depth = 6)
  Object call3104 = callmethodflags(call3103, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3097);
// compiled member node returning call3104 (depth = 5)
  gc_frame_newslot(call3104);
// starting to compile member node (depth = 5)
  int callframe3105 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3106 = gc_frame_new();
// call case 3: self.outer request
  Object call3107 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3106);
// compiled member node returning call3107 (depth = 6)
  Object call3108 = callmethodflags(call3107, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3105);
// compiled member node returning call3108 (depth = 5)
  gc_frame_newslot(call3108);
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array3109 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion1 (depth = 6)
  params[0] = *var_suggestion1;
  partcv[0] = 1;
  callmethodflags(array3109, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion2 (depth = 6)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethodflags(array3109, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3109 (depth = 5)
  gc_frame_newslot(array3109);
// call case 6: other requests
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3092;
  params[1] = call3096;
  params[2] = call3104;
  params[3] = call3108;
  params[4] = array3109;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3110 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3091);
// compiled call node returning call3110 (depth = 4)
    gc_frame_newslot(call3110);
    if3033 = call3110;
  } else {
  }
// compiled if node returning if3033 (depth = 3)
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3111 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3112 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3113 = gc_frame_new();
// call case 3: self.outer request
  Object call3114 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3113);
// compiled member node returning call3114 (depth = 5)
  Object call3115 = callmethodflags(call3114, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3112);
// compiled member node returning call3115 (depth = 4)
  gc_frame_newslot(call3115);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3116 = gc_frame_new();
// call case 3: self.outer request
  Object call3117 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3116);
// compiled member node returning call3117 (depth = 4)
  params[0] = call3115;
  partcv[0] = 1;
  Object call3118 = callmethodflags(call3117, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3111);
// compiled call node returning call3118 (depth = 3)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3119 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3120 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3121 == NULL) {
    strlit3121 = alloc_String("++");
    gc_root(strlit3121);
  }
// compiled string node returning strlit3121 (depth = 5)
  gc_frame_newslot(strlit3121);
// call case 6: other requests
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3122 = gc_frame_new();
// call case 3: self.outer request
  Object call3123 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3122);
// compiled member node returning call3123 (depth = 5)
  params[0] = strlit3121;
  partcv[0] = 1;
  Object call3124 = callmethodflags(call3123, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3120);
// compiled call node returning call3124 (depth = 4)
  gc_frame_newslot(call3124);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3125 = gc_frame_new();
// call case 3: self.outer request
  Object call3126 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3125);
// compiled member node returning call3126 (depth = 4)
  params[0] = call3124;
  partcv[0] = 1;
  Object call3127 = callmethodflags(call3126, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3119);
// compiled call node returning call3127 (depth = 3)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3128 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3130 = alloc_Float64(1);
// compiled num node returning num3130 (depth = 5)
  int op_slot_right_3129 = gc_frame_newslot(num3130);
// starting to compile member node (depth = 5)
  int callframe3132 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3133 = gc_frame_new();
// call case 3: self.outer request
  Object call3134 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3133);
// compiled member node returning call3134 (depth = 6)
  Object call3135 = callmethodflags(call3134, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3132);
// compiled member node returning call3135 (depth = 5)
  int op_slot_left_3129 = gc_frame_newslot(call3135);
  params[0] = num3130;
  partcv[0] = 1;
  Object diff3136 = callmethod(call3135, "-(1)", 1, partcv, params);
// compiled op node returning diff3136 (depth = 4)
  gc_frame_newslot(diff3136);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3137 = gc_frame_new();
// call case 3: self.outer request
  Object call3138 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3137);
// compiled member node returning call3138 (depth = 4)
  params[0] = diff3136;
  partcv[0] = 1;
  Object call3139 = callmethodflags(call3138, "interpdepth:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3128);
// compiled call node returning call3139 (depth = 3)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3140 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3141 = alloc_Boolean(1);
// compiled identifier node returning bool3141 (depth = 4)
  gc_frame_newslot(bool3141);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3142 = gc_frame_new();
// call case 3: self.outer request
  Object call3143 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3142);
// compiled member node returning call3143 (depth = 4)
  params[0] = bool3141;
  partcv[0] = 1;
  Object call3144 = callmethodflags(call3143, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3140);
// compiled call node returning call3144 (depth = 3)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3145 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3146 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3147 = gc_frame_new();
// call case 3: self.outer request
  Object call3148 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3147);
// compiled member node returning call3148 (depth = 5)
  Object call3149 = callmethodflags(call3148, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3146);
// compiled member node returning call3149 (depth = 4)
  gc_frame_newslot(call3149);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3150 = gc_frame_new();
// call case 3: self.outer request
  Object call3151 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3150);
// compiled member node returning call3151 (depth = 4)
  params[0] = call3149;
  partcv[0] = 1;
  Object call3152 = callmethodflags(call3151, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3145);
// compiled call node returning call3152 (depth = 3)
    gc_frame_newslot(call3152);
    if3024 = call3152;
  } else {
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3153 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3154 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3155 = gc_frame_new();
// call case 3: self.outer request
  Object call3156 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3155);
// compiled member node returning call3156 (depth = 5)
  Object call3157 = callmethodflags(call3156, "rBraceToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3154);
// compiled member node returning call3157 (depth = 4)
  gc_frame_newslot(call3157);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3158 = gc_frame_new();
// call case 3: self.outer request
  Object call3159 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3158);
// compiled member node returning call3159 (depth = 4)
  params[0] = call3157;
  partcv[0] = 1;
  Object call3160 = callmethodflags(call3159, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3153);
// compiled call node returning call3160 (depth = 3)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3161 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3162 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3163 = gc_frame_new();
// call case 3: self.outer request
  Object call3164 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3163);
// compiled member node returning call3164 (depth = 5)
  Object call3165 = callmethodflags(call3164, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3162);
// compiled member node returning call3165 (depth = 4)
  gc_frame_newslot(call3165);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3166 = gc_frame_new();
// call case 3: self.outer request
  Object call3167 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3166);
// compiled member node returning call3167 (depth = 4)
  params[0] = call3165;
  partcv[0] = 1;
  Object call3168 = callmethodflags(call3167, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3161);
// compiled call node returning call3168 (depth = 3)
    gc_frame_newslot(call3168);
    if3024 = call3168;
  }
// compiled if node returning if3024 (depth = 2)
  gc_frame_end(frame);
  return if3024;
}
Object meth_lexer_3171_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3172 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3173 = gc_frame_new();
// call case 3: self.outer request
  Object call3174 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3173);
// compiled member node returning call3174 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3175 = callmethodflags(call3174, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3172);
// compiled call node returning call3175 (depth = 2)
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3178 == NULL) {
    strlit3178 = alloc_String("/");
    gc_root(strlit3178);
  }
// compiled string node returning strlit3178 (depth = 4)
  int op_slot_right_3177 = gc_frame_newslot(strlit3178);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3177 = gc_frame_newslot(*var_c);
  params[0] = strlit3178;
  partcv[0] = 1;
  Object opresult3180 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3180 (depth = 3)
  Object if3176 = done;
  if (istrue(opresult3180)) {
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3181 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3182 = gc_frame_new();
// call case 3: self.outer request
  Object call3183 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3182);
// compiled member node returning call3183 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3184 = callmethodflags(call3183, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3181);
// compiled call node returning call3184 (depth = 3)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3187 == NULL) {
    strlit3187 = alloc_String("//");
    gc_root(strlit3187);
  }
// compiled string node returning strlit3187 (depth = 5)
  int op_slot_right_3186 = gc_frame_newslot(strlit3187);
// starting to compile member node (depth = 5)
  int callframe3189 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3190 = gc_frame_new();
// call case 3: self.outer request
  Object call3191 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3190);
// compiled member node returning call3191 (depth = 6)
  Object call3192 = callmethodflags(call3191, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3189);
// compiled member node returning call3192 (depth = 5)
  int op_slot_left_3186 = gc_frame_newslot(call3192);
  params[0] = strlit3187;
  partcv[0] = 1;
  Object opresult3193 = callmethod(call3192, "==(1)", 1, partcv, params);
// compiled op node returning opresult3193 (depth = 4)
  Object if3185 = done;
  if (istrue(opresult3193)) {
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3194 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3195 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3196 = gc_frame_new();
// call case 3: self.outer request
  Object call3197 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3196);
// compiled member node returning call3197 (depth = 6)
  Object call3198 = callmethodflags(call3197, "commentSpaceState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3195);
// compiled member node returning call3198 (depth = 5)
  gc_frame_newslot(call3198);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3199 = gc_frame_new();
// call case 3: self.outer request
  Object call3200 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3199);
// compiled member node returning call3200 (depth = 5)
  params[0] = call3198;
  partcv[0] = 1;
  Object call3201 = callmethodflags(call3200, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3194);
// compiled call node returning call3201 (depth = 4)
    gc_frame_newslot(call3201);
    if3185 = call3201;
  } else {
  }
// compiled if node returning if3185 (depth = 3)
    gc_frame_newslot(if3185);
    if3176 = if3185;
  } else {
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3204 == NULL) {
    strlit3204 = alloc_String("/");
    gc_root(strlit3204);
  }
// compiled string node returning strlit3204 (depth = 5)
  int op_slot_right_3203 = gc_frame_newslot(strlit3204);
// starting to compile member node (depth = 5)
  int callframe3206 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3207 = gc_frame_new();
// call case 3: self.outer request
  Object call3208 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3207);
// compiled member node returning call3208 (depth = 6)
  Object call3209 = callmethodflags(call3208, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3206);
// compiled member node returning call3209 (depth = 5)
  int op_slot_left_3203 = gc_frame_newslot(call3209);
  params[0] = strlit3204;
  partcv[0] = 1;
  Object opresult3210 = callmethod(call3209, "==(1)", 1, partcv, params);
// compiled op node returning opresult3210 (depth = 4)
  Object if3202 = done;
  if (istrue(opresult3210)) {
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3211 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3212 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3213 = gc_frame_new();
// call case 3: self.outer request
  Object call3214 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3213);
// compiled member node returning call3214 (depth = 6)
  Object call3215 = callmethodflags(call3214, "operatorState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3212);
// compiled member node returning call3215 (depth = 5)
  gc_frame_newslot(call3215);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3216 = gc_frame_new();
// call case 3: self.outer request
  Object call3217 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3216);
// compiled member node returning call3217 (depth = 5)
  params[0] = call3215;
  partcv[0] = 1;
  Object call3218 = callmethodflags(call3217, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3211);
// compiled call node returning call3218 (depth = 4)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3219 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3220 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3221 = gc_frame_new();
// call case 3: self.outer request
  Object call3222 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3221);
// compiled member node returning call3222 (depth = 6)
  Object call3223 = callmethodflags(call3222, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3220);
// compiled member node returning call3223 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3224 = callmethodflags(call3223, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3219);
// compiled call node returning call3224 (depth = 4)
    gc_frame_newslot(call3224);
    if3202 = call3224;
  } else {
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3225 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3226 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3227 = gc_frame_new();
// call case 3: self.outer request
  Object call3228 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3227);
// compiled member node returning call3228 (depth = 6)
  Object call3229 = callmethodflags(call3228, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3226);
// compiled member node returning call3229 (depth = 5)
  gc_frame_newslot(call3229);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3230 = gc_frame_new();
// call case 3: self.outer request
  Object call3231 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3230);
// compiled member node returning call3231 (depth = 5)
  params[0] = call3229;
  partcv[0] = 1;
  Object call3232 = callmethodflags(call3231, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3225);
// compiled call node returning call3232 (depth = 4)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3233 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3234 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3235 = gc_frame_new();
// call case 3: self.outer request
  Object call3236 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3235);
// compiled member node returning call3236 (depth = 6)
  Object call3237 = callmethodflags(call3236, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3234);
// compiled member node returning call3237 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3238 = callmethodflags(call3237, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3233);
// compiled call node returning call3238 (depth = 4)
    gc_frame_newslot(call3238);
    if3202 = call3238;
  }
// compiled if node returning if3202 (depth = 3)
    gc_frame_newslot(if3202);
    if3176 = if3202;
  }
// compiled if node returning if3176 (depth = 2)
  gc_frame_end(frame);
  return if3176;
}
Object meth_lexer_3241_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3242 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3243 = gc_frame_new();
// call case 3: self.outer request
  Object call3244 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3243);
// compiled member node returning call3244 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3245 = callmethodflags(call3244, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3242);
// compiled call node returning call3245 (depth = 2)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3248 == NULL) {
    strlit3248 = alloc_String(".");
    gc_root(strlit3248);
  }
// compiled string node returning strlit3248 (depth = 4)
  int op_slot_right_3247 = gc_frame_newslot(strlit3248);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3247 = gc_frame_newslot(*var_c);
  params[0] = strlit3248;
  partcv[0] = 1;
  Object opresult3250 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3250 (depth = 3)
  Object if3246 = done;
  if (istrue(opresult3250)) {
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3251 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3252 = gc_frame_new();
// call case 3: self.outer request
  Object call3253 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3252);
// compiled member node returning call3253 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3254 = callmethodflags(call3253, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3251);
// compiled call node returning call3254 (depth = 3)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3257 == NULL) {
    strlit3257 = alloc_String("...");
    gc_root(strlit3257);
  }
// compiled string node returning strlit3257 (depth = 5)
  int op_slot_right_3256 = gc_frame_newslot(strlit3257);
// starting to compile member node (depth = 5)
  int callframe3259 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3260 = gc_frame_new();
// call case 3: self.outer request
  Object call3261 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3260);
// compiled member node returning call3261 (depth = 6)
  Object call3262 = callmethodflags(call3261, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3259);
// compiled member node returning call3262 (depth = 5)
  int op_slot_left_3256 = gc_frame_newslot(call3262);
  params[0] = strlit3257;
  partcv[0] = 1;
  Object opresult3263 = callmethod(call3262, "==(1)", 1, partcv, params);
// compiled op node returning opresult3263 (depth = 4)
  Object if3255 = done;
  if (istrue(opresult3263)) {
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3264 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3265 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3266 = gc_frame_new();
// call case 3: self.outer request
  Object call3267 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3266);
// compiled member node returning call3267 (depth = 6)
  Object call3268 = callmethodflags(call3267, "identifierState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3265);
// compiled member node returning call3268 (depth = 5)
  gc_frame_newslot(call3268);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3269 = gc_frame_new();
// call case 3: self.outer request
  Object call3270 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3269);
// compiled member node returning call3270 (depth = 5)
  params[0] = call3268;
  partcv[0] = 1;
  Object call3271 = callmethodflags(call3270, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3264);
// compiled call node returning call3271 (depth = 4)
    gc_frame_newslot(call3271);
    if3255 = call3271;
  } else {
  }
// compiled if node returning if3255 (depth = 3)
    gc_frame_newslot(if3255);
    if3246 = if3255;
  } else {
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3274 == NULL) {
    strlit3274 = alloc_String("..");
    gc_root(strlit3274);
  }
// compiled string node returning strlit3274 (depth = 5)
  int op_slot_right_3273 = gc_frame_newslot(strlit3274);
// starting to compile member node (depth = 5)
  int callframe3276 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3277 = gc_frame_new();
// call case 3: self.outer request
  Object call3278 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3277);
// compiled member node returning call3278 (depth = 6)
  Object call3279 = callmethodflags(call3278, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3276);
// compiled member node returning call3279 (depth = 5)
  int op_slot_left_3273 = gc_frame_newslot(call3279);
  params[0] = strlit3274;
  partcv[0] = 1;
  Object opresult3280 = callmethod(call3279, "==(1)", 1, partcv, params);
// compiled op node returning opresult3280 (depth = 4)
  Object if3272 = done;
  if (istrue(opresult3280)) {
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3281 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3282 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3283 = gc_frame_new();
// call case 3: self.outer request
  Object call3284 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3283);
// compiled member node returning call3284 (depth = 6)
  Object call3285 = callmethodflags(call3284, "operatorState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3282);
// compiled member node returning call3285 (depth = 5)
  gc_frame_newslot(call3285);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3286 = gc_frame_new();
// call case 3: self.outer request
  Object call3287 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3286);
// compiled member node returning call3287 (depth = 5)
  params[0] = call3285;
  partcv[0] = 1;
  Object call3288 = callmethodflags(call3287, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3281);
// compiled call node returning call3288 (depth = 4)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3289 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3290 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3291 = gc_frame_new();
// call case 3: self.outer request
  Object call3292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3291);
// compiled member node returning call3292 (depth = 6)
  Object call3293 = callmethodflags(call3292, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3290);
// compiled member node returning call3293 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3294 = callmethodflags(call3293, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3289);
// compiled call node returning call3294 (depth = 4)
    gc_frame_newslot(call3294);
    if3272 = call3294;
  } else {
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3296 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_lexer (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3297 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3296);
// compiled call node returning call3297 (depth = 5)
  Object if3295 = done;
  if (istrue(call3297)) {
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3298 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3299 == NULL) {
    strlit3299 = alloc_String("0.");
    gc_root(strlit3299);
  }
// compiled string node returning strlit3299 (depth = 6)
  gc_frame_newslot(strlit3299);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3300 = gc_frame_new();
// call case 3: self.outer request
  Object call3301 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3300);
// compiled member node returning call3301 (depth = 6)
  params[0] = strlit3299;
  partcv[0] = 1;
  Object call3302 = callmethodflags(call3301, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3298);
// compiled call node returning call3302 (depth = 5)
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3303 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3304 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3305 = gc_frame_new();
// call case 3: self.outer request
  Object call3306 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3305);
// compiled member node returning call3306 (depth = 7)
  Object call3307 = callmethodflags(call3306, "numberFractionState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3304);
// compiled member node returning call3307 (depth = 6)
  gc_frame_newslot(call3307);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3308 = gc_frame_new();
// call case 3: self.outer request
  Object call3309 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3308);
// compiled member node returning call3309 (depth = 6)
  params[0] = call3307;
  partcv[0] = 1;
  Object call3310 = callmethodflags(call3309, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3303);
// compiled call node returning call3310 (depth = 5)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3311 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3312 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3313 = gc_frame_new();
// call case 3: self.outer request
  Object call3314 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3313);
// compiled member node returning call3314 (depth = 7)
  Object call3315 = callmethodflags(call3314, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3312);
// compiled member node returning call3315 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3316 = callmethodflags(call3315, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3311);
// compiled call node returning call3316 (depth = 5)
    gc_frame_newslot(call3316);
    if3295 = call3316;
  } else {
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3317 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3318 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3319 = gc_frame_new();
// call case 3: self.outer request
  Object call3320 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3319);
// compiled member node returning call3320 (depth = 7)
  Object call3321 = callmethodflags(call3320, "dotToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3318);
// compiled member node returning call3321 (depth = 6)
  gc_frame_newslot(call3321);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3322 = gc_frame_new();
// call case 3: self.outer request
  Object call3323 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3322);
// compiled member node returning call3323 (depth = 6)
  params[0] = call3321;
  partcv[0] = 1;
  Object call3324 = callmethodflags(call3323, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3317);
// compiled call node returning call3324 (depth = 5)
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3325 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3326 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3327 = gc_frame_new();
// call case 3: self.outer request
  Object call3328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3327);
// compiled member node returning call3328 (depth = 7)
  Object call3329 = callmethodflags(call3328, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3326);
// compiled member node returning call3329 (depth = 6)
  gc_frame_newslot(call3329);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3330 = gc_frame_new();
// call case 3: self.outer request
  Object call3331 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3330);
// compiled member node returning call3331 (depth = 6)
  params[0] = call3329;
  partcv[0] = 1;
  Object call3332 = callmethodflags(call3331, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3325);
// compiled call node returning call3332 (depth = 5)
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3333 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3334 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3335 = gc_frame_new();
// call case 3: self.outer request
  Object call3336 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3335);
// compiled member node returning call3336 (depth = 7)
  Object call3337 = callmethodflags(call3336, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3334);
// compiled member node returning call3337 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3338 = callmethodflags(call3337, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3333);
// compiled call node returning call3338 (depth = 5)
    gc_frame_newslot(call3338);
    if3295 = call3338;
  }
// compiled if node returning if3295 (depth = 4)
    gc_frame_newslot(if3295);
    if3272 = if3295;
  }
// compiled if node returning if3272 (depth = 3)
    gc_frame_newslot(if3272);
    if3246 = if3272;
  }
// compiled if node returning if3246 (depth = 2)
  gc_frame_end(frame);
  return if3246;
}
Object meth_lexer_3341_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3342 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3343 = gc_frame_new();
// call case 3: self.outer request
  Object call3344 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3343);
// compiled member node returning call3344 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3345 = callmethodflags(call3344, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3342);
// compiled call node returning call3345 (depth = 2)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3347 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3348 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3349 = callmethodflags(module_lexer, "isIdentifierChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3348);
// compiled call node returning call3349 (depth = 4)
  partcv[0] = 0;
  Object call3350 = callmethodflags(call3349, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3347);
// compiled call node returning call3350 (depth = 3)
  Object if3346 = done;
  if (istrue(call3350)) {
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3352 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3353 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3354 = gc_frame_new();
// call case 3: self.outer request
  Object call3355 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3354);
// compiled member node returning call3355 (depth = 6)
  Object call3356 = callmethodflags(call3355, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3353);
// compiled member node returning call3356 (depth = 5)
  gc_frame_newslot(call3356);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_keywords (depth = 5)
  params[0] = call3356;
  partcv[0] = 1;
  Object call3357 = callmethodflags(*var_keywords, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3352);
// compiled call node returning call3357 (depth = 4)
  Object if3351 = done;
  if (istrue(call3357)) {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3360 == NULL) {
    strlit3360 = alloc_String("super");
    gc_root(strlit3360);
  }
// compiled string node returning strlit3360 (depth = 6)
  int op_slot_right_3359 = gc_frame_newslot(strlit3360);
// starting to compile member node (depth = 6)
  int callframe3362 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3363 = gc_frame_new();
// call case 3: self.outer request
  Object call3364 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3363);
// compiled member node returning call3364 (depth = 7)
  Object call3365 = callmethodflags(call3364, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3362);
// compiled member node returning call3365 (depth = 6)
  int op_slot_left_3359 = gc_frame_newslot(call3365);
  params[0] = strlit3360;
  partcv[0] = 1;
  Object opresult3366 = callmethod(call3365, "==(1)", 1, partcv, params);
// compiled op node returning opresult3366 (depth = 5)
  Object if3358 = done;
  if (istrue(opresult3366)) {
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3367 = gc_frame_new();
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3369 == NULL) {
    strlit3369 = alloc_String("Consider using an `alias` clause on the inherit statement.");
    gc_root(strlit3369);
  }
// compiled string node returning strlit3369 (depth = 7)
  int op_slot_right_3368 = gc_frame_newslot(strlit3369);
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3371 == NULL) {
    strlit3371 = alloc_String("`super` is no longer part of Grace.""\x0a""");
    gc_root(strlit3371);
  }
// compiled string node returning strlit3371 (depth = 7)
  int op_slot_left_3368 = gc_frame_newslot(strlit3371);
  params[0] = strlit3369;
  partcv[0] = 1;
  Object opresult3372 = callmethod(strlit3371, "++(1)", 1, partcv, params);
// compiled op node returning opresult3372 (depth = 6)
  gc_frame_newslot(opresult3372);
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3373 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3374 = gc_frame_new();
// call case 3: self.outer request
  Object call3375 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3374);
// compiled member node returning call3375 (depth = 7)
  Object call3376 = callmethodflags(call3375, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3373);
// compiled member node returning call3376 (depth = 6)
  gc_frame_newslot(call3376);
// starting to compile member node (depth = 6)
  int callframe3377 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3378 = gc_frame_new();
// call case 3: self.outer request
  Object call3379 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3378);
// compiled member node returning call3379 (depth = 7)
  Object call3380 = callmethodflags(call3379, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3377);
// compiled member node returning call3380 (depth = 6)
  gc_frame_newslot(call3380);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3382 = alloc_Float64(1);
// compiled num node returning num3382 (depth = 7)
  int op_slot_right_3381 = gc_frame_newslot(num3382);
// starting to compile member node (depth = 7)
  int callframe3384 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3385 = gc_frame_new();
// call case 3: self.outer request
  Object call3386 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3385);
// compiled member node returning call3386 (depth = 8)
  Object call3387 = callmethodflags(call3386, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3384);
// compiled member node returning call3387 (depth = 7)
  int op_slot_left_3381 = gc_frame_newslot(call3387);
  params[0] = num3382;
  partcv[0] = 1;
  Object diff3388 = callmethod(call3387, "-(1)", 1, partcv, params);
// compiled op node returning diff3388 (depth = 6)
  gc_frame_newslot(diff3388);
// call case 6: other requests
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult3372;
  params[1] = call3376;
  params[2] = call3380;
  params[3] = diff3388;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3389 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe3367);
// compiled call node returning call3389 (depth = 5)
    gc_frame_newslot(call3389);
    if3358 = call3389;
  } else {
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3392 == NULL) {
    strlit3392 = alloc_String("inherits");
    gc_root(strlit3392);
  }
// compiled string node returning strlit3392 (depth = 7)
  int op_slot_right_3391 = gc_frame_newslot(strlit3392);
// starting to compile member node (depth = 7)
  int callframe3394 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3395 = gc_frame_new();
// call case 3: self.outer request
  Object call3396 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3395);
// compiled member node returning call3396 (depth = 8)
  Object call3397 = callmethodflags(call3396, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3394);
// compiled member node returning call3397 (depth = 7)
  int op_slot_left_3391 = gc_frame_newslot(call3397);
  params[0] = strlit3392;
  partcv[0] = 1;
  Object opresult3398 = callmethod(call3397, "==(1)", 1, partcv, params);
// compiled op node returning opresult3398 (depth = 6)
  Object if3390 = done;
  if (istrue(opresult3398)) {
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3399 = gc_frame_new();
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3400 == NULL) {
    strlit3400 = alloc_String("The reserved word `inherits` has been replaced by `inherit`.");
    gc_root(strlit3400);
  }
// compiled string node returning strlit3400 (depth = 7)
  gc_frame_newslot(strlit3400);
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3401 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3402 = gc_frame_new();
// call case 3: self.outer request
  Object call3403 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3402);
// compiled member node returning call3403 (depth = 8)
  Object call3404 = callmethodflags(call3403, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3401);
// compiled member node returning call3404 (depth = 7)
  gc_frame_newslot(call3404);
// starting to compile member node (depth = 7)
  int callframe3405 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3406 = gc_frame_new();
// call case 3: self.outer request
  Object call3407 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3406);
// compiled member node returning call3407 (depth = 8)
  Object call3408 = callmethodflags(call3407, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3405);
// compiled member node returning call3408 (depth = 7)
  gc_frame_newslot(call3408);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3410 = alloc_Float64(1);
// compiled num node returning num3410 (depth = 8)
  int op_slot_right_3409 = gc_frame_newslot(num3410);
// starting to compile member node (depth = 8)
  int callframe3412 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3413 = gc_frame_new();
// call case 3: self.outer request
  Object call3414 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3413);
// compiled member node returning call3414 (depth = 9)
  Object call3415 = callmethodflags(call3414, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3412);
// compiled member node returning call3415 (depth = 8)
  int op_slot_left_3409 = gc_frame_newslot(call3415);
  params[0] = num3410;
  partcv[0] = 1;
  Object diff3416 = callmethod(call3415, "-(1)", 1, partcv, params);
// compiled op node returning diff3416 (depth = 7)
  gc_frame_newslot(diff3416);
// call case 6: other requests
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit3400;
  params[1] = call3404;
  params[2] = call3408;
  params[3] = diff3416;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3417 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe3399);
// compiled call node returning call3417 (depth = 6)
    gc_frame_newslot(call3417);
    if3390 = call3417;
  } else {
  }
// compiled if node returning if3390 (depth = 5)
    gc_frame_newslot(if3390);
    if3358 = if3390;
  }
// compiled if node returning if3358 (depth = 4)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3418 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3419 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3420 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3421 = gc_frame_new();
// call case 3: self.outer request
  Object call3422 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3421);
// compiled member node returning call3422 (depth = 7)
  Object call3423 = callmethodflags(call3422, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3420);
// compiled member node returning call3423 (depth = 6)
  gc_frame_newslot(call3423);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3424 = gc_frame_new();
// call case 3: self.outer request
  Object call3425 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3424);
// compiled member node returning call3425 (depth = 6)
  params[0] = call3423;
  partcv[0] = 1;
  Object call3426 = callmethodflags(call3425, "keywordToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3419);
// compiled call node returning call3426 (depth = 5)
  gc_frame_newslot(call3426);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3427 = gc_frame_new();
// call case 3: self.outer request
  Object call3428 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3427);
// compiled member node returning call3428 (depth = 5)
  params[0] = call3426;
  partcv[0] = 1;
  Object call3429 = callmethodflags(call3428, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3418);
// compiled call node returning call3429 (depth = 4)
    gc_frame_newslot(call3429);
    if3351 = call3429;
  } else {
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3430 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3431 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3432 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3433 = gc_frame_new();
// call case 3: self.outer request
  Object call3434 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3433);
// compiled member node returning call3434 (depth = 7)
  Object call3435 = callmethodflags(call3434, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3432);
// compiled member node returning call3435 (depth = 6)
  gc_frame_newslot(call3435);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3436 = gc_frame_new();
// call case 3: self.outer request
  Object call3437 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3436);
// compiled member node returning call3437 (depth = 6)
  params[0] = call3435;
  partcv[0] = 1;
  Object call3438 = callmethodflags(call3437, "identifierToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3431);
// compiled call node returning call3438 (depth = 5)
  gc_frame_newslot(call3438);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3439 = gc_frame_new();
// call case 3: self.outer request
  Object call3440 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3439);
// compiled member node returning call3440 (depth = 5)
  params[0] = call3438;
  partcv[0] = 1;
  Object call3441 = callmethodflags(call3440, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3430);
// compiled call node returning call3441 (depth = 4)
    gc_frame_newslot(call3441);
    if3351 = call3441;
  }
// compiled if node returning if3351 (depth = 3)
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3442 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3443 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3444 = gc_frame_new();
// call case 3: self.outer request
  Object call3445 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3444);
// compiled member node returning call3445 (depth = 5)
  Object call3446 = callmethodflags(call3445, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3443);
// compiled member node returning call3446 (depth = 4)
  gc_frame_newslot(call3446);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3447 = gc_frame_new();
// call case 3: self.outer request
  Object call3448 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3447);
// compiled member node returning call3448 (depth = 4)
  params[0] = call3446;
  partcv[0] = 1;
  Object call3449 = callmethodflags(call3448, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3442);
// compiled call node returning call3449 (depth = 3)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3450 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3451 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3452 = gc_frame_new();
// call case 3: self.outer request
  Object call3453 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3452);
// compiled member node returning call3453 (depth = 5)
  Object call3454 = callmethodflags(call3453, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3451);
// compiled member node returning call3454 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3455 = callmethodflags(call3454, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3450);
// compiled call node returning call3455 (depth = 3)
    gc_frame_newslot(call3455);
    if3346 = call3455;
  } else {
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3456 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3457 = gc_frame_new();
// call case 3: self.outer request
  Object call3458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3457);
// compiled member node returning call3458 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3459 = callmethodflags(call3458, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3456);
// compiled call node returning call3459 (depth = 3)
    gc_frame_newslot(call3459);
    if3346 = call3459;
  }
// compiled if node returning if3346 (depth = 2)
  gc_frame_end(frame);
  return if3346;
}
Object meth_lexer_3462_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
  Object *var_strToken = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "strToken");
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3463 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3464 = gc_frame_new();
// call case 3: self.outer request
  Object call3465 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3464);
// compiled member node returning call3465 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3466 = callmethodflags(call3465, "checkSeparatorString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3463);
// compiled call node returning call3466 (depth = 2)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3469 == NULL) {
    strlit3469 = alloc_String("""\x22""");
    gc_root(strlit3469);
  }
// compiled string node returning strlit3469 (depth = 4)
  int op_slot_right_3468 = gc_frame_newslot(strlit3469);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3468 = gc_frame_newslot(*var_c);
  params[0] = strlit3469;
  partcv[0] = 1;
  Object opresult3471 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3471 (depth = 3)
  Object if3467 = done;
  if (istrue(opresult3471)) {
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3472 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3473 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3474 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3475 = gc_frame_new();
// call case 3: self.outer request
  Object call3476 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3475);
// compiled member node returning call3476 (depth = 6)
  Object call3477 = callmethodflags(call3476, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3474);
// compiled member node returning call3477 (depth = 5)
  gc_frame_newslot(call3477);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3478 = gc_frame_new();
// call case 3: self.outer request
  Object call3479 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3478);
// compiled member node returning call3479 (depth = 5)
  params[0] = call3477;
  partcv[0] = 1;
  Object call3480 = callmethodflags(call3479, "stringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3473);
// compiled call node returning call3480 (depth = 4)
  gc_frame_newslot(call3480);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3481 = gc_frame_new();
// call case 3: self.outer request
  Object call3482 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3481);
// compiled member node returning call3482 (depth = 4)
  params[0] = call3480;
  partcv[0] = 1;
  Object call3483 = callmethodflags(call3482, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3472);
// compiled call node returning call3483 (depth = 3)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3487 = alloc_Float64(0);
// compiled num node returning num3487 (depth = 6)
  int op_slot_right_3486 = gc_frame_newslot(num3487);
// starting to compile member node (depth = 6)
  int callframe3489 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3490 = gc_frame_new();
// call case 3: self.outer request
  Object call3491 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3490);
// compiled member node returning call3491 (depth = 7)
  Object call3492 = callmethodflags(call3491, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3489);
// compiled member node returning call3492 (depth = 6)
  int op_slot_left_3486 = gc_frame_newslot(call3492);
  params[0] = num3487;
  partcv[0] = 1;
  Object opresult3493 = callmethod(call3492, "==(1)", 1, partcv, params);
// compiled op node returning opresult3493 (depth = 5)
  int op_slot_right_3485 = gc_frame_newslot(opresult3493);
// starting to compile member node (depth = 5)
  int callframe3495 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3496 = gc_frame_new();
// call case 3: self.outer request
  Object call3497 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3496);
// compiled member node returning call3497 (depth = 6)
  Object call3498 = callmethodflags(call3497, "interpString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3495);
// compiled member node returning call3498 (depth = 5)
  int op_slot_left_3485 = gc_frame_newslot(call3498);
  params[0] = opresult3493;
  partcv[0] = 1;
  Object opresult3499 = callmethod(call3498, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3499 (depth = 4)
  Object if3484 = done;
  if (istrue(opresult3499)) {
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3500 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3501 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3502 = gc_frame_new();
// call case 3: self.outer request
  Object call3503 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3502);
// compiled member node returning call3503 (depth = 6)
  Object call3504 = callmethodflags(call3503, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3501);
// compiled member node returning call3504 (depth = 5)
  gc_frame_newslot(call3504);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3505 = gc_frame_new();
// call case 3: self.outer request
  Object call3506 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3505);
// compiled member node returning call3506 (depth = 5)
  params[0] = call3504;
  partcv[0] = 1;
  Object call3507 = callmethodflags(call3506, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3500);
// compiled call node returning call3507 (depth = 4)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3508 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool3509 = alloc_Boolean(0);
// compiled identifier node returning bool3509 (depth = 5)
  gc_frame_newslot(bool3509);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3510 = gc_frame_new();
// call case 3: self.outer request
  Object call3511 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3510);
// compiled member node returning call3511 (depth = 5)
  params[0] = bool3509;
  partcv[0] = 1;
  Object call3512 = callmethodflags(call3511, "interpString:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3508);
// compiled call node returning call3512 (depth = 4)
    gc_frame_newslot(call3512);
    if3484 = call3512;
  } else {
  }
// compiled if node returning if3484 (depth = 3)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3513 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3514 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3515 = gc_frame_new();
// call case 3: self.outer request
  Object call3516 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3515);
// compiled member node returning call3516 (depth = 5)
  Object call3517 = callmethodflags(call3516, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3514);
// compiled member node returning call3517 (depth = 4)
  gc_frame_newslot(call3517);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3518 = gc_frame_new();
// call case 3: self.outer request
  Object call3519 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3518);
// compiled member node returning call3519 (depth = 4)
  params[0] = call3517;
  partcv[0] = 1;
  Object call3520 = callmethodflags(call3519, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3513);
// compiled call node returning call3520 (depth = 3)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3521 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3522 = alloc_Boolean(0);
// compiled identifier node returning bool3522 (depth = 4)
  gc_frame_newslot(bool3522);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3523 = gc_frame_new();
// call case 3: self.outer request
  Object call3524 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3523);
// compiled member node returning call3524 (depth = 4)
  params[0] = bool3522;
  partcv[0] = 1;
  Object call3525 = callmethodflags(call3524, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3521);
// compiled call node returning call3525 (depth = 3)
    gc_frame_newslot(call3525);
    if3467 = call3525;
  } else {
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3528 == NULL) {
    strlit3528 = alloc_String("""\x0a""");
    gc_root(strlit3528);
  }
// compiled string node returning strlit3528 (depth = 5)
  int op_slot_right_3527 = gc_frame_newslot(strlit3528);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_3527 = gc_frame_newslot(*var_c);
  params[0] = strlit3528;
  partcv[0] = 1;
  Object opresult3530 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3530 (depth = 4)
  Object if3526 = done;
  if (istrue(opresult3530)) {
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3531 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3532 = gc_frame_new();
// call case 3: self.outer request
  Object call3533 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3532);
// compiled member node returning call3533 (depth = 5)
  Object call3534 = callmethodflags(call3533, "newLineError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3531);
// compiled member node returning call3534 (depth = 4)
    gc_frame_newslot(call3534);
    if3526 = call3534;
  } else {
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3537 == NULL) {
    strlit3537 = alloc_String("{");
    gc_root(strlit3537);
  }
// compiled string node returning strlit3537 (depth = 6)
  int op_slot_right_3536 = gc_frame_newslot(strlit3537);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_3536 = gc_frame_newslot(*var_c);
  params[0] = strlit3537;
  partcv[0] = 1;
  Object opresult3539 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3539 (depth = 5)
  Object if3535 = done;
  if (istrue(opresult3539)) {
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3540 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3541 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3542 = gc_frame_new();
// call case 3: self.outer request
  Object call3543 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3542);
// compiled member node returning call3543 (depth = 8)
  Object call3544 = callmethodflags(call3543, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3541);
// compiled member node returning call3544 (depth = 7)
  gc_frame_newslot(call3544);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3545 = gc_frame_new();
// call case 3: self.outer request
  Object call3546 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3545);
// compiled member node returning call3546 (depth = 7)
  params[0] = call3544;
  partcv[0] = 1;
  Object call3547 = callmethodflags(call3546, "stringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3540);
// compiled call node returning call3547 (depth = 6)
  *var_strToken = call3547;
  if (call3547 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3548 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3549 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3550 = gc_frame_new();
// call case 3: self.outer request
  Object call3551 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3550);
// compiled member node returning call3551 (depth = 7)
  Object call3552 = callmethodflags(call3551, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3549);
// compiled member node returning call3552 (depth = 6)
  gc_frame_newslot(call3552);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3553 = gc_frame_new();
// call case 3: self.outer request
  Object call3554 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3553);
// compiled member node returning call3554 (depth = 6)
  params[0] = call3552;
  partcv[0] = 1;
  Object call3555 = callmethodflags(call3554, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3548);
// compiled call node returning call3555 (depth = 5)
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3557 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3558 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3559 = gc_frame_new();
// call case 3: self.outer request
  Object call3560 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3559);
// compiled member node returning call3560 (depth = 8)
  Object call3561 = callmethodflags(call3560, "interpString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3558);
// compiled member node returning call3561 (depth = 7)
  partcv[0] = 0;
  Object call3562 = callmethodflags(call3561, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3557);
// compiled call node returning call3562 (depth = 6)
  Object if3556 = done;
  if (istrue(call3562)) {
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3563 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3564 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3565 = gc_frame_new();
// call case 3: self.outer request
  Object call3566 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3565);
// compiled member node returning call3566 (depth = 8)
  Object call3567 = callmethodflags(call3566, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3564);
// compiled member node returning call3567 (depth = 7)
  gc_frame_newslot(call3567);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3568 = gc_frame_new();
// call case 3: self.outer request
  Object call3569 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3568);
// compiled member node returning call3569 (depth = 7)
  params[0] = call3567;
  partcv[0] = 1;
  Object call3570 = callmethodflags(call3569, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3563);
// compiled call node returning call3570 (depth = 6)
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3571 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool3572 = alloc_Boolean(1);
// compiled identifier node returning bool3572 (depth = 7)
  gc_frame_newslot(bool3572);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3573 = gc_frame_new();
// call case 3: self.outer request
  Object call3574 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3573);
// compiled member node returning call3574 (depth = 7)
  params[0] = bool3572;
  partcv[0] = 1;
  Object call3575 = callmethodflags(call3574, "interpString:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3571);
// compiled call node returning call3575 (depth = 6)
    gc_frame_newslot(call3575);
    if3556 = call3575;
  } else {
  }
// compiled if node returning if3556 (depth = 5)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3576 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_strToken (depth = 6)
  gc_frame_newslot(*var_strToken);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3577 = gc_frame_new();
// call case 3: self.outer request
  Object call3578 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3577);
// compiled member node returning call3578 (depth = 6)
  params[0] = *var_strToken;
  partcv[0] = 1;
  Object call3579 = callmethodflags(call3578, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3576);
// compiled call node returning call3579 (depth = 5)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3580 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe3581 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3582 == NULL) {
    strlit3582 = alloc_String("++");
    gc_root(strlit3582);
  }
// compiled string node returning strlit3582 (depth = 7)
  gc_frame_newslot(strlit3582);
// call case 6: other requests
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3583 = gc_frame_new();
// call case 3: self.outer request
  Object call3584 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3583);
// compiled member node returning call3584 (depth = 7)
  params[0] = strlit3582;
  partcv[0] = 1;
  Object call3585 = callmethodflags(call3584, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3581);
// compiled call node returning call3585 (depth = 6)
  gc_frame_newslot(call3585);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3586 = gc_frame_new();
// call case 3: self.outer request
  Object call3587 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3586);
// compiled member node returning call3587 (depth = 6)
  params[0] = call3585;
  partcv[0] = 1;
  Object call3588 = callmethodflags(call3587, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3580);
// compiled call node returning call3588 (depth = 5)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3589 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3590 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3591 = gc_frame_new();
// call case 3: self.outer request
  Object call3592 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3591);
// compiled member node returning call3592 (depth = 7)
  Object call3593 = callmethodflags(call3592, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3590);
// compiled member node returning call3593 (depth = 6)
  gc_frame_newslot(call3593);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3594 = gc_frame_new();
// call case 3: self.outer request
  Object call3595 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3594);
// compiled member node returning call3595 (depth = 6)
  params[0] = call3593;
  partcv[0] = 1;
  Object call3596 = callmethodflags(call3595, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3589);
// compiled call node returning call3596 (depth = 5)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3597 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3598 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3599 = gc_frame_new();
// call case 3: self.outer request
  Object call3600 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3599);
// compiled member node returning call3600 (depth = 7)
  Object call3601 = callmethodflags(call3600, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3598);
// compiled member node returning call3601 (depth = 6)
  gc_frame_newslot(call3601);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3602 = gc_frame_new();
// call case 3: self.outer request
  Object call3603 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3602);
// compiled member node returning call3603 (depth = 6)
  params[0] = call3601;
  partcv[0] = 1;
  Object call3604 = callmethodflags(call3603, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3597);
// compiled call node returning call3604 (depth = 5)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3605 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool3606 = alloc_Boolean(0);
// compiled identifier node returning bool3606 (depth = 6)
  gc_frame_newslot(bool3606);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3607 = gc_frame_new();
// call case 3: self.outer request
  Object call3608 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3607);
// compiled member node returning call3608 (depth = 6)
  params[0] = bool3606;
  partcv[0] = 1;
  Object call3609 = callmethodflags(call3608, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3605);
// compiled call node returning call3609 (depth = 5)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3610 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3612 = alloc_Float64(1);
// compiled num node returning num3612 (depth = 7)
  int op_slot_right_3611 = gc_frame_newslot(num3612);
// starting to compile member node (depth = 7)
  int callframe3614 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3615 = gc_frame_new();
// call case 3: self.outer request
  Object call3616 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3615);
// compiled member node returning call3616 (depth = 8)
  Object call3617 = callmethodflags(call3616, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3614);
// compiled member node returning call3617 (depth = 7)
  int op_slot_left_3611 = gc_frame_newslot(call3617);
  params[0] = num3612;
  partcv[0] = 1;
  Object sum3618 = callmethod(call3617, "+(1)", 1, partcv, params);
// compiled op node returning sum3618 (depth = 6)
  gc_frame_newslot(sum3618);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3619 = gc_frame_new();
// call case 3: self.outer request
  Object call3620 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3619);
// compiled member node returning call3620 (depth = 6)
  params[0] = sum3618;
  partcv[0] = 1;
  Object call3621 = callmethodflags(call3620, "interpdepth:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3610);
// compiled call node returning call3621 (depth = 5)
    gc_frame_newslot(call3621);
    if3535 = call3621;
  } else {
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3624 == NULL) {
    strlit3624 = alloc_String("\\");
    gc_root(strlit3624);
  }
// compiled string node returning strlit3624 (depth = 7)
  int op_slot_right_3623 = gc_frame_newslot(strlit3624);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_3623 = gc_frame_newslot(*var_c);
  params[0] = strlit3624;
  partcv[0] = 1;
  Object opresult3626 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3626 (depth = 6)
  Object if3622 = done;
  if (istrue(opresult3626)) {
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3627 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3629 = gc_frame_new();
// call case 3: self.outer request
  Object call3630 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3629);
// compiled member node returning call3630 (depth = 8)
  Object call3631 = callmethodflags(call3630, "quotedStringEscapedState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3628);
// compiled member node returning call3631 (depth = 7)
  gc_frame_newslot(call3631);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3632 = gc_frame_new();
// call case 3: self.outer request
  Object call3633 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3632);
// compiled member node returning call3633 (depth = 7)
  params[0] = call3631;
  partcv[0] = 1;
  Object call3634 = callmethodflags(call3633, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3627);
// compiled call node returning call3634 (depth = 6)
    gc_frame_newslot(call3634);
    if3622 = call3634;
  } else {
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3635 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3636 = gc_frame_new();
// call case 3: self.outer request
  Object call3637 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3636);
// compiled member node returning call3637 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3638 = callmethodflags(call3637, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3635);
// compiled call node returning call3638 (depth = 6)
    gc_frame_newslot(call3638);
    if3622 = call3638;
  }
// compiled if node returning if3622 (depth = 5)
    gc_frame_newslot(if3622);
    if3535 = if3622;
  }
// compiled if node returning if3535 (depth = 4)
    gc_frame_newslot(if3535);
    if3526 = if3535;
  }
// compiled if node returning if3526 (depth = 3)
    gc_frame_newslot(if3526);
    if3467 = if3526;
  }
// compiled if node returning if3467 (depth = 2)
  gc_frame_end(frame);
  return if3467;
}
Object meth_lexer_3641_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3642 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3644 = alloc_Float64(1);
// compiled num node returning num3644 (depth = 4)
  int op_slot_right_3643 = gc_frame_newslot(num3644);
// starting to compile member node (depth = 4)
  int callframe3646 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3647 = gc_frame_new();
// call case 3: self.outer request
  Object call3648 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3647);
// compiled member node returning call3648 (depth = 5)
  Object call3649 = callmethodflags(call3648, "unichars", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3646);
// compiled member node returning call3649 (depth = 4)
  int op_slot_left_3643 = gc_frame_newslot(call3649);
  params[0] = num3644;
  partcv[0] = 1;
  Object diff3650 = callmethod(call3649, "-(1)", 1, partcv, params);
// compiled op node returning diff3650 (depth = 3)
  gc_frame_newslot(diff3650);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3651 = gc_frame_new();
// call case 3: self.outer request
  Object call3652 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3651);
// compiled member node returning call3652 (depth = 3)
  params[0] = diff3650;
  partcv[0] = 1;
  Object call3653 = callmethodflags(call3652, "unichars:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3642);
// compiled call node returning call3653 (depth = 2)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3654 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3656 = alloc_Float64(16);
// compiled num node returning num3656 (depth = 4)
  int op_slot_right_3655 = gc_frame_newslot(num3656);
// starting to compile member node (depth = 4)
  int callframe3658 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3659 = gc_frame_new();
// call case 3: self.outer request
  Object call3660 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3659);
// compiled member node returning call3660 (depth = 5)
  Object call3661 = callmethodflags(call3660, "codepoint", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3658);
// compiled member node returning call3661 (depth = 4)
  int op_slot_left_3655 = gc_frame_newslot(call3661);
  params[0] = num3656;
  partcv[0] = 1;
  Object prod3662 = callmethod(call3661, "*(1)", 1, partcv, params);
// compiled op node returning prod3662 (depth = 3)
  gc_frame_newslot(prod3662);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3663 = gc_frame_new();
// call case 3: self.outer request
  Object call3664 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3663);
// compiled member node returning call3664 (depth = 3)
  params[0] = prod3662;
  partcv[0] = 1;
  Object call3665 = callmethodflags(call3664, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3654);
// compiled call node returning call3665 (depth = 2)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3666 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3668 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3669 = gc_frame_new();
// call case 3: self.outer request
  Object call3670 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3669);
// compiled member node returning call3670 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3671 = callmethodflags(call3670, "hexdecchar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3668);
// compiled call node returning call3671 (depth = 4)
  int op_slot_right_3667 = gc_frame_newslot(call3671);
// starting to compile member node (depth = 4)
  int callframe3673 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3674 = gc_frame_new();
// call case 3: self.outer request
  Object call3675 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3674);
// compiled member node returning call3675 (depth = 5)
  Object call3676 = callmethodflags(call3675, "codepoint", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3673);
// compiled member node returning call3676 (depth = 4)
  int op_slot_left_3667 = gc_frame_newslot(call3676);
  params[0] = call3671;
  partcv[0] = 1;
  Object sum3677 = callmethod(call3676, "+(1)", 1, partcv, params);
// compiled op node returning sum3677 (depth = 3)
  gc_frame_newslot(sum3677);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3678 = gc_frame_new();
// call case 3: self.outer request
  Object call3679 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3678);
// compiled member node returning call3679 (depth = 3)
  params[0] = sum3677;
  partcv[0] = 1;
  Object call3680 = callmethodflags(call3679, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3666);
// compiled call node returning call3680 (depth = 2)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3683 = alloc_Float64(0);
// compiled num node returning num3683 (depth = 4)
  int op_slot_right_3682 = gc_frame_newslot(num3683);
// starting to compile member node (depth = 4)
  int callframe3685 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3686 = gc_frame_new();
// call case 3: self.outer request
  Object call3687 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3686);
// compiled member node returning call3687 (depth = 5)
  Object call3688 = callmethodflags(call3687, "unichars", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3685);
// compiled member node returning call3688 (depth = 4)
  int op_slot_left_3682 = gc_frame_newslot(call3688);
  params[0] = num3683;
  partcv[0] = 1;
  Object opresult3689 = callmethod(call3688, "==(1)", 1, partcv, params);
// compiled op node returning opresult3689 (depth = 3)
  Object if3681 = done;
  if (istrue(opresult3689)) {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3690 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3691 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3692 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3693 = gc_frame_new();
// call case 3: self.outer request
  Object call3694 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3693);
// compiled member node returning call3694 (depth = 6)
  Object call3695 = callmethodflags(call3694, "codepoint", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3692);
// compiled member node returning call3695 (depth = 5)
  gc_frame_newslot(call3695);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unicode (depth = 5)
  params[0] = call3695;
  partcv[0] = 1;
  Object call3696 = callmethodflags(*var_unicode, "create(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3691);
// compiled call node returning call3696 (depth = 4)
  gc_frame_newslot(call3696);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3697 = gc_frame_new();
// call case 3: self.outer request
  Object call3698 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3697);
// compiled member node returning call3698 (depth = 4)
  params[0] = call3696;
  partcv[0] = 1;
  Object call3699 = callmethodflags(call3698, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3690);
// compiled call node returning call3699 (depth = 3)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3700 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3701 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3702 = gc_frame_new();
// call case 3: self.outer request
  Object call3703 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3702);
// compiled member node returning call3703 (depth = 5)
  Object call3704 = callmethodflags(call3703, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3701);
// compiled member node returning call3704 (depth = 4)
  gc_frame_newslot(call3704);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3705 = gc_frame_new();
// call case 3: self.outer request
  Object call3706 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3705);
// compiled member node returning call3706 (depth = 4)
  params[0] = call3704;
  partcv[0] = 1;
  Object call3707 = callmethodflags(call3706, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3700);
// compiled call node returning call3707 (depth = 3)
    gc_frame_newslot(call3707);
    if3681 = call3707;
  } else {
  }
// compiled if node returning if3681 (depth = 2)
  gc_frame_end(frame);
  return if3681;
}
Object meth_lexer_3710_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3711 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3712 = gc_frame_new();
// call case 3: self.outer request
  Object call3713 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3712);
// compiled member node returning call3713 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3714 = callmethodflags(call3713, "checkSeparatorString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3711);
// compiled call node returning call3714 (depth = 2)
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3715 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe3716 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3717 = gc_frame_new();
// call case 3: self.outer request
  Object call3718 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3717);
// compiled member node returning call3718 (depth = 4)
  Object call3719 = callmethodflags(call3718, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3716);
// compiled member node returning call3719 (depth = 3)
  gc_frame_newslot(call3719);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3720 = gc_frame_new();
// call case 3: self.outer request
  Object call3721 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3720);
// compiled member node returning call3721 (depth = 3)
  params[0] = call3719;
  partcv[0] = 1;
  Object call3722 = callmethodflags(call3721, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3715);
// compiled call node returning call3722 (depth = 2)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3725 == NULL) {
    strlit3725 = alloc_String("""\x0a""");
    gc_root(strlit3725);
  }
// compiled string node returning strlit3725 (depth = 4)
  int op_slot_right_3724 = gc_frame_newslot(strlit3725);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3724 = gc_frame_newslot(*var_c);
  params[0] = strlit3725;
  partcv[0] = 1;
  Object opresult3727 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3727 (depth = 3)
  Object if3723 = done;
  if (istrue(opresult3727)) {
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3728 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3729 = gc_frame_new();
// call case 3: self.outer request
  Object call3730 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3729);
// compiled member node returning call3730 (depth = 4)
  Object call3731 = callmethodflags(call3730, "newLineError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3728);
// compiled member node returning call3731 (depth = 3)
    gc_frame_newslot(call3731);
    if3723 = call3731;
  } else {
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3734 == NULL) {
    strlit3734 = alloc_String("n");
    gc_root(strlit3734);
  }
// compiled string node returning strlit3734 (depth = 5)
  int op_slot_right_3733 = gc_frame_newslot(strlit3734);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_3733 = gc_frame_newslot(*var_c);
  params[0] = strlit3734;
  partcv[0] = 1;
  Object opresult3736 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3736 (depth = 4)
  Object if3732 = done;
  if (istrue(opresult3736)) {
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3737 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3739 == NULL) {
    strlit3739 = alloc_String("""\x0a""");
    gc_root(strlit3739);
  }
// compiled string node returning strlit3739 (depth = 6)
  int op_slot_right_3738 = gc_frame_newslot(strlit3739);
// starting to compile member node (depth = 6)
  int callframe3741 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3742 = gc_frame_new();
// call case 3: self.outer request
  Object call3743 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3742);
// compiled member node returning call3743 (depth = 7)
  Object call3744 = callmethodflags(call3743, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3741);
// compiled member node returning call3744 (depth = 6)
  int op_slot_left_3738 = gc_frame_newslot(call3744);
  params[0] = strlit3739;
  partcv[0] = 1;
  Object opresult3745 = callmethod(call3744, "++(1)", 1, partcv, params);
// compiled op node returning opresult3745 (depth = 5)
  gc_frame_newslot(opresult3745);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3746 = gc_frame_new();
// call case 3: self.outer request
  Object call3747 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3746);
// compiled member node returning call3747 (depth = 5)
  params[0] = opresult3745;
  partcv[0] = 1;
  Object call3748 = callmethodflags(call3747, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3737);
// compiled call node returning call3748 (depth = 4)
    gc_frame_newslot(call3748);
    if3732 = call3748;
  } else {
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3751 == NULL) {
    strlit3751 = alloc_String("u");
    gc_root(strlit3751);
  }
// compiled string node returning strlit3751 (depth = 6)
  int op_slot_right_3750 = gc_frame_newslot(strlit3751);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_3750 = gc_frame_newslot(*var_c);
  params[0] = strlit3751;
  partcv[0] = 1;
  Object opresult3753 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3753 (depth = 5)
  Object if3749 = done;
  if (istrue(opresult3753)) {
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3754 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3755 = alloc_Float64(4);
// compiled num node returning num3755 (depth = 6)
  gc_frame_newslot(num3755);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3756 = gc_frame_new();
// call case 3: self.outer request
  Object call3757 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3756);
// compiled member node returning call3757 (depth = 6)
  params[0] = num3755;
  partcv[0] = 1;
  Object call3758 = callmethodflags(call3757, "unichars:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3754);
// compiled call node returning call3758 (depth = 5)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3759 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3760 = alloc_Float64(0);
// compiled num node returning num3760 (depth = 6)
  gc_frame_newslot(num3760);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3761 = gc_frame_new();
// call case 3: self.outer request
  Object call3762 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3761);
// compiled member node returning call3762 (depth = 6)
  params[0] = num3760;
  partcv[0] = 1;
  Object call3763 = callmethodflags(call3762, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3759);
// compiled call node returning call3763 (depth = 5)
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3764 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3765 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3766 = gc_frame_new();
// call case 3: self.outer request
  Object call3767 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3766);
// compiled member node returning call3767 (depth = 7)
  Object call3768 = callmethodflags(call3767, "unicodeState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3765);
// compiled member node returning call3768 (depth = 6)
  gc_frame_newslot(call3768);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3769 = gc_frame_new();
// call case 3: self.outer request
  Object call3770 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3769);
// compiled member node returning call3770 (depth = 6)
  params[0] = call3768;
  partcv[0] = 1;
  Object call3771 = callmethodflags(call3770, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3764);
// compiled call node returning call3771 (depth = 5)
    gc_frame_newslot(call3771);
    if3749 = call3771;
  } else {
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3774 == NULL) {
    strlit3774 = alloc_String("U");
    gc_root(strlit3774);
  }
// compiled string node returning strlit3774 (depth = 7)
  int op_slot_right_3773 = gc_frame_newslot(strlit3774);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_3773 = gc_frame_newslot(*var_c);
  params[0] = strlit3774;
  partcv[0] = 1;
  Object opresult3776 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3776 (depth = 6)
  Object if3772 = done;
  if (istrue(opresult3776)) {
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3777 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num3778 = alloc_Float64(6);
// compiled num node returning num3778 (depth = 7)
  gc_frame_newslot(num3778);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3779 = gc_frame_new();
// call case 3: self.outer request
  Object call3780 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3779);
// compiled member node returning call3780 (depth = 7)
  params[0] = num3778;
  partcv[0] = 1;
  Object call3781 = callmethodflags(call3780, "unichars:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3777);
// compiled call node returning call3781 (depth = 6)
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3782 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num3783 = alloc_Float64(0);
// compiled num node returning num3783 (depth = 7)
  gc_frame_newslot(num3783);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3784 = gc_frame_new();
// call case 3: self.outer request
  Object call3785 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3784);
// compiled member node returning call3785 (depth = 7)
  params[0] = num3783;
  partcv[0] = 1;
  Object call3786 = callmethodflags(call3785, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3782);
// compiled call node returning call3786 (depth = 6)
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3787 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3788 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3789 = gc_frame_new();
// call case 3: self.outer request
  Object call3790 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3789);
// compiled member node returning call3790 (depth = 8)
  Object call3791 = callmethodflags(call3790, "unicodeState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3788);
// compiled member node returning call3791 (depth = 7)
  gc_frame_newslot(call3791);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3792 = gc_frame_new();
// call case 3: self.outer request
  Object call3793 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3792);
// compiled member node returning call3793 (depth = 7)
  params[0] = call3791;
  partcv[0] = 1;
  Object call3794 = callmethodflags(call3793, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3787);
// compiled call node returning call3794 (depth = 6)
    gc_frame_newslot(call3794);
    if3772 = call3794;
  } else {
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3797 == NULL) {
    strlit3797 = alloc_String("t");
    gc_root(strlit3797);
  }
// compiled string node returning strlit3797 (depth = 8)
  int op_slot_right_3796 = gc_frame_newslot(strlit3797);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_3796 = gc_frame_newslot(*var_c);
  params[0] = strlit3797;
  partcv[0] = 1;
  Object opresult3799 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3799 (depth = 7)
  Object if3795 = done;
  if (istrue(opresult3799)) {
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3800 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3802 == NULL) {
    strlit3802 = alloc_String("""\x09""");
    gc_root(strlit3802);
  }
// compiled string node returning strlit3802 (depth = 9)
  int op_slot_right_3801 = gc_frame_newslot(strlit3802);
// starting to compile member node (depth = 9)
  int callframe3804 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3805 = gc_frame_new();
// call case 3: self.outer request
  Object call3806 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3805);
// compiled member node returning call3806 (depth = 10)
  Object call3807 = callmethodflags(call3806, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3804);
// compiled member node returning call3807 (depth = 9)
  int op_slot_left_3801 = gc_frame_newslot(call3807);
  params[0] = strlit3802;
  partcv[0] = 1;
  Object opresult3808 = callmethod(call3807, "++(1)", 1, partcv, params);
// compiled op node returning opresult3808 (depth = 8)
  gc_frame_newslot(opresult3808);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3809 = gc_frame_new();
// call case 3: self.outer request
  Object call3810 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3809);
// compiled member node returning call3810 (depth = 8)
  params[0] = opresult3808;
  partcv[0] = 1;
  Object call3811 = callmethodflags(call3810, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3800);
// compiled call node returning call3811 (depth = 7)
    gc_frame_newslot(call3811);
    if3795 = call3811;
  } else {
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3814 == NULL) {
    strlit3814 = alloc_String("r");
    gc_root(strlit3814);
  }
// compiled string node returning strlit3814 (depth = 9)
  int op_slot_right_3813 = gc_frame_newslot(strlit3814);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3813 = gc_frame_newslot(*var_c);
  params[0] = strlit3814;
  partcv[0] = 1;
  Object opresult3816 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3816 (depth = 8)
  Object if3812 = done;
  if (istrue(opresult3816)) {
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3817 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3819 == NULL) {
    strlit3819 = alloc_String("""\x0d""");
    gc_root(strlit3819);
  }
// compiled string node returning strlit3819 (depth = 10)
  int op_slot_right_3818 = gc_frame_newslot(strlit3819);
// starting to compile member node (depth = 10)
  int callframe3821 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3822 = gc_frame_new();
// call case 3: self.outer request
  Object call3823 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3822);
// compiled member node returning call3823 (depth = 11)
  Object call3824 = callmethodflags(call3823, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3821);
// compiled member node returning call3824 (depth = 10)
  int op_slot_left_3818 = gc_frame_newslot(call3824);
  params[0] = strlit3819;
  partcv[0] = 1;
  Object opresult3825 = callmethod(call3824, "++(1)", 1, partcv, params);
// compiled op node returning opresult3825 (depth = 9)
  gc_frame_newslot(opresult3825);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3826 = gc_frame_new();
// call case 3: self.outer request
  Object call3827 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3826);
// compiled member node returning call3827 (depth = 9)
  params[0] = opresult3825;
  partcv[0] = 1;
  Object call3828 = callmethodflags(call3827, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3817);
// compiled call node returning call3828 (depth = 8)
    gc_frame_newslot(call3828);
    if3812 = call3828;
  } else {
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3831 == NULL) {
    strlit3831 = alloc_String("b");
    gc_root(strlit3831);
  }
// compiled string node returning strlit3831 (depth = 10)
  int op_slot_right_3830 = gc_frame_newslot(strlit3831);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_3830 = gc_frame_newslot(*var_c);
  params[0] = strlit3831;
  partcv[0] = 1;
  Object opresult3833 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3833 (depth = 9)
  Object if3829 = done;
  if (istrue(opresult3833)) {
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3834 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3836 == NULL) {
    strlit3836 = alloc_String("""\x08""");
    gc_root(strlit3836);
  }
// compiled string node returning strlit3836 (depth = 11)
  int op_slot_right_3835 = gc_frame_newslot(strlit3836);
// starting to compile member node (depth = 11)
  int callframe3838 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3839 = gc_frame_new();
// call case 3: self.outer request
  Object call3840 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3839);
// compiled member node returning call3840 (depth = 12)
  Object call3841 = callmethodflags(call3840, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3838);
// compiled member node returning call3841 (depth = 11)
  int op_slot_left_3835 = gc_frame_newslot(call3841);
  params[0] = strlit3836;
  partcv[0] = 1;
  Object opresult3842 = callmethod(call3841, "++(1)", 1, partcv, params);
// compiled op node returning opresult3842 (depth = 10)
  gc_frame_newslot(opresult3842);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3843 = gc_frame_new();
// call case 3: self.outer request
  Object call3844 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3843);
// compiled member node returning call3844 (depth = 10)
  params[0] = opresult3842;
  partcv[0] = 1;
  Object call3845 = callmethodflags(call3844, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3834);
// compiled call node returning call3845 (depth = 9)
    gc_frame_newslot(call3845);
    if3829 = call3845;
  } else {
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3848 == NULL) {
    strlit3848 = alloc_String("l");
    gc_root(strlit3848);
  }
// compiled string node returning strlit3848 (depth = 11)
  int op_slot_right_3847 = gc_frame_newslot(strlit3848);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3847 = gc_frame_newslot(*var_c);
  params[0] = strlit3848;
  partcv[0] = 1;
  Object opresult3850 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3850 (depth = 10)
  Object if3846 = done;
  if (istrue(opresult3850)) {
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3851 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3853 == NULL) {
    strlit3853 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3853);
  }
// compiled string node returning strlit3853 (depth = 12)
  int op_slot_right_3852 = gc_frame_newslot(strlit3853);
// starting to compile member node (depth = 12)
  int callframe3855 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe3856 = gc_frame_new();
// call case 3: self.outer request
  Object call3857 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3856);
// compiled member node returning call3857 (depth = 13)
  Object call3858 = callmethodflags(call3857, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3855);
// compiled member node returning call3858 (depth = 12)
  int op_slot_left_3852 = gc_frame_newslot(call3858);
  params[0] = strlit3853;
  partcv[0] = 1;
  Object opresult3859 = callmethod(call3858, "++(1)", 1, partcv, params);
// compiled op node returning opresult3859 (depth = 11)
  gc_frame_newslot(opresult3859);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3860 = gc_frame_new();
// call case 3: self.outer request
  Object call3861 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3860);
// compiled member node returning call3861 (depth = 11)
  params[0] = opresult3859;
  partcv[0] = 1;
  Object call3862 = callmethodflags(call3861, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3851);
// compiled call node returning call3862 (depth = 10)
    gc_frame_newslot(call3862);
    if3846 = call3862;
  } else {
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3865 == NULL) {
    strlit3865 = alloc_String("f");
    gc_root(strlit3865);
  }
// compiled string node returning strlit3865 (depth = 12)
  int op_slot_right_3864 = gc_frame_newslot(strlit3865);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_3864 = gc_frame_newslot(*var_c);
  params[0] = strlit3865;
  partcv[0] = 1;
  Object opresult3867 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3867 (depth = 11)
  Object if3863 = done;
  if (istrue(opresult3867)) {
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe3868 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3870 == NULL) {
    strlit3870 = alloc_String("""\x0c""");
    gc_root(strlit3870);
  }
// compiled string node returning strlit3870 (depth = 13)
  int op_slot_right_3869 = gc_frame_newslot(strlit3870);
// starting to compile member node (depth = 13)
  int callframe3872 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe3873 = gc_frame_new();
// call case 3: self.outer request
  Object call3874 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3873);
// compiled member node returning call3874 (depth = 14)
  Object call3875 = callmethodflags(call3874, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3872);
// compiled member node returning call3875 (depth = 13)
  int op_slot_left_3869 = gc_frame_newslot(call3875);
  params[0] = strlit3870;
  partcv[0] = 1;
  Object opresult3876 = callmethod(call3875, "++(1)", 1, partcv, params);
// compiled op node returning opresult3876 (depth = 12)
  gc_frame_newslot(opresult3876);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3877 = gc_frame_new();
// call case 3: self.outer request
  Object call3878 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3877);
// compiled member node returning call3878 (depth = 12)
  params[0] = opresult3876;
  partcv[0] = 1;
  Object call3879 = callmethodflags(call3878, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3868);
// compiled call node returning call3879 (depth = 11)
    gc_frame_newslot(call3879);
    if3863 = call3879;
  } else {
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3882 == NULL) {
    strlit3882 = alloc_String("e");
    gc_root(strlit3882);
  }
// compiled string node returning strlit3882 (depth = 13)
  int op_slot_right_3881 = gc_frame_newslot(strlit3882);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_3881 = gc_frame_newslot(*var_c);
  params[0] = strlit3882;
  partcv[0] = 1;
  Object opresult3884 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3884 (depth = 12)
  Object if3880 = done;
  if (istrue(opresult3884)) {
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe3885 = gc_frame_new();
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3887 == NULL) {
    strlit3887 = alloc_String("""\x1b""");
    gc_root(strlit3887);
  }
// compiled string node returning strlit3887 (depth = 14)
  int op_slot_right_3886 = gc_frame_newslot(strlit3887);
// starting to compile member node (depth = 14)
  int callframe3889 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe3890 = gc_frame_new();
// call case 3: self.outer request
  Object call3891 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3890);
// compiled member node returning call3891 (depth = 15)
  Object call3892 = callmethodflags(call3891, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3889);
// compiled member node returning call3892 (depth = 14)
  int op_slot_left_3886 = gc_frame_newslot(call3892);
  params[0] = strlit3887;
  partcv[0] = 1;
  Object opresult3893 = callmethod(call3892, "++(1)", 1, partcv, params);
// compiled op node returning opresult3893 (depth = 13)
  gc_frame_newslot(opresult3893);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe3894 = gc_frame_new();
// call case 3: self.outer request
  Object call3895 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3894);
// compiled member node returning call3895 (depth = 13)
  params[0] = opresult3893;
  partcv[0] = 1;
  Object call3896 = callmethodflags(call3895, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3885);
// compiled call node returning call3896 (depth = 12)
    gc_frame_newslot(call3896);
    if3880 = call3896;
  } else {
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3899 == NULL) {
    strlit3899 = alloc_String("_");
    gc_root(strlit3899);
  }
// compiled string node returning strlit3899 (depth = 14)
  int op_slot_right_3898 = gc_frame_newslot(strlit3899);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_3898 = gc_frame_newslot(*var_c);
  params[0] = strlit3899;
  partcv[0] = 1;
  Object opresult3901 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3901 (depth = 13)
  Object if3897 = done;
  if (istrue(opresult3901)) {
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3902 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3904 == NULL) {
    strlit3904 = alloc_String("""\xc2""""\xa0""");
    gc_root(strlit3904);
  }
// compiled string node returning strlit3904 (depth = 15)
  int op_slot_right_3903 = gc_frame_newslot(strlit3904);
// starting to compile member node (depth = 15)
  int callframe3906 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe3907 = gc_frame_new();
// call case 3: self.outer request
  Object call3908 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3907);
// compiled member node returning call3908 (depth = 16)
  Object call3909 = callmethodflags(call3908, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3906);
// compiled member node returning call3909 (depth = 15)
  int op_slot_left_3903 = gc_frame_newslot(call3909);
  params[0] = strlit3904;
  partcv[0] = 1;
  Object opresult3910 = callmethod(call3909, "++(1)", 1, partcv, params);
// compiled op node returning opresult3910 (depth = 14)
  gc_frame_newslot(opresult3910);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe3911 = gc_frame_new();
// call case 3: self.outer request
  Object call3912 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3911);
// compiled member node returning call3912 (depth = 14)
  params[0] = opresult3910;
  partcv[0] = 1;
  Object call3913 = callmethodflags(call3912, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3902);
// compiled call node returning call3913 (depth = 13)
    gc_frame_newslot(call3913);
    if3897 = call3913;
  } else {
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3914 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe3915 = gc_frame_new();
// call case 3: self.outer request
  Object call3916 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3915);
// compiled member node returning call3916 (depth = 14)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3917 = callmethodflags(call3916, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3914);
// compiled call node returning call3917 (depth = 13)
    gc_frame_newslot(call3917);
    if3897 = call3917;
  }
// compiled if node returning if3897 (depth = 12)
    gc_frame_newslot(if3897);
    if3880 = if3897;
  }
// compiled if node returning if3880 (depth = 11)
    gc_frame_newslot(if3880);
    if3863 = if3880;
  }
// compiled if node returning if3863 (depth = 10)
    gc_frame_newslot(if3863);
    if3846 = if3863;
  }
// compiled if node returning if3846 (depth = 9)
    gc_frame_newslot(if3846);
    if3829 = if3846;
  }
// compiled if node returning if3829 (depth = 8)
    gc_frame_newslot(if3829);
    if3812 = if3829;
  }
// compiled if node returning if3812 (depth = 7)
    gc_frame_newslot(if3812);
    if3795 = if3812;
  }
// compiled if node returning if3795 (depth = 6)
    gc_frame_newslot(if3795);
    if3772 = if3795;
  }
// compiled if node returning if3772 (depth = 5)
    gc_frame_newslot(if3772);
    if3749 = if3772;
  }
// compiled if node returning if3749 (depth = 4)
    gc_frame_newslot(if3749);
    if3732 = if3749;
  }
// compiled if node returning if3732 (depth = 3)
    gc_frame_newslot(if3732);
    if3723 = if3732;
  }
// compiled if node returning if3723 (depth = 2)
  gc_frame_end(frame);
  return if3723;
}
Object meth_lexer_3920_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3923 == NULL) {
    strlit3923 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit3923);
  }
// compiled string node returning strlit3923 (depth = 4)
  int op_slot_right_3922 = gc_frame_newslot(strlit3923);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3922 = gc_frame_newslot(*var_c);
  params[0] = strlit3923;
  partcv[0] = 1;
  Object opresult3925 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3925 (depth = 3)
  Object if3921 = done;
  if (istrue(opresult3925)) {
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3926 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3927 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3928 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3929 = gc_frame_new();
// call case 3: self.outer request
  Object call3930 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3929);
// compiled member node returning call3930 (depth = 6)
  Object call3931 = callmethodflags(call3930, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3928);
// compiled member node returning call3931 (depth = 5)
  gc_frame_newslot(call3931);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3932 = gc_frame_new();
// call case 3: self.outer request
  Object call3933 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3932);
// compiled member node returning call3933 (depth = 5)
  params[0] = call3931;
  partcv[0] = 1;
  Object call3934 = callmethodflags(call3933, "multiLineStringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3927);
// compiled call node returning call3934 (depth = 4)
  gc_frame_newslot(call3934);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3935 = gc_frame_new();
// call case 3: self.outer request
  Object call3936 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3935);
// compiled member node returning call3936 (depth = 4)
  params[0] = call3934;
  partcv[0] = 1;
  Object call3937 = callmethodflags(call3936, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3926);
// compiled call node returning call3937 (depth = 3)
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3938 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3939 = alloc_Boolean(0);
// compiled identifier node returning bool3939 (depth = 4)
  gc_frame_newslot(bool3939);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3940 = gc_frame_new();
// call case 3: self.outer request
  Object call3941 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3940);
// compiled member node returning call3941 (depth = 4)
  params[0] = bool3939;
  partcv[0] = 1;
  Object call3942 = callmethodflags(call3941, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3938);
// compiled call node returning call3942 (depth = 3)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3943 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3944 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3945 = gc_frame_new();
// call case 3: self.outer request
  Object call3946 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3945);
// compiled member node returning call3946 (depth = 5)
  Object call3947 = callmethodflags(call3946, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3944);
// compiled member node returning call3947 (depth = 4)
  gc_frame_newslot(call3947);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3948 = gc_frame_new();
// call case 3: self.outer request
  Object call3949 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3948);
// compiled member node returning call3949 (depth = 4)
  params[0] = call3947;
  partcv[0] = 1;
  Object call3950 = callmethodflags(call3949, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3943);
// compiled call node returning call3950 (depth = 3)
    gc_frame_newslot(call3950);
    if3921 = call3950;
  } else {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3951 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3952 = gc_frame_new();
// call case 3: self.outer request
  Object call3953 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3952);
// compiled member node returning call3953 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3954 = callmethodflags(call3953, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3951);
// compiled call node returning call3954 (depth = 3)
    gc_frame_newslot(call3954);
    if3921 = call3954;
  }
// compiled if node returning if3921 (depth = 2)
  gc_frame_end(frame);
  return if3921;
}
Object meth_lexer_3957_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// definebindings:
// definebindings:
// definebindings:
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3958 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3959 = gc_frame_new();
// call case 3: self.outer request
  Object call3960 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3959);
// compiled member node returning call3960 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3961 = callmethodflags(call3960, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3958);
// compiled call node returning call3961 (depth = 2)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3963 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3964 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3963);
// compiled call node returning call3964 (depth = 3)
  Object if3962 = done;
  if (istrue(call3964)) {
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3965 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3966 = gc_frame_new();
// call case 3: self.outer request
  Object call3967 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3966);
// compiled member node returning call3967 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3968 = callmethodflags(call3967, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3965);
// compiled call node returning call3968 (depth = 3)
    gc_frame_newslot(call3968);
    if3962 = call3968;
  } else {
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3971 == NULL) {
    strlit3971 = alloc_String("x");
    gc_root(strlit3971);
  }
// compiled string node returning strlit3971 (depth = 5)
  int op_slot_right_3970 = gc_frame_newslot(strlit3971);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_3970 = gc_frame_newslot(*var_c);
  params[0] = strlit3971;
  partcv[0] = 1;
  Object opresult3973 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3973 (depth = 4)
  Object if3969 = done;
  if (istrue(opresult3973)) {
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3974 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3975 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3976 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3977 = gc_frame_new();
// call case 3: self.outer request
  Object call3978 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3977);
// compiled member node returning call3978 (depth = 7)
  Object call3979 = callmethodflags(call3978, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3976);
// compiled member node returning call3979 (depth = 6)
  Object call3980 = callmethodflags(call3979, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe3975);
// compiled member node returning call3980 (depth = 5)
  gc_frame_newslot(call3980);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3981 = gc_frame_new();
// call case 3: self.outer request
  Object call3982 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3981);
// compiled member node returning call3982 (depth = 5)
  params[0] = call3980;
  partcv[0] = 1;
  Object call3983 = callmethodflags(call3982, "tokenBase:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3974);
// compiled call node returning call3983 (depth = 4)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3986 = alloc_Float64(0);
// compiled num node returning num3986 (depth = 6)
  int op_slot_right_3985 = gc_frame_newslot(num3986);
// starting to compile member node (depth = 6)
  int callframe3988 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3989 = gc_frame_new();
// call case 3: self.outer request
  Object call3990 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3989);
// compiled member node returning call3990 (depth = 7)
  Object call3991 = callmethodflags(call3990, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3988);
// compiled member node returning call3991 (depth = 6)
  int op_slot_left_3985 = gc_frame_newslot(call3991);
  params[0] = num3986;
  partcv[0] = 1;
  Object opresult3992 = callmethod(call3991, "==(1)", 1, partcv, params);
// compiled op node returning opresult3992 (depth = 5)
  Object if3984 = done;
  if (istrue(opresult3992)) {
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3993 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3994 = alloc_Float64(16);
// compiled num node returning num3994 (depth = 6)
  gc_frame_newslot(num3994);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3995 = gc_frame_new();
// call case 3: self.outer request
  Object call3996 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3995);
// compiled member node returning call3996 (depth = 6)
  params[0] = num3994;
  partcv[0] = 1;
  Object call3997 = callmethodflags(call3996, "tokenBase:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3993);
// compiled call node returning call3997 (depth = 5)
    gc_frame_newslot(call3997);
    if3984 = call3997;
  } else {
  }
// compiled if node returning if3984 (depth = 4)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3998 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3999 == NULL) {
    strlit3999 = alloc_String("");
    gc_root(strlit3999);
  }
// compiled string node returning strlit3999 (depth = 5)
  gc_frame_newslot(strlit3999);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4000 = gc_frame_new();
// call case 3: self.outer request
  Object call4001 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4000);
// compiled member node returning call4001 (depth = 5)
  params[0] = strlit3999;
  partcv[0] = 1;
  Object call4002 = callmethodflags(call4001, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3998);
// compiled call node returning call4002 (depth = 4)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4003 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4004 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4005 = gc_frame_new();
// call case 3: self.outer request
  Object call4006 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4005);
// compiled member node returning call4006 (depth = 6)
  Object call4007 = callmethodflags(call4006, "numberBaseState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4004);
// compiled member node returning call4007 (depth = 5)
  gc_frame_newslot(call4007);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4008 = gc_frame_new();
// call case 3: self.outer request
  Object call4009 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4008);
// compiled member node returning call4009 (depth = 5)
  params[0] = call4007;
  partcv[0] = 1;
  Object call4010 = callmethodflags(call4009, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4003);
// compiled call node returning call4010 (depth = 4)
    gc_frame_newslot(call4010);
    if3969 = call4010;
  } else {
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4014 == NULL) {
    strlit4014 = alloc_String("E");
    gc_root(strlit4014);
  }
// compiled string node returning strlit4014 (depth = 7)
  int op_slot_right_4013 = gc_frame_newslot(strlit4014);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_4013 = gc_frame_newslot(*var_c);
  params[0] = strlit4014;
  partcv[0] = 1;
  Object opresult4016 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4016 (depth = 6)
  int op_slot_right_4012 = gc_frame_newslot(opresult4016);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4019 == NULL) {
    strlit4019 = alloc_String("e");
    gc_root(strlit4019);
  }
// compiled string node returning strlit4019 (depth = 7)
  int op_slot_right_4018 = gc_frame_newslot(strlit4019);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_4018 = gc_frame_newslot(*var_c);
  params[0] = strlit4019;
  partcv[0] = 1;
  Object opresult4021 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4021 (depth = 6)
  int op_slot_left_4012 = gc_frame_newslot(opresult4021);
  params[0] = opresult4016;
  partcv[0] = 1;
  Object opresult4022 = callmethod(opresult4021, "||(1)", 1, partcv, params);
// compiled op node returning opresult4022 (depth = 5)
  Object if4011 = done;
  if (istrue(opresult4022)) {
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4023 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4025 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4026 = gc_frame_new();
// call case 3: self.outer request
  Object call4027 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4026);
// compiled member node returning call4027 (depth = 8)
  Object call4028 = callmethodflags(call4027, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4025);
// compiled member node returning call4028 (depth = 7)
  Object call4029 = callmethodflags(call4028, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe4024);
// compiled member node returning call4029 (depth = 6)
  gc_frame_newslot(call4029);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4030 = gc_frame_new();
// call case 3: self.outer request
  Object call4031 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4030);
// compiled member node returning call4031 (depth = 6)
  params[0] = call4029;
  partcv[0] = 1;
  Object call4032 = callmethodflags(call4031, "mantissa:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4023);
// compiled call node returning call4032 (depth = 5)
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4033 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4034 == NULL) {
    strlit4034 = alloc_String("");
    gc_root(strlit4034);
  }
// compiled string node returning strlit4034 (depth = 6)
  gc_frame_newslot(strlit4034);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4035 = gc_frame_new();
// call case 3: self.outer request
  Object call4036 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4035);
// compiled member node returning call4036 (depth = 6)
  params[0] = strlit4034;
  partcv[0] = 1;
  Object call4037 = callmethodflags(call4036, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4033);
// compiled call node returning call4037 (depth = 5)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4038 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4039 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4040 = gc_frame_new();
// call case 3: self.outer request
  Object call4041 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4040);
// compiled member node returning call4041 (depth = 7)
  Object call4042 = callmethodflags(call4041, "numberExponentSignState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4039);
// compiled member node returning call4042 (depth = 6)
  gc_frame_newslot(call4042);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4043 = gc_frame_new();
// call case 3: self.outer request
  Object call4044 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4043);
// compiled member node returning call4044 (depth = 6)
  params[0] = call4042;
  partcv[0] = 1;
  Object call4045 = callmethodflags(call4044, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4038);
// compiled call node returning call4045 (depth = 5)
    gc_frame_newslot(call4045);
    if4011 = call4045;
  } else {
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4047 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning module_lexer (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4048 = callmethodflags(module_lexer, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4047);
// compiled call node returning call4048 (depth = 6)
  Object if4046 = done;
  if (istrue(call4048)) {
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4049 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4050 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call4051 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4050);
// compiled member node returning call4051 (depth = 8)
  Object call4052 = callmethodflags(call4051, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4049);
// compiled member node returning call4052 (depth = 7)
  *var_suggestion = call4052;
  if (call4052 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4053 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4054 == NULL) {
    strlit4054 = alloc_String(".");
    gc_root(strlit4054);
  }
// compiled string node returning strlit4054 (depth = 7)
  gc_frame_newslot(strlit4054);
// starting to compile member node (depth = 7)
  int callframe4055 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4056 = gc_frame_new();
// call case 3: self.outer request
  Object call4057 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4056);
// compiled member node returning call4057 (depth = 8)
  Object call4058 = callmethodflags(call4057, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4055);
// compiled member node returning call4058 (depth = 7)
  gc_frame_newslot(call4058);
// starting to compile member node (depth = 7)
  int callframe4059 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4060 = gc_frame_new();
// call case 3: self.outer request
  Object call4061 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4060);
// compiled member node returning call4061 (depth = 8)
  Object call4062 = callmethodflags(call4061, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4059);
// compiled member node returning call4062 (depth = 7)
  gc_frame_newslot(call4062);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4054;
  params[1] = call4058;
  params[2] = call4062;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4063 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4053);
// compiled call node returning call4063 (depth = 6)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4064 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4066 == NULL) {
    strlit4066 = alloc_String("' is not a valid digit in base 10. Valid digits are 0..9.");
    gc_root(strlit4066);
  }
// compiled string node returning strlit4066 (depth = 8)
  int op_slot_right_4065 = gc_frame_newslot(strlit4066);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_4068 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 9)
  if (strlit4070 == NULL) {
    strlit4070 = alloc_String("'");
    gc_root(strlit4070);
  }
// compiled string node returning strlit4070 (depth = 9)
  int op_slot_left_4068 = gc_frame_newslot(strlit4070);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult4071 = callmethod(strlit4070, "++(1)", 1, partcv, params);
// compiled op node returning opresult4071 (depth = 8)
  int op_slot_left_4065 = gc_frame_newslot(opresult4071);
  params[0] = strlit4066;
  partcv[0] = 1;
  Object opresult4072 = callmethod(opresult4071, "++(1)", 1, partcv, params);
// compiled op node returning opresult4072 (depth = 7)
  gc_frame_newslot(opresult4072);
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4073 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4074 = gc_frame_new();
// call case 3: self.outer request
  Object call4075 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4074);
// compiled member node returning call4075 (depth = 8)
  Object call4076 = callmethodflags(call4075, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4073);
// compiled member node returning call4076 (depth = 7)
  gc_frame_newslot(call4076);
// starting to compile member node (depth = 7)
  int callframe4077 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4078 = gc_frame_new();
// call case 3: self.outer request
  Object call4079 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4078);
// compiled member node returning call4079 (depth = 8)
  Object call4080 = callmethodflags(call4079, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4077);
// compiled member node returning call4080 (depth = 7)
  gc_frame_newslot(call4080);
// starting to compile member node (depth = 7)
  int callframe4081 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4082 = gc_frame_new();
// call case 3: self.outer request
  Object call4083 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4082);
// compiled member node returning call4083 (depth = 8)
  Object call4084 = callmethodflags(call4083, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4081);
// compiled member node returning call4084 (depth = 7)
  gc_frame_newslot(call4084);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult4072;
  params[1] = call4076;
  params[2] = call4080;
  params[3] = call4084;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call4085 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4064);
// compiled call node returning call4085 (depth = 6)
    gc_frame_newslot(call4085);
    if4046 = call4085;
  } else {
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4088 == NULL) {
    strlit4088 = alloc_String(".");
    gc_root(strlit4088);
  }
// compiled string node returning strlit4088 (depth = 8)
  int op_slot_right_4087 = gc_frame_newslot(strlit4088);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_4087 = gc_frame_newslot(*var_c);
  params[0] = strlit4088;
  partcv[0] = 1;
  Object opresult4090 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4090 (depth = 7)
  Object if4086 = done;
  if (istrue(opresult4090)) {
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4091 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4092 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4093 = gc_frame_new();
// call case 3: self.outer request
  Object call4094 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4093);
// compiled member node returning call4094 (depth = 9)
  Object call4095 = callmethodflags(call4094, "numberDotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4092);
// compiled member node returning call4095 (depth = 8)
  gc_frame_newslot(call4095);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4096 = gc_frame_new();
// call case 3: self.outer request
  Object call4097 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4096);
// compiled member node returning call4097 (depth = 8)
  params[0] = call4095;
  partcv[0] = 1;
  Object call4098 = callmethodflags(call4097, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4091);
// compiled call node returning call4098 (depth = 7)
    gc_frame_newslot(call4098);
    if4086 = call4098;
  } else {
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4099 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe4100 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe4101 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4102 = gc_frame_new();
// call case 3: self.outer request
  Object call4103 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4102);
// compiled member node returning call4103 (depth = 10)
  Object call4104 = callmethodflags(call4103, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4101);
// compiled member node returning call4104 (depth = 9)
  gc_frame_newslot(call4104);
// starting to compile num node (depth = 9)
  Object num4105 = alloc_Float64(10);
// compiled num node returning num4105 (depth = 9)
  gc_frame_newslot(num4105);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4106 = gc_frame_new();
// call case 3: self.outer request
  Object call4107 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4106);
// compiled member node returning call4107 (depth = 9)
  params[0] = call4104;
  params[1] = num4105;
  partcv[0] = 2;
  Object call4108 = callmethodflags(call4107, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4100);
// compiled call node returning call4108 (depth = 8)
  gc_frame_newslot(call4108);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4109 = gc_frame_new();
// call case 3: self.outer request
  Object call4110 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4109);
// compiled member node returning call4110 (depth = 8)
  params[0] = call4108;
  partcv[0] = 1;
  Object call4111 = callmethodflags(call4110, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4099);
// compiled call node returning call4111 (depth = 7)
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4112 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4113 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4114 = gc_frame_new();
// call case 3: self.outer request
  Object call4115 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4114);
// compiled member node returning call4115 (depth = 9)
  Object call4116 = callmethodflags(call4115, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4113);
// compiled member node returning call4116 (depth = 8)
  gc_frame_newslot(call4116);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4117 = gc_frame_new();
// call case 3: self.outer request
  Object call4118 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4117);
// compiled member node returning call4118 (depth = 8)
  params[0] = call4116;
  partcv[0] = 1;
  Object call4119 = callmethodflags(call4118, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4112);
// compiled call node returning call4119 (depth = 7)
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4120 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4121 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4122 = gc_frame_new();
// call case 3: self.outer request
  Object call4123 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4122);
// compiled member node returning call4123 (depth = 9)
  Object call4124 = callmethodflags(call4123, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4121);
// compiled member node returning call4124 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4125 = callmethodflags(call4124, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4120);
// compiled call node returning call4125 (depth = 7)
    gc_frame_newslot(call4125);
    if4086 = call4125;
  }
// compiled if node returning if4086 (depth = 6)
    gc_frame_newslot(if4086);
    if4046 = if4086;
  }
// compiled if node returning if4046 (depth = 5)
    gc_frame_newslot(if4046);
    if4011 = if4046;
  }
// compiled if node returning if4011 (depth = 4)
    gc_frame_newslot(if4011);
    if3969 = if4011;
  }
// compiled if node returning if3969 (depth = 3)
    gc_frame_newslot(if3969);
    if3962 = if3969;
  }
// compiled if node returning if3962 (depth = 2)
  gc_frame_end(frame);
  return if3962;
}
Object meth_lexer_4128_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4129 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4130 = gc_frame_new();
// call case 3: self.outer request
  Object call4131 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4130);
// compiled member node returning call4131 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4132 = callmethodflags(call4131, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4129);
// compiled call node returning call4132 (depth = 2)
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4135 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4136 = callmethodflags(module_lexer, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4135);
// compiled call node returning call4136 (depth = 4)
  int op_slot_right_4134 = gc_frame_newslot(call4136);
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4138 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4139 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4138);
// compiled call node returning call4139 (depth = 4)
  int op_slot_left_4134 = gc_frame_newslot(call4139);
  params[0] = call4136;
  partcv[0] = 1;
  Object opresult4140 = callmethod(call4139, "||(1)", 1, partcv, params);
// compiled op node returning opresult4140 (depth = 3)
  Object if4133 = done;
  if (istrue(opresult4140)) {
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4141 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4142 = gc_frame_new();
// call case 3: self.outer request
  Object call4143 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4142);
// compiled member node returning call4143 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4144 = callmethodflags(call4143, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4141);
// compiled call node returning call4144 (depth = 3)
    gc_frame_newslot(call4144);
    if4133 = call4144;
  } else {
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4148 = alloc_Float64(10);
// compiled num node returning num4148 (depth = 6)
  int op_slot_right_4147 = gc_frame_newslot(num4148);
// starting to compile member node (depth = 6)
  int callframe4150 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4151 = gc_frame_new();
// call case 3: self.outer request
  Object call4152 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4151);
// compiled member node returning call4152 (depth = 7)
  Object call4153 = callmethodflags(call4152, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4150);
// compiled member node returning call4153 (depth = 6)
  int op_slot_left_4147 = gc_frame_newslot(call4153);
  params[0] = num4148;
  partcv[0] = 1;
  Object opresult4154 = callmethod(call4153, "==(1)", 1, partcv, params);
// compiled op node returning opresult4154 (depth = 5)
  int op_slot_right_4146 = gc_frame_newslot(opresult4154);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4157 == NULL) {
    strlit4157 = alloc_String(".");
    gc_root(strlit4157);
  }
// compiled string node returning strlit4157 (depth = 6)
  int op_slot_right_4156 = gc_frame_newslot(strlit4157);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_4156 = gc_frame_newslot(*var_c);
  params[0] = strlit4157;
  partcv[0] = 1;
  Object opresult4159 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4159 (depth = 5)
  int op_slot_left_4146 = gc_frame_newslot(opresult4159);
  params[0] = opresult4154;
  partcv[0] = 1;
  Object opresult4160 = callmethod(opresult4159, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4160 (depth = 4)
  Object if4145 = done;
  if (istrue(opresult4160)) {
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4161 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4162 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4163 = gc_frame_new();
// call case 3: self.outer request
  Object call4164 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4163);
// compiled member node returning call4164 (depth = 6)
  Object call4165 = callmethodflags(call4164, "numberDotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4162);
// compiled member node returning call4165 (depth = 5)
  gc_frame_newslot(call4165);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4166 = gc_frame_new();
// call case 3: self.outer request
  Object call4167 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4166);
// compiled member node returning call4167 (depth = 5)
  params[0] = call4165;
  partcv[0] = 1;
  Object call4168 = callmethodflags(call4167, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4161);
// compiled call node returning call4168 (depth = 4)
    gc_frame_newslot(call4168);
    if4145 = call4168;
  } else {
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4169 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4170 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4171 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe4172 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4173 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4174 = gc_frame_new();
// call case 3: self.outer request
  Object call4175 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4174);
// compiled member node returning call4175 (depth = 9)
  Object call4176 = callmethodflags(call4175, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4173);
// compiled member node returning call4176 (depth = 8)
  gc_frame_newslot(call4176);
// starting to compile member node (depth = 8)
  int callframe4177 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4178 = gc_frame_new();
// call case 3: self.outer request
  Object call4179 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4178);
// compiled member node returning call4179 (depth = 9)
  Object call4180 = callmethodflags(call4179, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4177);
// compiled member node returning call4180 (depth = 8)
  gc_frame_newslot(call4180);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4181 = gc_frame_new();
// call case 3: self.outer request
  Object call4182 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4181);
// compiled member node returning call4182 (depth = 8)
  params[0] = call4176;
  params[1] = call4180;
  partcv[0] = 2;
  Object call4183 = callmethodflags(call4182, "fromBase(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4172);
// compiled call node returning call4183 (depth = 7)
  Object call4184 = callmethodflags(call4183, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe4171);
// compiled member node returning call4184 (depth = 6)
  gc_frame_newslot(call4184);
// starting to compile member node (depth = 6)
  int callframe4185 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4186 = gc_frame_new();
// call case 3: self.outer request
  Object call4187 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4186);
// compiled member node returning call4187 (depth = 7)
  Object call4188 = callmethodflags(call4187, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4185);
// compiled member node returning call4188 (depth = 6)
  gc_frame_newslot(call4188);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4189 = gc_frame_new();
// call case 3: self.outer request
  Object call4190 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4189);
// compiled member node returning call4190 (depth = 6)
  params[0] = call4184;
  params[1] = call4188;
  partcv[0] = 2;
  Object call4191 = callmethodflags(call4190, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4170);
// compiled call node returning call4191 (depth = 5)
  gc_frame_newslot(call4191);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4192 = gc_frame_new();
// call case 3: self.outer request
  Object call4193 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4192);
// compiled member node returning call4193 (depth = 5)
  params[0] = call4191;
  partcv[0] = 1;
  Object call4194 = callmethodflags(call4193, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4169);
// compiled call node returning call4194 (depth = 4)
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4195 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4196 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4197 = gc_frame_new();
// call case 3: self.outer request
  Object call4198 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4197);
// compiled member node returning call4198 (depth = 6)
  Object call4199 = callmethodflags(call4198, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4196);
// compiled member node returning call4199 (depth = 5)
  gc_frame_newslot(call4199);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4200 = gc_frame_new();
// call case 3: self.outer request
  Object call4201 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4200);
// compiled member node returning call4201 (depth = 5)
  params[0] = call4199;
  partcv[0] = 1;
  Object call4202 = callmethodflags(call4201, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4195);
// compiled call node returning call4202 (depth = 4)
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4203 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4204 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4205 = gc_frame_new();
// call case 3: self.outer request
  Object call4206 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4205);
// compiled member node returning call4206 (depth = 6)
  Object call4207 = callmethodflags(call4206, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4204);
// compiled member node returning call4207 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4208 = callmethodflags(call4207, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4203);
// compiled call node returning call4208 (depth = 4)
    gc_frame_newslot(call4208);
    if4145 = call4208;
  }
// compiled if node returning if4145 (depth = 3)
    gc_frame_newslot(if4145);
    if4133 = if4145;
  }
// compiled if node returning if4133 (depth = 2)
  gc_frame_end(frame);
  return if4133;
}
Object meth_lexer_4211_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[2];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4213 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4214 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4213);
// compiled call node returning call4214 (depth = 3)
  Object if4212 = done;
  if (istrue(call4214)) {
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4215 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4216 == NULL) {
    strlit4216 = alloc_String(".");
    gc_root(strlit4216);
  }
// compiled string node returning strlit4216 (depth = 4)
  gc_frame_newslot(strlit4216);
// call case 6: other requests
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4217 = gc_frame_new();
// call case 3: self.outer request
  Object call4218 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4217);
// compiled member node returning call4218 (depth = 4)
  params[0] = strlit4216;
  partcv[0] = 1;
  Object call4219 = callmethodflags(call4218, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4215);
// compiled call node returning call4219 (depth = 3)
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4220 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4221 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4222 = gc_frame_new();
// call case 3: self.outer request
  Object call4223 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4222);
// compiled member node returning call4223 (depth = 5)
  Object call4224 = callmethodflags(call4223, "numberFractionState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4221);
// compiled member node returning call4224 (depth = 4)
  gc_frame_newslot(call4224);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4225 = gc_frame_new();
// call case 3: self.outer request
  Object call4226 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4225);
// compiled member node returning call4226 (depth = 4)
  params[0] = call4224;
  partcv[0] = 1;
  Object call4227 = callmethodflags(call4226, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4220);
// compiled call node returning call4227 (depth = 3)
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4228 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4229 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4230 = gc_frame_new();
// call case 3: self.outer request
  Object call4231 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4230);
// compiled member node returning call4231 (depth = 5)
  Object call4232 = callmethodflags(call4231, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4229);
// compiled member node returning call4232 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4233 = callmethodflags(call4232, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4228);
// compiled call node returning call4233 (depth = 3)
    gc_frame_newslot(call4233);
    if4212 = call4233;
  } else {
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4235 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_spaceChars (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4236 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4235);
// compiled call node returning call4236 (depth = 4)
  Object if4234 = done;
  if (istrue(call4236)) {
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4237 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4238 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4239 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4240 = gc_frame_new();
// call case 3: self.outer request
  Object call4241 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4240);
// compiled member node returning call4241 (depth = 7)
  Object call4242 = callmethodflags(call4241, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4239);
// compiled member node returning call4242 (depth = 6)
  gc_frame_newslot(call4242);
// starting to compile num node (depth = 6)
  Object num4243 = alloc_Float64(10);
// compiled num node returning num4243 (depth = 6)
  gc_frame_newslot(num4243);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4244 = gc_frame_new();
// call case 3: self.outer request
  Object call4245 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4244);
// compiled member node returning call4245 (depth = 6)
  params[0] = call4242;
  params[1] = num4243;
  partcv[0] = 2;
  Object call4246 = callmethodflags(call4245, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4238);
// compiled call node returning call4246 (depth = 5)
  gc_frame_newslot(call4246);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4247 = gc_frame_new();
// call case 3: self.outer request
  Object call4248 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4247);
// compiled member node returning call4248 (depth = 5)
  params[0] = call4246;
  partcv[0] = 1;
  Object call4249 = callmethodflags(call4248, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4237);
// compiled call node returning call4249 (depth = 4)
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4250 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4251 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4252 = gc_frame_new();
// call case 3: self.outer request
  Object call4253 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4252);
// compiled member node returning call4253 (depth = 6)
  Object call4254 = callmethodflags(call4253, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4251);
// compiled member node returning call4254 (depth = 5)
  gc_frame_newslot(call4254);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4255 = gc_frame_new();
// call case 3: self.outer request
  Object call4256 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4255);
// compiled member node returning call4256 (depth = 5)
  params[0] = call4254;
  partcv[0] = 1;
  Object call4257 = callmethodflags(call4256, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4250);
// compiled call node returning call4257 (depth = 4)
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4258 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4259 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4260 = gc_frame_new();
// call case 3: self.outer request
  Object call4261 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4260);
// compiled member node returning call4261 (depth = 6)
  Object call4262 = callmethodflags(call4261, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4259);
// compiled member node returning call4262 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4263 = callmethodflags(call4262, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4258);
// compiled call node returning call4263 (depth = 4)
    gc_frame_newslot(call4263);
    if4234 = call4263;
  } else {
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4264 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4265 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4266 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4267 = gc_frame_new();
// call case 3: self.outer request
  Object call4268 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4267);
// compiled member node returning call4268 (depth = 7)
  Object call4269 = callmethodflags(call4268, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4266);
// compiled member node returning call4269 (depth = 6)
  gc_frame_newslot(call4269);
// starting to compile num node (depth = 6)
  Object num4270 = alloc_Float64(10);
// compiled num node returning num4270 (depth = 6)
  gc_frame_newslot(num4270);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4271 = gc_frame_new();
// call case 3: self.outer request
  Object call4272 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4271);
// compiled member node returning call4272 (depth = 6)
  params[0] = call4269;
  params[1] = num4270;
  partcv[0] = 2;
  Object call4273 = callmethodflags(call4272, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4265);
// compiled call node returning call4273 (depth = 5)
  gc_frame_newslot(call4273);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4274 = gc_frame_new();
// call case 3: self.outer request
  Object call4275 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4274);
// compiled member node returning call4275 (depth = 5)
  params[0] = call4273;
  partcv[0] = 1;
  Object call4276 = callmethodflags(call4275, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4264);
// compiled call node returning call4276 (depth = 4)
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4277 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4278 == NULL) {
    strlit4278 = alloc_String(".");
    gc_root(strlit4278);
  }
// compiled string node returning strlit4278 (depth = 5)
  gc_frame_newslot(strlit4278);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4279 = gc_frame_new();
// call case 3: self.outer request
  Object call4280 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4279);
// compiled member node returning call4280 (depth = 5)
  params[0] = strlit4278;
  partcv[0] = 1;
  Object call4281 = callmethodflags(call4280, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4277);
// compiled call node returning call4281 (depth = 4)
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4282 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4283 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4284 = gc_frame_new();
// call case 3: self.outer request
  Object call4285 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4284);
// compiled member node returning call4285 (depth = 6)
  Object call4286 = callmethodflags(call4285, "dotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4283);
// compiled member node returning call4286 (depth = 5)
  gc_frame_newslot(call4286);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4287 = gc_frame_new();
// call case 3: self.outer request
  Object call4288 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4287);
// compiled member node returning call4288 (depth = 5)
  params[0] = call4286;
  partcv[0] = 1;
  Object call4289 = callmethodflags(call4288, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4282);
// compiled call node returning call4289 (depth = 4)
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4290 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4291 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4292 = gc_frame_new();
// call case 3: self.outer request
  Object call4293 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4292);
// compiled member node returning call4293 (depth = 6)
  Object call4294 = callmethodflags(call4293, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4291);
// compiled member node returning call4294 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4295 = callmethodflags(call4294, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4290);
// compiled call node returning call4295 (depth = 4)
    gc_frame_newslot(call4295);
    if4234 = call4295;
  }
// compiled if node returning if4234 (depth = 3)
    gc_frame_newslot(if4234);
    if4212 = if4234;
  }
// compiled if node returning if4212 (depth = 2)
  gc_frame_end(frame);
  return if4212;
}
Object meth_lexer_4298_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4299 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4300 = gc_frame_new();
// call case 3: self.outer request
  Object call4301 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4300);
// compiled member node returning call4301 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4302 = callmethodflags(call4301, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4299);
// compiled call node returning call4302 (depth = 2)
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4304 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4305 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4304);
// compiled call node returning call4305 (depth = 3)
  Object if4303 = done;
  if (istrue(call4305)) {
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4306 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4307 = gc_frame_new();
// call case 3: self.outer request
  Object call4308 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4307);
// compiled member node returning call4308 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4309 = callmethodflags(call4308, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4306);
// compiled call node returning call4309 (depth = 3)
    gc_frame_newslot(call4309);
    if4303 = call4309;
  } else {
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4313 == NULL) {
    strlit4313 = alloc_String("E");
    gc_root(strlit4313);
  }
// compiled string node returning strlit4313 (depth = 6)
  int op_slot_right_4312 = gc_frame_newslot(strlit4313);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_4312 = gc_frame_newslot(*var_c);
  params[0] = strlit4313;
  partcv[0] = 1;
  Object opresult4315 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4315 (depth = 5)
  int op_slot_right_4311 = gc_frame_newslot(opresult4315);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4318 == NULL) {
    strlit4318 = alloc_String("e");
    gc_root(strlit4318);
  }
// compiled string node returning strlit4318 (depth = 6)
  int op_slot_right_4317 = gc_frame_newslot(strlit4318);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_4317 = gc_frame_newslot(*var_c);
  params[0] = strlit4318;
  partcv[0] = 1;
  Object opresult4320 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4320 (depth = 5)
  int op_slot_left_4311 = gc_frame_newslot(opresult4320);
  params[0] = opresult4315;
  partcv[0] = 1;
  Object opresult4321 = callmethod(opresult4320, "||(1)", 1, partcv, params);
// compiled op node returning opresult4321 (depth = 4)
  Object if4310 = done;
  if (istrue(opresult4321)) {
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4322 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4323 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4324 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4325 = gc_frame_new();
// call case 3: self.outer request
  Object call4326 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4325);
// compiled member node returning call4326 (depth = 7)
  Object call4327 = callmethodflags(call4326, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4324);
// compiled member node returning call4327 (depth = 6)
  Object call4328 = callmethodflags(call4327, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe4323);
// compiled member node returning call4328 (depth = 5)
  gc_frame_newslot(call4328);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4329 = gc_frame_new();
// call case 3: self.outer request
  Object call4330 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4329);
// compiled member node returning call4330 (depth = 5)
  params[0] = call4328;
  partcv[0] = 1;
  Object call4331 = callmethodflags(call4330, "mantissa:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4322);
// compiled call node returning call4331 (depth = 4)
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4332 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4333 == NULL) {
    strlit4333 = alloc_String("");
    gc_root(strlit4333);
  }
// compiled string node returning strlit4333 (depth = 5)
  gc_frame_newslot(strlit4333);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4334 = gc_frame_new();
// call case 3: self.outer request
  Object call4335 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4334);
// compiled member node returning call4335 (depth = 5)
  params[0] = strlit4333;
  partcv[0] = 1;
  Object call4336 = callmethodflags(call4335, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4332);
// compiled call node returning call4336 (depth = 4)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4337 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4338 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4339 = gc_frame_new();
// call case 3: self.outer request
  Object call4340 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4339);
// compiled member node returning call4340 (depth = 6)
  Object call4341 = callmethodflags(call4340, "numberExponentSignState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4338);
// compiled member node returning call4341 (depth = 5)
  gc_frame_newslot(call4341);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4342 = gc_frame_new();
// call case 3: self.outer request
  Object call4343 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4342);
// compiled member node returning call4343 (depth = 5)
  params[0] = call4341;
  partcv[0] = 1;
  Object call4344 = callmethodflags(call4343, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4337);
// compiled call node returning call4344 (depth = 4)
    gc_frame_newslot(call4344);
    if4310 = call4344;
  } else {
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4346 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning module_lexer (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4347 = callmethodflags(module_lexer, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4346);
// compiled call node returning call4347 (depth = 5)
  Object if4345 = done;
  if (istrue(call4347)) {
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4348 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4349 == NULL) {
    strlit4349 = alloc_String("the fractional part of a number must be in base 10.");
    gc_root(strlit4349);
  }
// compiled string node returning strlit4349 (depth = 6)
  gc_frame_newslot(strlit4349);
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4350 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4351 = gc_frame_new();
// call case 3: self.outer request
  Object call4352 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4351);
// compiled member node returning call4352 (depth = 7)
  Object call4353 = callmethodflags(call4352, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4350);
// compiled member node returning call4353 (depth = 6)
  gc_frame_newslot(call4353);
// starting to compile member node (depth = 6)
  int callframe4354 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4355 = gc_frame_new();
// call case 3: self.outer request
  Object call4356 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4355);
// compiled member node returning call4356 (depth = 7)
  Object call4357 = callmethodflags(call4356, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4354);
// compiled member node returning call4357 (depth = 6)
  gc_frame_newslot(call4357);
// starting to compile member node (depth = 6)
  int callframe4358 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4359 = gc_frame_new();
// call case 3: self.outer request
  Object call4360 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4359);
// compiled member node returning call4360 (depth = 7)
  Object call4361 = callmethodflags(call4360, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4358);
// compiled member node returning call4361 (depth = 6)
  gc_frame_newslot(call4361);
// call case 6: other requests
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit4349;
  params[1] = call4353;
  params[2] = call4357;
  params[3] = call4361;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4362 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4348);
// compiled call node returning call4362 (depth = 5)
    gc_frame_newslot(call4362);
    if4345 = call4362;
  } else {
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4363 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe4364 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4365 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4366 = gc_frame_new();
// call case 3: self.outer request
  Object call4367 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4366);
// compiled member node returning call4367 (depth = 8)
  Object call4368 = callmethodflags(call4367, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4365);
// compiled member node returning call4368 (depth = 7)
  gc_frame_newslot(call4368);
// starting to compile num node (depth = 7)
  Object num4369 = alloc_Float64(10);
// compiled num node returning num4369 (depth = 7)
  gc_frame_newslot(num4369);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4370 = gc_frame_new();
// call case 3: self.outer request
  Object call4371 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4370);
// compiled member node returning call4371 (depth = 7)
  params[0] = call4368;
  params[1] = num4369;
  partcv[0] = 2;
  Object call4372 = callmethodflags(call4371, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4364);
// compiled call node returning call4372 (depth = 6)
  gc_frame_newslot(call4372);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4373 = gc_frame_new();
// call case 3: self.outer request
  Object call4374 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4373);
// compiled member node returning call4374 (depth = 6)
  params[0] = call4372;
  partcv[0] = 1;
  Object call4375 = callmethodflags(call4374, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4363);
// compiled call node returning call4375 (depth = 5)
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4376 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4377 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4378 = gc_frame_new();
// call case 3: self.outer request
  Object call4379 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4378);
// compiled member node returning call4379 (depth = 7)
  Object call4380 = callmethodflags(call4379, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4377);
// compiled member node returning call4380 (depth = 6)
  gc_frame_newslot(call4380);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4381 = gc_frame_new();
// call case 3: self.outer request
  Object call4382 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4381);
// compiled member node returning call4382 (depth = 6)
  params[0] = call4380;
  partcv[0] = 1;
  Object call4383 = callmethodflags(call4382, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4376);
// compiled call node returning call4383 (depth = 5)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4384 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4385 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4386 = gc_frame_new();
// call case 3: self.outer request
  Object call4387 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4386);
// compiled member node returning call4387 (depth = 7)
  Object call4388 = callmethodflags(call4387, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4385);
// compiled member node returning call4388 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4389 = callmethodflags(call4388, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4384);
// compiled call node returning call4389 (depth = 5)
    gc_frame_newslot(call4389);
    if4345 = call4389;
  }
// compiled if node returning if4345 (depth = 4)
    gc_frame_newslot(if4345);
    if4310 = if4345;
  }
// compiled if node returning if4310 (depth = 3)
    gc_frame_newslot(if4310);
    if4303 = if4310;
  }
// compiled if node returning if4303 (depth = 2)
  gc_frame_end(frame);
  return if4303;
}
Object meth_lexer_4392_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4393 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4394 = gc_frame_new();
// call case 3: self.outer request
  Object call4395 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4394);
// compiled member node returning call4395 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4396 = callmethodflags(call4395, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4393);
// compiled call node returning call4396 (depth = 2)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4400 == NULL) {
    strlit4400 = alloc_String("-");
    gc_root(strlit4400);
  }
// compiled string node returning strlit4400 (depth = 5)
  int op_slot_right_4399 = gc_frame_newslot(strlit4400);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_4399 = gc_frame_newslot(*var_c);
  params[0] = strlit4400;
  partcv[0] = 1;
  Object opresult4402 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4402 (depth = 4)
  int op_slot_right_4398 = gc_frame_newslot(opresult4402);
// starting to compile call node (depth = 4)
  int callframe4404 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4405 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4404);
// compiled call node returning call4405 (depth = 4)
  int op_slot_left_4398 = gc_frame_newslot(call4405);
  params[0] = opresult4402;
  partcv[0] = 1;
  Object opresult4406 = callmethod(call4405, "||(1)", 1, partcv, params);
// compiled op node returning opresult4406 (depth = 3)
  Object if4397 = done;
  if (istrue(opresult4406)) {
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4407 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4408 = gc_frame_new();
// call case 3: self.outer request
  Object call4409 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4408);
// compiled member node returning call4409 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4410 = callmethodflags(call4409, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4407);
// compiled call node returning call4410 (depth = 3)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4411 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4412 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4413 = gc_frame_new();
// call case 3: self.outer request
  Object call4414 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4413);
// compiled member node returning call4414 (depth = 5)
  Object call4415 = callmethodflags(call4414, "numberExponentState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4412);
// compiled member node returning call4415 (depth = 4)
  gc_frame_newslot(call4415);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4416 = gc_frame_new();
// call case 3: self.outer request
  Object call4417 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4416);
// compiled member node returning call4417 (depth = 4)
  params[0] = call4415;
  partcv[0] = 1;
  Object call4418 = callmethodflags(call4417, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4411);
// compiled call node returning call4418 (depth = 3)
    gc_frame_newslot(call4418);
    if4397 = call4418;
  } else {
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4420 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4421 = callmethodflags(module_lexer, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4420);
// compiled call node returning call4421 (depth = 4)
  Object if4419 = done;
  if (istrue(call4421)) {
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4422 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4424 == NULL) {
    strlit4424 = alloc_String(" is not an allowed base-10 exponent character");
    gc_root(strlit4424);
  }
// compiled string node returning strlit4424 (depth = 6)
  int op_slot_right_4423 = gc_frame_newslot(strlit4424);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_4426 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 7)
  if (strlit4428 == NULL) {
    strlit4428 = alloc_String("");
    gc_root(strlit4428);
  }
// compiled string node returning strlit4428 (depth = 7)
  int op_slot_left_4426 = gc_frame_newslot(strlit4428);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult4429 = callmethod(strlit4428, "++(1)", 1, partcv, params);
// compiled op node returning opresult4429 (depth = 6)
  int op_slot_left_4423 = gc_frame_newslot(opresult4429);
  params[0] = strlit4424;
  partcv[0] = 1;
  Object opresult4430 = callmethod(opresult4429, "++(1)", 1, partcv, params);
// compiled op node returning opresult4430 (depth = 5)
  gc_frame_newslot(opresult4430);
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4431 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4432 = gc_frame_new();
// call case 3: self.outer request
  Object call4433 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4432);
// compiled member node returning call4433 (depth = 6)
  Object call4434 = callmethodflags(call4433, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4431);
// compiled member node returning call4434 (depth = 5)
  gc_frame_newslot(call4434);
// starting to compile member node (depth = 5)
  int callframe4435 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4436 = gc_frame_new();
// call case 3: self.outer request
  Object call4437 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4436);
// compiled member node returning call4437 (depth = 6)
  Object call4438 = callmethodflags(call4437, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4435);
// compiled member node returning call4438 (depth = 5)
  gc_frame_newslot(call4438);
// starting to compile member node (depth = 5)
  int callframe4439 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4440 = gc_frame_new();
// call case 3: self.outer request
  Object call4441 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4440);
// compiled member node returning call4441 (depth = 6)
  Object call4442 = callmethodflags(call4441, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4439);
// compiled member node returning call4442 (depth = 5)
  gc_frame_newslot(call4442);
// call case 6: other requests
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult4430;
  params[1] = call4434;
  params[2] = call4438;
  params[3] = call4442;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4443 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4422);
// compiled call node returning call4443 (depth = 4)
    gc_frame_newslot(call4443);
    if4419 = call4443;
  } else {
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4444 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4445 == NULL) {
    strlit4445 = alloc_String("exponents must have at least one digit");
    gc_root(strlit4445);
  }
// compiled string node returning strlit4445 (depth = 5)
  gc_frame_newslot(strlit4445);
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4446 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4447 = gc_frame_new();
// call case 3: self.outer request
  Object call4448 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4447);
// compiled member node returning call4448 (depth = 6)
  Object call4449 = callmethodflags(call4448, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4446);
// compiled member node returning call4449 (depth = 5)
  gc_frame_newslot(call4449);
// starting to compile member node (depth = 5)
  int callframe4450 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4451 = gc_frame_new();
// call case 3: self.outer request
  Object call4452 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4451);
// compiled member node returning call4452 (depth = 6)
  Object call4453 = callmethodflags(call4452, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4450);
// compiled member node returning call4453 (depth = 5)
  gc_frame_newslot(call4453);
// starting to compile member node (depth = 5)
  int callframe4454 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4455 = gc_frame_new();
// call case 3: self.outer request
  Object call4456 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4455);
// compiled member node returning call4456 (depth = 6)
  Object call4457 = callmethodflags(call4456, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4454);
// compiled member node returning call4457 (depth = 5)
  gc_frame_newslot(call4457);
// call case 6: other requests
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4445;
  params[1] = call4449;
  params[2] = call4453;
  params[3] = call4457;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4458 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4444);
// compiled call node returning call4458 (depth = 4)
    gc_frame_newslot(call4458);
    if4419 = call4458;
  }
// compiled if node returning if4419 (depth = 3)
    gc_frame_newslot(if4419);
    if4397 = if4419;
  }
// compiled if node returning if4397 (depth = 2)
  gc_frame_end(frame);
  return if4397;
}
Object meth_lexer_4539__apply(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_absMultiplier = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4541 = alloc_Float64(10);
// compiled num node returning num4541 (depth = 8)
  int op_slot_right_4540 = gc_frame_newslot(num4541);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_absMultiplier (depth = 8)
  int op_slot_left_4540 = gc_frame_newslot(*var_absMultiplier);
  params[0] = num4541;
  partcv[0] = 1;
  Object prod4543 = callmethod(*var_absMultiplier, "*(1)", 1, partcv, params);
// compiled op node returning prod4543 (depth = 7)
  *var_absMultiplier = prod4543;
  if (prod4543 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_4461_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
  Object *var_exponent = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "exponent");
  Object *var_absExp = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "absExp");
// definebindings:
// definebindings:
  Object *var_absMultiplier = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "absMultiplier");
// definebindings:
// definebindings:
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4462 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4463 = gc_frame_new();
// call case 3: self.outer request
  Object call4464 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4463);
// compiled member node returning call4464 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4465 = callmethodflags(call4464, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4462);
// compiled call node returning call4465 (depth = 2)
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4467 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4468 = callmethodflags(module_lexer, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4467);
// compiled call node returning call4468 (depth = 3)
  Object if4466 = done;
  if (istrue(call4468)) {
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4469 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4470 = gc_frame_new();
// call case 3: self.outer request
  Object call4471 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4470);
// compiled member node returning call4471 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4472 = callmethodflags(call4471, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4469);
// compiled call node returning call4472 (depth = 3)
    gc_frame_newslot(call4472);
    if4466 = call4472;
  } else {
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4474 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning module_lexer (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4475 = callmethodflags(module_lexer, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4474);
// compiled call node returning call4475 (depth = 4)
  Object if4473 = done;
  if (istrue(call4475)) {
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4476 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4478 == NULL) {
    strlit4478 = alloc_String(" is not an allowed base-10 exponent character");
    gc_root(strlit4478);
  }
// compiled string node returning strlit4478 (depth = 6)
  int op_slot_right_4477 = gc_frame_newslot(strlit4478);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_4480 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 7)
  if (strlit4482 == NULL) {
    strlit4482 = alloc_String("");
    gc_root(strlit4482);
  }
// compiled string node returning strlit4482 (depth = 7)
  int op_slot_left_4480 = gc_frame_newslot(strlit4482);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult4483 = callmethod(strlit4482, "++(1)", 1, partcv, params);
// compiled op node returning opresult4483 (depth = 6)
  int op_slot_left_4477 = gc_frame_newslot(opresult4483);
  params[0] = strlit4478;
  partcv[0] = 1;
  Object opresult4484 = callmethod(opresult4483, "++(1)", 1, partcv, params);
// compiled op node returning opresult4484 (depth = 5)
  gc_frame_newslot(opresult4484);
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4485 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4486 = gc_frame_new();
// call case 3: self.outer request
  Object call4487 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4486);
// compiled member node returning call4487 (depth = 6)
  Object call4488 = callmethodflags(call4487, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4485);
// compiled member node returning call4488 (depth = 5)
  gc_frame_newslot(call4488);
// starting to compile member node (depth = 5)
  int callframe4489 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4490 = gc_frame_new();
// call case 3: self.outer request
  Object call4491 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4490);
// compiled member node returning call4491 (depth = 6)
  Object call4492 = callmethodflags(call4491, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4489);
// compiled member node returning call4492 (depth = 5)
  gc_frame_newslot(call4492);
// starting to compile member node (depth = 5)
  int callframe4493 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4494 = gc_frame_new();
// call case 3: self.outer request
  Object call4495 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4494);
// compiled member node returning call4495 (depth = 6)
  Object call4496 = callmethodflags(call4495, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4493);
// compiled member node returning call4496 (depth = 5)
  gc_frame_newslot(call4496);
// call case 6: other requests
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult4484;
  params[1] = call4488;
  params[2] = call4492;
  params[3] = call4496;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4497 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4476);
// compiled call node returning call4497 (depth = 4)
    gc_frame_newslot(call4497);
    if4473 = call4497;
  } else {
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4500 == NULL) {
    strlit4500 = alloc_String("-");
    gc_root(strlit4500);
  }
// compiled string node returning strlit4500 (depth = 6)
  int op_slot_right_4499 = gc_frame_newslot(strlit4500);
// starting to compile member node (depth = 6)
  int callframe4502 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4503 = gc_frame_new();
// call case 3: self.outer request
  Object call4504 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4503);
// compiled member node returning call4504 (depth = 7)
  Object call4505 = callmethodflags(call4504, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4502);
// compiled member node returning call4505 (depth = 6)
  int op_slot_left_4499 = gc_frame_newslot(call4505);
  params[0] = strlit4500;
  partcv[0] = 1;
  Object opresult4506 = callmethod(call4505, "==(1)", 1, partcv, params);
// compiled op node returning opresult4506 (depth = 5)
  Object if4498 = done;
  if (istrue(opresult4506)) {
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4507 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4508 == NULL) {
    strlit4508 = alloc_String("exponents must have at least one digit");
    gc_root(strlit4508);
  }
// compiled string node returning strlit4508 (depth = 6)
  gc_frame_newslot(strlit4508);
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4509 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4510 = gc_frame_new();
// call case 3: self.outer request
  Object call4511 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4510);
// compiled member node returning call4511 (depth = 7)
  Object call4512 = callmethodflags(call4511, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4509);
// compiled member node returning call4512 (depth = 6)
  gc_frame_newslot(call4512);
// starting to compile member node (depth = 6)
  int callframe4513 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4514 = gc_frame_new();
// call case 3: self.outer request
  Object call4515 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4514);
// compiled member node returning call4515 (depth = 7)
  Object call4516 = callmethodflags(call4515, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4513);
// compiled member node returning call4516 (depth = 6)
  gc_frame_newslot(call4516);
// starting to compile member node (depth = 6)
  int callframe4517 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4518 = gc_frame_new();
// call case 3: self.outer request
  Object call4519 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4518);
// compiled member node returning call4519 (depth = 7)
  Object call4520 = callmethodflags(call4519, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4517);
// compiled member node returning call4520 (depth = 6)
  gc_frame_newslot(call4520);
// call case 6: other requests
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit4508;
  params[1] = call4512;
  params[2] = call4516;
  params[3] = call4520;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4521 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4507);
// compiled call node returning call4521 (depth = 5)
    gc_frame_newslot(call4521);
    if4498 = call4521;
  } else {
  }
// compiled if node returning if4498 (depth = 4)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4522 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4523 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4524 = gc_frame_new();
// call case 3: self.outer request
  Object call4525 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4524);
// compiled member node returning call4525 (depth = 7)
  Object call4526 = callmethodflags(call4525, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4523);
// compiled member node returning call4526 (depth = 6)
  Object call4527 = callmethodflags(call4526, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe4522);
// compiled member node returning call4527 (depth = 5)
  *var_exponent = call4527;
  if (call4527 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_exponent (depth = 5)
  *var_absExp = *var_exponent;
  if (*var_exponent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4530 = alloc_Float64(0);
// compiled num node returning num4530 (depth = 6)
  int op_slot_right_4529 = gc_frame_newslot(num4530);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_exponent (depth = 6)
  int op_slot_left_4529 = gc_frame_newslot(*var_exponent);
  params[0] = num4530;
  partcv[0] = 1;
  Object opresult4532 = callmethod(*var_exponent, "<(1)", 1, partcv, params);
// compiled op node returning opresult4532 (depth = 5)
  Object if4528 = done;
  if (istrue(opresult4532)) {
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4533 = gc_frame_new();
// call case 6: other requests
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_exponent (depth = 7)
  partcv[0] = 0;
  Object call4534 = callmethodflags(*var_exponent, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe4533);
// compiled call node returning call4534 (depth = 6)
  *var_absExp = call4534;
  if (call4534 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4528 = done;
  } else {
  }
// compiled if node returning if4528 (depth = 4)
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4536 = alloc_Float64(1);
// compiled num node returning num4536 (depth = 5)
  *var_absMultiplier = num4536;
  if (num4536 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4537 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_absExp (depth = 5)
  gc_frame_newslot(*var_absExp);
// starting to compile block node (depth = 5)
  Object block4538 = alloc_Block(NULL, NULL, "lexer", 740);
  gc_frame_newslot(block4538);
// method "_apply"
  block_savedest(block4538);
  Object closure4539 = createclosure(2, "_apply");
  setclosureframe(closure4539, stackframe);
  addtoclosure(closure4539, var_absMultiplier);
  addtoclosure(closure4539, selfslot);
  struct UserObject *uo4539 = (struct UserObject*)block4538;
  uo4539->data[0] = (Object)closure4539;
  Method *meth_meth_lexer_4539__apply = addmethod2pos(block4538, "_apply", &meth_lexer_4539__apply, 0);
  int argcv_meth_lexer_4539__apply[] = {0};
  meth_meth_lexer_4539__apply->type = alloc_MethodType(1, argcv_meth_lexer_4539__apply);
  meth_meth_lexer_4539__apply->definitionModule = modulename;
  meth_meth_lexer_4539__apply->definitionLine = 1204;
// compiled block node returning block4538 (depth = 5)
  gc_frame_newslot(block4538);
// call case 5: prelude request
  params[0] = *var_absExp;
  params[1] = block4538;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4546 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4537);
// compiled call node returning call4546 (depth = 4)
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4549 = alloc_Float64(0);
// compiled num node returning num4549 (depth = 6)
  int op_slot_right_4548 = gc_frame_newslot(num4549);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_exponent (depth = 6)
  int op_slot_left_4548 = gc_frame_newslot(*var_exponent);
  params[0] = num4549;
  partcv[0] = 1;
  Object opresult4551 = callmethod(*var_exponent, "≥(1)", 1, partcv, params);
// compiled op node returning opresult4551 (depth = 5)
  Object if4547 = done;
  if (istrue(opresult4551)) {
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4552 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe4553 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4554 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_absMultiplier (depth = 9)
  int op_slot_right_4555 = gc_frame_newslot(*var_absMultiplier);
// starting to compile member node (depth = 9)
  int callframe4557 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4558 = gc_frame_new();
// call case 3: self.outer request
  Object call4559 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4558);
// compiled member node returning call4559 (depth = 10)
  Object call4560 = callmethodflags(call4559, "mantissa", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4557);
// compiled member node returning call4560 (depth = 9)
  int op_slot_left_4555 = gc_frame_newslot(call4560);
  params[0] = *var_absMultiplier;
  partcv[0] = 1;
  Object prod4561 = callmethod(call4560, "*(1)", 1, partcv, params);
// compiled op node returning prod4561 (depth = 8)
  Object call4562 = callmethodflags(prod4561, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe4554);
// compiled member node returning call4562 (depth = 7)
  gc_frame_newslot(call4562);
// starting to compile num node (depth = 7)
  Object num4563 = alloc_Float64(10);
// compiled num node returning num4563 (depth = 7)
  gc_frame_newslot(num4563);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4564 = gc_frame_new();
// call case 3: self.outer request
  Object call4565 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4564);
// compiled member node returning call4565 (depth = 7)
  params[0] = call4562;
  params[1] = num4563;
  partcv[0] = 2;
  Object call4566 = callmethodflags(call4565, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4553);
// compiled call node returning call4566 (depth = 6)
  gc_frame_newslot(call4566);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4567 = gc_frame_new();
// call case 3: self.outer request
  Object call4568 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4567);
// compiled member node returning call4568 (depth = 6)
  params[0] = call4566;
  partcv[0] = 1;
  Object call4569 = callmethodflags(call4568, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4552);
// compiled call node returning call4569 (depth = 5)
    gc_frame_newslot(call4569);
    if4547 = call4569;
  } else {
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4570 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe4571 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4572 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_absMultiplier (depth = 9)
  int op_slot_right_4573 = gc_frame_newslot(*var_absMultiplier);
// starting to compile member node (depth = 9)
  int callframe4575 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4576 = gc_frame_new();
// call case 3: self.outer request
  Object call4577 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4576);
// compiled member node returning call4577 (depth = 10)
  Object call4578 = callmethodflags(call4577, "mantissa", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4575);
// compiled member node returning call4578 (depth = 9)
  int op_slot_left_4573 = gc_frame_newslot(call4578);
  params[0] = *var_absMultiplier;
  partcv[0] = 1;
  Object quotient4579 = callmethod(call4578, "/(1)", 1, partcv, params);
// compiled op node returning quotient4579 (depth = 8)
  Object call4580 = callmethodflags(quotient4579, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe4572);
// compiled member node returning call4580 (depth = 7)
  gc_frame_newslot(call4580);
// starting to compile num node (depth = 7)
  Object num4581 = alloc_Float64(10);
// compiled num node returning num4581 (depth = 7)
  gc_frame_newslot(num4581);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4582 = gc_frame_new();
// call case 3: self.outer request
  Object call4583 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4582);
// compiled member node returning call4583 (depth = 7)
  params[0] = call4580;
  params[1] = num4581;
  partcv[0] = 2;
  Object call4584 = callmethodflags(call4583, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4571);
// compiled call node returning call4584 (depth = 6)
  gc_frame_newslot(call4584);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4585 = gc_frame_new();
// call case 3: self.outer request
  Object call4586 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4585);
// compiled member node returning call4586 (depth = 6)
  params[0] = call4584;
  partcv[0] = 1;
  Object call4587 = callmethodflags(call4586, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4570);
// compiled call node returning call4587 (depth = 5)
    gc_frame_newslot(call4587);
    if4547 = call4587;
  }
// compiled if node returning if4547 (depth = 4)
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4588 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4589 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4590 = gc_frame_new();
// call case 3: self.outer request
  Object call4591 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4590);
// compiled member node returning call4591 (depth = 6)
  Object call4592 = callmethodflags(call4591, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4589);
// compiled member node returning call4592 (depth = 5)
  gc_frame_newslot(call4592);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4593 = gc_frame_new();
// call case 3: self.outer request
  Object call4594 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4593);
// compiled member node returning call4594 (depth = 5)
  params[0] = call4592;
  partcv[0] = 1;
  Object call4595 = callmethodflags(call4594, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4588);
// compiled call node returning call4595 (depth = 4)
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4596 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4597 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4598 = gc_frame_new();
// call case 3: self.outer request
  Object call4599 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4598);
// compiled member node returning call4599 (depth = 6)
  Object call4600 = callmethodflags(call4599, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4597);
// compiled member node returning call4600 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4601 = callmethodflags(call4600, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4596);
// compiled call node returning call4601 (depth = 4)
    gc_frame_newslot(call4601);
    if4473 = call4601;
  }
// compiled if node returning if4473 (depth = 3)
    gc_frame_newslot(if4473);
    if4466 = if4473;
  }
// compiled if node returning if4466 (depth = 2)
  gc_frame_end(frame);
  return if4466;
}
Object meth_lexer_4604_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// definebindings:
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4605 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4606 = gc_frame_new();
// call case 3: self.outer request
  Object call4607 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4606);
// compiled member node returning call4607 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4608 = callmethodflags(call4607, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4605);
// compiled call node returning call4608 (depth = 2)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4610 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// starting to compile member node (depth = 4)
  int callframe4611 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  Object call4612 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe4611);
// compiled member node returning call4612 (depth = 4)
  gc_frame_newslot(call4612);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning module_lexer (depth = 4)
  params[0] = *var_c;
  params[1] = call4612;
  partcv[0] = 2;
  Object call4613 = callmethodflags(module_lexer, "isOperatorChar(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4610);
// compiled call node returning call4613 (depth = 3)
  Object if4609 = done;
  if (istrue(call4613)) {
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4614 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4615 = gc_frame_new();
// call case 3: self.outer request
  Object call4616 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4615);
// compiled member node returning call4616 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4617 = callmethodflags(call4616, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4614);
// compiled call node returning call4617 (depth = 3)
    gc_frame_newslot(call4617);
    if4609 = call4617;
  } else {
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4620 == NULL) {
    strlit4620 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit4620);
  }
// compiled string node returning strlit4620 (depth = 5)
  int op_slot_right_4619 = gc_frame_newslot(strlit4620);
// starting to compile member node (depth = 5)
  int callframe4622 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4623 = gc_frame_new();
// call case 3: self.outer request
  Object call4624 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4623);
// compiled member node returning call4624 (depth = 6)
  Object call4625 = callmethodflags(call4624, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4622);
// compiled member node returning call4625 (depth = 5)
  int op_slot_left_4619 = gc_frame_newslot(call4625);
  params[0] = strlit4620;
  partcv[0] = 1;
  Object opresult4626 = callmethod(call4625, "==(1)", 1, partcv, params);
// compiled op node returning opresult4626 (depth = 4)
  Object if4618 = done;
  if (istrue(opresult4626)) {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4627 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4629 = gc_frame_new();
// call case 3: self.outer request
  Object call4630 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4629);
// compiled member node returning call4630 (depth = 6)
  Object call4631 = callmethodflags(call4630, "arrowToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4628);
// compiled member node returning call4631 (depth = 5)
  gc_frame_newslot(call4631);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4632 = gc_frame_new();
// call case 3: self.outer request
  Object call4633 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4632);
// compiled member node returning call4633 (depth = 5)
  params[0] = call4631;
  partcv[0] = 1;
  Object call4634 = callmethodflags(call4633, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4627);
// compiled call node returning call4634 (depth = 4)
    gc_frame_newslot(call4634);
    if4618 = call4634;
  } else {
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4637 == NULL) {
    strlit4637 = alloc_String(":=");
    gc_root(strlit4637);
  }
// compiled string node returning strlit4637 (depth = 6)
  int op_slot_right_4636 = gc_frame_newslot(strlit4637);
// starting to compile member node (depth = 6)
  int callframe4639 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4640 = gc_frame_new();
// call case 3: self.outer request
  Object call4641 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4640);
// compiled member node returning call4641 (depth = 7)
  Object call4642 = callmethodflags(call4641, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4639);
// compiled member node returning call4642 (depth = 6)
  int op_slot_left_4636 = gc_frame_newslot(call4642);
  params[0] = strlit4637;
  partcv[0] = 1;
  Object opresult4643 = callmethod(call4642, "==(1)", 1, partcv, params);
// compiled op node returning opresult4643 (depth = 5)
  Object if4635 = done;
  if (istrue(opresult4643)) {
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4644 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4645 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4646 = gc_frame_new();
// call case 3: self.outer request
  Object call4647 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4646);
// compiled member node returning call4647 (depth = 7)
  Object call4648 = callmethodflags(call4647, "bindToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4645);
// compiled member node returning call4648 (depth = 6)
  gc_frame_newslot(call4648);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4649 = gc_frame_new();
// call case 3: self.outer request
  Object call4650 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4649);
// compiled member node returning call4650 (depth = 6)
  params[0] = call4648;
  partcv[0] = 1;
  Object call4651 = callmethodflags(call4650, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4644);
// compiled call node returning call4651 (depth = 5)
    gc_frame_newslot(call4651);
    if4635 = call4651;
  } else {
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4654 == NULL) {
    strlit4654 = alloc_String(":");
    gc_root(strlit4654);
  }
// compiled string node returning strlit4654 (depth = 7)
  int op_slot_right_4653 = gc_frame_newslot(strlit4654);
// starting to compile member node (depth = 7)
  int callframe4656 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4657 = gc_frame_new();
// call case 3: self.outer request
  Object call4658 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4657);
// compiled member node returning call4658 (depth = 8)
  Object call4659 = callmethodflags(call4658, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4656);
// compiled member node returning call4659 (depth = 7)
  int op_slot_left_4653 = gc_frame_newslot(call4659);
  params[0] = strlit4654;
  partcv[0] = 1;
  Object opresult4660 = callmethod(call4659, "==(1)", 1, partcv, params);
// compiled op node returning opresult4660 (depth = 6)
  Object if4652 = done;
  if (istrue(opresult4660)) {
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4661 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4662 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4663 = gc_frame_new();
// call case 3: self.outer request
  Object call4664 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4663);
// compiled member node returning call4664 (depth = 8)
  Object call4665 = callmethodflags(call4664, "colonToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4662);
// compiled member node returning call4665 (depth = 7)
  gc_frame_newslot(call4665);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4666 = gc_frame_new();
// call case 3: self.outer request
  Object call4667 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4666);
// compiled member node returning call4667 (depth = 7)
  params[0] = call4665;
  partcv[0] = 1;
  Object call4668 = callmethodflags(call4667, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4661);
// compiled call node returning call4668 (depth = 6)
    gc_frame_newslot(call4668);
    if4652 = call4668;
  } else {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4669 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe4670 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4671 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4672 = gc_frame_new();
// call case 3: self.outer request
  Object call4673 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4672);
// compiled member node returning call4673 (depth = 9)
  Object call4674 = callmethodflags(call4673, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4671);
// compiled member node returning call4674 (depth = 8)
  gc_frame_newslot(call4674);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4675 = gc_frame_new();
// call case 3: self.outer request
  Object call4676 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4675);
// compiled member node returning call4676 (depth = 8)
  params[0] = call4674;
  partcv[0] = 1;
  Object call4677 = callmethodflags(call4676, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4670);
// compiled call node returning call4677 (depth = 7)
  gc_frame_newslot(call4677);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4678 = gc_frame_new();
// call case 3: self.outer request
  Object call4679 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4678);
// compiled member node returning call4679 (depth = 7)
  params[0] = call4677;
  partcv[0] = 1;
  Object call4680 = callmethodflags(call4679, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4669);
// compiled call node returning call4680 (depth = 6)
    gc_frame_newslot(call4680);
    if4652 = call4680;
  }
// compiled if node returning if4652 (depth = 5)
    gc_frame_newslot(if4652);
    if4635 = if4652;
  }
// compiled if node returning if4635 (depth = 4)
    gc_frame_newslot(if4635);
    if4618 = if4635;
  }
// compiled if node returning if4618 (depth = 3)
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4681 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4682 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4683 = gc_frame_new();
// call case 3: self.outer request
  Object call4684 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4683);
// compiled member node returning call4684 (depth = 5)
  Object call4685 = callmethodflags(call4684, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4682);
// compiled member node returning call4685 (depth = 4)
  gc_frame_newslot(call4685);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4686 = gc_frame_new();
// call case 3: self.outer request
  Object call4687 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4686);
// compiled member node returning call4687 (depth = 4)
  params[0] = call4685;
  partcv[0] = 1;
  Object call4688 = callmethodflags(call4687, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4681);
// compiled call node returning call4688 (depth = 3)
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4689 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4690 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4691 = gc_frame_new();
// call case 3: self.outer request
  Object call4692 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4691);
// compiled member node returning call4692 (depth = 5)
  Object call4693 = callmethodflags(call4692, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4690);
// compiled member node returning call4693 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4694 = callmethodflags(call4693, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4689);
// compiled call node returning call4694 (depth = 3)
    gc_frame_newslot(call4694);
    if4609 = call4694;
  }
// compiled if node returning if4609 (depth = 2)
  gc_frame_end(frame);
  return if4609;
}
Object meth_lexer_4697_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4699 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4700 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4699);
// compiled call node returning call4700 (depth = 3)
  Object if4698 = done;
  if (istrue(call4700)) {
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4701 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4702 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4703 = gc_frame_new();
// call case 3: self.outer request
  Object call4704 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4703);
// compiled member node returning call4704 (depth = 5)
  Object call4705 = callmethodflags(call4704, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4702);
// compiled member node returning call4705 (depth = 4)
  gc_frame_newslot(call4705);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4706 = gc_frame_new();
// call case 3: self.outer request
  Object call4707 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4706);
// compiled member node returning call4707 (depth = 4)
  params[0] = call4705;
  partcv[0] = 1;
  Object call4708 = callmethodflags(call4707, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4701);
// compiled call node returning call4708 (depth = 3)
    gc_frame_newslot(call4708);
    if4698 = call4708;
  } else {
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4709 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4710 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4711 = gc_frame_new();
// call case 3: self.outer request
  Object call4712 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4711);
// compiled member node returning call4712 (depth = 5)
  Object call4713 = callmethodflags(call4712, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4710);
// compiled member node returning call4713 (depth = 4)
  gc_frame_newslot(call4713);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4714 = gc_frame_new();
// call case 3: self.outer request
  Object call4715 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4714);
// compiled member node returning call4715 (depth = 4)
  params[0] = call4713;
  partcv[0] = 1;
  Object call4716 = callmethodflags(call4715, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4709);
// compiled call node returning call4716 (depth = 3)
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4717 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4718 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4719 = gc_frame_new();
// call case 3: self.outer request
  Object call4720 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4719);
// compiled member node returning call4720 (depth = 5)
  Object call4721 = callmethodflags(call4720, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4718);
// compiled member node returning call4721 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4722 = callmethodflags(call4721, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4717);
// compiled call node returning call4722 (depth = 3)
    gc_frame_newslot(call4722);
    if4698 = call4722;
  }
// compiled if node returning if4698 (depth = 2)
  gc_frame_end(frame);
  return if4698;
}
Object meth_lexer_4725_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4727 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe4728 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_spaceChars (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4729 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4728);
// compiled call node returning call4729 (depth = 4)
  partcv[0] = 0;
  Object call4730 = callmethodflags(call4729, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe4727);
// compiled call node returning call4730 (depth = 3)
  Object if4726 = done;
  if (istrue(call4730)) {
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4731 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4732 == NULL) {
    strlit4732 = alloc_String("");
    gc_root(strlit4732);
  }
// compiled string node returning strlit4732 (depth = 4)
  gc_frame_newslot(strlit4732);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4733 = gc_frame_new();
// call case 3: self.outer request
  Object call4734 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4733);
// compiled member node returning call4734 (depth = 4)
  params[0] = strlit4732;
  partcv[0] = 1;
  Object call4735 = callmethodflags(call4734, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4731);
// compiled call node returning call4735 (depth = 3)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4736 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4737 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4738 = gc_frame_new();
// call case 3: self.outer request
  Object call4739 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4738);
// compiled member node returning call4739 (depth = 5)
  Object call4740 = callmethodflags(call4739, "commentState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4737);
// compiled member node returning call4740 (depth = 4)
  gc_frame_newslot(call4740);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4741 = gc_frame_new();
// call case 3: self.outer request
  Object call4742 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4741);
// compiled member node returning call4742 (depth = 4)
  params[0] = call4740;
  partcv[0] = 1;
  Object call4743 = callmethodflags(call4742, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4736);
// compiled call node returning call4743 (depth = 3)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4744 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4745 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4746 = gc_frame_new();
// call case 3: self.outer request
  Object call4747 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4746);
// compiled member node returning call4747 (depth = 5)
  Object call4748 = callmethodflags(call4747, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4745);
// compiled member node returning call4748 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4749 = callmethodflags(call4748, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4744);
// compiled call node returning call4749 (depth = 3)
    gc_frame_newslot(call4749);
    if4726 = call4749;
  } else {
  }
// compiled if node returning if4726 (depth = 2)
  gc_frame_end(frame);
  return if4726;
}
Object meth_lexer_4752_consume_40_1_41_(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// definebindings:
// definebindings:
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4755 == NULL) {
    strlit4755 = alloc_String("""\x0a""");
    gc_root(strlit4755);
  }
// compiled string node returning strlit4755 (depth = 4)
  int op_slot_right_4754 = gc_frame_newslot(strlit4755);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_4754 = gc_frame_newslot(*var_c);
  params[0] = strlit4755;
  partcv[0] = 1;
  Object opresult4757 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4757 (depth = 3)
  Object if4753 = done;
  if (istrue(opresult4757)) {
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4758 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4759 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4760 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4761 = gc_frame_new();
// call case 3: self.outer request
  Object call4762 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4761);
// compiled member node returning call4762 (depth = 6)
  Object call4763 = callmethodflags(call4762, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4760);
// compiled member node returning call4763 (depth = 5)
  gc_frame_newslot(call4763);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4764 = gc_frame_new();
// call case 3: self.outer request
  Object call4765 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4764);
// compiled member node returning call4765 (depth = 5)
  params[0] = call4763;
  partcv[0] = 1;
  Object call4766 = callmethodflags(call4765, "commentToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4759);
// compiled call node returning call4766 (depth = 4)
  gc_frame_newslot(call4766);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4767 = gc_frame_new();
// call case 3: self.outer request
  Object call4768 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4767);
// compiled member node returning call4768 (depth = 4)
  params[0] = call4766;
  partcv[0] = 1;
  Object call4769 = callmethodflags(call4768, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4758);
// compiled call node returning call4769 (depth = 3)
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4770 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num4771 = alloc_Float64(0);
// compiled num node returning num4771 (depth = 4)
  gc_frame_newslot(num4771);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4772 = gc_frame_new();
// call case 3: self.outer request
  Object call4773 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4772);
// compiled member node returning call4773 (depth = 4)
  params[0] = num4771;
  partcv[0] = 1;
  Object call4774 = callmethodflags(call4773, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4770);
// compiled call node returning call4774 (depth = 3)
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4775 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4776 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4777 = gc_frame_new();
// call case 3: self.outer request
  Object call4778 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4777);
// compiled member node returning call4778 (depth = 5)
  Object call4779 = callmethodflags(call4778, "indentationState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4776);
// compiled member node returning call4779 (depth = 4)
  gc_frame_newslot(call4779);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4780 = gc_frame_new();
// call case 3: self.outer request
  Object call4781 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4780);
// compiled member node returning call4781 (depth = 4)
  params[0] = call4779;
  partcv[0] = 1;
  Object call4782 = callmethodflags(call4781, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4775);
// compiled call node returning call4782 (depth = 3)
    gc_frame_newslot(call4782);
    if4753 = call4782;
  } else {
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4783 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4784 = gc_frame_new();
// call case 3: self.outer request
  Object call4785 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4784);
// compiled member node returning call4785 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4786 = callmethodflags(call4785, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4783);
// compiled call node returning call4786 (depth = 3)
    gc_frame_newslot(call4786);
    if4753 = call4786;
  }
// compiled if node returning if4753 (depth = 2)
  gc_frame_end(frame);
  return if4753;
}
Object meth_lexer_97_new(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_spaceChars = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_keywords = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject98 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj98 = alloc_userobj2(115,99, objclass98);
  gc_frame_newslot(obj98);
  if (objclass98 == NULL) {
    glfree(obj98->class->name);
    obj98->class->name = "new";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj98, self, 0);
  addmethodreal(obj98,"outer", &reader_lexer_outer_99);
  Object oldself98 = self;
  struct StackFrameObject *oldstackframe98 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe98);
  gc_frame_newslot((Object)stackframe);
  self = obj98;
  Object *oldselfslot98 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter98 = (*(struct UserObject *)self).data[0], lowerouter98 = thisouter98;
  if (inheritingObject98) {
    struct UserObject *inho98 = (struct UserObject *)inheritingObject98;
    while (inho98->super != GraceDefaultObject) inho98 = (struct UserObject *)inho98->super;
    inho98->super = obj98;
    self = inheritingObject98;
    *selfslot = self;
    lowerouter98 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter98;
  }
  if (objclass98 == NULL) {
    Method *reader100 = addmethodrealflags(obj98, "tokens", &reader_lexer_tokens_100, MFLAG_CONFIDENTIAL);
    Method *writer100 = addmethodrealflags(obj98, "tokens:=(1)", &writer_lexer_tokens_100, MFLAG_CONFIDENTIAL);
    reader100->definitionModule = modulename;
    writer100->definitionModule = modulename;
    reader100->definitionLine = 84;
    writer100->definitionLine = 84;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 1);
  if (objclass98 == NULL) {
    Method *reader101 = addmethodrealflags(obj98, "lineNumber", &reader_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
    Method *writer101 = addmethodrealflags(obj98, "lineNumber:=(1)", &writer_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
    reader101->definitionModule = modulename;
    writer101->definitionModule = modulename;
    reader101->definitionLine = 85;
    writer101->definitionLine = 85;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 2);
  if (objclass98 == NULL) {
    Method *reader102 = addmethodrealflags(obj98, "linePosition", &reader_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
    Method *writer102 = addmethodrealflags(obj98, "linePosition:=(1)", &writer_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
    reader102->definitionModule = modulename;
    writer102->definitionModule = modulename;
    reader102->definitionLine = 86;
    writer102->definitionLine = 86;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 3);
  if (objclass98 == NULL) {
    Method *reader103 = addmethodrealflags(obj98, "startPosition", &reader_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
    Method *writer103 = addmethodrealflags(obj98, "startPosition:=(1)", &writer_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
    reader103->definitionModule = modulename;
    writer103->definitionModule = modulename;
    reader103->definitionLine = 87;
    writer103->definitionLine = 87;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 4);
  if (objclass98 == NULL) {
    Method *reader104 = addmethodrealflags(obj98, "indentLevel", &reader_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
    Method *writer104 = addmethodrealflags(obj98, "indentLevel:=(1)", &writer_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
    reader104->definitionModule = modulename;
    writer104->definitionModule = modulename;
    reader104->definitionLine = 88;
    writer104->definitionLine = 88;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 5);
  if (objclass98 == NULL) {
    Method *reader105 = addmethodrealflags(obj98, "startLine", &reader_lexer_startLine_105, MFLAG_CONFIDENTIAL);
    Method *writer105 = addmethodrealflags(obj98, "startLine:=(1)", &writer_lexer_startLine_105, MFLAG_CONFIDENTIAL);
    reader105->definitionModule = modulename;
    writer105->definitionModule = modulename;
    reader105->definitionLine = 89;
    writer105->definitionLine = 89;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 6);
  if (objclass98 == NULL) {
    Method *reader106 = addmethodrealflags(obj98, "stringStart", &reader_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
    Method *writer106 = addmethodrealflags(obj98, "stringStart:=(1)", &writer_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
    reader106->definitionModule = modulename;
    writer106->definitionModule = modulename;
    reader106->definitionLine = 90;
    writer106->definitionLine = 90;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 7);
  if (objclass98 == NULL) {
    Method *reader107 = addmethodrealflags(obj98, "unichars", &reader_lexer_unichars_107, MFLAG_CONFIDENTIAL);
    Method *writer107 = addmethodrealflags(obj98, "unichars:=(1)", &writer_lexer_unichars_107, MFLAG_CONFIDENTIAL);
    reader107->definitionModule = modulename;
    writer107->definitionModule = modulename;
    reader107->definitionLine = 91;
    writer107->definitionLine = 91;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 8);
// method "token"
  struct UserObject *uo108 = (struct UserObject*)obj98;
  uo108->data[9] = emptyclosure;
  Method *meth_meth_lexer_108_token = addmethod2pos(obj98, "token", &meth_lexer_108_token, 9);
  int argcv_meth_lexer_108_token[] = {0};
  meth_meth_lexer_108_token->type = alloc_MethodType(1, argcv_meth_lexer_108_token);
  meth_meth_lexer_108_token->definitionModule = modulename;
  meth_meth_lexer_108_token->definitionLine = 92;
  Method *meth_meth_lexer_108_token_object = addmethod2pos(obj98, "token$object(1)", &meth_lexer_108_token_object, 9);
  int argcv_meth_lexer_108_token_object[] = {0};
  meth_meth_lexer_108_token_object->type = alloc_MethodType(1, argcv_meth_lexer_108_token_object);
  meth_meth_lexer_108_token_object->definitionModule = modulename;
  meth_meth_lexer_108_token_object->definitionLine = 92;
// method "identifierToken(_)"
  struct UserObject *uo214 = (struct UserObject*)obj98;
  uo214->data[10] = emptyclosure;
  Method *meth_meth_lexer_214_identifierToken_40_1_41_ = addmethod2pos(obj98, "identifierToken(1)", &meth_lexer_214_identifierToken_40_1_41_, 10);
  int argcv_meth_lexer_214_identifierToken_40_1_41_[] = {1};
  meth_meth_lexer_214_identifierToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_214_identifierToken_40_1_41_);
  meth_meth_lexer_214_identifierToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_214_identifierToken_40_1_41_->definitionLine = 115;
  Method *meth_meth_lexer_214_identifierToken_40_1_41__object = addmethod2pos(obj98, "identifierToken(1)$object(1)", &meth_lexer_214_identifierToken_40_1_41__object, 10);
  int argcv_meth_lexer_214_identifierToken_40_1_41__object[] = {1};
  meth_meth_lexer_214_identifierToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_214_identifierToken_40_1_41__object);
  meth_meth_lexer_214_identifierToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_214_identifierToken_40_1_41__object->definitionLine = 115;
// method "stringToken(_)"
  struct UserObject *uo228 = (struct UserObject*)obj98;
  uo228->data[11] = emptyclosure;
  Method *meth_meth_lexer_228_stringToken_40_1_41_ = addmethod2pos(obj98, "stringToken(1)", &meth_lexer_228_stringToken_40_1_41_, 11);
  int argcv_meth_lexer_228_stringToken_40_1_41_[] = {1};
  meth_meth_lexer_228_stringToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_228_stringToken_40_1_41_);
  meth_meth_lexer_228_stringToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_228_stringToken_40_1_41_->definitionLine = 121;
  Method *meth_meth_lexer_228_stringToken_40_1_41__object = addmethod2pos(obj98, "stringToken(1)$object(1)", &meth_lexer_228_stringToken_40_1_41__object, 11);
  int argcv_meth_lexer_228_stringToken_40_1_41__object[] = {1};
  meth_meth_lexer_228_stringToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_228_stringToken_40_1_41__object);
  meth_meth_lexer_228_stringToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_228_stringToken_40_1_41__object->definitionLine = 121;
// method "multiLineStringToken(_)"
  struct UserObject *uo255 = (struct UserObject*)obj98;
  uo255->data[12] = emptyclosure;
  Method *meth_meth_lexer_255_multiLineStringToken_40_1_41_ = addmethod2pos(obj98, "multiLineStringToken(1)", &meth_lexer_255_multiLineStringToken_40_1_41_, 12);
  int argcv_meth_lexer_255_multiLineStringToken_40_1_41_[] = {1};
  meth_meth_lexer_255_multiLineStringToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_255_multiLineStringToken_40_1_41_);
  meth_meth_lexer_255_multiLineStringToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_255_multiLineStringToken_40_1_41_->definitionLine = 127;
  Method *meth_meth_lexer_255_multiLineStringToken_40_1_41__object = addmethod2pos(obj98, "multiLineStringToken(1)$object(1)", &meth_lexer_255_multiLineStringToken_40_1_41__object, 12);
  int argcv_meth_lexer_255_multiLineStringToken_40_1_41__object[] = {1};
  meth_meth_lexer_255_multiLineStringToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_255_multiLineStringToken_40_1_41__object);
  meth_meth_lexer_255_multiLineStringToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_255_multiLineStringToken_40_1_41__object->definitionLine = 127;
// method "commentToken(_)"
  struct UserObject *uo299 = (struct UserObject*)obj98;
  uo299->data[13] = emptyclosure;
  Method *meth_meth_lexer_299_commentToken_40_1_41_ = addmethod2pos(obj98, "commentToken(1)", &meth_lexer_299_commentToken_40_1_41_, 13);
  int argcv_meth_lexer_299_commentToken_40_1_41_[] = {1};
  meth_meth_lexer_299_commentToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_299_commentToken_40_1_41_);
  meth_meth_lexer_299_commentToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_299_commentToken_40_1_41_->definitionLine = 139;
  Method *meth_meth_lexer_299_commentToken_40_1_41__object = addmethod2pos(obj98, "commentToken(1)$object(1)", &meth_lexer_299_commentToken_40_1_41__object, 13);
  int argcv_meth_lexer_299_commentToken_40_1_41__object[] = {1};
  meth_meth_lexer_299_commentToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_299_commentToken_40_1_41__object);
  meth_meth_lexer_299_commentToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_299_commentToken_40_1_41__object->definitionLine = 139;
// method "lBraceToken"
  struct UserObject *uo317 = (struct UserObject*)obj98;
  uo317->data[14] = emptyclosure;
  Method *meth_meth_lexer_317_lBraceToken = addmethod2pos(obj98, "lBraceToken", &meth_lexer_317_lBraceToken, 14);
  int argcv_meth_lexer_317_lBraceToken[] = {0};
  meth_meth_lexer_317_lBraceToken->type = alloc_MethodType(1, argcv_meth_lexer_317_lBraceToken);
  meth_meth_lexer_317_lBraceToken->definitionModule = modulename;
  meth_meth_lexer_317_lBraceToken->definitionLine = 145;
  Method *meth_meth_lexer_317_lBraceToken_object = addmethod2pos(obj98, "lBraceToken$object(1)", &meth_lexer_317_lBraceToken_object, 14);
  int argcv_meth_lexer_317_lBraceToken_object[] = {0};
  meth_meth_lexer_317_lBraceToken_object->type = alloc_MethodType(1, argcv_meth_lexer_317_lBraceToken_object);
  meth_meth_lexer_317_lBraceToken_object->definitionModule = modulename;
  meth_meth_lexer_317_lBraceToken_object->definitionLine = 145;
// method "rBraceToken"
  struct UserObject *uo331 = (struct UserObject*)obj98;
  uo331->data[15] = emptyclosure;
  Method *meth_meth_lexer_331_rBraceToken = addmethod2pos(obj98, "rBraceToken", &meth_lexer_331_rBraceToken, 15);
  int argcv_meth_lexer_331_rBraceToken[] = {0};
  meth_meth_lexer_331_rBraceToken->type = alloc_MethodType(1, argcv_meth_lexer_331_rBraceToken);
  meth_meth_lexer_331_rBraceToken->definitionModule = modulename;
  meth_meth_lexer_331_rBraceToken->definitionLine = 151;
  Method *meth_meth_lexer_331_rBraceToken_object = addmethod2pos(obj98, "rBraceToken$object(1)", &meth_lexer_331_rBraceToken_object, 15);
  int argcv_meth_lexer_331_rBraceToken_object[] = {0};
  meth_meth_lexer_331_rBraceToken_object->type = alloc_MethodType(1, argcv_meth_lexer_331_rBraceToken_object);
  meth_meth_lexer_331_rBraceToken_object->definitionModule = modulename;
  meth_meth_lexer_331_rBraceToken_object->definitionLine = 151;
// method "lParenToken"
  struct UserObject *uo345 = (struct UserObject*)obj98;
  uo345->data[16] = emptyclosure;
  Method *meth_meth_lexer_345_lParenToken = addmethod2pos(obj98, "lParenToken", &meth_lexer_345_lParenToken, 16);
  int argcv_meth_lexer_345_lParenToken[] = {0};
  meth_meth_lexer_345_lParenToken->type = alloc_MethodType(1, argcv_meth_lexer_345_lParenToken);
  meth_meth_lexer_345_lParenToken->definitionModule = modulename;
  meth_meth_lexer_345_lParenToken->definitionLine = 157;
  Method *meth_meth_lexer_345_lParenToken_object = addmethod2pos(obj98, "lParenToken$object(1)", &meth_lexer_345_lParenToken_object, 16);
  int argcv_meth_lexer_345_lParenToken_object[] = {0};
  meth_meth_lexer_345_lParenToken_object->type = alloc_MethodType(1, argcv_meth_lexer_345_lParenToken_object);
  meth_meth_lexer_345_lParenToken_object->definitionModule = modulename;
  meth_meth_lexer_345_lParenToken_object->definitionLine = 157;
// method "rParenToken"
  struct UserObject *uo359 = (struct UserObject*)obj98;
  uo359->data[17] = emptyclosure;
  Method *meth_meth_lexer_359_rParenToken = addmethod2pos(obj98, "rParenToken", &meth_lexer_359_rParenToken, 17);
  int argcv_meth_lexer_359_rParenToken[] = {0};
  meth_meth_lexer_359_rParenToken->type = alloc_MethodType(1, argcv_meth_lexer_359_rParenToken);
  meth_meth_lexer_359_rParenToken->definitionModule = modulename;
  meth_meth_lexer_359_rParenToken->definitionLine = 163;
  Method *meth_meth_lexer_359_rParenToken_object = addmethod2pos(obj98, "rParenToken$object(1)", &meth_lexer_359_rParenToken_object, 17);
  int argcv_meth_lexer_359_rParenToken_object[] = {0};
  meth_meth_lexer_359_rParenToken_object->type = alloc_MethodType(1, argcv_meth_lexer_359_rParenToken_object);
  meth_meth_lexer_359_rParenToken_object->definitionModule = modulename;
  meth_meth_lexer_359_rParenToken_object->definitionLine = 163;
// method "lSquareToken"
  struct UserObject *uo373 = (struct UserObject*)obj98;
  uo373->data[18] = emptyclosure;
  Method *meth_meth_lexer_373_lSquareToken = addmethod2pos(obj98, "lSquareToken", &meth_lexer_373_lSquareToken, 18);
  int argcv_meth_lexer_373_lSquareToken[] = {0};
  meth_meth_lexer_373_lSquareToken->type = alloc_MethodType(1, argcv_meth_lexer_373_lSquareToken);
  meth_meth_lexer_373_lSquareToken->definitionModule = modulename;
  meth_meth_lexer_373_lSquareToken->definitionLine = 169;
  Method *meth_meth_lexer_373_lSquareToken_object = addmethod2pos(obj98, "lSquareToken$object(1)", &meth_lexer_373_lSquareToken_object, 18);
  int argcv_meth_lexer_373_lSquareToken_object[] = {0};
  meth_meth_lexer_373_lSquareToken_object->type = alloc_MethodType(1, argcv_meth_lexer_373_lSquareToken_object);
  meth_meth_lexer_373_lSquareToken_object->definitionModule = modulename;
  meth_meth_lexer_373_lSquareToken_object->definitionLine = 169;
// method "rSquareToken"
  struct UserObject *uo387 = (struct UserObject*)obj98;
  uo387->data[19] = emptyclosure;
  Method *meth_meth_lexer_387_rSquareToken = addmethod2pos(obj98, "rSquareToken", &meth_lexer_387_rSquareToken, 19);
  int argcv_meth_lexer_387_rSquareToken[] = {0};
  meth_meth_lexer_387_rSquareToken->type = alloc_MethodType(1, argcv_meth_lexer_387_rSquareToken);
  meth_meth_lexer_387_rSquareToken->definitionModule = modulename;
  meth_meth_lexer_387_rSquareToken->definitionLine = 175;
  Method *meth_meth_lexer_387_rSquareToken_object = addmethod2pos(obj98, "rSquareToken$object(1)", &meth_lexer_387_rSquareToken_object, 19);
  int argcv_meth_lexer_387_rSquareToken_object[] = {0};
  meth_meth_lexer_387_rSquareToken_object->type = alloc_MethodType(1, argcv_meth_lexer_387_rSquareToken_object);
  meth_meth_lexer_387_rSquareToken_object->definitionModule = modulename;
  meth_meth_lexer_387_rSquareToken_object->definitionLine = 175;
// method "commaToken"
  struct UserObject *uo401 = (struct UserObject*)obj98;
  uo401->data[20] = emptyclosure;
  Method *meth_meth_lexer_401_commaToken = addmethod2pos(obj98, "commaToken", &meth_lexer_401_commaToken, 20);
  int argcv_meth_lexer_401_commaToken[] = {0};
  meth_meth_lexer_401_commaToken->type = alloc_MethodType(1, argcv_meth_lexer_401_commaToken);
  meth_meth_lexer_401_commaToken->definitionModule = modulename;
  meth_meth_lexer_401_commaToken->definitionLine = 181;
  Method *meth_meth_lexer_401_commaToken_object = addmethod2pos(obj98, "commaToken$object(1)", &meth_lexer_401_commaToken_object, 20);
  int argcv_meth_lexer_401_commaToken_object[] = {0};
  meth_meth_lexer_401_commaToken_object->type = alloc_MethodType(1, argcv_meth_lexer_401_commaToken_object);
  meth_meth_lexer_401_commaToken_object->definitionModule = modulename;
  meth_meth_lexer_401_commaToken_object->definitionLine = 181;
// method "colonToken"
  struct UserObject *uo415 = (struct UserObject*)obj98;
  uo415->data[21] = emptyclosure;
  Method *meth_meth_lexer_415_colonToken = addmethod2pos(obj98, "colonToken", &meth_lexer_415_colonToken, 21);
  int argcv_meth_lexer_415_colonToken[] = {0};
  meth_meth_lexer_415_colonToken->type = alloc_MethodType(1, argcv_meth_lexer_415_colonToken);
  meth_meth_lexer_415_colonToken->definitionModule = modulename;
  meth_meth_lexer_415_colonToken->definitionLine = 187;
  Method *meth_meth_lexer_415_colonToken_object = addmethod2pos(obj98, "colonToken$object(1)", &meth_lexer_415_colonToken_object, 21);
  int argcv_meth_lexer_415_colonToken_object[] = {0};
  meth_meth_lexer_415_colonToken_object->type = alloc_MethodType(1, argcv_meth_lexer_415_colonToken_object);
  meth_meth_lexer_415_colonToken_object->definitionModule = modulename;
  meth_meth_lexer_415_colonToken_object->definitionLine = 187;
// method "dotToken"
  struct UserObject *uo429 = (struct UserObject*)obj98;
  uo429->data[22] = emptyclosure;
  Method *meth_meth_lexer_429_dotToken = addmethod2pos(obj98, "dotToken", &meth_lexer_429_dotToken, 22);
  int argcv_meth_lexer_429_dotToken[] = {0};
  meth_meth_lexer_429_dotToken->type = alloc_MethodType(1, argcv_meth_lexer_429_dotToken);
  meth_meth_lexer_429_dotToken->definitionModule = modulename;
  meth_meth_lexer_429_dotToken->definitionLine = 193;
  Method *meth_meth_lexer_429_dotToken_object = addmethod2pos(obj98, "dotToken$object(1)", &meth_lexer_429_dotToken_object, 22);
  int argcv_meth_lexer_429_dotToken_object[] = {0};
  meth_meth_lexer_429_dotToken_object->type = alloc_MethodType(1, argcv_meth_lexer_429_dotToken_object);
  meth_meth_lexer_429_dotToken_object->definitionModule = modulename;
  meth_meth_lexer_429_dotToken_object->definitionLine = 193;
// method "numToken(_,_)"
  struct UserObject *uo443 = (struct UserObject*)obj98;
  uo443->data[23] = emptyclosure;
  Method *meth_meth_lexer_443_numToken_40_2_41_ = addmethod2pos(obj98, "numToken(2)", &meth_lexer_443_numToken_40_2_41_, 23);
  int argcv_meth_lexer_443_numToken_40_2_41_[] = {2};
  meth_meth_lexer_443_numToken_40_2_41_->type = alloc_MethodType(1, argcv_meth_lexer_443_numToken_40_2_41_);
  meth_meth_lexer_443_numToken_40_2_41_->definitionModule = modulename;
  meth_meth_lexer_443_numToken_40_2_41_->definitionLine = 199;
  Method *meth_meth_lexer_443_numToken_40_2_41__object = addmethod2pos(obj98, "numToken(2)$object(1)", &meth_lexer_443_numToken_40_2_41__object, 23);
  int argcv_meth_lexer_443_numToken_40_2_41__object[] = {2};
  meth_meth_lexer_443_numToken_40_2_41__object->type = alloc_MethodType(1, argcv_meth_lexer_443_numToken_40_2_41__object);
  meth_meth_lexer_443_numToken_40_2_41__object->definitionModule = modulename;
  meth_meth_lexer_443_numToken_40_2_41__object->definitionLine = 199;
// method "keywordToken(_)"
  struct UserObject *uo467 = (struct UserObject*)obj98;
  uo467->data[24] = emptyclosure;
  Method *meth_meth_lexer_467_keywordToken_40_1_41_ = addmethod2pos(obj98, "keywordToken(1)", &meth_lexer_467_keywordToken_40_1_41_, 24);
  int argcv_meth_lexer_467_keywordToken_40_1_41_[] = {1};
  meth_meth_lexer_467_keywordToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_467_keywordToken_40_1_41_);
  meth_meth_lexer_467_keywordToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_467_keywordToken_40_1_41_->definitionLine = 206;
  Method *meth_meth_lexer_467_keywordToken_40_1_41__object = addmethod2pos(obj98, "keywordToken(1)$object(1)", &meth_lexer_467_keywordToken_40_1_41__object, 24);
  int argcv_meth_lexer_467_keywordToken_40_1_41__object[] = {1};
  meth_meth_lexer_467_keywordToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_467_keywordToken_40_1_41__object);
  meth_meth_lexer_467_keywordToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_467_keywordToken_40_1_41__object->definitionLine = 206;
// method "opToken(_)"
  struct UserObject *uo481 = (struct UserObject*)obj98;
  uo481->data[25] = emptyclosure;
  Method *meth_meth_lexer_481_opToken_40_1_41_ = addmethod2pos(obj98, "opToken(1)", &meth_lexer_481_opToken_40_1_41_, 25);
  int argcv_meth_lexer_481_opToken_40_1_41_[] = {1};
  meth_meth_lexer_481_opToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_481_opToken_40_1_41_);
  meth_meth_lexer_481_opToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_481_opToken_40_1_41_->definitionLine = 212;
  Method *meth_meth_lexer_481_opToken_40_1_41__object = addmethod2pos(obj98, "opToken(1)$object(1)", &meth_lexer_481_opToken_40_1_41__object, 25);
  int argcv_meth_lexer_481_opToken_40_1_41__object[] = {1};
  meth_meth_lexer_481_opToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_481_opToken_40_1_41__object);
  meth_meth_lexer_481_opToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_481_opToken_40_1_41__object->definitionLine = 212;
// method "arrowToken"
  struct UserObject *uo495 = (struct UserObject*)obj98;
  uo495->data[26] = emptyclosure;
  Method *meth_meth_lexer_495_arrowToken = addmethod2pos(obj98, "arrowToken", &meth_lexer_495_arrowToken, 26);
  int argcv_meth_lexer_495_arrowToken[] = {0};
  meth_meth_lexer_495_arrowToken->type = alloc_MethodType(1, argcv_meth_lexer_495_arrowToken);
  meth_meth_lexer_495_arrowToken->definitionModule = modulename;
  meth_meth_lexer_495_arrowToken->definitionLine = 218;
  Method *meth_meth_lexer_495_arrowToken_object = addmethod2pos(obj98, "arrowToken$object(1)", &meth_lexer_495_arrowToken_object, 26);
  int argcv_meth_lexer_495_arrowToken_object[] = {0};
  meth_meth_lexer_495_arrowToken_object->type = alloc_MethodType(1, argcv_meth_lexer_495_arrowToken_object);
  meth_meth_lexer_495_arrowToken_object->definitionModule = modulename;
  meth_meth_lexer_495_arrowToken_object->definitionLine = 218;
// method "bindToken"
  struct UserObject *uo509 = (struct UserObject*)obj98;
  uo509->data[27] = emptyclosure;
  Method *meth_meth_lexer_509_bindToken = addmethod2pos(obj98, "bindToken", &meth_lexer_509_bindToken, 27);
  int argcv_meth_lexer_509_bindToken[] = {0};
  meth_meth_lexer_509_bindToken->type = alloc_MethodType(1, argcv_meth_lexer_509_bindToken);
  meth_meth_lexer_509_bindToken->definitionModule = modulename;
  meth_meth_lexer_509_bindToken->definitionLine = 224;
  Method *meth_meth_lexer_509_bindToken_object = addmethod2pos(obj98, "bindToken$object(1)", &meth_lexer_509_bindToken_object, 27);
  int argcv_meth_lexer_509_bindToken_object[] = {0};
  meth_meth_lexer_509_bindToken_object->type = alloc_MethodType(1, argcv_meth_lexer_509_bindToken_object);
  meth_meth_lexer_509_bindToken_object->definitionModule = modulename;
  meth_meth_lexer_509_bindToken_object->definitionLine = 224;
// method "semicolonToken"
  struct UserObject *uo523 = (struct UserObject*)obj98;
  uo523->data[28] = emptyclosure;
  Method *meth_meth_lexer_523_semicolonToken = addmethod2pos(obj98, "semicolonToken", &meth_lexer_523_semicolonToken, 28);
  int argcv_meth_lexer_523_semicolonToken[] = {0};
  meth_meth_lexer_523_semicolonToken->type = alloc_MethodType(1, argcv_meth_lexer_523_semicolonToken);
  meth_meth_lexer_523_semicolonToken->definitionModule = modulename;
  meth_meth_lexer_523_semicolonToken->definitionLine = 230;
  Method *meth_meth_lexer_523_semicolonToken_object = addmethod2pos(obj98, "semicolonToken$object(1)", &meth_lexer_523_semicolonToken_object, 28);
  int argcv_meth_lexer_523_semicolonToken_object[] = {0};
  meth_meth_lexer_523_semicolonToken_object->type = alloc_MethodType(1, argcv_meth_lexer_523_semicolonToken_object);
  meth_meth_lexer_523_semicolonToken_object->definitionModule = modulename;
  meth_meth_lexer_523_semicolonToken_object->definitionLine = 230;
// method "lGenericToken"
  struct UserObject *uo537 = (struct UserObject*)obj98;
  uo537->data[29] = emptyclosure;
  Method *meth_meth_lexer_537_lGenericToken = addmethod2pos(obj98, "lGenericToken", &meth_lexer_537_lGenericToken, 29);
  int argcv_meth_lexer_537_lGenericToken[] = {0};
  meth_meth_lexer_537_lGenericToken->type = alloc_MethodType(1, argcv_meth_lexer_537_lGenericToken);
  meth_meth_lexer_537_lGenericToken->definitionModule = modulename;
  meth_meth_lexer_537_lGenericToken->definitionLine = 236;
  Method *meth_meth_lexer_537_lGenericToken_object = addmethod2pos(obj98, "lGenericToken$object(1)", &meth_lexer_537_lGenericToken_object, 29);
  int argcv_meth_lexer_537_lGenericToken_object[] = {0};
  meth_meth_lexer_537_lGenericToken_object->type = alloc_MethodType(1, argcv_meth_lexer_537_lGenericToken_object);
  meth_meth_lexer_537_lGenericToken_object->definitionModule = modulename;
  meth_meth_lexer_537_lGenericToken_object->definitionLine = 236;
// method "rGenericToken"
  struct UserObject *uo551 = (struct UserObject*)obj98;
  uo551->data[30] = emptyclosure;
  Method *meth_meth_lexer_551_rGenericToken = addmethod2pos(obj98, "rGenericToken", &meth_lexer_551_rGenericToken, 30);
  int argcv_meth_lexer_551_rGenericToken[] = {0};
  meth_meth_lexer_551_rGenericToken->type = alloc_MethodType(1, argcv_meth_lexer_551_rGenericToken);
  meth_meth_lexer_551_rGenericToken->definitionModule = modulename;
  meth_meth_lexer_551_rGenericToken->definitionLine = 242;
  Method *meth_meth_lexer_551_rGenericToken_object = addmethod2pos(obj98, "rGenericToken$object(1)", &meth_lexer_551_rGenericToken_object, 30);
  int argcv_meth_lexer_551_rGenericToken_object[] = {0};
  meth_meth_lexer_551_rGenericToken_object->type = alloc_MethodType(1, argcv_meth_lexer_551_rGenericToken_object);
  meth_meth_lexer_551_rGenericToken_object->definitionModule = modulename;
  meth_meth_lexer_551_rGenericToken_object->definitionLine = 242;
// method "eofToken"
  struct UserObject *uo565 = (struct UserObject*)obj98;
  uo565->data[31] = emptyclosure;
  Method *meth_meth_lexer_565_eofToken = addmethod2pos(obj98, "eofToken", &meth_lexer_565_eofToken, 31);
  int argcv_meth_lexer_565_eofToken[] = {0};
  meth_meth_lexer_565_eofToken->type = alloc_MethodType(1, argcv_meth_lexer_565_eofToken);
  meth_meth_lexer_565_eofToken->definitionModule = modulename;
  meth_meth_lexer_565_eofToken->definitionLine = 248;
  Method *meth_meth_lexer_565_eofToken_object = addmethod2pos(obj98, "eofToken$object(1)", &meth_lexer_565_eofToken_object, 31);
  int argcv_meth_lexer_565_eofToken_object[] = {0};
  meth_meth_lexer_565_eofToken_object->type = alloc_MethodType(1, argcv_meth_lexer_565_eofToken_object);
  meth_meth_lexer_565_eofToken_object->definitionModule = modulename;
  meth_meth_lexer_565_eofToken_object->definitionLine = 248;
  if (objclass98 == NULL) {
    Method *reader579 = addmethodrealflags(obj98, "state", &reader_lexer_state_579, MFLAG_CONFIDENTIAL);
    Method *writer579 = addmethodrealflags(obj98, "state:=(1)", &writer_lexer_state_579, MFLAG_CONFIDENTIAL);
    reader579->definitionModule = modulename;
    writer579->definitionModule = modulename;
    reader579->definitionLine = 255;
    writer579->definitionLine = 255;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 32);
  if (objclass98 == NULL) {
    Method *reader580 = addmethodrealflags(obj98, "accum", &reader_lexer_accum_580, MFLAG_CONFIDENTIAL);
    Method *writer580 = addmethodrealflags(obj98, "accum:=(1)", &writer_lexer_accum_580, MFLAG_CONFIDENTIAL);
    reader580->definitionModule = modulename;
    writer580->definitionModule = modulename;
    reader580->definitionLine = 256;
    writer580->definitionLine = 256;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 33);
  if (objclass98 == NULL) {
    Method *reader581 = addmethodrealflags(obj98, "inStr", &reader_lexer_inStr_581, MFLAG_CONFIDENTIAL);
    Method *writer581 = addmethodrealflags(obj98, "inStr:=(1)", &writer_lexer_inStr_581, MFLAG_CONFIDENTIAL);
    reader581->definitionModule = modulename;
    writer581->definitionModule = modulename;
    reader581->definitionLine = 258;
    writer581->definitionLine = 258;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 34);
  if (objclass98 == NULL) {
    Method *reader582 = addmethodrealflags(obj98, "escaped", &reader_lexer_escaped_582, MFLAG_CONFIDENTIAL);
    Method *writer582 = addmethodrealflags(obj98, "escaped:=(1)", &writer_lexer_escaped_582, MFLAG_CONFIDENTIAL);
    reader582->definitionModule = modulename;
    writer582->definitionModule = modulename;
    reader582->definitionLine = 259;
    writer582->definitionLine = 259;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 35);
  if (objclass98 == NULL) {
    Method *reader583 = addmethodrealflags(obj98, "codepoint", &reader_lexer_codepoint_583, MFLAG_CONFIDENTIAL);
    Method *writer583 = addmethodrealflags(obj98, "codepoint:=(1)", &writer_lexer_codepoint_583, MFLAG_CONFIDENTIAL);
    reader583->definitionModule = modulename;
    writer583->definitionModule = modulename;
    reader583->definitionLine = 260;
    writer583->definitionLine = 260;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 36);
  if (objclass98 == NULL) {
    Method *reader584 = addmethodrealflags(obj98, "interpdepth", &reader_lexer_interpdepth_584, MFLAG_CONFIDENTIAL);
    Method *writer584 = addmethodrealflags(obj98, "interpdepth:=(1)", &writer_lexer_interpdepth_584, MFLAG_CONFIDENTIAL);
    reader584->definitionModule = modulename;
    writer584->definitionModule = modulename;
    reader584->definitionLine = 261;
    writer584->definitionLine = 261;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 37);
  if (objclass98 == NULL) {
    Method *reader585 = addmethodrealflags(obj98, "interpString", &reader_lexer_interpString_585, MFLAG_CONFIDENTIAL);
    Method *writer585 = addmethodrealflags(obj98, "interpString:=(1)", &writer_lexer_interpString_585, MFLAG_CONFIDENTIAL);
    reader585->definitionModule = modulename;
    writer585->definitionModule = modulename;
    reader585->definitionLine = 262;
    writer585->definitionLine = 262;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 38);
// method "advanceTo(_)"
  struct UserObject *uo586 = (struct UserObject*)obj98;
  uo586->data[39] = emptyclosure;
  Method *meth_meth_lexer_586_advanceTo_40_1_41_ = addmethod2pos(obj98, "advanceTo(1)", &meth_lexer_586_advanceTo_40_1_41_, 39);
  int argcv_meth_lexer_586_advanceTo_40_1_41_[] = {1};
  meth_meth_lexer_586_advanceTo_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_586_advanceTo_40_1_41_);
  meth_meth_lexer_586_advanceTo_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_586_advanceTo_40_1_41_->definitionLine = 264;
// method "emit(_)"
  struct UserObject *uo589 = (struct UserObject*)obj98;
  uo589->data[40] = emptyclosure;
  Method *meth_meth_lexer_589_emit_40_1_41_ = addmethod2pos(obj98, "emit(1)", &meth_lexer_589_emit_40_1_41_, 40);
  int argcv_meth_lexer_589_emit_40_1_41_[] = {1};
  meth_meth_lexer_589_emit_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_589_emit_40_1_41_);
  meth_meth_lexer_589_emit_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_589_emit_40_1_41_->definitionLine = 265;
// method "store(_)"
  struct UserObject *uo597 = (struct UserObject*)obj98;
  uo597->data[41] = emptyclosure;
  Method *meth_meth_lexer_597_store_40_1_41_ = addmethod2pos(obj98, "store(1)", &meth_lexer_597_store_40_1_41_, 41);
  int argcv_meth_lexer_597_store_40_1_41_[] = {1};
  meth_meth_lexer_597_store_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_597_store_40_1_41_);
  meth_meth_lexer_597_store_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_597_store_40_1_41_->definitionLine = 269;
  if (objclass98 == NULL) {
  Method *reader605 = addmethodrealflags(obj98, "startState",&reader_lexer_startState_605, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader605->definitionModule = modulename;
  reader605->definitionLine = 271;
  }
  adddatum2(obj98, alloc_Undefined(), 42);
  if (objclass98 == NULL) {
  Method *reader606 = addmethodrealflags(obj98, "pragmaPrefixState",&reader_lexer_pragmaPrefixState_606, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader606->definitionModule = modulename;
  reader606->definitionLine = 283;
  }
  adddatum2(obj98, alloc_Undefined(), 43);
  if (objclass98 == NULL) {
  Method *reader607 = addmethodrealflags(obj98, "pragmaBodyState",&reader_lexer_pragmaBodyState_607, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader607->definitionModule = modulename;
  reader607->definitionLine = 304;
  }
  adddatum2(obj98, alloc_Undefined(), 44);
  if (objclass98 == NULL) {
  Method *reader608 = addmethodrealflags(obj98, "pragmaTrailingWhitespaceState",&reader_lexer_pragmaTrailingWhitespaceState_608, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader608->definitionModule = modulename;
  reader608->definitionLine = 319;
  }
  adddatum2(obj98, alloc_Undefined(), 45);
  if (objclass98 == NULL) {
  Method *reader609 = addmethodrealflags(obj98, "defaultState",&reader_lexer_defaultState_609, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader609->definitionModule = modulename;
  reader609->definitionLine = 331;
  }
  adddatum2(obj98, alloc_Undefined(), 46);
  if (objclass98 == NULL) {
  Method *reader610 = addmethodrealflags(obj98, "rBraceState",&reader_lexer_rBraceState_610, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader610->definitionModule = modulename;
  reader610->definitionLine = 412;
  }
  adddatum2(obj98, alloc_Undefined(), 47);
  if (objclass98 == NULL) {
  Method *reader611 = addmethodrealflags(obj98, "slashState",&reader_lexer_slashState_611, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader611->definitionModule = modulename;
  reader611->definitionLine = 440;
  }
  adddatum2(obj98, alloc_Undefined(), 48);
  if (objclass98 == NULL) {
  Method *reader612 = addmethodrealflags(obj98, "dotState",&reader_lexer_dotState_612, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader612->definitionModule = modulename;
  reader612->definitionLine = 458;
  }
  adddatum2(obj98, alloc_Undefined(), 49);
  if (objclass98 == NULL) {
  Method *reader613 = addmethodrealflags(obj98, "identifierState",&reader_lexer_identifierState_613, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader613->definitionModule = modulename;
  reader613->definitionLine = 482;
  }
  adddatum2(obj98, alloc_Undefined(), 50);
  if (objclass98 == NULL) {
  Method *reader614 = addmethodrealflags(obj98, "quotedStringState",&reader_lexer_quotedStringState_614, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader614->definitionModule = modulename;
  reader614->definitionLine = 508;
  }
  adddatum2(obj98, alloc_Undefined(), 51);
  if (objclass98 == NULL) {
  Method *reader615 = addmethodrealflags(obj98, "unicodeState",&reader_lexer_unicodeState_615, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader615->definitionModule = modulename;
  reader615->definitionLine = 542;
  }
  adddatum2(obj98, alloc_Undefined(), 52);
  if (objclass98 == NULL) {
  Method *reader616 = addmethodrealflags(obj98, "quotedStringEscapedState",&reader_lexer_quotedStringEscapedState_616, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader616->definitionModule = modulename;
  reader616->definitionLine = 556;
  }
  adddatum2(obj98, alloc_Undefined(), 53);
  if (objclass98 == NULL) {
  Method *reader617 = addmethodrealflags(obj98, "extendedStringState",&reader_lexer_extendedStringState_617, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader617->definitionModule = modulename;
  reader617->definitionLine = 606;
  }
  adddatum2(obj98, alloc_Undefined(), 54);
  if (objclass98 == NULL) {
    Method *reader618 = addmethodrealflags(obj98, "tokenBase", &reader_lexer_tokenBase_618, MFLAG_CONFIDENTIAL);
    Method *writer618 = addmethodrealflags(obj98, "tokenBase:=(1)", &writer_lexer_tokenBase_618, 0);
    reader618->definitionModule = modulename;
    writer618->definitionModule = modulename;
    reader618->definitionLine = 620;
    writer618->definitionLine = 620;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 55);
  if (objclass98 == NULL) {
    Method *reader619 = addmethodrealflags(obj98, "mantissa", &reader_lexer_mantissa_619, MFLAG_CONFIDENTIAL);
    Method *writer619 = addmethodrealflags(obj98, "mantissa:=(1)", &writer_lexer_mantissa_619, 0);
    reader619->definitionModule = modulename;
    writer619->definitionModule = modulename;
    reader619->definitionLine = 621;
    writer619->definitionLine = 621;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 56);
  if (objclass98 == NULL) {
  Method *reader620 = addmethodrealflags(obj98, "numberStartState",&reader_lexer_numberStartState_620, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader620->definitionModule = modulename;
  reader620->definitionLine = 622;
  }
  adddatum2(obj98, alloc_Undefined(), 57);
  if (objclass98 == NULL) {
  Method *reader621 = addmethodrealflags(obj98, "numberBaseState",&reader_lexer_numberBaseState_621, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader621->definitionModule = modulename;
  reader621->definitionLine = 652;
  }
  adddatum2(obj98, alloc_Undefined(), 58);
  if (objclass98 == NULL) {
  Method *reader622 = addmethodrealflags(obj98, "numberDotState",&reader_lexer_numberDotState_622, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader622->definitionModule = modulename;
  reader622->definitionLine = 668;
  }
  adddatum2(obj98, alloc_Undefined(), 59);
  if (objclass98 == NULL) {
  Method *reader623 = addmethodrealflags(obj98, "numberFractionState",&reader_lexer_numberFractionState_623, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader623->definitionModule = modulename;
  reader623->definitionLine = 687;
  }
  adddatum2(obj98, alloc_Undefined(), 60);
  if (objclass98 == NULL) {
  Method *reader624 = addmethodrealflags(obj98, "numberExponentSignState",&reader_lexer_numberExponentSignState_624, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader624->definitionModule = modulename;
  reader624->definitionLine = 706;
  }
  adddatum2(obj98, alloc_Undefined(), 61);
  if (objclass98 == NULL) {
  Method *reader625 = addmethodrealflags(obj98, "numberExponentState",&reader_lexer_numberExponentState_625, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader625->definitionModule = modulename;
  reader625->definitionLine = 721;
  }
  adddatum2(obj98, alloc_Undefined(), 62);
  if (objclass98 == NULL) {
  Method *reader626 = addmethodrealflags(obj98, "operatorState",&reader_lexer_operatorState_626, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader626->definitionModule = modulename;
  reader626->definitionLine = 754;
  }
  adddatum2(obj98, alloc_Undefined(), 63);
  if (objclass98 == NULL) {
  Method *reader627 = addmethodrealflags(obj98, "indentationState",&reader_lexer_indentationState_627, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader627->definitionModule = modulename;
  reader627->definitionLine = 775;
  }
  adddatum2(obj98, alloc_Undefined(), 64);
  if (objclass98 == NULL) {
  Method *reader628 = addmethodrealflags(obj98, "commentSpaceState",&reader_lexer_commentSpaceState_628, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader628->definitionModule = modulename;
  reader628->definitionLine = 785;
  }
  adddatum2(obj98, alloc_Undefined(), 65);
  if (objclass98 == NULL) {
  Method *reader629 = addmethodrealflags(obj98, "commentState",&reader_lexer_commentState_629, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader629->definitionModule = modulename;
  reader629->definitionLine = 794;
  }
  adddatum2(obj98, alloc_Undefined(), 66);
// method "newLineError"
  block_savedest(obj98);
  Object closure630 = createclosure(2, "newLineError");
  setclosureframe(closure630, stackframe);
  addtoclosure(closure630, var_util);
  addtoclosure(closure630, var_errormessages);
  struct UserObject *uo630 = (struct UserObject*)obj98;
  uo630->data[67] = (Object)closure630;
  Method *meth_meth_lexer_630_newLineError = addmethod2pos(obj98, "newLineError", &meth_lexer_630_newLineError, 67);
  int argcv_meth_lexer_630_newLineError[] = {0};
  meth_meth_lexer_630_newLineError->type = alloc_MethodType(1, argcv_meth_lexer_630_newLineError);
  meth_meth_lexer_630_newLineError->definitionModule = modulename;
  meth_meth_lexer_630_newLineError->definitionLine = 806;
// method "isSpaceChar(_)"
  block_savedest(obj98);
  Object closure954 = createclosure(1, "isSpaceChar(1)");
  setclosureframe(closure954, stackframe);
  addtoclosure(closure954, var_spaceChars);
  struct UserObject *uo954 = (struct UserObject*)obj98;
  uo954->data[68] = (Object)closure954;
  Method *meth_meth_lexer_954_isSpaceChar_40_1_41_ = addmethod2pos(obj98, "isSpaceChar(1)", &meth_lexer_954_isSpaceChar_40_1_41_, 68);
  int argcv_meth_lexer_954_isSpaceChar_40_1_41_[] = {1};
  meth_meth_lexer_954_isSpaceChar_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_954_isSpaceChar_40_1_41_);
  meth_meth_lexer_954_isSpaceChar_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_954_isSpaceChar_40_1_41_->definitionLine = 875;
// method "checkSeparatorString(_)"
  block_savedest(obj98);
  Object closure957 = createclosure(2, "checkSeparatorString(1)");
  setclosureframe(closure957, stackframe);
  addtoclosure(closure957, var_errormessages);
  addtoclosure(closure957, var_unicode);
  struct UserObject *uo957 = (struct UserObject*)obj98;
  uo957->data[69] = (Object)closure957;
  Method *meth_meth_lexer_957_checkSeparatorString_40_1_41_ = addmethod2pos(obj98, "checkSeparatorString(1)", &meth_lexer_957_checkSeparatorString_40_1_41_, 69);
  int argcv_meth_lexer_957_checkSeparatorString_40_1_41_[] = {1};
  meth_meth_lexer_957_checkSeparatorString_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_957_checkSeparatorString_40_1_41_);
  meth_meth_lexer_957_checkSeparatorString_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_957_checkSeparatorString_40_1_41_->definitionLine = 878;
// method "checkSeparator(_)"
  block_savedest(obj98);
  Object closure1265 = createclosure(2, "checkSeparator(1)");
  setclosureframe(closure1265, stackframe);
  addtoclosure(closure1265, var_errormessages);
  addtoclosure(closure1265, var_unicode);
  struct UserObject *uo1265 = (struct UserObject*)obj98;
  uo1265->data[70] = (Object)closure1265;
  Method *meth_meth_lexer_1265_checkSeparator_40_1_41_ = addmethod2pos(obj98, "checkSeparator(1)", &meth_lexer_1265_checkSeparator_40_1_41_, 70);
  int argcv_meth_lexer_1265_checkSeparator_40_1_41_[] = {1};
  meth_meth_lexer_1265_checkSeparator_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1265_checkSeparator_40_1_41_);
  meth_meth_lexer_1265_checkSeparator_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1265_checkSeparator_40_1_41_->definitionLine = 936;
// method "fromBase(_,_)"
  block_savedest(obj98);
  Object closure1381 = createclosure(2, "fromBase(2)");
  setclosureframe(closure1381, stackframe);
  addtoclosure(closure1381, var_errormessages);
  addtoclosure(closure1381, var_unicode);
  struct UserObject *uo1381 = (struct UserObject*)obj98;
  uo1381->data[71] = (Object)closure1381;
  Method *meth_meth_lexer_1381_fromBase_40_2_41_ = addmethod2pos(obj98, "fromBase(2)", &meth_lexer_1381_fromBase_40_2_41_, 71);
  int argcv_meth_lexer_1381_fromBase_40_2_41_[] = {2};
  meth_meth_lexer_1381_fromBase_40_2_41_->type = alloc_MethodType(1, argcv_meth_lexer_1381_fromBase_40_2_41_);
  meth_meth_lexer_1381_fromBase_40_2_41_->definitionModule = modulename;
  meth_meth_lexer_1381_fromBase_40_2_41_->definitionLine = 963;
// method "hexdecchar(_)"
  block_savedest(obj98);
  Object closure1621 = createclosure(1, "hexdecchar(1)");
  setclosureframe(closure1621, stackframe);
  addtoclosure(closure1621, var_errormessages);
  struct UserObject *uo1621 = (struct UserObject*)obj98;
  uo1621->data[72] = (Object)closure1621;
  Method *meth_meth_lexer_1621_hexdecchar_40_1_41_ = addmethod2pos(obj98, "hexdecchar(1)", &meth_lexer_1621_hexdecchar_40_1_41_, 72);
  int argcv_meth_lexer_1621_hexdecchar_40_1_41_[] = {1};
  meth_meth_lexer_1621_hexdecchar_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1621_hexdecchar_40_1_41_);
  meth_meth_lexer_1621_hexdecchar_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1621_hexdecchar_40_1_41_->definitionLine = 1005;
// method "lexfile(_)"
  block_savedest(obj98);
  Object closure1705 = createclosure(1, "lexfile(1)");
  setclosureframe(closure1705, stackframe);
  addtoclosure(closure1705, var_util);
  struct UserObject *uo1705 = (struct UserObject*)obj98;
  uo1705->data[73] = (Object)closure1705;
  Method *meth_meth_lexer_1705_lexfile_40_1_41_ = addmethod2pos(obj98, "lexfile(1)", &meth_lexer_1705_lexfile_40_1_41_, 73);
  int argcv_meth_lexer_1705_lexfile_40_1_41_[] = {1};
  meth_meth_lexer_1705_lexfile_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1705_lexfile_40_1_41_);
  meth_meth_lexer_1705_lexfile_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1705_lexfile_40_1_41_->definitionLine = 1024;
// method "lexinput(_)"
  block_savedest(obj98);
  Object closure1823 = createclosure(2, "lexinput(1)");
  setclosureframe(closure1823, stackframe);
  addtoclosure(closure1823, var_errormessages);
  addtoclosure(closure1823, var_util);
  struct UserObject *uo1823 = (struct UserObject*)obj98;
  uo1823->data[74] = (Object)closure1823;
  Method *meth_meth_lexer_1823_lexinput_40_1_41_ = addmethod2pos(obj98, "lexinput(1)", &meth_lexer_1823_lexinput_40_1_41_, 74);
  int argcv_meth_lexer_1823_lexinput_40_1_41_[] = {1};
  meth_meth_lexer_1823_lexinput_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1823_lexinput_40_1_41_);
  meth_meth_lexer_1823_lexinput_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1823_lexinput_40_1_41_->definitionLine = 1079;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 1);
  sourceObject = obj98;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2262 = alloc_Float64(1);
// compiled num node returning num2262 (depth = 2)
  adddatum2(obj98, num2262, 2);
  sourceObject = obj98;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2263 = alloc_Float64(0);
// compiled num node returning num2263 (depth = 2)
  adddatum2(obj98, num2263, 3);
  sourceObject = obj98;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2264 = alloc_Float64(1);
// compiled num node returning num2264 (depth = 2)
  adddatum2(obj98, num2264, 4);
  sourceObject = obj98;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2265 = alloc_Float64(0);
// compiled num node returning num2265 (depth = 2)
  adddatum2(obj98, num2265, 5);
  sourceObject = obj98;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2266 = alloc_Float64(1);
// compiled num node returning num2266 (depth = 2)
  adddatum2(obj98, num2266, 6);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 7);
  sourceObject = obj98;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2267 = alloc_Float64(0);
// compiled num node returning num2267 (depth = 2)
  adddatum2(obj98, num2267, 8);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 32);
  sourceObject = obj98;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit2268 == NULL) {
    strlit2268 = alloc_String("");
    gc_root(strlit2268);
  }
// compiled string node returning strlit2268 (depth = 2)
  adddatum2(obj98, strlit2268, 33);
  sourceObject = obj98;
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2269 = alloc_Boolean(0);
// compiled identifier node returning bool2269 (depth = 2)
  adddatum2(obj98, bool2269, 34);
  sourceObject = obj98;
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2270 = alloc_Boolean(0);
// compiled identifier node returning bool2270 (depth = 2)
  adddatum2(obj98, bool2270, 35);
  sourceObject = obj98;
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2271 = alloc_Float64(0);
// compiled num node returning num2271 (depth = 2)
  adddatum2(obj98, num2271, 36);
  sourceObject = obj98;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2272 = alloc_Float64(0);
// compiled num node returning num2272 (depth = 2)
  adddatum2(obj98, num2272, 37);
  sourceObject = obj98;
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2273 = alloc_Boolean(0);
// compiled identifier node returning bool2273 (depth = 2)
  adddatum2(obj98, bool2273, 38);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  Object inheritingObject2274 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2274 = alloc_userobj2(1,2, objclass2274);
  gc_frame_newslot(obj2274);
  if (objclass2274 == NULL) {
    glfree(obj2274->class->name);
    obj2274->class->name = "startState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2274, obj98, 0);
  addmethodreal(obj2274,"outer", &reader_lexer_outer_2275);
  Object oldself2274 = self;
  struct StackFrameObject *oldstackframe2274 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2274);
  gc_frame_newslot((Object)stackframe);
  self = obj2274;
  Object *oldselfslot2274 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2274 = (*(struct UserObject *)self).data[0], lowerouter2274 = thisouter2274;
  if (inheritingObject2274) {
    struct UserObject *inho2274 = (struct UserObject *)inheritingObject2274;
    while (inho2274->super != GraceDefaultObject) inho2274 = (struct UserObject *)inho2274->super;
    inho2274->super = obj2274;
    self = inheritingObject2274;
    *selfslot = self;
    lowerouter2274 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2274;
  }
// method "consume(_)"
  struct UserObject *uo2276 = (struct UserObject*)obj2274;
  uo2276->data[1] = emptyclosure;
  Method *meth_meth_lexer_2276_consume_40_1_41_ = addmethod2pos(obj2274, "consume(1)", &meth_lexer_2276_consume_40_1_41_, 1);
  int argcv_meth_lexer_2276_consume_40_1_41_[] = {1};
  meth_meth_lexer_2276_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2276_consume_40_1_41_);
  meth_meth_lexer_2276_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2276_consume_40_1_41_->definitionLine = 272;
  sourceObject = obj2274;
  objclass2274 = obj2274->class;
  objclass2274->definitionModule = modulename;
  objclass2274->definitionLine = 271;
  (*(struct UserObject *)self).data[0] = lowerouter2274;
  self = oldself2274;
  selfslot = oldselfslot2274;
  stackframe = oldstackframe2274;
  adddatum2(obj98, obj2274, 42);
  sourceObject = obj98;
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2304 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2305 = gc_frame_new();
// call case 4: self request
  Object call2306 = callmethodflags(self, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2305);
// compiled member node returning call2306 (depth = 3)
  gc_frame_newslot(call2306);
// call case 4: self request
  params[0] = call2306;
  partcv[0] = 1;
  Object call2307 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2304);
// compiled call node returning call2307 (depth = 2)
  sourceObject = obj98;
  Object inheritingObject2308 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2308 = alloc_userobj2(1,2, objclass2308);
  gc_frame_newslot(obj2308);
  if (objclass2308 == NULL) {
    glfree(obj2308->class->name);
    obj2308->class->name = "pragmaPrefixState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2308, obj98, 0);
  addmethodreal(obj2308,"outer", &reader_lexer_outer_2309);
  Object oldself2308 = self;
  struct StackFrameObject *oldstackframe2308 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2308);
  gc_frame_newslot((Object)stackframe);
  self = obj2308;
  Object *oldselfslot2308 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2308 = (*(struct UserObject *)self).data[0], lowerouter2308 = thisouter2308;
  if (inheritingObject2308) {
    struct UserObject *inho2308 = (struct UserObject *)inheritingObject2308;
    while (inho2308->super != GraceDefaultObject) inho2308 = (struct UserObject *)inho2308->super;
    inho2308->super = obj2308;
    self = inheritingObject2308;
    *selfslot = self;
    lowerouter2308 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2308;
  }
// method "consume(_)"
  block_savedest(obj2308);
  Object closure2310 = createclosure(1, "consume(1)");
  setclosureframe(closure2310, stackframe);
  addtoclosure(closure2310, var_errormessages);
  struct UserObject *uo2310 = (struct UserObject*)obj2308;
  uo2310->data[1] = (Object)closure2310;
  Method *meth_meth_lexer_2310_consume_40_1_41_ = addmethod2pos(obj2308, "consume(1)", &meth_lexer_2310_consume_40_1_41_, 1);
  int argcv_meth_lexer_2310_consume_40_1_41_[] = {1};
  meth_meth_lexer_2310_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2310_consume_40_1_41_);
  meth_meth_lexer_2310_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2310_consume_40_1_41_->definitionLine = 284;
  sourceObject = obj2308;
  objclass2308 = obj2308->class;
  objclass2308->definitionModule = modulename;
  objclass2308->definitionLine = 283;
  (*(struct UserObject *)self).data[0] = lowerouter2308;
  self = oldself2308;
  selfslot = oldselfslot2308;
  stackframe = oldstackframe2308;
  adddatum2(obj98, obj2308, 43);
  sourceObject = obj98;
  Object inheritingObject2381 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2381 = alloc_userobj2(1,2, objclass2381);
  gc_frame_newslot(obj2381);
  if (objclass2381 == NULL) {
    glfree(obj2381->class->name);
    obj2381->class->name = "pragmaBodyState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2381, obj98, 0);
  addmethodreal(obj2381,"outer", &reader_lexer_outer_2382);
  Object oldself2381 = self;
  struct StackFrameObject *oldstackframe2381 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2381);
  gc_frame_newslot((Object)stackframe);
  self = obj2381;
  Object *oldselfslot2381 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2381 = (*(struct UserObject *)self).data[0], lowerouter2381 = thisouter2381;
  if (inheritingObject2381) {
    struct UserObject *inho2381 = (struct UserObject *)inheritingObject2381;
    while (inho2381->super != GraceDefaultObject) inho2381 = (struct UserObject *)inho2381->super;
    inho2381->super = obj2381;
    self = inheritingObject2381;
    *selfslot = self;
    lowerouter2381 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2381;
  }
// method "consume(_)"
  block_savedest(obj2381);
  Object closure2383 = createclosure(1, "consume(1)");
  setclosureframe(closure2383, stackframe);
  addtoclosure(closure2383, var_util);
  struct UserObject *uo2383 = (struct UserObject*)obj2381;
  uo2383->data[1] = (Object)closure2383;
  Method *meth_meth_lexer_2383_consume_40_1_41_ = addmethod2pos(obj2381, "consume(1)", &meth_lexer_2383_consume_40_1_41_, 1);
  int argcv_meth_lexer_2383_consume_40_1_41_[] = {1};
  meth_meth_lexer_2383_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2383_consume_40_1_41_);
  meth_meth_lexer_2383_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2383_consume_40_1_41_->definitionLine = 305;
  sourceObject = obj2381;
  objclass2381 = obj2381->class;
  objclass2381->definitionModule = modulename;
  objclass2381->definitionLine = 304;
  (*(struct UserObject *)self).data[0] = lowerouter2381;
  self = oldself2381;
  selfslot = oldselfslot2381;
  stackframe = oldstackframe2381;
  adddatum2(obj98, obj2381, 44);
  sourceObject = obj98;
  Object inheritingObject2429 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2429 = alloc_userobj2(1,2, objclass2429);
  gc_frame_newslot(obj2429);
  if (objclass2429 == NULL) {
    glfree(obj2429->class->name);
    obj2429->class->name = "pragmaTrailingWhitespaceState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2429, obj98, 0);
  addmethodreal(obj2429,"outer", &reader_lexer_outer_2430);
  Object oldself2429 = self;
  struct StackFrameObject *oldstackframe2429 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2429);
  gc_frame_newslot((Object)stackframe);
  self = obj2429;
  Object *oldselfslot2429 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2429 = (*(struct UserObject *)self).data[0], lowerouter2429 = thisouter2429;
  if (inheritingObject2429) {
    struct UserObject *inho2429 = (struct UserObject *)inheritingObject2429;
    while (inho2429->super != GraceDefaultObject) inho2429 = (struct UserObject *)inho2429->super;
    inho2429->super = obj2429;
    self = inheritingObject2429;
    *selfslot = self;
    lowerouter2429 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2429;
  }
// method "consume(_)"
  block_savedest(obj2429);
  Object closure2431 = createclosure(1, "consume(1)");
  setclosureframe(closure2431, stackframe);
  addtoclosure(closure2431, var_errormessages);
  struct UserObject *uo2431 = (struct UserObject*)obj2429;
  uo2431->data[1] = (Object)closure2431;
  Method *meth_meth_lexer_2431_consume_40_1_41_ = addmethod2pos(obj2429, "consume(1)", &meth_lexer_2431_consume_40_1_41_, 1);
  int argcv_meth_lexer_2431_consume_40_1_41_[] = {1};
  meth_meth_lexer_2431_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2431_consume_40_1_41_);
  meth_meth_lexer_2431_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2431_consume_40_1_41_->definitionLine = 320;
  sourceObject = obj2429;
  objclass2429 = obj2429->class;
  objclass2429->definitionModule = modulename;
  objclass2429->definitionLine = 319;
  (*(struct UserObject *)self).data[0] = lowerouter2429;
  self = oldself2429;
  selfslot = oldselfslot2429;
  stackframe = oldstackframe2429;
  adddatum2(obj98, obj2429, 45);
  sourceObject = obj98;
  Object inheritingObject2471 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2471 = alloc_userobj2(1,2, objclass2471);
  gc_frame_newslot(obj2471);
  if (objclass2471 == NULL) {
    glfree(obj2471->class->name);
    obj2471->class->name = "defaultState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2471, obj98, 0);
  addmethodreal(obj2471,"outer", &reader_lexer_outer_2472);
  Object oldself2471 = self;
  struct StackFrameObject *oldstackframe2471 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2471);
  gc_frame_newslot((Object)stackframe);
  self = obj2471;
  Object *oldselfslot2471 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2471 = (*(struct UserObject *)self).data[0], lowerouter2471 = thisouter2471;
  if (inheritingObject2471) {
    struct UserObject *inho2471 = (struct UserObject *)inheritingObject2471;
    while (inho2471->super != GraceDefaultObject) inho2471 = (struct UserObject *)inho2471->super;
    inho2471->super = obj2471;
    self = inheritingObject2471;
    *selfslot = self;
    lowerouter2471 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2471;
  }
// method "consume(_)"
  block_savedest(obj2471);
  Object closure2473 = createclosure(3, "consume(1)");
  setclosureframe(closure2473, stackframe);
  addtoclosure(closure2473, var_spaceChars);
  addtoclosure(closure2473, var_errormessages);
  addtoclosure(closure2473, var_unicode);
  struct UserObject *uo2473 = (struct UserObject*)obj2471;
  uo2473->data[1] = (Object)closure2473;
  Method *meth_meth_lexer_2473_consume_40_1_41_ = addmethod2pos(obj2471, "consume(1)", &meth_lexer_2473_consume_40_1_41_, 1);
  int argcv_meth_lexer_2473_consume_40_1_41_[] = {1};
  meth_meth_lexer_2473_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2473_consume_40_1_41_);
  meth_meth_lexer_2473_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2473_consume_40_1_41_->definitionLine = 332;
  sourceObject = obj2471;
  objclass2471 = obj2471->class;
  objclass2471->definitionModule = modulename;
  objclass2471->definitionLine = 331;
  (*(struct UserObject *)self).data[0] = lowerouter2471;
  self = oldself2471;
  selfslot = oldselfslot2471;
  stackframe = oldstackframe2471;
  adddatum2(obj98, obj2471, 46);
  sourceObject = obj98;
  Object inheritingObject3021 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3021 = alloc_userobj2(1,2, objclass3021);
  gc_frame_newslot(obj3021);
  if (objclass3021 == NULL) {
    glfree(obj3021->class->name);
    obj3021->class->name = "rBraceState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3021, obj98, 0);
  addmethodreal(obj3021,"outer", &reader_lexer_outer_3022);
  Object oldself3021 = self;
  struct StackFrameObject *oldstackframe3021 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3021);
  gc_frame_newslot((Object)stackframe);
  self = obj3021;
  Object *oldselfslot3021 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3021 = (*(struct UserObject *)self).data[0], lowerouter3021 = thisouter3021;
  if (inheritingObject3021) {
    struct UserObject *inho3021 = (struct UserObject *)inheritingObject3021;
    while (inho3021->super != GraceDefaultObject) inho3021 = (struct UserObject *)inho3021->super;
    inho3021->super = obj3021;
    self = inheritingObject3021;
    *selfslot = self;
    lowerouter3021 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3021;
  }
// method "consume(_)"
  block_savedest(obj3021);
  Object closure3023 = createclosure(1, "consume(1)");
  setclosureframe(closure3023, stackframe);
  addtoclosure(closure3023, var_errormessages);
  struct UserObject *uo3023 = (struct UserObject*)obj3021;
  uo3023->data[1] = (Object)closure3023;
  Method *meth_meth_lexer_3023_consume_40_1_41_ = addmethod2pos(obj3021, "consume(1)", &meth_lexer_3023_consume_40_1_41_, 1);
  int argcv_meth_lexer_3023_consume_40_1_41_[] = {1};
  meth_meth_lexer_3023_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3023_consume_40_1_41_);
  meth_meth_lexer_3023_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3023_consume_40_1_41_->definitionLine = 413;
  sourceObject = obj3021;
  objclass3021 = obj3021->class;
  objclass3021->definitionModule = modulename;
  objclass3021->definitionLine = 412;
  (*(struct UserObject *)self).data[0] = lowerouter3021;
  self = oldself3021;
  selfslot = oldselfslot3021;
  stackframe = oldstackframe3021;
  adddatum2(obj98, obj3021, 47);
  sourceObject = obj98;
  Object inheritingObject3169 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3169 = alloc_userobj2(1,2, objclass3169);
  gc_frame_newslot(obj3169);
  if (objclass3169 == NULL) {
    glfree(obj3169->class->name);
    obj3169->class->name = "slashState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3169, obj98, 0);
  addmethodreal(obj3169,"outer", &reader_lexer_outer_3170);
  Object oldself3169 = self;
  struct StackFrameObject *oldstackframe3169 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3169);
  gc_frame_newslot((Object)stackframe);
  self = obj3169;
  Object *oldselfslot3169 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3169 = (*(struct UserObject *)self).data[0], lowerouter3169 = thisouter3169;
  if (inheritingObject3169) {
    struct UserObject *inho3169 = (struct UserObject *)inheritingObject3169;
    while (inho3169->super != GraceDefaultObject) inho3169 = (struct UserObject *)inho3169->super;
    inho3169->super = obj3169;
    self = inheritingObject3169;
    *selfslot = self;
    lowerouter3169 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3169;
  }
// method "consume(_)"
  struct UserObject *uo3171 = (struct UserObject*)obj3169;
  uo3171->data[1] = emptyclosure;
  Method *meth_meth_lexer_3171_consume_40_1_41_ = addmethod2pos(obj3169, "consume(1)", &meth_lexer_3171_consume_40_1_41_, 1);
  int argcv_meth_lexer_3171_consume_40_1_41_[] = {1};
  meth_meth_lexer_3171_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3171_consume_40_1_41_);
  meth_meth_lexer_3171_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3171_consume_40_1_41_->definitionLine = 441;
  sourceObject = obj3169;
  objclass3169 = obj3169->class;
  objclass3169->definitionModule = modulename;
  objclass3169->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter3169;
  self = oldself3169;
  selfslot = oldselfslot3169;
  stackframe = oldstackframe3169;
  adddatum2(obj98, obj3169, 48);
  sourceObject = obj98;
  Object inheritingObject3239 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3239 = alloc_userobj2(1,2, objclass3239);
  gc_frame_newslot(obj3239);
  if (objclass3239 == NULL) {
    glfree(obj3239->class->name);
    obj3239->class->name = "dotState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3239, obj98, 0);
  addmethodreal(obj3239,"outer", &reader_lexer_outer_3240);
  Object oldself3239 = self;
  struct StackFrameObject *oldstackframe3239 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3239);
  gc_frame_newslot((Object)stackframe);
  self = obj3239;
  Object *oldselfslot3239 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3239 = (*(struct UserObject *)self).data[0], lowerouter3239 = thisouter3239;
  if (inheritingObject3239) {
    struct UserObject *inho3239 = (struct UserObject *)inheritingObject3239;
    while (inho3239->super != GraceDefaultObject) inho3239 = (struct UserObject *)inho3239->super;
    inho3239->super = obj3239;
    self = inheritingObject3239;
    *selfslot = self;
    lowerouter3239 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3239;
  }
// method "consume(_)"
  struct UserObject *uo3241 = (struct UserObject*)obj3239;
  uo3241->data[1] = emptyclosure;
  Method *meth_meth_lexer_3241_consume_40_1_41_ = addmethod2pos(obj3239, "consume(1)", &meth_lexer_3241_consume_40_1_41_, 1);
  int argcv_meth_lexer_3241_consume_40_1_41_[] = {1};
  meth_meth_lexer_3241_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3241_consume_40_1_41_);
  meth_meth_lexer_3241_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3241_consume_40_1_41_->definitionLine = 459;
  sourceObject = obj3239;
  objclass3239 = obj3239->class;
  objclass3239->definitionModule = modulename;
  objclass3239->definitionLine = 458;
  (*(struct UserObject *)self).data[0] = lowerouter3239;
  self = oldself3239;
  selfslot = oldselfslot3239;
  stackframe = oldstackframe3239;
  adddatum2(obj98, obj3239, 49);
  sourceObject = obj98;
  Object inheritingObject3339 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3339 = alloc_userobj2(1,2, objclass3339);
  gc_frame_newslot(obj3339);
  if (objclass3339 == NULL) {
    glfree(obj3339->class->name);
    obj3339->class->name = "identifierState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3339, obj98, 0);
  addmethodreal(obj3339,"outer", &reader_lexer_outer_3340);
  Object oldself3339 = self;
  struct StackFrameObject *oldstackframe3339 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3339);
  gc_frame_newslot((Object)stackframe);
  self = obj3339;
  Object *oldselfslot3339 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3339 = (*(struct UserObject *)self).data[0], lowerouter3339 = thisouter3339;
  if (inheritingObject3339) {
    struct UserObject *inho3339 = (struct UserObject *)inheritingObject3339;
    while (inho3339->super != GraceDefaultObject) inho3339 = (struct UserObject *)inho3339->super;
    inho3339->super = obj3339;
    self = inheritingObject3339;
    *selfslot = self;
    lowerouter3339 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3339;
  }
// method "consume(_)"
  block_savedest(obj3339);
  Object closure3341 = createclosure(2, "consume(1)");
  setclosureframe(closure3341, stackframe);
  addtoclosure(closure3341, var_keywords);
  addtoclosure(closure3341, var_errormessages);
  struct UserObject *uo3341 = (struct UserObject*)obj3339;
  uo3341->data[1] = (Object)closure3341;
  Method *meth_meth_lexer_3341_consume_40_1_41_ = addmethod2pos(obj3339, "consume(1)", &meth_lexer_3341_consume_40_1_41_, 1);
  int argcv_meth_lexer_3341_consume_40_1_41_[] = {1};
  meth_meth_lexer_3341_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3341_consume_40_1_41_);
  meth_meth_lexer_3341_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3341_consume_40_1_41_->definitionLine = 483;
  sourceObject = obj3339;
  objclass3339 = obj3339->class;
  objclass3339->definitionModule = modulename;
  objclass3339->definitionLine = 482;
  (*(struct UserObject *)self).data[0] = lowerouter3339;
  self = oldself3339;
  selfslot = oldselfslot3339;
  stackframe = oldstackframe3339;
  adddatum2(obj98, obj3339, 50);
  sourceObject = obj98;
  Object inheritingObject3460 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3460 = alloc_userobj2(1,2, objclass3460);
  gc_frame_newslot(obj3460);
  if (objclass3460 == NULL) {
    glfree(obj3460->class->name);
    obj3460->class->name = "quotedStringState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3460, obj98, 0);
  addmethodreal(obj3460,"outer", &reader_lexer_outer_3461);
  Object oldself3460 = self;
  struct StackFrameObject *oldstackframe3460 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3460);
  gc_frame_newslot((Object)stackframe);
  self = obj3460;
  Object *oldselfslot3460 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3460 = (*(struct UserObject *)self).data[0], lowerouter3460 = thisouter3460;
  if (inheritingObject3460) {
    struct UserObject *inho3460 = (struct UserObject *)inheritingObject3460;
    while (inho3460->super != GraceDefaultObject) inho3460 = (struct UserObject *)inho3460->super;
    inho3460->super = obj3460;
    self = inheritingObject3460;
    *selfslot = self;
    lowerouter3460 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3460;
  }
// method "consume(_)"
  struct UserObject *uo3462 = (struct UserObject*)obj3460;
  uo3462->data[1] = emptyclosure;
  Method *meth_meth_lexer_3462_consume_40_1_41_ = addmethod2pos(obj3460, "consume(1)", &meth_lexer_3462_consume_40_1_41_, 1);
  int argcv_meth_lexer_3462_consume_40_1_41_[] = {1};
  meth_meth_lexer_3462_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3462_consume_40_1_41_);
  meth_meth_lexer_3462_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3462_consume_40_1_41_->definitionLine = 509;
  sourceObject = obj3460;
  objclass3460 = obj3460->class;
  objclass3460->definitionModule = modulename;
  objclass3460->definitionLine = 508;
  (*(struct UserObject *)self).data[0] = lowerouter3460;
  self = oldself3460;
  selfslot = oldselfslot3460;
  stackframe = oldstackframe3460;
  adddatum2(obj98, obj3460, 51);
  sourceObject = obj98;
  Object inheritingObject3639 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3639 = alloc_userobj2(1,2, objclass3639);
  gc_frame_newslot(obj3639);
  if (objclass3639 == NULL) {
    glfree(obj3639->class->name);
    obj3639->class->name = "unicodeState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3639, obj98, 0);
  addmethodreal(obj3639,"outer", &reader_lexer_outer_3640);
  Object oldself3639 = self;
  struct StackFrameObject *oldstackframe3639 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3639);
  gc_frame_newslot((Object)stackframe);
  self = obj3639;
  Object *oldselfslot3639 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3639 = (*(struct UserObject *)self).data[0], lowerouter3639 = thisouter3639;
  if (inheritingObject3639) {
    struct UserObject *inho3639 = (struct UserObject *)inheritingObject3639;
    while (inho3639->super != GraceDefaultObject) inho3639 = (struct UserObject *)inho3639->super;
    inho3639->super = obj3639;
    self = inheritingObject3639;
    *selfslot = self;
    lowerouter3639 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3639;
  }
// method "consume(_)"
  block_savedest(obj3639);
  Object closure3641 = createclosure(1, "consume(1)");
  setclosureframe(closure3641, stackframe);
  addtoclosure(closure3641, var_unicode);
  struct UserObject *uo3641 = (struct UserObject*)obj3639;
  uo3641->data[1] = (Object)closure3641;
  Method *meth_meth_lexer_3641_consume_40_1_41_ = addmethod2pos(obj3639, "consume(1)", &meth_lexer_3641_consume_40_1_41_, 1);
  int argcv_meth_lexer_3641_consume_40_1_41_[] = {1};
  meth_meth_lexer_3641_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3641_consume_40_1_41_);
  meth_meth_lexer_3641_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3641_consume_40_1_41_->definitionLine = 543;
  sourceObject = obj3639;
  objclass3639 = obj3639->class;
  objclass3639->definitionModule = modulename;
  objclass3639->definitionLine = 542;
  (*(struct UserObject *)self).data[0] = lowerouter3639;
  self = oldself3639;
  selfslot = oldselfslot3639;
  stackframe = oldstackframe3639;
  adddatum2(obj98, obj3639, 52);
  sourceObject = obj98;
  Object inheritingObject3708 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3708 = alloc_userobj2(1,2, objclass3708);
  gc_frame_newslot(obj3708);
  if (objclass3708 == NULL) {
    glfree(obj3708->class->name);
    obj3708->class->name = "quotedStringEscapedState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3708, obj98, 0);
  addmethodreal(obj3708,"outer", &reader_lexer_outer_3709);
  Object oldself3708 = self;
  struct StackFrameObject *oldstackframe3708 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3708);
  gc_frame_newslot((Object)stackframe);
  self = obj3708;
  Object *oldselfslot3708 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3708 = (*(struct UserObject *)self).data[0], lowerouter3708 = thisouter3708;
  if (inheritingObject3708) {
    struct UserObject *inho3708 = (struct UserObject *)inheritingObject3708;
    while (inho3708->super != GraceDefaultObject) inho3708 = (struct UserObject *)inho3708->super;
    inho3708->super = obj3708;
    self = inheritingObject3708;
    *selfslot = self;
    lowerouter3708 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3708;
  }
// method "consume(_)"
  struct UserObject *uo3710 = (struct UserObject*)obj3708;
  uo3710->data[1] = emptyclosure;
  Method *meth_meth_lexer_3710_consume_40_1_41_ = addmethod2pos(obj3708, "consume(1)", &meth_lexer_3710_consume_40_1_41_, 1);
  int argcv_meth_lexer_3710_consume_40_1_41_[] = {1};
  meth_meth_lexer_3710_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3710_consume_40_1_41_);
  meth_meth_lexer_3710_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3710_consume_40_1_41_->definitionLine = 557;
  sourceObject = obj3708;
  objclass3708 = obj3708->class;
  objclass3708->definitionModule = modulename;
  objclass3708->definitionLine = 556;
  (*(struct UserObject *)self).data[0] = lowerouter3708;
  self = oldself3708;
  selfslot = oldselfslot3708;
  stackframe = oldstackframe3708;
  adddatum2(obj98, obj3708, 53);
  sourceObject = obj98;
  Object inheritingObject3918 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3918 = alloc_userobj2(1,2, objclass3918);
  gc_frame_newslot(obj3918);
  if (objclass3918 == NULL) {
    glfree(obj3918->class->name);
    obj3918->class->name = "extendedStringState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3918, obj98, 0);
  addmethodreal(obj3918,"outer", &reader_lexer_outer_3919);
  Object oldself3918 = self;
  struct StackFrameObject *oldstackframe3918 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3918);
  gc_frame_newslot((Object)stackframe);
  self = obj3918;
  Object *oldselfslot3918 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3918 = (*(struct UserObject *)self).data[0], lowerouter3918 = thisouter3918;
  if (inheritingObject3918) {
    struct UserObject *inho3918 = (struct UserObject *)inheritingObject3918;
    while (inho3918->super != GraceDefaultObject) inho3918 = (struct UserObject *)inho3918->super;
    inho3918->super = obj3918;
    self = inheritingObject3918;
    *selfslot = self;
    lowerouter3918 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3918;
  }
// method "consume(_)"
  struct UserObject *uo3920 = (struct UserObject*)obj3918;
  uo3920->data[1] = emptyclosure;
  Method *meth_meth_lexer_3920_consume_40_1_41_ = addmethod2pos(obj3918, "consume(1)", &meth_lexer_3920_consume_40_1_41_, 1);
  int argcv_meth_lexer_3920_consume_40_1_41_[] = {1};
  meth_meth_lexer_3920_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3920_consume_40_1_41_);
  meth_meth_lexer_3920_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3920_consume_40_1_41_->definitionLine = 607;
  sourceObject = obj3918;
  objclass3918 = obj3918->class;
  objclass3918->definitionModule = modulename;
  objclass3918->definitionLine = 606;
  (*(struct UserObject *)self).data[0] = lowerouter3918;
  self = oldself3918;
  selfslot = oldselfslot3918;
  stackframe = oldstackframe3918;
  adddatum2(obj98, obj3918, 54);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 55);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 56);
  sourceObject = obj98;
  Object inheritingObject3955 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3955 = alloc_userobj2(1,2, objclass3955);
  gc_frame_newslot(obj3955);
  if (objclass3955 == NULL) {
    glfree(obj3955->class->name);
    obj3955->class->name = "numberStartState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3955, obj98, 0);
  addmethodreal(obj3955,"outer", &reader_lexer_outer_3956);
  Object oldself3955 = self;
  struct StackFrameObject *oldstackframe3955 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3955);
  gc_frame_newslot((Object)stackframe);
  self = obj3955;
  Object *oldselfslot3955 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3955 = (*(struct UserObject *)self).data[0], lowerouter3955 = thisouter3955;
  if (inheritingObject3955) {
    struct UserObject *inho3955 = (struct UserObject *)inheritingObject3955;
    while (inho3955->super != GraceDefaultObject) inho3955 = (struct UserObject *)inho3955->super;
    inho3955->super = obj3955;
    self = inheritingObject3955;
    *selfslot = self;
    lowerouter3955 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3955;
  }
// method "consume(_)"
  block_savedest(obj3955);
  Object closure3957 = createclosure(1, "consume(1)");
  setclosureframe(closure3957, stackframe);
  addtoclosure(closure3957, var_errormessages);
  struct UserObject *uo3957 = (struct UserObject*)obj3955;
  uo3957->data[1] = (Object)closure3957;
  Method *meth_meth_lexer_3957_consume_40_1_41_ = addmethod2pos(obj3955, "consume(1)", &meth_lexer_3957_consume_40_1_41_, 1);
  int argcv_meth_lexer_3957_consume_40_1_41_[] = {1};
  meth_meth_lexer_3957_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3957_consume_40_1_41_);
  meth_meth_lexer_3957_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3957_consume_40_1_41_->definitionLine = 623;
  sourceObject = obj3955;
  objclass3955 = obj3955->class;
  objclass3955->definitionModule = modulename;
  objclass3955->definitionLine = 622;
  (*(struct UserObject *)self).data[0] = lowerouter3955;
  self = oldself3955;
  selfslot = oldselfslot3955;
  stackframe = oldstackframe3955;
  adddatum2(obj98, obj3955, 57);
  sourceObject = obj98;
  Object inheritingObject4126 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4126 = alloc_userobj2(1,2, objclass4126);
  gc_frame_newslot(obj4126);
  if (objclass4126 == NULL) {
    glfree(obj4126->class->name);
    obj4126->class->name = "numberBaseState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4126, obj98, 0);
  addmethodreal(obj4126,"outer", &reader_lexer_outer_4127);
  Object oldself4126 = self;
  struct StackFrameObject *oldstackframe4126 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4126);
  gc_frame_newslot((Object)stackframe);
  self = obj4126;
  Object *oldselfslot4126 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4126 = (*(struct UserObject *)self).data[0], lowerouter4126 = thisouter4126;
  if (inheritingObject4126) {
    struct UserObject *inho4126 = (struct UserObject *)inheritingObject4126;
    while (inho4126->super != GraceDefaultObject) inho4126 = (struct UserObject *)inho4126->super;
    inho4126->super = obj4126;
    self = inheritingObject4126;
    *selfslot = self;
    lowerouter4126 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4126;
  }
// method "consume(_)"
  struct UserObject *uo4128 = (struct UserObject*)obj4126;
  uo4128->data[1] = emptyclosure;
  Method *meth_meth_lexer_4128_consume_40_1_41_ = addmethod2pos(obj4126, "consume(1)", &meth_lexer_4128_consume_40_1_41_, 1);
  int argcv_meth_lexer_4128_consume_40_1_41_[] = {1};
  meth_meth_lexer_4128_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4128_consume_40_1_41_);
  meth_meth_lexer_4128_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4128_consume_40_1_41_->definitionLine = 653;
  sourceObject = obj4126;
  objclass4126 = obj4126->class;
  objclass4126->definitionModule = modulename;
  objclass4126->definitionLine = 652;
  (*(struct UserObject *)self).data[0] = lowerouter4126;
  self = oldself4126;
  selfslot = oldselfslot4126;
  stackframe = oldstackframe4126;
  adddatum2(obj98, obj4126, 58);
  sourceObject = obj98;
  Object inheritingObject4209 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4209 = alloc_userobj2(1,2, objclass4209);
  gc_frame_newslot(obj4209);
  if (objclass4209 == NULL) {
    glfree(obj4209->class->name);
    obj4209->class->name = "numberDotState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4209, obj98, 0);
  addmethodreal(obj4209,"outer", &reader_lexer_outer_4210);
  Object oldself4209 = self;
  struct StackFrameObject *oldstackframe4209 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4209);
  gc_frame_newslot((Object)stackframe);
  self = obj4209;
  Object *oldselfslot4209 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4209 = (*(struct UserObject *)self).data[0], lowerouter4209 = thisouter4209;
  if (inheritingObject4209) {
    struct UserObject *inho4209 = (struct UserObject *)inheritingObject4209;
    while (inho4209->super != GraceDefaultObject) inho4209 = (struct UserObject *)inho4209->super;
    inho4209->super = obj4209;
    self = inheritingObject4209;
    *selfslot = self;
    lowerouter4209 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4209;
  }
// method "consume(_)"
  block_savedest(obj4209);
  Object closure4211 = createclosure(1, "consume(1)");
  setclosureframe(closure4211, stackframe);
  addtoclosure(closure4211, var_spaceChars);
  struct UserObject *uo4211 = (struct UserObject*)obj4209;
  uo4211->data[1] = (Object)closure4211;
  Method *meth_meth_lexer_4211_consume_40_1_41_ = addmethod2pos(obj4209, "consume(1)", &meth_lexer_4211_consume_40_1_41_, 1);
  int argcv_meth_lexer_4211_consume_40_1_41_[] = {1};
  meth_meth_lexer_4211_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4211_consume_40_1_41_);
  meth_meth_lexer_4211_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4211_consume_40_1_41_->definitionLine = 669;
  sourceObject = obj4209;
  objclass4209 = obj4209->class;
  objclass4209->definitionModule = modulename;
  objclass4209->definitionLine = 668;
  (*(struct UserObject *)self).data[0] = lowerouter4209;
  self = oldself4209;
  selfslot = oldselfslot4209;
  stackframe = oldstackframe4209;
  adddatum2(obj98, obj4209, 59);
  sourceObject = obj98;
  Object inheritingObject4296 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4296 = alloc_userobj2(1,2, objclass4296);
  gc_frame_newslot(obj4296);
  if (objclass4296 == NULL) {
    glfree(obj4296->class->name);
    obj4296->class->name = "numberFractionState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4296, obj98, 0);
  addmethodreal(obj4296,"outer", &reader_lexer_outer_4297);
  Object oldself4296 = self;
  struct StackFrameObject *oldstackframe4296 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4296);
  gc_frame_newslot((Object)stackframe);
  self = obj4296;
  Object *oldselfslot4296 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4296 = (*(struct UserObject *)self).data[0], lowerouter4296 = thisouter4296;
  if (inheritingObject4296) {
    struct UserObject *inho4296 = (struct UserObject *)inheritingObject4296;
    while (inho4296->super != GraceDefaultObject) inho4296 = (struct UserObject *)inho4296->super;
    inho4296->super = obj4296;
    self = inheritingObject4296;
    *selfslot = self;
    lowerouter4296 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4296;
  }
// method "consume(_)"
  block_savedest(obj4296);
  Object closure4298 = createclosure(1, "consume(1)");
  setclosureframe(closure4298, stackframe);
  addtoclosure(closure4298, var_errormessages);
  struct UserObject *uo4298 = (struct UserObject*)obj4296;
  uo4298->data[1] = (Object)closure4298;
  Method *meth_meth_lexer_4298_consume_40_1_41_ = addmethod2pos(obj4296, "consume(1)", &meth_lexer_4298_consume_40_1_41_, 1);
  int argcv_meth_lexer_4298_consume_40_1_41_[] = {1};
  meth_meth_lexer_4298_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4298_consume_40_1_41_);
  meth_meth_lexer_4298_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4298_consume_40_1_41_->definitionLine = 688;
  sourceObject = obj4296;
  objclass4296 = obj4296->class;
  objclass4296->definitionModule = modulename;
  objclass4296->definitionLine = 687;
  (*(struct UserObject *)self).data[0] = lowerouter4296;
  self = oldself4296;
  selfslot = oldselfslot4296;
  stackframe = oldstackframe4296;
  adddatum2(obj98, obj4296, 60);
  sourceObject = obj98;
  Object inheritingObject4390 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4390 = alloc_userobj2(1,2, objclass4390);
  gc_frame_newslot(obj4390);
  if (objclass4390 == NULL) {
    glfree(obj4390->class->name);
    obj4390->class->name = "numberExponentSignState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4390, obj98, 0);
  addmethodreal(obj4390,"outer", &reader_lexer_outer_4391);
  Object oldself4390 = self;
  struct StackFrameObject *oldstackframe4390 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4390);
  gc_frame_newslot((Object)stackframe);
  self = obj4390;
  Object *oldselfslot4390 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4390 = (*(struct UserObject *)self).data[0], lowerouter4390 = thisouter4390;
  if (inheritingObject4390) {
    struct UserObject *inho4390 = (struct UserObject *)inheritingObject4390;
    while (inho4390->super != GraceDefaultObject) inho4390 = (struct UserObject *)inho4390->super;
    inho4390->super = obj4390;
    self = inheritingObject4390;
    *selfslot = self;
    lowerouter4390 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4390;
  }
// method "consume(_)"
  block_savedest(obj4390);
  Object closure4392 = createclosure(1, "consume(1)");
  setclosureframe(closure4392, stackframe);
  addtoclosure(closure4392, var_errormessages);
  struct UserObject *uo4392 = (struct UserObject*)obj4390;
  uo4392->data[1] = (Object)closure4392;
  Method *meth_meth_lexer_4392_consume_40_1_41_ = addmethod2pos(obj4390, "consume(1)", &meth_lexer_4392_consume_40_1_41_, 1);
  int argcv_meth_lexer_4392_consume_40_1_41_[] = {1};
  meth_meth_lexer_4392_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4392_consume_40_1_41_);
  meth_meth_lexer_4392_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4392_consume_40_1_41_->definitionLine = 707;
  sourceObject = obj4390;
  objclass4390 = obj4390->class;
  objclass4390->definitionModule = modulename;
  objclass4390->definitionLine = 706;
  (*(struct UserObject *)self).data[0] = lowerouter4390;
  self = oldself4390;
  selfslot = oldselfslot4390;
  stackframe = oldstackframe4390;
  adddatum2(obj98, obj4390, 61);
  sourceObject = obj98;
  Object inheritingObject4459 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4459 = alloc_userobj2(1,2, objclass4459);
  gc_frame_newslot(obj4459);
  if (objclass4459 == NULL) {
    glfree(obj4459->class->name);
    obj4459->class->name = "numberExponentState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4459, obj98, 0);
  addmethodreal(obj4459,"outer", &reader_lexer_outer_4460);
  Object oldself4459 = self;
  struct StackFrameObject *oldstackframe4459 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4459);
  gc_frame_newslot((Object)stackframe);
  self = obj4459;
  Object *oldselfslot4459 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4459 = (*(struct UserObject *)self).data[0], lowerouter4459 = thisouter4459;
  if (inheritingObject4459) {
    struct UserObject *inho4459 = (struct UserObject *)inheritingObject4459;
    while (inho4459->super != GraceDefaultObject) inho4459 = (struct UserObject *)inho4459->super;
    inho4459->super = obj4459;
    self = inheritingObject4459;
    *selfslot = self;
    lowerouter4459 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4459;
  }
// method "consume(_)"
  block_savedest(obj4459);
  Object closure4461 = createclosure(1, "consume(1)");
  setclosureframe(closure4461, stackframe);
  addtoclosure(closure4461, var_errormessages);
  struct UserObject *uo4461 = (struct UserObject*)obj4459;
  uo4461->data[1] = (Object)closure4461;
  Method *meth_meth_lexer_4461_consume_40_1_41_ = addmethod2pos(obj4459, "consume(1)", &meth_lexer_4461_consume_40_1_41_, 1);
  int argcv_meth_lexer_4461_consume_40_1_41_[] = {1};
  meth_meth_lexer_4461_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4461_consume_40_1_41_);
  meth_meth_lexer_4461_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4461_consume_40_1_41_->definitionLine = 722;
  sourceObject = obj4459;
  objclass4459 = obj4459->class;
  objclass4459->definitionModule = modulename;
  objclass4459->definitionLine = 721;
  (*(struct UserObject *)self).data[0] = lowerouter4459;
  self = oldself4459;
  selfslot = oldselfslot4459;
  stackframe = oldstackframe4459;
  adddatum2(obj98, obj4459, 62);
  sourceObject = obj98;
  Object inheritingObject4602 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4602 = alloc_userobj2(1,2, objclass4602);
  gc_frame_newslot(obj4602);
  if (objclass4602 == NULL) {
    glfree(obj4602->class->name);
    obj4602->class->name = "operatorState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4602, obj98, 0);
  addmethodreal(obj4602,"outer", &reader_lexer_outer_4603);
  Object oldself4602 = self;
  struct StackFrameObject *oldstackframe4602 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4602);
  gc_frame_newslot((Object)stackframe);
  self = obj4602;
  Object *oldselfslot4602 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4602 = (*(struct UserObject *)self).data[0], lowerouter4602 = thisouter4602;
  if (inheritingObject4602) {
    struct UserObject *inho4602 = (struct UserObject *)inheritingObject4602;
    while (inho4602->super != GraceDefaultObject) inho4602 = (struct UserObject *)inho4602->super;
    inho4602->super = obj4602;
    self = inheritingObject4602;
    *selfslot = self;
    lowerouter4602 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4602;
  }
// method "consume(_)"
  struct UserObject *uo4604 = (struct UserObject*)obj4602;
  uo4604->data[1] = emptyclosure;
  Method *meth_meth_lexer_4604_consume_40_1_41_ = addmethod2pos(obj4602, "consume(1)", &meth_lexer_4604_consume_40_1_41_, 1);
  int argcv_meth_lexer_4604_consume_40_1_41_[] = {1};
  meth_meth_lexer_4604_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4604_consume_40_1_41_);
  meth_meth_lexer_4604_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4604_consume_40_1_41_->definitionLine = 755;
  sourceObject = obj4602;
  objclass4602 = obj4602->class;
  objclass4602->definitionModule = modulename;
  objclass4602->definitionLine = 754;
  (*(struct UserObject *)self).data[0] = lowerouter4602;
  self = oldself4602;
  selfslot = oldselfslot4602;
  stackframe = oldstackframe4602;
  adddatum2(obj98, obj4602, 63);
  sourceObject = obj98;
  Object inheritingObject4695 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4695 = alloc_userobj2(1,2, objclass4695);
  gc_frame_newslot(obj4695);
  if (objclass4695 == NULL) {
    glfree(obj4695->class->name);
    obj4695->class->name = "indentationState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4695, obj98, 0);
  addmethodreal(obj4695,"outer", &reader_lexer_outer_4696);
  Object oldself4695 = self;
  struct StackFrameObject *oldstackframe4695 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4695);
  gc_frame_newslot((Object)stackframe);
  self = obj4695;
  Object *oldselfslot4695 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4695 = (*(struct UserObject *)self).data[0], lowerouter4695 = thisouter4695;
  if (inheritingObject4695) {
    struct UserObject *inho4695 = (struct UserObject *)inheritingObject4695;
    while (inho4695->super != GraceDefaultObject) inho4695 = (struct UserObject *)inho4695->super;
    inho4695->super = obj4695;
    self = inheritingObject4695;
    *selfslot = self;
    lowerouter4695 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4695;
  }
// method "consume(_)"
  block_savedest(obj4695);
  Object closure4697 = createclosure(1, "consume(1)");
  setclosureframe(closure4697, stackframe);
  addtoclosure(closure4697, var_spaceChars);
  struct UserObject *uo4697 = (struct UserObject*)obj4695;
  uo4697->data[1] = (Object)closure4697;
  Method *meth_meth_lexer_4697_consume_40_1_41_ = addmethod2pos(obj4695, "consume(1)", &meth_lexer_4697_consume_40_1_41_, 1);
  int argcv_meth_lexer_4697_consume_40_1_41_[] = {1};
  meth_meth_lexer_4697_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4697_consume_40_1_41_);
  meth_meth_lexer_4697_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4697_consume_40_1_41_->definitionLine = 776;
  sourceObject = obj4695;
  objclass4695 = obj4695->class;
  objclass4695->definitionModule = modulename;
  objclass4695->definitionLine = 775;
  (*(struct UserObject *)self).data[0] = lowerouter4695;
  self = oldself4695;
  selfslot = oldselfslot4695;
  stackframe = oldstackframe4695;
  adddatum2(obj98, obj4695, 64);
  sourceObject = obj98;
  Object inheritingObject4723 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4723 = alloc_userobj2(1,2, objclass4723);
  gc_frame_newslot(obj4723);
  if (objclass4723 == NULL) {
    glfree(obj4723->class->name);
    obj4723->class->name = "commentSpaceState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4723, obj98, 0);
  addmethodreal(obj4723,"outer", &reader_lexer_outer_4724);
  Object oldself4723 = self;
  struct StackFrameObject *oldstackframe4723 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4723);
  gc_frame_newslot((Object)stackframe);
  self = obj4723;
  Object *oldselfslot4723 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4723 = (*(struct UserObject *)self).data[0], lowerouter4723 = thisouter4723;
  if (inheritingObject4723) {
    struct UserObject *inho4723 = (struct UserObject *)inheritingObject4723;
    while (inho4723->super != GraceDefaultObject) inho4723 = (struct UserObject *)inho4723->super;
    inho4723->super = obj4723;
    self = inheritingObject4723;
    *selfslot = self;
    lowerouter4723 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4723;
  }
// method "consume(_)"
  block_savedest(obj4723);
  Object closure4725 = createclosure(1, "consume(1)");
  setclosureframe(closure4725, stackframe);
  addtoclosure(closure4725, var_spaceChars);
  struct UserObject *uo4725 = (struct UserObject*)obj4723;
  uo4725->data[1] = (Object)closure4725;
  Method *meth_meth_lexer_4725_consume_40_1_41_ = addmethod2pos(obj4723, "consume(1)", &meth_lexer_4725_consume_40_1_41_, 1);
  int argcv_meth_lexer_4725_consume_40_1_41_[] = {1};
  meth_meth_lexer_4725_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4725_consume_40_1_41_);
  meth_meth_lexer_4725_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4725_consume_40_1_41_->definitionLine = 786;
  sourceObject = obj4723;
  objclass4723 = obj4723->class;
  objclass4723->definitionModule = modulename;
  objclass4723->definitionLine = 785;
  (*(struct UserObject *)self).data[0] = lowerouter4723;
  self = oldself4723;
  selfslot = oldselfslot4723;
  stackframe = oldstackframe4723;
  adddatum2(obj98, obj4723, 65);
  sourceObject = obj98;
  Object inheritingObject4750 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4750 = alloc_userobj2(1,2, objclass4750);
  gc_frame_newslot(obj4750);
  if (objclass4750 == NULL) {
    glfree(obj4750->class->name);
    obj4750->class->name = "commentState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4750, obj98, 0);
  addmethodreal(obj4750,"outer", &reader_lexer_outer_4751);
  Object oldself4750 = self;
  struct StackFrameObject *oldstackframe4750 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4750);
  gc_frame_newslot((Object)stackframe);
  self = obj4750;
  Object *oldselfslot4750 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4750 = (*(struct UserObject *)self).data[0], lowerouter4750 = thisouter4750;
  if (inheritingObject4750) {
    struct UserObject *inho4750 = (struct UserObject *)inheritingObject4750;
    while (inho4750->super != GraceDefaultObject) inho4750 = (struct UserObject *)inho4750->super;
    inho4750->super = obj4750;
    self = inheritingObject4750;
    *selfslot = self;
    lowerouter4750 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4750;
  }
// method "consume(_)"
  struct UserObject *uo4752 = (struct UserObject*)obj4750;
  uo4752->data[1] = emptyclosure;
  Method *meth_meth_lexer_4752_consume_40_1_41_ = addmethod2pos(obj4750, "consume(1)", &meth_lexer_4752_consume_40_1_41_, 1);
  int argcv_meth_lexer_4752_consume_40_1_41_[] = {1};
  meth_meth_lexer_4752_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4752_consume_40_1_41_);
  meth_meth_lexer_4752_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4752_consume_40_1_41_->definitionLine = 795;
  sourceObject = obj4750;
  objclass4750 = obj4750->class;
  objclass4750->definitionModule = modulename;
  objclass4750->definitionLine = 794;
  (*(struct UserObject *)self).data[0] = lowerouter4750;
  self = oldself4750;
  selfslot = oldselfslot4750;
  stackframe = oldstackframe4750;
  adddatum2(obj98, obj4750, 66);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  objclass98 = obj98->class;
  objclass98->definitionModule = modulename;
  objclass98->definitionLine = 83;
  (*(struct UserObject *)self).data[0] = lowerouter98;
  self = oldself98;
  selfslot = oldselfslot98;
  stackframe = oldstackframe98;
  gc_frame_end(frame);
  return obj98;
}
Object meth_lexer_97_new_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_spaceChars = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_keywords = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject98 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj98 = alloc_userobj2(115,99, objclass98);
  gc_frame_newslot(obj98);
  if (objclass98 == NULL) {
    glfree(obj98->class->name);
    obj98->class->name = "new";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj98, self, 0);
  addmethodreal(obj98,"outer", &reader_lexer_outer_99);
  Object oldself98 = self;
  struct StackFrameObject *oldstackframe98 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe98);
  gc_frame_newslot((Object)stackframe);
  self = obj98;
  Object *oldselfslot98 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter98 = (*(struct UserObject *)self).data[0], lowerouter98 = thisouter98;
  if (inheritingObject98) {
    struct UserObject *inho98 = (struct UserObject *)inheritingObject98;
    while (inho98->super != GraceDefaultObject) inho98 = (struct UserObject *)inho98->super;
    inho98->super = obj98;
    self = inheritingObject98;
    *selfslot = self;
    lowerouter98 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter98;
  }
  if (objclass98 == NULL) {
    Method *reader100 = addmethodrealflags(obj98, "tokens", &reader_lexer_tokens_100, MFLAG_CONFIDENTIAL);
    Method *writer100 = addmethodrealflags(obj98, "tokens:=(1)", &writer_lexer_tokens_100, MFLAG_CONFIDENTIAL);
    reader100->definitionModule = modulename;
    writer100->definitionModule = modulename;
    reader100->definitionLine = 84;
    writer100->definitionLine = 84;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 1);
  if (objclass98 == NULL) {
    Method *reader101 = addmethodrealflags(obj98, "lineNumber", &reader_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
    Method *writer101 = addmethodrealflags(obj98, "lineNumber:=(1)", &writer_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
    reader101->definitionModule = modulename;
    writer101->definitionModule = modulename;
    reader101->definitionLine = 85;
    writer101->definitionLine = 85;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 2);
  if (objclass98 == NULL) {
    Method *reader102 = addmethodrealflags(obj98, "linePosition", &reader_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
    Method *writer102 = addmethodrealflags(obj98, "linePosition:=(1)", &writer_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
    reader102->definitionModule = modulename;
    writer102->definitionModule = modulename;
    reader102->definitionLine = 86;
    writer102->definitionLine = 86;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 3);
  if (objclass98 == NULL) {
    Method *reader103 = addmethodrealflags(obj98, "startPosition", &reader_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
    Method *writer103 = addmethodrealflags(obj98, "startPosition:=(1)", &writer_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
    reader103->definitionModule = modulename;
    writer103->definitionModule = modulename;
    reader103->definitionLine = 87;
    writer103->definitionLine = 87;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 4);
  if (objclass98 == NULL) {
    Method *reader104 = addmethodrealflags(obj98, "indentLevel", &reader_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
    Method *writer104 = addmethodrealflags(obj98, "indentLevel:=(1)", &writer_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
    reader104->definitionModule = modulename;
    writer104->definitionModule = modulename;
    reader104->definitionLine = 88;
    writer104->definitionLine = 88;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 5);
  if (objclass98 == NULL) {
    Method *reader105 = addmethodrealflags(obj98, "startLine", &reader_lexer_startLine_105, MFLAG_CONFIDENTIAL);
    Method *writer105 = addmethodrealflags(obj98, "startLine:=(1)", &writer_lexer_startLine_105, MFLAG_CONFIDENTIAL);
    reader105->definitionModule = modulename;
    writer105->definitionModule = modulename;
    reader105->definitionLine = 89;
    writer105->definitionLine = 89;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 6);
  if (objclass98 == NULL) {
    Method *reader106 = addmethodrealflags(obj98, "stringStart", &reader_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
    Method *writer106 = addmethodrealflags(obj98, "stringStart:=(1)", &writer_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
    reader106->definitionModule = modulename;
    writer106->definitionModule = modulename;
    reader106->definitionLine = 90;
    writer106->definitionLine = 90;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 7);
  if (objclass98 == NULL) {
    Method *reader107 = addmethodrealflags(obj98, "unichars", &reader_lexer_unichars_107, MFLAG_CONFIDENTIAL);
    Method *writer107 = addmethodrealflags(obj98, "unichars:=(1)", &writer_lexer_unichars_107, MFLAG_CONFIDENTIAL);
    reader107->definitionModule = modulename;
    writer107->definitionModule = modulename;
    reader107->definitionLine = 91;
    writer107->definitionLine = 91;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 8);
// method "token"
  struct UserObject *uo108 = (struct UserObject*)obj98;
  uo108->data[9] = emptyclosure;
  Method *meth_meth_lexer_108_token = addmethod2pos(obj98, "token", &meth_lexer_108_token, 9);
  int argcv_meth_lexer_108_token[] = {0};
  meth_meth_lexer_108_token->type = alloc_MethodType(1, argcv_meth_lexer_108_token);
  meth_meth_lexer_108_token->definitionModule = modulename;
  meth_meth_lexer_108_token->definitionLine = 92;
  Method *meth_meth_lexer_108_token_object = addmethod2pos(obj98, "token$object(1)", &meth_lexer_108_token_object, 9);
  int argcv_meth_lexer_108_token_object[] = {0};
  meth_meth_lexer_108_token_object->type = alloc_MethodType(1, argcv_meth_lexer_108_token_object);
  meth_meth_lexer_108_token_object->definitionModule = modulename;
  meth_meth_lexer_108_token_object->definitionLine = 92;
// method "identifierToken(_)"
  struct UserObject *uo214 = (struct UserObject*)obj98;
  uo214->data[10] = emptyclosure;
  Method *meth_meth_lexer_214_identifierToken_40_1_41_ = addmethod2pos(obj98, "identifierToken(1)", &meth_lexer_214_identifierToken_40_1_41_, 10);
  int argcv_meth_lexer_214_identifierToken_40_1_41_[] = {1};
  meth_meth_lexer_214_identifierToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_214_identifierToken_40_1_41_);
  meth_meth_lexer_214_identifierToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_214_identifierToken_40_1_41_->definitionLine = 115;
  Method *meth_meth_lexer_214_identifierToken_40_1_41__object = addmethod2pos(obj98, "identifierToken(1)$object(1)", &meth_lexer_214_identifierToken_40_1_41__object, 10);
  int argcv_meth_lexer_214_identifierToken_40_1_41__object[] = {1};
  meth_meth_lexer_214_identifierToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_214_identifierToken_40_1_41__object);
  meth_meth_lexer_214_identifierToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_214_identifierToken_40_1_41__object->definitionLine = 115;
// method "stringToken(_)"
  struct UserObject *uo228 = (struct UserObject*)obj98;
  uo228->data[11] = emptyclosure;
  Method *meth_meth_lexer_228_stringToken_40_1_41_ = addmethod2pos(obj98, "stringToken(1)", &meth_lexer_228_stringToken_40_1_41_, 11);
  int argcv_meth_lexer_228_stringToken_40_1_41_[] = {1};
  meth_meth_lexer_228_stringToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_228_stringToken_40_1_41_);
  meth_meth_lexer_228_stringToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_228_stringToken_40_1_41_->definitionLine = 121;
  Method *meth_meth_lexer_228_stringToken_40_1_41__object = addmethod2pos(obj98, "stringToken(1)$object(1)", &meth_lexer_228_stringToken_40_1_41__object, 11);
  int argcv_meth_lexer_228_stringToken_40_1_41__object[] = {1};
  meth_meth_lexer_228_stringToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_228_stringToken_40_1_41__object);
  meth_meth_lexer_228_stringToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_228_stringToken_40_1_41__object->definitionLine = 121;
// method "multiLineStringToken(_)"
  struct UserObject *uo255 = (struct UserObject*)obj98;
  uo255->data[12] = emptyclosure;
  Method *meth_meth_lexer_255_multiLineStringToken_40_1_41_ = addmethod2pos(obj98, "multiLineStringToken(1)", &meth_lexer_255_multiLineStringToken_40_1_41_, 12);
  int argcv_meth_lexer_255_multiLineStringToken_40_1_41_[] = {1};
  meth_meth_lexer_255_multiLineStringToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_255_multiLineStringToken_40_1_41_);
  meth_meth_lexer_255_multiLineStringToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_255_multiLineStringToken_40_1_41_->definitionLine = 127;
  Method *meth_meth_lexer_255_multiLineStringToken_40_1_41__object = addmethod2pos(obj98, "multiLineStringToken(1)$object(1)", &meth_lexer_255_multiLineStringToken_40_1_41__object, 12);
  int argcv_meth_lexer_255_multiLineStringToken_40_1_41__object[] = {1};
  meth_meth_lexer_255_multiLineStringToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_255_multiLineStringToken_40_1_41__object);
  meth_meth_lexer_255_multiLineStringToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_255_multiLineStringToken_40_1_41__object->definitionLine = 127;
// method "commentToken(_)"
  struct UserObject *uo299 = (struct UserObject*)obj98;
  uo299->data[13] = emptyclosure;
  Method *meth_meth_lexer_299_commentToken_40_1_41_ = addmethod2pos(obj98, "commentToken(1)", &meth_lexer_299_commentToken_40_1_41_, 13);
  int argcv_meth_lexer_299_commentToken_40_1_41_[] = {1};
  meth_meth_lexer_299_commentToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_299_commentToken_40_1_41_);
  meth_meth_lexer_299_commentToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_299_commentToken_40_1_41_->definitionLine = 139;
  Method *meth_meth_lexer_299_commentToken_40_1_41__object = addmethod2pos(obj98, "commentToken(1)$object(1)", &meth_lexer_299_commentToken_40_1_41__object, 13);
  int argcv_meth_lexer_299_commentToken_40_1_41__object[] = {1};
  meth_meth_lexer_299_commentToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_299_commentToken_40_1_41__object);
  meth_meth_lexer_299_commentToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_299_commentToken_40_1_41__object->definitionLine = 139;
// method "lBraceToken"
  struct UserObject *uo317 = (struct UserObject*)obj98;
  uo317->data[14] = emptyclosure;
  Method *meth_meth_lexer_317_lBraceToken = addmethod2pos(obj98, "lBraceToken", &meth_lexer_317_lBraceToken, 14);
  int argcv_meth_lexer_317_lBraceToken[] = {0};
  meth_meth_lexer_317_lBraceToken->type = alloc_MethodType(1, argcv_meth_lexer_317_lBraceToken);
  meth_meth_lexer_317_lBraceToken->definitionModule = modulename;
  meth_meth_lexer_317_lBraceToken->definitionLine = 145;
  Method *meth_meth_lexer_317_lBraceToken_object = addmethod2pos(obj98, "lBraceToken$object(1)", &meth_lexer_317_lBraceToken_object, 14);
  int argcv_meth_lexer_317_lBraceToken_object[] = {0};
  meth_meth_lexer_317_lBraceToken_object->type = alloc_MethodType(1, argcv_meth_lexer_317_lBraceToken_object);
  meth_meth_lexer_317_lBraceToken_object->definitionModule = modulename;
  meth_meth_lexer_317_lBraceToken_object->definitionLine = 145;
// method "rBraceToken"
  struct UserObject *uo331 = (struct UserObject*)obj98;
  uo331->data[15] = emptyclosure;
  Method *meth_meth_lexer_331_rBraceToken = addmethod2pos(obj98, "rBraceToken", &meth_lexer_331_rBraceToken, 15);
  int argcv_meth_lexer_331_rBraceToken[] = {0};
  meth_meth_lexer_331_rBraceToken->type = alloc_MethodType(1, argcv_meth_lexer_331_rBraceToken);
  meth_meth_lexer_331_rBraceToken->definitionModule = modulename;
  meth_meth_lexer_331_rBraceToken->definitionLine = 151;
  Method *meth_meth_lexer_331_rBraceToken_object = addmethod2pos(obj98, "rBraceToken$object(1)", &meth_lexer_331_rBraceToken_object, 15);
  int argcv_meth_lexer_331_rBraceToken_object[] = {0};
  meth_meth_lexer_331_rBraceToken_object->type = alloc_MethodType(1, argcv_meth_lexer_331_rBraceToken_object);
  meth_meth_lexer_331_rBraceToken_object->definitionModule = modulename;
  meth_meth_lexer_331_rBraceToken_object->definitionLine = 151;
// method "lParenToken"
  struct UserObject *uo345 = (struct UserObject*)obj98;
  uo345->data[16] = emptyclosure;
  Method *meth_meth_lexer_345_lParenToken = addmethod2pos(obj98, "lParenToken", &meth_lexer_345_lParenToken, 16);
  int argcv_meth_lexer_345_lParenToken[] = {0};
  meth_meth_lexer_345_lParenToken->type = alloc_MethodType(1, argcv_meth_lexer_345_lParenToken);
  meth_meth_lexer_345_lParenToken->definitionModule = modulename;
  meth_meth_lexer_345_lParenToken->definitionLine = 157;
  Method *meth_meth_lexer_345_lParenToken_object = addmethod2pos(obj98, "lParenToken$object(1)", &meth_lexer_345_lParenToken_object, 16);
  int argcv_meth_lexer_345_lParenToken_object[] = {0};
  meth_meth_lexer_345_lParenToken_object->type = alloc_MethodType(1, argcv_meth_lexer_345_lParenToken_object);
  meth_meth_lexer_345_lParenToken_object->definitionModule = modulename;
  meth_meth_lexer_345_lParenToken_object->definitionLine = 157;
// method "rParenToken"
  struct UserObject *uo359 = (struct UserObject*)obj98;
  uo359->data[17] = emptyclosure;
  Method *meth_meth_lexer_359_rParenToken = addmethod2pos(obj98, "rParenToken", &meth_lexer_359_rParenToken, 17);
  int argcv_meth_lexer_359_rParenToken[] = {0};
  meth_meth_lexer_359_rParenToken->type = alloc_MethodType(1, argcv_meth_lexer_359_rParenToken);
  meth_meth_lexer_359_rParenToken->definitionModule = modulename;
  meth_meth_lexer_359_rParenToken->definitionLine = 163;
  Method *meth_meth_lexer_359_rParenToken_object = addmethod2pos(obj98, "rParenToken$object(1)", &meth_lexer_359_rParenToken_object, 17);
  int argcv_meth_lexer_359_rParenToken_object[] = {0};
  meth_meth_lexer_359_rParenToken_object->type = alloc_MethodType(1, argcv_meth_lexer_359_rParenToken_object);
  meth_meth_lexer_359_rParenToken_object->definitionModule = modulename;
  meth_meth_lexer_359_rParenToken_object->definitionLine = 163;
// method "lSquareToken"
  struct UserObject *uo373 = (struct UserObject*)obj98;
  uo373->data[18] = emptyclosure;
  Method *meth_meth_lexer_373_lSquareToken = addmethod2pos(obj98, "lSquareToken", &meth_lexer_373_lSquareToken, 18);
  int argcv_meth_lexer_373_lSquareToken[] = {0};
  meth_meth_lexer_373_lSquareToken->type = alloc_MethodType(1, argcv_meth_lexer_373_lSquareToken);
  meth_meth_lexer_373_lSquareToken->definitionModule = modulename;
  meth_meth_lexer_373_lSquareToken->definitionLine = 169;
  Method *meth_meth_lexer_373_lSquareToken_object = addmethod2pos(obj98, "lSquareToken$object(1)", &meth_lexer_373_lSquareToken_object, 18);
  int argcv_meth_lexer_373_lSquareToken_object[] = {0};
  meth_meth_lexer_373_lSquareToken_object->type = alloc_MethodType(1, argcv_meth_lexer_373_lSquareToken_object);
  meth_meth_lexer_373_lSquareToken_object->definitionModule = modulename;
  meth_meth_lexer_373_lSquareToken_object->definitionLine = 169;
// method "rSquareToken"
  struct UserObject *uo387 = (struct UserObject*)obj98;
  uo387->data[19] = emptyclosure;
  Method *meth_meth_lexer_387_rSquareToken = addmethod2pos(obj98, "rSquareToken", &meth_lexer_387_rSquareToken, 19);
  int argcv_meth_lexer_387_rSquareToken[] = {0};
  meth_meth_lexer_387_rSquareToken->type = alloc_MethodType(1, argcv_meth_lexer_387_rSquareToken);
  meth_meth_lexer_387_rSquareToken->definitionModule = modulename;
  meth_meth_lexer_387_rSquareToken->definitionLine = 175;
  Method *meth_meth_lexer_387_rSquareToken_object = addmethod2pos(obj98, "rSquareToken$object(1)", &meth_lexer_387_rSquareToken_object, 19);
  int argcv_meth_lexer_387_rSquareToken_object[] = {0};
  meth_meth_lexer_387_rSquareToken_object->type = alloc_MethodType(1, argcv_meth_lexer_387_rSquareToken_object);
  meth_meth_lexer_387_rSquareToken_object->definitionModule = modulename;
  meth_meth_lexer_387_rSquareToken_object->definitionLine = 175;
// method "commaToken"
  struct UserObject *uo401 = (struct UserObject*)obj98;
  uo401->data[20] = emptyclosure;
  Method *meth_meth_lexer_401_commaToken = addmethod2pos(obj98, "commaToken", &meth_lexer_401_commaToken, 20);
  int argcv_meth_lexer_401_commaToken[] = {0};
  meth_meth_lexer_401_commaToken->type = alloc_MethodType(1, argcv_meth_lexer_401_commaToken);
  meth_meth_lexer_401_commaToken->definitionModule = modulename;
  meth_meth_lexer_401_commaToken->definitionLine = 181;
  Method *meth_meth_lexer_401_commaToken_object = addmethod2pos(obj98, "commaToken$object(1)", &meth_lexer_401_commaToken_object, 20);
  int argcv_meth_lexer_401_commaToken_object[] = {0};
  meth_meth_lexer_401_commaToken_object->type = alloc_MethodType(1, argcv_meth_lexer_401_commaToken_object);
  meth_meth_lexer_401_commaToken_object->definitionModule = modulename;
  meth_meth_lexer_401_commaToken_object->definitionLine = 181;
// method "colonToken"
  struct UserObject *uo415 = (struct UserObject*)obj98;
  uo415->data[21] = emptyclosure;
  Method *meth_meth_lexer_415_colonToken = addmethod2pos(obj98, "colonToken", &meth_lexer_415_colonToken, 21);
  int argcv_meth_lexer_415_colonToken[] = {0};
  meth_meth_lexer_415_colonToken->type = alloc_MethodType(1, argcv_meth_lexer_415_colonToken);
  meth_meth_lexer_415_colonToken->definitionModule = modulename;
  meth_meth_lexer_415_colonToken->definitionLine = 187;
  Method *meth_meth_lexer_415_colonToken_object = addmethod2pos(obj98, "colonToken$object(1)", &meth_lexer_415_colonToken_object, 21);
  int argcv_meth_lexer_415_colonToken_object[] = {0};
  meth_meth_lexer_415_colonToken_object->type = alloc_MethodType(1, argcv_meth_lexer_415_colonToken_object);
  meth_meth_lexer_415_colonToken_object->definitionModule = modulename;
  meth_meth_lexer_415_colonToken_object->definitionLine = 187;
// method "dotToken"
  struct UserObject *uo429 = (struct UserObject*)obj98;
  uo429->data[22] = emptyclosure;
  Method *meth_meth_lexer_429_dotToken = addmethod2pos(obj98, "dotToken", &meth_lexer_429_dotToken, 22);
  int argcv_meth_lexer_429_dotToken[] = {0};
  meth_meth_lexer_429_dotToken->type = alloc_MethodType(1, argcv_meth_lexer_429_dotToken);
  meth_meth_lexer_429_dotToken->definitionModule = modulename;
  meth_meth_lexer_429_dotToken->definitionLine = 193;
  Method *meth_meth_lexer_429_dotToken_object = addmethod2pos(obj98, "dotToken$object(1)", &meth_lexer_429_dotToken_object, 22);
  int argcv_meth_lexer_429_dotToken_object[] = {0};
  meth_meth_lexer_429_dotToken_object->type = alloc_MethodType(1, argcv_meth_lexer_429_dotToken_object);
  meth_meth_lexer_429_dotToken_object->definitionModule = modulename;
  meth_meth_lexer_429_dotToken_object->definitionLine = 193;
// method "numToken(_,_)"
  struct UserObject *uo443 = (struct UserObject*)obj98;
  uo443->data[23] = emptyclosure;
  Method *meth_meth_lexer_443_numToken_40_2_41_ = addmethod2pos(obj98, "numToken(2)", &meth_lexer_443_numToken_40_2_41_, 23);
  int argcv_meth_lexer_443_numToken_40_2_41_[] = {2};
  meth_meth_lexer_443_numToken_40_2_41_->type = alloc_MethodType(1, argcv_meth_lexer_443_numToken_40_2_41_);
  meth_meth_lexer_443_numToken_40_2_41_->definitionModule = modulename;
  meth_meth_lexer_443_numToken_40_2_41_->definitionLine = 199;
  Method *meth_meth_lexer_443_numToken_40_2_41__object = addmethod2pos(obj98, "numToken(2)$object(1)", &meth_lexer_443_numToken_40_2_41__object, 23);
  int argcv_meth_lexer_443_numToken_40_2_41__object[] = {2};
  meth_meth_lexer_443_numToken_40_2_41__object->type = alloc_MethodType(1, argcv_meth_lexer_443_numToken_40_2_41__object);
  meth_meth_lexer_443_numToken_40_2_41__object->definitionModule = modulename;
  meth_meth_lexer_443_numToken_40_2_41__object->definitionLine = 199;
// method "keywordToken(_)"
  struct UserObject *uo467 = (struct UserObject*)obj98;
  uo467->data[24] = emptyclosure;
  Method *meth_meth_lexer_467_keywordToken_40_1_41_ = addmethod2pos(obj98, "keywordToken(1)", &meth_lexer_467_keywordToken_40_1_41_, 24);
  int argcv_meth_lexer_467_keywordToken_40_1_41_[] = {1};
  meth_meth_lexer_467_keywordToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_467_keywordToken_40_1_41_);
  meth_meth_lexer_467_keywordToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_467_keywordToken_40_1_41_->definitionLine = 206;
  Method *meth_meth_lexer_467_keywordToken_40_1_41__object = addmethod2pos(obj98, "keywordToken(1)$object(1)", &meth_lexer_467_keywordToken_40_1_41__object, 24);
  int argcv_meth_lexer_467_keywordToken_40_1_41__object[] = {1};
  meth_meth_lexer_467_keywordToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_467_keywordToken_40_1_41__object);
  meth_meth_lexer_467_keywordToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_467_keywordToken_40_1_41__object->definitionLine = 206;
// method "opToken(_)"
  struct UserObject *uo481 = (struct UserObject*)obj98;
  uo481->data[25] = emptyclosure;
  Method *meth_meth_lexer_481_opToken_40_1_41_ = addmethod2pos(obj98, "opToken(1)", &meth_lexer_481_opToken_40_1_41_, 25);
  int argcv_meth_lexer_481_opToken_40_1_41_[] = {1};
  meth_meth_lexer_481_opToken_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_481_opToken_40_1_41_);
  meth_meth_lexer_481_opToken_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_481_opToken_40_1_41_->definitionLine = 212;
  Method *meth_meth_lexer_481_opToken_40_1_41__object = addmethod2pos(obj98, "opToken(1)$object(1)", &meth_lexer_481_opToken_40_1_41__object, 25);
  int argcv_meth_lexer_481_opToken_40_1_41__object[] = {1};
  meth_meth_lexer_481_opToken_40_1_41__object->type = alloc_MethodType(1, argcv_meth_lexer_481_opToken_40_1_41__object);
  meth_meth_lexer_481_opToken_40_1_41__object->definitionModule = modulename;
  meth_meth_lexer_481_opToken_40_1_41__object->definitionLine = 212;
// method "arrowToken"
  struct UserObject *uo495 = (struct UserObject*)obj98;
  uo495->data[26] = emptyclosure;
  Method *meth_meth_lexer_495_arrowToken = addmethod2pos(obj98, "arrowToken", &meth_lexer_495_arrowToken, 26);
  int argcv_meth_lexer_495_arrowToken[] = {0};
  meth_meth_lexer_495_arrowToken->type = alloc_MethodType(1, argcv_meth_lexer_495_arrowToken);
  meth_meth_lexer_495_arrowToken->definitionModule = modulename;
  meth_meth_lexer_495_arrowToken->definitionLine = 218;
  Method *meth_meth_lexer_495_arrowToken_object = addmethod2pos(obj98, "arrowToken$object(1)", &meth_lexer_495_arrowToken_object, 26);
  int argcv_meth_lexer_495_arrowToken_object[] = {0};
  meth_meth_lexer_495_arrowToken_object->type = alloc_MethodType(1, argcv_meth_lexer_495_arrowToken_object);
  meth_meth_lexer_495_arrowToken_object->definitionModule = modulename;
  meth_meth_lexer_495_arrowToken_object->definitionLine = 218;
// method "bindToken"
  struct UserObject *uo509 = (struct UserObject*)obj98;
  uo509->data[27] = emptyclosure;
  Method *meth_meth_lexer_509_bindToken = addmethod2pos(obj98, "bindToken", &meth_lexer_509_bindToken, 27);
  int argcv_meth_lexer_509_bindToken[] = {0};
  meth_meth_lexer_509_bindToken->type = alloc_MethodType(1, argcv_meth_lexer_509_bindToken);
  meth_meth_lexer_509_bindToken->definitionModule = modulename;
  meth_meth_lexer_509_bindToken->definitionLine = 224;
  Method *meth_meth_lexer_509_bindToken_object = addmethod2pos(obj98, "bindToken$object(1)", &meth_lexer_509_bindToken_object, 27);
  int argcv_meth_lexer_509_bindToken_object[] = {0};
  meth_meth_lexer_509_bindToken_object->type = alloc_MethodType(1, argcv_meth_lexer_509_bindToken_object);
  meth_meth_lexer_509_bindToken_object->definitionModule = modulename;
  meth_meth_lexer_509_bindToken_object->definitionLine = 224;
// method "semicolonToken"
  struct UserObject *uo523 = (struct UserObject*)obj98;
  uo523->data[28] = emptyclosure;
  Method *meth_meth_lexer_523_semicolonToken = addmethod2pos(obj98, "semicolonToken", &meth_lexer_523_semicolonToken, 28);
  int argcv_meth_lexer_523_semicolonToken[] = {0};
  meth_meth_lexer_523_semicolonToken->type = alloc_MethodType(1, argcv_meth_lexer_523_semicolonToken);
  meth_meth_lexer_523_semicolonToken->definitionModule = modulename;
  meth_meth_lexer_523_semicolonToken->definitionLine = 230;
  Method *meth_meth_lexer_523_semicolonToken_object = addmethod2pos(obj98, "semicolonToken$object(1)", &meth_lexer_523_semicolonToken_object, 28);
  int argcv_meth_lexer_523_semicolonToken_object[] = {0};
  meth_meth_lexer_523_semicolonToken_object->type = alloc_MethodType(1, argcv_meth_lexer_523_semicolonToken_object);
  meth_meth_lexer_523_semicolonToken_object->definitionModule = modulename;
  meth_meth_lexer_523_semicolonToken_object->definitionLine = 230;
// method "lGenericToken"
  struct UserObject *uo537 = (struct UserObject*)obj98;
  uo537->data[29] = emptyclosure;
  Method *meth_meth_lexer_537_lGenericToken = addmethod2pos(obj98, "lGenericToken", &meth_lexer_537_lGenericToken, 29);
  int argcv_meth_lexer_537_lGenericToken[] = {0};
  meth_meth_lexer_537_lGenericToken->type = alloc_MethodType(1, argcv_meth_lexer_537_lGenericToken);
  meth_meth_lexer_537_lGenericToken->definitionModule = modulename;
  meth_meth_lexer_537_lGenericToken->definitionLine = 236;
  Method *meth_meth_lexer_537_lGenericToken_object = addmethod2pos(obj98, "lGenericToken$object(1)", &meth_lexer_537_lGenericToken_object, 29);
  int argcv_meth_lexer_537_lGenericToken_object[] = {0};
  meth_meth_lexer_537_lGenericToken_object->type = alloc_MethodType(1, argcv_meth_lexer_537_lGenericToken_object);
  meth_meth_lexer_537_lGenericToken_object->definitionModule = modulename;
  meth_meth_lexer_537_lGenericToken_object->definitionLine = 236;
// method "rGenericToken"
  struct UserObject *uo551 = (struct UserObject*)obj98;
  uo551->data[30] = emptyclosure;
  Method *meth_meth_lexer_551_rGenericToken = addmethod2pos(obj98, "rGenericToken", &meth_lexer_551_rGenericToken, 30);
  int argcv_meth_lexer_551_rGenericToken[] = {0};
  meth_meth_lexer_551_rGenericToken->type = alloc_MethodType(1, argcv_meth_lexer_551_rGenericToken);
  meth_meth_lexer_551_rGenericToken->definitionModule = modulename;
  meth_meth_lexer_551_rGenericToken->definitionLine = 242;
  Method *meth_meth_lexer_551_rGenericToken_object = addmethod2pos(obj98, "rGenericToken$object(1)", &meth_lexer_551_rGenericToken_object, 30);
  int argcv_meth_lexer_551_rGenericToken_object[] = {0};
  meth_meth_lexer_551_rGenericToken_object->type = alloc_MethodType(1, argcv_meth_lexer_551_rGenericToken_object);
  meth_meth_lexer_551_rGenericToken_object->definitionModule = modulename;
  meth_meth_lexer_551_rGenericToken_object->definitionLine = 242;
// method "eofToken"
  struct UserObject *uo565 = (struct UserObject*)obj98;
  uo565->data[31] = emptyclosure;
  Method *meth_meth_lexer_565_eofToken = addmethod2pos(obj98, "eofToken", &meth_lexer_565_eofToken, 31);
  int argcv_meth_lexer_565_eofToken[] = {0};
  meth_meth_lexer_565_eofToken->type = alloc_MethodType(1, argcv_meth_lexer_565_eofToken);
  meth_meth_lexer_565_eofToken->definitionModule = modulename;
  meth_meth_lexer_565_eofToken->definitionLine = 248;
  Method *meth_meth_lexer_565_eofToken_object = addmethod2pos(obj98, "eofToken$object(1)", &meth_lexer_565_eofToken_object, 31);
  int argcv_meth_lexer_565_eofToken_object[] = {0};
  meth_meth_lexer_565_eofToken_object->type = alloc_MethodType(1, argcv_meth_lexer_565_eofToken_object);
  meth_meth_lexer_565_eofToken_object->definitionModule = modulename;
  meth_meth_lexer_565_eofToken_object->definitionLine = 248;
  if (objclass98 == NULL) {
    Method *reader579 = addmethodrealflags(obj98, "state", &reader_lexer_state_579, MFLAG_CONFIDENTIAL);
    Method *writer579 = addmethodrealflags(obj98, "state:=(1)", &writer_lexer_state_579, MFLAG_CONFIDENTIAL);
    reader579->definitionModule = modulename;
    writer579->definitionModule = modulename;
    reader579->definitionLine = 255;
    writer579->definitionLine = 255;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 32);
  if (objclass98 == NULL) {
    Method *reader580 = addmethodrealflags(obj98, "accum", &reader_lexer_accum_580, MFLAG_CONFIDENTIAL);
    Method *writer580 = addmethodrealflags(obj98, "accum:=(1)", &writer_lexer_accum_580, MFLAG_CONFIDENTIAL);
    reader580->definitionModule = modulename;
    writer580->definitionModule = modulename;
    reader580->definitionLine = 256;
    writer580->definitionLine = 256;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 33);
  if (objclass98 == NULL) {
    Method *reader581 = addmethodrealflags(obj98, "inStr", &reader_lexer_inStr_581, MFLAG_CONFIDENTIAL);
    Method *writer581 = addmethodrealflags(obj98, "inStr:=(1)", &writer_lexer_inStr_581, MFLAG_CONFIDENTIAL);
    reader581->definitionModule = modulename;
    writer581->definitionModule = modulename;
    reader581->definitionLine = 258;
    writer581->definitionLine = 258;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 34);
  if (objclass98 == NULL) {
    Method *reader582 = addmethodrealflags(obj98, "escaped", &reader_lexer_escaped_582, MFLAG_CONFIDENTIAL);
    Method *writer582 = addmethodrealflags(obj98, "escaped:=(1)", &writer_lexer_escaped_582, MFLAG_CONFIDENTIAL);
    reader582->definitionModule = modulename;
    writer582->definitionModule = modulename;
    reader582->definitionLine = 259;
    writer582->definitionLine = 259;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 35);
  if (objclass98 == NULL) {
    Method *reader583 = addmethodrealflags(obj98, "codepoint", &reader_lexer_codepoint_583, MFLAG_CONFIDENTIAL);
    Method *writer583 = addmethodrealflags(obj98, "codepoint:=(1)", &writer_lexer_codepoint_583, MFLAG_CONFIDENTIAL);
    reader583->definitionModule = modulename;
    writer583->definitionModule = modulename;
    reader583->definitionLine = 260;
    writer583->definitionLine = 260;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 36);
  if (objclass98 == NULL) {
    Method *reader584 = addmethodrealflags(obj98, "interpdepth", &reader_lexer_interpdepth_584, MFLAG_CONFIDENTIAL);
    Method *writer584 = addmethodrealflags(obj98, "interpdepth:=(1)", &writer_lexer_interpdepth_584, MFLAG_CONFIDENTIAL);
    reader584->definitionModule = modulename;
    writer584->definitionModule = modulename;
    reader584->definitionLine = 261;
    writer584->definitionLine = 261;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 37);
  if (objclass98 == NULL) {
    Method *reader585 = addmethodrealflags(obj98, "interpString", &reader_lexer_interpString_585, MFLAG_CONFIDENTIAL);
    Method *writer585 = addmethodrealflags(obj98, "interpString:=(1)", &writer_lexer_interpString_585, MFLAG_CONFIDENTIAL);
    reader585->definitionModule = modulename;
    writer585->definitionModule = modulename;
    reader585->definitionLine = 262;
    writer585->definitionLine = 262;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 38);
// method "advanceTo(_)"
  struct UserObject *uo586 = (struct UserObject*)obj98;
  uo586->data[39] = emptyclosure;
  Method *meth_meth_lexer_586_advanceTo_40_1_41_ = addmethod2pos(obj98, "advanceTo(1)", &meth_lexer_586_advanceTo_40_1_41_, 39);
  int argcv_meth_lexer_586_advanceTo_40_1_41_[] = {1};
  meth_meth_lexer_586_advanceTo_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_586_advanceTo_40_1_41_);
  meth_meth_lexer_586_advanceTo_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_586_advanceTo_40_1_41_->definitionLine = 264;
// method "emit(_)"
  struct UserObject *uo589 = (struct UserObject*)obj98;
  uo589->data[40] = emptyclosure;
  Method *meth_meth_lexer_589_emit_40_1_41_ = addmethod2pos(obj98, "emit(1)", &meth_lexer_589_emit_40_1_41_, 40);
  int argcv_meth_lexer_589_emit_40_1_41_[] = {1};
  meth_meth_lexer_589_emit_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_589_emit_40_1_41_);
  meth_meth_lexer_589_emit_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_589_emit_40_1_41_->definitionLine = 265;
// method "store(_)"
  struct UserObject *uo597 = (struct UserObject*)obj98;
  uo597->data[41] = emptyclosure;
  Method *meth_meth_lexer_597_store_40_1_41_ = addmethod2pos(obj98, "store(1)", &meth_lexer_597_store_40_1_41_, 41);
  int argcv_meth_lexer_597_store_40_1_41_[] = {1};
  meth_meth_lexer_597_store_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_597_store_40_1_41_);
  meth_meth_lexer_597_store_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_597_store_40_1_41_->definitionLine = 269;
  if (objclass98 == NULL) {
  Method *reader605 = addmethodrealflags(obj98, "startState",&reader_lexer_startState_605, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader605->definitionModule = modulename;
  reader605->definitionLine = 271;
  }
  adddatum2(obj98, alloc_Undefined(), 42);
  if (objclass98 == NULL) {
  Method *reader606 = addmethodrealflags(obj98, "pragmaPrefixState",&reader_lexer_pragmaPrefixState_606, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader606->definitionModule = modulename;
  reader606->definitionLine = 283;
  }
  adddatum2(obj98, alloc_Undefined(), 43);
  if (objclass98 == NULL) {
  Method *reader607 = addmethodrealflags(obj98, "pragmaBodyState",&reader_lexer_pragmaBodyState_607, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader607->definitionModule = modulename;
  reader607->definitionLine = 304;
  }
  adddatum2(obj98, alloc_Undefined(), 44);
  if (objclass98 == NULL) {
  Method *reader608 = addmethodrealflags(obj98, "pragmaTrailingWhitespaceState",&reader_lexer_pragmaTrailingWhitespaceState_608, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader608->definitionModule = modulename;
  reader608->definitionLine = 319;
  }
  adddatum2(obj98, alloc_Undefined(), 45);
  if (objclass98 == NULL) {
  Method *reader609 = addmethodrealflags(obj98, "defaultState",&reader_lexer_defaultState_609, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader609->definitionModule = modulename;
  reader609->definitionLine = 331;
  }
  adddatum2(obj98, alloc_Undefined(), 46);
  if (objclass98 == NULL) {
  Method *reader610 = addmethodrealflags(obj98, "rBraceState",&reader_lexer_rBraceState_610, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader610->definitionModule = modulename;
  reader610->definitionLine = 412;
  }
  adddatum2(obj98, alloc_Undefined(), 47);
  if (objclass98 == NULL) {
  Method *reader611 = addmethodrealflags(obj98, "slashState",&reader_lexer_slashState_611, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader611->definitionModule = modulename;
  reader611->definitionLine = 440;
  }
  adddatum2(obj98, alloc_Undefined(), 48);
  if (objclass98 == NULL) {
  Method *reader612 = addmethodrealflags(obj98, "dotState",&reader_lexer_dotState_612, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader612->definitionModule = modulename;
  reader612->definitionLine = 458;
  }
  adddatum2(obj98, alloc_Undefined(), 49);
  if (objclass98 == NULL) {
  Method *reader613 = addmethodrealflags(obj98, "identifierState",&reader_lexer_identifierState_613, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader613->definitionModule = modulename;
  reader613->definitionLine = 482;
  }
  adddatum2(obj98, alloc_Undefined(), 50);
  if (objclass98 == NULL) {
  Method *reader614 = addmethodrealflags(obj98, "quotedStringState",&reader_lexer_quotedStringState_614, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader614->definitionModule = modulename;
  reader614->definitionLine = 508;
  }
  adddatum2(obj98, alloc_Undefined(), 51);
  if (objclass98 == NULL) {
  Method *reader615 = addmethodrealflags(obj98, "unicodeState",&reader_lexer_unicodeState_615, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader615->definitionModule = modulename;
  reader615->definitionLine = 542;
  }
  adddatum2(obj98, alloc_Undefined(), 52);
  if (objclass98 == NULL) {
  Method *reader616 = addmethodrealflags(obj98, "quotedStringEscapedState",&reader_lexer_quotedStringEscapedState_616, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader616->definitionModule = modulename;
  reader616->definitionLine = 556;
  }
  adddatum2(obj98, alloc_Undefined(), 53);
  if (objclass98 == NULL) {
  Method *reader617 = addmethodrealflags(obj98, "extendedStringState",&reader_lexer_extendedStringState_617, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader617->definitionModule = modulename;
  reader617->definitionLine = 606;
  }
  adddatum2(obj98, alloc_Undefined(), 54);
  if (objclass98 == NULL) {
    Method *reader618 = addmethodrealflags(obj98, "tokenBase", &reader_lexer_tokenBase_618, MFLAG_CONFIDENTIAL);
    Method *writer618 = addmethodrealflags(obj98, "tokenBase:=(1)", &writer_lexer_tokenBase_618, 0);
    reader618->definitionModule = modulename;
    writer618->definitionModule = modulename;
    reader618->definitionLine = 620;
    writer618->definitionLine = 620;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 55);
  if (objclass98 == NULL) {
    Method *reader619 = addmethodrealflags(obj98, "mantissa", &reader_lexer_mantissa_619, MFLAG_CONFIDENTIAL);
    Method *writer619 = addmethodrealflags(obj98, "mantissa:=(1)", &writer_lexer_mantissa_619, 0);
    reader619->definitionModule = modulename;
    writer619->definitionModule = modulename;
    reader619->definitionLine = 621;
    writer619->definitionLine = 621;
  }
  obj98->flags |= OFLAG_MUTABLE;
  adddatum2(obj98, alloc_Undefined(), 56);
  if (objclass98 == NULL) {
  Method *reader620 = addmethodrealflags(obj98, "numberStartState",&reader_lexer_numberStartState_620, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader620->definitionModule = modulename;
  reader620->definitionLine = 622;
  }
  adddatum2(obj98, alloc_Undefined(), 57);
  if (objclass98 == NULL) {
  Method *reader621 = addmethodrealflags(obj98, "numberBaseState",&reader_lexer_numberBaseState_621, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader621->definitionModule = modulename;
  reader621->definitionLine = 652;
  }
  adddatum2(obj98, alloc_Undefined(), 58);
  if (objclass98 == NULL) {
  Method *reader622 = addmethodrealflags(obj98, "numberDotState",&reader_lexer_numberDotState_622, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader622->definitionModule = modulename;
  reader622->definitionLine = 668;
  }
  adddatum2(obj98, alloc_Undefined(), 59);
  if (objclass98 == NULL) {
  Method *reader623 = addmethodrealflags(obj98, "numberFractionState",&reader_lexer_numberFractionState_623, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader623->definitionModule = modulename;
  reader623->definitionLine = 687;
  }
  adddatum2(obj98, alloc_Undefined(), 60);
  if (objclass98 == NULL) {
  Method *reader624 = addmethodrealflags(obj98, "numberExponentSignState",&reader_lexer_numberExponentSignState_624, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader624->definitionModule = modulename;
  reader624->definitionLine = 706;
  }
  adddatum2(obj98, alloc_Undefined(), 61);
  if (objclass98 == NULL) {
  Method *reader625 = addmethodrealflags(obj98, "numberExponentState",&reader_lexer_numberExponentState_625, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader625->definitionModule = modulename;
  reader625->definitionLine = 721;
  }
  adddatum2(obj98, alloc_Undefined(), 62);
  if (objclass98 == NULL) {
  Method *reader626 = addmethodrealflags(obj98, "operatorState",&reader_lexer_operatorState_626, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader626->definitionModule = modulename;
  reader626->definitionLine = 754;
  }
  adddatum2(obj98, alloc_Undefined(), 63);
  if (objclass98 == NULL) {
  Method *reader627 = addmethodrealflags(obj98, "indentationState",&reader_lexer_indentationState_627, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader627->definitionModule = modulename;
  reader627->definitionLine = 775;
  }
  adddatum2(obj98, alloc_Undefined(), 64);
  if (objclass98 == NULL) {
  Method *reader628 = addmethodrealflags(obj98, "commentSpaceState",&reader_lexer_commentSpaceState_628, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader628->definitionModule = modulename;
  reader628->definitionLine = 785;
  }
  adddatum2(obj98, alloc_Undefined(), 65);
  if (objclass98 == NULL) {
  Method *reader629 = addmethodrealflags(obj98, "commentState",&reader_lexer_commentState_629, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader629->definitionModule = modulename;
  reader629->definitionLine = 794;
  }
  adddatum2(obj98, alloc_Undefined(), 66);
// method "newLineError"
  block_savedest(obj98);
  Object closure630 = createclosure(2, "newLineError");
  setclosureframe(closure630, stackframe);
  addtoclosure(closure630, var_util);
  addtoclosure(closure630, var_errormessages);
  struct UserObject *uo630 = (struct UserObject*)obj98;
  uo630->data[67] = (Object)closure630;
  Method *meth_meth_lexer_630_newLineError = addmethod2pos(obj98, "newLineError", &meth_lexer_630_newLineError, 67);
  int argcv_meth_lexer_630_newLineError[] = {0};
  meth_meth_lexer_630_newLineError->type = alloc_MethodType(1, argcv_meth_lexer_630_newLineError);
  meth_meth_lexer_630_newLineError->definitionModule = modulename;
  meth_meth_lexer_630_newLineError->definitionLine = 806;
// method "isSpaceChar(_)"
  block_savedest(obj98);
  Object closure954 = createclosure(1, "isSpaceChar(1)");
  setclosureframe(closure954, stackframe);
  addtoclosure(closure954, var_spaceChars);
  struct UserObject *uo954 = (struct UserObject*)obj98;
  uo954->data[68] = (Object)closure954;
  Method *meth_meth_lexer_954_isSpaceChar_40_1_41_ = addmethod2pos(obj98, "isSpaceChar(1)", &meth_lexer_954_isSpaceChar_40_1_41_, 68);
  int argcv_meth_lexer_954_isSpaceChar_40_1_41_[] = {1};
  meth_meth_lexer_954_isSpaceChar_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_954_isSpaceChar_40_1_41_);
  meth_meth_lexer_954_isSpaceChar_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_954_isSpaceChar_40_1_41_->definitionLine = 875;
// method "checkSeparatorString(_)"
  block_savedest(obj98);
  Object closure957 = createclosure(2, "checkSeparatorString(1)");
  setclosureframe(closure957, stackframe);
  addtoclosure(closure957, var_errormessages);
  addtoclosure(closure957, var_unicode);
  struct UserObject *uo957 = (struct UserObject*)obj98;
  uo957->data[69] = (Object)closure957;
  Method *meth_meth_lexer_957_checkSeparatorString_40_1_41_ = addmethod2pos(obj98, "checkSeparatorString(1)", &meth_lexer_957_checkSeparatorString_40_1_41_, 69);
  int argcv_meth_lexer_957_checkSeparatorString_40_1_41_[] = {1};
  meth_meth_lexer_957_checkSeparatorString_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_957_checkSeparatorString_40_1_41_);
  meth_meth_lexer_957_checkSeparatorString_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_957_checkSeparatorString_40_1_41_->definitionLine = 878;
// method "checkSeparator(_)"
  block_savedest(obj98);
  Object closure1265 = createclosure(2, "checkSeparator(1)");
  setclosureframe(closure1265, stackframe);
  addtoclosure(closure1265, var_errormessages);
  addtoclosure(closure1265, var_unicode);
  struct UserObject *uo1265 = (struct UserObject*)obj98;
  uo1265->data[70] = (Object)closure1265;
  Method *meth_meth_lexer_1265_checkSeparator_40_1_41_ = addmethod2pos(obj98, "checkSeparator(1)", &meth_lexer_1265_checkSeparator_40_1_41_, 70);
  int argcv_meth_lexer_1265_checkSeparator_40_1_41_[] = {1};
  meth_meth_lexer_1265_checkSeparator_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1265_checkSeparator_40_1_41_);
  meth_meth_lexer_1265_checkSeparator_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1265_checkSeparator_40_1_41_->definitionLine = 936;
// method "fromBase(_,_)"
  block_savedest(obj98);
  Object closure1381 = createclosure(2, "fromBase(2)");
  setclosureframe(closure1381, stackframe);
  addtoclosure(closure1381, var_errormessages);
  addtoclosure(closure1381, var_unicode);
  struct UserObject *uo1381 = (struct UserObject*)obj98;
  uo1381->data[71] = (Object)closure1381;
  Method *meth_meth_lexer_1381_fromBase_40_2_41_ = addmethod2pos(obj98, "fromBase(2)", &meth_lexer_1381_fromBase_40_2_41_, 71);
  int argcv_meth_lexer_1381_fromBase_40_2_41_[] = {2};
  meth_meth_lexer_1381_fromBase_40_2_41_->type = alloc_MethodType(1, argcv_meth_lexer_1381_fromBase_40_2_41_);
  meth_meth_lexer_1381_fromBase_40_2_41_->definitionModule = modulename;
  meth_meth_lexer_1381_fromBase_40_2_41_->definitionLine = 963;
// method "hexdecchar(_)"
  block_savedest(obj98);
  Object closure1621 = createclosure(1, "hexdecchar(1)");
  setclosureframe(closure1621, stackframe);
  addtoclosure(closure1621, var_errormessages);
  struct UserObject *uo1621 = (struct UserObject*)obj98;
  uo1621->data[72] = (Object)closure1621;
  Method *meth_meth_lexer_1621_hexdecchar_40_1_41_ = addmethod2pos(obj98, "hexdecchar(1)", &meth_lexer_1621_hexdecchar_40_1_41_, 72);
  int argcv_meth_lexer_1621_hexdecchar_40_1_41_[] = {1};
  meth_meth_lexer_1621_hexdecchar_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1621_hexdecchar_40_1_41_);
  meth_meth_lexer_1621_hexdecchar_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1621_hexdecchar_40_1_41_->definitionLine = 1005;
// method "lexfile(_)"
  block_savedest(obj98);
  Object closure1705 = createclosure(1, "lexfile(1)");
  setclosureframe(closure1705, stackframe);
  addtoclosure(closure1705, var_util);
  struct UserObject *uo1705 = (struct UserObject*)obj98;
  uo1705->data[73] = (Object)closure1705;
  Method *meth_meth_lexer_1705_lexfile_40_1_41_ = addmethod2pos(obj98, "lexfile(1)", &meth_lexer_1705_lexfile_40_1_41_, 73);
  int argcv_meth_lexer_1705_lexfile_40_1_41_[] = {1};
  meth_meth_lexer_1705_lexfile_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1705_lexfile_40_1_41_);
  meth_meth_lexer_1705_lexfile_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1705_lexfile_40_1_41_->definitionLine = 1024;
// method "lexinput(_)"
  block_savedest(obj98);
  Object closure1823 = createclosure(2, "lexinput(1)");
  setclosureframe(closure1823, stackframe);
  addtoclosure(closure1823, var_errormessages);
  addtoclosure(closure1823, var_util);
  struct UserObject *uo1823 = (struct UserObject*)obj98;
  uo1823->data[74] = (Object)closure1823;
  Method *meth_meth_lexer_1823_lexinput_40_1_41_ = addmethod2pos(obj98, "lexinput(1)", &meth_lexer_1823_lexinput_40_1_41_, 74);
  int argcv_meth_lexer_1823_lexinput_40_1_41_[] = {1};
  meth_meth_lexer_1823_lexinput_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_1823_lexinput_40_1_41_);
  meth_meth_lexer_1823_lexinput_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_1823_lexinput_40_1_41_->definitionLine = 1079;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 1);
  sourceObject = obj98;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2262 = alloc_Float64(1);
// compiled num node returning num2262 (depth = 2)
  adddatum2(obj98, num2262, 2);
  sourceObject = obj98;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2263 = alloc_Float64(0);
// compiled num node returning num2263 (depth = 2)
  adddatum2(obj98, num2263, 3);
  sourceObject = obj98;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2264 = alloc_Float64(1);
// compiled num node returning num2264 (depth = 2)
  adddatum2(obj98, num2264, 4);
  sourceObject = obj98;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2265 = alloc_Float64(0);
// compiled num node returning num2265 (depth = 2)
  adddatum2(obj98, num2265, 5);
  sourceObject = obj98;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2266 = alloc_Float64(1);
// compiled num node returning num2266 (depth = 2)
  adddatum2(obj98, num2266, 6);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 7);
  sourceObject = obj98;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2267 = alloc_Float64(0);
// compiled num node returning num2267 (depth = 2)
  adddatum2(obj98, num2267, 8);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 32);
  sourceObject = obj98;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit2268 == NULL) {
    strlit2268 = alloc_String("");
    gc_root(strlit2268);
  }
// compiled string node returning strlit2268 (depth = 2)
  adddatum2(obj98, strlit2268, 33);
  sourceObject = obj98;
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2269 = alloc_Boolean(0);
// compiled identifier node returning bool2269 (depth = 2)
  adddatum2(obj98, bool2269, 34);
  sourceObject = obj98;
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2270 = alloc_Boolean(0);
// compiled identifier node returning bool2270 (depth = 2)
  adddatum2(obj98, bool2270, 35);
  sourceObject = obj98;
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2271 = alloc_Float64(0);
// compiled num node returning num2271 (depth = 2)
  adddatum2(obj98, num2271, 36);
  sourceObject = obj98;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2272 = alloc_Float64(0);
// compiled num node returning num2272 (depth = 2)
  adddatum2(obj98, num2272, 37);
  sourceObject = obj98;
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2273 = alloc_Boolean(0);
// compiled identifier node returning bool2273 (depth = 2)
  adddatum2(obj98, bool2273, 38);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  Object inheritingObject2274 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2274 = alloc_userobj2(1,2, objclass2274);
  gc_frame_newslot(obj2274);
  if (objclass2274 == NULL) {
    glfree(obj2274->class->name);
    obj2274->class->name = "startState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2274, obj98, 0);
  addmethodreal(obj2274,"outer", &reader_lexer_outer_2275);
  Object oldself2274 = self;
  struct StackFrameObject *oldstackframe2274 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2274);
  gc_frame_newslot((Object)stackframe);
  self = obj2274;
  Object *oldselfslot2274 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2274 = (*(struct UserObject *)self).data[0], lowerouter2274 = thisouter2274;
  if (inheritingObject2274) {
    struct UserObject *inho2274 = (struct UserObject *)inheritingObject2274;
    while (inho2274->super != GraceDefaultObject) inho2274 = (struct UserObject *)inho2274->super;
    inho2274->super = obj2274;
    self = inheritingObject2274;
    *selfslot = self;
    lowerouter2274 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2274;
  }
// method "consume(_)"
  struct UserObject *uo2276 = (struct UserObject*)obj2274;
  uo2276->data[1] = emptyclosure;
  Method *meth_meth_lexer_2276_consume_40_1_41_ = addmethod2pos(obj2274, "consume(1)", &meth_lexer_2276_consume_40_1_41_, 1);
  int argcv_meth_lexer_2276_consume_40_1_41_[] = {1};
  meth_meth_lexer_2276_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2276_consume_40_1_41_);
  meth_meth_lexer_2276_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2276_consume_40_1_41_->definitionLine = 272;
  sourceObject = obj2274;
  objclass2274 = obj2274->class;
  objclass2274->definitionModule = modulename;
  objclass2274->definitionLine = 271;
  (*(struct UserObject *)self).data[0] = lowerouter2274;
  self = oldself2274;
  selfslot = oldselfslot2274;
  stackframe = oldstackframe2274;
  adddatum2(obj98, obj2274, 42);
  sourceObject = obj98;
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2304 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2305 = gc_frame_new();
// call case 4: self request
  Object call2306 = callmethodflags(self, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2305);
// compiled member node returning call2306 (depth = 3)
  gc_frame_newslot(call2306);
// call case 4: self request
  params[0] = call2306;
  partcv[0] = 1;
  Object call2307 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2304);
// compiled call node returning call2307 (depth = 2)
  sourceObject = obj98;
  Object inheritingObject2308 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2308 = alloc_userobj2(1,2, objclass2308);
  gc_frame_newslot(obj2308);
  if (objclass2308 == NULL) {
    glfree(obj2308->class->name);
    obj2308->class->name = "pragmaPrefixState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2308, obj98, 0);
  addmethodreal(obj2308,"outer", &reader_lexer_outer_2309);
  Object oldself2308 = self;
  struct StackFrameObject *oldstackframe2308 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2308);
  gc_frame_newslot((Object)stackframe);
  self = obj2308;
  Object *oldselfslot2308 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2308 = (*(struct UserObject *)self).data[0], lowerouter2308 = thisouter2308;
  if (inheritingObject2308) {
    struct UserObject *inho2308 = (struct UserObject *)inheritingObject2308;
    while (inho2308->super != GraceDefaultObject) inho2308 = (struct UserObject *)inho2308->super;
    inho2308->super = obj2308;
    self = inheritingObject2308;
    *selfslot = self;
    lowerouter2308 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2308;
  }
// method "consume(_)"
  block_savedest(obj2308);
  Object closure2310 = createclosure(1, "consume(1)");
  setclosureframe(closure2310, stackframe);
  addtoclosure(closure2310, var_errormessages);
  struct UserObject *uo2310 = (struct UserObject*)obj2308;
  uo2310->data[1] = (Object)closure2310;
  Method *meth_meth_lexer_2310_consume_40_1_41_ = addmethod2pos(obj2308, "consume(1)", &meth_lexer_2310_consume_40_1_41_, 1);
  int argcv_meth_lexer_2310_consume_40_1_41_[] = {1};
  meth_meth_lexer_2310_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2310_consume_40_1_41_);
  meth_meth_lexer_2310_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2310_consume_40_1_41_->definitionLine = 284;
  sourceObject = obj2308;
  objclass2308 = obj2308->class;
  objclass2308->definitionModule = modulename;
  objclass2308->definitionLine = 283;
  (*(struct UserObject *)self).data[0] = lowerouter2308;
  self = oldself2308;
  selfslot = oldselfslot2308;
  stackframe = oldstackframe2308;
  adddatum2(obj98, obj2308, 43);
  sourceObject = obj98;
  Object inheritingObject2381 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2381 = alloc_userobj2(1,2, objclass2381);
  gc_frame_newslot(obj2381);
  if (objclass2381 == NULL) {
    glfree(obj2381->class->name);
    obj2381->class->name = "pragmaBodyState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2381, obj98, 0);
  addmethodreal(obj2381,"outer", &reader_lexer_outer_2382);
  Object oldself2381 = self;
  struct StackFrameObject *oldstackframe2381 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2381);
  gc_frame_newslot((Object)stackframe);
  self = obj2381;
  Object *oldselfslot2381 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2381 = (*(struct UserObject *)self).data[0], lowerouter2381 = thisouter2381;
  if (inheritingObject2381) {
    struct UserObject *inho2381 = (struct UserObject *)inheritingObject2381;
    while (inho2381->super != GraceDefaultObject) inho2381 = (struct UserObject *)inho2381->super;
    inho2381->super = obj2381;
    self = inheritingObject2381;
    *selfslot = self;
    lowerouter2381 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2381;
  }
// method "consume(_)"
  block_savedest(obj2381);
  Object closure2383 = createclosure(1, "consume(1)");
  setclosureframe(closure2383, stackframe);
  addtoclosure(closure2383, var_util);
  struct UserObject *uo2383 = (struct UserObject*)obj2381;
  uo2383->data[1] = (Object)closure2383;
  Method *meth_meth_lexer_2383_consume_40_1_41_ = addmethod2pos(obj2381, "consume(1)", &meth_lexer_2383_consume_40_1_41_, 1);
  int argcv_meth_lexer_2383_consume_40_1_41_[] = {1};
  meth_meth_lexer_2383_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2383_consume_40_1_41_);
  meth_meth_lexer_2383_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2383_consume_40_1_41_->definitionLine = 305;
  sourceObject = obj2381;
  objclass2381 = obj2381->class;
  objclass2381->definitionModule = modulename;
  objclass2381->definitionLine = 304;
  (*(struct UserObject *)self).data[0] = lowerouter2381;
  self = oldself2381;
  selfslot = oldselfslot2381;
  stackframe = oldstackframe2381;
  adddatum2(obj98, obj2381, 44);
  sourceObject = obj98;
  Object inheritingObject2429 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2429 = alloc_userobj2(1,2, objclass2429);
  gc_frame_newslot(obj2429);
  if (objclass2429 == NULL) {
    glfree(obj2429->class->name);
    obj2429->class->name = "pragmaTrailingWhitespaceState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2429, obj98, 0);
  addmethodreal(obj2429,"outer", &reader_lexer_outer_2430);
  Object oldself2429 = self;
  struct StackFrameObject *oldstackframe2429 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2429);
  gc_frame_newslot((Object)stackframe);
  self = obj2429;
  Object *oldselfslot2429 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2429 = (*(struct UserObject *)self).data[0], lowerouter2429 = thisouter2429;
  if (inheritingObject2429) {
    struct UserObject *inho2429 = (struct UserObject *)inheritingObject2429;
    while (inho2429->super != GraceDefaultObject) inho2429 = (struct UserObject *)inho2429->super;
    inho2429->super = obj2429;
    self = inheritingObject2429;
    *selfslot = self;
    lowerouter2429 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2429;
  }
// method "consume(_)"
  block_savedest(obj2429);
  Object closure2431 = createclosure(1, "consume(1)");
  setclosureframe(closure2431, stackframe);
  addtoclosure(closure2431, var_errormessages);
  struct UserObject *uo2431 = (struct UserObject*)obj2429;
  uo2431->data[1] = (Object)closure2431;
  Method *meth_meth_lexer_2431_consume_40_1_41_ = addmethod2pos(obj2429, "consume(1)", &meth_lexer_2431_consume_40_1_41_, 1);
  int argcv_meth_lexer_2431_consume_40_1_41_[] = {1};
  meth_meth_lexer_2431_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2431_consume_40_1_41_);
  meth_meth_lexer_2431_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2431_consume_40_1_41_->definitionLine = 320;
  sourceObject = obj2429;
  objclass2429 = obj2429->class;
  objclass2429->definitionModule = modulename;
  objclass2429->definitionLine = 319;
  (*(struct UserObject *)self).data[0] = lowerouter2429;
  self = oldself2429;
  selfslot = oldselfslot2429;
  stackframe = oldstackframe2429;
  adddatum2(obj98, obj2429, 45);
  sourceObject = obj98;
  Object inheritingObject2471 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2471 = alloc_userobj2(1,2, objclass2471);
  gc_frame_newslot(obj2471);
  if (objclass2471 == NULL) {
    glfree(obj2471->class->name);
    obj2471->class->name = "defaultState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj2471, obj98, 0);
  addmethodreal(obj2471,"outer", &reader_lexer_outer_2472);
  Object oldself2471 = self;
  struct StackFrameObject *oldstackframe2471 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2471);
  gc_frame_newslot((Object)stackframe);
  self = obj2471;
  Object *oldselfslot2471 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2471 = (*(struct UserObject *)self).data[0], lowerouter2471 = thisouter2471;
  if (inheritingObject2471) {
    struct UserObject *inho2471 = (struct UserObject *)inheritingObject2471;
    while (inho2471->super != GraceDefaultObject) inho2471 = (struct UserObject *)inho2471->super;
    inho2471->super = obj2471;
    self = inheritingObject2471;
    *selfslot = self;
    lowerouter2471 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2471;
  }
// method "consume(_)"
  block_savedest(obj2471);
  Object closure2473 = createclosure(3, "consume(1)");
  setclosureframe(closure2473, stackframe);
  addtoclosure(closure2473, var_spaceChars);
  addtoclosure(closure2473, var_errormessages);
  addtoclosure(closure2473, var_unicode);
  struct UserObject *uo2473 = (struct UserObject*)obj2471;
  uo2473->data[1] = (Object)closure2473;
  Method *meth_meth_lexer_2473_consume_40_1_41_ = addmethod2pos(obj2471, "consume(1)", &meth_lexer_2473_consume_40_1_41_, 1);
  int argcv_meth_lexer_2473_consume_40_1_41_[] = {1};
  meth_meth_lexer_2473_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_2473_consume_40_1_41_);
  meth_meth_lexer_2473_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_2473_consume_40_1_41_->definitionLine = 332;
  sourceObject = obj2471;
  objclass2471 = obj2471->class;
  objclass2471->definitionModule = modulename;
  objclass2471->definitionLine = 331;
  (*(struct UserObject *)self).data[0] = lowerouter2471;
  self = oldself2471;
  selfslot = oldselfslot2471;
  stackframe = oldstackframe2471;
  adddatum2(obj98, obj2471, 46);
  sourceObject = obj98;
  Object inheritingObject3021 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3021 = alloc_userobj2(1,2, objclass3021);
  gc_frame_newslot(obj3021);
  if (objclass3021 == NULL) {
    glfree(obj3021->class->name);
    obj3021->class->name = "rBraceState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3021, obj98, 0);
  addmethodreal(obj3021,"outer", &reader_lexer_outer_3022);
  Object oldself3021 = self;
  struct StackFrameObject *oldstackframe3021 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3021);
  gc_frame_newslot((Object)stackframe);
  self = obj3021;
  Object *oldselfslot3021 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3021 = (*(struct UserObject *)self).data[0], lowerouter3021 = thisouter3021;
  if (inheritingObject3021) {
    struct UserObject *inho3021 = (struct UserObject *)inheritingObject3021;
    while (inho3021->super != GraceDefaultObject) inho3021 = (struct UserObject *)inho3021->super;
    inho3021->super = obj3021;
    self = inheritingObject3021;
    *selfslot = self;
    lowerouter3021 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3021;
  }
// method "consume(_)"
  block_savedest(obj3021);
  Object closure3023 = createclosure(1, "consume(1)");
  setclosureframe(closure3023, stackframe);
  addtoclosure(closure3023, var_errormessages);
  struct UserObject *uo3023 = (struct UserObject*)obj3021;
  uo3023->data[1] = (Object)closure3023;
  Method *meth_meth_lexer_3023_consume_40_1_41_ = addmethod2pos(obj3021, "consume(1)", &meth_lexer_3023_consume_40_1_41_, 1);
  int argcv_meth_lexer_3023_consume_40_1_41_[] = {1};
  meth_meth_lexer_3023_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3023_consume_40_1_41_);
  meth_meth_lexer_3023_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3023_consume_40_1_41_->definitionLine = 413;
  sourceObject = obj3021;
  objclass3021 = obj3021->class;
  objclass3021->definitionModule = modulename;
  objclass3021->definitionLine = 412;
  (*(struct UserObject *)self).data[0] = lowerouter3021;
  self = oldself3021;
  selfslot = oldselfslot3021;
  stackframe = oldstackframe3021;
  adddatum2(obj98, obj3021, 47);
  sourceObject = obj98;
  Object inheritingObject3169 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3169 = alloc_userobj2(1,2, objclass3169);
  gc_frame_newslot(obj3169);
  if (objclass3169 == NULL) {
    glfree(obj3169->class->name);
    obj3169->class->name = "slashState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3169, obj98, 0);
  addmethodreal(obj3169,"outer", &reader_lexer_outer_3170);
  Object oldself3169 = self;
  struct StackFrameObject *oldstackframe3169 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3169);
  gc_frame_newslot((Object)stackframe);
  self = obj3169;
  Object *oldselfslot3169 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3169 = (*(struct UserObject *)self).data[0], lowerouter3169 = thisouter3169;
  if (inheritingObject3169) {
    struct UserObject *inho3169 = (struct UserObject *)inheritingObject3169;
    while (inho3169->super != GraceDefaultObject) inho3169 = (struct UserObject *)inho3169->super;
    inho3169->super = obj3169;
    self = inheritingObject3169;
    *selfslot = self;
    lowerouter3169 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3169;
  }
// method "consume(_)"
  struct UserObject *uo3171 = (struct UserObject*)obj3169;
  uo3171->data[1] = emptyclosure;
  Method *meth_meth_lexer_3171_consume_40_1_41_ = addmethod2pos(obj3169, "consume(1)", &meth_lexer_3171_consume_40_1_41_, 1);
  int argcv_meth_lexer_3171_consume_40_1_41_[] = {1};
  meth_meth_lexer_3171_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3171_consume_40_1_41_);
  meth_meth_lexer_3171_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3171_consume_40_1_41_->definitionLine = 441;
  sourceObject = obj3169;
  objclass3169 = obj3169->class;
  objclass3169->definitionModule = modulename;
  objclass3169->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter3169;
  self = oldself3169;
  selfslot = oldselfslot3169;
  stackframe = oldstackframe3169;
  adddatum2(obj98, obj3169, 48);
  sourceObject = obj98;
  Object inheritingObject3239 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3239 = alloc_userobj2(1,2, objclass3239);
  gc_frame_newslot(obj3239);
  if (objclass3239 == NULL) {
    glfree(obj3239->class->name);
    obj3239->class->name = "dotState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3239, obj98, 0);
  addmethodreal(obj3239,"outer", &reader_lexer_outer_3240);
  Object oldself3239 = self;
  struct StackFrameObject *oldstackframe3239 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3239);
  gc_frame_newslot((Object)stackframe);
  self = obj3239;
  Object *oldselfslot3239 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3239 = (*(struct UserObject *)self).data[0], lowerouter3239 = thisouter3239;
  if (inheritingObject3239) {
    struct UserObject *inho3239 = (struct UserObject *)inheritingObject3239;
    while (inho3239->super != GraceDefaultObject) inho3239 = (struct UserObject *)inho3239->super;
    inho3239->super = obj3239;
    self = inheritingObject3239;
    *selfslot = self;
    lowerouter3239 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3239;
  }
// method "consume(_)"
  struct UserObject *uo3241 = (struct UserObject*)obj3239;
  uo3241->data[1] = emptyclosure;
  Method *meth_meth_lexer_3241_consume_40_1_41_ = addmethod2pos(obj3239, "consume(1)", &meth_lexer_3241_consume_40_1_41_, 1);
  int argcv_meth_lexer_3241_consume_40_1_41_[] = {1};
  meth_meth_lexer_3241_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3241_consume_40_1_41_);
  meth_meth_lexer_3241_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3241_consume_40_1_41_->definitionLine = 459;
  sourceObject = obj3239;
  objclass3239 = obj3239->class;
  objclass3239->definitionModule = modulename;
  objclass3239->definitionLine = 458;
  (*(struct UserObject *)self).data[0] = lowerouter3239;
  self = oldself3239;
  selfslot = oldselfslot3239;
  stackframe = oldstackframe3239;
  adddatum2(obj98, obj3239, 49);
  sourceObject = obj98;
  Object inheritingObject3339 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3339 = alloc_userobj2(1,2, objclass3339);
  gc_frame_newslot(obj3339);
  if (objclass3339 == NULL) {
    glfree(obj3339->class->name);
    obj3339->class->name = "identifierState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3339, obj98, 0);
  addmethodreal(obj3339,"outer", &reader_lexer_outer_3340);
  Object oldself3339 = self;
  struct StackFrameObject *oldstackframe3339 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3339);
  gc_frame_newslot((Object)stackframe);
  self = obj3339;
  Object *oldselfslot3339 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3339 = (*(struct UserObject *)self).data[0], lowerouter3339 = thisouter3339;
  if (inheritingObject3339) {
    struct UserObject *inho3339 = (struct UserObject *)inheritingObject3339;
    while (inho3339->super != GraceDefaultObject) inho3339 = (struct UserObject *)inho3339->super;
    inho3339->super = obj3339;
    self = inheritingObject3339;
    *selfslot = self;
    lowerouter3339 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3339;
  }
// method "consume(_)"
  block_savedest(obj3339);
  Object closure3341 = createclosure(2, "consume(1)");
  setclosureframe(closure3341, stackframe);
  addtoclosure(closure3341, var_keywords);
  addtoclosure(closure3341, var_errormessages);
  struct UserObject *uo3341 = (struct UserObject*)obj3339;
  uo3341->data[1] = (Object)closure3341;
  Method *meth_meth_lexer_3341_consume_40_1_41_ = addmethod2pos(obj3339, "consume(1)", &meth_lexer_3341_consume_40_1_41_, 1);
  int argcv_meth_lexer_3341_consume_40_1_41_[] = {1};
  meth_meth_lexer_3341_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3341_consume_40_1_41_);
  meth_meth_lexer_3341_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3341_consume_40_1_41_->definitionLine = 483;
  sourceObject = obj3339;
  objclass3339 = obj3339->class;
  objclass3339->definitionModule = modulename;
  objclass3339->definitionLine = 482;
  (*(struct UserObject *)self).data[0] = lowerouter3339;
  self = oldself3339;
  selfslot = oldselfslot3339;
  stackframe = oldstackframe3339;
  adddatum2(obj98, obj3339, 50);
  sourceObject = obj98;
  Object inheritingObject3460 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3460 = alloc_userobj2(1,2, objclass3460);
  gc_frame_newslot(obj3460);
  if (objclass3460 == NULL) {
    glfree(obj3460->class->name);
    obj3460->class->name = "quotedStringState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3460, obj98, 0);
  addmethodreal(obj3460,"outer", &reader_lexer_outer_3461);
  Object oldself3460 = self;
  struct StackFrameObject *oldstackframe3460 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3460);
  gc_frame_newslot((Object)stackframe);
  self = obj3460;
  Object *oldselfslot3460 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3460 = (*(struct UserObject *)self).data[0], lowerouter3460 = thisouter3460;
  if (inheritingObject3460) {
    struct UserObject *inho3460 = (struct UserObject *)inheritingObject3460;
    while (inho3460->super != GraceDefaultObject) inho3460 = (struct UserObject *)inho3460->super;
    inho3460->super = obj3460;
    self = inheritingObject3460;
    *selfslot = self;
    lowerouter3460 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3460;
  }
// method "consume(_)"
  struct UserObject *uo3462 = (struct UserObject*)obj3460;
  uo3462->data[1] = emptyclosure;
  Method *meth_meth_lexer_3462_consume_40_1_41_ = addmethod2pos(obj3460, "consume(1)", &meth_lexer_3462_consume_40_1_41_, 1);
  int argcv_meth_lexer_3462_consume_40_1_41_[] = {1};
  meth_meth_lexer_3462_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3462_consume_40_1_41_);
  meth_meth_lexer_3462_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3462_consume_40_1_41_->definitionLine = 509;
  sourceObject = obj3460;
  objclass3460 = obj3460->class;
  objclass3460->definitionModule = modulename;
  objclass3460->definitionLine = 508;
  (*(struct UserObject *)self).data[0] = lowerouter3460;
  self = oldself3460;
  selfslot = oldselfslot3460;
  stackframe = oldstackframe3460;
  adddatum2(obj98, obj3460, 51);
  sourceObject = obj98;
  Object inheritingObject3639 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3639 = alloc_userobj2(1,2, objclass3639);
  gc_frame_newslot(obj3639);
  if (objclass3639 == NULL) {
    glfree(obj3639->class->name);
    obj3639->class->name = "unicodeState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3639, obj98, 0);
  addmethodreal(obj3639,"outer", &reader_lexer_outer_3640);
  Object oldself3639 = self;
  struct StackFrameObject *oldstackframe3639 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3639);
  gc_frame_newslot((Object)stackframe);
  self = obj3639;
  Object *oldselfslot3639 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3639 = (*(struct UserObject *)self).data[0], lowerouter3639 = thisouter3639;
  if (inheritingObject3639) {
    struct UserObject *inho3639 = (struct UserObject *)inheritingObject3639;
    while (inho3639->super != GraceDefaultObject) inho3639 = (struct UserObject *)inho3639->super;
    inho3639->super = obj3639;
    self = inheritingObject3639;
    *selfslot = self;
    lowerouter3639 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3639;
  }
// method "consume(_)"
  block_savedest(obj3639);
  Object closure3641 = createclosure(1, "consume(1)");
  setclosureframe(closure3641, stackframe);
  addtoclosure(closure3641, var_unicode);
  struct UserObject *uo3641 = (struct UserObject*)obj3639;
  uo3641->data[1] = (Object)closure3641;
  Method *meth_meth_lexer_3641_consume_40_1_41_ = addmethod2pos(obj3639, "consume(1)", &meth_lexer_3641_consume_40_1_41_, 1);
  int argcv_meth_lexer_3641_consume_40_1_41_[] = {1};
  meth_meth_lexer_3641_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3641_consume_40_1_41_);
  meth_meth_lexer_3641_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3641_consume_40_1_41_->definitionLine = 543;
  sourceObject = obj3639;
  objclass3639 = obj3639->class;
  objclass3639->definitionModule = modulename;
  objclass3639->definitionLine = 542;
  (*(struct UserObject *)self).data[0] = lowerouter3639;
  self = oldself3639;
  selfslot = oldselfslot3639;
  stackframe = oldstackframe3639;
  adddatum2(obj98, obj3639, 52);
  sourceObject = obj98;
  Object inheritingObject3708 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3708 = alloc_userobj2(1,2, objclass3708);
  gc_frame_newslot(obj3708);
  if (objclass3708 == NULL) {
    glfree(obj3708->class->name);
    obj3708->class->name = "quotedStringEscapedState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3708, obj98, 0);
  addmethodreal(obj3708,"outer", &reader_lexer_outer_3709);
  Object oldself3708 = self;
  struct StackFrameObject *oldstackframe3708 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3708);
  gc_frame_newslot((Object)stackframe);
  self = obj3708;
  Object *oldselfslot3708 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3708 = (*(struct UserObject *)self).data[0], lowerouter3708 = thisouter3708;
  if (inheritingObject3708) {
    struct UserObject *inho3708 = (struct UserObject *)inheritingObject3708;
    while (inho3708->super != GraceDefaultObject) inho3708 = (struct UserObject *)inho3708->super;
    inho3708->super = obj3708;
    self = inheritingObject3708;
    *selfslot = self;
    lowerouter3708 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3708;
  }
// method "consume(_)"
  struct UserObject *uo3710 = (struct UserObject*)obj3708;
  uo3710->data[1] = emptyclosure;
  Method *meth_meth_lexer_3710_consume_40_1_41_ = addmethod2pos(obj3708, "consume(1)", &meth_lexer_3710_consume_40_1_41_, 1);
  int argcv_meth_lexer_3710_consume_40_1_41_[] = {1};
  meth_meth_lexer_3710_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3710_consume_40_1_41_);
  meth_meth_lexer_3710_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3710_consume_40_1_41_->definitionLine = 557;
  sourceObject = obj3708;
  objclass3708 = obj3708->class;
  objclass3708->definitionModule = modulename;
  objclass3708->definitionLine = 556;
  (*(struct UserObject *)self).data[0] = lowerouter3708;
  self = oldself3708;
  selfslot = oldselfslot3708;
  stackframe = oldstackframe3708;
  adddatum2(obj98, obj3708, 53);
  sourceObject = obj98;
  Object inheritingObject3918 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3918 = alloc_userobj2(1,2, objclass3918);
  gc_frame_newslot(obj3918);
  if (objclass3918 == NULL) {
    glfree(obj3918->class->name);
    obj3918->class->name = "extendedStringState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3918, obj98, 0);
  addmethodreal(obj3918,"outer", &reader_lexer_outer_3919);
  Object oldself3918 = self;
  struct StackFrameObject *oldstackframe3918 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3918);
  gc_frame_newslot((Object)stackframe);
  self = obj3918;
  Object *oldselfslot3918 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3918 = (*(struct UserObject *)self).data[0], lowerouter3918 = thisouter3918;
  if (inheritingObject3918) {
    struct UserObject *inho3918 = (struct UserObject *)inheritingObject3918;
    while (inho3918->super != GraceDefaultObject) inho3918 = (struct UserObject *)inho3918->super;
    inho3918->super = obj3918;
    self = inheritingObject3918;
    *selfslot = self;
    lowerouter3918 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3918;
  }
// method "consume(_)"
  struct UserObject *uo3920 = (struct UserObject*)obj3918;
  uo3920->data[1] = emptyclosure;
  Method *meth_meth_lexer_3920_consume_40_1_41_ = addmethod2pos(obj3918, "consume(1)", &meth_lexer_3920_consume_40_1_41_, 1);
  int argcv_meth_lexer_3920_consume_40_1_41_[] = {1};
  meth_meth_lexer_3920_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3920_consume_40_1_41_);
  meth_meth_lexer_3920_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3920_consume_40_1_41_->definitionLine = 607;
  sourceObject = obj3918;
  objclass3918 = obj3918->class;
  objclass3918->definitionModule = modulename;
  objclass3918->definitionLine = 606;
  (*(struct UserObject *)self).data[0] = lowerouter3918;
  self = oldself3918;
  selfslot = oldselfslot3918;
  stackframe = oldstackframe3918;
  adddatum2(obj98, obj3918, 54);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 55);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 56);
  sourceObject = obj98;
  Object inheritingObject3955 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3955 = alloc_userobj2(1,2, objclass3955);
  gc_frame_newslot(obj3955);
  if (objclass3955 == NULL) {
    glfree(obj3955->class->name);
    obj3955->class->name = "numberStartState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj3955, obj98, 0);
  addmethodreal(obj3955,"outer", &reader_lexer_outer_3956);
  Object oldself3955 = self;
  struct StackFrameObject *oldstackframe3955 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3955);
  gc_frame_newslot((Object)stackframe);
  self = obj3955;
  Object *oldselfslot3955 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3955 = (*(struct UserObject *)self).data[0], lowerouter3955 = thisouter3955;
  if (inheritingObject3955) {
    struct UserObject *inho3955 = (struct UserObject *)inheritingObject3955;
    while (inho3955->super != GraceDefaultObject) inho3955 = (struct UserObject *)inho3955->super;
    inho3955->super = obj3955;
    self = inheritingObject3955;
    *selfslot = self;
    lowerouter3955 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3955;
  }
// method "consume(_)"
  block_savedest(obj3955);
  Object closure3957 = createclosure(1, "consume(1)");
  setclosureframe(closure3957, stackframe);
  addtoclosure(closure3957, var_errormessages);
  struct UserObject *uo3957 = (struct UserObject*)obj3955;
  uo3957->data[1] = (Object)closure3957;
  Method *meth_meth_lexer_3957_consume_40_1_41_ = addmethod2pos(obj3955, "consume(1)", &meth_lexer_3957_consume_40_1_41_, 1);
  int argcv_meth_lexer_3957_consume_40_1_41_[] = {1};
  meth_meth_lexer_3957_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_3957_consume_40_1_41_);
  meth_meth_lexer_3957_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_3957_consume_40_1_41_->definitionLine = 623;
  sourceObject = obj3955;
  objclass3955 = obj3955->class;
  objclass3955->definitionModule = modulename;
  objclass3955->definitionLine = 622;
  (*(struct UserObject *)self).data[0] = lowerouter3955;
  self = oldself3955;
  selfslot = oldselfslot3955;
  stackframe = oldstackframe3955;
  adddatum2(obj98, obj3955, 57);
  sourceObject = obj98;
  Object inheritingObject4126 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4126 = alloc_userobj2(1,2, objclass4126);
  gc_frame_newslot(obj4126);
  if (objclass4126 == NULL) {
    glfree(obj4126->class->name);
    obj4126->class->name = "numberBaseState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4126, obj98, 0);
  addmethodreal(obj4126,"outer", &reader_lexer_outer_4127);
  Object oldself4126 = self;
  struct StackFrameObject *oldstackframe4126 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4126);
  gc_frame_newslot((Object)stackframe);
  self = obj4126;
  Object *oldselfslot4126 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4126 = (*(struct UserObject *)self).data[0], lowerouter4126 = thisouter4126;
  if (inheritingObject4126) {
    struct UserObject *inho4126 = (struct UserObject *)inheritingObject4126;
    while (inho4126->super != GraceDefaultObject) inho4126 = (struct UserObject *)inho4126->super;
    inho4126->super = obj4126;
    self = inheritingObject4126;
    *selfslot = self;
    lowerouter4126 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4126;
  }
// method "consume(_)"
  struct UserObject *uo4128 = (struct UserObject*)obj4126;
  uo4128->data[1] = emptyclosure;
  Method *meth_meth_lexer_4128_consume_40_1_41_ = addmethod2pos(obj4126, "consume(1)", &meth_lexer_4128_consume_40_1_41_, 1);
  int argcv_meth_lexer_4128_consume_40_1_41_[] = {1};
  meth_meth_lexer_4128_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4128_consume_40_1_41_);
  meth_meth_lexer_4128_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4128_consume_40_1_41_->definitionLine = 653;
  sourceObject = obj4126;
  objclass4126 = obj4126->class;
  objclass4126->definitionModule = modulename;
  objclass4126->definitionLine = 652;
  (*(struct UserObject *)self).data[0] = lowerouter4126;
  self = oldself4126;
  selfslot = oldselfslot4126;
  stackframe = oldstackframe4126;
  adddatum2(obj98, obj4126, 58);
  sourceObject = obj98;
  Object inheritingObject4209 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4209 = alloc_userobj2(1,2, objclass4209);
  gc_frame_newslot(obj4209);
  if (objclass4209 == NULL) {
    glfree(obj4209->class->name);
    obj4209->class->name = "numberDotState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4209, obj98, 0);
  addmethodreal(obj4209,"outer", &reader_lexer_outer_4210);
  Object oldself4209 = self;
  struct StackFrameObject *oldstackframe4209 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4209);
  gc_frame_newslot((Object)stackframe);
  self = obj4209;
  Object *oldselfslot4209 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4209 = (*(struct UserObject *)self).data[0], lowerouter4209 = thisouter4209;
  if (inheritingObject4209) {
    struct UserObject *inho4209 = (struct UserObject *)inheritingObject4209;
    while (inho4209->super != GraceDefaultObject) inho4209 = (struct UserObject *)inho4209->super;
    inho4209->super = obj4209;
    self = inheritingObject4209;
    *selfslot = self;
    lowerouter4209 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4209;
  }
// method "consume(_)"
  block_savedest(obj4209);
  Object closure4211 = createclosure(1, "consume(1)");
  setclosureframe(closure4211, stackframe);
  addtoclosure(closure4211, var_spaceChars);
  struct UserObject *uo4211 = (struct UserObject*)obj4209;
  uo4211->data[1] = (Object)closure4211;
  Method *meth_meth_lexer_4211_consume_40_1_41_ = addmethod2pos(obj4209, "consume(1)", &meth_lexer_4211_consume_40_1_41_, 1);
  int argcv_meth_lexer_4211_consume_40_1_41_[] = {1};
  meth_meth_lexer_4211_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4211_consume_40_1_41_);
  meth_meth_lexer_4211_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4211_consume_40_1_41_->definitionLine = 669;
  sourceObject = obj4209;
  objclass4209 = obj4209->class;
  objclass4209->definitionModule = modulename;
  objclass4209->definitionLine = 668;
  (*(struct UserObject *)self).data[0] = lowerouter4209;
  self = oldself4209;
  selfslot = oldselfslot4209;
  stackframe = oldstackframe4209;
  adddatum2(obj98, obj4209, 59);
  sourceObject = obj98;
  Object inheritingObject4296 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4296 = alloc_userobj2(1,2, objclass4296);
  gc_frame_newslot(obj4296);
  if (objclass4296 == NULL) {
    glfree(obj4296->class->name);
    obj4296->class->name = "numberFractionState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4296, obj98, 0);
  addmethodreal(obj4296,"outer", &reader_lexer_outer_4297);
  Object oldself4296 = self;
  struct StackFrameObject *oldstackframe4296 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4296);
  gc_frame_newslot((Object)stackframe);
  self = obj4296;
  Object *oldselfslot4296 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4296 = (*(struct UserObject *)self).data[0], lowerouter4296 = thisouter4296;
  if (inheritingObject4296) {
    struct UserObject *inho4296 = (struct UserObject *)inheritingObject4296;
    while (inho4296->super != GraceDefaultObject) inho4296 = (struct UserObject *)inho4296->super;
    inho4296->super = obj4296;
    self = inheritingObject4296;
    *selfslot = self;
    lowerouter4296 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4296;
  }
// method "consume(_)"
  block_savedest(obj4296);
  Object closure4298 = createclosure(1, "consume(1)");
  setclosureframe(closure4298, stackframe);
  addtoclosure(closure4298, var_errormessages);
  struct UserObject *uo4298 = (struct UserObject*)obj4296;
  uo4298->data[1] = (Object)closure4298;
  Method *meth_meth_lexer_4298_consume_40_1_41_ = addmethod2pos(obj4296, "consume(1)", &meth_lexer_4298_consume_40_1_41_, 1);
  int argcv_meth_lexer_4298_consume_40_1_41_[] = {1};
  meth_meth_lexer_4298_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4298_consume_40_1_41_);
  meth_meth_lexer_4298_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4298_consume_40_1_41_->definitionLine = 688;
  sourceObject = obj4296;
  objclass4296 = obj4296->class;
  objclass4296->definitionModule = modulename;
  objclass4296->definitionLine = 687;
  (*(struct UserObject *)self).data[0] = lowerouter4296;
  self = oldself4296;
  selfslot = oldselfslot4296;
  stackframe = oldstackframe4296;
  adddatum2(obj98, obj4296, 60);
  sourceObject = obj98;
  Object inheritingObject4390 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4390 = alloc_userobj2(1,2, objclass4390);
  gc_frame_newslot(obj4390);
  if (objclass4390 == NULL) {
    glfree(obj4390->class->name);
    obj4390->class->name = "numberExponentSignState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4390, obj98, 0);
  addmethodreal(obj4390,"outer", &reader_lexer_outer_4391);
  Object oldself4390 = self;
  struct StackFrameObject *oldstackframe4390 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4390);
  gc_frame_newslot((Object)stackframe);
  self = obj4390;
  Object *oldselfslot4390 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4390 = (*(struct UserObject *)self).data[0], lowerouter4390 = thisouter4390;
  if (inheritingObject4390) {
    struct UserObject *inho4390 = (struct UserObject *)inheritingObject4390;
    while (inho4390->super != GraceDefaultObject) inho4390 = (struct UserObject *)inho4390->super;
    inho4390->super = obj4390;
    self = inheritingObject4390;
    *selfslot = self;
    lowerouter4390 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4390;
  }
// method "consume(_)"
  block_savedest(obj4390);
  Object closure4392 = createclosure(1, "consume(1)");
  setclosureframe(closure4392, stackframe);
  addtoclosure(closure4392, var_errormessages);
  struct UserObject *uo4392 = (struct UserObject*)obj4390;
  uo4392->data[1] = (Object)closure4392;
  Method *meth_meth_lexer_4392_consume_40_1_41_ = addmethod2pos(obj4390, "consume(1)", &meth_lexer_4392_consume_40_1_41_, 1);
  int argcv_meth_lexer_4392_consume_40_1_41_[] = {1};
  meth_meth_lexer_4392_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4392_consume_40_1_41_);
  meth_meth_lexer_4392_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4392_consume_40_1_41_->definitionLine = 707;
  sourceObject = obj4390;
  objclass4390 = obj4390->class;
  objclass4390->definitionModule = modulename;
  objclass4390->definitionLine = 706;
  (*(struct UserObject *)self).data[0] = lowerouter4390;
  self = oldself4390;
  selfslot = oldselfslot4390;
  stackframe = oldstackframe4390;
  adddatum2(obj98, obj4390, 61);
  sourceObject = obj98;
  Object inheritingObject4459 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4459 = alloc_userobj2(1,2, objclass4459);
  gc_frame_newslot(obj4459);
  if (objclass4459 == NULL) {
    glfree(obj4459->class->name);
    obj4459->class->name = "numberExponentState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4459, obj98, 0);
  addmethodreal(obj4459,"outer", &reader_lexer_outer_4460);
  Object oldself4459 = self;
  struct StackFrameObject *oldstackframe4459 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4459);
  gc_frame_newslot((Object)stackframe);
  self = obj4459;
  Object *oldselfslot4459 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4459 = (*(struct UserObject *)self).data[0], lowerouter4459 = thisouter4459;
  if (inheritingObject4459) {
    struct UserObject *inho4459 = (struct UserObject *)inheritingObject4459;
    while (inho4459->super != GraceDefaultObject) inho4459 = (struct UserObject *)inho4459->super;
    inho4459->super = obj4459;
    self = inheritingObject4459;
    *selfslot = self;
    lowerouter4459 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4459;
  }
// method "consume(_)"
  block_savedest(obj4459);
  Object closure4461 = createclosure(1, "consume(1)");
  setclosureframe(closure4461, stackframe);
  addtoclosure(closure4461, var_errormessages);
  struct UserObject *uo4461 = (struct UserObject*)obj4459;
  uo4461->data[1] = (Object)closure4461;
  Method *meth_meth_lexer_4461_consume_40_1_41_ = addmethod2pos(obj4459, "consume(1)", &meth_lexer_4461_consume_40_1_41_, 1);
  int argcv_meth_lexer_4461_consume_40_1_41_[] = {1};
  meth_meth_lexer_4461_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4461_consume_40_1_41_);
  meth_meth_lexer_4461_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4461_consume_40_1_41_->definitionLine = 722;
  sourceObject = obj4459;
  objclass4459 = obj4459->class;
  objclass4459->definitionModule = modulename;
  objclass4459->definitionLine = 721;
  (*(struct UserObject *)self).data[0] = lowerouter4459;
  self = oldself4459;
  selfslot = oldselfslot4459;
  stackframe = oldstackframe4459;
  adddatum2(obj98, obj4459, 62);
  sourceObject = obj98;
  Object inheritingObject4602 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4602 = alloc_userobj2(1,2, objclass4602);
  gc_frame_newslot(obj4602);
  if (objclass4602 == NULL) {
    glfree(obj4602->class->name);
    obj4602->class->name = "operatorState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4602, obj98, 0);
  addmethodreal(obj4602,"outer", &reader_lexer_outer_4603);
  Object oldself4602 = self;
  struct StackFrameObject *oldstackframe4602 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4602);
  gc_frame_newslot((Object)stackframe);
  self = obj4602;
  Object *oldselfslot4602 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4602 = (*(struct UserObject *)self).data[0], lowerouter4602 = thisouter4602;
  if (inheritingObject4602) {
    struct UserObject *inho4602 = (struct UserObject *)inheritingObject4602;
    while (inho4602->super != GraceDefaultObject) inho4602 = (struct UserObject *)inho4602->super;
    inho4602->super = obj4602;
    self = inheritingObject4602;
    *selfslot = self;
    lowerouter4602 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4602;
  }
// method "consume(_)"
  struct UserObject *uo4604 = (struct UserObject*)obj4602;
  uo4604->data[1] = emptyclosure;
  Method *meth_meth_lexer_4604_consume_40_1_41_ = addmethod2pos(obj4602, "consume(1)", &meth_lexer_4604_consume_40_1_41_, 1);
  int argcv_meth_lexer_4604_consume_40_1_41_[] = {1};
  meth_meth_lexer_4604_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4604_consume_40_1_41_);
  meth_meth_lexer_4604_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4604_consume_40_1_41_->definitionLine = 755;
  sourceObject = obj4602;
  objclass4602 = obj4602->class;
  objclass4602->definitionModule = modulename;
  objclass4602->definitionLine = 754;
  (*(struct UserObject *)self).data[0] = lowerouter4602;
  self = oldself4602;
  selfslot = oldselfslot4602;
  stackframe = oldstackframe4602;
  adddatum2(obj98, obj4602, 63);
  sourceObject = obj98;
  Object inheritingObject4695 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4695 = alloc_userobj2(1,2, objclass4695);
  gc_frame_newslot(obj4695);
  if (objclass4695 == NULL) {
    glfree(obj4695->class->name);
    obj4695->class->name = "indentationState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4695, obj98, 0);
  addmethodreal(obj4695,"outer", &reader_lexer_outer_4696);
  Object oldself4695 = self;
  struct StackFrameObject *oldstackframe4695 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4695);
  gc_frame_newslot((Object)stackframe);
  self = obj4695;
  Object *oldselfslot4695 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4695 = (*(struct UserObject *)self).data[0], lowerouter4695 = thisouter4695;
  if (inheritingObject4695) {
    struct UserObject *inho4695 = (struct UserObject *)inheritingObject4695;
    while (inho4695->super != GraceDefaultObject) inho4695 = (struct UserObject *)inho4695->super;
    inho4695->super = obj4695;
    self = inheritingObject4695;
    *selfslot = self;
    lowerouter4695 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4695;
  }
// method "consume(_)"
  block_savedest(obj4695);
  Object closure4697 = createclosure(1, "consume(1)");
  setclosureframe(closure4697, stackframe);
  addtoclosure(closure4697, var_spaceChars);
  struct UserObject *uo4697 = (struct UserObject*)obj4695;
  uo4697->data[1] = (Object)closure4697;
  Method *meth_meth_lexer_4697_consume_40_1_41_ = addmethod2pos(obj4695, "consume(1)", &meth_lexer_4697_consume_40_1_41_, 1);
  int argcv_meth_lexer_4697_consume_40_1_41_[] = {1};
  meth_meth_lexer_4697_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4697_consume_40_1_41_);
  meth_meth_lexer_4697_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4697_consume_40_1_41_->definitionLine = 776;
  sourceObject = obj4695;
  objclass4695 = obj4695->class;
  objclass4695->definitionModule = modulename;
  objclass4695->definitionLine = 775;
  (*(struct UserObject *)self).data[0] = lowerouter4695;
  self = oldself4695;
  selfslot = oldselfslot4695;
  stackframe = oldstackframe4695;
  adddatum2(obj98, obj4695, 64);
  sourceObject = obj98;
  Object inheritingObject4723 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4723 = alloc_userobj2(1,2, objclass4723);
  gc_frame_newslot(obj4723);
  if (objclass4723 == NULL) {
    glfree(obj4723->class->name);
    obj4723->class->name = "commentSpaceState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4723, obj98, 0);
  addmethodreal(obj4723,"outer", &reader_lexer_outer_4724);
  Object oldself4723 = self;
  struct StackFrameObject *oldstackframe4723 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4723);
  gc_frame_newslot((Object)stackframe);
  self = obj4723;
  Object *oldselfslot4723 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4723 = (*(struct UserObject *)self).data[0], lowerouter4723 = thisouter4723;
  if (inheritingObject4723) {
    struct UserObject *inho4723 = (struct UserObject *)inheritingObject4723;
    while (inho4723->super != GraceDefaultObject) inho4723 = (struct UserObject *)inho4723->super;
    inho4723->super = obj4723;
    self = inheritingObject4723;
    *selfslot = self;
    lowerouter4723 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4723;
  }
// method "consume(_)"
  block_savedest(obj4723);
  Object closure4725 = createclosure(1, "consume(1)");
  setclosureframe(closure4725, stackframe);
  addtoclosure(closure4725, var_spaceChars);
  struct UserObject *uo4725 = (struct UserObject*)obj4723;
  uo4725->data[1] = (Object)closure4725;
  Method *meth_meth_lexer_4725_consume_40_1_41_ = addmethod2pos(obj4723, "consume(1)", &meth_lexer_4725_consume_40_1_41_, 1);
  int argcv_meth_lexer_4725_consume_40_1_41_[] = {1};
  meth_meth_lexer_4725_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4725_consume_40_1_41_);
  meth_meth_lexer_4725_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4725_consume_40_1_41_->definitionLine = 786;
  sourceObject = obj4723;
  objclass4723 = obj4723->class;
  objclass4723->definitionModule = modulename;
  objclass4723->definitionLine = 785;
  (*(struct UserObject *)self).data[0] = lowerouter4723;
  self = oldself4723;
  selfslot = oldselfslot4723;
  stackframe = oldstackframe4723;
  adddatum2(obj98, obj4723, 65);
  sourceObject = obj98;
  Object inheritingObject4750 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4750 = alloc_userobj2(1,2, objclass4750);
  gc_frame_newslot(obj4750);
  if (objclass4750 == NULL) {
    glfree(obj4750->class->name);
    obj4750->class->name = "commentState";
  }
// OBJECT OUTER DEC outer
  adddatum2(obj4750, obj98, 0);
  addmethodreal(obj4750,"outer", &reader_lexer_outer_4751);
  Object oldself4750 = self;
  struct StackFrameObject *oldstackframe4750 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4750);
  gc_frame_newslot((Object)stackframe);
  self = obj4750;
  Object *oldselfslot4750 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4750 = (*(struct UserObject *)self).data[0], lowerouter4750 = thisouter4750;
  if (inheritingObject4750) {
    struct UserObject *inho4750 = (struct UserObject *)inheritingObject4750;
    while (inho4750->super != GraceDefaultObject) inho4750 = (struct UserObject *)inho4750->super;
    inho4750->super = obj4750;
    self = inheritingObject4750;
    *selfslot = self;
    lowerouter4750 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4750;
  }
// method "consume(_)"
  struct UserObject *uo4752 = (struct UserObject*)obj4750;
  uo4752->data[1] = emptyclosure;
  Method *meth_meth_lexer_4752_consume_40_1_41_ = addmethod2pos(obj4750, "consume(1)", &meth_lexer_4752_consume_40_1_41_, 1);
  int argcv_meth_lexer_4752_consume_40_1_41_[] = {1};
  meth_meth_lexer_4752_consume_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_4752_consume_40_1_41_);
  meth_meth_lexer_4752_consume_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_4752_consume_40_1_41_->definitionLine = 795;
  sourceObject = obj4750;
  objclass4750 = obj4750->class;
  objclass4750->definitionModule = modulename;
  objclass4750->definitionLine = 794;
  (*(struct UserObject *)self).data[0] = lowerouter4750;
  self = oldself4750;
  selfslot = oldselfslot4750;
  stackframe = oldstackframe4750;
  adddatum2(obj98, obj4750, 66);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  objclass98 = obj98->class;
  objclass98->definitionModule = modulename;
  objclass98->definitionLine = 83;
  (*(struct UserObject *)self).data[0] = lowerouter98;
  self = oldself98;
  selfslot = oldselfslot98;
  stackframe = oldstackframe98;
  gc_frame_end(frame);
  return obj98;
}
Object meth_lexer_4790_keywords(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keywords");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keywords (depth = 3)
  gc_frame_end(frame);
  return *var_keywords;
}
Object meth_lexer_4864_operatorChars(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "operatorChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_operatorChars (depth = 3)
  gc_frame_end(frame);
  return *var_operatorChars;
}
Object meth_lexer_4866_spaceChars(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "spaceChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_spaceChars (depth = 3)
  gc_frame_end(frame);
  return *var_spaceChars;
}
Object meth_lexer_4868_tab(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tab");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tab = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tab (depth = 3)
  gc_frame_end(frame);
  return *var_tab;
}
Object meth_lexer_4870_nl_cr(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nl_cr");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nl_cr = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nl_cr (depth = 3)
  gc_frame_end(frame);
  return *var_nl_cr;
}
Object meth_lexer_4872_selfModes(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "selfModes");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfModes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_selfModes (depth = 3)
  gc_frame_end(frame);
  return *var_selfModes;
}
Object meth_lexer_4874_brackets(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "brackets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_brackets = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_brackets (depth = 3)
  gc_frame_end(frame);
  return *var_brackets;
}
Object meth_lexer_4876_alphaNums(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "alphaNums");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_alphaNums = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_alphaNums (depth = 3)
  gc_frame_end(frame);
  return *var_alphaNums;
}
Object meth_lexer_4878_digits(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "digits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_digits = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_digits (depth = 3)
  gc_frame_end(frame);
  return *var_digits;
}
Object meth_lexer_4880_asciiLetters(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asciiLetters");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_asciiLetters = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// definebindings:
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_asciiLetters (depth = 3)
  gc_frame_end(frame);
  return *var_asciiLetters;
}
Object module_lexer_init() {
  if (module_lexer) return module_lexer;
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(27, 27);
  module_lexer = self;
  self->class->definitionModule = "lexer";
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule("lexer");
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[1];
// definebindings:
  Object *var_util = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "util");
  Object *var_unicode = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "unicode");
  Object *var_errormessages = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "errormessages");
  Object *var_map = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "map");
  Object *var_keywords = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "keywords");
  Object *var_operatorChars = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "operatorChars");
  Object *var_spaceChars = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "spaceChars");
  Object *var_tab = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tab");
  Object *var_nl_cr = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nl_cr");
  Object *var_selfModes = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "selfModes");
  Object *var_brackets = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "brackets");
  Object *var_alphaNums = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "alphaNums");
  Object *var_digits = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "digits");
  Object *var_asciiLetters = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "asciiLetters");
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isOperatorChar(_,_)"
  block_savedest(self);
  Object closure1 = createclosure(2, "isOperatorChar(2)");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_operatorChars);
  addtoclosure(closure1, var_unicode);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_lexer_1_isOperatorChar_40_2_41_ = addmethod2pos(self, "isOperatorChar(2)", &meth_lexer_1_isOperatorChar_40_2_41_, 1);
  int argcv_meth_lexer_1_isOperatorChar_40_2_41_[] = {2};
  meth_meth_lexer_1_isOperatorChar_40_2_41_->type = alloc_MethodType(1, argcv_meth_lexer_1_isOperatorChar_40_2_41_);
  meth_meth_lexer_1_isOperatorChar_40_2_41_->definitionModule = modulename;
  meth_meth_lexer_1_isOperatorChar_40_2_41_->definitionLine = 28;
// compiled method node returning  (depth = 1)
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBadSeparator(_)"
  block_savedest(self);
  Object closure16 = createclosure(3, "isBadSeparator(1)");
  setclosureframe(closure16, stackframe);
  addtoclosure(closure16, var_spaceChars);
  addtoclosure(closure16, var_tab);
  addtoclosure(closure16, var_unicode);
  struct UserObject *uo16 = (struct UserObject*)self;
  uo16->data[2] = (Object)closure16;
  Method *meth_meth_lexer_16_isBadSeparator_40_1_41_ = addmethod2pos(self, "isBadSeparator(1)", &meth_lexer_16_isBadSeparator_40_1_41_, 2);
  int argcv_meth_lexer_16_isBadSeparator_40_1_41_[] = {1};
  meth_meth_lexer_16_isBadSeparator_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_16_isBadSeparator_40_1_41_);
  meth_meth_lexer_16_isBadSeparator_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_16_isBadSeparator_40_1_41_->definitionLine = 37;
// compiled method node returning  (depth = 1)
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBadControl(_)"
  block_savedest(self);
  Object closure29 = createclosure(2, "isBadControl(1)");
  setclosureframe(closure29, stackframe);
  addtoclosure(closure29, var_nl_cr);
  addtoclosure(closure29, var_unicode);
  struct UserObject *uo29 = (struct UserObject*)self;
  uo29->data[3] = (Object)closure29;
  Method *meth_meth_lexer_29_isBadControl_40_1_41_ = addmethod2pos(self, "isBadControl(1)", &meth_lexer_29_isBadControl_40_1_41_, 3);
  int argcv_meth_lexer_29_isBadControl_40_1_41_[] = {1};
  meth_meth_lexer_29_isBadControl_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_29_isBadControl_40_1_41_);
  meth_meth_lexer_29_isBadControl_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_29_isBadControl_40_1_41_->definitionLine = 44;
// compiled method node returning  (depth = 1)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isSelfMode(_)"
  block_savedest(self);
  Object closure37 = createclosure(1, "isSelfMode(1)");
  setclosureframe(closure37, stackframe);
  addtoclosure(closure37, var_selfModes);
  struct UserObject *uo37 = (struct UserObject*)self;
  uo37->data[4] = (Object)closure37;
  Method *meth_meth_lexer_37_isSelfMode_40_1_41_ = addmethod2pos(self, "isSelfMode(1)", &meth_lexer_37_isSelfMode_40_1_41_, 4);
  int argcv_meth_lexer_37_isSelfMode_40_1_41_[] = {1};
  meth_meth_lexer_37_isSelfMode_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_37_isSelfMode_40_1_41_);
  meth_meth_lexer_37_isSelfMode_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_37_isSelfMode_40_1_41_->definitionLine = 50;
// compiled method node returning  (depth = 1)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBracket(_)"
  block_savedest(self);
  Object closure40 = createclosure(1, "isBracket(1)");
  setclosureframe(closure40, stackframe);
  addtoclosure(closure40, var_brackets);
  struct UserObject *uo40 = (struct UserObject*)self;
  uo40->data[5] = (Object)closure40;
  Method *meth_meth_lexer_40_isBracket_40_1_41_ = addmethod2pos(self, "isBracket(1)", &meth_lexer_40_isBracket_40_1_41_, 5);
  int argcv_meth_lexer_40_isBracket_40_1_41_[] = {1};
  meth_meth_lexer_40_isBracket_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_40_isBracket_40_1_41_);
  meth_meth_lexer_40_isBracket_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_40_isBracket_40_1_41_->definitionLine = 53;
// compiled method node returning  (depth = 1)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isIdentifierChar(_)"
  block_savedest(self);
  Object closure43 = createclosure(2, "isIdentifierChar(1)");
  setclosureframe(closure43, stackframe);
  addtoclosure(closure43, var_alphaNums);
  addtoclosure(closure43, var_unicode);
  struct UserObject *uo43 = (struct UserObject*)self;
  uo43->data[6] = (Object)closure43;
  Method *meth_meth_lexer_43_isIdentifierChar_40_1_41_ = addmethod2pos(self, "isIdentifierChar(1)", &meth_lexer_43_isIdentifierChar_40_1_41_, 6);
  int argcv_meth_lexer_43_isIdentifierChar_40_1_41_[] = {1};
  meth_meth_lexer_43_isIdentifierChar_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_43_isIdentifierChar_40_1_41_);
  meth_meth_lexer_43_isIdentifierChar_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_43_isIdentifierChar_40_1_41_->definitionLine = 56;
// compiled method node returning  (depth = 1)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isDigit(_)"
  block_savedest(self);
  Object closure59 = createclosure(1, "isDigit(1)");
  setclosureframe(closure59, stackframe);
  addtoclosure(closure59, var_digits);
  struct UserObject *uo59 = (struct UserObject*)self;
  uo59->data[7] = (Object)closure59;
  Method *meth_meth_lexer_59_isDigit_40_1_41_ = addmethod2pos(self, "isDigit(1)", &meth_lexer_59_isDigit_40_1_41_, 7);
  int argcv_meth_lexer_59_isDigit_40_1_41_[] = {1};
  meth_meth_lexer_59_isDigit_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_59_isDigit_40_1_41_);
  meth_meth_lexer_59_isDigit_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_59_isDigit_40_1_41_->definitionLine = 63;
// compiled method node returning  (depth = 1)
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isLetter(_)"
  block_savedest(self);
  Object closure62 = createclosure(2, "isLetter(1)");
  setclosureframe(closure62, stackframe);
  addtoclosure(closure62, var_asciiLetters);
  addtoclosure(closure62, var_unicode);
  struct UserObject *uo62 = (struct UserObject*)self;
  uo62->data[8] = (Object)closure62;
  Method *meth_meth_lexer_62_isLetter_40_1_41_ = addmethod2pos(self, "isLetter(1)", &meth_lexer_62_isLetter_40_1_41_, 8);
  int argcv_meth_lexer_62_isLetter_40_1_41_[] = {1};
  meth_meth_lexer_62_isLetter_40_1_41_->type = alloc_MethodType(1, argcv_meth_lexer_62_isLetter_40_1_41_);
  meth_meth_lexer_62_isLetter_40_1_41_->definitionModule = modulename;
  meth_meth_lexer_62_isLetter_40_1_41_->definitionLine = 66;
// compiled method node returning  (depth = 1)
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "padl(_,_,_)"
  struct UserObject *uo73 = (struct UserObject*)self;
  uo73->data[9] = emptyclosure;
  Method *meth_meth_lexer_73_padl_40_3_41_ = addmethod2pos(self, "padl(3)", &meth_lexer_73_padl_40_3_41_, 9);
  int argcv_meth_lexer_73_padl_40_3_41_[] = {3};
  meth_meth_lexer_73_padl_40_3_41_->type = alloc_MethodType(1, argcv_meth_lexer_73_padl_40_3_41_);
  meth_meth_lexer_73_padl_40_3_41_->definitionModule = modulename;
  meth_meth_lexer_73_padl_40_3_41_->definitionLine = 72;
// compiled method node returning  (depth = 1)
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "new"
  block_savedest(self);
  Object closure97 = createclosure(5, "new");
  setclosureframe(closure97, stackframe);
  addtoclosure(closure97, var_util);
  addtoclosure(closure97, var_errormessages);
  addtoclosure(closure97, var_spaceChars);
  addtoclosure(closure97, var_unicode);
  addtoclosure(closure97, var_keywords);
  struct UserObject *uo97 = (struct UserObject*)self;
  uo97->data[10] = (Object)closure97;
  Method *meth_meth_lexer_97_new = addmethod2pos(self, "new", &meth_lexer_97_new, 10);
  int argcv_meth_lexer_97_new[] = {0};
  meth_meth_lexer_97_new->type = alloc_MethodType(1, argcv_meth_lexer_97_new);
  meth_meth_lexer_97_new->definitionModule = modulename;
  meth_meth_lexer_97_new->definitionLine = 83;
  block_savedest(self);
  Object closure4787 = createclosure(5, "new$object(1)");
  setclosureframe(closure4787, stackframe);
  addtoclosure(closure4787, var_util);
  addtoclosure(closure4787, var_errormessages);
  addtoclosure(closure4787, var_spaceChars);
  addtoclosure(closure4787, var_unicode);
  addtoclosure(closure4787, var_keywords);
  Method *meth_meth_lexer_97_new_object = addmethod2pos(self, "new$object(1)", &meth_lexer_97_new_object, 10);
  meth_meth_lexer_97_new_object->definitionModule = modulename;
  meth_meth_lexer_97_new_object->definitionLine = 83;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = LOAD_MODULE(errormessages);
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of stringMap as map
  if (module_stringMap == NULL)
    module_stringMap = LOAD_MODULE(stringMap);
  *var_map = module_stringMap;
// compiled import node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe4788 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_map (depth = 3)
  Object call4789 = callmethodflags(*var_map, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4788);
// compiled member node returning call4789 (depth = 2)
  *var_keywords = call4789;
  if (call4789 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "keywords"
  block_savedest(self);
  Object closure4790 = createclosure(1, "keywords");
  setclosureframe(closure4790, stackframe);
  addtoclosure(closure4790, var_keywords);
  struct UserObject *uo4790 = (struct UserObject*)self;
  uo4790->data[11] = (Object)closure4790;
  Method *meth_meth_lexer_4790_keywords = addmethod2pos(self, "keywords", &meth_lexer_4790_keywords, 11);
  int argcv_meth_lexer_4790_keywords[] = {0};
  meth_meth_lexer_4790_keywords->type = alloc_MethodType(1, argcv_meth_lexer_4790_keywords);
  meth_meth_lexer_4790_keywords->definitionModule = modulename;
  meth_meth_lexer_4790_keywords->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4791 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4792 == NULL) {
    strlit4792 = alloc_String("alias");
    gc_root(strlit4792);
  }
// compiled string node returning strlit4792 (depth = 2)
  gc_frame_newslot(strlit4792);
// starting to compile identifier node (depth = 2)
  Object bool4793 = alloc_Boolean(1);
// compiled identifier node returning bool4793 (depth = 2)
  gc_frame_newslot(bool4793);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4792;
  params[1] = bool4793;
  partcv[0] = 2;
  Object call4794 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4791);
// compiled call node returning call4794 (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4795 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4796 == NULL) {
    strlit4796 = alloc_String("class");
    gc_root(strlit4796);
  }
// compiled string node returning strlit4796 (depth = 2)
  gc_frame_newslot(strlit4796);
// starting to compile identifier node (depth = 2)
  Object bool4797 = alloc_Boolean(1);
// compiled identifier node returning bool4797 (depth = 2)
  gc_frame_newslot(bool4797);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4796;
  params[1] = bool4797;
  partcv[0] = 2;
  Object call4798 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4795);
// compiled call node returning call4798 (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4799 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4800 == NULL) {
    strlit4800 = alloc_String("def");
    gc_root(strlit4800);
  }
// compiled string node returning strlit4800 (depth = 2)
  gc_frame_newslot(strlit4800);
// starting to compile identifier node (depth = 2)
  Object bool4801 = alloc_Boolean(1);
// compiled identifier node returning bool4801 (depth = 2)
  gc_frame_newslot(bool4801);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4800;
  params[1] = bool4801;
  partcv[0] = 2;
  Object call4802 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4799);
// compiled call node returning call4802 (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4803 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4804 == NULL) {
    strlit4804 = alloc_String("dialect");
    gc_root(strlit4804);
  }
// compiled string node returning strlit4804 (depth = 2)
  gc_frame_newslot(strlit4804);
// starting to compile identifier node (depth = 2)
  Object bool4805 = alloc_Boolean(1);
// compiled identifier node returning bool4805 (depth = 2)
  gc_frame_newslot(bool4805);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4804;
  params[1] = bool4805;
  partcv[0] = 2;
  Object call4806 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4803);
// compiled call node returning call4806 (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4807 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4808 == NULL) {
    strlit4808 = alloc_String("exclude");
    gc_root(strlit4808);
  }
// compiled string node returning strlit4808 (depth = 2)
  gc_frame_newslot(strlit4808);
// starting to compile identifier node (depth = 2)
  Object bool4809 = alloc_Boolean(1);
// compiled identifier node returning bool4809 (depth = 2)
  gc_frame_newslot(bool4809);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4808;
  params[1] = bool4809;
  partcv[0] = 2;
  Object call4810 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4807);
// compiled call node returning call4810 (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4811 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4812 == NULL) {
    strlit4812 = alloc_String("factory");
    gc_root(strlit4812);
  }
// compiled string node returning strlit4812 (depth = 2)
  gc_frame_newslot(strlit4812);
// starting to compile identifier node (depth = 2)
  Object bool4813 = alloc_Boolean(1);
// compiled identifier node returning bool4813 (depth = 2)
  gc_frame_newslot(bool4813);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4812;
  params[1] = bool4813;
  partcv[0] = 2;
  Object call4814 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4811);
// compiled call node returning call4814 (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4815 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4816 == NULL) {
    strlit4816 = alloc_String("import");
    gc_root(strlit4816);
  }
// compiled string node returning strlit4816 (depth = 2)
  gc_frame_newslot(strlit4816);
// starting to compile identifier node (depth = 2)
  Object bool4817 = alloc_Boolean(1);
// compiled identifier node returning bool4817 (depth = 2)
  gc_frame_newslot(bool4817);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4816;
  params[1] = bool4817;
  partcv[0] = 2;
  Object call4818 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4815);
// compiled call node returning call4818 (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4819 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4820 == NULL) {
    strlit4820 = alloc_String("inherits");
    gc_root(strlit4820);
  }
// compiled string node returning strlit4820 (depth = 2)
  gc_frame_newslot(strlit4820);
// starting to compile identifier node (depth = 2)
  Object bool4821 = alloc_Boolean(1);
// compiled identifier node returning bool4821 (depth = 2)
  gc_frame_newslot(bool4821);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4820;
  params[1] = bool4821;
  partcv[0] = 2;
  Object call4822 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4819);
// compiled call node returning call4822 (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4823 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4824 == NULL) {
    strlit4824 = alloc_String("inherit");
    gc_root(strlit4824);
  }
// compiled string node returning strlit4824 (depth = 2)
  gc_frame_newslot(strlit4824);
// starting to compile identifier node (depth = 2)
  Object bool4825 = alloc_Boolean(1);
// compiled identifier node returning bool4825 (depth = 2)
  gc_frame_newslot(bool4825);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4824;
  params[1] = bool4825;
  partcv[0] = 2;
  Object call4826 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4823);
// compiled call node returning call4826 (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4827 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4828 == NULL) {
    strlit4828 = alloc_String("is");
    gc_root(strlit4828);
  }
// compiled string node returning strlit4828 (depth = 2)
  gc_frame_newslot(strlit4828);
// starting to compile identifier node (depth = 2)
  Object bool4829 = alloc_Boolean(1);
// compiled identifier node returning bool4829 (depth = 2)
  gc_frame_newslot(bool4829);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4828;
  params[1] = bool4829;
  partcv[0] = 2;
  Object call4830 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4827);
// compiled call node returning call4830 (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4831 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4832 == NULL) {
    strlit4832 = alloc_String("method");
    gc_root(strlit4832);
  }
// compiled string node returning strlit4832 (depth = 2)
  gc_frame_newslot(strlit4832);
// starting to compile identifier node (depth = 2)
  Object bool4833 = alloc_Boolean(1);
// compiled identifier node returning bool4833 (depth = 2)
  gc_frame_newslot(bool4833);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4832;
  params[1] = bool4833;
  partcv[0] = 2;
  Object call4834 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4831);
// compiled call node returning call4834 (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4835 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4836 == NULL) {
    strlit4836 = alloc_String("object");
    gc_root(strlit4836);
  }
// compiled string node returning strlit4836 (depth = 2)
  gc_frame_newslot(strlit4836);
// starting to compile identifier node (depth = 2)
  Object bool4837 = alloc_Boolean(1);
// compiled identifier node returning bool4837 (depth = 2)
  gc_frame_newslot(bool4837);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4836;
  params[1] = bool4837;
  partcv[0] = 2;
  Object call4838 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4835);
// compiled call node returning call4838 (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4839 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4840 == NULL) {
    strlit4840 = alloc_String("return");
    gc_root(strlit4840);
  }
// compiled string node returning strlit4840 (depth = 2)
  gc_frame_newslot(strlit4840);
// starting to compile identifier node (depth = 2)
  Object bool4841 = alloc_Boolean(1);
// compiled identifier node returning bool4841 (depth = 2)
  gc_frame_newslot(bool4841);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4840;
  params[1] = bool4841;
  partcv[0] = 2;
  Object call4842 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4839);
// compiled call node returning call4842 (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4843 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4844 == NULL) {
    strlit4844 = alloc_String("super");
    gc_root(strlit4844);
  }
// compiled string node returning strlit4844 (depth = 2)
  gc_frame_newslot(strlit4844);
// starting to compile identifier node (depth = 2)
  Object bool4845 = alloc_Boolean(1);
// compiled identifier node returning bool4845 (depth = 2)
  gc_frame_newslot(bool4845);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4844;
  params[1] = bool4845;
  partcv[0] = 2;
  Object call4846 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4843);
// compiled call node returning call4846 (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4847 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4848 == NULL) {
    strlit4848 = alloc_String("trait");
    gc_root(strlit4848);
  }
// compiled string node returning strlit4848 (depth = 2)
  gc_frame_newslot(strlit4848);
// starting to compile identifier node (depth = 2)
  Object bool4849 = alloc_Boolean(1);
// compiled identifier node returning bool4849 (depth = 2)
  gc_frame_newslot(bool4849);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4848;
  params[1] = bool4849;
  partcv[0] = 2;
  Object call4850 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4847);
// compiled call node returning call4850 (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4851 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4852 == NULL) {
    strlit4852 = alloc_String("type");
    gc_root(strlit4852);
  }
// compiled string node returning strlit4852 (depth = 2)
  gc_frame_newslot(strlit4852);
// starting to compile identifier node (depth = 2)
  Object bool4853 = alloc_Boolean(1);
// compiled identifier node returning bool4853 (depth = 2)
  gc_frame_newslot(bool4853);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4852;
  params[1] = bool4853;
  partcv[0] = 2;
  Object call4854 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4851);
// compiled call node returning call4854 (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4855 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4856 == NULL) {
    strlit4856 = alloc_String("use");
    gc_root(strlit4856);
  }
// compiled string node returning strlit4856 (depth = 2)
  gc_frame_newslot(strlit4856);
// starting to compile identifier node (depth = 2)
  Object bool4857 = alloc_Boolean(1);
// compiled identifier node returning bool4857 (depth = 2)
  gc_frame_newslot(bool4857);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4856;
  params[1] = bool4857;
  partcv[0] = 2;
  Object call4858 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4855);
// compiled call node returning call4858 (depth = 1)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4859 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4860 == NULL) {
    strlit4860 = alloc_String("var");
    gc_root(strlit4860);
  }
// compiled string node returning strlit4860 (depth = 2)
  gc_frame_newslot(strlit4860);
// starting to compile identifier node (depth = 2)
  Object bool4861 = alloc_Boolean(1);
// compiled identifier node returning bool4861 (depth = 2)
  gc_frame_newslot(bool4861);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4860;
  params[1] = bool4861;
  partcv[0] = 2;
  Object call4862 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4859);
// compiled call node returning call4862 (depth = 1)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4863 == NULL) {
    strlit4863 = alloc_String("-&|:$#\\%^@?*/+!~");
    gc_root(strlit4863);
  }
// compiled string node returning strlit4863 (depth = 2)
  *var_operatorChars = strlit4863;
  if (strlit4863 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "operatorChars"
  block_savedest(self);
  Object closure4864 = createclosure(1, "operatorChars");
  setclosureframe(closure4864, stackframe);
  addtoclosure(closure4864, var_operatorChars);
  struct UserObject *uo4864 = (struct UserObject*)self;
  uo4864->data[12] = (Object)closure4864;
  Method *meth_meth_lexer_4864_operatorChars = addmethod2pos(self, "operatorChars", &meth_lexer_4864_operatorChars, 12);
  int argcv_meth_lexer_4864_operatorChars[] = {0};
  meth_meth_lexer_4864_operatorChars->type = alloc_MethodType(1, argcv_meth_lexer_4864_operatorChars);
  meth_meth_lexer_4864_operatorChars->definitionModule = modulename;
  meth_meth_lexer_4864_operatorChars->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4865 == NULL) {
    strlit4865 = alloc_String(" ""\xc2""""\xa0""");
    gc_root(strlit4865);
  }
// compiled string node returning strlit4865 (depth = 2)
  *var_spaceChars = strlit4865;
  if (strlit4865 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "spaceChars"
  block_savedest(self);
  Object closure4866 = createclosure(1, "spaceChars");
  setclosureframe(closure4866, stackframe);
  addtoclosure(closure4866, var_spaceChars);
  struct UserObject *uo4866 = (struct UserObject*)self;
  uo4866->data[13] = (Object)closure4866;
  Method *meth_meth_lexer_4866_spaceChars = addmethod2pos(self, "spaceChars", &meth_lexer_4866_spaceChars, 13);
  int argcv_meth_lexer_4866_spaceChars[] = {0};
  meth_meth_lexer_4866_spaceChars->type = alloc_MethodType(1, argcv_meth_lexer_4866_spaceChars);
  meth_meth_lexer_4866_spaceChars->definitionModule = modulename;
  meth_meth_lexer_4866_spaceChars->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4867 == NULL) {
    strlit4867 = alloc_String("""\x09""");
    gc_root(strlit4867);
  }
// compiled string node returning strlit4867 (depth = 2)
  *var_tab = strlit4867;
  if (strlit4867 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tab"
  block_savedest(self);
  Object closure4868 = createclosure(1, "tab");
  setclosureframe(closure4868, stackframe);
  addtoclosure(closure4868, var_tab);
  struct UserObject *uo4868 = (struct UserObject*)self;
  uo4868->data[14] = (Object)closure4868;
  Method *meth_meth_lexer_4868_tab = addmethod2pos(self, "tab", &meth_lexer_4868_tab, 14);
  int argcv_meth_lexer_4868_tab[] = {0};
  meth_meth_lexer_4868_tab->type = alloc_MethodType(1, argcv_meth_lexer_4868_tab);
  meth_meth_lexer_4868_tab->definitionModule = modulename;
  meth_meth_lexer_4868_tab->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4869 == NULL) {
    strlit4869 = alloc_String("""\x0a""""\x0d""");
    gc_root(strlit4869);
  }
// compiled string node returning strlit4869 (depth = 2)
  *var_nl_cr = strlit4869;
  if (strlit4869 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "nl_cr"
  block_savedest(self);
  Object closure4870 = createclosure(1, "nl_cr");
  setclosureframe(closure4870, stackframe);
  addtoclosure(closure4870, var_nl_cr);
  struct UserObject *uo4870 = (struct UserObject*)self;
  uo4870->data[15] = (Object)closure4870;
  Method *meth_meth_lexer_4870_nl_cr = addmethod2pos(self, "nl_cr", &meth_lexer_4870_nl_cr, 15);
  int argcv_meth_lexer_4870_nl_cr[] = {0};
  meth_meth_lexer_4870_nl_cr->type = alloc_MethodType(1, argcv_meth_lexer_4870_nl_cr);
  meth_meth_lexer_4870_nl_cr->definitionModule = modulename;
  meth_meth_lexer_4870_nl_cr->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4871 == NULL) {
    strlit4871 = alloc_String("(),{}[];""\xe2""""\x9f""""\xa6""""\xe2""""\x9f""""\xa7""");
    gc_root(strlit4871);
  }
// compiled string node returning strlit4871 (depth = 2)
  *var_selfModes = strlit4871;
  if (strlit4871 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "selfModes"
  block_savedest(self);
  Object closure4872 = createclosure(1, "selfModes");
  setclosureframe(closure4872, stackframe);
  addtoclosure(closure4872, var_selfModes);
  struct UserObject *uo4872 = (struct UserObject*)self;
  uo4872->data[16] = (Object)closure4872;
  Method *meth_meth_lexer_4872_selfModes = addmethod2pos(self, "selfModes", &meth_lexer_4872_selfModes, 16);
  int argcv_meth_lexer_4872_selfModes[] = {0};
  meth_meth_lexer_4872_selfModes->type = alloc_MethodType(1, argcv_meth_lexer_4872_selfModes);
  meth_meth_lexer_4872_selfModes->definitionModule = modulename;
  meth_meth_lexer_4872_selfModes->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4873 == NULL) {
    strlit4873 = alloc_String("(){}[]""\xe2""""\x9f""""\xa6""""\xe2""""\x9f""""\xa7""");
    gc_root(strlit4873);
  }
// compiled string node returning strlit4873 (depth = 2)
  *var_brackets = strlit4873;
  if (strlit4873 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "brackets"
  block_savedest(self);
  Object closure4874 = createclosure(1, "brackets");
  setclosureframe(closure4874, stackframe);
  addtoclosure(closure4874, var_brackets);
  struct UserObject *uo4874 = (struct UserObject*)self;
  uo4874->data[17] = (Object)closure4874;
  Method *meth_meth_lexer_4874_brackets = addmethod2pos(self, "brackets", &meth_lexer_4874_brackets, 17);
  int argcv_meth_lexer_4874_brackets[] = {0};
  meth_meth_lexer_4874_brackets->type = alloc_MethodType(1, argcv_meth_lexer_4874_brackets);
  meth_meth_lexer_4874_brackets->definitionModule = modulename;
  meth_meth_lexer_4874_brackets->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4875 == NULL) {
    strlit4875 = alloc_String("_'0123456789abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
    gc_root(strlit4875);
  }
// compiled string node returning strlit4875 (depth = 2)
  *var_alphaNums = strlit4875;
  if (strlit4875 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "alphaNums"
  block_savedest(self);
  Object closure4876 = createclosure(1, "alphaNums");
  setclosureframe(closure4876, stackframe);
  addtoclosure(closure4876, var_alphaNums);
  struct UserObject *uo4876 = (struct UserObject*)self;
  uo4876->data[18] = (Object)closure4876;
  Method *meth_meth_lexer_4876_alphaNums = addmethod2pos(self, "alphaNums", &meth_lexer_4876_alphaNums, 18);
  int argcv_meth_lexer_4876_alphaNums[] = {0};
  meth_meth_lexer_4876_alphaNums->type = alloc_MethodType(1, argcv_meth_lexer_4876_alphaNums);
  meth_meth_lexer_4876_alphaNums->definitionModule = modulename;
  meth_meth_lexer_4876_alphaNums->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4877 == NULL) {
    strlit4877 = alloc_String("0123456789");
    gc_root(strlit4877);
  }
// compiled string node returning strlit4877 (depth = 2)
  *var_digits = strlit4877;
  if (strlit4877 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "digits"
  block_savedest(self);
  Object closure4878 = createclosure(1, "digits");
  setclosureframe(closure4878, stackframe);
  addtoclosure(closure4878, var_digits);
  struct UserObject *uo4878 = (struct UserObject*)self;
  uo4878->data[19] = (Object)closure4878;
  Method *meth_meth_lexer_4878_digits = addmethod2pos(self, "digits", &meth_lexer_4878_digits, 19);
  int argcv_meth_lexer_4878_digits[] = {0};
  meth_meth_lexer_4878_digits->type = alloc_MethodType(1, argcv_meth_lexer_4878_digits);
  meth_meth_lexer_4878_digits->definitionModule = modulename;
  meth_meth_lexer_4878_digits->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4879 == NULL) {
    strlit4879 = alloc_String("abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
    gc_root(strlit4879);
  }
// compiled string node returning strlit4879 (depth = 2)
  *var_asciiLetters = strlit4879;
  if (strlit4879 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an uninitilized variable");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "asciiLetters"
  block_savedest(self);
  Object closure4880 = createclosure(1, "asciiLetters");
  setclosureframe(closure4880, stackframe);
  addtoclosure(closure4880, var_asciiLetters);
  struct UserObject *uo4880 = (struct UserObject*)self;
  uo4880->data[20] = (Object)closure4880;
  Method *meth_meth_lexer_4880_asciiLetters = addmethod2pos(self, "asciiLetters", &meth_lexer_4880_asciiLetters, 20);
  int argcv_meth_lexer_4880_asciiLetters[] = {0};
  meth_meth_lexer_4880_asciiLetters->type = alloc_MethodType(1, argcv_meth_lexer_4880_asciiLetters);
  meth_meth_lexer_4880_asciiLetters->definitionModule = modulename;
  meth_meth_lexer_4880_asciiLetters->definitionLine = 1204;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
  gc_frame_end(frame);
  return self;
}
